[Source](http://www.paulgraham.com/cornpone.html "Permalink to Mark Twain: Corn-pone Opinions")

# Mark Twain: Corn-pone Opinions


| ----- |
| ![][1] | ![][2] | ![][3]  
  

| ![Mark Twain: Corn-pone Opinions][4]  
  
FIFTY YEARS AGO, when I was a boy of fifteen and helping to inhabit a Missourian village on the banks of the Mississippi, I had a friend whose society was very dear to me because I was forbidden by my mother to partake of it. He was a gay and impudent and satirical and delightful young black man -a slave -who daily preached sermons from the top of his master's woodpile, with me for sole audience. He imitated the pulpit style of the several clergymen of the village, and did it well, and with fine passion and energy. To me he was a wonder. I believed he was the greatest orator in the United States and would some day be heard from. But it did not happen; in the distribution of rewards he was overlooked. It is the way, in this world.  
  
He interrupted his preaching, now and then, to saw a stick of wood; but the sawing was a pretense -he did it with his mouth; exactly imitating the sound the bucksaw makes in shrieking its way through the wood. But it served its purpose; it kept his master from coming out to see how the work was getting along. I listened to the sermons from the open window of a lumber room at the back of the house. One of his texts was this:  
  
"You tell me whar a man gits his corn pone, en I'll tell you what his 'pinions is."  
  
I can never forget it. It was deeply impressed upon me. By my mother. Not upon my memory, but elsewhere. She had slipped in upon me while I was absorbed and not watching. The black philosopher's idea was that a man is not independent, and cannot afford views which might interfere with his bread and butter. If he would prosper, he must train with the majority; in matters of large moment, like politics and religion, he must think and feel with the bulk of his neighbors, or suffer damage in his social standing and in his business prosperities. He must restrict himself to corn-pone opinions -- at least on the surface. He must get his opinions from other people; he must reason out none for himself; he must have no first-hand views.  
  
I think Jerry was right, in the main, but I think he did not go far enough.  
  
1\. It was his idea that a man conforms to the majority view of his locality by calculation and intention. This happens, but I think it is not the rule.  
  
2\. It was his idea that there is such a thing as a first-hand opinion; an original opinion; an opinion which is coldly reasoned out in a man's head, by a searching analysis of the facts involved, with the heart unconsulted, and the jury room closed against outside influences. It may be that such an opinion has been born somewhere, at some time or other, but I suppose it got away before they could catch it and stuff it and put it in the museum.  
  
I am persuaded that a coldly-thought-out and independent verdict upon a fashion in clothes, or manners, or literature, or politics, or religion, or any other matter that is projected into the field of our notice and interest, is a most rare thing -- if it has indeed ever existed.  
  
A new thing in costume appears -- the flaring hoopskirt, for example -- and the passers-by are shocked, and the irreverent laugh. Six months later everybody is reconciled; the fashion has established itself; it is admired, now, and no one laughs. Public opinion resented it before, public opinion accepts it now, and is happy in it. Why? Was the resentment reasoned out? Was the acceptance reasoned out? No. The instinct that moves to conformity did the work. It is our nature to conform; it is a force which not many can successfully resist. What is its seat? The inborn requirement of self-approval. We all have to bow to that; there are no exceptions. Even the woman who refuses from first to last to wear the hoop skirt comes under that law and is its slave; she could not wear the skirt and have her own approval; and that she must have, she cannot help herself. But as a rule our self-approval has its source in but one place and not elsewhere -- the approval of other people. A person of vast consequences can introduce any kind of novelty in dress and the general world will presently adopt it -- moved to do it, in the first place, by the natural instinct to passively yield to that vague something recognized as authority, and in the second place by the human instinct to train with the multitude and have its approval. An empress introduced the hoopskirt, and we know the result. A nobody introduced the bloomer, and we know the result. If Eve should come again, in her ripe renown, and reintroduce her quaint styles -- well, we know what would happen. And we should be cruelly embarrassed, along at first.  
  
The hoopskirt runs its course and disappears. Nobody reasons about it. One woman abandons the fashion; her neighbor notices this and follows her lead; this influences the next woman; and so on and so on, and presently the skirt has vanished out of the world, no one knows how nor why, nor cares, for that matter. It will come again, by and by and in due course will go again.  
  
Twenty-five years ago, in England, six or eight wine glasses stood grouped by each person's plate at a dinner party, and they were used, not left idle and empty; to-day there are but three or four in the group, and the average guest sparingly uses about two of them. We have not adopted this new fashion yet, but we shall do it presently. We shall not think it out; we shall merely conform, and let it go at that. We get our notions and habits and opinions from outside influences; we do not have to study them out.  
  
Our table manners, and company manners, and street manners change from time to time, but the changes are not reasoned out; we merely notice and conform. We are creatures of outside influences; as a rule we do not think, we only imitate. We cannot invent standards that will stick; what we mistake for standards are only fashions, and perishable. We may continue to admire them, but we drop the use of them. We notice this in literature. Shakespeare is a standard, and fifty years ago we used to write tragedies which we couldn't tell from -- from somebody else's; but we don't do it any more, now. Our prose standard, three quarters of a century ago, was ornate and diffuse; some authority or other changed it in the direction of compactness and simplicity, and conformity followed, without argument. The historical novel starts up suddenly, and sweeps the land. Everybody writes one, and the nation is glad. We had historical novels before; but nobody read them, and the rest of us conformed -- without reasoning it out. We are conforming in the other way, now, because it is another case of everybody.  
  
The outside influences are always pouring in upon us, and we are always obeying their orders and accepting their verdicts. The Smiths like the new play; the Joneses go to see it, and they copy the Smith verdict. Morals, religions, politics, get their following from surrounding influences and atmospheres, almost entirely; not from study, not from thinking. A man must and will have his own approval first of all, in each and every moment and circumstance of his life -- even if he must repent of a self-approved act the moment after its commission, in order to get his self-approval again: but, speaking in general terms, a man's self-approval in the large concerns of life has its source in the approval of the peoples about him, and not in a searching personal examination of the matter. Mohammedans are Mohammedans because they are born and reared among that sect, not because they have thought it out and can furnish sound reasons for being Mohammedans; we know why Catholics are Catholics; why Presbyterians are Presbyterians; why Baptists are Baptists; why Mormons are Mormons; why thieves are thieves; why monarchists are monarchists; why Republicans are Republicans and Democrats, Democrats. We know it is a matter of association and sympathy, not reasoning and examination; that hardly a man in the world has an opinion upon morals, politics, or religion which he got otherwise than through his associations and sympathies. Broadly speaking, there are none but corn-pone opinions. And broadly speaking, corn-pone stands for self-approval. Self-approval is acquired mainly from the approval of other people. The result is conformity. Sometimes conformity has a sordid business interest -- the bread-and-butter interest -- but not in most cases, I think. I think that in the majority of cases it is unconscious and not calculated; that it is born of the human being's natural yearning to stand well with his fellows and have their inspiring approval and praise -- a yearning which is commonly so strong and so insistent that it cannot be effectually resisted, and must have its way. A political emergency brings out the corn-pone opinion in fine force in its two chief varieties -- the pocketbook variety, which has its origin in self-interest, and the bigger variety, the sentimental variety -- the one which can't bear to be outside the pale; can't bear to be in disfavor; can't endure the averted face and the cold shoulder; wants to stand well with his friends, wants to be smiled upon, wants to be welcome, wants to hear the precious words, "He's on the right track!" Uttered, perhaps by an ass, but still an ass of high degree, an ass whose approval is gold and diamonds to a smaller ass, and confers glory and honor and happiness, and membership in the herd. For these gauds many a man will dump his life-long principles into the street, and his conscience along with them. We have seen it happen. In some millions of instances.  
  
Men think they think upon great political questions, and they do; but they think with their party, not independently; they read its literature, but not that of the other side; they arrive at convictions, but they are drawn from a partial view of the matter in hand and are of no particular value. They swarm with their party, they feel with their party, they are happy in their party's approval; and where the party leads they will follow, whether for right and honor, or through blood and dirt and a mush of mutilated morals.  
  
In our late canvass half of the nation passionately believed that in silver lay salvation, the other half as passionately believed that that way lay destruction. Do you believe that a tenth part of the people, on either side, had any rational excuse for having an opinion about the matter at all? I studied that mighty question to the bottom -- came out empty. Half of our people passionately believe in high tariff, the other half believe otherwise. Does this mean study and examination, or only feeling? The latter, I think. I have deeply studied that question, too -- and didn't arrive. We all do no end of feeling, and we mistake it for thinking. And out of it we get an aggregation which we consider a boon. Its name is Public Opinion. It is held in reverence. It settles everything. Some think it the Voice of God.  
  
 | 

| ----- |
|   
  

* * *

 | 

 | 

[1]: http://ep.yimg.com/ay/paulgraham/essays-1.gif
[2]: http://ep.yimg.com/ca/Img/trans_1x1.gif
[3]: http://ep.yimg.com/ca/I/paulgraham_2271_3232
[4]: http://ep.yimg.com/ca/I/paulgraham_2202_8864210

