[Source](https://www.uky.edu/~eushe2/Pajares/octopus.html "Permalink to William James - The PhD Octopus")

# William James - The PhD Octopus

# The Ph.D. Octopus

### William James

Some years ago, we had at our Harvard Graduate School a very brilliant student of Philosophy, who, after leaving us and supporting himself by literary labor for three years, received an appointment to teach English Literature at a sister-institution of learning. The governors of this institution, however, had no sooner communicated the appointment than they made the awful discovery that they had enrolled upon their staff a person who was unprovided with the Ph.D. degree. The man in question had been satisfied to work at Philosophy for her own sweet (or bitter) sake, and had disdained to consider that an academic bauble should be his reward. 

His appointment had thus been made under a misunderstanding. He was not the proper man; and there was nothing to do but inform him of the fact. It was notified to him by his new President that his appointment must be revoked, or that a Harvard doctor's degree must forthwith be procured. 

Although it was already the spring of the year, our Subject, being a man of spirit, took up the challenge, turned his back upon literature (which in view of his approaching duties might have seemed his more urgent concern) and spent the weeks that were left him in writing a metaphysical thesis and grinding his psychology, logic, and history of philosophy up again, so as to pass our formidable ordeals. 

When the thesis came to be read by our committee, we could not pass it. Brilliancy and originality by themselves won't save a thesis for the doctorate; it must also exhibit a heavy technical apparatus of learning; and this our candidate had neglected to bring to bear. So, telling him that he was temporarily rejected, we advised him to pad out the thesis properly, and return with it next year, at the same time informing his new President that this signified nothing as to his merits, that he was of ultra-Ph.D. quality, and one of the strongest men with whom we had ever had to deal. 

To our surprise we were given to understand in reply that the quality per se of the man signified nothing in this connection, and that the three magical letters were the thing seriously required. The College had always gloried in a list of faculty members who bore the doctor's title, and to make a gap in the galaxy, and admit a common fox without a tail, would be a degradation impossible to be thought of. We wrote again, pointing out that a Ph.D. in philosophy would prove little anyhow as to one's ability to teach literature; we sent separate letters in which we outdid each other in eulogy of our candidate's powers, for indeed they were great; and at last, mirabile dictu, our eloquence prevailed. He was allowed to retain his appointment provisionally, on condition that one year later at the farthest his miserably naked name should be prolonged by the sacred appendage the lack of which had given so much trouble to all concerned. 

Accordingly he came up here the following spring with an adequate thesis (known since in print as a most brilliant contribution to metaphysics), passed a first-rate examination, wiped out the stain, and brought his College into proper relations with the world again. Whether his teaching, during that first year, of English Literature was made any the better by the impending examination in a different subject, is a question which I will not try to solve. 

I have related this incident at such length because it is so characteristic of American academic conditions at the present day. Graduate schools still are something of a novelty, and higher diplomas something of a rarity. The latter, therefore, carry a vague sense of preciousness and honor, and have a particularly "up- to-date" appearance, and it is no wonder if smaller institutions, unable to attract professors already eminent, and forced usually to recruit their faculties from the relatively young, should hope to compensate for the obscurity of the names of their officers of instruction by the abundance of decorative titles by which those names are followed on the pages of the catalogues where they appear. The dazzled reader of the list, the parent or student, says to himself, "This must be a terribly distinguished crowd,-- their titles shine like the stars in the firmament; Ph.D.'s, S.D.'s, and Litt.D.'s bespangle the page as if they were sprinkled over it from a pepper caster." 

Human nature is once for all so childish that every reality becomes a sham somewhere, and in the minds of Presidents and Trustees the Ph.D. degree is in point of fact already looked upon as a mere advertising resource, a manner of throwing dust in the Public's eyes. "No instructor who is not a Doctor" has become a maxim in the smaller institutions which represent demand; and in each of the larger ones which represent supply, the same belief in decorated scholarship expresses itself in two antagonistic passions, one for multiplying as much as possible the annual output of doctors, the other for raising the standard of difficulty in passing, so that the Ph.D. of the special institution shall carry a higher blaze of distinction than it does elsewhere. Thus, we at Harvard are proud of the number of candidates whom we reject, and of the inability of men who are not distingues in intellect to pass our tests. 

America is thus a nation rapidly drifting towards a state of things in which no man of science or letters will be accounted respectable unless some kind of badge or diploma is stamped upon him, and in which bare personality will be a mark of outcast estate. It seems to me high time to rouse ourselves to consciousness, and to cast a critical eye upon this decidedly grotesque tendency. Other nations suffer terribly from the Mandarin disease. Are we doomed to suffer like the rest? 

Our higher degrees were instituted for the laudable purpose of stimulating scholarship, especially in the form of "original research." Experience has proved that great as the love of truth may be among men, it can be made still greater by adventitious rewards. The winning of a diploma certifying mastery and marking a barrier successfully passed, acts as a challenge to the ambitious; and if the diploma will help to gain bread-winning positions also, its power as a stimulus to work is tremendously increased. So far, we are on innocent ground; it is well for a country to have research in abundance, and our graduate schools do but apply a normal psychological spur. But the institutionizing on a large scale of any natural combination of need and motive always tends to run into technicality and to develop a tyrannical Machine with unforeseen powers of exclusion and corruption. Observation of the workings of our Harvard system for twenty years past has brought some of these drawbacks home to my consciousness, and I should like to call the attention of my readers to this disadvantageous aspect of the picture, and to make a couple of remedial suggestions, if I may. 

In the first place, it would seem that to stimulate study, and to increase the gelehrtes Publikum, the class of highly educated men in our country, is the only positive good, and consequently the sole direct end at which our graduate schools, with their diploma-giving powers, should aim. If other results have developed they should be deemed secondary incidents, and if not desirable in themselves, they should be carefully guarded against. 

To interfere with the free development of talent, to obstruct the natural play of supply and demand in the teaching profession, to foster academic snobbery by the prestige of certain privileged institutions, to transfer accredited value from essential manhood to an outward badge, to blight hopes and promote invidious sentiments, to divert the attention of aspiring youth from direct dealings with truth to the passing of examinations,--such consequences, if they exist, ought surely to be regarded as drawbacks to the system, and an enlightened public consciousness ought to be keenly alive to the importance of reducing their amount. Candidates themselves do seem to be keenly conscious of some of these evils, but outside of their ranks or in the general public no such consciousness, so far as I can see, exists; or if it does exist, it fails to express itself aloud. Schools, Colleges, and Universities, appear enthusiastic over the entire system, just as it stands, and unanimously applaud all its developments. 

I beg the reader to consider some of the secondary evils which I have enumerated. First of all, is not our growing tendency to appoint no instructors who are not also doctors an instance of pure sham? Will any one pretend for a moment that the doctor's degree is a guarantee that its possessor will be successful as a teacher? Notoriously his moral, social, and personal characteristics may utterly disqualify him for success in the class-room; and of these characteristics his doctor's examination is unable to take any account whatever. Certain bare human beings will always be better candidates for a given place than all the doctor-applicants on hand; and to exclude the former by a rigid rule, and in the end to have to sift the latter by private inquiry into their personal peculiarities among those who know them, just as if they were not doctors at all, is to stultify one's own procedure. You may say that at least you guard against ignorance of the subject by considering only the candidates who are doctors; but how then about making doctors in one subject teach a different subject? This happened in the instance by which I introduced this article, and it happens daily and hourly in all our colleges. The truth is that the Doctor-Monopoly in teaching, which is becoming so rooted an American custom, can show no serious grounds whatsoever for itself in reason. As it actually prevails and grows in vogue among us, it is due to childish motives exclusively. In reality it is but a sham, a bauble, a dodge, whereby to decorate the catalogues of schools and colleges. 

Next, let us turn from the general promotion of a spirit of academic snobbery to the particular damage done to individuals by the system. There are plenty of individuals so well endowed by nature that they pass with ease all the ordeals with which life confronts them. Such persons are born for professional success. Examinations have no terrors for them, and interfere in no way with their spiritual or worldly interests. There are others, not so gifted, who nevertheless rise to the challenge, get a stimulus from the difficulty, and become doctors, not without some baleful nervous wear and tear and retardation of their purely inner life, but on the whole successfully, and with advantage. These two classes form the natural Ph.D.'s for whom the degree is legitimately instituted. To be sure, the degree is of no consequence one way or the other for the first sort of man, for in him the personal worth obviously outshines the title. To the second set of persons, however, the doctor ordeal may contribute a touch of energy and solidity of scholarship which otherwise they might have lacked, and were our all candidates drawn from these classes, no oppression would result from the institution. 

But there is a third class of persons who are genuinely, and in the most pathetic sense, the institution's victims. For this type of character the academic life may become, after a certain point, a virulent poison. Men without marked originality or native force, but fond of truth and especially of books and study, ambitious of reward and recognition, poor often, and needing a degree to get a teaching position, weak in the eyes of their examiners--among these we find the veritable chair a canon of the wars of learning, the unfit in the academic struggle for existence. There are individuals of this sort for whom to pass one degree after another seems the limit of earthly aspiration. Your private advice does not discourage them. They will fail, and go away to recuperate, and then present themselves for another ordeal, and sometimes prolong the process into middle life. Or else, if they are less heroic morally, they will accept the failure as a sentence of doom that they are not fit, and are broken-spirited men thereafter. 

We of the university faculties are responsible for deliberately creating this new class of American social failures, and heavy is the responsibility. We advertise our "schools" and send out our degree-requirements, knowing well that aspirants of all sorts will be attracted, and at the same time we set a standard which intends to pass no man who has not native intellectual distinction. We know that there is no test, however absurd, by which, if a title or decoration, a public badge or mark, were to be won by it, some weakly suggestible or hauntable persons would not feel challenged, and remain unhappy if they went without it. We dangle our three magic letters before the eyes of these predestined victims, and they swarm to us like moths to an electric light. They come at a time when failure can no longer be repaired easily and when the wounds it leaves are permanent; and we say deliberately that mere work faithfully performed, as they perform it, will not by itself save them, they must in addition put in evidence the one thing they have not got, namely this quality of intellectual distinction. Occasionally, out of sheer human pity, we ignore our high and mighty standard and pass them. Usually, however, the standard, and not the candidate, commands our fidelity. The result is caprice, majorities of one on the jury, and on the whole a confession that our pretensions about the degree cannot be lived up to consistently. Thus, partiality in the favored cases; in the unfavored, blood on our hands; and in both a bad conscience,--are the results of our administration. 

The more widespread becomes the popular belief that our diplomas are indispensable hall-marks to show the sterling metal of their holders, the more widespread these corruptions will become. We ought to look to the future carefully, for it takes generations for a national custom, once rooted, to be grown away from. All the European countries are seeking to diminish the check upon individual spontaneity which state examinations with their tyrannous growth have brought in their train. We have had to institute state examinations too; and it will perhaps be fortunate if some day hereafter our descendants, comparing machine with machine, do not sigh with regret for old times and American freedom, and wish that the regime of the dear old bosses might be re-installed, with plain human nature, the glad hand and the marble heart, liking and disliking, and man-to-man relations grown possible again. Meanwhile, whatever evolution our state-examinations are destined to undergo, our universities at least should never cease to regard themselves as the jealous custodians of personal and spiritual spontaneity. They are indeed its only organized and recognized custodians in America to-day. They ought to guard against contributing to the increase of officialism and snobbery and insincerity as against a pestilence; they ought to keep truth and disinterested labor always in the foreground, treat degrees as secondary incidents, and in season and out of season make it plain that what they live for is to help men's souls, and not to decorate their persons with diplomas. 

There seem to be three obvious ways in which the increasing hold of the Ph.D. Octopus upon American life can be kept in check. 

The first way lies with the universities. They can lower their fantastic standards (which here at Harvard we are so proud of) and give the doctorate as a matter of course, just as they give the bachelor's degree, for a due amount of time spent in patient labor in a special department of learning, whether the man be a brilliantly gifted individual or not. Surely native distinction needs no official stamp, and should disdain to ask for one. On the other hand, faithful labor, however commonplace, and years devoted to a subject, always deserve to be acknowledged and requited. 

The second way lies with both the universities and the colleges. Let them give up their unspeakably silly ambition to bespangle their lists of offices with these doctorial titles. Let them look more to substance and less to vanity and sham. 

The third way lies with the individual student and with his personal advisers in the faculties. Every man of native power, who might take the higher degree, and refuses to do so because examinations interfere with the free following out of his more immediate intellectual aims, deserves well of his country, and in a rightly organized community, would not be made to suffer for his independence. With many men the passing of these extraneous tests is a very grievous interference indeed. Private letters of recommendation from their instructors, which in any event are ultimately needful, ought, in these cases, completely to offset the lack of the bread-winning degree; and instructors ought to be ready to advise students against it upon occasion, and to pledge themselves to back them later personally, in the market-struggle which they have to face. 

It is indeed odd to see this love of titles -- and such titles -- growing up in a country of which the recognition of individuality and bare manhood have so long been supposed to be the very soul. The independence of the State, in which most of our colleges stand, relieves us of those more odious forms of academic politics which continental European countries present. 

Anything like the elaborate university machine of France, with its throttling influences upon individuals is unknown here. The spectacle of the Rathdistinction in its innumerable spheres and grades, with which all Germany is crawling to-day, is displeasing to American eyes; and displeasing also in some respects is the institution of knighthood in England, which, aping as it does an aristocratic title, enables one's wife as well as one's self so easily to dazzle the servants at the house of one's friends. But are we Americans ourselves destined after all to hunger after similar vanities on an infinitely more contemptible scale? And is individuality with us also going to count for nothing unless stamped and licensed and authenticated by some title-giving machine? Let us pray that our ancient national genius may long preserve vitality enough to guard us from a future so unmanly and so unbeautiful! 

"The Ph.D. Octopus" was published in the Harvard Monthly of March 1903 

* * *

**Back to [William James][1] **

  

[1]: https://www.uky.edu/Pajares/james.html#octopus

