[Source](http://www-history.mcs.st-andrews.ac.uk/Extras/Poincare_Intuition.html "Permalink to Poincar&eacute; on intuition in mathematics")

# Poincar&eacute; on intuition in mathematics

## Poincaré on intuition in mathematics

| ----- |
| 

**Henri Poincaré** published _Intuition and Logic in mathematics_ as part of _La valeur de la science_ in 1905. It was translated into English by G B Halsted and published in 1907 as part of Poincaré's _The Value of Science._ A version of Poincaré's article is below. 

### Intuition and Logic in Mathematics

by  
**Henri Poincaré**

**I**

It is impossible to study the works of the great mathematicians, or even those of the lesser, without noticing and distinguishing two opposite tendencies, or rather two entirely different kinds of minds. The one sort are above all preoccupied with logic; to read their works, one is tempted to believe they have advanced only step by step, after the manner of a Vauban who pushes on his trenches against the place besieged, leaving nothing to chance. The other sort are guided by intuition and at the first stroke make quick but sometimes precarious conquests, like bold cavalrymen of the advance guard. 

The method is not imposed by the matter treated. Though one often says of the first that they are analysts and calls the others geometers, that does not prevent the one sort from remaining analysts even when they work at geometry, while the others are still geometers even when they occupy themselves with pure analysis. It is the very nature of their mind which makes them logicians or intuitionalists, and they can not lay it aside when they approach a new subject. 

Nor is it education which has developed in them one of the two tendencies and stifled the other. The mathematician is born, not made, and it seems he is born a geometer or an analyst. I should like to cite examples and there are surely plenty; but to accentuate the contrast I shall begin with an extreme example, taking the liberty of seeking it in two living mathematicians. 

M Méray wants to prove that a binomial equation always has a root, or, in ordinary words, that an angle may always be subdivided. If there is any truth that we think we know by direct intuition, it is this. Who could doubt that an angle may always be divided into any number of equal parts? M Méray does not look at it that way; in his eyes this proposition is not at all evident and to prove it he needs several pages. 

On the other hand, look at Professor Klein: he is studying one of the most abstract questions of the theory of functions to determine whether on a given Riemann surface there always exists a function admitting of given singularities. What does the celebrated German geometer do? He replaces his Riemann surface by a metallic surface whose electric conductivity varies according to certain laws. He connects two of its points with the two poles of a battery. The current, says he, must pass, and the distribution of this current on the surface will define a function whose singularities will be precisely those called for by the enunciation. 

Doubtless Professor Klein well knows he has given here only a sketch: nevertheless he has not hesitated to publish it; and he would probably believe he finds in it, if not a rigorous demonstration, at least a kind of moral certainty. A logician would have rejected with horror such a conception, or rather he would not have had to reject it, because in his mind it would never have originated. 

Again, permit me to compare two men, the honour of French science, who have recently been taken from us, but who both entered long ago into immortality. I speak of M Bertrand and M Hermite. They were scholars of the same school at the same time; they had the same education, were under the same influences; and yet what a difference! Not only does it blaze forth in their writings; it is in their teaching, in their way of speaking, in their very look. In the memory of all their pupils these two faces are stamped in deathless lines; for all who have had the pleasure of following their teaching, this remembrance is still fresh; it is easy for us to evoke it. 

While speaking, M Bertrand is always in motion; now he seems in combat with some outside enemy, now he outlines with a gesture of the hand the figures he studies. Plainly he sees and he is eager to paint, this is why he calls gesture to his aid. With M Hermite, it is just the opposite; his eyes seem to shun contact with the world; it is not without, it is within he seeks the vision of truth. 

Among the German geometers of this century, two names above all are illustrious, those of the two scientists who have founded the general theory of functions, Weierstrass and Riemann. Weierstrass leads everything back to the consideration of series and their analytic transformations; to express it better, he reduces analysis to a sort of prolongation of arithmetic; you may turn through all his books without finding a figure. Riemann, on the contrary, at once calls geometry to his aid; each of his conceptions is an image that no one can forget, once he has caught its meaning. 

More recently, Lie was an intuitionalist; this might have been doubted in reading his books, no one could doubt it after talking with him; you saw at once that he thought in pictures. Madame Kovalevski was a logician. 

Among our students we notice the same differences; some prefer to treat their problems 'by analysis,' others 'by geometry.' The first are incapable of 'seeing in space,' the others are quickly tired of long calculations and become perplexed. 

The two sorts of minds are equally necessary for the progress of science; both the logicians and the intuitionalists have achieved great things that others could not have done. Who would venture to say whether he preferred that Weierstrass had never written or that there had never been a Riemann? Analysis and synthesis have then both their legitimate roles. But it is interesting to study more closely in the history of science the part which belongs to each. 

**II**

Strange! If we read over the works of the ancients we are tempted to class them all among the intuitionalists. And yet nature is always the same; it is hardly probable that it has begun in this century to create minds devoted to logic. If we could put ourselves into the flow of ideas which reigned in their time, we should recognize that many of the old geometers were in tendency analysts. Euclid, for example, erected a scientific structure wherein his contemporaries could find no fault. In this vast construction, of which each piece however is due to intuition, we may still to-day, without much effort, recognize the work of a logician. 

It is not minds that have changed, it is ideas; the intuitional minds have remained the same; but their readers have required of them greater concessions. 

What is the cause of this evolution? It is not hard to find. Intuition can not give us rigour, nor even certainty; this has been recognized more and more. Let us cite some examples. We know there exist continuous functions lacking derivatives. Nothing is more shocking to intuition than this proposition which is imposed upon us by logic. Our fathers would not have failed to say: "It is evident that every continuous function has a derivative, since every curve has a tangent." 

How can intuition deceive us on this point? It is because when we seek to imagine a curve, we can not represent it to ourselves without width; just so, when we represent to ourselves a straight line, we see it under the form of a rectilinear band of a certain breadth. We well know these lines have no width; we try to imagine them narrower and narrower and thus to approach the limit; so we do in a certain measure, but we shall never attain this limit. And then it is clear we can always picture these two narrow bands, one straight, one curved, in a position such that they encroach slightly one upon the other without crossing. We shall thus be led, unless warned by a rigorous analysis, to conclude that a curve always has a tangent. 

I shall take as second example Dirichlet's principle on which rest so many theorems of mathematical physics; to-day we establish it by reasonings very rigorous but very long; heretofore, on the contrary, we were content with a very summary proof. A certain integral depending on an arbitrary function can never vanish. Hence it is concluded that it must have a minimum. The flaw in this reasoning strikes us immediately, since we use the abstract term function and are familiar with all the singularities functions can present when the word is understood in the most general sense. 

But it would not be the same had we used concrete images, had we, for example, considered this function as an electric potential; it would have been thought legitimate to affirm that electrostatic equilibrium can be attained. Yet perhaps a physical comparison would have awakened some vague distrust. But if care had been taken to translate the reasoning into the language of geometry, intermediate between that of analysis and that of physics, doubtless this distrust would not have been produced, and perhaps one might thus, even to-day, still deceive many readers not forewarned. 

Intuition, therefore, does not give us certainty. This is why the evolution had to happen; let us now how it happened. 

It was not slow in being noticed that rigour could not be introduced in the reasoning unless first made to enter into the definitions. For the most part the objects treated of by mathematicians were long in defined; they were supposed to be known because represented by means of the senses or the imagination; but one had only a crude image of them and not a precise idea on which reasoning could take hold. It was there first that the logicians had to direct their efforts. 

So, in the case of incommensurable numbers. The vague idea of continuity, which we owe to intuition, resolved itself into a complicated system of inequalities referring to whole numbers. 

By that means the difficulties arising from passing to the limit, or from the consideration of infinitesimals, are finally removed. To-day in analysis only whole numbers are left or systems, finite or infinite, of whole numbers bound together by a net of equality or inequality relations. Mathematics, as they say, is arithmetized. 

**III**

A first question presents itself. Is this evolution ended? Have we finally attained absolute rigour? At each stage of the evolution our fathers also thought they had reached it. If they deceived themselves, do we not likewise cheat ourselves? 

We believe that in our reasonings we no longer appeal to intuition; the philosophers will tell us this is an illusion. Pure logic could never lead us to anything but tautologies; it could create nothing new; not from it alone can any science issue. In one sense these philosophers are right; to make arithmetic, as to make geometry, or to make any science, something else than pure logic is necessary. To designate this something else we have no word other than intuition. But how many different ideas are hidden under this same word? 

Compare these four axioms:   
(1) Two quantities equal to a third are equal to one another;   
(2) if a theorem is true of the number 1 and if we prove that it is true of _n_ \+ 1 if true for _n_, then will it be true of all whole numbers;   
(3) if on a straight the point _C_ is between _A_ and _B_ and the point _D_ between _A_ and _C_, then the point _D_ will be between _A_ and _B_;   
(4) through a given point there is not more than one parallel to a given straight. 

All four are attributed to intuition, and yet the first is the enunciation of one of the rules of formal logic; the second is a real synthetic a priori judgment, it is the foundation of rigorous mathematical induction; the third is an appeal to the imagination; the fourth is a disguised definition. 

Intuition is not necessarily founded on the evidence of the senses; the senses would soon become powerless; for example, we can not represent to ourselves a chiliagon, and yet we reason by intuition on polygons in general, which include the chiliagon as a particular case. 

You know what Poncelet understood by the principle of continuity. What is true of a real quantity, said Poncelet, should be true of an imaginary quantity; what is true of the hyperbola whose asymptotes are real, should then be true of the ellipse whose asymptotes are imaginary. Poncelet was one of the most intuitive minds of this century; he was passionately, almost ostentatiously, so; he regarded the principle of continuity as one of his boldest conceptions, and yet this principle did not rest on the evidence of the senses. To assimilate the hyperbola to the ellipse was rather to contradict this evidence. It was only a sort of precocious and instinctive generalization which, moreover, I have no desire to defend. 

We have then many kinds of intuition; first, the appeal to the senses and the imagination; next, generalization by induction, copied, so to speak, from the procedures of the experimental sciences; finally, we have the intuition of pure number, whence arose the second of the axioms just enunciated, which is able to create the real mathematical reasoning. I have shown above by examples that the first two can not give us certainty; but who will seriously doubt the third, who will doubt arithmetic? 

Now in the analysis of to-day, when one cares to take the trouble to be rigorous, there can be nothing but syllogisms or appeals to this intuition of pure number, the only intuition which can not deceive us. It may be said that to-day absolute rigour is attained. 

**IV**

The philosophers make still another objection: "What you gain in rigour," they say, "you lose in objectivity. You can rise toward your logical ideal only by cutting the bonds which attach you to reality. Your science is infallible, but it can only remain so by imprisoning itself in an ivory tower and renouncing all relation with the external world. From this seclusion it must go out when it would attempt the slightest application." 

For example, I seek to show that some property pertains to some object whose concept seems to me at first indefinable, because it is intuitive. At first I fail or must content myself with approximate proofs; finally I decide to give to my object a precise definition, and this enables me to establish this property in an irreproachable manner. 

"And then," say the philosophers, "it still remains to show that the object which corresponds to this definition is indeed the same made known to you by intuition; or else that some real and concrete object whose conformity with your intuitive idea you believe you immediately recognize corresponds to your new definition. Only then could you affirm that it has the property in question. You have only displaced the difficulty." 

That is not exactly so; the difficulty has not been displaced, it has been divided. The proposition to be established was in reality composed of two different truths, at first not distinguished. The first was a mathematical truth, and it is now rigorously established. The second was an experimental verity. Experience alone can teach us that some real and concrete object corresponds or does not correspond to some abstract definition. This second verity is not mathematically demonstrated, but neither can it be, no more than can the empirical laws of the physical and natural sciences. It would be unreasonable to ask more. 

Well, is it not a great advance to have distinguished what long was wrongly confused? Does this mean that nothing is left of this objection of the philosophers? That I do not intend to say; in becoming rigorous, mathematical science takes a character so artificial as to strike every one; it forgets its historical origins; we see how the questions can be answered, we no longer see how and why they are put. 

This shows us that logic is not enough; that the science of demonstration is not all science and that intuition must retain its role as complement, I was about to say, as counterpoise or as antidote of logic. 

I have already had occasion to insist on the place intuition should hold in the teaching of the mathematical sciences. Without it young minds could not make a beginning in the understanding of mathematics; they could not learn to love it and would see in it only a vain logomachy; above all, without intuition they would never become capable of applying mathematics. But now I wish before all to speak of the role of intuition in science itself. If it is useful to the student, it is still more so to the creative scientist. 

**V**

We seek reality, but what is reality? The physiologists tell us that organisms are formed of cells; the chemists add that cells themselves are formed of atoms. Does this mean that these atoms or these cells constitute reality, or rather the sole reality? The way in which these cells are arranged and from which results the unity of the individual, is not it also a reality much more interesting than that of the isolated elements, and should a naturalist who had never studied the elephant except by means of the microscope think himself sufficiently acquainted with that animal? 

Well, there is something analogous to this in mathematics. The logician cuts up, so to speak, each demonstration into a very great number of elementary operations; when we have examined these operations one after the other and ascertained that each is correct, are we to think we have grasped the real meaning of the demonstration? Shall we have understood it even when, by an effort of memory, we have become able to repeat this proof by reproducing all these elementary operations in just the order in which the inventor had arranged them? Evidently not; we shall not yet possess the entire reality; that I know not what which makes the unity of the demonstration will completely elude us. 

Pure analysis puts at our disposal a multitude of procedures whose infallibility it guarantees; it opens to us a thousand different ways on which we can embark in all confidence; we are assured of meeting there no obstacles; but of all these ways, which will lead us most promptly to our goal? Who shall tell us which to choose? We need a faculty which makes us see the end from afar, and intuition is this faculty. It is necessary to the explorer for choosing his route; it is not less so to the one following his trail who wants to know why he chose it. 

If you are present at a game of chess, it will not suffice, for the understanding of the game, to know the rules for moving the pieces. That will only enable you to recognize that each move has been made conformably to these rules, and this knowledge will truly have very little value. Yet this is what the reader of a book on mathematics would do if he were a logician only. To understand the game is wholly another matter; it is to know why the player moves this piece rather than that other which he could have moved without breaking the rules of the game. It is to perceive the inward reason which makes of this series of successive moves a sort of organized whole. This faculty is still more necessary for the player himself, that is, for the inventor. 

Let us drop this comparison and return to mathematics. For example, see what has happened to the idea of continuous function. At the outset this was only a sensible image, for example, that of a continuous mark traced by the chalk on a blackboard. Then it became little by little more refined; ere long it was used to construct a complicated system of inequalities, which reproduced, so to speak, all the lines of the original image; this construction finished, the centring of the arch, so to say, was removed, that crude representation which had temporarily served as support and which was afterward useless was rejected; there remained only the construction itself, irreproachable in the eyes of the logician. And yet if the primitive image had totally disappeared from our recollection, how could we divine by what caprice all these inequalities were erected in this fashion one upon another? 

Perhaps you think I use too many comparisons; yet pardon still another. You have doubtless seen those delicate assemblages of silicious needles which form the skeleton of certain sponges. When the organic matter has disappeared, there remains only a frail and elegant lace-work. True, nothing is there except silica, but what is interesting is the form this silica has taken, and we could not understand it if we did not know the living sponge which has given it precisely this form. Thus it is that the old intuitive notions of our fathers, even when we have abandoned them, still imprint their form upon the logical constructions we have put in their place. 

This view of the aggregate is necessary for the inventor; it is equally necessary for whoever wishes really to comprehend the inventor. Can logic give it to us? No; the name mathematicians give it would suffice to prove this. In mathematics logic is called analysis and analysis means division, dissection. It can have, therefore, no tool other than the scalpel and the microscope. 

Thus logic and intuition have each their necessary role. Each is indispensable. Logic, which alone can give certainty, is the instrument of demonstration; intuition is the instrument of invention. 

**VI**

But at the moment of formulating this conclusion I am seized with scruples. At the outset I distinguished two kinds of mathematical minds, the one sort logicians and analysts, the others intuitionalists and geometers. Well, the analysts also have been inventors. The names I have just cited make my insistence on this unnecessary. 

Here is a contradiction, at least apparently, which needs explanation. And first do you think these logicians have always proceeded from the general to the particular, as the rules of formal logic would seem to require of them? Not thus could they have extended the boundaries of science; scientific conquest is to be made only by generalization. 

In one of the chapters of 'Science and Hypothesis,' I have had occasion to study the nature of mathematical reasoning, and I have shown how this reasoning, without ceasing to be absolutely rigorous, could lift us from the particular to the general by a procedure I have called mathematical induction. It is by this procedure that the analysts have made science progress, and if we examine the detail itself of their demonstrations, we shall find it there at each instant beside the classic syllogism of Aristotle. We, therefore, see already that the analysts are not simply makers of syllogisms after the fashion of the scholastics. 

Besides, do you think they have always marched step by step with no vision of the goal they wished to attain? They must have divined the way leading thither, and for that they needed a guide. This guide is, first, analogy. For example, one of the methods of demonstration dear to analysts is that founded on the employment of dominant functions. We know it has already served to solve a multitude of problems; in what consists then the role of the inventor who wishes to apply it to a new problem? At the outset he must recognize the analogy of this question with those which have already been solved by this method; then he must perceive in what way this new question differs from the others, and thence deduce the modifications necessary to apply to the method. 

But how does one perceive these analogies and these differences? In the example just cited they are almost always evident, but I could have found others where they would have been much more deeply hidden; often a very uncommon penetration is necessary for their discovery. The analysts, not to let these hidden analogies escape them, that is, in order to be inventors, must, without the aid of the senses and imagination, have a direct sense of what constitutes the unity of a piece of reasoning, of what makes, so to speak, its soul and inmost life. 

When one talked with M Hermite, he never evoked a sensuous image, and yet you soon perceived that the most abstract entities were for him like living beings. He did not see them, but he perceived that they are not an artificial assemblage, and that they have some principle of internal unity. 

But, one will say, that still is intuition. Shall we conclude that the distinction made at the outset was only apparent, that there is only one sort of mind and that all the mathematicians are intuitionalists, at least those who are capable of inventing? 

No, our distinction corresponds to something real. I have said above that there are many kinds of intuition. I have said how much the intuition of pure number, whence comes rigorous mathematical induction, differs from sensible intuition to which the imagination, properly so called, is the principal contributor. 

Is the abyss which separates them less profound than it at first appeared? Could we recognize with a little attention that this pure intuition itself could not do without the aid of the senses? This is the affair of the psychologist and the metaphysician and I shall not discuss the question. But the thing's being doubtful is enough to justify me in recognizing and affirming an essential difference between the two kinds of intuition; they have not the same object and seem to call into play two different faculties of our soul; one would think of two search-lights directed upon two worlds strangers to one another. 

It is the intuition of pure number, that of pure logical forms, which illumines and directs those we have called analysts. This it is which enables them not alone to demonstrate, but also to invent. By it they perceive at a glance the general plan of a logical edifice, and that too without the senses appearing to intervene. In rejecting the aid of the imagination, which, as we have seen, is not always infallible, they can advance without fear of deceiving themselves. Happy, therefore, are those who can do without this aid!, We must admire them; but how rare they are! 

Among the analysts there will then be inventors, but they will be few. The majority of us, if we wished to see afar by pure intuition alone, would soon feel ourselves seized with vertigo. Our weakness has need of a staff more solid, and, despite the exceptions of which we have just spoken, it is none the less true that sensible intuition is in mathematics the most usual instrument of invention. 

Apropos of these reflections, a question comes up that I have not the time either to solve or even to enunciate with the developments it would admit of. Is there room for a new distinction, for distinguishing among the analysts those who above all use this pure intuition and those who are first of all preoccupied with formal logic? 

M Hermite, for example, whom I have just cited, can not be classed among the geometers who make use of the sensible intuition; but neither is he a logician, properly so called. He does not conceal his aversion to purely deductive procedures which start from the general and end in the particular. 

* * *

JOC/EFR August 2007 

The URL of this page is:  
http://www-history.mcs.st-andrews.ac.uk/Extras/Poincare_Intuition.html

