---
created_at: '2015-05-12T20:42:59.000Z'
title: What is money? (1913)
url: http://moslereconomics.com/mandatory-readings/what-is-money/
author: darkroasted
points: 87
story_text: ''
comment_text: 
num_comments: 67
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1431463379
_tags:
- story
- author_darkroasted
- story_9534721
objectID: '9534721'

---
[Source](http://moslereconomics.com/mandatory-readings/what-is-money/ "Permalink to What is Money? - The Center of the Universe")

# What is Money? - The Center of the Universe

##  [The Center of the Universe][1]

### Powered By:

![][2]

* [Home][3]
* [About Warren][4]
* [Mandatory Readings][5]
* [Policy Proposals][6]
* [Q&A][7]
* [Support][8]
* [Contact][9]

[Home][1]  »  What is Money?

# What is Money?

From The Banking Law Journal, May 1913.  
By A. Mitchell Innes.

The fundamental theories on which the modern science of political economy is based are these:

> That under primitive conditions men lived and live by barter;  
  
That as life becomes more complex barter no longer suffices as a method of exchanging commodities, and by common consent one particular commodity is fixed on which is generally acceptable and which therefore, everyone will take in exchange for the things he produces or the services he renders and which each in turn can equally pass on to others in exchange for whatever he may want;  
  
That this commodity thus becomes a “medium of exchange and measure of value.”  
  
That a sale is the exchange of a commodity for this intermediate commodity which is called “money;”  
  
That many different commodities have at various times and places served as this medium of exchange—cattle, iron, salt, shells, dried cod, tobacco, sugar, nails, etc.;  
  
That gradually the metals, gold, silver, copper, and more especially the first two, came to be regarded as being by their inherent qualities more suitable for this purpose than any other commodities and these metals early became by common consent the only medium of exchange;  
  
That a certain fixed weight of one of these metals of a known fineness became a standard of value, and to guarantee this weight and quality it became incumbent on governments to issue pieces of metal stamped with their peculiar sign, the forging of which was punishable with severe penalties;  
  
That Emperors, Kings, Princes and their advisers, vied with each other in the middle ages in swindling the people by debasing their coins, so that those who thought that they were obtaining a certain weight of gold or silver for their produce were, in reality, getting less, and that this situation produced serious evils among which were a depreciation of the value of money and a consequent rise of prices in proportion as the coinage became more and more debased in quality or light in weight;  
  
That to economize the use of the metals and to prevent their constant transport a machinery called “credit” has grown up in modern days, by means of which, instead of handing over a certain weight of metal at each transaction, a promise to do so is given, which under favorable circumstances has the same value as the metal itself. Credit is called a substitute for gold. 

So universal is the belief in these theories among economists that they have grown to be considered almost as axiom which hardly require proof, and nothing is more noticeable in economic works than the scant historical evidence on which they rest, and the absence of critical examination of their worth.

Broadly speaking these doctrines may be said. to rest on the word of Adam Smith, backed up by a few passages from Homer and Aristotle and the writings of travelers in primitive lands. But modern research in the domain of commercial history and numismatics, and especially recent discoveries in Babylonia, have brought to light a mass of evidence which was not available to the earlier economists, and in the light of which it may be positively stated that none of these theories rest on a solid basis of historical proof—that in fact they are false.

To start, with Adam Smith’s error as to the two most generally quoted instances of the use of commodities as money in modern times, namely that of nails in a Scotch village and that of dried cod in Newfoundland, have already been exposed, the one in Playfair’s edition of the Wealth of Nations as long ago as 1805 and the other in an Essay on Currency and Banking by Thomas Smith, published in Philadelphia, in 1832; and it is curious how, in the face of the evidently correct explanation given by those authors, Adam Smith’s mistake has been perpetuated. In the Scotch village the dealers sold materials and food to the nail makers, and bought from them the finished nails the value of which was charged off against the debt.

The use of money was as well known to the fishers who frequented the coasts and banks of Newfoundland as it is to us, but no metal currency was used simply because it was not wanted. In the early days of the Newfoundland fishing industry, there was no permanent European population; the fishers went there for the fishing season only, and those who were not fishers were traders who bought the dried fish and sold to the fishers their daily supplies. The latter sold their catch to the traders at the market price in pounds, shillings and pence, and obtained in return a credit on their books, with which they paid for their supplies. Balances due by the traders were paid for by drafts on England or France. A moment’s reflection shows that a staple commodity could not be used as money, because ex hypothesi, the medium of exchange is equally receivable by all members of the community. Thus if the fishers paid for their supplies in cod, the traders would equally have to pay for their cod in cod, an obvious absurdity.

In both these instances in which Adam Smith believes that he has discovered a tangible currency, he has, in fact, merely found—credit. 

Then again as regards the various colonial laws, making corn, tobacco, etc., receivable in payment of debt and taxes, these commodities were never a medium of exchange in the economic sense of a commodity, in terms of which the value of all other things is measured. They were to be taken at their market price in money. Nor is there, as far as I know, any warrant for the assumption usually made that the commodities thus made receivable were a general medium of exchange in any sense of the words. The laws merely put into the hands of debtors a method of liberating themselves in case of necessity, in the absence of other more usual means. But it is not to be supposed that such a necessity was of frequent occurrence, except, perhaps in country districts far from a town and without easy means of communication.

The misunderstanding that has arisen on this subject is due to the difficulty of realizing that the use of money does not necessarily imply the physical presence of a metallic currency, nor even the existence of a metallic standard of value. We are so accustomed to a system in which the dollar or the sovereign of a definite weight of gold corresponds to a dollar or a pound of money that we cannot easily believe that there could exist a pound without a sovereign or a dollar without a gold or silver dollar of a definite known weight. But throughout the whole range of history, not only is there no evidence of the existence of a metallic standard of value to which the commercial monetary denomination, the “money of account” as it is usually called, corresponds, but there is overwhelming evidence that there never was, a monetary unit which depended on the value of coin or on a weight of metal; that there never was, until quite modern days, any fixed relationship between the monetary unit and any metal; that, in fact, there never was such a thing as a metallic standard of value. It is impossible within the compass of an article like this to present the voluminous evidence on which this statement is based; all that can be done is to offer a summary of the writer’s conclusions drawn from a study extending over several years, referring the reader who wishes to pursue the subject further to the detailed work which the writer hopes before long to publish.

The earliest known coins of the western world are those of ancient Greece, the oldest of which, belonging to the settlements on the coast of Asia Minor, date from the sixth or seventh centuries B. C. Some are of gold, some of silver, others are of bronze, while the oldest of all are of an alloy of the gold and silver, known as electrum. So numerous are the variations in size and weight of these coins that hardly any two are alike, and none bear any indication of value. Many learned writers, Barclay Head, Lenormant, Vazquez Queipo, Babelon, have essayed to classify these c6ins so as to discover the standard of value of the different Greek States; but the system adopted by each is different; the weights given by them are merely the mean weight calculated from a number of coins, the weights of which more or less approximate to that mean; and there are many coins which cannot be made to fit into any of the systems, while the weights of the supposed fractional coins do not correspond to those of the units in the system to which they are held to belong. As to the electrum coins, which are the oldest coins known to us, their composition varies in the most extraordinary way. While some contain more than 60 per cent of gold, others known to be of the same origin contain more than 60 per cent of silver, and between these extremes, there is every degree of alloy, so that they could not possibly have a fixed intrinsic value. All writers are agreed that the bronze coins of ancient Greece are tokens, the value of which does not depend on their weight.

All that is definitely known is that, while the various Greek States used the same money denominations, stater, drachma, etc., the value of these units differed greatly in different States, and their relative value was not constant—in modern parlance the exchange between the different States varied at different periods. Then is, in fact, no historical evidence in ancient Greece on which a. theory of a metallic standard can be based.

The ancient coins of Rome, unlike these of Greece, had their distinctive marks of value, and the most striking thing about them is the extreme irregularity of their weight. The oldest coins are the As and its fractions, and there has always been tradition that the As, which was divided into 12 ounces, was originally a pound-weight of copper. But the Roman pound weighed about 3271 grammes and Mommsen, the great historian of the Roman mint, pointed out that not only did none of the extant coins (and there were very many) approach this weight, but that they were besides heavily alloyed with lead; so that even the heaviest of them, which were also the earliest, did not contain more than two-thirds of a pound of copper, while the fractional coins were based on an As still lighter. As early as the third century B. C. the As had fallen to not more than four ounces and by the end of the second century B. C. it weighed no more than half an ounce or less.

Within the last few years a new theory has been developed by Dr. Haeberlin, according to whom the original weight of the As was based not on the Roman pound but on what he, calls the “Oscan” pound, weighing only about 273 grammes, and he seeks to prove the theory by taking the average of a large number of coins of the different denominations. He certainly arrives at a mean weight pretty closely approximating his supposed standard, but let us look at the coins from which he obtains his averages. The Asses which ought to weigh a pound, vary in fact from 208 grammes to 312 grammes with every shade of weight between these two extremes. The Half-Asses, which ought to weigh 136.5 grammes weigh from 94 grammes to 173 grammes; the Thirds-of-an-As, which ought to weigh 91 grammes, weigh from 66 grammes to 113 grammes, and the Sixth-of-an-As, weigh from 32 grammes to 62 grammes, and so on for the rest. This, however, is not the only difficulty in accepting Haeberlin’s theory, which is inherently too improbable and rests on too scant historical evidence to be credible. An average standard based on coins showing such wide variations is inconceivable; though coins may and do circulate at a nominal rate greater than their intrinsic value as bullion they cannot circulate at a rate below their intrinsic value. They would, in this case, as later history abundantly proves, be at once melted and used as bullion, And what would be the use of a standard coin-weight which showed such extraordinary variations? What would be the use of a yard-measure which might be sometimes two foot six and sometimes three foot six, at the whim of the maker; or of a pint which might sometimes be but two-thirds of a pint and sometimes a pint and a half?

I have not space here to go into the ingenious hypothesis by which Haeberlin explains the subsequent reduction of the As, at first to one-half the Oscan pound and then gradually sinking as time went on; both of our historians are agreed that from about B. C. 268 the copper coins were mere tokens and that both heavy and light coins circulated indiscriminately.

Up to this time the As had been the fixed monetary unit, however much the coins may have varied; but from now on the situation is complicated by the introduction of several units or “monies of account,” which are used at the same time, [ 1 ] the Sesterce or Numus, represented by a silver coin identical in value with the old As Aeris Gravis or Libral As, as it was sometimes called; a new As worth two-fifths of the old As, and the Denarius worth ten of the new Asses and therefore four Libral Asses, and represented, like the Sesterce, by a silver coin.

The coining of the Sesterce was soon abandoned and it only reappeared fitfully much later on as a token coin of bronze or brass. But as the official unit of account it continued till the reign of the Emperor Diocletian in the third century of our era, and we thus get the remarkable fact that for many hundreds of years the unit of account remained unaltered independently of the coinage which passed through many vicissitudes.

As a general rule, though there were exceptions, the silver Denarii remained of good metal until the time of Nero who put about ten per cent of alloy in them. Under subsequent Emperors the amount of alloy constantly increased till the coins were either of copper with a small amount of silver, or were made of a copper core between two thin plates of silver, or were mere copper coins distinguishable from the other copper coins only by the devices stamped on them; but they continued to be called silver.

Whether or not the silver Denarius was intrinsically worth its nominal value or not is a matter of speculation, but fifty years later, according to Mommeen, the legal value of the coin was one-third greater than its real value, and a gold coin was for the first time introduced rated at far above its intrinsic value. 

In spite of the degradation of the coin, however, the Denarius, as a money of account, maintained its primitive relation to the Sesterce, and it remained the unit long after the Sesterce had disappeared. Gold coins were but little used till the time of the Empire, and though, as a general rule, the quality of the metal remained good, the average weight, decreased as time went on, and the variations in their weight, even in the same reign, were quite as remarkable as in the others. For example in the reign of Aurelian the gold coins weighed from three-and-a-half grammes to nine grammes, and in that of Gallienus from four-fifths of a gramme to about six-and-three-quarters grammes, without any difference greater than half a gramme between any one coin and that nearest it in weight.

There can hardly be stronger evidence than we here get that the monetary standard was a thing entirely apart from the weight of the coins or the material of which they were composed. These varied constantly, while the money unit remained the same for centuries.

An important thing to remember in reference to Roman money is that, while the debased coins were undoubtedly tokens, there is no question of their representing a certain weight of gold or silver. The public had no right to obtain gold or silver in exchange for the coins. They were all equally legal tender, and it was an offense to refuse them; and there is good historical evidence to show that though the government endeavored to fix an official value for gold, it was only obtainable at a premium.

The coins of ancient Gaul and Britain are very various both in types and in composition and as they were modelled on the coins in circulation in Greece, Sicily and Spain, it may be presumed that they were issued by foreign, probably Jewish, merchants, though some appear to have been issued by tribal chieftains. Anyhow, there was no metallic standard and though many of the coins are classed by collectors as gold or silver, owing to their being imitated from foreign gold or silver coins, the so-called, gold coins more often than not, contain but a small proportion of gold, and the silver coins but little silver. Gold, silver, lead and tin all enter into their composition. None of them bear any mark of value, so that their classification is pure guess-work, and there can be no reasonable doubt but that they were tokens.

Under the Frankish Kings, who reigned for three hundred years (A. D. 457–751), the use of coins was much developed, and they are of great variety both as to type and alloy. The monetary unit was the Sol or Sou, and it is generally held that the coins represented either the Sou or the Triens, the third part of a Sou, though, for the purposes of accounts the Sou was divided into twelve Denarii. They are of all shades of alloy of gold with silver, from almost pure gold to almost pure silver, while some of the silver coins bear traces of gilding. They were issued by the kings themselves or various of their administrators, by ecclesiastical institutions, by the administrators of towns, castles, camps, or by merchants, bankers, jewellers, etc. There was, in fact, during the whole of this period, complete liberty of issuing coins without any form of official supervision. Throughout this time there was not a single law on the currency, and yet we do not hear of any confusion arising out of this liberty.

There can be no doubt that all the coins were tokens and that the weight or composition was not regarded as a matter of importance. What was important was the name or distinguishing mark of the issuer, which is never absent.

I have made this rapid survey of early coinages to show that from the beginning of the rise of the art of coining metal, there is no evidence of a metallic standard of value, but later history, especially that of France up to the Revolution, demonstrates with such singular clearness the fact that no such standard ever existed, that it may be said without exaggeration that no scientific theory has ever been put forward which was more completely lacking in foundation. If, in this article, I confine myself almost exclusively to French history, it is not that other histories contain anything which could disprove my contention–indeed all that is known to me of English, German, Italian, Mohammedan and Chinese history amply support it–but the characteristic phenomena of the monetary situation are strongly marked in France, and the old records contain more abundant evidence than seems to be the case in other countries. Moreover, French historians have devoted more attention to this branch of history than, so far as I know, those of other countries. We thus get from French history a peculiarly clear and connected account of the monetary unit and its connection with commerce on the one hand and the coinage on the other. But the principles of money and the methods of commerce are identical the world over, and whatever history we choose for our study, we shall be carried to the same conclusions.

The modern monetary history of France may be held to date from the accession of the Carolingian dynasty at the end of the eighth century. The Sou and the Denarius or Denier its twelfth part, continued to be used for money computation, and there was added a larger denomination, the Livre, divided into twenty Sous, which became the highest unit, and these denominations subsisted right up to the Revolution in 1879. The English pound, divided into twenty, shillings and 240 pence corresponds to the Livre and its divisions, from which the British system seems to be derived. 

Le Blanc, the seventeenth century historian of the French coinage avers, and later authorities have followed him, that the livre of money was originally a pound-weight of silver, just as English historians have maintained that the English money pound was a pound of silver. He supports his contention by a few quotations, which do not necessarily bear the meaning he gives them, and there is no direct evidence in favor of the statement. In the first place there never was a coin equivalent to a livre, nor till long after Carolingian times was there one equivalent to a sou. [ 2 ] The only Royal coin at that time, so far as we know, was the denier, and its value, if it had a fixed value, is unknown. The word denier, when applied to coin, just as the English penny, frequently means merely a coin in general, without reference to its value, and coins of many different values were called by these names. Moreover, the deniers of that time vary in weight and to some extent in alloy, and we know positively from a contemporary document that the term livre as applied to a commercial weight, was not identified with any single weight but was merely the name of a unit which varied in different communities. The fact is that the wish to prove the identity between a livre of money and a livre of weight is father to the thought. We know nothing on the subject, and when some time later we do obtain a certain knowledge, the livre and the pound of money were by no means the equivalent of a livre or a pound weight of Silver. What we do know for certain is that the Sol and the Denier in France and the Shilling and the Penny in England were the units of account long before the Livre and the Pound carne into use, and could not have been related to a weight of silver.

There are only two things which we know for certain about the Carolingian coins. The first is that the coinage brought a profit to the issuer. When a king granted a charter to one of his vassals to mint coins, it is expressly stated that he is granted that right with the profits and emoluments arising therefrom. The second thing is that there was considerable difficulty at different times in getting the public to accept the coins, and one of the kings devised a punishment to fit the crime of refusing one of his coins. The coin which had been refused was heated red-hot and pressed onto the forehead of the culprit, “the veins being uninjured so that the man shall not perish, but shall show his punishment to those who see him.” There can be no profit from minting coins of their full value in metal, but rather a loss, and it is impossible to think that such disagreeable punishments would have been necessary to force the public to accept such coins, so that it is practically certain that they must have been below their face value and therefore were tokens, just as were those of earlier days. It must be said, however, that there is evidence to show that the kings of this dynasty were careful both of the weight and the purity of their coins, and this fact has given color to the theory that their value depended on their weight and purity. We find, however, the same pride of accuracy with the Roman mints; and also in later days when the coinage was of base metal, the directions to the masters of the mints as to the weight, alloy and design were just as careful, although the value of the coin could not thereby be affected. Accuracy was important more to enable the public to distinguish between a true and a counterfeit coin than for any other reason.

From the time of the rise of the Capetian dynasty in A. D. 987, our knowledge of the coinage and of other methods employed in making payments becomes constantly clearer. The researches of modern French historians have put into our possession a wealth of information, the knowledge of which is absolutely essential to a proper understanding of monetary problems, but which has unfortunately been ignored by economists, with the result that their statements are based on a false view of the historical facts, and it is only by a distortion of those facts that the belief in the existence of a metallic standard has been possible. Throughout the feudal period the right of coinage belonged not alone to the king but was also an appanage of feudal overlordship, so that in France there were beside the royal monies, eighty different coinages, issued by barons and ecclesiastics, each entirely independent of the other, and differing as to weights, denominations, alloys and types. There were, at the same time, more than twenty different monetary systems. Each system had as its unit the livre, with its subdivisions, the sol and the denier, but the value of the livre varied in different parts of the country and each different livre had its distinguishing title, such as livre parisis, livre tournois, livre estevenante, etc. And not only did the value of each one of these twenty or more livres differ from all the others, but the relationship between them varied from time to time. Thus the livre detern was in the first half of the thirteenth century worth approximately the same as the livre tournois; but in 1265 it was worth 1.4 of the tournois, in 1409 it was worth 1.5 of a tournois, and from 1531 till its disappearance, it was worth two tournois. At the beginning of the thirteenth century the livre tournois was worth 0.68 of a livre parisis, while fifty years later it was worth 0.8 of a parisis; i.e., five tournois equalled four parisis, at which rate they appear to have remained fixed. These two units were both in common use in official accounts.

From the time of Hugues Capet down to that of Louis XIV (1638) almost the entire coinage was of base metal containing for the most part less than one-half of silver, and for at least two centuries previous to the accession of Saint Louis) in A. D. 1226, there was probably not a coin of good silver in the whole kingdom.

We now come to the most characteristic feature of the finance or feudal France and the one which has apparently given rise to the unfounded accusations of historians regarding the debasement of the coinage. The coins were not marked with a face value, and were known by various names, such as Gros Toumois, Blanc A. la Couronne, Petit Parisis, etc. They were issued at arbitrary values, and when the king was in want of money, he “mua sa monnaie,” as the phrase was, that is to say, he decreed a reduction of the nominal value of the coins. This was a perfectly well recognized method of taxation acquiesced in by the people, who only complained when the process was repeated too often, just as they complained of any other system of taxation which the king abused. How this system of taxation worked will be explained later on. The important thing to bear in mind for the present is the fact—abundantly proved by modern researches—that the alterations in the value of the coins did not affect prices.

Some kings, especially Philippe le Bel and Jean le Bon, whose constant wars kept their treasuries permanently depleted, were perpetually “crying down” the coinage, in this way and issuing new coins of different types, which in their turn were cried down, till the system became a serious abuse. Under these circumstances the coins had no stable value, and they were bought and sold at market prices which sometimes fluctuated daily, and generally with great frequency. The coins were always issued at a nominal value in excess of their intrinsic value, and the amount of the excess constantly varied. The nominal value of the gold coins bore no fixed ratio to that of the silver coins, so that historians who have tried to calculate the ratio subsisting between gold and silver have been led to surprising results; sometimes the ratio being 14 or 15 to 1 or more, and at other times the value of the gold apparently being hardly if at all superior to that of silver.

The fact is that the official values were purely arbitrary and had nothing to do with the intrinsic value of the coins. Indeed when the kings desired to reduce their coins to the least possible nominal value they edicts that they should only be taken at their bullion value. At times there were so many edicts in force referring to changes in the value of the coins, that none but an expert could tell what the values of the various coins of different issues were, and they became a highly speculative commodity. The monetary units, the livre, sol and denier, are perfectly distinct from the coins and the variations in the value of the latter did not affect the former, though, as will be seen, the circumstances which led up to the abuse of the system of “mutations” caused the depreciation of the monetary unit.

But the general idea that the kings wilfully debased their coinage, in the sense of reducing their weight and fineness is without foundation. On the contrary towards the end of the thirteenth century, the feeling grew up that financial stability depended somehow on the uniformity of the coinage, and this idea took firm root after the publication of a treatise by one Nicole Oresme (famous in his time), written to prove the importance of a properly adjusted system of coinage issued if not at its intrinsic value, at least at a rate not greatly exceeding that value, the gold and silver coins each in their proper ratio; and he attached especial importance to their maintenance at a fixed price.

The reign of Saint Louis (1226–1270), a wise and prudent financier, had been a time of great prosperity, and amid the trouble of succeeding reigns, the purchasing power of money decreased with extraordinary rapidity. The money had, as people said, become “faible,” and they clamored for the “forte monnaie” of the regretted Saint Louis. The price of silver as paid by the mints, rose greatly, and with every new issue of money the coins had to be rated higher than before; and the Advisers of the Kings, influenced, no doubt, by the teaching of Oresme, believed that in the rise of the price of silver lay the real secret of the rise of prices in general. When, therefore, the prevailing distress could no longer be ignored, attempts were made from time to time to bring back “forte monnaie,” by officially reducing the price of silver and by issuing new coins at a lower rating compared with the amount of silver in them, and by lowering the nominal value of the existing coins in like proportion.

But prices still moved upwards, and a “cours volontaire,” a voluntaryrating, was given by the public to the coins, above their official value. In vain Kings expressed their royal displeasure in edicts which declared that they had re-introduced “forte monnaie” and in which they peremptorily commanded that prices in the markets should be reduced and that their coins should only circulate at their official value. The disobedient merchants were threatened with severe penalties; but the more the kings threatened, the worse became the confusion. The markets were deserted.

Impotent to carry out their well-meant but mistaken measures, the kings had to cancel their edicts, or to acquiesce in their remaining a dead letter.

The most famous of these attempts to return to “forte monnaie,” by means of a reduction of the price of silver, was that introduced by Charles the Fifth, the pupil in financial matters, of Nicole Oresme. With the most praiseworthy obstinancy he stuck to his point, persuaded that he could force the recalcitrant metals to return to their old prices. As the coins disappeared from circulation, owing to their bullion value being higher than their nominal value, the Icing manfully sacrificed his silver plate to the mint as well as that of his subjects, and persuaded the Pope to excommunicate the neighboring princes who counterfeited his coins, or at least manufactured coins of less value for circulation in France. He kept up the struggle for the sixteen years of his reign, but the attempt was a failure and was abandoned at his death amid the rejoicing of the people. It is a curious [ 3 ] fact that it was generally the attempts at reform of the currency that raised the greatest protests of the people. Indeed one such attempt was the cause of the outbreak of a serious revolt in Paris, which had to be supressed with great rigor.

The system of wilful “mutations” of the money, for the purpose of taxation, was not confined to France, but was common throughout Germany, while the other phenomena which we meet with in the French currency are present in all the great commercial countries and cities. The issue of coins at an arbitrary value above their intrinsic value; the want of stability in their value; the strenuous endeavors of the governments to prevent by law the rise of the price of the precious metals and to stop the people from giving a price of their own to the coins higher or lower than those fixed by the government; the failure of these attempts; the endeavor to prevent the circulation of foreign coins lighter for their value than the local money; the belief that there was some secret evil agency at work to confound the good intentions of the government and to cause the mysterious disappearance of the good coins issued by the government, so that there was always a dearth of money; the futile search for the evil doers, and equally futile watch kept on the ports to prevent the export of coins or bullion, the history not only of France, but of England, the German States, Hamburg, Amsterdam and Venice is full of such incidents. In all these countries and cities, the monetary unit was distinct from the coins, (even when they bore the same name,) and the latter varied in terms of the former independently of any legislation, in accordance possibly with the apparently ceaseless fluctuations in the price of the precious metals. In Amsterdam and in Hamburg in the eighteenth century, an exchange list was published at short intervals, and affixed in the Bourse, giving the current value of the coins in circulation in the City, both foreign and domestic, in terms of the monetary unit—the Florin in Amsterdam and the Thaler in Hamburg, both of them purely imaginary units. The value of these coins fluctuated almost daily, nor did their value depend solely on their weight and fineness. Coins of similar weight and fineness circulated at different prices, according to the country to which they belonged.

It must be remembered that, until recent years there was no idea that in France or England there was one standard coin, all the others being subsidiary tokens representing a certain part of the standard. Quite the contrary; all were equally good or bad, all were equally good tender according to the law. Just as in Roman times, there was no obligation to give gold or silver for the over-valued coins, and none was ever given. The only reason why the intrinsic value of some of the coins ever equalled or exceeded their nominal value was because of the constant rise of the price of precious metals, or (what produced the same result) the continuous fall in the value of the monetary unit.

Though it would be hard to imagine a greater contrast than that between the condition of feudal France and that of North America in the eighteenth century, yet it is interesting to observe the close analogy in some respects between the monetary situation in olden France and that of the new world in colonial days and in the early days of the United States. There the Pound behaved just as the Livre had done in France. It was the monetary unit in all the colonies and subsequently for a time in all the States, but its value was not everywhere the same. Thus in 1782 the silver dollar was worth five shillings in Georgia, eight shillings in New York, six shillings in the New England States, and thirty-two shillings and sixpence in South Carolina.

But there were no coins bearing a fixed relation to any of these various pounds and, in consequence, when Alexander Hamilton wrote his report on the establishment of a mint, he declared that, while it was easy to state what was the unit of account, it was “not equally easy to pronounce what is considered as the unit in the coins.” There being, as he said, no formal regulation on the point it could only be inferred from usage; and he came to the conclusion that on the whole the coin best entitled to the character of the unit was the Spanish dollar. But the arguments which he gave in favor of the dollar lost, as he himself said, much of their weight owing to the fact that “that species of coin has never had any settled or standard value according to weight or fineness; but has been permitted to circulate by tale without regard to either.” Embarrassed by this circumstance, and finding in fact that gold was the less fluctuating metal of the two, Hamilton had difficulty in deciding to which of the precious metals the monetary unit of the United States should in future be “annexed” and he finally concluded to give the preference to neither, but to establish a bi-metallic system, which, however, in practice was found to be unsuccessful.

One of the popular fallacies in connection with commerce is that in modern days a money-saving device has been introduced called credit and that, before this device was known, all, purchases were paid for in cash, in other words in coins. A careful investigation shows that the precise reverse is true. In olden days coins played a far smaller part in commerce than they do to-day. Indeed so small was the quantity of coins, that they did not even suffice for the needs of the Royal household and estates which regularly used tokens of various kinds for the purpose of making small payments. So unimportant indeed was the coinage that sometimes Kings did not hesitate to call it all in for re-minting and re-issue and still commerce went on just the same.

The modern practice of selling coins to the public seems to have been quite unknown in old days. The metal was bought by the Mint and the coins were issued by the King in payment of the expenses of the Government, largely I gather from contemporary documents, for the payment of the King’s soldiers. One of the most difficult things to understand is the extraordinary differences in the price which was paid for the precious metal by the French Mint, even on the same day. The fact that the price often, if not always, bore no relation to the market value of the metal has been remarked on by writers; but there is nothing in any record to show on what it was based. The probable explanation is that the purchase and sale of gold and silver was in the hands of a very few great bankers who were large creditors of the Treasury and the purchase of the metals by the Mint involved a financial transaction by which part payment of the debt was made in the guise of an exorbitant price for the metal. 

From long before the fourteenth century in England and France (and I think, in all countries), there were in common use large quantities of private metal tokens against which the governments made constant war with little success. It was not indeed till well on in the nineteenth century that their use was suppressed in England and the United States. We are so accustomed to our present system of a government monopoly of coinage, that we have come to regard it as one of the prime functions of government, and we firmly hold the doctrine that some catastrophe would occur if this monopoly were not maintained. History does not bear out this contention; and the reasons which led the medieval governments to make repeated attempts to establish their monopoly was in France at any rate not altogether parental care for the good of their subjects, but partly because they hoped by suppressing private tokens which were convenient and seemed generally (though not always) to have enjoyed the full confidence of the public, that the people would be forced by the necessity of having some instrument for retail commerce to make more general use of the government coins which from frequent “mutations” were not always popular, and partly because it was believed that the circulation of a large quantity of base tokens somehow tended to raise the price of the precious metals, or rather, perhaps, to lower the value of the coinage; just as economists to-day teach that the value of our token coinage is only maintained by strictly limiting its output.  
The reason why in modern days the use of private tokens has disappeared is more due to natural causes, than to the more efficient enforcement of the law. Owing to improved finance coins have acquired a stability they used not to have, and the public has come to have confidence in them. Owing to the enormous growth of government initiative these tokens have come to have a circulation which no private tokens could enjoy, and they have thus supplanted the latter in the public estimation, and those who want tokens for small amounts are content to buy them from the government.

Now if it is true that coins had no stable value, that for centuries at a time there was no gold or silver coinage, but only coins of base metal of various alloys, that changes in the coinage did not affect prices, that the coinage never played any considerable part in commerce, that the monetary unit was distinct from the coinage and that the price of gold and silver fluctuated constantly in terms of that unit (and these propositions are so abundantly proved by historical evidence that there is no doubt of their truth), then it is clear that the precious metals could not have been a standard of value nor could they have been the medium of exchange. That is to say that the theory that a sale is the exchange of a commodity for a definite weight of a universally acceptable metal will not bear investigation, and ive must seek for another explanation of the nature of a sale and purchase and of the nature of money, which undoubtedly is the thing for which the commodities are exchange.

If we assume that in pre-historic ages, man lived by barter, what is the development that would naturally have taken place, whereby he grew to his present knowledge of the methods of commerce? The situation is thus explained by Adam Smith:

> But when the division of labor first began to take place, this power of exchanging must frequently have been very much clogged and embarrassed in its operations. One man, we shall suppose, has more of a certain commodity than, he himself has occasion for, while another has less. The former consequently would be glad to dispose of, and the latter to purchase, a part of this superfluity. But if this latter should chance to have nothing that for former stands in need of, no exchange can be made between them. The butcher has more meat in his shop than he himself can consume, and the brewer and the baker would each of them be willing to purchase a part of it. But they have nothing to offer in exchange, except the different productions of their respective trades, and the butcher is already provided with all the bread and beer which he has immediate occasion for. No change can in this case be made between them. He cannot offer to be their merchant nor they his customers; and they are all of them thus mutually less serviceable to one another. In order to avoid the inconveniency of such situations, every prudent man in every period of society, after the first establishment of the division of labor, must naturally have endeavored to manage his affairs in such a manner, as to have at all times by him, besides the peculiar produce of his own industry, a certain quantity of some one commodity or other, such as, he imagined that few people would be likely to refuse in exchange for the produce of their industry.  
  
Many different commodites, it is probable, were successively both thought of and employed for this purpose. . . . . . . . . . In all countries, however, men seem at last to have been determined by irresistible reasons to give the preference, for this employment, to metals above every other commodity.

Adam Smith’s position depends on the truth of the proposition that, if the baker or the brewer wants meat from the butcher, but has (the latter being sufficiently provided with bread and beer) nothing to offer in exchange, no exchange can be made between them. If this were true, the doctrine of a medium of exchange would, perhaps, be correct. But is it true?

Assuming the baker and the brewer to be honest men, and honesty is no modern virtue, the butcher could take from them an acknowledgment that they had bought from him so much meat, and all we have to assume is that the community would recognize the obligation of the baker and the brewer to redeem these acknowledgments in bread or beer at the relative values current in the village market, whenever they might be presented to them, and we at once have a good and sufficient currency. A sale, according to this theory, is not the exchange of a commodity for some intermediate commodity called the “medium of exchange,” but the exchange of a commodity for a credit.

There is absolutely no reason for assuming the existence of so clumsy a device as a medium of exchange when so simple a system would do all that was required. What we have to prove is not a strange general agreement to accept gold and silver, but a general sense of the sanctity of an obligation. In other words, the present theory is based on the antiquity of the law of debt.

We are here fortunately on solid historical ground. From the earliest days of which we have historical records, we are in the presence of a law of debt, and when we shall find, as we surely shall, records of ages still earlier than that of the great king Hamurabi, who compiled his code of the laws of Babylonia 2000 years B. C., we shall, I doubt not, still find traces of the same law. The sanctity of an obligation is, indeed, the foundation of all societies not only in all times, but at all stages of civilization; and the idea that to those whom, we are accustomed to call savages, credit is unknown and only barter is used, is without foundation. From the merchant of China to the Redskin of America; from the Arab of the desert to the Hottentot of South Africa or the Maori of New Zealand, debts and credits are equally familiar to all, and the breaking of the pledged word, or the refusal to carry put an obligation is held equally disgraceful.

It is here necessary to explain the primitive and the only true commercial or economic meaning of the word “credit.” It is simply the correlative of debt. What A owes to B is A’s debt to B and B’s credit on A. A is B’s debtor and B is A’s creditor. The words “credit” and “debt” express a legal relationship between two parties, and they express the same legal relationship seen from two opposite sides. A will speak of this relationship as a debt, while B will speak of it as a credit. As I shall have frequent occasion to use these two words, it is necessary that the reader should familiarize himself with this conception which, though simple enough to the banker or financial expert, is apt to be confusing to the ordinary reader, owing to the many derivative meanings which are with the word “credit.” Whether, therefore, in the following pages, the word credit or debt is used, the thing spoken of is precisely the same in both cases, the one or the other word being used according as the situation is being looked at from the point of view of the creditor or of the debtor.

A first class credit is the most valuable kind of property. Having no corporeal existence, it has no weight and takes no room. It can easily be transferred, often without any formality whatever. It is movable at will from place to place by a simple order with nothing but the cost of a letter or a telegram. It can be immediately used to supply any material want, and it can be guarded against destruction and theft at little expense. It is the most easily handled of all forms of property and is one of the most permanent. It lives with the debtor and shares his fortunes, and when he dies, it passes to the heirs of his estate. As long as the estate exists, the obligation continues, [ 4 ] and under favorable circumstances and in a healthy state of commerce there seems to be no reason why it should ever suffer deterioration.

Credit is the purchasing power so often mentioned in economic works as being one of the principal attributes of money, and, as I shall try to show, credit and credit alone is money. Credit and not gold or silver is the one property which all men seek, the acquisition of which is the aim and object of all commerce.

The word “credit” is generally technically defined as being the right to demand and sue for payment of a debt, and this no doubt is the legal aspect of a credit today; while we are so accustomed to paying a multitude of small purchases in coin that we have come to adopt the idea, fostered by the laws of legal tender, that the right to payment of a debt means the right to payment in coin or its equivalent. And further, owing to our modern systems of coinage, we have been led to the notion that payment in coin means payment in a certain weight of gold.

Before we can understand the principles of commerce we must wholly divest our minds of this false idea. The root meaning of the verb “to pay “is: that of “to appease,” “to pacify,” “to satisfy,” and while a debtor must be in a position to satisfy his creditor, the really important characteristic of a credit is not the right which it gives to “payment” of a debt, but the right that it confers on the holder to liberate himself from debt by its means—a right recognized by all societies. By buying we become debtors and by selling we become creditors, and being all both buyers and sellers we are all debtors and creditors. As debtor we can compel our creditor to cancel our obligation to him by handing to him his own acknowledgment of a debt to an equivalent amount which he, in his turn, has incurred. For example, A having bought goods from B to the value of $100, is B’s debtor for that amount. A can rid himself of his obligation to B by selling to C goods of an equivalent value and taking from him in payment an acknowledgment of debt which he (C, that is to say) has received from B. By presenting this acknowledgment to B, A can compel him to cancel the debt due to him. A has used the credit which he has procured to release himself from his debt. It is his privilege.

This is the primitive law of commerce. The constant creation of credits and debts, and their extinction by being canceled against one another, forms the whole mechanism of commerce and it is to simple that there is no one who cannot understand it.

Credit and debt have nothing and never have had anything to do with gold and silver. There is not and there never has been, so far as I am aware, a law compelling a debtor to pay his debt in gold or silver, or in any other commodity; nor so far as I know, has there ever been a law compelling a creditor to receive payment of a debt in gold or silver bullion, and the instances in colonial days of legislation compelling creditors to accept payment in tobacco and other commodities were exceptional and due to the stress of peculiar circumstances. Legislatures may of course, and do, use their sovereign power to prescribe a particular method by which debts may be paid, but we must be chary of accepting statute laws on currency, coinage or legal tender, as illustrations of the principles of commerce.

The value of a credit depends not on the existence of any gold or silver or other property behind it, but solely on the “solvency” of the debtor, and that depends solely on whether, when the debt becomes due, he in his turn has sufficient credits on others to set off against his debts. If the debtor neither possesses nor can acquire credits which can be offset against his debts, then the possession of those debts is of no value to the creditors who own them. It is by selling, I repeat, and by selling alone—whether it be by the sale of property or the sale of the use of our talents or of our land—that we acquire the credits by which we liberate ourselves from debt, and it is by his selling power that a prudent banker estimates his client’s value as a debtor.

Debts due at a certain moment can only be cancelled by being offset against credits which become available at that moment; that is to say that a creditor cannot be compelled to accept in payment of a debt due to him an acknowledgment of indebtedness which he himself has given and which only falls due at a later time. Hence it follows that a man is only solvent if he has immediately available credits at least equal to the amount of his debts immediately due and presented for payment. If, therefore, the sum of his immediate debts exceeds the sum of his immediate credits, the real value of these debts to his creditors will fall to an amount which will make them equal to the amount of his credits. This is one of the most important principles of commerce.

Another important point to remember is that when a seller has delivered the commodity bought and has accepted an acknowledgment of debt from the purchaser, the transaction is complete, the payment of the purchase is final; and the new relationship which arises between the seller and the purchaser, the creditor and the debtor, is distinct from the sale and purchase.

For many centuries, how many we do not know, the principal instrument of commerce was neither the coin nor the private token, but the tally, [ 5 ] (Lat. talea. Fr. taille. Ger. Kerbholz), a stick of squared hazel-wood, notched in a certain, manner to indicate the amount of the purchase or, debt. The name of the debtor and the date of the transaction were written on two opposite sides of the stick, which was then split down the middle in such a way that the notches were cut in half, and the name and date appeared on both pieces of the tally. The split was stopped by a cross-cut about an inch from the base of the stick, so that one of the pieces was shorter than the other. One piece, called the “stock,” [ 6 ] was issued to the seller or creditor, while the other, called the “stub” or “counter-stock,” was kept by the buyer or debtor. Both halves were thus a complete record of the credit and debt and the debtor was protected by his stub from the fraudulent imitation of or tampering with his tally.

The labors of modern archaeologists have brought to light numbers of objects of extreme antiquity, which may with confidence be pronounced to be ancient tallies, or instruments of a precisely similar nature; so that we can hardly doubt that commerce from the most primitive times was carried on by means of credit, and not with any “medium of exchange.”

In the treasure hoards of Italy there have been found many pieces of copper generally heavily alloyed with iron. The earliest of these, which date from between 1000 and 2000 years B. C., a thousand years before the introduction of coins, are called aes rude and are either shapeless ingots or are cast into circular discs or oblong cakes. The later pieces, called aes signatum, are all cast into cakes or tablets and bear various devices. These pieces of metal are known to have been used as money, and their use was continued some considerable time after the introduction of coins.

The characteristic thing about the, aes rude and the aes signatum is that, with rare exceptions, all of the pieces have been purposely broken at the time of manufacture while the metal was still hot and brittle or “short,” as it is technically called. A chisel was placed on the metal and struck a light blow. The chisel was then removed and the metal was easily broken through with a hammer blow, one piece being usually much smaller than the other. There can be no reasonable doubt but that these were ancient tallies, the broken metal affording the debtor the same protection as did the split hazel stick in later days.

The condition of the early Roman coinage shows that the practice of breaking off a piece of the coins—thus amply proving their token character—was common down to the time when the casting of the coins was superseded by the more perfect method of striking them.

In Taranto, the ancient Greek colony of Tarentum, a hoard has lately been found in which were a number of cakes of silver (whether pure or base metal is not stated), stamped with a mark similar to that found on early Greek coins. All of them have a piece purposely broken off. There were also found thin discs, with pieces cut or torn off so as to leave an irregularly serrated edge.

In hoards in Germany, a few bars of an alloy of silver have been found, of the same age as the Italian copper cakes. While some of these are whole, others have a piece hacked off one end.

Among recent discoveries in ancient Babylonia, far the most common commercial documents which have been found are what are called “contract tablets” or “shuhati tablets”—the word shubati, which is present on nearly all of them, meaning “received.” These tablets, the oldest of which were in use from 2000 to 3000 years B. C. are of baked or sun-dried clay, resembling in shape and size the ordinary cake of toilet soap, and very similar to the Italian copper cakes. The greater number are simple records of transactions in terms of “she,” which is understood by archaeologists to be grain of some sort. 

They bear the following indications:—

The quantity of grain.

The word “shubati” or received.

The name of the person from whom received.

The name of the person by whom received.

The date.

The seal of the receiver or, when the King is the receiver, that of his “scribe” or “servant.”

From the frequency with which these tablets have been met with, from the durability of the material of which they are made, from the care with which they were preserved in temples which are known to have served as banks, and more especially from the nature of the inscriptions, it may be judged that they correspond to the medieval tally and to the modern bill of exchange; that is to say, that they are simple acknowledgments of indebtedness given to the seller by the buyer in payment of a purchase, and that they were the common instrument of commerce.

But perhaps a still more convincing proof of their nature is to be found in the fact that some of the tablets are entirely enclosed in tight-fitting clay envelopes or “cases,” as they are called, which have to be broken off before the tablet itself can be inspected. On these “case tablets,” they are called, the inscription is found on the case, and it is repeated on the inclosed tablet, with two notable omissions. The name and seal of the receiver are not found inside. It is self-evident that the repetition of the essential features of the transaction on the inner tablet which could only be touched by destroying the case, was, just as in the other instances, for the protection of the debtor against the danger of his tablet being fraudulently tampered with, if it fell into dishonest hands. The particular significance of these “case tablets” lies in the fact that they were obviously not intended as mere records to remain in the possession of the debtor, but that they were signed and sealed documents, and were issued to the creditor, and no doubt passed from hand to hand like tallies and bills of exchange. When the debt was paid, we are told that it was customary to break the tablet.

We know, of course, hardly anything about the commerce of those far-off days, but what we do know is, that great commerce was carried on and that the transfer of credit from hand to hand and from place to place was as well known to the Babylonians as it is to us. We have the accounts of great merchant or banking firms taking part in state finance and state tax collection, just as the great Genoese and Florentine bankers did in the middle ages, and as our banks do to-day.

In China, also, in times as remote as those of the Babylonian Empire, we find banks and instruments of credit long before any coins existed, and throughout practically the whole of Chinese history, so far as I have been able to learn, the coins have always been mere tokens.

There is no question but that credit is far older than cash.

From this excursion into the history of far remote ages, I now return to the consideration of business methods in days nearer to our own, and yet extending far enough back to convince the most sceptical reader of the antiquity of credit.

Tallies were transferable, negotiable instruments, just like bills of exchange, bank-notes or coins. Private tokens (in England and the American colonies, at least) were chiefly used for quite small sums—a penny or a half-penny—and were issued by tradesmen and merchants of all kinds. As a general statement it is true to say that all commerce was for many centuries carried on entirely with tallies. By their means all purchases of goods, all loans of money were made, and all debts cleared.

The clearing houses of old were the great periodical fairs, whither went merchants great and small, bringing with them their tallies, to settle their mutual debts and credits. “Justiciaries” were set over the fairs to bear and, determine all commercial disputes, and to “prove the tallies according to the commercial law, if the plaintiff desires this.” The greatest of these fairs in England was that of St. Giles in Winchester, while the most famous probably in all Europe were those of Champagne and Brie in France, to which came merchants and bankers from all countries. Exchange booths were established and debts and credits were cleared to enormous amounts without the use of a single coin.

The origin of the fairs of which I have spoken is lost in the mists of Antiquity. Most of the charters of which we have record, granting to feudal lords the right to hold a fair, stipulate for the maintenance of the ancient customs of the fairs, thus showing that they dated from before the charter which merely legalized the position of the lord or granted him a monopoly. So important were these fairs that the person and property of merchants traveling to them was everywhere held sacred. During war, safe conducts were granted to them by the princes through whose territory they had to pass and severe punishment was inflicted for violence offered to them on the road. It was a very general practice in drawing up contracts, to make debts payable at one or other of the fairs, and the general clearance at which the debts were paid was called the pagamentum. Nor was the custom of holding fairs confined to medieval Europe. They were held in ancient Greece under the name of panegyris and in Rome they were called nundinae, a name which in the middle ages was also frequently used. They are known to have been held in Mesopotamia and in India. In Mexico they are recorded by the historians of the conquest, and not many years ago at the fairs of Egypt, customs might have been seen which were known to Herodotus.

At some fairs no other business was done except the settlement of debts and credits, but in most a brisk retail trade was carried on. Little by little as governments developed their postal systems and powerful banking corporations grew up, the value of fairs as clearing houses dwindled, and they ceased to be frequented for that purpose, long remaining as nothing but festive gatherings until at last there linger but few, and those a mere shadow of their golden greatness.

The relation between religion and finance is significant. It is in the temples of Babylonia that most if not all of the commercial documents have been found. The temple of Jerusalem was in part a financial or banking institution, so also was the temple of Apollo at Delphi. The fairs of Europe were held in front of the churches, and were called by the names of the Saints, on or around whose festival they were held. In Amsterdam the Bourse, was established in front of or, in bad weather, in one of the churches.

They were a strange jumble, these old fairs, of finance and trading and religion and orgy, the latter often being inextricably mixed up with the church ceremonies to the no small scandal of devout priests, alarmed lest the wrath of the Saint should be visited on the community for the shocking desecration of his holy name.

There is little doubt to my mind that the religious festival and the settlement of debts were the origin of all fairs and that the commerce which was there carried on was a later development. If this is true, the connection between religion and the payment of debts is an additional indication if any were needed, of the extreme antiquity of credit.

The method by which governments carry on their finance by means of debts and credits is particularly interesting. Just like any private individual, the government pays by giving acknowledgments of indebtedness—drafts on the Royal Treasury, or on some other branch of the government or on the government bank. This is well seen in medieval England, where the regular method used by the government for paying a creditor was by “raising a tally “on the Customs or on some other revenue- getting department, that is to say by giving to the creditor as an acknowledgment of indebtedness a wooden tally. The Exchequer accounts are full of entries such as the following—”To Thomas de Bello Campo, Earl of Warwick, by divers tallies raised this day, containing 500 marks delivered to the same Earl.” “To. . . . . by one tally raised this day in the name of the Collectors of the small customs in the Port of London containing £40.” The system was not finally abandoned till the beginnining of the nineteenth century.

I have already explained how such acknowledgments acquire a value in the case of private persons. We are all engaged in buying and selling, we manufacture commodities for sale, we cultivate the ground and sell the produce, we sell the labor of our hands or the work of our intelligence or the use of our property, and the only way in which we can be paid for the services we thus render is uy receiving back from our purchasers the tallies which we ourselves have given in payment of like services which we have received from others.

But a government produces nothing for sale, and owns little or no property; of what value, then, are these tallies to the creditors of the government? They acquire their value in this way. The government by law obliges certain selected persons to become its debtors. It declares that so-and-so, who imports goods from abroad, shall owe the government so much on all that her imports, or that so-and-so, who owns land, shall owe to the government so much per acre. This procedure is called levying a tax, and the persons thus forced into the position of debtors to the government must in theory seek out the holders of the tallies or other instrument acknowledging a debt due by the government, and acquire from them the tallies by selling to them some commodity or in doing them some service, in exchange for which they may be induced to part with their tallies. When these are returned to the government treasury, the taxes are paid. How literally true this is can be seen by examining the accounts of the sheriffs in England in olden days. They were the collectors of inland taxes, and had to bring their revenues to London periodically. The bulk of their collections always consisted of exchequer tallies, and though, of course, there was often a certain quantity of coin, just as often there was one at all, the whole consisting of tallies.

The general belief that the Exchequer was a place where gold or silver was received, stored and paid out is wholly false. Practically the entire business of the English Exchequer consisted in the issuing and receiving of tallies, in comparing the tallies and the counter-tallies, the stock and the stub, as the two parts of the tally were popularly called, in keeping the accounts of the government debtors and creditors, and in cancelling the tallies when returned to the Exchequer. It was, in fact, the great clearing house for government credits and debts.

We can now understand the effect of the “mutations de la monnaie,” which I have mentioned as being one of the financial expedients of medieval French kings. The coins which they issued were tokens of indebtedness with which they made small payments, such as the daily wages of their soldiers and sailors. When they arbitrarily reduced the official value of their tokens, they reduced by so much the value of the credits on the government which the holders of the coins possessed. It was simply a rough and ready method of taxation, which, being spread over a large number of people, was not an unfair one, provided that it was not abused.

Taxpayers in olden days did not, of course, have in fact to search out the owners of the tallies any more than to have to-day to seek for the holders of drafts on the Bank of England. This was done through the bankers, who from the earliest days of history were always the financial agents of the governments. In Babylon it was the Sons of Egibi and the Sons of Marashu, in medieval Europe it was the Jewish and Florentine and Genoese bankers whose names figure in history.

There can be little doubt that banking was brought to Europe by the Jews of Babylonia, who spread over the Greek Colonies of the Asiatic, coast settled on the Grecian mainland and in the coast towns of northern Africa long before the Christian era. Westward they travelled and established themselves in the cities of Italy, Gaul and Spain either before or soon after the Christian era, and, though historians believe that they did not reach Britain till the time of the Roman conquest it appears to me highly probable that the Jews of Gaul had their agents in the English coast towns over against Gaul, and that the early British coins were chiefly their work.

The monetary unit is merely an arbitrary denomination, by which commodities are measured in terms of credit, and which serves, therefore, as a more or less accurate measure of the value of all commodities. Pounds, shillings and pence are merely the a, b, c, of algebra, where a = 20, b = 240c. What was the origin of the terms now in use is known. It may be that they once stood for a certain quantity or weight of some commodity. If it is so, it would make no difference to the fact that they do not now and have not for countless generations represented any commodity. Let us assume that the unit did once represent a commodity. Let us assume, for example, that in the beginning of things, some merchant thought fit to keep his customers’ accounts in terms of a certain weight of silver called a shekel, a term much used in antiquity. Silver was, of course, a commodity like any other; there was no law of legal tender, and no one was entitled to pay his debts in silver, any more than any one was obliged to accept payment of his credits in silver. Debts and credits were set off against one another as they are to-day. Let us assume that a hundred bushels of corn and a shekel of silver were of the same value. Then so long as the price of the two did not vary, all would be well; a man bringing to the, merchant a shekel’s weight of silver or a hundred bushels of corn would equally receive in his books a credit of one shekel. But supposing that for some reason, the value of silver fell, so that a hundred bushels of com would now exchange not for a shekel of silver but for a shekel and a tenth. What would then happen? Would all the creditors of the merchant suddenly lose because their credit was written down as shekels of silver, and the debtors of the merchant gain in the same proportion, although their transactions may have had nothing whatever to do with silver? Obviously not; it is hardly likely that the creditors would agree to lose a tenth of their money merely bemuse the merchant had found it convenient to keep their accounts in shekel. This is what would happen: The owner of a shekel of silver, the price of which had fallen, would be informed by the merchant that silver had gone to a discount, and that in future he would only receive nine-tenths of a shekel of credit for each shekel of silver. A shekel of credit and a shekel weight of silver would no longer be the same; a monetary unit called a shekel would have arisen having no fixed relation to the weight of the metal the name of which it bore, and the debts and credits of the merchants and his customers would be unaffected by the change of the value of silver. A recent author gives an example of this when he mentions a case of accounts being kept in beaver-skins. The beaver-skin of account remained fixed, and was equivalent to two shillings, while the real skin varied in value, one real skin being worth several imaginary skins of account.

All our modern legislation fixing the price of gold is merely a survival of the late-medieval theory that the disastrous variability of the monetary unit had some mysterious connection with the price of the precious metals, and that, if only that price could be controlled and made invariable, the monetary unit also would remain fixed. It is hard for us to realize the situation of those times. The people often saw the prices of the necessaries of life rise with great rapidity, so that from day to day no one knew what his income might be worth in commodities. At the same time, they saw the precious metals rising, and coins made of a high grade of gold or silver going to a premium, while those that circulated at their former value were reduced in weight by clipping. They saw an evident connection between these phenomena, and very naturally attributed the fall in the value of money to the rise of the value of the metals and the consequent deplorable condition of the coinage. They mistook effect for cause, and we have inherited their error. Many attempts were made to regulate the price of the precious metals, but until the nineteenth century, always unsuccessfully.

The great cause of the monetary perturbations of the middle ages were not the rise of the, price of the precious metals, but the fall of the value of the credit unit, owing to the ravages of war, pestilence and famine. We can hardly realize to-day the appalling condition to which these three causes reduced Europe time after time. An historian thus describes the condition of France in, the fourteenth and fifteenth centuries:

> The ravages of, an English army on a hostile soil were terrible, the ravages of the French troops in their own country were not less terrible, the ravages of roving bands of half-disciplined soldiers, who were almost robbers by instinct, were still more terrible, and behind all these, more terrible, if possible, than the English or French armies, or the “free companies,” were the gangs of criminals let loose from prison to do all kinds of villainy, and the bands of infuriated peasants robbed of their homes, who sallied forth from the woods or caves which had sheltered them and burnt up what in their hasty marches the troops had left undestroyed. No regard for station, or age, or sex was there—no difference was made between friend or foe. At no time in the whole history of France was misery so universal and prodigious. . . . From the Somme to the frontiers of Germany, a distance of three hundred miles, the whole country was a silent tangle of thorns and brushwood. The people had all perished or had fled for shelter to the town to escape the merciless outrages of armed men. They hardly found the shelter they sought; the towns suffered as the country districts suffered, the herds of wolves, driven, through lack of food from the forests, sought their prey in the streets. . . . War outside the walls stimulated the fiercer war within; starvation clung close to the footsteps of war; strange forms of disease which the chroniclers of those times sum up in the names of “black death” or “plague” were born of hunger and overleapt the highest barriers, pierced the strongest walls and ran riot in the overcrowded cities. Two-thirds of the population of France, it has been computed, fell, before the terrible self-infliction of war, pestilence and famine.”

The sufferings of the fifteenth century were hardly less terrible than those of the fourteenth and the picture given of England differs but little from that of France.

> Whilst the northern countries, up to the walls of Lancaster and the banks of Mersey on one side of England, and to the gates of York and the mouth of the Humber on the other, were being ravaged by the Scots, and whilst French, Flemish, Scottish and other pirates were burning the towns and killing the inhabitants of the East, the West and the South coasts of England, or carrying them off as slaves, two other enemies were let loose upon this country. Famine and pestilence, the fruits of war, destroyed what man failed to reach.

Again and again the country was swept by famines and plagues, and murrain mowed down flocks and herds. And it was not only in those early days that such terrible ravages occurred. The condition of Germany at the end of the Thirty Years’ War (1618 to 1648) was little less pitiable than that of England and France in the fourteenth century. Purchases are paid for by sales, or in other words, debts are paid for by credits, and, as I have said before, the value of a credit depends on the debtor being also a creditor; in a situation such as that which I have described (though it Must not be thought that there were no intervals of comparative prosperity), commerce was practically at a standstill, credits were of little value. At the same time the governments had accumulated great debts to maintain their armies and to carry on their continual war-like operations, and were unable to levy the taxes which should pay for them. It was impossible that, under such conditions, the value of credit (in other words the value of the monetary unit) should not fall. It is quite unnecessary to search for imaginary arbitrary depreciations of the coinage to explain the phenomenon.

The reader may here raise the objection that whatever may have been the practice in olden times and whatever may be the scientific theory we do in the present day in fact use gold for making payments besides using credit instruments. A dollar or a sovereign, he will say, are a certain weight of gold and we are legally entitled to pay our debts with them.

But what are the facts? Let us take the situation here in the United States. The government accepts all the gold of standard fineness and gives in exchange gold coins weight for weight, or paper certificates representing such coins. Now the general impression is that the only effect of transforming the gold into coins is to cut it into pieces of a certain weight and to stamp these pieces with the government mark guaranteeing their weight and fineness. But is this really all that has been done? By no means. What has really happened is that the government has put upon the pieces of gold a stamp which conveys the promise that they will be received by the government in payment of taxes or other debts due to it. By issuing a coin, the government has incurred a liability towards its possessor just as it would have done had it made a purchase:has incurred, that is to say, an obligation to provide a credit by taxation, or otherwise for the redemption of the coin and thus enable its possessor to got value for his money.

In virtue of the stamp it bears, the gold has changed its character from that of a mere commodity to that of a token of indebtedness. In England the Bank of England buys the gold and gives in exchange coin, or bank-notes or a credit on its books. In the United States, the gold is deposited with the Mint and the depositor receives either coin or paper certificates in exchange. The seller and the depositor alike receive a credit, the one on the official bank and the other direct on the government treasury, The effect is precisely the same in both cases. The coin, the paper certificates, the bank-notes and the credit on the books of the bank, are all indentical in their nature, whatever the difference of form or of intrinsic value. A priceless gem or a worthless bit of paper may equally be a token of debt, so long as the receiver knows what it stands for and the giver acknowledges his obligation to take it back in payment of a debt due.

Money, then, is credit and nothing but credit. A’s money is B’s debt to him, and when B pays his debt, A’s money disappears. This is the whole theory of money.

Debts and credits are perpetually trying to get into touch with one another, so that they may be written off against each other, and it is the business of the banker to bring them together. This is done in two ways: either by discounting bills, or by making loans. The first is the more old fashioned method and in Europe the bulk of the banking business consists in discounts while in the United States the more usual procedure is by way of loans.

The process of discounting bills is as follows: A sells goods to B, C and D, who thereby become A’s debtors and give him their acknowledgments of indebtedness, which are technically called bills of exchange, or more shortly bills. That is to say A acquires a credit on B, C and D. A buys goods from E, F and G and gives his bill to each in payment. That is to say E, F and G have acquired credits on A. If B, C and D could sell goods to E, F and G and take in payment the bills given by A, they could then present these bills to A and by so doing release themselves from their debt. So long as trade takes place in a small circle, say in one village or in a small group of nearby villages, B, C and D might be able to get hold of the bills in the possession of E, F and G. But as soon as commerce widened out, and the various debtors and creditors lived far apart and were unacquainted with one another, it is obvious that without some system of centralizing debts and credits commerce would not go on. Then arose the merchant or banker, the latter being merely a more specialized variety of the former. The banker buys from A the bills held by him on B, C and D, and A now becomes the creditor of the banker, the latter in his turn becoming the creditor of B, C and D. A’s credit on the banker is called his deposit and he is called a depositor. E, F and G also sell to the banker the bills which they hold on A, and when they become due the banker debits A with the amount thus cancelling his former credit. A’s debts and credits have been “cleared,” and his name drops out, leaving B, C and. D as debtors to the bank and E, F and G as the corresponding creditors. Meanwhile B, C and D have been doing business and in payment of sales which they have made, they receive bills on H, I and K. When their original bills held by the banker become due, they sell to him the bills which H, I and K have given them, and which balance their debt. Thus their debts and credits are “cleared” in their turn, and their names drop out, leaving H, I and K as debtors and E, F and G as creditors of the bank and so on. The modern bill is the lineal descendant of the medieval tally, and the more ancient Babylonian clay tablet.

Now let us see how the same result is reached by means of a loan instead of by taking the purchaser’s bill and selling it to the banker. In this case the banking operation, instead of following the sale and purchase, anticipates it. B, C and D before buying the goods they require make an agreement with the banker by which he undertakes to become the debtor of A in their place, while they at the same time agree to become the debtors of the banker. Having made this agreement B, C and D make their purchases from A and instead of giving him their bills which he sells to the banker, they give him a bill direct on the banker. These bills of exchange on a banker are called cheques or drafts.

It is evident that the situation thus created is precisely the same which ever procedure is adopted, and the debts and credits are cleared in the same manner. There is a slight difference in the details of the mechanism, that is all.

There is thus a constant circulation of debts and credits through the medium of the banker who brings them together and clears them as the debts fall due. This is the whole science of banking as it was three thousand years before Christ, and as it is to-day. It is a common error among economic writers to suppose that a bank was originally a place of safe deposit for gold and silver, which the owner could take out as he required it. The idea is wholly erroneous and can be shown to be so from the study of the ancient banks.

Whatever commercial or financial transaction we examine, whether it be the purchase of a penn’orth of vegetables in the market or the issue of a billion dollar loan by a government, we find in each and all of them the same principle involved; either an old credit is transferred or new ones are created, and a State or a banker or a peasant is prosperous or bankrupt according as the principle is observed or not, that debts, as they fall due, must be met by credits available, at the same moment.

The object of every good banker is to see that at the end of each day’s operations, his debts to other bankers do not exceed his credits on those bankers, and in addition the amount of the “lawful money” or credits on the government in his possession. This requirement limits the amount of money he has to “lend.” He knows by experience pretty accurately the amount of the cheques he will have to present for payment to other bankers and the amount of those which will be presented for his payment, and he will refuse to buy bills or to lend money—that is to say, he will refuse to incur present obligations in return for future payments—if by so doing he is going to risk having more debts due by him on a certain day than he will have credits on that day to set against them. It must be remembered that a credit due for payment at a future time cannot be set off against a debt due to another banker immediately. Debts and credits to be set off against each other must be “due” at the same time. 

Too much importance is popularly attached to what in England is called the cash in hand and in the United States the reserves, that is to say the amount of lawful money in the possession of the bank, and it is generally supposed that in the natural order of things, the lending power and the solvency of the bank depends on the amount of these reserves. In fact, and this cannot be too clearly and emphatically stated, these reserves of lawful money have, from the scientific point of view, no more importance than any other of the bank assets. They are merely credits like any others, and whether they are 25 per cent or 10 per cent or one per cent or a quarter per cent of the amount of the deposits, would not in the least affect the solvency of the bank, and it is unfortunate that the United States has by legislation given an importance to these reserves which they should never have possessed. Such legislation was, no doubt, due to the erroneous view that has grown up in modern days that a depositor has the right to have his deposit paid in gold or in “lawful money.” I am not aware of any law expressly giving him such a right, and under normal conditions, at any rate, he would not have it. A depositor sells to his banker his right on someone else [ 7 ] and, properly speaking, his sole right so long as the banker is solvent, is to transfer his credit to someone else, should the latter choose to accept it. But the laws of legal tender which most countries [ 8 ] have adopted, have produced indirect consequences which were not originally foreseen or intended. The purpose of such laws was not to make gold or silver a standard of payment but merely to require that creditors should not refuse payment of their credit in coins issued by the government at the value officially put upon them, no matter of what metal they were made; and the reason for these laws was not at all to provide a legal means of paying a debt, but to keep up the value of the coins, which, as I have explained, were liable to constant fluctuation either by reason of the governments issuing them at one value and accepting them at another, or by reason of the insolvency of the government sowing to their excessive indebtedness.

We may leave to lawyers the discussion of what may be the legal effect of such laws; the practical effect in the mind of the public is all that concerns us. It is but natural that in countries in which, like England and America, the standard coin is a certain weight of gold, a law providing that creditors shall accept these coins or the equivalent notes in full satisfaction of their debts, and mentioning no other method of settling a debt, should breed in the public mind the idea that that is the only legal way of settling a debt and that, therefore, the creditor is entitled to demand gold coins.

The effect of this impression is peculiarly unfortunate. When suspicion arises in the minds of depositors, they immediately demand payment of their credit in coins or their equivalent namely a credit on the State bank, or “lawful money,” a demand which cannot possibly be complied with, and the result is to augment the panic by the idea getting abroad that the bank is insolvent.

Consequently at the beginning of a stringency, every bank tries to force its debtors to pay their debts in coin or credit on the government, and these debtors, in their turn, have to try to extract the same payment from their debtors, and to protect themselves, are thus forced to curtail their expenditure as much as possible. When this situation becomes general, buying and selling are restricted within comparatively narrow limits, and, as it is only by buying that credits can be reduced and by selling that debts can be paid, it comes to pass that everybody is clamoring for payment of the debts due to them and no one can pay them, because no one can sell. Thus the panic runs in a vicious circle. 

The abolition of the law of legal tender would help to mitigate such a situation by making everybody realize that, once he had become a depositor in a bank, he had sold his credit to that bank and was not entitled to demand payment in coin or government obligations. Under normal conditions a banker would keep only enough coins or credits on the government to satisfy those of his clients who want them, just as a boot-maker keeps a stock of boots of different varieties, sufficient for the normal conditions of his trade; and the banker can no more pay all his depositors in cash than the bootmaker could supply boots of one variety to all his customers if such a demand were suddenly to be made on him. If bankers keep a supply of cash more than is normally required, it is either because there is a law compelling them to do so, as in the United States, or because a large supply of cash gives confidence to the public in the solvency of the bank, owing to the idea that has grown up regarding the necessity for a “metallic basis” for loans; or again because, owing to the prevalence of this idea, there may suddenly occur an abnormal demand for the payment of deposits in this form.

It would be hard, probably, to say to what extent laws of legal tender can be successful in maintaining the real or the apparent value of coins or notes. They do not appear to have been so in colonial days, and indeed Chief justice Chase, in his dissenting opinion in the famous legal tender cases of 1872, expressed the view that their effect was the reverse of what was intended; that, instead of keeping up the value of the government notes, the law actually tended to depress them. However this may be, and I am not inclined to agree with Mr. Chase, it seems to me to be certain that such laws are unnecessary for the maintenance of the monetary unit in a country with properly conducted finances. “Receivability for debts due the government,” to use Chief justice Chase’s expression, relative to inconvertible notes, is the real support of the currency, not laws of legal tender. But it may be argued that it is at least necessary that the government should provide some standard “money” which a creditor is bound to accept in payment of his debt in order to avoid disputes as to the nature of the satisfaction which he shall receive for the debt. But in practice no difficulty would be experienced on this score. When a creditor wants his debt paid, he usually means that he wants to change his debtor; that is to say he wants a credit on a banker, so that he can use it easily, or keep it unused with safety. He, therefore, insists that every private debtor shall, when the debt is due, transfer to him a credit on a reputable banker; and every solvent debtor can satisfy his creditor in this manner. No law is required; the whole business regulates itself automatically.

During the suspension of specie payments in England for more than twenty years, from 1797 in 1820, there was no gold coin in circulation, its place being taken by Bank of England notes which were not legal tender, and the value of which constantly varied in terms of gold. Yet no embarrasment was noticed on this score, and commerce went on just as before. China (and I believe other Asiatic countries) could hardly have continued its commerce without such a law, if it had been of material importance.

On no banking question does there exist more confusion of ideas than on the subject of the nature of a banknote. It is generally supposed to be a substitute for gold and, therefore, it is deemed to be necessary to the safety of the notes that their issue should be strictly controlled. In the United States the issue of bank notes is said to be “based on” government debt, and in England they are said to be “based on” gold. Their value is believed to depend on the fact that they are convertible into gold, but here again history disproves the theory. When, during the period just mentioned, the payment of Bank of England notes in gold was suspended, and the famous Bullion Committee was bound to acknowledge that a gold standard no longer existed, the value of the note in the country was not affected, as was testified by many witnesses of great business experience. If gold went to a premium and the exchange value of the English banknote together with that of all English money fell, it was due, as was amply proved by Thomas Tooke in his famous “History of Prices.” to the fact that Great Britain, by its enormous expenditure abroad for its military operations and its subventions to foreign countries, had accumulated a load of debt which greatly exceeded its credits on those countries, and a fall of the value of the English pound in terms of the money of other countries was the necessary result. When the debt was gradually liquidated, and English credit returned to its normal value, the price of gold of course fell in terms of the pound.

Again when for many years, Greek money was at a discount in foreign countries, this was due to the excessive indebtedness of Greece to foreign countries, and what did more than anything else to gradually re-establish parity was the constantly increasing deposits paid in to Greek banks from the savings of Greek emigrants to the United States. These deposits constituted a debt due from the United States to Greece and counter-balanced the periodical payments which had to be made by Greece for the interest on her external debt.

In the United States, on the contrary, at the time of the depreciation of greenbacks, the money was depreciated in the country itself, owing to the excessive indebtedness of the government to the people of the country. A bank note differs in no essential way from an entry in the deposit register of a bank. Just like such an entry, it is an acknowledgment of the banker’s indebtedness, and like all acknowledgments of the kind, it is a “promise to pay.” The only difference between a deposit entry and a bank note is that the one is written in a book and the other is on a loose leaf; the one is an acknowledgment standing in the name of the depositor, the other in the name of “the bearer.” Both these methods of registering the debts of the bank have their particular use. In the one case the deposit or any portion of it can be transferred by draft, and in the other it, or a fixed portion of it, can be transferred by merely transferring the receipt from hand to hand.

The quantitative theory of money has impelled all governments to regulate the note issue, so as to prevent an over issue of “money.” But the idea that some special danger lurks in the bank-note is without foundation. The holder of a bank-note is simply a depositor in a bank, and the issue of bank-notes is merely a convenience to depositors. Laws regulating the issue of bank-notes may make the limitations so elastic as to produce no effect, in which case they are useless; or they may so limit them as to be a real inconvenience to commerce, in which case they are a nuisance. To attempt the regulation of banking by limiting the note issue is to entirely misunderstand the whole banking problem, and to start at the wrong end. The danger lies not in the bank-note but in imprudent or dishonest banking. Once insure that banking shall be carried on by honest people under a proper understanding of the principles of credit and debt, and the note issue may be left to take care of itself. Commerce, I repeat, has never had anything to do with the precious metals, and if every piece of gold and silver now in the world were to disappear, it would go on just as before and no other effect would be produced than the loss of so much valuable property. The gold myth, coupled with the law of legal tender, has fostered the feeling that there is some peculiar virtue in a central bank. It is supposed to fulfil an important function in protecting the country’s stock of gold. This is, perhaps, as good a place as any other for explaining what was really accomplished when, after centuries of ineffectual efforts to fix the price of both the precious metals, the governments of Europe succeeded in fixing that of gold, or at least in keeping the price within narrow limits of fluctuation.

It was in the year 1717 that the price of gold was fixed by law at its present value in England, slightly above the then market value, but it was not until some time after the close of the Napoleonic wars that the metal obeyed the Royal mandate for any length of time, and when it did them were two main reasons: The greater stability of the value of credit and the enormous increase in the production of gold during the nineteenth century. The first of these causes was the result of the disappearance of plagues and famines and the mitigation of the ravages which accompanied earlier wars, and the better organization of governments, especially as regards their finance. These changes produced a prosperity and a stability in the value of credit—especially government credit—unknown in earlier days. The second cause prevented any appreciation of the market value of gold, and the obligation undertaken by the Government and the Bank of England to buy gold in any quantity at a fixed price and to sell it again at practically the same price prevented its depreciation. Had they not done so, it is safe to say that the market price of gold would not now be, as it is, £3. 17. 10½ an ounce. For some years, indeed, after the resumption of cash payments in England gold did actually fall to £3. 17. 6 an ounce.

The governments of the world have, in fact, conspired together to make a corner in gold and to hold it up at a prohibitive price, to the great profit of the mine owners and the loss of the rest of mankind. The result of this policy is that billions of dollar’s worth of gold are stored in the vaults of banks and treasuries, from the recesses of which they will never emerge, till a more rational policy is adopted. Limitations of space compel me to close this article here, and prevent the consideration of many interesting questions to which the credit theory of money gives rise; the most important of which, perhaps, is the intimate relation between existing currency systems and the rise of prices.

Future ages will laugh at their forefathers of the nineteenth and twentieth centuries, who gravely bought gold to imprison in dungeons in the belief that they were thereby obeying a high economic law and increasing the wealth and prosperity of the world.

A strange delusion, my masters, for a generation which prides itself on its knowledge of Economy and Finance and one which, let us hope, will not long survive. When once the precious metal has been freed from the shackles of laws which are unworthy of the age in which we live, who knows what uses may not be in store for it to benefit the whole world?

NOTES

1. The same phenomenon of more than one monetary unit at the same time is common in later ages.
2. The Gras Tournois of the thirteenth century. It did not, however, long remain of the value of a sou.
3. Curious that is to say, to those who hold to the metallic theory of money. In fact it is quite simple, though I have not here space to explain it.
4. In modern days statutes of limitation have been passed subjecting the permanence of credits to certain limitations. But they do not affect the principle. On the contrary, they confirm it.
5. Their use was not entirely abandoned till the beginning of the nineteenth century.
6. Hence the modern term “stock” as meaning “capital.”
7. This contract was called in Roman law a “mutuum.”
8. China, a great commercial country, has no such law. It appears to be an European invention.

[Share][10]

    * ### Post Categories

Post Categories Select Category 7DIF Asia Banking Big Think Bonds Books BRIC CBs China Commodities Congress Contest Credit Currencies Daily Defecit Deficit ECB Economic Releases Email Emerging Markets Employment Energy Equities EU Exports Fed Financial Times GDP Germany Government Spending Greece Hong Kong Housing India Inflation Interest Rates Japan Karim Manufacturing McCain MMT Mosler 2012 News Highlights Obama Off Topic Comments Oil Pension Politics Proposal Q&A Radio Recession Russia Spain Speeches States TAF Tea Party Trade Trading Transportation Treasury UK Uncategorized USA Valance Video
    * ### MMT Resources

[EPIC: A Coalition of Economic Policy Institutions][11]   
  
[UMKC Blog][12]   
  
[CFEPS - Center for Full Employment and Price Stability][13]   
  
[Billy Blog][14]   
  
[New Deal 2.0 Blog][15]   
  
[Real Fiscal Responsibility Today Radio and TV Show pilots][16]   
  
[Economia Monetaria][17]

    * ### Warren’s Books

  
**The 7 Deadly Innocent Frauds of Economic Policy**  
  

    * [Buy it][18] or read it
    *     * [free online!][19]   
  

    * ![][20]   
  
"The most important book ever written" -Elizabeth O'Toole   
  
**Soft Currency Economics II**
    * [Buy it!][21]   
  

    * ![][22]

  
  

### Recent Posts

    * [Mtg purchase apps, Existing home sales, Euro current account, Bank lending, Cycle chart][23]
    * [Mtg purchase apps, CPI, Retail sales][24]
    * [Unemployment benefits, Debt/GDP, Same store sales][25]
    * [Spending bill, Rail traffic, Rig count, Saudi pricing][26]
    * [Spending bill, Rail traffic, Bank loans][27]
    * [Consumer credit, Mania comment, Fed on rates and inflation][28]
    * [Mtg apps, Jolts, Trade][29]
    * [US service sector surveys][30]
    * [Employment, Factory orders, Bank loans][31]
    * [Vehicle sales, Construction spending, GDP comments, Comments on tax cuts, Comments on fed policy][32]

### Follow Warren on Twitter

[Follow @wbmosler][33]

![][34] Warren B. Mosler  
[@wbmosler][33]

    * This is the test President Trump recently passed: https://t.co/T40f4jdW3e  
[about 4 hours ago][35]

### Like Us On Facebook

![][36]

### ![RSS][37] [MoslerEconomics.com/feed][3]

    * [Mtg purchase apps, Existing home sales, Euro current account, Bank lending, Cycle chart][23]
    * [Mtg purchase apps, CPI, Retail sales][24]
    * [Unemployment benefits, Debt/GDP, Same store sales][25]

### MMT Organizations

  
![][38]   
![][39] **

© 2018 [The Center of the Universe][40]. All Rights Reserved.

 [Back to Top ↑][41]

[1]: http://moslereconomics.com
[2]: http://www.moslereconomics.com/wp-content/uploads/Mosler_Logo_Color_sm_logo.png
[3]: http://moslereconomics.com/
[4]: http://moslereconomics.com/warren-mosler-bio/
[5]: http://moslereconomics.com/mandatory-readings/
[6]: http://moslereconomics.com/proposals/
[7]: http://moslereconomics.com/qa/
[8]: http://moslereconomics.com/support/
[9]: http://moslereconomics.com/contact/
[10]: https://www.addtoany.com/share
[11]: http://www.epicoalition.org/
[12]: http://neweconomicperspectives.blogspot.com/
[13]: http://www.cfeps.org/
[14]: http://bilbo.economicoutlook.net/blog/
[15]: http://www.newdeal20.org/
[16]: https://www.indiegogo.com/projects/real-fiscal-responsibility-today-radio-and-tv-show
[17]: http://www.cattolicanews.it/6361.html
[18]: http://www.amazon.com/Warren-Mosler-Innocent-Economic-Hardcover/dp/B00JZS0NRI/ref=sr_1_2?ie=UTF8&qid=1414960645&sr=8-2&keywords=the+seven+deadly+innocent+frauds+of+economic+policy
[19]: http://moslereconomics.com/wp-content/powerpoints/7DIF.pdf
[20]: http://moslereconomics.com/wp-content/uploads/2014/10/19148792.jpg
[21]: http://www.amazon.com/Currency-Economics-Modern-Monetary-ebook/dp/B009XDGZLI/ref=sr_1_1?s=digital-text&ie=UTF8&qid=1352305630&sr=1-1&keywords=soft+currency+economics
[22]: http://moslereconomics.com/wp-content/uploads/2014/10/Soft-Currency-Economics.jpg
[23]: http://moslereconomics.com/2018/02/21/mtg-purchase-apps-existing-home-sales-euro-current-account-bank-lending-cycle-chart/
[24]: http://moslereconomics.com/2018/02/14/mtg-purchase-apps-cpi-retail-sales/
[25]: http://moslereconomics.com/2018/02/13/unemployment-benefits-debt-gdp-store-sales/
[26]: http://moslereconomics.com/2018/02/12/spending-bill-rail-traffic-rig-count-saudi-pricing/
[27]: http://moslereconomics.com/2018/02/12/spending-bill-rail-traffic-bank-loans/
[28]: http://moslereconomics.com/2018/02/08/consumer-credit-mania-comment-fed-rates-inflation/
[29]: http://moslereconomics.com/2018/02/07/mtg-apps-jolts-trade/
[30]: http://moslereconomics.com/2018/02/05/us-service-sector-surveys/
[31]: http://moslereconomics.com/2018/02/05/employment-factory-orders-bank-loans/
[32]: http://moslereconomics.com/2018/02/02/vehicle-sales-construction-spending-gdp-comments-comments-tax-cuts-comments-fed-policy/
[33]: https://twitter.com/wbmosler
[34]: https://pbs.twimg.com/profile_images/88542874/warren_b_normal.jpg
[35]: http://twitter.com/wbmosler/status/966917071509454849
[36]: http://moslereconomics.com/wp-content/plugins/facebook-pagelike-widget/loader.gif
[37]: http://moslereconomics.com/wp-includes/images/rss.png
[38]: http://moslereconomics.com/wp-content/me-mmt.png
[39]: http://moslereconomics.com/wp-content/uploads/ReteMMT.png
[40]: http://moslereconomics.com/ "The Site of Economist Warren Mosler"
[41]: http://moslereconomics.com#top

