---
created_at: '2017-10-09T00:28:51.000Z'
title: 'Mutual Interest: The Courting of Marie Curie (1923)'
url: https://www.laphamsquarterly.org/lines-work/mutual-interest
author: Hooke
points: 60
story_text: 
comment_text: 
num_comments: 2
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1507508931
_tags:
- story
- author_Hooke
- story_15430796
objectID: '15430796'

---
[Source](https://www.laphamsquarterly.org/lines-work/mutual-interest "Permalink to Mutual Interest | Lapham’s Quarterly")

# Mutual Interest | Lapham’s Quarterly

[Jump to navigation][2]

* * * ## Search form

Search 

* [Subscribe][3]
* [My Account][4]

# [Lapham’s Quarterly][5]

* [About][6]
* [Magazine][7]
    * [Current Issue][8]
    * [All Issues][9]
    * [Preamble][10]
    * [Essays][11]
    * [Voices in Time][12]
    * [Contributors][13]
    * [Charts & Graphs][14]
    * [Conversations][15]
    * [Miscellany][16]
    * [Maps][17]
    * [Quotes][18]
* [Blogs][7]
    * [ Roundtable Insight and analysis from renowned writers and thinkers. ][19]
    * [ Déjà Vu Is history repeating itself? the Déja Vu blog investigates... ][20]
* [Store][21]
* [Podcast][22]
* [Donate][23]

[Subscribe Now][24]

c.  1923 | Paris

# Mutual Interest

The courting of Marie Curie.

* * * * * I met Pierre Curie for the first time in the spring of the year 1894. I was then living in Paris where for three years I had been studying at the Sorbonne. I had passed the examinations for the licentiate in physics and was preparing for those in mathematics. At the same time I had begun to work in the research laboratory of Professor Lippmann. A Polish physicist whom I knew, and who was a great admirer of Pierre Curie, one day invited us together to spend the evening with himself and his wife.

As I entered the room, Pierre Curie was standing in the recess of a French window opening on a balcony. He seemed to me very young, though he was at that time thirty-five years old. I was struck by the open expression of his face and by the slight suggestion of detachment in his whole attitude. His speech, rather slow and deliberate, his simplicity, and his smile, at once grave and youthful, inspired confidence. We began a conversation which soon became friendly. It first concerned certain scientific matters about which I was very glad to be able to ask his opinion. Then we discussed certain social and humanitarian subjects which interested us both. There was, between his conceptions and mine, despite the difference between our native countries, a surprising kinship, no doubt attributable to a certain likeness in the moral atmosphere in which we were both raised by our families.

We met again at the Physics Society and in the laboratory. Then he asked if he might call upon me. I lived at that time in a room on the sixth floor of a house situated near the schools. It was a poor little room, for my resources were extremely limited. I was nevertheless very happy in it for I was now first realizing, although already twenty-five years old, the ardent desire I had so long cherished of carrying on advanced studies in science. 

I hate the present modes of living and getting a living. Farming and shopkeeping and working at a trade or profession are all odious to me. I should relish getting my living in a simple, primitive fashion.

—Henry David Thoreau, 1855

* * * Pierre Curie came to see me and showed a simple and sincere sympathy with my student life. Soon he caught the habit of speaking to me of his dream of an existence consecrated entirely to scientific research, and he asked me to share that life. It was not, however, easy for me to make such a decision, for it meant separation from my country and my family, and the renouncement of certain social projects that were dear to me. Having grown up in an atmosphere of patriotism kept alive by the oppression of Poland, I wished, like many other young people of my country, to contribute my effort toward the conservation of our national spirit.

So matters stood when at the beginning of my vacation I left Paris to go to my father in Poland. Our correspondence during this separation helped to strengthen the bond of affection between us.

During the year 1894, Pierre Curie wrote me letters that seem to me admirable in their form. No one of them was very long, for he had the habit of concise expression, but all were written in a spirit of sincerity and with an evident anxiety to make the one he desired as a companion know him as he was. It is appropriate to quote here a few lines which express how he looked on the possibility of our marriage:

> It would, nevertheless, be a beautiful thing in which I hardly dare believe, to pass through life together hypnotized in our dreams: your dream for your country, our dream for humanity, our dream for science. Of all these dreams, I believe the last alone is legitimate. I mean to say by this that we are powerless to change the social order. Even if this were not true we should not know what to do. And in working without understanding, we should never be sure that we were not doing more harm than good, by retarding some inevitable evolution. From the point of view of science, on the contrary, we can pretend to accomplish something. The territory here is more solid and obvious, and however small it is, it is truly in our possession. I strongly advise you to return to Paris in October.

One can understand from this letter that for Pierre Curie there was only one way of looking at the future. He had dedicated his life to his dream of science: he felt the need of a companion who could live his dream with him. He told me many times that the reason he had not married until he was thirty-six was because he did not believe in the possibility of a marriage which would meet this, his absolute necessity.

After my return from my vacation, our friendship grew more and more precious to us; each realized that he or she could find no better life companion. We decided, therefore, to marry, and the ceremony took place in July 1895. 

Professor Curie's salary was six thousand francs a year, and we held that he should not undertake any supplementary work, at least in the beginning. As for myself, I was preparing to take the examination for the aggregation of young women, in view of obtaining a teaching post. These I passed in 1896. We ordered our life to suit our scientific work and our days were passed in the laboratory, where it was permitted that I might work with my husband.

He was then engaged in a research on the growth of crystals, which interested him keenly. He wished to know if certain faces of a crystal had a preferential development chiefly because they have a different rapidity of growth or because their solubility is different. He quickly obtained interesting results (not published), but he had to interrupt his investigations to undertake others on radioactivity. And he often regretted that he was never able to return to them. I was occupied at this time with the study of the magnetization of tempered steel.

![Madame Recoit, by Remy Cogghe, 1908. Musée d'Art et d'Industrie de Roubaix, France. ][25]

_Madame Recoit_, by Remy Cogghe, 1908. Musée d'Art et d'Industrie de Roubaix, France. 

The preparation of his class lectures was for Pierre Curie a genuine care. The chair was a new one and carried no prescribed course of study. He divided his lectures at first between crystallography and electricity. Then, as he recognized more and more the utility of a serious theoretical course in electricity for future engineers, he devoted himself entirely to this subject and succeeded in establishing a course (of about 120 lectures) that was the most complete and modern then to be had in Paris. This cost him a considerable effort, of which I was the daily witness, for he was always anxious to give a complete picture of the phenomena and of the evolution of theories, and of ideas. He was always anxious, too, that his mode of exposition should be clear and precise. He thought of publishing a treatise summing up this course, but unfortunately the many preoccupations of the following years prevented him from putting this plan into execution.

We lived a very single life, interested in common, as we were, in our laboratory experiments and in the preparation of lectures and examinations. During eleven years we were scarcely ever separated, which means that there are very few lines of existing correspondence between us, representing that period. We spent our rest days and our vacations walking or bicycling either in the country near Paris, along the sea, or in the mountains. My husband was so engrossed in his researches, however, that it was very difficult for him to remain for any length of time in a place where he lacked facilities for work. After a few days, he would say, "It seems to me a very long time since we have accomplished anything."

![][26]

Contributor

# [Marie Curie][27]

## 

From _Pierre Curie and Autobiographical Notes_. In 1903 Marie, Pierre, and Henri Becquerel received the Nobel Prize in Physics for their discovery of radioactivity, and in 1911 she received the Nobel Prize in Chemistry for isolating pure radium; she was the first woman to win a Nobel and the only one to have done so in two fields. During World War I, she and one of her daughters worked to develop X-radiography. She died at the age of sixty-six in 1934.

# Issue

# Back to Issue

[ ![Lines of Work thumbnail][28]

## [Lines of Work][29]

[Shop Now][30]

* [ Previous Labor Contract The Bible ][31]
* [ Next Power Points Isabella Mary Beeton ][32]

# Related Reads

![][33]

[Essay][34] __ Sports & Games

# [The Comeback Kid][35]

[Terry McDonell][36]

The marvelous and true tale of Alex Rodriguez seemed an unlikely prospect for the role of the Comeback Kid. [More][35]

* * * ![][37]

[Essay][34] __ Spies

# [Happy All the Time][38]

[Lynn Stuart Parramore][39]

As biometric tracking takes over the modern workplace, the old game of labor surveillance is finding new forms. [More][38]

* * * [Voices In Time __][40]

[Travel][41]

#  1784 | Auteuil 

## [Where Vice Is Suffered to Walk at Large][42]

Abigail Adams' notes on France.[More][42]

* * * ![][43] ![][44]

Conversations __ Spies

## [Charles Dickens & Edward Snowden][45]

* * * # From the Archives

[ ![Cover of "Crimes & Punishments"][46] ][47]

## Featuring

Jack the Ripper, Herman Melville, Victor Hugo and more...

[Subscribe Now][48] [Shop Back Issues][30]

# Connect

* * * # Learn More
* [About][6]
* [Masthead][49]
* [Legal][50]
* [Internships][51]
* [Contact][52]

# Outreach

* [American Agora Foundation][53]
* [Principal Supporters][54]
* [Janus Society][55]
* [Donate][56]
* [Decades Ball][57]

# Stay in Touch

Subscribe to

## Lapham’s Newsletter

Subscribe to our mailing list

[1]: https://www.facebook.com/tr?id=246752215808776&ev=PageView&noscript=1
[2]: https://www.laphamsquarterly.org#main-menu
[3]: https://store.laphamsquarterly.us/gifts/ ""
[4]: https://store.laphamsquarterly.us/login/index ""
[5]: https://www.laphamsquarterly.org/
[6]: https://www.laphamsquarterly.org/about ""
[7]: https://www.laphamsquarterly.org/ ""
[8]: https://www.laphamsquarterly.org/states-mind ""
[9]: https://www.laphamsquarterly.org/issues ""
[10]: https://www.laphamsquarterly.org/archive/preambles ""
[11]: https://www.laphamsquarterly.org/archive/essays ""
[12]: https://www.laphamsquarterly.org/archive/voices-in-time ""
[13]: https://www.laphamsquarterly.org/contributors ""
[14]: https://www.laphamsquarterly.org/archive/charts-graphs ""
[15]: https://www.laphamsquarterly.org/archive/conversations ""
[16]: https://www.laphamsquarterly.org/archive/miscellany ""
[17]: https://www.laphamsquarterly.org/archive/maps ""
[18]: https://www.laphamsquarterly.org/archive/quotes ""
[19]: https://www.laphamsquarterly.org/roundtable
[20]: https://www.laphamsquarterly.org/deja-vu
[21]: http://store.laphamsquarterly.us/ "LQ Store"
[22]: http://laphamsquarterly.org/world-in-time ""
[23]: https://store.laphamsquarterly.us/donate "Donate "
[24]: https://store.laphamsquarterly.us/gifts/
[25]: https://www.laphamsquarterly.org/sites/default/files/images/artwork/9._xir_26295.jpg
[26]: https://www.laphamsquarterly.org/sites/default/files/styles/xsmall_square/public/images/contributor/curie_360x450.jpg?itok=IXVVCdb_
[27]: https://www.laphamsquarterly.org/contributors/curie
[28]: https://www.laphamsquarterly.org/sites/default/files/styles/small_square/public/images/issue/thumbnails/14._lines_of_work_icon.png?itok=ligTDb2Y "Lines of Work thumbnail"
[29]: https://www.laphamsquarterly.org/lines_of_work
[30]: http://aaf.rarebirdinc.com/back-issues
[31]: https://www.laphamsquarterly.org/lines-work/labor-contract
[32]: https://www.laphamsquarterly.org/lines-work/power-points
[33]: https://www.laphamsquarterly.org/sites/default/files/styles/related_bottom_square/public/images/essay/arodriguez.jpg?itok=ePHHg2sW
[34]: https://www.laphamsquarterly.org/archive/essays
[35]: https://www.laphamsquarterly.org/sports-games/comeback-kid
[36]: /contributors/mcdonell
[37]: https://www.laphamsquarterly.org/sites/default/files/styles/related_bottom_square/public/images/essay/degas.jpg?itok=Zc5Ae1Vc
[38]: https://www.laphamsquarterly.org/spies/happy-all-time
[39]: /contributors/parramore
[40]: https://www.laphamsquarterly.org/travel#voices-in-time
[41]: https://www.laphamsquarterly.org/travel
[42]: https://www.laphamsquarterly.org/travel/where-vice-suffered-walk-large
[43]: https://www.laphamsquarterly.org/sites/default/files/styles/contributor_block/public/images/contributor/dickens_360x450.jpg?itok=lN77-g3Y
[44]: https://www.laphamsquarterly.org/sites/default/files/styles/contributor_block/public/images/contributor/snowden.jpg?itok=HlNsZ51z
[45]: https://www.laphamsquarterly.org/conversations/charles-dickens-edward-snowden
[46]: https://www.laphamsquarterly.org/sites/default/files/styles/magazine/public/images/issue/6.crimesandpunishments_500x700.jpg?itok=TVsxUqcD "Crimes & Punishments"
[47]: https://www.laphamsquarterly.org/issues
[48]: http://aaf.rarebirdinc.com/subscriptions
[49]: https://www.laphamsquarterly.org/about#masthead ""
[50]: https://www.laphamsquarterly.org/legal ""
[51]: https://www.laphamsquarterly.org/about#internships "Internships"
[52]: mailto:customerservice%40laphamsquarterly.us ""
[53]: https://www.laphamsquarterly.org/outreach#american-agora-foundation ""
[54]: https://www.laphamsquarterly.org/outreach#principal-supporters "Principal Supporters"
[55]: https://www.laphamsquarterly.org/outreach#janus-society ""
[56]: https://store.laphamsquarterly.us/donate#donate ""
[57]: https://www.laphamsquarterly.org/outreach#decades-ball ""

