---
created_at: '2018-02-16T20:05:52.000Z'
title: On Being the Right Size (1928)
url: http://irl.cs.ucla.edu/papers/right-size.html
author: Rexxar
points: 79
story_text: 
comment_text: 
num_comments: 10
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1518811552
_tags:
- story
- author_Rexxar
- story_16395593
objectID: '16395593'

---
[Source](http://irl.cs.ucla.edu/papers/right-size.html "Permalink to Haldane, On Being the Right Size")

# Haldane, On Being the Right Size

This paper was originally grabbed from [ the reading list][1] of a course Prof. Kurose taught at UMass.   

* * *

  
Note: This essay was originally published in 1928 (long before computer networks were invented :-) ) and discussed size in the natural (biological) world and systems.  As you read it, think about whether there is a "right size" for a network (or a piece of a network such as an Autonomous System), and what aspects of a network determine the "right size."  You might also find the political statements at the end of interest.****   
Note on 12/19/2011:  we fixed a number of typos and missing words in the earlier version.   
[PDF version][2]   
****

**On Being the Right Size**   
**J. B. S. Haldane**

The most obvious differences between different animals are differences of size, but for some reason the zoologists have paid singularly little attention to them. In a large textbook of zoology before me I find no indication that the eagle is larger than the sparrow, or the hippopotamus bigger than the hare, though some grudging admissions are made in the case of the mouse and the whale. But yet it is easy to show that a hare could not be as large as a hippopotamus, or a whale as small as a herring. For every type of animal there is a most convenient size, and a large change in size inevitably carries with it a change of form.

Let us take the most obvious of possible cases, and consider a giant man sixty feet high—about the height of Giant Pope and Giant Pagan in the illustrated Pilgrim’s Progress of my childhood. These monsters were not only ten times as high as Christian, but ten times as wide and ten times as thick, so that their total weight was a thousand times his, or about eighty to ninety tons. Unfortunately the cross sections of their bones were only a hundred times those of Christian, so that every square inch of giant bone had to support ten times the weight borne by a square inch of human bone. As the human thigh-bone breaks under about ten times the human weight, Pope and Pagan would have broken their thighs every time they took a step. This was doubtless why they were sitting down in the picture I remember. But it lessens one’s respect for Christian and Jack the Giant Killer.

To turn to zoology, suppose that a gazelle, a graceful little creature with long thin legs, is to become large, it will break its bones unless it does one of two things. It may make its legs short and thick, like the rhinoceros, so that every pound of weight has still about the same area of bone to support it. Or it can compress its body and stretch out its legs obliquely to gain stability, like the giraffe. I mention these two beasts because they happen to belong to the same order as the gazelle, and both are quite successful mechanically, being remarkably fast runners.

Gravity, a mere nuisance to Christian, was a terror to Pope, Pagan, and Despair. To the mouse and any smaller animal it presents practically no dangers. You can drop a mouse down a thousand-yard mine shaft; and, on arriving at the bottom, it gets a slight shock and walks away, provided that the ground is fairly soft. A rat is killed, a man is broken, a horse splashes. For the resistance presented to movement by the air is proportional to the surface of the moving object. Divide an animal’s length, breadth, and height each by ten; its weight is reduced to a thousandth, but its surface only to a hundredth. So the resistance to falling in the case of the small animal is relatively ten times greater than the driving force.

An insect, therefore, is not afraid of gravity; it can fall without danger, and can cling to the ceiling with remarkably little trouble. It can go in for elegant and fantastic forms of support like that of the daddy-longlegs. But there is a force which is as formidable to an insect as gravitation to a mammal. This is surface tension. A man coming out of a bath carries with him a film of water of about one-fiftieth of an inch in thickness. This weighs roughly a pound. A wet mouse has to carry about its own weight of water. A wet fly has to lift many times its own weight and, as everyone knows, a fly once wetted by water or any other liquid is in a very serious position indeed. An insect going for a drink is in as great danger as a man leaning out over a precipice in search of food. If it once falls into the grip of the surface tension of the water—that is to say, gets wet—it is likely to remain so until it drowns. A few insects, such as water-beetles, contrive to be unwettable; the majority keep well away from their drink by means of a long proboscis.

Of course tall land animals have other difficulties. They have to pump their blood to greater heights than a man, and, therefore, require a larger blood pressure and tougher blood-vessels. A great many men die from burst arteries, greater for an elephant or a giraffe. But animals of all kinds find difficulties in size for the following reason. A typical small animal, say a microscopic worm or rotifer, has a smooth skin through which all the oxygen it requires can soak in, a straight gut with sufficient surface to absorb its food, and a single kidney. Increase its dimensions tenfold in every direction, and its weight is increased a thousand times, so that if it is to use its muscles as efficiently as its miniature counterpart, it will need a thousand times as much food and oxygen per day and will excrete a thousand times as much of waste products.

Now if its shape is unaltered its surface will be increased only a hundredfold, and ten times as much oxygen must enter per minute through each square millimetre of skin, ten times as much food through each square millimetre of intestine. When a limit is reached to their absorptive powers their surface has to be increased by some special device. For example, a part of the skin may be drawn out into tufts to make gills or pushed in to make lungs, thus increasing the oxygen-absorbing surface in proportion to the animal’s bulk. A man, for example, has a hundred square yards of lung. Similarly, the gut, instead of being smooth and straight, becomes coiled and develops a velvety surface, and other organs increase in complication. The higher animals are not larger than the lower because they are more complicated. They are more complicated because they are larger. Just the same is true of plants. The simplest plants, such as the green algae growing in stagnant water or on the bark of trees, are mere round cells. The higher plants increase their surface by putting out leaves and roots. Comparative anatomy is largely the story of the struggle to increase surface in proportion to volume. Some of the methods of increasing the surface are useful up to a point, but not capable of a very wide adaptation. For example, while vertebrates carry the oxygen from the gills or lungs all over the body in the blood, insects take air directly to every part of their body by tiny blind tubes called tracheae which open to the surface at many different points. Now, although by their breathing movements they can renew the air in the outer part of the tracheal system, the oxygen has to penetrate the finer branches by means of diffusion. Gases can diffuse easily through very small distances, not many times larger than the average length traveled by a gas molecule between collisions with other molecules. But when such vast journeys—from the point of view of a molecule—as a quarter of an inch have to be made, the process becomes slow. So the portions of an insect’s body more than a quarter of an inch from the air would always be short of oxygen. In consequence hardly any insects are much more than half an inch thick. Land crabs are built on the same general plan as insects, but are much clumsier. Yet like ourselves they carry oxygen around in their blood, and are therefore able to grow far larger than any insects. If the insects had hit on a plan for driving air through their tissues instead of letting it soak in, they might well have become as large as lobsters, though other considerations would have prevented them from becoming as large as man.

Exactly the same difficulties attach to flying. It is an elementary principle of aeronautics that the minimum speed needed to keep an aeroplane of a given shape in the air varies as the square root of its length. If its linear dimensions are increased four times, it must fly twice as fast. Now the power needed for the minimum speed increases more rapidly than the weight of the machine. So the larger aeroplane, which weighs sixty-four times as much as the smaller, needs one hundred and twenty-eight times its horsepower to keep up. Applying the same principle to the birds, we find that the limit to their size is soon reached. An angel whose muscles developed no more power weight for weight than those of an eagle or a pigeon would require a breast projecting for about four feet to house the muscles engaged in working its wings, while to economize in weight, its legs would have to be reduced to mere stilts. Actually a large bird such as an eagle or kite does not keep in the air mainly by moving its wings. It is generally to be seen soaring, that is to say balanced on a rising column of air. And even soaring becomes more and more difficult with increasing size. Were this not the case eagles might be as large as tigers and as formidable to man as hostile aeroplanes.

But it is time that we pass to some of the advantages of size. One of the most obvious is that it enables one to keep warm. All warmblooded animals at rest lose the same amount of heat from a unit area of skin, for which purpose they need a food-supply proportional to their surface and not to their weight. Five thousand mice weigh as much as a man. Their combined surface and food or oxygen consumption are about seventeen times a man’s. In fact a mouse eats about one quarter its own weight of food every day, which is mainly used in keeping it warm. For the same reason small animals cannot live in cold countries. In the arctic regions there are no reptiles or amphibians, and no small mammals. The smallest mammal in Spitzbergen is the fox. The small birds fly away in winter, while the insects die, though their eggs can survive six months or more of frost. The most successful mammals are bears, seals, and walruses.

Similarly, the eye is a rather inefficient organ until it reaches a large size. The back of the human eye on which an image of the outside world is thrown, and which corresponds to the film of a camera, is composed of a mosaic of “rods and cones” whose diameter is little more than a length of an average light wave. Each eye has about a half a million, and for two objects to be distinguishable their images must fall on separate rods or cones. It is obvious that with fewer but larger rods and cones we should see less distinctly. If they were twice as broad two points would have to be twice as far apart before we could distinguish them at a given distance. But if their size were diminished and their number increased we should see no better. For it is impossible to form a definite image smaller than a wave-length of light. Hence a mouse’s eye is not a small-scale model of a human eye. Its rods and cones are not much smaller than ours, and therefore there are far fewer of them. A mouse could not distinguish one human face from another six feet away. In order that they should be of any use at all the eyes of small animals have to be much larger in proportion to their bodies than our own. Large animals on the other hand only require relatively small eyes, and those of the whale and elephant are little larger than our own. For rather more recondite reasons the same general principle holds true of the brain. If we compare the brain-weights of a set of very similar animals such as the cat, cheetah, leopard, and tiger, we find that as we quadruple the body-weight the brain-weight is only doubled. The larger animal with proportionately larger bones can economize on brain, eyes, and certain other organs.

Such are a very few of the considerations which show that for every type of animal there is an optimum size. Yet although Galileo demonstrated the contrary more than three hundred years ago, people still believe that if a flea were as large as a man it could jump a thousand feet into the air. As a matter of fact the height to which an animal can jump is more nearly independent of its size than proportional to it. A flea can jump about two feet, a man about five. To jump a given height, if we neglect the resistance of air, requires an expenditure of energy proportional to the jumper’s weight. But if the jumping muscles form a constant fraction of the animal’s body, the energy developed per ounce of muscle is independent of the size, provided it can be developed quickly enough in the small animal. As a matter of fact an insect’s muscles, although they can contract more quickly than our own, appear to be less efficient; as otherwise a flea or grasshopper could rise six feet into the air.

And just as there is a best size for every animal, so the same is true for every human institution. In the Greek type of democracy all the citizens could listen to a series of orators and vote directly on questions of legislation. Hence their philosophers held that a small city was the largest possible democratic state. The English invention of representative government made a democratic nation possible, and the possibility was first realized in the United States, and later elsewhere. With the development of broadcasting it has once more become possible for every citizen to listen to the political views of representative orators, and the future may perhaps see the return of the national state to the Greek form of democracy. Even the referendum has been made possible only by the institution of daily newspapers.

To the biologist the problem of socialism appears largely as a problem of size. The extreme socialists desire to run every nation as a single business concern. I do not suppose that Henry Ford would find much difficulty in running Andorra or Luxembourg on a socialistic basis. He has already more men on his pay-roll than their population. It is conceivable that a syndicate of Fords, if we could find them, would make Belgium Ltd or Denmark Inc. pay their way. But while nationalization of certain industries is an obvious possibility in the largest of states, I find it no easier to picture a completely socialized British Empire or United States than an elephant turning somersaults or a hippopotamus jumping a hedge.   
    
 

[1]: http://www-net.cs.umass.edu/cs653/documents/on_being_the_right_size.htm
[2]: http://irl.cs.ucla.edu/right-size.pdf

