---
created_at: '2016-08-12T17:48:46.000Z'
title: 'World Brain: The Idea of a Permanent World Encyclopædia (1937)'
url: https://sherlock.ischool.berkeley.edu/wells/world_brain.html
author: yk
points: 76
story_text: 
comment_text: 
num_comments: 19
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1471024126
_tags:
- story
- author_yk
- story_12277439
objectID: '12277439'

---
[Source](https://sherlock.ischool.berkeley.edu/wells/world_brain.html "Permalink to World Brain: The Idea of a Permanent World Encyclopaedia")

# World Brain: The Idea of a Permanent World Encyclopaedia

![][1]

# World Brain:  
The Idea of a Permanent World Encyclopaedia

### H.G. Wells

_Contribution to the new Encyclopédie Française, August, 1937_

**I**t is probable that the idea of an encyclopaedia may undergo very considerable extension and elaboration in the near future. Its full possibilities have still to be realized. The encyclopaedias of the past have sufficed for the needs of a cultivated minority. They were written "for gentlemen by gentlemen" in a world wherein universal education was unthought of, and where the institutions of modern democracy with universal suffrage, so necessary in many respects, so difficult and dangerous in their working, had still to appear. Throughout the nineteenth century encyclopaedias followed the eighteenth-century scale and pattern, in spite both of a gigantic increase in recorded knowledge and of a still more gigantic growth in the numbers of human beings requiring accurate and easily accessible information. At first this disproportion was scarcely noted, and its consequences not at all. But many people now are coming to recognize that our contemporary encyclopaedias are still in the coach-and-horses phase of development, rather than in the phase of the automobile and the aeroplane. Encyclopaedic enterprise has not kept pace with material progress. These observers realize that modern facilities of transport, radio, photographic reproduction and so forth are rendering practicable a much more fully succinct and accessible assembly of fact and ideas than was ever possible before.  
![][2] Concurrently with these realizations there is a growing discontent with the part played by the universities, schools and libraries in the intellectual life of mankind. Universities multiply, schools of every grade and type increase, but they do not enlarge their scope to anything like the urgent demands of this troubled and dangerous age. They do not perform the task nor exercise the authority that might reasonably be attributed to the thought and knowledge organization of the world. It is not, as it should be, a case of larger and more powerful universities co-operating more and more intimately, but of many more universities of the old type, mostly ill-endowed and uncertainly endowed, keeping at the old educational level.  
![][2] Both the assembling and the distribution of knowledge in the world at present are extremely ineffective, and thinkers of the forward-looking type whose ideas we are now considering, are beginning to realize that the most hopeful line for the development of our racial intelligence lies rather in the direction of creating a new world organ for the collection, indexing, summarizing and release of knowledge, than in any further tinkering with the highly conservative and resistant university system, local, national and traditional in texture, which already exists. These innovators, who may be dreamers today, but who hope to become very active organizers tomorrow, project a unified, if not a centralized, world organ to "pull the mind of the world together", which will be not so much a rival to the universities, as a supplementary and co-ordinating addition to their educational activities - on a planetary scale.  
![][2] The phrase "Permanent World Encyclopaedia" conveys the gist of these ideas. As the core of such an institution would be a world synthesis of bibliography and documentation with the indexed archives of the world. A great number of workers would be engaged perpetually in perfecting this index of human knowledge and keeping it up to date. Concurrently, the resources of micro-photography, as yet only in their infancy, will be creating a concentrated visual record.  
![][2] Few people as yet, outside the world of expert librarians and museum curators and so forth, know how manageable well-ordered facts can be made, however multitudinous, and how swiftly and completely even the rarest visions and the most recondite matters can be recalled, once they have been put in place in a well-ordered scheme of reference and reproduction. The American microfilm experts, even now, are making facsimiles of the rarest books, manuscripts, pictures and specimens, which can then be made easily accessible upon the library srceen. By means of the microfilm, the rarest and most intricate documents and articles can be studied now at first hand, simultaneously in a score of projection rooms. There is no practical obstacle whatever now to the creation of an efficient index to _all_  human knowledge, ideas and achievements, to the creation, that is, of a complete planetary memory for all mankind. And not simply an index; the direct reproduction of the thing itself can be summoned to any properly prepared spot. A microfilm, coloured where necessary, occupying an inch or so of space and weighing little more than a letter, can be duplicated from the records and sent anywhere, and thrown enlarged upon the screen so that the student may study it in every detail.  
![][2] This in itself is a fact of tremendous significance. It foreshadows a real intellectual unification of our race. The whole human memory can be, and probably in a short time will be, made accessible to every individual. And what is also of very great importance in this uncertain world where destruction becomes continually more frequent and unpredictable, is this, that photography affords now every facility for multiplying duplicates of this - which we may call? - this new all-human cerebrum. It need not be concentrated in any one single place. It need not be vulnerable as a human head or a human heart is vulnerable. It can be reproduced exactly and fully, in Peru, China, Iceland, Central Africa, or wherever else seems to afford an insurance against danger and interruption. It can have at once, the concentration of a craniate animal and the diffused vitality of an amoeba.  
![][2] This is no remote dream, no fantasy. It is a plain statement of a contemporary state of affairs. It is on the level of practicable fact. It is a matter of such manifest importance and desirability for science, for the practical needs of mankind, for general education and the like, that it is difficult not to believe that in quite the near future, this Permanent World Encyclopaedia, so compact in its material form and so gigantic in its scope and possible influence, will not come into existence.  
![][2] Its uses will be multiple and many of them will be fairly obvious. Special sections of it, historical, technical, scientific, artistic, e.g. will easily be reproduced for specific professional use. Based upon it, a series of summaries of greater or less fullness and simplicity, for the homes and studies of ordinary people, for the college and the school, can be continually issued and revised. In the hands of competent editors, educational directors and teachers, these condensations and abstracts incorporated in the world educational system, will supply the humanity of the days before us, with a common understanding and the conception of a common purpose and of a commonweal such as now we hardly dare dream of. And its creation is a way to world peace that can be followed without any very grave risk of collision with the warring political forces and the vested institutional interests of today. Quietly and sanely this new encyclopaedia will, not so much overcome these archaic discords, as deprive them, steadily but imperceptibly, of their present reality. A common ideology based on this Permanent World Encyclopaedia is a possible means, to some it seems the only means, of dissolving human conflict into unity.  
![][2] This concisely is the sober, practical but essentially colossal objective of those who are seeking to synthesize human mentality today, through this natural and reasonable development of encyclopaedism into a Permanent World Encyclopaedia.

* * *

**Note: ** H.G. Wells (1866-1946), English writer. He graduated from London University with a degree in biology in 1890. His scientific knowledge merged with his visionary fantasy into several works of science fiction i.a. The Time Machine (1895), The Invisible Man (1897), and The War of the Worlds (1898). He also wrote comic novels, such as Love and Mr. Lewisham (1900), Kipps: The Story of a Simple Soul (1905), and The History of Mr. Polly (1910). In 1920 he tried to capture world history in one single volume in the book Outline of History. **The Idea of a Permanent World Encyclopaedia (1937)** was published by Wells not only in the Encyclopédie Française but also in the volume "World Brain", where he collected different papers and addresses concerning education and retrieval of information. If you just change 'microfilm' to 'computer files', it is amazing how accurate Wells' prophecy was.

**This page is a local copy of the original created at the Swedish [Origo project.][3]

* * *

[1]: https://sherlock.ischool.berkeley.edu/owells.gif
[2]: https://sherlock.ischool.berkeley.edu/halfsp.gif
[3]: http://www4.torget.se/artbin/art/origo.html

