---
created_at: '2015-06-26T20:34:18.000Z'
title: As We May Think (1945)
url: https://en.wikipedia.org/wiki/As_We_May_Think
author: benbreen
points: 67
story_text: 
comment_text: 
num_comments: 12
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1435350858
_tags:
- story
- author_benbreen
- story_9787567
objectID: '9787567'

---
[Source](https://en.wikipedia.org/wiki/As_We_May_Think "Permalink to As We May Think - Wikipedia")

# As We May Think - Wikipedia

# As We May Think

From Wikipedia, the free encyclopedia

Jump to: [navigation][1], [search][2]

| ----- |
|  "As We May Think" |  
|  Author |  [Vannevar Bush][3] |  
|  Language |  English |  
|  Genre(s) |  essay/article (about 10 pages long) |  
|  Published in |  [The Atlantic][4] |  
|  Media type |  Print |  
|  Publication date |  July 1945 | 

![][5]

Vannevar Bush

"**As We May Think**" is a 1945 essay by [Vannevar Bush][3] which has been described as visionary and influential, anticipating many aspects of [information society][6]. It was first published in [_The Atlantic][4]_ in July 1945 and republished in an abridged version in September 1945—before and after the [atomic bombings of Hiroshima and Nagasaki][7]. Bush expresses his concern for the direction of scientific efforts toward destruction, rather than understanding, and explicates a desire for a sort of [collective memory][8] machine with his concept of the [memex][9] that would make knowledge more accessible, believing that it would help fix these problems. Through this machine, Bush hoped to transform an information explosion into a knowledge explosion.[[1]][10]

## Contents

* [1 Concept creation][11]
* [2 Concept realization][12]
* [3 Outlook in the use of science][13]
* [4 Outline][14]
* [5 Critical opinion][15]
* [6 See also][16]
* [7 References][17]
* [8 External links][18]

## Concept creation[[edit][19]]

The article was a reworked and expanded version of Bush's essay "Mechanization and the Record" (1939). Here, he described a machine that would combine lower level technologies to achieve a higher level of organized knowledge (like human [memory][20] processes). Shortly after the publication of this essay, Bush coined the term "[memex][9]" in a letter written to the editor of [_Fortune][21]_ magazine.[[2]][22] That letter became the body of "As We May Think", which added only an introduction and conclusion. As described, Bush's memex was based on what was thought, at the time, to be advanced technology of the future: ultra high resolution [microfilm][23] reels, coupled to multiple screen viewers and cameras, by [electromechanical][24] controls. The memex, in essence, reflects a library of collective knowledge stored in a piece of machinery described in his essay as "a piece of furniture".[[3]][25] The _Atlantic_ publication of Bush's article was followed, in the September 10, 1945 issue of [_Life_][26] magazine, by a reprint that showed illustrations of the proposed memex desk and automatic typewriter. (Coincidentally, the same issue of _Life_ contained aerial photos of Hiroshima after the dropping of the atomic bomb, a [project][27] Bush was instrumental in starting). Bush also discussed other technologies such as [dry photography][28] and [microphotography][29] where he elaborates on the potentialities of their future use. For example, Bush states in his essay that:

> The combination of optical projection and photographic reduction is already producing some results in microfilm for scholarly purposes, and the potentialities are highly suggestive.
> 
> — _Vannevar Bush[_[3]][25]

## Concept realization[[edit][30]]

"As We May Think" predicted (to some extent) many kinds of technology invented after its publication, including [hypertext][31], [personal computers][32], the [Internet][33], the [World Wide Web][34], [speech recognition][35], and [online encyclopedias][36] such as [Wikipedia][37]: "Wholly new forms of encyclopedias will appear, ready-made with a mesh of associative trails running through them, ready to be dropped into the memex and there amplified."[[3]][25] Bush envisioned the ability to retrieve several articles or pictures on one screen, with the possibility of writing comments that could be stored and recalled together. He believed people would create links between related articles, thus mapping the thought process and path of each user and saving it for others to experience. Wikipedia is one example of how this vision has in part been realized, allowing elements of an article to reference other related topics. A user's browser history maps the trails of possible paths of interaction, although this is typically available only to the user that created it. Bush's article also laid the foundation for new media. [Doug Engelbart][38] came across the essay shortly after its publication, and keeping the memex in mind, he began work that would eventually result in the invention of the [mouse][39], the [word processor][40], the [hyperlink][41] and concepts of new media for which these groundbreaking inventions were merely enabling technologies.[[1]][10]

Today, storage has greatly surpassed the level imagined by Vannevar Bush,

> The [_Encyclopædia Britannica][42]_ could be reduced to the volume of a matchbox. A library of a million volumes could be compressed into one end of a desk.
> 
> — _Vannevar Bush[_[3]][25]

On the other hand, it still uses methods of indexing of information which Bush described as artificial:

> When data of any sort are placed in storage, they are filed alphabetically or numerically, and information is found (when it is) by tracing it down from subclass to subclass. It can be in only one place, unless duplicates are used.
> 
> — _Vannevar Bush[_[3]][25]

This description resembles popular [file systems][43] of modern computer operating systems ([FAT][44], [NTFS][45], [ext3][46] when used without hard links and symlinks, etc.), which do not easily enable associative indexing as imagined by Bush.

## Outlook in the use of science[[edit][47]]

Bush urges that scientists should turn to the massive task of creating more efficient accessibility to our fluctuating [store of knowledge][48]. For years inventions have extended people's physical powers rather than the powers of their mind. He argues that the instruments are at hand which, if properly developed, will give society access to and command over the inherited knowledge of the ages. The perfection of these pacific instruments, he suggests, should be the first objective of our scientists.[[3]][25]

Through this process, society would be able to focus and evolve past the existing knowledge rather than looping through infinite calculations. We should be able to pass the tedious [work of numbers][49] to machines and work on the intricate theory which puts them best to use. If humanity were able to obtain the "privilege of forgetting the manifold things he does not need to have immediately at hand, with some assurance that he can find them again if proven important" only then "will mathematics be practically effective in bringing the [growing knowledge][50] of atomistic to the useful solution of the advanced problems of chemistry, metallurgy, and biology".[[1]][10] To exemplify the importance of this concept, consider the process involved in 'simple' shopping: "Every time a charge sale is made, there are a number of things to be done. The inventory needs to be revised, the salesman needs to be given credit for the sale, the general accounts need an entry, and most important, the customer needs to be charged."[[1]][10] Due to the convenience of the store's central device which rapidly manage thousands of these transactions, the employees may focus on the essential aspects of the department such as sales and advertising.

Indeed, as of today, "science has provided the swiftest [communication][51] between individuals; it has provided a record of ideas and has enabled man to manipulate and to make extracts from that record so that knowledge evolves and endures throughout the life of a race rather than of an individual".[[1]][10] Improved technology has become an extension of our capabilities, much as how external hard drives function for computers so it may reserve more memory for more practical tasks.

Another significant role of practicality in technology is the method of [association][52] and selection. "There may be millions of fine thoughts, and the account of the experience on which they are based, all encased within stone walls of acceptable architectural form; but if the scholar can get at only one a week by diligent search, his synthesis are not likely to keep up with the current scene."[[1]][10] Bush believes that the tools available in his time lacked this feature, but noted the emergence and development of such ideas such as the Memex, a cross referencing system.

Bush concludes his essay by stating that:

> The applications of science have built man a well-supplied house, and are teaching him to live healthily therein. They have enabled him to throw masses of people against one another with cruel weapons. They may yet allow him truly to encompass the great record and to grow in the wisdom of race experience. He may perish in conflict before he learns to wield that record for his true good. Yet, in the application of science to the needs and desires of man, it would seem to be a singularly unfortunate stage at which to terminate the process, or to lose hope as to the outcome.
> 
> — _Vannevar Bush[_[3]][25]

## Outline[[edit][53]]

Many scientists, especially physicists, get new duties during the War. Now, after the war, they need new duties.

_Section 1:_ The use of Science has improved tremendously in many ways for humans. The knowledge of science has grown considerably. However, the way we manage it still remains the same for centuries. We are no longer able to use what Science finds out. Alternatively, the technology has matured greatly and allows us to now produce complicated, yet cheap and dependable machines.

_Section 2:_ Science is really useful. However, in order to have it to be very efficient and useful it should not only be stored but also be frequently consulted and enhanced. In the future we would probably be able to store human writings in a small room with the use of photography.

_Section 3:_ Using the latest advances of [speech recording][54] and [stenography][55], we will soon be able to make printing immediate. The advancement of photography is not going to stop. The thought process of repetition could be in relation to machine. Electrical machines will be the advancement of [arithmetical][56] computation.

_Section 4:_ There is more to the scientific reasoning than just arithmetic. There are a few machines that are not used for arithmetic, partly due to the market's needs. Solving [higher mathematics][57] require other repetitive processes of thought to be mechanized.

_Section 5:_ A machine could be used anywhere where there is logical [thought process][58]. At this moment we do not have the necessary tools for the selection (the key to utilize science) of knowledge. One of the best forms of selection is illustrated by the automatic telephone exchange.

_Section 6:_ There is a problem with selection. The main problem of it is the deficiency of the [indexing][59] systems. When data is recorded and put into storage, it is usually [filed alphabetically or numerically][60]. The human mind works differently. It works according to [association][52]. Instead of using selection by indexing, selection by association may be mechanized. Thus, improving the permanence and clarity of the items stored. The memex is a device that could store information and communication (large memory). Some things that can be entered are, newspaper and books. The user is also able to find a particular book as he or she taps on its code on the keyboard. The codes that are frequently used to call forth pages are [mnemonic][61] and its possible to browse these pages at different speeds.

_Section 7:_ The main feature of the memex is the ability to tie two things together at will. In other words, to be able to associate two arbitrary items when wanted. The user is also able to build a trail, in which they name it, insert a name into the code book, and then taps it out on the keyboard. At any time, the user is able to view two items at the same time, parallel viewing. It is also possible to pass items to another memex.

_Section 8:_ The trails made can be shared with others and can also be published, like an [encyclopedia][62] (many more new forms are to appear). Soon we will be able to establish some kind of direct connection with absorbing material of the record with one of our senses, tactilely, orally, and visually. It would be great for humans to be able analyze present issues. As of now, science has been applied to live better, as well as for destruction. Possibly we may be able to apply the record to become wiser.

## Critical opinion[[edit][63]]

"As We May Think" has turned out to be a visionary and influential essay. In their introduction to a paper discussing information literacy as a discipline, Johnston and Webber write

> Bush's paper might be regarded as describing a microcosm of the information society, with the boundaries tightly drawn by the interests and experiences of a major scientist of the time, rather than the more open knowledge spaces of the 21st century. Bush provides a core vision of the importance of information to industrial/scientific society, using the image of an "information explosion" arising from the unprecedented demands on scientific production and technological application of World War II. He outlines a version of information science as a key discipline within the practice of scientific and technical knowledge domains. His view encompasses the problems of information overload and the need to devise efficient mechanisms to control and channel information for use.
> 
> — _Johnston and Webber[_[4]][64]

Indeed, Bush was very concerned with information overload inhibiting the research efforts of scientists. His scientist, operating under conditions of "information explosion" and requiring respite from the tide of scientific documents could be construed as a nascent image of the "Information Literate Person" in an information saturated society.

> There is a growing mountain of research. But there is increased evidence that we are being bogged down today as specialization extends. The investigator is staggered by the findings and conclusions of thousands of other workers.
> 
> — _Vannevar Bush[_[3]][25]

> Schools, colleges, health care, government, etc., are all implicated in the distribution and use of information, under similar conditions of "information explosion" as Bush's post-war scientists. All these people arguably need some sort of personal "information control" in order to function.
> 
> — _Bill Johnston, Sheila Webber[_[4]][64]

## See also[[edit][65]]

* [Timeline of hypertext technology][66]
* [Douglas Engelbart][67]

## References[[edit][68]]

1. ^ [_**a**_][69] [_**b**_][70] [_**c**_][71] [_**d**_][72] [_**e**_][73] _**[f**_][74] Wardrip-Fruin, Noah; Montfort, Nick (2003). _[The New Media Reader_][75]. The MIT Press. [ISBN][76] [9780262232272][77]. 
2. **[^][78]** Nyce, James M.; Kahn, Paul W. (1991). _From Memex to Hypertext - Vannevar Bush and the Mind's Machine_. Academic Press. [ISBN][76] [9781493301713][79]. 
3. ^ _**[a**_][80] _**[b**_][81] _**[c**_][82] _**[d**_][83] _**[e**_][84] _**[f**_][85] _**[g**_][86] _**[h**_][87] [Bush, Vannevar][3] (July 1945). ["As We May Think"][88]. _[The Atlantic][4]_. 
4. ^ _**[a**_][89] _**[b**_][90] Johnston; Webber (2006). "As We May Think: Information literacy as a discipline for the information age". _Research Strategies_. **20**: 108–121. [doi][91]:[10.1016/j.resstr.2006.06.005][92]. 

## External links[[edit][93]]

| ----- |
|  [Library resources][94] about  
**As We May Think**

* * *

 |  
| 

* [Resources in your library][95]
* [Resources in other libraries][96]
 | 

* [Video archive of Oct 12-13 1995 MIT/Brown Symposium on the 50th Anniversary of "As We May Think"][97]
* ["As We May Think" - A Celebration of Vannevar Bush's 1945 Vision, at Brown University][98]

![][99]

Retrieved from "[https://en.wikipedia.org/w/index.php?title=As_We_May_Think&oldid=803546127][100]" 

[Categories][101]: 

* [Futurology][102]
* [1945 essays][103]
* [Library science publications][104]
* [History of computing][105]
* [History of the Internet][106]
* [Human–computer interaction][107]
* [Hypertext][108]
* [Works originally published in The Atlantic (magazine)][109]
* [Texts related to the history of the Internet][110]

## Navigation menu

### Personal tools

* Not logged in
* [Talk][111]
* [Contributions][112]
* [Create account][113]
* [Log in][114]

### Namespaces

* [Article][115]
* [Talk][116]

###  Variants

### Views

* [Read][117]
* [Edit][118]
* [View history][119]

### More

###  Search

### Navigation

* [Main page][120]
* [Contents][121]
* [Featured content][122]
* [Current events][123]
* [Random article][124]
* [Donate to Wikipedia][125]
* [Wikipedia store][126]

### Interaction

* [Help][127]
* [About Wikipedia][128]
* [Community portal][129]
* [Recent changes][130]
* [Contact page][131]

### Tools

* [What links here][132]
* [Related changes][133]
* [Upload file][134]
* [Special pages][135]
* [Permanent link][136]
* [Page information][137]
* [Wikidata item][138]
* [Cite this page][139]

### Print/export

* [Create a book][140]
* [Download as PDF][141]
* [Printable version][142]

### Languages

* [Čeština][143]
* [Dansk][144]
* [Deutsch][145]
* [Español][146]
* [Français][147]
* [Bahasa Indonesia][148]
* [Italiano][149]
* [Norsk][150]
* [Polski][151]
* [Português][152]
* [Română][153]
* [Suomi][154]
* [ไทย][155]

[Edit links][156]

* This page was last edited on 3 October 2017, at 04:55.
* Text is available under the [Creative Commons Attribution-ShareAlike License][157]; additional terms may apply. By using this site, you agree to the [Terms of Use][158] and [Privacy Policy][159]. Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.][160], a non-profit organization.
* [Privacy policy][161]
* [About Wikipedia][162]
* [Disclaimers][163]
* [Contact Wikipedia][164]
* [Developers][165]
* [Cookie statement][166]
* [Mobile view][167]
* ![Wikimedia Foundation][168]
* ![Powered by MediaWiki][169]

[1]: https://en.wikipedia.org#mw-head
[2]: https://en.wikipedia.org#p-search
[3]: https://en.wikipedia.org/wiki/Vannevar_Bush "Vannevar Bush"
[4]: https://en.wikipedia.org/wiki/The_Atlantic "The Atlantic"
[5]: https://upload.wikimedia.org/wikipedia/commons/thumb/e/ea/Vannevar_Bush_portrait.jpg/220px-Vannevar_Bush_portrait.jpg
[6]: https://en.wikipedia.org/wiki/Information_society "Information society"
[7]: https://en.wikipedia.org/wiki/Atomic_bombings_of_Hiroshima_and_Nagasaki "Atomic bombings of Hiroshima and Nagasaki"
[8]: https://en.wikipedia.org/wiki/Collective_memory "Collective memory"
[9]: https://en.wikipedia.org/wiki/Memex "Memex"
[10]: https://en.wikipedia.org#cite_note-Wardrip-1
[11]: https://en.wikipedia.org#Concept_creation
[12]: https://en.wikipedia.org#Concept_realization
[13]: https://en.wikipedia.org#Outlook_in_the_use_of_science
[14]: https://en.wikipedia.org#Outline
[15]: https://en.wikipedia.org#Critical_opinion
[16]: https://en.wikipedia.org#See_also
[17]: https://en.wikipedia.org#References
[18]: https://en.wikipedia.org#External_links
[19]: /w/index.php?title=As_We_May_Think&action=edit&section=1 "Edit section: Concept creation"
[20]: https://en.wikipedia.org/wiki/Memory "Memory"
[21]: /wiki/Fortune_(magazine) "Fortune (magazine)"
[22]: https://en.wikipedia.org#cite_note-2
[23]: https://en.wikipedia.org/wiki/Microfilm "Microfilm"
[24]: https://en.wikipedia.org/wiki/Electromechanical "Electromechanical"
[25]: https://en.wikipedia.org#cite_note-Bush-3
[26]: https://en.wikipedia.org/wiki/Life_magazine "Life magazine"
[27]: https://en.wikipedia.org/wiki/Manhattan_Project "Manhattan Project"
[28]: https://en.wikipedia.org/wiki/Dry-plate_photography "Dry-plate photography"
[29]: https://en.wikipedia.org/wiki/Microphotography "Microphotography"
[30]: /w/index.php?title=As_We_May_Think&action=edit&section=2 "Edit section: Concept realization"
[31]: https://en.wikipedia.org/wiki/Hypertext "Hypertext"
[32]: https://en.wikipedia.org/wiki/Personal_computers "Personal computers"
[33]: https://en.wikipedia.org/wiki/Internet "Internet"
[34]: https://en.wikipedia.org/wiki/World_Wide_Web "World Wide Web"
[35]: https://en.wikipedia.org/wiki/Speech_recognition "Speech recognition"
[36]: https://en.wikipedia.org/wiki/Online_encyclopedia "Online encyclopedia"
[37]: https://en.wikipedia.org/wiki/Wikipedia "Wikipedia"
[38]: https://en.wikipedia.org/wiki/Doug_Engelbart "Doug Engelbart"
[39]: /wiki/Mouse_(computing) "Mouse (computing)"
[40]: https://en.wikipedia.org/wiki/Word_processor "Word processor"
[41]: https://en.wikipedia.org/wiki/Hyperlink "Hyperlink"
[42]: https://en.wikipedia.org/wiki/Encyclop%C3%A6dia_Britannica "Encyclopædia Britannica"
[43]: https://en.wikipedia.org/wiki/File_systems "File systems"
[44]: https://en.wikipedia.org/wiki/File_Allocation_Table "File Allocation Table"
[45]: https://en.wikipedia.org/wiki/NTFS "NTFS"
[46]: https://en.wikipedia.org/wiki/Ext3 "Ext3"
[47]: /w/index.php?title=As_We_May_Think&action=edit&section=3 "Edit section: Outlook in the use of science"
[48]: https://en.wikipedia.org/wiki/Knowledge_base "Knowledge base"
[49]: https://en.wikipedia.org/wiki/Number_crunching "Number crunching"
[50]: https://en.wikipedia.org/wiki/Knowledge "Knowledge"
[51]: https://en.wikipedia.org/wiki/Telecommunication "Telecommunication"
[52]: /wiki/Association_(psychology) "Association (psychology)"
[53]: /w/index.php?title=As_We_May_Think&action=edit&section=4 "Edit section: Outline"
[54]: https://en.wikipedia.org/wiki/Sound_recording_and_reproduction "Sound recording and reproduction"
[55]: https://en.wikipedia.org/wiki/Stenography "Stenography"
[56]: https://en.wikipedia.org/wiki/Arithmetic "Arithmetic"
[57]: https://en.wikipedia.org/wiki/Higher_mathematics "Higher mathematics"
[58]: https://en.wikipedia.org/wiki/Thought_process "Thought process"
[59]: https://en.wikipedia.org/wiki/Lookup_table "Lookup table"
[60]: https://en.wikipedia.org/wiki/Collation "Collation"
[61]: https://en.wikipedia.org/wiki/Mnemonic "Mnemonic"
[62]: https://en.wikipedia.org/wiki/Encyclopedia "Encyclopedia"
[63]: /w/index.php?title=As_We_May_Think&action=edit&section=5 "Edit section: Critical opinion"
[64]: https://en.wikipedia.org#cite_note-JoWe-4
[65]: /w/index.php?title=As_We_May_Think&action=edit&section=6 "Edit section: See also"
[66]: https://en.wikipedia.org/wiki/Timeline_of_hypertext_technology "Timeline of hypertext technology"
[67]: https://en.wikipedia.org/wiki/Douglas_Engelbart "Douglas Engelbart"
[68]: /w/index.php?title=As_We_May_Think&action=edit&section=7 "Edit section: References"
[69]: https://en.wikipedia.org#cite_ref-Wardrip_1-0
[70]: https://en.wikipedia.org#cite_ref-Wardrip_1-1
[71]: https://en.wikipedia.org#cite_ref-Wardrip_1-2
[72]: https://en.wikipedia.org#cite_ref-Wardrip_1-3
[73]: https://en.wikipedia.org#cite_ref-Wardrip_1-4
[74]: https://en.wikipedia.org#cite_ref-Wardrip_1-5
[75]: http://www.newmediareader.com/
[76]: https://en.wikipedia.org/wiki/International_Standard_Book_Number "International Standard Book Number"
[77]: https://en.wikipedia.org/wiki/Special%3ABookSources/9780262232272 "Special:BookSources/9780262232272"
[78]: https://en.wikipedia.org#cite_ref-2
[79]: https://en.wikipedia.org/wiki/Special%3ABookSources/9781493301713 "Special:BookSources/9781493301713"
[80]: https://en.wikipedia.org#cite_ref-Bush_3-0
[81]: https://en.wikipedia.org#cite_ref-Bush_3-1
[82]: https://en.wikipedia.org#cite_ref-Bush_3-2
[83]: https://en.wikipedia.org#cite_ref-Bush_3-3
[84]: https://en.wikipedia.org#cite_ref-Bush_3-4
[85]: https://en.wikipedia.org#cite_ref-Bush_3-5
[86]: https://en.wikipedia.org#cite_ref-Bush_3-6
[87]: https://en.wikipedia.org#cite_ref-Bush_3-7
[88]: https://www.theatlantic.com/magazine/archive/1945/07/as-we-may-think/303881/
[89]: https://en.wikipedia.org#cite_ref-JoWe_4-0
[90]: https://en.wikipedia.org#cite_ref-JoWe_4-1
[91]: https://en.wikipedia.org/wiki/Digital_object_identifier "Digital object identifier"
[92]: https://doi.org/10.1016/j.resstr.2006.06.005
[93]: /w/index.php?title=As_We_May_Think&action=edit&section=8 "Edit section: External links"
[94]: https://en.wikipedia.org/wiki/Wikipedia:LIBRARY "Wikipedia:LIBRARY"
[95]: //tools.wmflabs.org/ftl/cgi-bin/ftl?st=wp&su=As+We+May+Think
[96]: //tools.wmflabs.org/ftl/cgi-bin/ftl?st=wp&su=As+We+May+Think&library=0CHOOSE0
[97]: http://www.dougengelbart.org/events/vannevar-bush-symposium.html
[98]: http://graphics.cs.brown.edu/html/info/vannevar_bush.html
[99]: //en.wikipedia.org/wiki/Special:CentralAutoLogin/start?type=1x1 ""
[100]: https://en.wikipedia.org/w/index.php?title=As_We_May_Think&oldid=803546127
[101]: https://en.wikipedia.org/wiki/Help%3ACategory "Help:Category"
[102]: https://en.wikipedia.org/wiki/Category%3AFuturology "Category:Futurology"
[103]: https://en.wikipedia.org/wiki/Category%3A1945_essays "Category:1945 essays"
[104]: https://en.wikipedia.org/wiki/Category%3ALibrary_science_publications "Category:Library science publications"
[105]: https://en.wikipedia.org/wiki/Category%3AHistory_of_computing "Category:History of computing"
[106]: https://en.wikipedia.org/wiki/Category%3AHistory_of_the_Internet "Category:History of the Internet"
[107]: https://en.wikipedia.org/wiki/Category%3AHuman%E2%80%93computer_interaction "Category:Human–computer interaction"
[108]: https://en.wikipedia.org/wiki/Category%3AHypertext "Category:Hypertext"
[109]: /wiki/Category:Works_originally_published_in_The_Atlantic_(magazine) "Category:Works originally published in The Atlantic (magazine)"
[110]: https://en.wikipedia.org/wiki/Category%3ATexts_related_to_the_history_of_the_Internet "Category:Texts related to the history of the Internet"
[111]: https://en.wikipedia.org/wiki/Special%3AMyTalk "Discussion about edits from this IP address [n]"
[112]: https://en.wikipedia.org/wiki/Special%3AMyContributions "A list of edits made from this IP address [y]"
[113]: /w/index.php?title=Special:CreateAccount&returnto=As+We+May+Think "You are encouraged to create an account and log in; however, it is not mandatory"
[114]: /w/index.php?title=Special:UserLogin&returnto=As+We+May+Think "You're encouraged to log in; however, it's not mandatory. [o]"
[115]: https://en.wikipedia.org/wiki/As_We_May_Think "View the content page [c]"
[116]: https://en.wikipedia.org/wiki/Talk%3AAs_We_May_Think "Discussion about the content page [t]"
[117]: https://en.wikipedia.org/wiki/As_We_May_Think
[118]: /w/index.php?title=As_We_May_Think&action=edit "Edit this page [e]"
[119]: /w/index.php?title=As_We_May_Think&action=history "Past revisions of this page [h]"
[120]: https://en.wikipedia.org/wiki/Main_Page "Visit the main page [z]"
[121]: https://en.wikipedia.org/wiki/Portal%3AContents "Guides to browsing Wikipedia"
[122]: https://en.wikipedia.org/wiki/Portal%3AFeatured_content "Featured content – the best of Wikipedia"
[123]: https://en.wikipedia.org/wiki/Portal%3ACurrent_events "Find background information on current events"
[124]: https://en.wikipedia.org/wiki/Special%3ARandom "Load a random article [x]"
[125]: https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en "Support us"
[126]: https://shop.wikimedia.org "Visit the Wikipedia store"
[127]: https://en.wikipedia.org/wiki/Help%3AContents "Guidance on how to use and edit Wikipedia"
[128]: https://en.wikipedia.org/wiki/Wikipedia:About "Find out about Wikipedia"
[129]: https://en.wikipedia.org/wiki/Wikipedia:Community_portal "About the project, what you can do, where to find things"
[130]: https://en.wikipedia.org/wiki/Special%3ARecentChanges "A list of recent changes in the wiki [r]"
[131]: https://en.wikipedia.org/wiki/Wikipedia%3AContact_us "How to contact Wikipedia"
[132]: https://en.wikipedia.org/wiki/Special%3AWhatLinksHere/As_We_May_Think "List of all English Wikipedia pages containing links to this page [j]"
[133]: https://en.wikipedia.org/wiki/Special%3ARecentChangesLinked/As_We_May_Think "Recent changes in pages linked from this page [k]"
[134]: https://en.wikipedia.org/wiki/Wikipedia:File_Upload_Wizard "Upload files [u]"
[135]: https://en.wikipedia.org/wiki/Special%3ASpecialPages "A list of all special pages [q]"
[136]: /w/index.php?title=As_We_May_Think&oldid=803546127 "Permanent link to this revision of the page"
[137]: /w/index.php?title=As_We_May_Think&action=info "More information about this page"
[138]: https://www.wikidata.org/wiki/Special:EntityPage/Q610709 "Link to connected data repository item [g]"
[139]: /w/index.php?title=Special:CiteThisPage&page=As_We_May_Think&id=803546127 "Information on how to cite this page"
[140]: /w/index.php?title=Special:Book&bookcmd=book_creator&referer=As+We+May+Think
[141]: /w/index.php?title=Special:ElectronPdf&page=As+We+May+Think&action=show-download-screen
[142]: /w/index.php?title=As_We_May_Think&printable=yes "Printable version of this page [p]"
[143]: https://cs.wikipedia.org/wiki/As_We_May_Think "As We May Think – Czech"
[144]: https://da.wikipedia.org/wiki/As_We_May_Think "As We May Think – Danish"
[145]: https://de.wikipedia.org/wiki/As_We_May_Think "As We May Think – German"
[146]: https://es.wikipedia.org/wiki/Como_podr%C3%ADamos_pensar "Como podríamos pensar – Spanish"
[147]: https://fr.wikipedia.org/wiki/As_We_May_Think "As We May Think – French"
[148]: https://id.wikipedia.org/wiki/As_We_May_Think "As We May Think – Indonesian"
[149]: https://it.wikipedia.org/wiki/As_We_May_Think "As We May Think – Italian"
[150]: https://no.wikipedia.org/wiki/As_We_May_Think "As We May Think – Norwegian"
[151]: https://pl.wikipedia.org/wiki/As_We_May_Think "As We May Think – Polish"
[152]: https://pt.wikipedia.org/wiki/As_We_May_Think "As We May Think – Portuguese"
[153]: https://ro.wikipedia.org/wiki/As_We_May_Think "As We May Think – Romanian"
[154]: https://fi.wikipedia.org/wiki/As_We_May_Think "As We May Think – Finnish"
[155]: https://th.wikipedia.org/wiki/%E0%B9%81%E0%B8%AD%E0%B8%AA%E0%B8%A7%E0%B8%B5%E0%B9%80%E0%B8%A1%E0%B8%A2%E0%B9%8C%E0%B8%95%E0%B8%B4%E0%B8%87 "แอสวีเมย์ติง – Thai"
[156]: https://www.wikidata.org/wiki/Special:EntityPage/Q610709#sitelinks-wikipedia "Edit interlanguage links"
[157]: https://en.wikipedia.org/wiki/Wikipedia%3AText_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License
[158]: https://wikimediafoundation.org/wiki/Terms_of_Use
[159]: https://wikimediafoundation.org/wiki/Privacy_policy
[160]: https://www.wikimediafoundation.org/
[161]: https://wikimediafoundation.org/wiki/Privacy_policy "wmf:Privacy policy"
[162]: https://en.wikipedia.org/wiki/Wikipedia:About "Wikipedia:About"
[163]: https://en.wikipedia.org/wiki/Wikipedia:General_disclaimer "Wikipedia:General disclaimer"
[164]: https://en.wikipedia.org/wiki/Wikipedia%3AContact_us
[165]: https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute
[166]: https://wikimediafoundation.org/wiki/Cookie_statement
[167]: //en.m.wikipedia.org/w/index.php?title=As_We_May_Think&mobileaction=toggle_view_mobile
[168]: https://en.wikipedia.org/static/images/wikimedia-button.png
[169]: https://en.wikipedia.org/static/images/poweredby_mediawiki_88x31.png

