---
created_at: '2017-02-01T05:24:10.000Z'
title: George Orwell – Politics and the English Language (1946)
url: http://www.orwell.ru/library/essays/politics/english/e_polit/
author: samaysharma
points: 75
story_text: 
comment_text: 
num_comments: 21
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1485926650
_tags:
- story
- author_samaysharma
- story_13538496
objectID: '13538496'

---
[Source](http://www.orwell.ru/library/essays/politics/english/e_polit/ "Permalink to George Orwell: Politics and the English Language")

# George Orwell: Politics and the English Language

![][1]

[Index][2] > [Library][3] > [Essays][4] > [Politics][5] > [English][6] > E-text

* * *

# George Orwell

# Politics and the English Language

Most people who bother with the matter at all would admit that the English language is in a bad way, but it is generally assumed that we cannot by conscious action do anything about it. Our civilization is decadent and our language — so the argument runs — must inevitably share in the general collapse. It follows that any struggle against the abuse of language is a sentimental archaism, like preferring candles to electric light or hansom cabs to aeroplanes. Underneath this lies the half-conscious belief that language is a natural growth and not an instrument which we shape for our own purposes.

Now, it is clear that the decline of a language must ultimately have political and economic causes: it is not due simply to the bad influence of this or that individual writer. But an effect can become a cause, reinforcing the original cause and producing the same effect in an intensified form, and so on indefinitely. A man may take to drink because he feels himself to be a failure, and then fail all the more completely because he drinks. It is rather the same thing that is happening to the English language. It becomes ugly and inaccurate because our thoughts are foolish, but the slovenliness of our language makes it easier for us to have foolish thoughts. The point is that the process is reversible. Modern English, especially written English, is full of bad habits which spread by imitation and which can be avoided if one is willing to take the necessary trouble. If one gets rid of these habits one can think more clearly, and to think clearly is a necessary first step toward political regeneration: so that the fight against bad English is not frivolous and is not the exclusive concern of professional writers. I will come back to this presently, and I hope that by that time the meaning of what I have said here will have become clearer. Meanwhile, here are five specimens of the English language as it is now habitually written.

These five passages have not been picked out because they are especially bad — I could have quoted far worse if I had chosen — but because they illustrate various of the mental vices from which we now suffer. They are a little below the average, but are fairly representative examples. I number them so that I can refer back to them when necessary:

> 1\. I am not, indeed, sure whether it is not true to say that the Milton who once seemed not unlike a seventeenth-century Shelley had not become, out of an experience ever more bitter in each year, more alien [_sic]_ to the founder of that Jesuit sect which nothing could induce him to tolerate.
> 
> Professor Harold Laski (Essay in _Freedom of Expression_)

> 2\. Above all, we cannot play ducks and drakes with a native battery of idioms which prescribes egregious collocations of vocables as the Basic _put up with_ for _tolerate_, or _put at a loss_ for _bewilder_.
> 
> Professor Lancelot Hogben (_Interglossia_)

> 3\. On the one side we have the free personality: by definition it is not neurotic, for it has neither conflict nor dream. Its desires, such as they are, are transparent, for they are just what institutional approval keeps in the forefront of consciousness; another institutional pattern would alter their number and intensity; there is little in them that is natural, irreducible, or culturally dangerous. But _on the other side_, the social bond itself is nothing but the mutual reflection of these self-secure integrities. Recall the definition of love. Is not this the very picture of a small academic? Where is there a place in this hall of mirrors for either personality or fraternity?
> 
> Essay on psychology in _Politics_ (New York)

> 4\. All the ‘best people’ from the gentlemen's clubs, and all the frantic fascist captains, united in common hatred of Socialism and bestial horror at the rising tide of the mass revolutionary movement, have turned to acts of provocation, to foul incendiarism, to medieval legends of poisoned wells, to legalize their own destruction of proletarian organizations, and rouse the agitated petty-bourgeoise to chauvinistic fervor on behalf of the fight against the revolutionary way out of the crisis.
> 
> Communist pamphlet

> 5\. If a new spirit is to be infused into this old country, there is one thorny and contentious reform which must be tackled, and that is the humanization and galvanization of the B.B.C. Timidity here will bespeak canker and atrophy of the soul. The heart of Britain may be sound and of strong beat, for instance, but the British lion's roar at present is like that of Bottom in Shakespeare's _A Midsummer Night's Dream_ — as gentle as any sucking dove. A virile new Britain cannot continue indefinitely to be traduced in the eyes or rather ears, of the world by the effete languors of Langham Place, brazenly masquerading as ‘standard English’. When the Voice of Britain is heard at nine o'clock, better far and infinitely less ludicrous to hear aitches honestly dropped than the present priggish, inflated, inhibited, school-ma'amish arch braying of blameless bashful mewing maidens!
> 
> Letter in _Tribune_

Each of these passages has faults of its own, but, quite apart from avoidable ugliness, two qualities are common to all of them. The first is staleness of imagery; the other is lack of precision. The writer either has a meaning and cannot express it, or he inadvertently says something else, or he is almost indifferent as to whether his words mean anything or not. This mixture of vagueness and sheer incompetence is the most marked characteristic of modern English prose, and especially of any kind of political writing. As soon as certain topics are raised, the concrete melts into the abstract and no one seems able to think of turns of speech that are not hackneyed: prose consists less and less of _words_ chosen for the sake of their meaning, and more and more of _phrases_ tacked together like the sections of a prefabricated hen-house. I list below, with notes and examples, various of the tricks by means of which the work of prose-construction is habitually dodged.

DYING METAPHORS. A newly invented metaphor assists thought by evoking a visual image, while on the other hand a metaphor which is technically ‘dead’ (e. g. iron resolution) has in effect reverted to being an ordinary word and can generally be used without loss of vividness. But in between these two classes there is a huge dump of worn-out metaphors which have lost all evocative power and are merely used because they save people the trouble of inventing phrases for themselves. Examples are: _Ring the changes on, take up the cudgel for, toe the line, ride roughshod over, stand shoulder to shoulder with, play into the hands of, no axe to grind, grist to the mill, fishing in troubled waters, on the order of the day, Achilles’ heel, swan song, hotbed_. Many of these are used without knowledge of their meaning (what is a ‘rift’, for instance?), and incompatible metaphors are frequently mixed, a sure sign that the writer is not interested in what he is saying. Some metaphors now current have been twisted out of their original meaning without those who use them even being aware of the fact. For example, _toe the line_ is sometimes written as _tow the line_. Another example is _the hammer and the anvil_, now always used with the implication that the anvil gets the worst of it. In real life it is always the anvil that breaks the hammer, never the other way about: a writer who stopped to think what he was saying would avoid perverting the original phrase.

OPERATORS OR VERBAL FALSE LIMBS. These save the trouble of picking out appropriate verbs and nouns, and at the same time pad each sentence with extra syllables which give it an appearance of symmetry. Characteristic phrases are _render inoperative, militate against, make contact with, be subjected to, give rise to, give grounds for, have the effect of, play a leading part (role) in, make itself felt, take effect, exhibit a tendency to, serve the purpose of,_ etc., etc. The keynote is the elimination of simple verbs. Instead of being a single word, such as _break, stop, spoil, mend, kill,_ a verb becomes a _phrase_, made up of a noun or adjective tacked on to some general-purpose verb such as _prove, serve, form, play, render_. In addition, the passive voice is wherever possible used in preference to the active, and noun constructions are used instead of gerunds (_by examination of_ instead of _by examining_). The range of verbs is further cut down by means of the _-ize_ and _de-_ formations, and the banal statements are given an appearance of profundity by means of the _not un-_ formation. Simple conjunctions and prepositions are replaced by such phrases as _with respect to, having regard to, the fact that, by dint of, in view of, in the interests of, on the hypothesis that_; and the ends of sentences are saved by anticlimax by such resounding commonplaces as _greatly to be desired, cannot be left out of account, a development to be expected in the near future, deserving of serious consideration, brought to a satisfactory conclusion,_ and so on and so forth.

PRETENTIOUS DICTION. Words like _phenomenon, element, individual (as noun), objective, categorical, effective, virtual, basic, primary, promote, constitute, exhibit, exploit, utilize, eliminate, liquidate,_ are used to dress up a simple statement and give an air of scientific impartiality to biased judgements. Adjectives like _epoch-making, epic, historic, unforgettable, triumphant, age-old, inevitable, inexorable, veritable,_ are used to dignify the sordid process of international politics, while writing that aims at glorifying war usually takes on an archaic colour, its characteristic words being: _realm, throne, chariot, mailed fist, trident, sword, shield, buckler, banner, jackboot, clarion._ Foreign words and expressions such as _cul de sac, ancien regime, deus ex machina, mutatis mutandis, status quo, gleichschaltung, weltanschauung,_ are used to give an air of culture and elegance. Except for the useful abbreviations _i. e., e. g. and etc.,_ there is no real need for any of the hundreds of foreign phrases now current in the English language. Bad writers, and especially scientific, political, and sociological writers, are nearly always haunted by the notion that Latin or Greek words are grander than Saxon ones, and unnecessary words like _expedite, ameliorate, predict, extraneous, deracinated, clandestine, subaqueous,_ and hundreds of others constantly gain ground from their Anglo-Saxon numbers[(1)][7]. The jargon peculiar to Marxist writing (_hyena, hangman, cannibal, petty bourgeois, these gentry, lackey, flunkey, mad dog, White Guard,_ etc.) consists largely of words translated from Russian, German, or French; but the normal way of coining a new word is to use Latin or Greek root with the appropriate affix and, where necessary, the size formation. It is often easier to make up words of this kind (_deregionalize, impermissible, extramarital, non-fragmentary_ and so forth) than to think up the English words that will cover one's meaning. The result, in general, is an increase in slovenliness and vagueness.

MEANINGLESS WORDS. In certain kinds of writing, particularly in art criticism and literary criticism, it is normal to come across long passages which are almost completely lacking in meaning[(2)][8]. Words like _romantic, plastic, values, human, dead, sentimental, natural, vitality,_ as used in art criticism, are strictly meaningless, in the sense that they not only do not point to any discoverable object, but are hardly ever expected to do so by the reader. When one critic writes, ‘The outstanding feature of Mr. X's work is its living quality’, while another writes, ‘The immediately striking thing about Mr. X's work is its peculiar deadness’, the reader accepts this as a simple difference opinion. If words like _black_ and _white_ were involved, instead of the jargon words _dead_ and _living_, he would see at once that language was being used in an improper way. Many political words are similarly abused. The word _Fascism_ has now no meaning except in so far as it signifies ‘something not desirable’. The words _democracy, socialism, freedom, patriotic, realistic, justice_ have each of them several different meanings which cannot be reconciled with one another. In the case of a word like _democracy_, not only is there no agreed definition, but the attempt to make one is resisted from all sides. It is almost universally felt that when we call a country democratic we are praising it: consequently the defenders of every kind of regime claim that it is a democracy, and fear that they might have to stop using that word if it were tied down to any one meaning. Words of this kind are often used in a consciously dishonest way. That is, the person who uses them has his own private definition, but allows his hearer to think he means something quite different. Statements like _Marshal Petain was a true patriot, The Soviet press is the freest in the world, The Catholic Church is opposed to persecution,_ are almost always made with intent to deceive. Other words used in variable meanings, in most cases more or less dishonestly, are: _class, totalitarian, science, progressive, reactionary, bourgeois, equality._

Now that I have made this catalogue of swindles and perversions, let me give another example of the kind of writing that they lead to. This time it must of its nature be an imaginary one. I am going to translate a passage of good English into modern English of the worst sort. Here is a well-known verse from _Ecclesiastes_:

> I returned and saw under the sun, that the race is not to the swift, nor the battle to the strong, neither yet bread to the wise, nor yet riches to men of understanding, nor yet favour to men of skill; but time and chance happeneth to them all.

Here it is in modern English:

> Objective considerations of contemporary phenomena compel the conclusion that success or failure in competitive activities exhibits no tendency to be commensurate with innate capacity, but that a considerable element of the unpredictable must invariably be taken into account.

This is a parody, but not a very gross one. Exhibit (3) above, for instance, contains several patches of the same kind of English. It will be seen that I have not made a full translation. The beginning and ending of the sentence follow the original meaning fairly closely, but in the middle the concrete illustrations — race, battle, bread — dissolve into the vague phrases ‘success or failure in competitive activities’. This had to be so, because no modern writer of the kind I am discussing — no one capable of using phrases like ‘objective considerations of contemporary phenomena’ — would ever tabulate his thoughts in that precise and detailed way. The whole tendency of modern prose is away from concreteness. Now analyze these two sentences a little more closely. The first contains forty-nine words but only sixty syllables, and all its words are those of everyday life. The second contains thirty-eight words of ninety syllables: eighteen of those words are from Latin roots, and one from Greek. The first sentence contains six vivid images, and only one phrase (‘time and chance’) that could be called vague. The second contains not a single fresh, arresting phrase, and in spite of its ninety syllables it gives only a shortened version of the meaning contained in the first. Yet without a doubt it is the second kind of sentence that is gaining ground in modern English. I do not want to exaggerate. This kind of writing is not yet universal, and outcrops of simplicity will occur here and there in the worst-written page. Still, if you or I were told to write a few lines on the uncertainty of human fortunes, we should probably come much nearer to my imaginary sentence than to the one from _Ecclesiastes_.

As I have tried to show, modern writing at its worst does not consist in picking out words for the sake of their meaning and inventing images in order to make the meaning clearer. It consists in gumming together long strips of words which have already been set in order by someone else, and making the results presentable by sheer humbug. The attraction of this way of writing is that it is easy. It is easier — even quicker, once you have the habit — to say _In my opinion it is not an unjustifiable assumption that_ than to say _I think_. If you use ready-made phrases, you not only don't have to hunt about for the words; you also don't have to bother with the rhythms of your sentences since these phrases are generally so arranged as to be more or less euphonious. When you are composing in a hurry — when you are dictating to a stenographer, for instance, or making a public speech — it is natural to fall into a pretentious, Latinized style. Tags like _a consideration which we should do well to bear in mind_ or _a conclusion to which all of us would readily assent_ will save many a sentence from coming down with a bump. By using stale metaphors, similes, and idioms, you save much mental effort, at the cost of leaving your meaning vague, not only for your reader but for yourself. This is the significance of mixed metaphors. The sole aim of a metaphor is to call up a visual image. When these images clash — as in _The Fascist octopus has sung its swan song, the jackboot is thrown into the melting pot_ — it can be taken as certain that the writer is not seeing a mental image of the objects he is naming; in other words he is not really thinking. Look again at the examples I gave at the beginning of this essay. Professor Laski (1) uses five negatives in fifty three words. One of these is superfluous, making nonsense of the whole passage, and in addition there is the slip — _alien_ for akin — making further nonsense, and several avoidable pieces of clumsiness which increase the general vagueness. Professor Hogben (2) plays ducks and drakes with a battery which is able to write prescriptions, and, while disapproving of the everyday phrase _put up with_, is unwilling to look _egregious_ up in the dictionary and see what it means; (3), if one takes an uncharitable attitude towards it, is simply meaningless: probably one could work out its intended meaning by reading the whole of the article in which it occurs. In (4), the writer knows more or less what he wants to say, but an accumulation of stale phrases chokes him like tea leaves blocking a sink. In (5), words and meaning have almost parted company. People who write in this manner usually have a general emotional meaning — they dislike one thing and want to express solidarity with another — but they are not interested in the detail of what they are saying. A scrupulous writer, in every sentence that he writes, will ask himself at least four questions, thus: What am I trying to say? What words will express it? What image or idiom will make it clearer? Is this image fresh enough to have an effect? And he will probably ask himself two more: Could I put it more shortly? Have I said anything that is avoidably ugly? But you are not obliged to go to all this trouble. You can shirk it by simply throwing your mind open and letting the ready-made phrases come crowding in. The will construct your sentences for you — even think your thoughts for you, to a certain extent — and at need they will perform the important service of partially concealing your meaning even from yourself. It is at this point that the special connection between politics and the debasement of language becomes clear.

In our time it is broadly true that political writing is bad writing. Where it is not true, it will generally be found that the writer is some kind of rebel, expressing his private opinions and not a ‘party line’. Orthodoxy, of whatever colour, seems to demand a lifeless, imitative style. The political dialects to be found in pamphlets, leading articles, manifestos, White papers and the speeches of undersecretaries do, of course, vary from party to party, but they are all alike in that one almost never finds in them a fresh, vivid, homemade turn of speech. When one watches some tired hack on the platform mechanically repeating the familiar phrases — _bestial, atrocities, iron heel, bloodstained tyranny, free peoples of the world, stand shoulder to shoulder_ — one often has a curious feeling that one is not watching a live human being but some kind of dummy: a feeling which suddenly becomes stronger at moments when the light catches the speaker's spectacles and turns them into blank discs which seem to have no eyes behind them. And this is not altogether fanciful. A speaker who uses that kind of phraseology has gone some distance toward turning himself into a machine. The appropriate noises are coming out of his larynx, but his brain is not involved, as it would be if he were choosing his words for himself. If the speech he is making is one that he is accustomed to make over and over again, he may be almost unconscious of what he is saying, as one is when one utters the responses in church. And this reduced state of consciousness, if not indispensable, is at any rate favourable to political conformity.

In our time, political speech and writing are largely the defence of the indefensible. Things like the continuance of British rule in India, the Russian purges and deportations, the dropping of the atom bombs on Japan, can indeed be defended, but only by arguments which are too brutal for most people to face, and which do not square with the professed aims of the political parties. Thus political language has to consist largely of euphemism, question-begging and sheer cloudy vagueness. Defenceless villages are bombarded from the air, the inhabitants driven out into the countryside, the cattle machine-gunned, the huts set on fire with incendiary bullets: this is called _pacification_. Millions of peasants are robbed of their farms and sent trudging along the roads with no more than they can carry: this is called _transfer of population_ or _rectification of frontiers_. People are imprisoned for years without trial, or shot in the back of the neck or sent to die of scurvy in Arctic lumber camps: this is called _elimination of unreliable elements_. Such phraseology is needed if one wants to name things without calling up mental pictures of them. Consider for instance some comfortable English professor defending Russian totalitarianism. He cannot say outright, ‘I believe in killing off your opponents when you can get good results by doing so’. Probably, therefore, he will say something like this:

> ‘While freely conceding that the Soviet regime exhibits certain features which the humanitarian may be inclined to deplore, we must, I think, agree that a certain curtailment of the right to political opposition is an unavoidable concomitant of transitional periods, and that the rigors which the Russian people have been called upon to undergo have been amply justified in the sphere of concrete achievement.’

The inflated style itself is a kind of euphemism. A mass of Latin words falls upon the facts like soft snow, blurring the outline and covering up all the details. The great enemy of clear language is insincerity. When there is a gap between one's real and one's declared aims, one turns as it were instinctively to long words and exhausted idioms, like a cuttlefish spurting out ink. In our age there is no such thing as ‘keeping out of politics’. All issues are political issues, and politics itself is a mass of lies, evasions, folly, hatred, and schizophrenia. When the general atmosphere is bad, language must suffer. I should expect to find — this is a guess which I have not sufficient knowledge to verify — that the German, Russian and Italian languages have all deteriorated in the last ten or fifteen years, as a result of dictatorship.

But if thought corrupts language, language can also corrupt thought. A bad usage can spread by tradition and imitation even among people who should and do know better. The debased language that I have been discussing is in some ways very convenient. Phrases like _a not unjustifiable assumption, leaves much to be desired, would serve no good purpose, a consideration which we should do well to bear in mind,_ are a continuous temptation, a packet of aspirins always at one's elbow. Look back through this essay, and for certain you will find that I have again and again committed the very faults I am protesting against. By this morning's post I have received a pamphlet dealing with conditions in Germany. The author tells me that he ‘felt impelled’ to write it. I open it at random, and here is almost the first sentence I see: ‘[The Allies] have an opportunity not only of achieving a radical transformation of Germany's social and political structure in such a way as to avoid a nationalistic reaction in Germany itself, but at the same time of laying the foundations of a co-operative and unified Europe.’ You see, he ‘feels impelled’ to write — feels, presumably, that he has something new to say — and yet his words, like cavalry horses answering the bugle, group themselves automatically into the familiar dreary pattern. This invasion of one's mind by ready-made phrases (_lay the foundations, achieve a radical transformation_) can only be prevented if one is constantly on guard against them, and every such phrase anaesthetizes a portion of one's brain.

I said earlier that the decadence of our language is probably curable. Those who deny this would argue, if they produced an argument at all, that language merely reflects existing social conditions, and that we cannot influence its development by any direct tinkering with words and constructions. So far as the general tone or spirit of a language goes, this may be true, but it is not true in detail. Silly words and expressions have often disappeared, not through any evolutionary process but owing to the conscious action of a minority. Two recent examples were _explore every avenue_ and _leave no stone unturned_, which were killed by the jeers of a few journalists. There is a long list of flyblown metaphors which could similarly be got rid of if enough people would interest themselves in the job; and it should also be possible to laugh the _not un-_ formation out of existence[(3)][9], to reduce the amount of Latin and Greek in the average sentence, to drive out foreign phrases and strayed scientific words, and, in general, to make pretentiousness unfashionable. But all these are minor points. The defence of the English language implies more than this, and perhaps it is best to start by saying what it _does not_ imply.

To begin with it has nothing to do with archaism, with the salvaging of obsolete words and turns of speech, or with the setting up of a ‘standard English’ which must never be departed from. On the contrary, it is especially concerned with the scrapping of every word or idiom which has outworn its usefulness. It has nothing to do with correct grammar and syntax, which are of no importance so long as one makes one's meaning clear, or with the avoidance of Americanisms, or with having what is called a ‘good prose style’. On the other hand, it is not concerned with fake simplicity and the attempt to make written English colloquial. Nor does it even imply in every case preferring the Saxon word to the Latin one, though it does imply using the fewest and shortest words that will cover one's meaning. What is above all needed is to let the meaning choose the word, and not the other way around. In prose, the worst thing one can do with words is surrender to them. When you think of a concrete object, you think wordlessly, and then, if you want to describe the thing you have been visualising you probably hunt about until you find the exact words that seem to fit it. When you think of something abstract you are more inclined to use words from the start, and unless you make a conscious effort to prevent it, the existing dialect will come rushing in and do the job for you, at the expense of blurring or even changing your meaning. Probably it is better to put off using words as long as possible and get one's meaning as clear as one can through pictures and sensations. Afterward one can choose — not simply _accept_ — the phrases that will best cover the meaning, and then switch round and decide what impressions one's words are likely to make on another person. This last effort of the mind cuts out all stale or mixed images, all prefabricated phrases, needless repetitions, and humbug and vagueness generally. But one can often be in doubt about the effect of a word or a phrase, and one needs rules that one can rely on when instinct fails. I think the following rules will cover most cases:

1. Never use a metaphor, simile, or other figure of speech which you are used to seeing in print.
2. Never use a long word where a short one will do.
3. If it is possible to cut a word out, always cut it out.
4. Never use the passive where you can use the active.
5. Never use a foreign phrase, a scientific word, or a jargon word if you can think of an everyday English equivalent.
6. Break any of these rules sooner than say anything outright barbarous.

These rules sound elementary, and so they are, but they demand a deep change of attitude in anyone who has grown used to writing in the style now fashionable. One could keep all of them and still write bad English, but one could not write the kind of stuff that I quoted in those five specimens at the beginning of this article.

I have not here been considering the literary use of language, but merely language as an instrument for expressing and not for concealing or preventing thought. Stuart Chase and others have come near to claiming that all abstract words are meaningless, and have used this as a pretext for advocating a kind of political quietism. Since you don't know what Fascism is, how can you struggle against Fascism? One need not swallow such absurdities as this, but one ought to recognise that the present political chaos is connected with the decay of language, and that one can probably bring about some improvement by starting at the verbal end. If you simplify your English, you are freed from the worst follies of orthodoxy. You cannot speak any of the necessary dialects, and when you make a stupid remark its stupidity will be obvious, even to yourself. Political language — and with variations this is true of all political parties, from Conservatives to Anarchists — is designed to make lies sound truthful and murder respectable, and to give an appearance of solidity to pure wind. One cannot change this all in a moment, but one can at least change one's own habits, and from time to time one can even, if one jeers loudly enough, send some worn-out and useless phrase — some _jackboot, Achilles’ heel, hotbed, melting pot, acid test, veritable inferno,_ or other lump of verbal refuse — into the dustbin where it belongs.

1946

> _____
> 
> 1) An interesting illustration of this is the way in which the English flower names which were in use till very recently are being ousted by Greek ones, _snapdragon_ becoming _antirrhinum_, _forget-me-not_ becoming _myosotis_, etc. It is hard to see any practical reason for this change of fashion: it is probably due to an instinctive turning-awayfrom the more homely word and a vague feeling that the Greek word is scientific. [[back][10]]
> 
> 2) Example: ‘Comfort's catholicity of perception and image, strangely Whitmanesque in range, almost the exact opposite in aesthetic compulsion, continues to evoke that trembling atmospheric accumulative hinting at a cruel, an inexorably serene timelessness... Wrey Gardiner scores by aiming at simple bull's-eyes with precision. Only they are not so simple, and through this contented sadness runs more than the surface bitter-sweet of resignation’. (_Poetry Quarterly._) [[back][11]]
> 
> 3) One can cure oneself of the _not un-_ formation by memorizing this sentence: _A not unblack dog was chasing a not unsmall rabbit across a not ungreen field._ [[back][12]]

THE END

____BD____  
George Orwell: ‘Politics and the English Language’  
First published: _Horizon_. — GB, London. — April 1946. 

Reprinted:
: — ‘Shooting an Elephant and Other Essays’. — 1950.

: — ‘The Orwell Reader, Fiction, Essays, and Reportage’ — 1956.

: — ‘Collected Essays’. — 1961.

: — ‘Decline of the English Murder and Other Essays’. — 1965.

: — ‘The Collected Essays, Journalism and Letters of George Orwell’. — 1968.

____  
Machine-readable version: O. Dag  
Last modified on: 2015-09-24

![\[The book cover page\]][13]  
George Orwell  
‘[Shooting an Elephant and Other Essays][14]’  
© 1950 Secker and Warburg. London. 

* * *

‘Politics and the English Language’: [[Index page][6]]

[Library][3] [[**E**ng][15]] [[**R**us][16]] > [Essays][4] [[E**n**g][17]] [[R**u**s][18]] ~ [[**C**SS off][19]]

* * *

[[or**w**ell.ru][20]] [[**H**ome][21]] [[**B**iography][22]] [[**L**ibrary][23]] [[**A** Life][24]] [[**I**nfo & (c)][25]] [[Lin**k**s][26]] [[Site **m**ap][27]] [[**S**earch][28]] [[**F**eedback][29]] 

_© 1999-2018 [O. Dag][30] – ¡C. date: 1999-11-04 & L. mod.: 2015-09-24!_

[Все услуги на Оргпэйдж в Москве][31]

[1]: http://mc.yandex.ru/watch/18324727
[2]: http://www.orwell.ru/
[3]: http://www.orwell.ru/library/
[4]: http://www.orwell.ru/library/essays/
[5]: http://www.orwell.ru/library/essays/politics/
[6]: http://www.orwell.ru/library/essays/politics/english/
[7]: http://www.orwell.ru#fnt_1
[8]: http://www.orwell.ru#fnt_2
[9]: http://www.orwell.ru#fnt_3
[10]: http://www.orwell.ru#fnm_1
[11]: http://www.orwell.ru#fnm_2
[12]: http://www.orwell.ru#fnm_3
[13]: http://www.orwell.ru/library/books/img_file/se_s0.jpg
[14]: http://www.orwell.ru/library/books/htm_file/se "[New window] Details about the book"
[15]: http://www.orwell.ru/library/index_en
[16]: http://www.orwell.ru/library/index_ru
[17]: http://www.orwell.ru/library/essays/index_en
[18]: http://www.orwell.ru/library/essays/index_ru
[19]: http://www.orwell.ru/lit?a=e&doc=/library/essays/politics/english/e_polit
[20]: http://www.orwell.ru/index "Index page"
[21]: http://www.orwell.ru/home "Home page"
[22]: http://www.orwell.ru/bio/english/ "Biography section"
[23]: http://www.orwell.ru/library/index_en "Library"
[24]: http://www.orwell.ru/a_life/index_en "Orwell: A Life"
[25]: http://www.orwell.ru/info/index_en "Info & (c)opyrights"
[26]: http://www.orwell.ru/links/ "Links"
[27]: http://www.orwell.ru/map/index_en "Site map"
[28]: http://www.orwell.ru/search/ "Search orwell.ru"
[29]: http://www.orwell.ru/feedback/english/ "Feedback"
[30]: http://www.orwell.ru/feedback/english/ "Author"
[31]: http://www.orgpage.ru/moskva/досуг/

