---
created_at: '2014-06-16T20:48:13.000Z'
title: 'George Orwell: Why I Write (1946)'
url: http://ebooks.adelaide.edu.au/o/orwell/george/o79e/part47.html
author: jasim
points: 66
story_text: ''
comment_text: 
num_comments: 9
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1402951693
_tags:
- story
- author_jasim
- story_7901401
objectID: '7901401'

---
[Source](https://ebooks.adelaide.edu.au/o/orwell/george/o79e/part47.html "Permalink to Collected Essays, by George Orwell : part47")

# Collected Essays, by George Orwell : part47

# Collected Essays, by George Orwell

### Why I Write (1946)

From a very early age, perhaps the age of five or six, I knew that when I grew up I should be a writer. Between the ages of about seventeen and twenty-four I tried to abandon this idea, but I did so with the consciousness that I was outraging my true nature and that sooner or later I should have to settle down and write books.

I was the middle child of three, but there was a gap of five years on either side, and I barely saw my father before I was eight. For this and other reasons I was somewhat lonely, and I soon developed disagreeable mannerisms which made me unpopular throughout my schooldays. I had the lonely child's habit of making up stories and holding conversations with imaginary persons, and I think from the very start my literary ambitions were mixed up with the feeling of being isolated and undervalued. I knew that I had a facility with words and a power of facing unpleasant facts, and I felt that this created a sort of private world in which I could get my own back for my failure in everyday life. Nevertheless the volume of serious — i.e. seriously intended — writing which I produced all through my childhood and boyhood would not amount to half a dozen pages. I wrote my first poem at the age of four or five, my mother taking it down to dictation. I cannot remember anything about it except that it was about a tiger and the tiger had 'chair-like teeth'— a good enough phrase, but I fancy the poem was a plagiarism of Blake's 'Tiger, Tiger'. At eleven, when the war or 1914-18 broke out, I wrote a patriotic poem which was printed in the local newspaper, as was another, two years later, on the death of Kitchener. From time to time, when I was a bit older, I wrote bad and usually unfinished 'nature poems' in the Georgian style. I also attempted a short story which was a ghastly failure. That was the total of the would-be serious work that I actually set down on paper during all those years.

However, throughout this time I did in a sense engage in literary activities. To begin with there was the made-to-order stuff which I produced quickly, easily and without much pleasure to myself. Apart from school work, I wrote VERS D'OCCASION, semi-comic poems which I could turn out at what now seems to me astonishing speed — at fourteen I wrote a whole rhyming play, in imitation of Aristophanes, in about a week — and helped to edit a school magazines, both printed and in manuscript. These magazines were the most pitiful burlesque stuff that you could imagine, and I took far less trouble with them than I now would with the cheapest journalism. But side by side with all this, for fifteen years or more, I was carrying out a literary exercise of a quite different kind: this was the making up of a continuous 'story' about myself, a sort of diary existing only in the mind. I believe this is a common habit of children and adolescents. As a very small child I used to imagine that I was, say, Robin Hood, and picture myself as the hero of thrilling adventures, but quite soon my 'story' ceased to be narcissistic in a crude way and became more and more a mere description of what I was doing and the things I saw. For minutes at a time this kind of thing would be running through my head: 'He pushed the door open and entered the room. A yellow beam of sunlight, filtering through the muslin curtains, slanted on to the table, where a match-box, half-open, lay beside the inkpot. With his right hand in his pocket he moved across to the window. Down in the street a tortoiseshell cat was chasing a dead leaf', etc. etc. This habit continued until I was about twenty-five, right through my non-literary years. Although I had to search, and did search, for the right words, I seemed to be making this descriptive effort almost against my will, under a kind of compulsion from outside. The 'story' must, I suppose, have reflected the styles of the various writers I admired at different ages, but so far as I remember it always had the same meticulous descriptive quality.

When I was about sixteen I suddenly discovered the joy of mere words, i.e. the sounds and associations of words. The lines from PARADISE LOST,

So hee with difficulty and labour hard Moved on: with difficulty and labour hee.

which do not now seem to me so very wonderful, sent shivers down my backbone; and the spelling 'hee' for 'he' was an added pleasure. As for the need to describe things, I knew all about it already. So it is clear what kind of books I wanted to write, in so far as I could be said to want to write books at that time. I wanted to write enormous naturalistic novels with unhappy endings, full of detailed descriptions and arresting similes, and also full of purple passages in which words were used partly for the sake of their own sound. And in fact my first completed novel, BURMESE DAYS, which I wrote when I was thirty but projected much earlier, is rather that kind of book.

I give all this background information because I do not think one can assess a writer's motives without knowing something of his early development. His subject matter will be determined by the age he lives in — at least this is true in tumultuous, revolutionary ages like our own — but before he ever begins to write he will have acquired an emotional attitude from which he will never completely escape. It is his job, no doubt, to discipline his temperament and avoid getting stuck at some immature stage, in some perverse mood; but if he escapes from his early influences altogether, he will have killed his impulse to write. Putting aside the need to earn a living, I think there are four great motives for writing, at any rate for writing prose. They exist in different degrees in every writer, and in any one writer the proportions will vary from time to time, according to the atmosphere in which he is living. They are:

(i) Sheer egoism. Desire to seem clever, to be talked about, to be remembered after death, to get your own back on the grown-ups who snubbed you in childhood, etc., etc. It is humbug to pretend this is not a motive, and a strong one. Writers share this characteristic with scientists, artists, politicians, lawyers, soldiers, successful businessmen — in short, with the whole top crust of humanity. The great mass of human beings are not acutely selfish. After the age of about thirty they almost abandon the sense of being individuals at all — and live chiefly for others, or are simply smothered under drudgery. But there is also the minority of gifted, willful people who are determined to live their own lives to the end, and writers belong in this class. Serious writers, I should say, are on the whole more vain and self-centered than journalists, though less interested in money.

(ii) Aesthetic enthusiasm. Perception of beauty in the external world, or, on the other hand, in words and their right arrangement. Pleasure in the impact of one sound on another, in the firmness of good prose or the rhythm of a good story. Desire to share an experience which one feels is valuable and ought not to be missed. The aesthetic motive is very feeble in a lot of writers, but even a pamphleteer or writer of textbooks will have pet words and phrases which appeal to him for non-utilitarian reasons; or he may feel strongly about typography, width of margins, etc. Above the level of a railway guide, no book is quite free from aesthetic considerations.

(iii) Historical impulse. Desire to see things as they are, to find out true facts and store them up for the use of posterity.

(iv) Political purpose. — Using the word 'political' in the widest possible sense. Desire to push the world in a certain direction, to alter other peoples' idea of the kind of society that they should strive after. Once again, no book is genuinely free from political bias. The opinion that art should have nothing to do with politics is itself a political attitude.

It can be seen how these various impulses must war against one another, and how they must fluctuate from person to person and from time to time. By nature — taking your 'nature' to be the state you have attained when you are first adult — I am a person in whom the first three motives would outweigh the fourth. In a peaceful age I might have written ornate or merely descriptive books, and might have remained almost unaware of my political loyalties. As it is I have been forced into becoming a sort of pamphleteer. First I spent five years in an unsuitable profession (the Indian Imperial Police, in Burma), and then I underwent poverty and the sense of failure. This increased my natural hatred of authority and made me for the first time fully aware of the existence of the working classes, and the job in Burma had given me some understanding of the nature of imperialism: but these experiences were not enough to give me an accurate political orientation. Then came Hitler, the Spanish Civil War, etc. By the end of 1935 I had still failed to reach a firm decision. I remember a little poem that I wrote at that date, expressing my dilemma:

A happy vicar I might have been Two hundred years ago To preach upon eternal doom And watch my walnuts grow;

But born, alas, in an evil time, I missed that pleasant haven, For the hair has grown on my upper lip And the clergy are all clean-shaven.

And later still the times were good, We were so easy to please, We rocked our troubled thoughts to sleep On the bosoms of the trees.

All ignorant we dared to own The joys we now dissemble; The greenfinch on the apple bough Could make my enemies tremble.

But girl's bellies and apricots, Roach in a shaded stream, Horses, ducks in flight at dawn, All these are a dream.

It is forbidden to dream again; We maim our joys or hide them: Horses are made of chromium steel And little fat men shall ride them.

I am the worm who never turned, The eunuch without a harem; Between the priest and the commissar I walk like Eugene Aram;

And the commissar is telling my fortune While the radio plays, But the priest has promised an Austin Seven, For Duggie always pays.

I dreamt I dwelt in marble halls, And woke to find it true; I wasn't born for an age like this; Was Smith? Was Jones? Were you?

The Spanish war and other events in 1936-37 turned the scale and thereafter I knew where I stood. Every line of serious work that I have written since 1936 has been written, directly or indirectly, AGAINST totalitarianism and FOR democratic socialism, as I understand it. It seems to me nonsense, in a period like our own, to think that one can avoid writing of such subjects. Everyone writes of them in one guise or another. It is simply a question of which side one takes and what approach one follows. And the more one is conscious of one's political bias, the more chance one has of acting politically without sacrificing one's aesthetic and intellectual integrity.

What I have most wanted to do throughout the past ten years is to make political writing into an art. My starting point is always a feeling of partisanship, a sense of injustice. When I sit down to write a book, I do not say to myself, 'I am going to produce a work of art'. I write it because there is some lie that I want to expose, some fact to which I want to draw attention, and my initial concern is to get a hearing. But I could not do the work of writing a book, or even a long magazine article, if it were not also an aesthetic experience. Anyone who cares to examine my work will see that even when it is downright propaganda it contains much that a full-time politician would consider irrelevant. I am not able, and do not want, completely to abandon the world view that I acquired in childhood. So long as I remain alive and well I shall continue to feel strongly about prose style, to love the surface of the earth, and to take a pleasure in solid objects and scraps of useless information. It is no use trying to suppress that side of myself. The job is to reconcile my ingrained likes and dislikes with the essentially public, non-individual activities that this age forces on all of us.

It is not easy. It raises problems of construction and of language, and it raises in a new way the problem of truthfulness. Let me give just one example of the cruder kind of difficulty that arises. My book about the Spanish civil war, HOMAGE TO CATALONIA, is of course a frankly political book, but in the main it is written with a certain detachment and regard for form. I did try very hard in it to tell the whole truth without violating my literary instincts. But among other things it contains a long chapter, full of newspaper quotations and the like, defending the Trotskyists who were accused of plotting with Franco. Clearly such a chapter, which after a year or two would lose its interest for any ordinary reader, must ruin the book. A critic whom I respect read me a lecture about it. 'Why did you put in all that stuff?' he said. 'You've turned what might have been a good book into journalism.' What he said was true, but I could not have done otherwise. I happened to know, what very few people in England had been allowed to know, that innocent men were being falsely accused. If I had not been angry about that I should never have written the book.

In one form or another this problem comes up again. The problem of language is subtler and would take too long to discuss. I will only say that of late years I have tried to write less picturesquely and more exactly. In any case I find that by the time you have perfected any style of writing, you have always outgrown it. ANIMAL FARM was the first book in which I tried, with full consciousness of what I was doing, to fuse political purpose and artistic purpose into one whole. I have not written a novel for seven years, but I hope to write another fairly soon. It is bound to be a failure, every book is a failure, but I do know with some clarity what kind of book I want to write.

Looking back through the last page or two, I see that I have made it appear as though my motives in writing were wholly public-spirited. I don't want to leave that as the final impression. All writers are vain, selfish, and lazy, and at the very bottom of their motives there lies a mystery. Writing a book is a horrible, exhausting struggle, like a long bout of some painful illness. One would never undertake such a thing if one were not driven on by some demon whom one can neither resist nor understand. For all one knows that demon is simply the same instinct that makes a baby squall for attention. And yet it is also true that one can write nothing readable unless one constantly struggles to efface one's own personality. Good prose is like a windowpane. I cannot say with certainty which of my motives are the strongest, but I know which of them deserve to be followed. And looking back through my work, I see that it is invariably where I lacked a POLITICAL purpose that I wrote lifeless books and was betrayed into purple passages, sentences without meaning, decorative adjectives and humbug generally.

[Front][1] [Table of Contents][2] [← Prev][3] [Next →][4]

<https://ebooks.adelaide.edu.au/o/orwell/george/o79e/part47.html>

Last updated Sunday, March 27, 2016 at 11:58

[1]: https://ebooks.adelaide.edu.au/index.html
[2]: https://ebooks.adelaide.edu.au/contents.html
[3]: https://ebooks.adelaide.edu.au/part46.html
[4]: https://ebooks.adelaide.edu.au/part48.html

