---
created_at: '2015-06-30T15:24:27.000Z'
title: The Mathematician (1947)
url: http://www-history.mcs.st-and.ac.uk/Extras/Von_Neumann_Part_1.html
author: danso
points: 44
story_text: ''
comment_text: 
num_comments: 8
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1435677867
_tags:
- story
- author_danso
- story_9805919
objectID: '9805919'

---
[Source](http://www-history.mcs.st-and.ac.uk/Extras/Von_Neumann_Part_1.html "Permalink to Von Neumann: "The Mathematician"")

# Von Neumann: "The Mathematician"

## Von Neumann: _The Mathematician_

| ----- |
| 

**John von Neumann** wrote _The Mathematician_ which was published in _Works of the Mind_ Vol. I no. 1 (University of Chicago Press, Chicago, 1947), 180-196. It has also been published in von Neumann's _Collected Works._

  
A discussion of the nature of intellectual work is a difficult task in any field, even in fields which are not so far removed from the central area of our common human intellectual effort as mathematics still is. A discussion of the nature of any intellectual effort is difficult per se - at any rate, more difficult than the mere exercise of that particular intellectual effort. It is harder to understand the mechanism of an airplane, and the theories of the forces which lift and which propel it, than merely to ride in it, to be elevated and transported by it - or even to steer it. It is exceptional that one should be able to acquire the understanding of a process without having previously acquired a deep familiarity with running it, with using it, before one has assimilated it in an instinctive and empirical way. 

Thus any discussion of the nature of intellectual effort in any field is difficult, unless it presupposes an easy, routine familiarity with that field. In mathematics this limitation becomes very severe, if the discussion is to be kept on a non-mathematical plane. The discussion will then necessarily show some very bad features; points which are made can never be properly documented, and a certain over-all superficiality of the discussion becomes unavoidable. 

I am very much aware of these shortcomings in what I am going to say, and I apologize in advance. Besides, the views which I am going to express are probably not wholly shared by many other mathematicians - you will get one man's not-too-well systematized impressions and interpretations - and I can give you only very little help in deciding how much they are to the point. 

In spite of all these hedges, however, I must admit that it is an interesting and challenging task to make the attempt and to talk to you about the nature of intellectual effort in mathematics. I only hope that I will not fail too badly. 

The most vitally characteristic fact about mathematics is, in my opinion, its quite peculiar relationship to the natural sciences, or, more generally, to any science which interprets experience on a higher than purely descriptive level. 

Most people, mathematicians and others, will agree that mathematics is not an empirical science, or at least that it is practiced in a manner which differs in several decisive respects from the techniques of the empirical sciences. And, yet, its development is very closely linked with the natural sciences. One of its main branches, geometry, actually started as a natural, empirical science. Some of the best inspirations of modern mathematics (I believe, the best ones) clearly originated in the natural sciences. The methods of mathematics pervade and dominate the "theoretical" divisions of the natural sciences. In modern empirical sciences it has become more and more a major criterion of success whether they have become accessible to the mathematical method or to the near- mathematical methods of physics. Indeed, throughout the natural sciences an unbroken chain of successive pseudomorphoses, all of them pressing toward mathematics, and almost identified with the idea of scientific progress, has become more and more evident. Biology becomes increasingly pervaded by chemistry and physics, chemistry by experimental and theoretical physics, and physics by very mathematical forms of theoretical physics. 

There is a quite peculiar duplicity in the nature of mathematics. One has to realize this duplicity, to accept it, and to assimilate it into one's thinking on the subject. This double face is the face of mathematics, and I do not believe that any simplified, unitarian view of the thing is possible without sacrificing the essence. 

I will therefore not attempt to present you with a unitarian version. I will attempt to describe, as best I can, the multiple phenomenon which is mathematics. 

It is undeniable that some of the best inspirations in mathematics - in those parts of it which are as pure mathematics as one can imagine -have come from the natural sciences. We will mention the two most monumental facts. 

The first example is, as it should be, geometry. Geometry was the major part of ancient mathematics. It is, with several of its ramifications, still one of the main divisions of modem mathematics. There can be no doubt that its origin in antiquity was empirical and that it began as a discipline not unlike theoretical physics today. Apart from all other evidence, the very name "geometry" indicates this. Euclid's postulational treatment represents a great step away from empiricism, but it is not at all simple to defend the position that this was the decisive and final step, producing an absolute separation. That Euclid's axiomatization does at some minor points not meet the modern requirements of absolute axiomatic rigour is of lesser importance in this respect. What is more essential, is this: other disciplines, which are undoubtedly empirical, like mechanics and thermodynamics, are usually presented in a more or less postulational treatment, which in the presentation of some authors is hardly distinguishable from Euclid's procedure. The classic of theoretical physics in our time, Newton's Principia, was, in literary form as well as in the essence of some of its most critical parts, very much like Euclid. Of course in all these instances there is behind the postulational presentation the physical insight backing the postulates and the experimental verification supporting the theorems. But one might well argue that a similar interpretation of Euclid is possible, especially from the viewpoint of antiquity, before geometry had acquired its present bimillennial stability and authority - an authority which the modern edifice of theoretical physics is clearly lacking. 

Furthermore, while the de-empirization of geometry has gradually progressed since Euclid, it never became quite complete, not even in modern times. The discussion of non-Euclidean geometry offers a good illustration of this. It also offers an illustration of the ambivalence of mathematical thought. Since most of the discussion took place on a highly abstract plane, it dealt with the purely logical problem whether the "fifth postulate" of Euclid was a consequence of the others or not; and the formal conflict was terminated by F Klein's purely mathematical example, which showed how a piece of a Euclidean plane could be made non-Euclidean by formally redefining certain basic concepts. And yet the empirical stimulus was there from start to finish. The prime reason, why, of all Euclid's postulates, the fifth was questioned, was clearly the unempirical character of the concept of the entire infinite plane which intervenes there, and there only. The idea that in at least one significant sense-and in spite of all mathematico-logical analyses-the decision for or against Euclid may have to be empirical, was certainly present in the mind of the greatest mathematician, Gauss. And after Bolyai, Lobachevsky, Riemann, and Klein had obtained more abstracto, what we today consider the formal resolution of the original controversy, empirics - or rather physics - nevertheless, had the final say. The discovery of general relativity forced a revision of our views on the relationship of geometry in an entirely new setting and with a quite new distribution of the purely mathematical emphases, too. Finally, one more touch to complete the picture of contrast. This last development took place in the same generation which saw the complete de-empirization and abstraction of Euclid's axiomatic method in the hands of the modem axiomatic-logical mathematicians. And these two seemingly conflicting attitudes are perfectly compatible in one mathematical mind; thus Hilbert made important contributions to both axiomatic geometry and to general relativity. 

The second example is calculus - or rather all of analysis, which sprang from it. The calculus was the first achievement of modern mathematics, and it is difficult to overestimate its importance. I think it defines more unequivocally than anything else the inception of modem mathematics, and the system of mathematical analysis, which is its logical development, still constitutes the greatest technical advance in exact thinking. 

The origins of calculus are clearly empirical. Kepler's first attempts at integration were formulated as "dolichometry" - measurement of kegs - that is, volumetry for bodies with curved surfaces. This is geometry, but post-Euclidean, and, at the epoch in question, non-axiomatic, empirical geometry. Of this, Kepler was fully aware. The main effort and the main discoveries, those of Newton and Leibniz, were of an explicitly physical origin. Newton invented the calculus "of fluxions" essentially for the purposes of mechanics - in fact, the two disciplines, calculus and mechanics, were developed by him more or less together. The first formulations of the calculus were not even mathematically rigorous. An inexact, semi-physical formulation was the only one available for over a hundred and fifty years after Newton! And yet, some of the most important advances of analysis took place during this period, against this inexact, mathematically inadequate background! Some of the leading mathematical spirits of the period were clearly not rigorous, like Euler; but others, in the main, were, like Gauss or Jacobi. The development was as confused and ambiguous as can be, and its relation to empiricism was certainly not according to our present (or Euclid's) ideas of abstraction and rigour. Yet no mathematician would want to exclude it from the fold-that period produced mathematics as first class as ever existed! And even after the reign of rigour was essentially re-established with Cauchy, a very peculiar relapse into semi-physical methods took place with Riemann. Riemann's scientific personality itself is a most illuminating example of the double nature of mathematics, as is the controversy of Riemann and Weierstrass, but it would take me too far into technical matters if I went into specific details. Since Weierstrass, analysis seems to have become completely abstract, rigorous, and unempirical. But even this is not unqualifiedly true. The controversy about the "foundations" of mathematics and logics, which took place during the last two generations, dispelled many illusions on this score. 

This brings me to the third example which is relevant for the diagnosis. This example, however, deals with the relationship of mathematics with philosophy or epistemology rather than with the natural sciences. It illustrates in a very striking fashion that the very concept of "absolute" mathematical rigour is not immutable. The variability of the concept of rigour shows that something else besides mathematical abstraction must enter into the makeup of mathematics. In analyzing the controversy about the "foundations," I have not been able to convince myself that the verdict must be in favour of the empirical nature of this extra component. The case in favour of such an interpretation is quite strong, at least in some phases of the discussion. But I do not consider it absolutely cogent. Two things, however, are clear. First, that something nonmathematical, somehow connected with the empirical sciences or with philosophy or both, does enter essentially-and its non-empirical character could only be maintained if one assumed that philosophy (or more specifically epistemology) can exist independently of experience. (And this assumption is only necessary but not in itself sufficient). Second, that the empirical origin of mathematics is strongly supported by instances like our two earlier examples (geometry and calculus), irrespective of what the best interpretation of the controversy about the "foundations" may be. 

In analyzing the variability of the concept of mathematical rigour, I wish to lay the main stress on the "foundations" controversy, as mentioned above. I would, however, like to consider first briefly a secondary aspect of the matter. This aspect also strengthens my argument, but I do consider it as secondary, because it is probably less conclusive than the analysis of the "foundations" controversy. I am referring to the changes of mathematical "style." It is well known that the style in which mathematical proofs are written has undergone considerable fluctuations. It is better to talk of fluctuations than of a trend because in some respects the difference between the present and certain authors of the eighteenth or of the nineteenth centuries is greater than between the present and Euclid. On the other hand, in other respects there has been remarkable constancy. In fields in which differences are present, they are mainly differences in presentation, which can be eliminated without bringing in any new ideas. However, in many cases these differences are so wide that one begins to doubt whether authors who "present their cases" in such divergent ways can have been separated by differences in style, taste, and education only-whether they can really have had the same ideas as to what constitutes mathematical rigour. Finally, in the extreme cases (e.g., in much of the work of the late-eighteenth-century analysis, referred to above), the differences are essential and can be remedied, if at all, only with the help of new and profound theories, which it took up to a hundred years to develop. Some of the mathematicians who worked in such, to us, unrigorous ways (or some of their contemporaries, who criticized them) were well aware of their lack of rigour. Or to be more objective: Their own desires as to what mathematical procedure should be were more in conformity with our present views than their actions. But others - the greatest virtuoso of the period, for example, Euler - seem to have acted in perfect good faith and to have been quite satisfied with their own standards. 

See [_The Mathematician_ Part 2][1] for the next part of this article. 

* * *

JOC/EFR March 2006 

The URL of this page is:  
http://www-history.mcs.st-andrews.ac.uk/Extras/Von_Neumann_Part_1.html

[1]: Von_Neumann_Part_2.html

