---
created_at: '2016-08-29T03:25:19.000Z'
title: Hunter S. Thompson on Finding Your Purpose (1958)
url: http://tranquilmonkey.com/hunter-s-thompsons-extraordinary-letter-on-finding-your-purpose/
author: zeeshanm
points: 525
story_text: 
comment_text: 
num_comments: 257
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1472441119
_tags:
- story
- author_zeeshanm
- story_12379809
objectID: '12379809'

---
[Source](http://tranquilmonkey.com/hunter-s-thompsons-extraordinary-letter-on-finding-your-purpose/ "Permalink to On Finding Your Purpose: An Extraordinary Letter by Hunter S. Thompson")

# On Finding Your Purpose: An Extraordinary Letter by Hunter S. Thompson

[Tranquil Monkey][1]

![Tranquil Monkey header image][2]

≡ Menu

* [Art][3]
* [Photography][4]
* [Animals][5]
* [Earth][6]
* [Health][7]
* [Wisdom][8]
* [Relationships][9]
* [Society][10]
* [Science & Tech][11]
* [More][12]

# On Finding Your Purpose: An Extraordinary Letter by Hunter S. Thompson

![hunter__thompson][13]

In April of 1958, Hunter S. Thompson was 22 years old when he wrote a letter on the meaning and purpose of life when asked by his friend, Hume Logan, for advice. In just a few paragraphs, Thompson's letter offers deeply thoughtful ideas, and what makes it all the more profound is the fact that at the time the world had no idea that he was about to become one of the greatest writers of the 20th century.

Thompson was not successful when we wrote this letter, so his beliefs on purpose were just hypothetical, or maybe statements of faith. But if the idea that we become what we fervently believe holds true, then Hunter S. Thompson is perhaps the best example of a man who lived totally reaching his highest potential. Let his words of [wisdom][14] inspire you and change your perspective on life:

### _**"I was not proud of what I had learned, but I never doubted that it was worth knowing." – Hunter S. Thompson**_

* * *

April 22, 1958  
57 Perry Street  
New York City

Dear Hume,

You ask advice: ah, what a very human and very dangerous thing to do! For to give advice to a man who asks what to do with his life implies something very close to egomania. To presume to point a man to the right and ultimate goal — to point with a trembling finger in the RIGHT direction is something only a fool would take upon himself.

I am not a fool, but I respect your sincerity in asking my advice. I ask you though, in listening to what I say, to remember that all advice can only be a product of the man who gives it. What is truth to one may be disaster to another. I do not see life through your eyes, nor you through mine. If I were to attempt to give you specific advice, it would be too much like the blind leading the blind.

"To be, or not to be: that is the question: Whether 'tis nobler in the mind to suffer the slings and arrows of outrageous fortune, or to take arms against a sea of troubles … " (Shakespeare)

And indeed, that IS the question: whether to float with the tide, or to swim for a goal. It is a choice we must all make consciously or unconsciously at one time in our lives. So few people understand this! Think of any decision you've ever made which had a bearing on your future: I may be wrong, but I don't see how it could have been anything but a choice however indirect — between the two things I've mentioned: the floating or the swimming.

But why not float if you have no goal? That is another question. It is unquestionably better to enjoy the floating than to swim in uncertainty. So how does a man find a goal? Not a castle in the stars, but a real and tangible thing. How can a man be sure he's not after the "big rock candy mountain," the enticing sugar-candy goal that has little taste and no substance?

The answer — and, in a sense, the tragedy of life — is that we seek to understand the goal and not the man. We set up a goal which demands of us certain things: and we do these things. We adjust to the demands of a concept which CANNOT be valid. When you were young, let us say that you wanted to be a fireman. I feel reasonably safe in saying that you no longer want to be a fireman. Why? Because your perspective has changed. It's not the fireman who has changed, but you. Every man is the sum total of his reactions to experience. As your experiences differ and multiply, you become a different man, and hence your perspective changes. This goes on and on. Every reaction is a learning process; every significant experience alters your perspective.

So it would seem foolish, would it not, to adjust our lives to the demands of a goal we see from a different angle every day? How could we ever hope to accomplish anything other than galloping neurosis?

The answer, then, must not deal with goals at all, or not with tangible goals, anyway. It would take reams of paper to develop this subject to fulfillment. God only knows how many books have been written on "the meaning of man" and that sort of thing, and god only knows how many people have pondered the subject. (I use the term "god only knows" purely as an expression.) There's very little sense in my trying to give it up to you in the proverbial nutshell, because I'm the first to admit my absolute lack of qualifications for reducing the meaning of life to one or two paragraphs.

I'm going to steer clear of the word "existentialism," but you might keep it in mind as a key of sorts. You might also try something called "Being and Nothingness" by Jean-Paul Sartre, and another little thing called "Existentialism: From Dostoyevsky to Sartre." These are merely suggestions. If you're genuinely satisfied with what you are and what you're doing, then give those books a wide berth. (Let sleeping dogs lie.) But back to the answer. As I said, to put our faith in tangible goals would seem to be, at best, unwise. So we do not strive to be firemen, we do not strive to be bankers, nor policemen, nor doctors.WE STRIVE TO BE OURSELVES.

But don't misunderstand me. I don't mean that we can't BE firemen, bankers, or doctors — but that we must make the goal conform to the individual, rather than make the individual conform to the goal. In every man, heredity and environment have combined to produce a creature of certain abilities and desires — including a deeply ingrained need to function in such a way that his life will be MEANINGFUL. A man has to BE something; he has to matter.

As I see it then, the formula runs something like this: a man must choose a path which will let his ABILITIES function at maximum efficiency toward the gratification of his DESIRES. In doing this, he is fulfilling a need (giving himself identity by functioning in a set pattern toward a set goal), he avoids frustrating his potential (choosing a path which puts no limit on his self-development), and he avoids the terror of seeing his goal wilt or lose its charm as he draws closer to it (rather than bending himself to meet the demands of that which he seeks, he has bent his goal to conform to his own abilities and desires).

In short, he has not dedicated his life to reaching a pre-defined goal, but he has rather chosen a way of life he KNOWS he will enjoy. The goal is absolutely secondary: it is the functioning toward the goal which is important. And it seems almost ridiculous to say that a man MUST function in a pattern of his own choosing; for to let another man define your own goals is to give up one of the most meaningful aspects of life — the definitive act of will which makes a man an individual.

Let's assume that you think you have a choice of eight paths to follow (all pre-defined paths, of course). And let's assume that you can't see any real purpose in any of the eight. THEN — and here is the essence of all I've said — you MUST FIND A NINTH PATH.

Naturally, it isn't as easy as it sounds. You've lived a relatively narrow life, a vertical rather than a horizontal existence. So it isn't any too difficult to understand why you seem to feel the way you do. But a man who procrastinates in his [CHOOSING][15] will inevitably have his choice made for him by circumstance.

So if you now number yourself among the disenchanted, then you have no choice but to accept things as they are, or to seriously seek something else. But beware of looking for goals: look for a way of life. Decide how you want to live and then see what you can do to make a living WITHIN that way of life. But you say, "I don't know where to look; I don't know what to look for."

And there's the crux. Is it worth giving up what I have to look for something better? I don't know — is it? Who can make that decision but you? But even by DECIDING TO LOOK, you go a long way toward making the choice.

If I don't call this to a halt, I'm going to find myself writing a book. I hope it's not as confusing as it looks at first glance. Keep in mind, of course, that this is MY WAY of looking at things. I happen to think that it's pretty generally applicable, but you may not. Each of us has to create our own credo — this merely happens to be mine.

If any part of it doesn't seem to make sense, by all means call it to my attention. I'm not trying to send you out "on the road" in search of Valhalla, but merely pointing out that it is not necessary to accept the choices handed down to you by life as you know it. There is more to it than that — no one HAS to do something he doesn't want to do for the rest of his life. But then again, if that's what you wind up doing, by all means convince yourself that you HAD to do it. You'll have lots of company.

And that's it for now. Until I hear from you again, I remain,

Your friend,  
Hunter

###### Featured image credit: [Curt Livingston][16]

[SHARE ON FACEBOOK][17]

**Like this post? Connect with   
Tranquil Monkey on Facebook by   
clicking the button below. **  
 

Trending Now

* ![On Finding Your Purpose: An Extraordinary Letter by Hunter S. Thompson][18] On Finding Your Purpose: An Extraordinary Letter by Hunter S. Thompson
* ![15 Things You Should Give Up To Be Happy][19] [15 Things You Should Give Up To Be Happy][20]
* ![This Living Hell Is Called The ‘Zoo Of Death.’ And Here's Exactly Why It Needs To Be Closed.][21] [This Living Hell Is Called The ‘Zoo Of Death.’ And Here's Exactly Why It Needs To Be Closed.][22]
* ![25 Mind-Bending Optical Illusion Paintings][23] [25 Mind-Bending Optical Illusion Paintings][24]

[Disclaimer][25] | [DMCA / Removal Notice ][26] | [Privacy Policy][27]   
© 2016 Tranquil Monkey – except where noted.

[1]: http://tranquilmonkey.com
[2]: http://tranquilmonkey.com/wp-content/uploads/2016/12/TM-logo-small.png "click to return home"
[3]: http://tranquilmonkey.com/category/art/
[4]: http://tranquilmonkey.com/category/photography/
[5]: http://tranquilmonkey.com/category/animals-2/
[6]: http://tranquilmonkey.com/category/earth/
[7]: http://tranquilmonkey.com/category/health/
[8]: http://tranquilmonkey.com/category/wisdom/
[9]: http://tranquilmonkey.com/category/relationships/
[10]: http://tranquilmonkey.com/category/society/
[11]: http://tranquilmonkey.com/category/science-tech/
[12]: http://tranquilmonkey.com/category/more/
[13]: http://tranquilmonkey.com/wp-content/uploads/2016/07/hunter__thompson-1024x560.jpg
[14]: http://theunboundedspirit.com/wisdom/
[15]: http://theunboundedspirit.com/choosing-which-way-to-live/
[16]: http://curtingston.com/
[17]: https://www.facebook.com/sharer.php?u=http%3A%2F%2Ftranquilmonkey.com%2Fhunter-s-thompsons-extraordinary-letter-on-finding-your-purpose%2F
[18]: http://tranquilmonkey.com/wp-content/uploads/wordpress-popular-posts/5756-featured-325x175.jpg "On Finding Your Purpose: An Extraordinary Letter by Hunter S. Thompson"
[19]: http://tranquilmonkey.com/wp-content/uploads/wordpress-popular-posts/6307-featured-325x175.jpg "15 Things You Should Give Up To Be Happy"
[20]: http://tranquilmonkey.com/give-up/ "15 Things You Should Give Up To Be Happy"
[21]: http://tranquilmonkey.com/wp-content/uploads/wordpress-popular-posts/3231-featured-325x175.jpg "This Living Hell Is Called The ‘Zoo Of Death.’ And Here's Exactly Why It Needs To Be Closed."
[22]: http://tranquilmonkey.com/zoo-of-death-indonesia/ "This Living Hell Is Called The ‘Zoo Of Death.’ And Here's Exactly Why It Needs To Be Closed."
[23]: http://tranquilmonkey.com/wp-content/uploads/wordpress-popular-posts/7301-featured-325x175.jpg "25 Mind-Bending Optical Illusion Paintings"
[24]: http://tranquilmonkey.com/mind-bending-optical-illusion-paintings/ "25 Mind-Bending Optical Illusion Paintings"
[25]: http://tranquilmonkey.com/disclaimer
[26]: http://tranquilmonkey.com/removal-notice
[27]: http://tranquilmonkey.com/privacy-policy

