---
created_at: '2015-05-13T12:23:21.000Z'
title: There's Plenty of Room at the Bottom (1959)
url: https://en.wikipedia.org/wiki/There%27s_Plenty_of_Room_at_the_Bottom
author: edward
points: 67
story_text: 
comment_text: 
num_comments: 20
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1431519801
_tags:
- story
- author_edward
- story_9538370
objectID: '9538370'

---
[Source](https://en.wikipedia.org/wiki/There's_Plenty_of_Room_at_the_Bottom "Permalink to There's Plenty of Room at the Bottom - Wikipedia")

# There's Plenty of Room at the Bottom - Wikipedia

# There's Plenty of Room at the Bottom

From Wikipedia, the free encyclopedia

Jump to: [navigation][1], [search][2]

"**There's Plenty of Room at the Bottom**" was a lecture given by [physicist][3] [Richard Feynman][4] at an [American Physical Society][5] meeting at [Caltech][6] on December 29, 1959.[[1]][7] Feynman considered the possibility of direct manipulation of individual [atoms][8] as a more powerful form of synthetic [chemistry][9] than those used at the time. The talk went unnoticed and did not inspire the conceptual beginnings of the field. In the 1990s it was rediscovered and publicised as a seminal event in the field, probably to boost the [history of nanotechnology][10] with Feynman's reputation.

## Contents

* [1 Conception][11]
* [2 Challenges][12]
* [3 Impact][13]
* [4 Fiction byproducts][14]
* [5 Editions][15]
* [6 See also][16]
* [7 References][17]
* [8 External links][18]

## Conception[[edit][19]]

Feynman considered a number of interesting ramifications of a general ability to manipulate matter on an atomic scale. He was particularly interested in the possibilities of denser [computer][20] circuitry, and [microscopes][21] that could see things much smaller than is possible with [scanning electron microscopes][22]. These ideas were later realized by the use of the [scanning tunneling microscope][23], the [atomic force microscope][24] and other examples of [scanning probe microscopy][25] and storage systems such as [Millipede][26], created by researchers at [IBM][27].

Feynman also suggested that it should be possible, in principle, to make [nanoscale machines][28] that "arrange the atoms the way we want", and do chemical synthesis by mechanical manipulation.

He also presented the possibility of "[swallowing the doctor][29]," an idea that he credited in the essay to his friend and graduate student [Albert Hibbs][30]. This concept involved building a tiny, swallowable surgical robot.

As a thought experiment he proposed developing a set of one-quarter-scale manipulator hands slaved to the operator's hands to build one-quarter scale machine tools analogous to those found in any machine shop. This set of small tools would then be used by the small hands to build and operate ten sets of one-sixteenth-scale hands and tools, and so forth, culminating in perhaps a billion tiny factories to achieve [massively parallel][31] operations. He uses the analogy of a [pantograph][32] as a way of scaling down items. This idea was anticipated in part, down to the microscale, by science fiction author [Robert A. Heinlein][33] in his 1942 story [_Waldo][34]_.[[2]][35][[3]][36] As the sizes got smaller, one would have to redesign some tools, because the relative strength of various forces would change. Although [gravity][37] would become unimportant, surface tension would become more important, [Van der Waals][38] attraction would become important, etc. Feynman mentioned these scaling issues during his talk. Nobody has yet attempted to implement this thought experiment, although it has been noted that some types of biological [enzymes][39] and enzyme complexes (especially [ribosomes][40]) function chemically in a way close to Feynman's vision.[[4]][41][[5]][42] Feynman also mentioned in his lecture that it might be better eventually to use glass or plastic because their greater uniformity would avoid problems in the very small scale (metals and crystals are separated into domains where the lattice structure prevails.)[[6]][43] This could be a good reason to make machines and also electronics out of glass and plastic. At the present time, there are electronic components made of both materials. In glass, there are [optical fiber][44] cables that amplify the light pulses at regular intervals, using glass [doped][45] with the [rare-earth element][46] [erbium][47]. The doped glass is spliced into the fiber and pumped by a laser operating at a different frequency.[[7]][48] In plastic, [field effect transistors][49] are being made with [polythiophene][50], a plastic invented by [Alan J. Heeger][51] et al. that becomes an electrical conductor when oxidized. At this time, a factor of just 20 in [electron mobility][52] separates plastic from silicon.[[8]][53][[9]][54]

## Challenges[[edit][55]]

At the meeting Feynman concluded his talk with two challenges, and he offered a prize of $1000 for the first individuals to solve each one. The first challenge involved the construction of a [tiny motor][56], which, to Feynman's surprise, was achieved by November 1960 by [William McLellan][57], a meticulous craftsman, using conventional tools. The motor met the conditions, but did not advance the art. The second challenge involved the possibility of scaling down letters small enough so as to be able to fit the entire [_Encyclopædia Britannica][58]_ on the head of a pin, by writing the information from a book page on a surface 1/25,000 smaller in linear scale. In 1985, [Tom Newman][59], a Stanford graduate student, successfully reduced the first paragraph of [_A Tale of Two Cities][60]_ by 1/25,000, and collected the second Feynman prize.[[10]][61][[11]][62]

## Impact[[edit][63]]

See also: [History of nanotechnology][10]

[K. Eric Drexler][64] later took the Feynman concept of a billion tiny factories and added the idea that they could make more copies of themselves, via computer control instead of control by a human operator, in his 1986 book [_Engines of Creation: The Coming Era of Nanotechnology][65]_.

After Feynman's death, scholars studying the historical development of [nanotechnology][66] have concluded that his actual role in catalyzing nanotechnology research was limited based on recollections from many of the people active in the nascent field in the 1980s and 1990s. Chris Toumey, a cultural anthropologist at the University of South Carolina, has reconstructed the history of the publication and republication of Feynman's talk, along with the record of citations to "Plenty of Room" in the scientific literature.[[12]][67][[13]][68] In Toumey's 2008 article, "Reading Feynman into Nanotechnology", he found 11 versions of the publication of "Plenty of Room", plus two instances of a closely related talk by Feynman, "Infinitesimal Machinery," which Feynman called "Plenty of Room, Revisited." Also in Toumey's references are videotapes of that second talk.

Toumey found that the published versions of Feynman's talk had a negligible influence in the twenty years after it was first published, as measured by citations in the scientific literature, and not much more influence in the decade after the Scanning Tunneling Microscope was invented in 1981. Subsequently, interest in "Plenty of Room" in the scientific literature greatly increased in the early 1990s. This is probably because the term "nanotechnology" gained serious attention just before that time, following its use by Drexler in his 1986 book, [_Engines of Creation: The Coming Era of Nanotechnology_][65], which cited Feynman, and in a cover article headlined "Nanotechnology", published later that year in a mass-circulation science-oriented magazine, [_OMNI_][69].[[14]][70][[15]][71] The journal _Nanotechnology_ was launched in 1989; the famous [Eigler-Schweizer experiment][72], precisely manipulating 35 xenon atoms, was published in _Nature_ in April 1990; and _Science_ had a special issue on nanotechnology in November 1991. These and other developments hint that the retroactive rediscovery of Feynman's "Plenty of Room" gave nanotechnology a packaged history that provided an early date of December 1959, plus a connection to the charisma and genius of Richard Feynman.

Toumey's analysis also includes comments from distinguished scientists in nanotechnology who say that "Plenty of Room" did not influence their early work, and in fact most of them had not read it until a later date.

Feynman's stature as a Nobel laureate and as an iconic figure in 20th century science surely helped advocates of nanotechnology and provided a valuable intellectual link to the past.[[2]][35] More concretely, his stature and concept of atomically precise fabrication played a role in securing funding for nanotechnology research, illustrated by President Clinton's January 2000 speech calling for a Federal program:

> My budget supports a major new National Nanotechnology Initiative, worth $500 million. Caltech is no stranger to the idea of nanotechnology the ability to manipulate matter at the atomic and molecular level. Over 40 years ago, Caltech's own Richard Feynman asked, "What would happen if we could arrange the atoms one by one the way we want them?"[[16]][73]

While the version of the Nanotechnology Research and Development Act that was passed by the House in May 2003 called for a study of the technical feasibility of molecular manufacturing, this study was removed to safeguard funding of less controversial research before the Act was passed by the Senate and finally signed into law by President Bush on December 3, 2003.[[17]][74]

## Fiction byproducts[[edit][75]]

* In "[The Tree of Time][76]", a short story published in 1964, [Damon Knight][77] uses the idea of a barrier that has to be constructed atom by atom (a time barrier, in the story).

## Editions[[edit][78]]

* Feynman, R.P. (1 March 1992). "There's plenty of room at the bottom (data storage)". _Journal of Microelectromechanical Systems_. **1** (1): 60–66. [doi][79]:[10.1109/84.128057][80].  A reprint of the talk.
* Feynman, R. (1993). "Infinitesimal machinery". _Journal of Microelectromechanical Systems_. **2** (1): 4–14. [doi][79]:[10.1109/84.232589][81].  A sequel to his first talk.

## See also[[edit][82]]

* [Foresight Nanotech Institute Feynman Prize][83]

## References[[edit][84]]

1. [**^][85]** Drexler, Eric. ["There's Plenty of Room at the Bottom"][86]. 
2. ^ [_**a**_][87] [_**b**_][88] Colin Milburn. _Nanovision: Engineering the Future_. Duke University Press, 2008. [ISBN][89] [0-8223-4265-0][90]
3. [**^][91]** Ed Regis. _Nano_. Bantam, 1997. [ISBN][89] [0-553-50476-2][92]
4. [**^][93]** Yusupov MM, Yusupova GZ, Baucom A, et al. (May 2001). "Crystal structure of the ribosome at 5.5 A resolution". _Science_. **292** (5518): 883–96. [Bibcode][94]:[2001Sci...292..883Y][95]. [doi][79]:[10.1126/science.1060089][96]. [PMID][97] [11283358][98]. 
5. [**^][99]** Xu, Q, et al, _Statistical Analysis of Interface Similarity in Crystals of Homologous Proteins_, J. Mol. Biol. (2008) 381: 487-507
6. [**^][100]** _The Pleasure of Finding Things Out, Chapter 5: There's Plenty of Room at The Bottom_, edited by Michele Feynman and Carl Feynman, p.130, Basic Books, 1999
7. [**^][101]** Paschotta, Rüdiger. ["Tutorial on Fiber Amplifiers"][102]. _Tutorial on Fiber Amplifiers_. RP Photonics. Retrieved 10 October 2013. 
8. [**^][103]** Koezuka, H.; Tsumura, A.; Ando, T. (1987). "Field-effect transistor with polythiophene thin film". Synthetic Metals. 18: 699–704. doi:10.1016/0379-6779(87)90964-7.
9. [**^][104]** _Never Lose Your Nerve!_, Alan J. Heeger, World Scientific, 2016, p.167
10. **[^][105]** Feynman, Richard Phillips; Sykes, Christopher (1995). _[No Ordinary Genius: The Illustrated Richard Feynman]_][106]. W. W. Norton & Company. p. 175\. [ISBN][89] [9780393313932][107]. 
11. **[^][108]** Gribbin, John (1997). _Richard Feynman: A Life in Science_. Dutton. p. 170. 
12. **[^][109]** Chris Toumey. "Apostolic Succession." _Engineering & Science_ 1/2 (2005): 16–23.
13. **[^][110]** Chris Toumey. ["Reading Feynman into Nanotechnology: A Text for a New Science"][111]. _Techné_ 13.3 (2008):133–168. [Archived][112] September 19, 2009, at the [Wayback Machine][113].
14. **[^][114]** Hapgood, Fred (November 1986). ""Nanotechnology" / "Tinytech"". _Omni_: 56. 
15. **[^][115]** Drexler, Eric (15 December 2009). ["The promise that launched the field of nanotechnology"][116]. Metamodern: The Trajectory of Technology. Archived from [the original][117] on 14 July 2011. Retrieved 13 May 2011. 
16. **[^][118]** Remarks at the California Institute of Technology, January 21, 2000, Public Papers of William J. Clinton, January 1 – June 26, 2000, p. 96
17. **[^][119]** Regis, Ed (October 2004). ["The Incredible Shrinking Man"][120]. _Wired_. 

## External links[[edit][121]]

* [Feynman's classic 1959 talk: _There's Plenty of Room at the Bottom_][122]

| ----- |
| 

* [v][123]
* [t][124]
* [e][125]

[Richard Feynman][4]

 |  
|  Career | 

* [Feynman diagram][126]
* [Feynman–Kac formula][127]
* [Wheeler–Feynman absorber theory][128]
* [Bethe–Feynman formula][129]
* [Hellmann–Feynman theorem][130]
* [Feynman slash notation][131]
* [Feynman parametrization][132]
* [Path integral formulation][133]
* [Sticky bead argument][134]
* [One-electron universe][135]
* [Quantum cellular automata][136]

 |  
|  Works | 

* "There's Plenty of Room at the Bottom" (1959)
* _[The Feynman Lectures on Physics][137]_ (1964)
* _[The Character of Physical Law][138]_ (1965)
* _[QED: The Strange Theory of Light and Matter][139]_ (1985)
* _[Surely You're Joking, Mr. Feynman!][140]_ (1985)
* _[What Do You Care What Other People Think?][141]_ (1988)
* _[Feynman's Lost Lecture: The Motion of Planets Around the Sun][142]_ (1997)
* _[The Meaning of It All][143]_ (1999)
* _[The Pleasure of Finding Things Out][144]_ (1999)
* _[Perfectly Reasonable Deviations from the Beaten Track][145]_ (2005)

 |  
|  Family | 

* [Joan Feynman][146] (sister)

 |  
|  Related | 

* [Cargo cult science][147]
* _[Quantum Man: Richard Feynman's Life in Science][148]_
* _[Tuva or Bust!][149]_
* _[QED_ (2001 play)][150]
* _[The Challenger_ (2013 film)][151]

 | 

![][152]

Retrieved from "[https://en.wikipedia.org/w/index.php?title=There%27s_Plenty_of_Room_at_the_Bottom&oldid=825350961][153]" 

[Categories][154]: 

* [Speeches][155]
* [Nanotechnology publications][156]
* [Physics literature][157]
* [Works by Richard Feynman][158]
* [1959 speeches][159]
* [California Institute of Technology][160]
* [American Physical Society][161]
* [Thought experiments][162]

Hidden categories: 

* [Webarchive template wayback links][163]

## Navigation menu

### Personal tools

* Not logged in
* [Talk][164]
* [Contributions][165]
* [Create account][166]
* [Log in][167]

### Namespaces

* [Article][168]
* [Talk][169]

###  Variants

### Views

* [Read][170]
* [Edit][171]
* [View history][172]

### More

###  Search

### Navigation

* [Main page][173]
* [Contents][174]
* [Featured content][175]
* [Current events][176]
* [Random article][177]
* [Donate to Wikipedia][178]
* [Wikipedia store][179]

### Interaction

* [Help][180]
* [About Wikipedia][181]
* [Community portal][182]
* [Recent changes][183]
* [Contact page][184]

### Tools

* [What links here][185]
* [Related changes][186]
* [Upload file][187]
* [Special pages][188]
* [Permanent link][189]
* [Page information][190]
* [Wikidata item][191]
* [Cite this page][192]

### Print/export

* [Create a book][193]
* [Download as PDF][194]
* [Printable version][195]

### Languages

* [Català][196]
* [Deutsch][197]
* [Italiano][198]
* [עברית][199]
* [日本語][200]
* [Suomi][201]

[Edit links][202]

* This page was last edited on 12 February 2018, at 22:17.
* Text is available under the [Creative Commons Attribution-ShareAlike License][203]; additional terms may apply. By using this site, you agree to the [Terms of Use][204] and [Privacy Policy][205]. Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.][206], a non-profit organization.
* [Privacy policy][207]
* [About Wikipedia][208]
* [Disclaimers][209]
* [Contact Wikipedia][210]
* [Developers][211]
* [Cookie statement][212]
* [Mobile view][213]
* ![Wikimedia Foundation][214]
* ![Powered by MediaWiki][215]

[1]: https://en.wikipedia.org#mw-head
[2]: https://en.wikipedia.org#p-search
[3]: https://en.wikipedia.org/wiki/Physics "Physics"
[4]: https://en.wikipedia.org/wiki/Richard_Feynman "Richard Feynman"
[5]: https://en.wikipedia.org/wiki/American_Physical_Society "American Physical Society"
[6]: https://en.wikipedia.org/wiki/California_Institute_of_Technology "California Institute of Technology"
[7]: https://en.wikipedia.org#cite_note-1
[8]: https://en.wikipedia.org/wiki/Atom "Atom"
[9]: https://en.wikipedia.org/wiki/Chemistry "Chemistry"
[10]: https://en.wikipedia.org/wiki/History_of_nanotechnology "History of nanotechnology"
[11]: https://en.wikipedia.org#Conception
[12]: https://en.wikipedia.org#Challenges
[13]: https://en.wikipedia.org#Impact
[14]: https://en.wikipedia.org#Fiction_byproducts
[15]: https://en.wikipedia.org#Editions
[16]: https://en.wikipedia.org#See_also
[17]: https://en.wikipedia.org#References
[18]: https://en.wikipedia.org#External_links
[19]: /w/index.php?title=There%27s_Plenty_of_Room_at_the_Bottom&action=edit&section=1 "Edit section: Conception"
[20]: https://en.wikipedia.org/wiki/Computer "Computer"
[21]: https://en.wikipedia.org/wiki/Microscope "Microscope"
[22]: https://en.wikipedia.org/wiki/Scanning_electron_microscope "Scanning electron microscope"
[23]: https://en.wikipedia.org/wiki/Scanning_tunneling_microscope "Scanning tunneling microscope"
[24]: https://en.wikipedia.org/wiki/Atomic_force_microscope "Atomic force microscope"
[25]: https://en.wikipedia.org/wiki/Scanning_probe_microscopy "Scanning probe microscopy"
[26]: https://en.wikipedia.org/wiki/IBM_Millipede "IBM Millipede"
[27]: https://en.wikipedia.org/wiki/International_Business_Machines "International Business Machines"
[28]: https://en.wikipedia.org/wiki/Nanobots "Nanobots"
[29]: https://en.wikipedia.org/wiki/Molecular_machine#Biological "Molecular machine"
[30]: https://en.wikipedia.org/wiki/Albert_Hibbs "Albert Hibbs"
[31]: https://en.wikipedia.org/wiki/Massively_parallel "Massively parallel"
[32]: https://en.wikipedia.org/wiki/Pantograph "Pantograph"
[33]: https://en.wikipedia.org/wiki/Robert_A._Heinlein "Robert A. Heinlein"
[34]: /wiki/Waldo_(short_story) "Waldo (short story)"
[35]: https://en.wikipedia.org#cite_note-Milburn-2
[36]: https://en.wikipedia.org#cite_note-3
[37]: https://en.wikipedia.org/wiki/Gravity "Gravity"
[38]: https://en.wikipedia.org/wiki/Van_der_Waals_force "Van der Waals force"
[39]: https://en.wikipedia.org/wiki/Enzymes "Enzymes"
[40]: https://en.wikipedia.org/wiki/Ribosomes "Ribosomes"
[41]: https://en.wikipedia.org#cite_note-4
[42]: https://en.wikipedia.org#cite_note-5
[43]: https://en.wikipedia.org#cite_note-6
[44]: https://en.wikipedia.org/wiki/Optical_fiber "Optical fiber"
[45]: https://en.wikipedia.org/wiki/Doped "Doped"
[46]: https://en.wikipedia.org/wiki/Rare-earth_element "Rare-earth element"
[47]: https://en.wikipedia.org/wiki/Erbium "Erbium"
[48]: https://en.wikipedia.org#cite_note-Tutorial_on_Fiber_Amplifiers-7
[49]: https://en.wikipedia.org/wiki/Field_effect_transistors "Field effect transistors"
[50]: https://en.wikipedia.org/wiki/Polythiophene "Polythiophene"
[51]: https://en.wikipedia.org/wiki/Alan_J._Heeger "Alan J. Heeger"
[52]: https://en.wikipedia.org/wiki/Electron_mobility "Electron mobility"
[53]: https://en.wikipedia.org#cite_note-8
[54]: https://en.wikipedia.org#cite_note-9
[55]: /w/index.php?title=There%27s_Plenty_of_Room_at_the_Bottom&action=edit&section=2 "Edit section: Challenges"
[56]: https://en.wikipedia.org/wiki/Nanomotor "Nanomotor"
[57]: /wiki/William_McLellan_(nanotechnology) "William McLellan (nanotechnology)"
[58]: https://en.wikipedia.org/wiki/Encyclop%C3%A6dia_Britannica "Encyclopædia Britannica"
[59]: /wiki/Tom_Newman_(scientist) "Tom Newman (scientist)"
[60]: https://en.wikipedia.org/wiki/A_Tale_of_Two_Cities "A Tale of Two Cities"
[61]: https://en.wikipedia.org#cite_note-10
[62]: https://en.wikipedia.org#cite_note-11
[63]: /w/index.php?title=There%27s_Plenty_of_Room_at_the_Bottom&action=edit&section=3 "Edit section: Impact"
[64]: https://en.wikipedia.org/wiki/K._Eric_Drexler "K. Eric Drexler"
[65]: https://en.wikipedia.org/wiki/Engines_of_Creation "Engines of Creation"
[66]: https://en.wikipedia.org/wiki/Nanotechnology "Nanotechnology"
[67]: https://en.wikipedia.org#cite_note-12
[68]: https://en.wikipedia.org#cite_note-13
[69]: /wiki/Omni_(magazine) "Omni (magazine)"
[70]: https://en.wikipedia.org#cite_note-14
[71]: https://en.wikipedia.org#cite_note-15
[72]: /wiki/IBM_(atoms) "IBM (atoms)"
[73]: https://en.wikipedia.org#cite_note-16
[74]: https://en.wikipedia.org#cite_note-17
[75]: /w/index.php?title=There%27s_Plenty_of_Room_at_the_Bottom&action=edit&section=4 "Edit section: Fiction byproducts"
[76]: https://en.wikipedia.org/wiki/Beyond_the_Barrier "Beyond the Barrier"
[77]: https://en.wikipedia.org/wiki/Damon_Knight "Damon Knight"
[78]: /w/index.php?title=There%27s_Plenty_of_Room_at_the_Bottom&action=edit&section=5 "Edit section: Editions"
[79]: https://en.wikipedia.org/wiki/Digital_object_identifier "Digital object identifier"
[80]: https://doi.org/10.1109/84.128057
[81]: https://doi.org/10.1109/84.232589
[82]: /w/index.php?title=There%27s_Plenty_of_Room_at_the_Bottom&action=edit&section=6 "Edit section: See also"
[83]: https://en.wikipedia.org/wiki/Foresight_Nanotech_Institute_Feynman_Prize "Foresight Nanotech Institute Feynman Prize"
[84]: /w/index.php?title=There%27s_Plenty_of_Room_at_the_Bottom&action=edit&section=7 "Edit section: References"
[85]: https://en.wikipedia.org#cite_ref-1
[86]: http://metamodern.com/2009/12/29/theres-plenty-of-room-at-the-bottom%E2%80%9D-feynman-1959/
[87]: https://en.wikipedia.org#cite_ref-Milburn_2-0
[88]: https://en.wikipedia.org#cite_ref-Milburn_2-1
[89]: https://en.wikipedia.org/wiki/International_Standard_Book_Number "International Standard Book Number"
[90]: https://en.wikipedia.org/wiki/Special%3ABookSources/0-8223-4265-0 "Special:BookSources/0-8223-4265-0"
[91]: https://en.wikipedia.org#cite_ref-3
[92]: https://en.wikipedia.org/wiki/Special%3ABookSources/0-553-50476-2 "Special:BookSources/0-553-50476-2"
[93]: https://en.wikipedia.org#cite_ref-4
[94]: https://en.wikipedia.org/wiki/Bibcode "Bibcode"
[95]: http://adsabs.harvard.edu/abs/2001Sci...292..883Y
[96]: https://doi.org/10.1126/science.1060089
[97]: https://en.wikipedia.org/wiki/PubMed_Identifier "PubMed Identifier"
[98]: https://www.ncbi.nlm.nih.gov/pubmed/11283358
[99]: https://en.wikipedia.org#cite_ref-5
[100]: https://en.wikipedia.org#cite_ref-6
[101]: https://en.wikipedia.org#cite_ref-Tutorial_on_Fiber_Amplifiers_7-0
[102]: http://www.rp-photonics.com/tutorial_fiber_amplifiers.html
[103]: https://en.wikipedia.org#cite_ref-8
[104]: https://en.wikipedia.org#cite_ref-9
[105]: https://en.wikipedia.org#cite_ref-10
[106]: https://books.google.com/books?id=1HxzLaPYo2IC&pg=PA175&lpg=PA175
[107]: https://en.wikipedia.org/wiki/Special%3ABookSources/9780393313932 "Special:BookSources/9780393313932"
[108]: https://en.wikipedia.org#cite_ref-11
[109]: https://en.wikipedia.org#cite_ref-12
[110]: https://en.wikipedia.org#cite_ref-13
[111]: http://scholar.lib.vt.edu/ejournals/SPT/v12n3/toumey.pdf
[112]: https://web.archive.org/web/20090919171108/http://scholar.lib.vt.edu/ejournals/SPT/v12n3/toumey.pdf
[113]: https://en.wikipedia.org/wiki/Wayback_Machine "Wayback Machine"
[114]: https://en.wikipedia.org#cite_ref-14
[115]: https://en.wikipedia.org#cite_ref-15
[116]: https://web.archive.org/web/20110714075738/http://metamodern.com/2009/12/15/when-a-million-readers-first-encountered-nanotechnology/
[117]: http://metamodern.com/2009/12/15/when-a-million-readers-first-encountered-nanotechnology/
[118]: https://en.wikipedia.org#cite_ref-16
[119]: https://en.wikipedia.org#cite_ref-17
[120]: http://archive.wired.com/wired/archive/12.10/drexler.html?pg=3
[121]: /w/index.php?title=There%27s_Plenty_of_Room_at_the_Bottom&action=edit&section=8 "Edit section: External links"
[122]: http://www.zyvex.com/nanotech/feynman.html
[123]: https://en.wikipedia.org/wiki/Template%3ARichard_Feynman "Template:Richard Feynman"
[124]: https://en.wikipedia.org/wiki/Template_talk%3ARichard_Feynman "Template talk:Richard Feynman"
[125]: //en.wikipedia.org/w/index.php?title=Template:Richard_Feynman&action=edit
[126]: https://en.wikipedia.org/wiki/Feynman_diagram "Feynman diagram"
[127]: https://en.wikipedia.org/wiki/Feynman%E2%80%93Kac_formula "Feynman–Kac formula"
[128]: https://en.wikipedia.org/wiki/Wheeler%E2%80%93Feynman_absorber_theory "Wheeler–Feynman absorber theory"
[129]: https://en.wikipedia.org/wiki/Bethe%E2%80%93Feynman_formula "Bethe–Feynman formula"
[130]: https://en.wikipedia.org/wiki/Hellmann%E2%80%93Feynman_theorem "Hellmann–Feynman theorem"
[131]: https://en.wikipedia.org/wiki/Feynman_slash_notation "Feynman slash notation"
[132]: https://en.wikipedia.org/wiki/Feynman_parametrization "Feynman parametrization"
[133]: https://en.wikipedia.org/wiki/Path_integral_formulation "Path integral formulation"
[134]: https://en.wikipedia.org/wiki/Sticky_bead_argument "Sticky bead argument"
[135]: https://en.wikipedia.org/wiki/One-electron_universe "One-electron universe"
[136]: https://en.wikipedia.org/wiki/Quantum_cellular_automata "Quantum cellular automata"
[137]: https://en.wikipedia.org/wiki/The_Feynman_Lectures_on_Physics "The Feynman Lectures on Physics"
[138]: https://en.wikipedia.org/wiki/The_Character_of_Physical_Law "The Character of Physical Law"
[139]: https://en.wikipedia.org/wiki/QED%3A_The_Strange_Theory_of_Light_and_Matter "QED: The Strange Theory of Light and Matter"
[140]: https://en.wikipedia.org/wiki/Surely_You%27re_Joking%2C_Mr._Feynman%21 "Surely You're Joking, Mr. Feynman!"
[141]: https://en.wikipedia.org/wiki/What_Do_You_Care_What_Other_People_Think%3F "What Do You Care What Other People Think?"
[142]: https://en.wikipedia.org/wiki/Feynman%27s_Lost_Lecture "Feynman's Lost Lecture"
[143]: https://en.wikipedia.org/wiki/The_Meaning_of_It_All "The Meaning of It All"
[144]: https://en.wikipedia.org/wiki/The_Pleasure_of_Finding_Things_Out "The Pleasure of Finding Things Out"
[145]: https://en.wikipedia.org/wiki/Perfectly_Reasonable_Deviations_from_the_Beaten_Track "Perfectly Reasonable Deviations from the Beaten Track"
[146]: https://en.wikipedia.org/wiki/Joan_Feynman "Joan Feynman"
[147]: https://en.wikipedia.org/wiki/Cargo_cult_science "Cargo cult science"
[148]: https://en.wikipedia.org/wiki/Quantum_Man%3A_Richard_Feynman%27s_Life_in_Science "Quantum Man: Richard Feynman's Life in Science"
[149]: https://en.wikipedia.org/wiki/Tuva_or_Bust%21 "Tuva or Bust!"
[150]: /wiki/QED_(play) "QED (play)"
[151]: https://en.wikipedia.org/wiki/The_Challenger "The Challenger"
[152]: //en.wikipedia.org/wiki/Special:CentralAutoLogin/start?type=1x1 ""
[153]: https://en.wikipedia.org/w/index.php?title=There%27s_Plenty_of_Room_at_the_Bottom&oldid=825350961
[154]: https://en.wikipedia.org/wiki/Help%3ACategory "Help:Category"
[155]: https://en.wikipedia.org/wiki/Category%3ASpeeches "Category:Speeches"
[156]: https://en.wikipedia.org/wiki/Category%3ANanotechnology_publications "Category:Nanotechnology publications"
[157]: https://en.wikipedia.org/wiki/Category%3APhysics_literature "Category:Physics literature"
[158]: https://en.wikipedia.org/wiki/Category%3AWorks_by_Richard_Feynman "Category:Works by Richard Feynman"
[159]: https://en.wikipedia.org/wiki/Category%3A1959_speeches "Category:1959 speeches"
[160]: https://en.wikipedia.org/wiki/Category%3ACalifornia_Institute_of_Technology "Category:California Institute of Technology"
[161]: https://en.wikipedia.org/wiki/Category%3AAmerican_Physical_Society "Category:American Physical Society"
[162]: https://en.wikipedia.org/wiki/Category%3AThought_experiments "Category:Thought experiments"
[163]: https://en.wikipedia.org/wiki/Category%3AWebarchive_template_wayback_links "Category:Webarchive template wayback links"
[164]: https://en.wikipedia.org/wiki/Special%3AMyTalk "Discussion about edits from this IP address [n]"
[165]: https://en.wikipedia.org/wiki/Special%3AMyContributions "A list of edits made from this IP address [y]"
[166]: /w/index.php?title=Special:CreateAccount&returnto=There%27s+Plenty+of+Room+at+the+Bottom "You are encouraged to create an account and log in; however, it is not mandatory"
[167]: /w/index.php?title=Special:UserLogin&returnto=There%27s+Plenty+of+Room+at+the+Bottom "You're encouraged to log in; however, it's not mandatory. [o]"
[168]: https://en.wikipedia.org/wiki/There%27s_Plenty_of_Room_at_the_Bottom "View the content page [c]"
[169]: https://en.wikipedia.org/wiki/Talk%3AThere%27s_Plenty_of_Room_at_the_Bottom "Discussion about the content page [t]"
[170]: https://en.wikipedia.org/wiki/There%27s_Plenty_of_Room_at_the_Bottom
[171]: /w/index.php?title=There%27s_Plenty_of_Room_at_the_Bottom&action=edit "Edit this page [e]"
[172]: /w/index.php?title=There%27s_Plenty_of_Room_at_the_Bottom&action=history "Past revisions of this page [h]"
[173]: https://en.wikipedia.org/wiki/Main_Page "Visit the main page [z]"
[174]: https://en.wikipedia.org/wiki/Portal%3AContents "Guides to browsing Wikipedia"
[175]: https://en.wikipedia.org/wiki/Portal%3AFeatured_content "Featured content – the best of Wikipedia"
[176]: https://en.wikipedia.org/wiki/Portal%3ACurrent_events "Find background information on current events"
[177]: https://en.wikipedia.org/wiki/Special%3ARandom "Load a random article [x]"
[178]: https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en "Support us"
[179]: https://shop.wikimedia.org "Visit the Wikipedia store"
[180]: https://en.wikipedia.org/wiki/Help%3AContents "Guidance on how to use and edit Wikipedia"
[181]: https://en.wikipedia.org/wiki/Wikipedia%3AAbout "Find out about Wikipedia"
[182]: https://en.wikipedia.org/wiki/Wikipedia%3ACommunity_portal "About the project, what you can do, where to find things"
[183]: https://en.wikipedia.org/wiki/Special%3ARecentChanges "A list of recent changes in the wiki [r]"
[184]: https://en.wikipedia.org/wiki/Wikipedia%3AContact_us "How to contact Wikipedia"
[185]: https://en.wikipedia.org/wiki/Special%3AWhatLinksHere/There%27s_Plenty_of_Room_at_the_Bottom "List of all English Wikipedia pages containing links to this page [j]"
[186]: https://en.wikipedia.org/wiki/Special%3ARecentChangesLinked/There%27s_Plenty_of_Room_at_the_Bottom "Recent changes in pages linked from this page [k]"
[187]: https://en.wikipedia.org/wiki/Wikipedia%3AFile_Upload_Wizard "Upload files [u]"
[188]: https://en.wikipedia.org/wiki/Special%3ASpecialPages "A list of all special pages [q]"
[189]: /w/index.php?title=There%27s_Plenty_of_Room_at_the_Bottom&oldid=825350961 "Permanent link to this revision of the page"
[190]: /w/index.php?title=There%27s_Plenty_of_Room_at_the_Bottom&action=info "More information about this page"
[191]: https://www.wikidata.org/wiki/Special:EntityPage/Q2279500 "Link to connected data repository item [g]"
[192]: /w/index.php?title=Special:CiteThisPage&page=There%27s_Plenty_of_Room_at_the_Bottom&id=825350961 "Information on how to cite this page"
[193]: /w/index.php?title=Special:Book&bookcmd=book_creator&referer=There%27s+Plenty+of+Room+at+the+Bottom
[194]: /w/index.php?title=Special:ElectronPdf&page=There%27s+Plenty+of+Room+at+the+Bottom&action=show-download-screen
[195]: /w/index.php?title=There%27s_Plenty_of_Room_at_the_Bottom&printable=yes "Printable version of this page [p]"
[196]: https://ca.wikipedia.org/wiki/There%27s_Plenty_of_Room_at_the_Bottom "There's Plenty of Room at the Bottom – Catalan"
[197]: https://de.wikipedia.org/wiki/There%E2%80%99s_Plenty_of_Room_at_the_Bottom "There's Plenty of Room at the Bottom – German"
[198]: https://it.wikipedia.org/wiki/There%27s_Plenty_of_Room_at_the_Bottom "There's Plenty of Room at the Bottom – Italian"
[199]: https://he.wikipedia.org/wiki/%D7%99%D7%A9_%D7%A9%D7%A4%D7%A2_%D7%9E%D7%A7%D7%95%D7%9D_%D7%91%D7%AA%D7%97%D7%AA%D7%99%D7%AA "יש שפע מקום בתחתית – Hebrew"
[200]: https://ja.wikipedia.org/wiki/%E3%82%BC%E3%82%A2%E3%83%BC%E3%82%BA%E3%83%BB%E3%83%97%E3%83%AC%E3%83%B3%E3%83%86%E3%82%A3%E3%83%BB%E3%82%AA%E3%83%96%E3%83%BB%E3%83%AB%E3%83%BC%E3%83%A0%E3%83%BB%E3%82%A2%E3%83%83%E3%83%88%E3%83%BB%E3%82%B6%E3%83%BB%E3%83%9C%E3%83%88%E3%83%A0 "ゼアーズ・プレンティ・オブ・ルーム・アット・ザ・ボトム – Japanese"
[201]: https://fi.wikipedia.org/wiki/There%27s_plenty_of_room_at_the_bottom "There's plenty of room at the bottom – Finnish"
[202]: https://www.wikidata.org/wiki/Special:EntityPage/Q2279500#sitelinks-wikipedia "Edit interlanguage links"
[203]: https://en.wikipedia.org/wiki/Wikipedia%3AText_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License
[204]: https://wikimediafoundation.org/wiki/Terms_of_Use
[205]: https://wikimediafoundation.org/wiki/Privacy_policy
[206]: https://www.wikimediafoundation.org/
[207]: https://wikimediafoundation.org/wiki/Privacy_policy "wmf:Privacy policy"
[208]: https://en.wikipedia.org/wiki/Wikipedia%3AAbout "Wikipedia:About"
[209]: https://en.wikipedia.org/wiki/Wikipedia%3AGeneral_disclaimer "Wikipedia:General disclaimer"
[210]: https://en.wikipedia.org/wiki/Wikipedia%3AContact_us
[211]: https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute
[212]: https://wikimediafoundation.org/wiki/Cookie_statement
[213]: //en.m.wikipedia.org/w/index.php?title=There%27s_Plenty_of_Room_at_the_Bottom&mobileaction=toggle_view_mobile
[214]: https://en.wikipedia.org/static/images/wikimedia-button.png
[215]: https://en.wikipedia.org/static/images/poweredby_mediawiki_88x31.png

  *[[v]: View this template
  *[[e]: Edit this template
  *[[t]: Discuss this template

