---
created_at: '2015-07-23T21:18:05.000Z'
title: Augmenting Human Intellect (1962)
url: http://web.stanford.edu/class/history34q/readings/Engelbart/Engelbart_AugmentIntellect.html
author: jeremynixon
points: 67
story_text: 
comment_text: 
num_comments: 5
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1437686285
_tags:
- story
- author_jeremynixon
- story_9938592
objectID: '9938592'

---
[Source](http://web.stanford.edu/class/history34q/readings/Engelbart/Engelbart_AugmentIntellect.html "Permalink to ")

![][1]Douglas C. Engelbart

**Augmenting Human Intellect**

* * *

II. CONCEPTUAL FRAMEWORK

A. GENERAL

The conceptual framework we seek must orient us toward the real possibilities and problems associated with using modern technology to give direct aid to an individual in comprehending complex situations, isolating the significant factors, and solving problems. To gain this orientation, we examine how individuals achieve their present level of effectiveness, and expect that this examination will reveal possibilities for improvement.

The entire effect of an individual on the world stems essentially from what he can transmit to the world through his limited motor channels. This in turn is based on information received from the outside world through limited sensory channels; on information, drives, and needs generated within him; and on his processing of that information. His processing is of two kinds: that which he is generally conscious of (recognizing patterns, remembering, visualizing, abstracting, deducing, inducing, etc.), and that involving the unconscious processing and mediating of received and self-generated information' and the unconscious mediating of conscious processing itself.

The individual does not use this information and this processing to grapple directly with the sort of complex situation in which we seek to give him help He uses his innate capabilities in a rather more indirect fashion, since the situation is generally too complex to yield directly to his motor actions' and always too complex to yield comprehensions and solutions from direct sensory inspection and use of basic cognitive capabilities. For instance' an aborigine who possesses all of our basic sensory-mental-motor capabilities, but does not possess our background of indirect knowledge and procedure, cannot organize the proper direct actions necessary to drive a car through traffic' request a book from the library' call a committee meeting to discuss a tentative plan, call someone on the telephone, or compose a letter on the typewriter.

8

Our culture has evolved means for us to organize the little things we can do with our basic capabilities so that we can derive comprehension from truly complex situations, and accomplish the processes of deriving and implementing problem solutions. The ways in which human capabilities are thus extended are here called augmentation means, and we define four basic classes of them:

(1) Artifacts--physical objects designed to provide for human comfort, for the manipulation of things or materials, and for the manipulation of symbols.

(2) Language--the way in which the individual parcels out the picture of his world into the concepts that his mind uses to model that world, and the symbols that he attaches to those concepts and uses in consciously manipulating the concepts ("thinking').

(3) Methodology--the methods, procedures, strategies, etc`, with which an individual organizes his goal_entered (problem-solving) activity.

(4) Training--the conditioning needed by the human being to bring his skills in using Means 1, 2, and 3 to the point where they are operationally effective.

The system we want to improve can thus be visualized as a trained human being together with his artifacts, language, and methodology. The explicit new system we contemplate will involve as artifacts computers, and computer-controlled information-storage, information-handling, and information-display devices. The aspects of the conceptual framework that are discussed here are primarily those relating to the human being's ability to make significant use of such equipment in an integrated system.

Pervading all of the augmentation means is a particular structure or organization. While an untrained aborigine cannot drive a car through traffic, because he cannot leap the gap between his cultural background and the kind of world that contains cars and traffic, it is possible to

9

move step by step through an organized training program that will enable him to drive effectively and safely. In other words, the human mind neither learns nor acts by large leaps, but by steps organized or structured so that each one depends upon previous steps.

Although the size of the step a human being can take in comprehension, innovation, or execution is small in comparison to the over-all size of the step needed to solve a complex problem, human beings nevertheless do solve complex problems. It is the augmentation means that serve to break down a large problem in such a way that the human being can walk through it with his little steps, and it is the structure or organization of these little steps or actions that we discuss as process hierarchies.

Every process of thought or action is made up of sub-processes. Let us consider such examples as making a pencil stroke, writing a letter of the alphabet, or making a plan. Quite a few discrete muscle movements are organized into the making of a pencil stroke; similarly, making particular pencil strokes and making a plan for a letter are complex processes in themselves that become sub-processes to the over-all writing of an alphabetic character.

Although every sub-process is a process in its own right, in that it consists of further sub-processes, there seems to be no point here in looking for the ultimate bottom of the process-hierarchical structure. There seems to be no way of telling whether or not the apparent bottoms (processes that cannot be further subdivided) exist in the physical world or in the limitations of human understanding.

In any case, it is not necessary to begin from the bottom in discussing particular process hierarchies.. No person uses a process that is completely unique every time he tackles something new. Instead, he begins from a group of basic sensory-mental-motor process capabilities, and adds to these certain of the process capabilities of his artifacts. There are only a finite number of such basic human and artifact capabilities from which to draw. Furthermore, even quite different higher order processes may have in common relatively high-order sub-processes"

10

When a man writes prose text (a reasonably high-order process), he makes use of many processes as sub-processes that are common to other high-order processes. For example, he makes use of planning, composing, dictating. The process of writing is utilized as a sub-process within many different processes of a still higher order, such as organizing a committee' changing a policy, and so on.

What happens, then, is that each individual develops a certain repertoire of process capabilities from which he selects and adapts those that will compose the processes that he executes. This repertoire is like a tool kit, and just as the mechanic must know what his tools can do and how to use them, so the i.ntellectual worker must know the capabilities of his tools and have good methods, strategies, and rules of thumb for making use of them. All of the process capabilities in the individual's repertoire rest ultimately upon basic capabilities within him or his artifacts, and the entire repertoire represents an inter-knit, hierarchical structure (which we often call the repertoire hierarchy).

We find three general categories of process capabilities within a typical individual's repertoire. There are those that are executed completely within the human integument, which we call explicit-human process capabilities; there are those possessed by artifacts for executing processes without human intervention, which we call explicit- artifact process capabilities; and there are what we call the composite process capabilities, which are derived from hierarchies containing both of the other kinds.

We assume that it is our H-LAM/T system (Human using Lauguage, Artifacts, Methodology, in which he is Trained) that has the capability and that performs the process in any instance of use of this repertoire. Let us look within the process structure for the LAM/T ingredients, to get a better "feel" for our models. Consider the process of writing an important memo. There is a particular concept associated with this process--that of putting information into a formal package and distributing it to a set of people for a certain kind of consideration-- and the type of information package associated with this concept has been given

11

the special name of memorandum. Already the system language shows the effect of this process--i.e., a concept and its name.

The memo-writing process may be executed by using a set of process capabilities (in intermixed or repetitive form) such as the following planning, developing subject matter, composing text, producing hard copy, and distributing. There is a definite way in which these sub-processes will be organized that represents part of the system methodology. Each of these sub-processes represents a functional concept that must be a part of the system language if it is to be organized effectively into the human's way of doing things, and the symbolic portrayal of each concept must be such that the human can work with it and remember it;

If the memo is simple, a paragraph or so in length, then the first three processes may well be of the explicit-human type (i.e., it may be planned, developed) and composed within the mind) and the last two of the composite type. If it is a complex memo, involving a good deal of careful planning and development, then all of the sub-processes might well be of the composite type (e.g., at least including the use of pencil and paper artifacts)' and there might be many different applications of some of the process capabilities within the total process (i.e., successive drafts, revised plans).

The set of sub-process capabilities discussed so far, if called upon in proper occasion and sequence, would indeed enable the execution of the memo-writing process. However, the very process of organizing and supervising the utilization of these sub-process capabilities is itself a most important sub-process of the memo-writing process. Hence, the sub- process capabilities as listed would not be complete without the addition of a seventh capability--what we call the executive capability. This is the capability stemming from habit, strategy, rules of thumb, prejudice, learned method, intuition, unconscious dictates, or combinations thereof, to call upon the appropriate sub-process capabilities with a particular sequence and timing. An executive process (i.e., the exercise of an executive capability) involves such sub-processes as planning, selecting' and supervising, and it is really the executive processes that embody all of the methodology in the H-LAM/T system.

12

To illustrate the capability-hierarchy features of our conceptual framework, let us consider an artifact innovation appearing directly within the relatively low-order capability for composing and modifying written text, and see how this can affect a (or, for instance, your) hierarchy of capabilities. Suppose you had a new writing machine--think of it as a high-speed electric typewriter with some special features. You could operate its keyboard to cause it to write text much as you could use a conventional typewriter. But the printing mechanism is more complicated; besides printing a visible character at every stroke' it adds special encoding features by means of invisible selective components in the ink and special shaping of the character.

As an auxiliary device, there is a gadget that is held like a pencil and, instead of a point, has a special sensing mechanism that you can pass over a line of the special printing from your writing machine (or one like it). The signals which this reading stylus sends through the flexible connecting wire to the writing machine are used to determine which characters are being sensed and thus to cause the automatic typing of a duplicate string of characters. An information-storage mechanism in the writing machine permits you to sweep the reading stylus over the characters much faster than the writer can type; the writer will catch up with you when you stop to think about what word or string of words should be duplicated next, or while you reposition the straightedge guide along which you run the stylus.

This writing machine would permit you to use a new process of composing text. For instance, trial drafts could rapidly be composed from re-arranged excerpts of old drafts, together with new words or passages which you stop to type in. Your first draft could represent a free outpouring of thoughts in any order, with the inspection of foregoing thoughts continuously stimulating new considerations and ideas to be entered. If the tangle of thoughts represented by the draft became too complex, you would compile a reordered draft quickly. It would be practical for you to accommodate more complexity in the trails of thought you might build in search of the path that suits your needs.

13

You can integrate your new ideas more easily, and thus harness your creativity more continuously, if you can quickly and flexibly change your working record. If it is easier to update any part of your working record to accommodate new developments in thought or circumstance, you will find it easier to incorporate more complex procedures in your way of doing things. This will probably allow you to accommodate the extra burden associated with, for instance, keeping and using special files whose contents are both contributed to and utilized by any current work in a flexible manner--which in turn enables you to devise and use even- morecomplex procedures to better harness your talents in your particular working situation.

The important thing to appreciate here is that a direct new innovation in one particular capability can have far-reaching effects throughout the rest of your capability hierarchy. A change can propagate up through the capability hierarchy; higher-order capabilities that can utilize the initially changed capability can now reorganize to take special advantage of this change and of the intermediate higher-capability changes. A change can propagate down through the hierarchy as a result of new capabilities at the high level and modification possibilities latent in lower levels. These latent capabilities may previously have been unusable in the hierarchy and become usable because of the new capability at the higher level.

The writing machine and its flexible copying capability would occupy you for a long time if you tried to exhaust the reverberating chain of associated possibilities for making useful innovations within your capability hierarchy. This one innovation could trigger a rather extensive redesign of this hierarchy; your way of accomplishing many of your tasks would change considerably. Indeed' this process characterizes the sort of evolution that our intellect-augmentation means have been undergoing since the first human brain appeared.

To our objective of deriving orientation about possibilities for actively pursuing an increase in human intellectual effectiveness, it is important to realize that we must be prepared to pursue such new- possibilit-

14

chains throughout the entire capability hierarchy (calling for a system approach?. It is also important to realize that we must be oriented to the synthesis of new capabilities from reorganization of other capabilities, both old and new, that exist throughout the hierarchy (calling for a system- engineering" approach).

B. THE BASIC PERSPECTIVE

Individuals who operate effectively in our culture have already been considerably "augmented." Basic human capabilities for sensing stimuli, performing numerous mental operations, and for communicating with the outside world, are put to work in our society within a system--an H-LAM/T system--the individual augmented by the language' artifacts, and methodology in which he is trained. Furthermore, we suspect that improving the effectiveness of the individual as he operates in our society should be approached as a system-engineering problem--that is, the H-LAM/T system should be studied as an interacting whole from a synthesis-oriented approach.

This view of the system as an interacting whole is strongly bolstered by considering the repertoire hierarchy of process capabilities that is structured from the basic ingredients within the H-LAM/T system. The realization that any potential change in language, artifact, or methodology has importance only relative to its use within a process' and that a new process capability appearing anywhere within that hierarchy can make practical a new consideration of latent change possibilities in many other parts of the hierarchy--possibilities in either language, artifacts, or methodology--brings out the strong interrelationship of these three augmentation means.

Increasing the effectiveness of the individual's use of his basic capabilities is a problem in redesigning the changeable parts of a system. The system is actively engaged in the continuous processes (among others) of developing comprehension within the individual and of solving problems; both processes are subject to human motivation, purpose, and will To redesign the system's capability for performing these processes means redesigning all or part of the repertoire hierarchy. To redesign

15

a structure, we must learn as much as we can of what is known about the basic materials and components as they are utilized within the structure; beyond that, we must learn how to view' to measure, to analyze, and to evaluate in terms of the i'unctlonal whole and its purpose. In this particular case, no existing analytic theory is by itself adequate i'or the purpose of' analyzing and evaluating over-all system performance; pursuit of' an improved system thus demands the use of' experimental methods.

It need not be just the very sophisticated or formal process capabilities that are added or modified in this redesign. Essentially any of the processes utilized by a representative human today--the processes that he thinks of when he looks ahead to his day's work--are composite processes of' the sort that involve external composing and manipulating of symbols (text, sketches, diagrams, lists, etc.). Many of the external composing and manipulating (modifying, rearranging) processes serve auch characteristically "human" activities as playing with forms and relationships to ask what develops, cut- and-try multiple-pass development of an idea, or listing items to reflect on and then rearranging and extending them as thoughts develop.

Existing, or near-future, technology could certainly provide our professional problem-solvers with the artifacts they need to have for duplicating and rearranging text before their eyes, quickly and with a minimum of human effort. Even ao apparently minor an advance could yield total changes in an individual's repertoire hierarchy that would represent a great increase in over-all efi'ectivenesa. Normally the necessary equipment would enter the market alowly; changes i'rom the expected would be small, people would change their ways of doing things a little at a time, and only gradually would their accumulated changes create markets for more radical versions of' the equipment. Such an evolutionary process has been typical of the way our repertoire hierarchic' have grown and formed.

But an active research effort, aimed at exploring and evaluating poasible integrated changes throughout the repertoire hierarchy, could greatly accelerate thia evolutionary process. The reaearch effort could

16

guide the product development of new artifacts toward taking long-range meaningful steps; simultaneously competitively minded individuals who would respond to demonstrated methods for achieving greater personal effectiveness would create a market for the more radical equipment innovations. The guided evolutionary process could be expected to be considerably more rapid than the traditional one.

The category of "more radical innovations" includes the digital computer as a tool for the personal use of an individual. Here there is not only promise of great flexibility in the composing and rearranging of text and diagrams before the individual's eyes but also promise of many other process capabilities that can be integrated into the H-LAM/T system's repertoire hierarchy

C. DETAILED DISCUSSION OF THE H-LAM/T SYSTEM

1\. The Source of Intelligence

When one looks at a computer system that is doing a very complex job, he sees on the surface a machine that can execute some extremely sophisticated processes. If he is a layman, his concept of what provides this sophisticated capability may endow the machine with a mysterious power to sweep information through perceptive and intelligent synthetic thinking devices. Actually, this sophisticated capability results from a very clever organizational hierarchy so that pursuit of the source of intelligence within this system would take one down through layers of functional and physical o.ganization that become successively more primitive.

To be more specific, we can begin at the top and list the major levels down through which we would pass if we successively decomposed the functional elements of each level in search of the "source of intelligence. A programmer could take us down through perhaps three levels (depending upon the sophistication of the total process being executed by the computer) perhaps depicting the organization at each level with a flow chart. The first level down would organize functions corresponding to statements in a problem-oriented language (e.g., ALGOL or COBOL), to achieve the desired over-all process. The second level down would organize lesser functions into the processes represented by first-level statements. The

17

third level would perhaps show how the basic machine commands (or rather the processes which they represent) were organized to achieve each of the functions of the second level.

Then a machine designer could take over, and with a block diagram of the computer's organization he could show us (Level 4) how the different hardware units (e.g., random-access storage' arithmetic registers, adder, arithmetic control) are organized tq provide the capability of executing sequences of the commands used in Level 3. The logic designer could then give us a tour of Level 5, also using block diagrams, to show us how such hardware elements as pulse gates, flip-flops' and AND, OR, and NOT circuits can be organized into networks giving the functions utilized at Level 4. For Level 6 a circuit engineer could show us diagrams revealing how components such as transistors, resistors, capacitors, and diodes can be organized into modular networks that provide the functions needed for the elements of Level 5.

Device engineers and physicists of different kinds could take us down through more layers. But rather soon we have crossed the boundary between what is man-organized and what is nature-organized, and are ultimately discussing the way in which a given physical phenomenon is derived from the intrinsic organization of sub-atomic particles, with our ability to explain succeeding layers blocked by the exhaustion of our present human comprehension.

If we then ask ourselves where that intelligence is embodied, we are forced to concede that it is elusively distributed throughout a hierarchy of functional processes--a hierarchy whose foundation extends down into natural processes below the depth of our comprehension. If there is any one thing upon which this 'intelligence depends' it would seem to be organization. The biologists and physiologists use a term "synergism" to designate (from Webster's Unabridged Dictionary, Second Edition) the "...cooperative action of discrete agencies such that the total effect is greater than the sum of the two effects taken independently..." This term seems directly applicable here, where we could say that synergism is our most likely candidate for representing the actual source of intelligence

18

Actually, each of the social, life, or physical phenomena we observe about us would seem to derive from a supporting hierarchy of organized functions (or processes), in which the synergistic principle gives increased phenomenological sophistication to each succeedingly higher level of organization. In particular, the intelligence of a human being, derived ultimately from the characteristics of individual nerve cells, undoubtedly results from synergism.

2.

Intelligence Amplification

It has been jokingly suggested several times during the course of this study that what we are seeking is an "intelligence amplifier." (The term is attributed originally to W. Ross Ashby(2,3). At first this term was rejected on the grounds that in our view one's only hope was to make a better match between existing human intelligence and the problems to be tackled, rather than in making man more intelligent. But deriving the concepts brought out in the preceding section has shown us that indeed this term does seem applicable to our objective.

Accepting the term "intelligence amplification" does not imply any attempt to increase native human intelligence. The term "intelligence amplification" seems applicable to our goal of augmenting the human intellect in that the entity to be produced will exhibit more of what can be called intelligence than an unaided human could; we will have amplified the intelligence of the human by organizing his intellectual capabilities into higher levels of synergistic structuring. What possesses the amplified intelligence is the resulting H-LAM/T system, in which the LAM/T augmentation means represent the amplifier of the human's intelligence.

In amplifying our intelligence, we are applying the principle of synergistic structuring that was followed by natural evolution in developing the basic human capabilities. What we have done in the development of our augmentation means is to construct a superstructure that is a synthetic extension of the natural structure upon which it is built. In a very real sense, as represented by the steady evolution of our augmentation means, the development of "artificial intelligence" has been going on for centuries.

19

3\. Two-Domain

System

The human and the artifacts are the only physical components in the H-LAM/T system. It is upon their capabilities that the ultimate capability of the system will depend. This was implied in the earlier statement that every composite process of the system decomposes ultimately into explicit-human and explicit-artifact processes. There are thus two separate domains of activity within the H-LAM/T system: that represented by the human, in which all explicit-human processes occur; and that represented by the artifacts, in which all explicit-artifact processes occur. In any composite process, there is cooperative interaction between the two domains, requiring interchange of energy (much of it for information exchange purposes only). Figure 1 depicts this twodomain concept and embodies other concepts discussed below.

Fig. 1

Portrayal of the Two Active Domains Within the H-

LAM/T System

Where a complex machine represents the principal artifact with which a human being cooperates, the term "man- machine interface" has been used for some years to represent the boundary across which energy is exchanged between the two domains. However, the "man-artifact

20

interface" has existed for centuries, ever since humans began using artifacts and executing composite processes.

Exchange across this "interface occurs when an explicit-human process is coupled to an explicit-artifact process. Quite often these coupled processes are designed for just this exchange purpose, to provide a functional match between other explicit-human and explicit-artifact processes buried within their respective domains that do the more significant things For instance, the finger and hand motions (explicithuman processes) activate key-linkage motions in the typewriter (couple to explicit-artifact processes). But these are only part of the matching processes between the deeper human processes that direct a given word to be typed and the deeper artifact processes that actually imprint the ink marks on the paper.

The outside world interacts with our H-LAM/T system by the exchange of energy with either the individual or his artifact. Again, special processes are often designed to accommodate this exchange. However, the direct concern of our present study lies within the system, with the internal processes that are and can be significantly involved in the effectiveness of the system in developing the human's comprehension and pursuing the human's goals.

4\. Concepts, Symbols, and a Hypothesis

Before we pursue further direct discussion of the H-LAM/T system, let us examine some background material. Consider the following historical progression in the development of our intellectual capabilities:

(1) Concept Manipulation--Humans rose above the lower forms of life by evolving the biological capability for developing abstractions and concepts. They could manipulate these concepts within their minds to a certain extent, and think' about situations in the abstract. Their mental capabilities allowed them to develop general concepts from specific instances, predict specific instances from general

21

concepts, associate concepts, remember them, etc. We speak here of concepts in their raw' unverbalized form. For example, a person letting a door swing shut behind him suddenly visualizes the person who follows him carrying a cup of hot coffee and some sticky pastries. Of all the aspects of the pending event, the spilling of the coffee and the squashing of the pastry somehow are abstracted immediately, and associated with a concept of personal responsibility and a dislike for these consequences But a solution comes to mind immediately as an image of a quick stop and an arm stab back toward the door, with motion and timing that could prevent the collision, and the solution is accepted and enacted. With only non-symbolic concept manipulation, we could probably build primitive shelter, evolve strategies of war and hunt, play games, and make practical jokes. But further powers of intellectual effectiveness are implicit in this stage of biological evolution (the same stage we are in today).

(2) Symbol Manipulation--Humans made another great step forward when they learned to represent particular concepts in their minds with specific symbols. Here we temporarily disregard communicative speech and writing, and consider only the direct value to the individual of being able to do his heavy thinking by mentally manipulating symbols instead of the more unwieldly concepts which they represent. Consider, for instance, the mental difficulty involved in herding twenty- seven sheep if, instead of remembering one cardinal number and occasionally counting, we had to remember what each sheep looked like, so that if the flock seemed too small we could visualize each one and check whether or not it was there.

22

(3) Manual, External, Symbol Manipulation--Another significant step toward harnessing the biologically evolved mental capabilities in pursuit of comprehension and problem solutions came with the development of the means for externalizing some of the symbol-manipulation activity, particularly in graphical representation. This supplemented the individual's memory and ability to visualize. (We are not concerned here with the value derived from human cooperation made possible by speech and writing, both forms of external symbol manipulation. We speak of the manual means of making graphical representations of symbols--a stick and sand' pencil and paper and eraser, straight edge or compass, and so on.) It is principally this kind of means for external symbol manipulation that has been associated with the evolution of the individual's present way of doing his concept manipulation (thinking).

It is undoubtedly true that concepts which people found useful ended up being symbolized in their language, and hence that the evolution of language was affected by the concepts the people developed and used. However' Korzybski(4) and Whorf(5) (among others) have argued that the language we use affects our thinking to a considerable extent. They say that a lack of words for some types of concepts makes it hard to express those concepts, and thus decreases the likelihood that we will learn much about them. If this is so, then once a language has begun to grow and be used, it would seem reasonable to suspect that the language also affects the evolution of the new concepts to be expressed in that language.

Apparently there are counter-arguments to this; e.g., if a concept needs to be used often but its expression is difficult' then the language will evolve to ease the situation. However, the studies of the past decade into what are called "self-organizing" systems seem to be

23

revealing that subtle relationships among its interacting elements can significantly influence the course of evolution of such a system. If this is true, and if language is (as it seems to be) a part of a selforganizing system, then it seems probable that the state of a language at a given time strongly affects its own evolution to a succeeding state.

For our conceptual framework, we tend to favor the view that a language does exert a force in its own evolution. We observe that the shift over the last few centuries in matters that are of daily concern to the individual has necessarily been forced into the framework of the language existing at the time, with alterations generally limited to new uses for old words' or the coining of new words. The English language since Shakespeare has undergone no alteration comparable to the alteration in the cultural environment; if it had, Shakespeare would no longer be accessible to us. Under such evolutionary conditions' it would seem unlikely that the language we now use provides the best possible service to our minds in pursuing comprehension and solving problems. It seems very likely that a more useful language form can be devised.

The Whorfian hypothesis states that 'the world view of a culture is limited by the structure of the language which that culture uses. But there seems to be another factor to consider in the evolution of language and human reasoning ability. We offer the following hypothesis, which is related to the Whorfian hypothesis: Both the language used by a culture, and the capability for effective intellectual activity' are directly affected during their evolution by the means by which individuals control the external manipulation of symbols. (For identification, we will refer to this as the Neo-Whorfian hypothesis.)

If the Neo-Whorfian hypothesis could be proved readily, and if we could see how our means of externally manipulating symbols influence both our language and our way of thinking, then we would have a valuable instrument for studying human-augmentation possibilities. For the sake of discussion, let us assume the Neo-Whorfian hypothesis to be true' and see what relevant deductions can be made.

24

predict the bar graph' the process of long division,

or a card file system).

These hypotheses imply great richness in the new evolutionary spaces opened by progressing from Stage 3 to Stage 4. We would like to study the hypotheses further' examining their possible manifestations in our experience' ways of demonstrating their validity' and possible deductions relative to going to Stage 4.

In search of some simple ways to determine what the NeoWhorfian hypothesis might imply' we could imagine some relatively straightforward means of increasing our external symbol-manipulation capability and try to picture the consequent changes that could evolve in our language and methods of thinking. Actually' it turned out to be simpler to invert the problem and consider a change that would reduce our capability for external symbol manipulation. This allowed an empirical approach which proved both simple and effective. We thus performed the following experiment.

Brains of power equal to ours could have evolved in an environment where the combination of artifact materials and muscle strengths were so scaled that the neatest scribing tool (equivalent to a pencil' possible had a shape and mass as manageable as a brick would be to us-assuming that our muscles were not specially conditioned to deal with it. We fastened a pencil to a brick and experimented. Figure 2 shows the results' compared with typewriting and ordinary pencil writing. With the brick pencil, we are slower and less precise. If we want to hurry the writing' we have to make it larger. Also' writing the passage twice with the brick-pencil tires the untrained hand and arm.

How would our civilization have matured if this had been the only manual means for us to use in graphical manipulation of symbols? For one thing' the record keeping that enables the organization of commerce and government would probably have taken a form so different from what we know that our social structure would undoubtedly have evolved differently. Also' the effort in doing calculations and writing down extensive and carefully reasoned argument would dampen individual

26

FIGURE 2 Experimental Results of Tying a Brick to a Pencil

27 for their external symbol manipulation. It seems reasonable to consider the development of automated external symbol manipulation means as a next stage in the evolution of our intellectual power.

5\. Capability Repertoire Hierarchy

The concept of our H-LAM/T system possessing a repertoire of capabilities that is structured in the form of a hierarchy is most useful in our study. We shall use it in the following to tie together a number of considerations and concepts.

There are two points of focus in considering the design of new repertoire hierarchies: the materials with which we have to work' and the principles by which new capability is constructed from these basic materials.

a. Basic Capabilities

"Materials" in this context are those capabilities in the human and in the artifact domains from which all other capabilities in the repertoire hierarchy must be constructed. Each such basic capability represents a type of functional component with which the system can be built, and a thorough job of redesigning the system calls for making an inventory of the basic capabilities available. Because we are exploring for perspective, and not yet recommending research activities' we are free to discuss and define in more detail what we mean by "basic capability' without regard to the amount of research involved in making an actual inventory.

The two domains' human and artifact' can be explored separately for their basic capabilities, In each we can isolate two classes of basic capability; these classes are distinguished according to whether or not the capability has been put to use within out augmentation means. The first class (those in use) can be found in a methodical manner by analyzing present capability hierarchies. For example' select a given capability, at any level in the hierarchy, and ask yourself if it can be usefully changed by any means that can be given consideration in the augmentation research contemplated, If it can' then it is not basic but it

29

can be decomposed into an eventual set of basic capabilities. As you proceed down through the hierarchy, you will begin to encounter capabilities that cannot be usefully changed, and these will make up your inventory of basic capabilities. Ultimately, every such recursive decomposition of a given capability in the hierarchy will find every one of its branching paths terminated by basic capabilities. Beginning such decomposition search with different capabilities in the hierarchy will eventually uncover all of those basic capabilities used within that hierarchy or augmentation system. Many of the branching paths in the decomposition of a given higher-order capability will terminate in the same basic capability, since a given basic capability will often be used within many different higher-order capabilities.

Determining the class of basic capabilities not already utilized within existing augmentation systems requires a different exploration method. Examples of this method occur in technological research, where analytically oriented researchers search for new understandings of phenomena that can add to the research engineer's list of things to be used in the synthesis of better artifacts.

Before this inventorying task can be pursued in any specific instance, some criteria must be established as to what possible changes within the H-LAM/T system can be given serious consideration. For instance, some research situations might have to disallow changes which require extensive retraining, or which require undignified behavior by the human. Other situations might admit changes requiring years of special training, very expensive equipment, or the use of special drugs.

The capability for performing a certain finger action, for example, may not be basic in our sense of the word. Being able to extend the finger a certain distance would be basic' but the strength and speed of a particular finger motion and its coordination with higher actions generally are usefully changeable and therefore do not represent basic capabilities. What would be basic in this case would perhaps be the processes whereby strength could be increased and coordinated movement patterns learned, as well as the basic movement range established by the

30

mechanical-limit loci of the muscle-tendon-bone system. Similar capability breakdowns will occur for sensory and cognitive capabilities.

b Structure Types

1) General

The fundamental principle used in building sophisticated capabilities from the basic capabilities is structuring-- the special type of structuring (which we have termed synergetic) in which the organization of a group of elements produces an effect greater than the mere addition of their individual effects. Perhaps "purposeful" structuring (or organization) would serve us as well, but since we aren't sure yet how the structuring concept must mature for our needs, we shall tentatively stick with the special modifier, "synergetic.' We are developing a growing awareness of the significant and pervasive nature of such structure within every physical and conceptual thing we inspect' where the hierarchical form seems almogt universally present as stemming from successive levels of such organization.

The fundamental entities that are being structured in each and every case seems to be what we could call processes' where the most basic of physical processes (involving fields, charges, and momenta associated with the dynamics of fundamental particles) appear to be the hierarchical base. There are dynamic electro-optical-mechanlcal processes associated with the function of our artifacts' as well as metabolic, sensory' motor) and cognitive processes of the human, which we find to be relatively fundamental components within the structure of our H-LAM/T system--and each of these seems truly to be ultimately based (to our degree of understanding) upon the above mentioned basic physical processes. The elements that are organized to give fixed structural form to our physical objects--e."., the "element" of tensile strength of a material-are also derived from what we could call synergetic structuring of the most basic physical processes.

But at the level of the capability hierarchy where we wish to work' it seems useful to us to distinguish several different types of structuring--even though each type is fundamentally a structuring of

31

the basic physical processes. Tentatively we have isolated five such types--although we are not sure how many we shall ultimately want to use in considering the problem of augmenting the human intellect, nor how we might divide and subdivide these different manifestations of physical-process structuring.

We use the terms "mental structuring", "concept structuring", "symbol structuring", "process structuring," and "physical structuring."

2)

Mental Structuring

Mental structuring is what we call the internal organization of conscious and unconscious mental images, associations' or concepts (or whatever it is that is organized within the human mind) thst somehow manages to provide the human with understanding and the basis for such as judgment, intuition' inference' and meaningful action with respect to his environment. There is a term used in psychology, cognitive structure'' which so far seems to represent just what we want for our concept of mental structure, but we will not adopt it until we become more sure of what the accepted psychological meaning is and of what we want for our conceptual framework.

For our present purpose' it is irrelevant to worry over what the fundamental mental "things' being structured are, or what mechanisms are accomplishing the structuring or making use of what has been structured. We feel reasonably safe in assuming that learning involves some kind of meaningful organization within the brain, and that whatever is so organized or structured represents the operating model of the individual's universe to the mental mechanisms that derive his behavior. And further' our assumption is that when the human in our H/LAM system makes the key decision or action that leads to the solution of a complex problem' it will stem from the state of his mental structure at that time. In this view then' the basic purpose of the system's activity on that problem up to that point has been to develop his mental structure to the state from which the mental mechanisms could derive the key action

Our school systems attest that there are specific experiences that can be given to a human that will result in development

32

of his mental structure to the point where the behavior derived therefrom by his mental mechanisms shows us that he has gained new comprehension-in other words, we can do a certain amount from outside the human toward developing his mental structure. Independent students and researchers also attest that internally directed behavior on the part of an individual can directly aid his structure-building process.

We don't know whether a mental structure is developed in a manner analogous to (a) development of a garden' where one provides a good environment, plants the seeds, keeps competing weeds and injurious pests out, but otherwise has to let natural processes take their course, or to (b) development of a basketball team, where much exercise of skills, patterns, and strategies must be provided so that natural processes can slowly knit together an integration, or to (c) development of a machine, where carefully formed elements are assembled in a precise, planned manner so that natural phenomena can immediately yield planned function. We don't know the processes, but we can and have developed empirical relationships between the experiences given a human and the associated manifestations of developing comprehension and capability, and we see the near-future course of the research toward augmenting the human's intellect as depending entirely upon empirical findings (past and future) for the development of better means to serve the development and use of mental structuring in the human.

We don't mean to imply by this that we renounce theories of mental processes. What we mean to emphasize is that pursuit of our objective need not wait upon the understanding of the mental processes that accomplish (what we call) mental structuring and that derive behavior therefrom. It would be to ignore the emphases of our own conceptual framework not to make fullest use of any theory that provided a working explanation for a group of empirical data. What's more, our entire conceptual framework represents the first pass at a "theoretical model with which to organize our thinking and action.

33

3) Concept Structuring

Within our framework we have developed the working assumption that the manner in which we seem to be able to provide experiences that favor the development of our mental structures is based upon concepts as a medium of exchange." We view a concept as a tool that can be grasped and used by the mental mechanisms, that can be composed' interpreted, and used by the natural mental substances and processes. The grasping and handling done by these mechanisms can often be facilitated if the concept is given an explicit 'handle" in the form of a representative symbol. Somehow the mental mechanisms can learn to manipulate images (or something) of symbols in a meaningful way and remain calmly confident that the associated conceptual manipulations are within call.

Concepts seem to be structurable, in that a new concept can be composed of an organization of established concepts. For present purposes, we can view a concept structure as something which we might try to develop on paper for ourselves or work with by conscious thought processes' or as something which we try to communicate to one another in serious discussion. We assume that, for a given unit of comprehension to be imparted' there is a concept structure (which can be consciously developed and displayed) that can be presented to an individual in such a way that it is mapped into a corresponding mental structure which provides the basis for that individual's "comprehending behavior. Our working assumption also considers that some concept structures would be better for this purpose than others, in that they would be more easily mapped by the individual into workable mental structures, or in that the resulting mental structures enable a higher degree of comprehension and better solutions to problems, or both.

A concept structure often grows as part of a cultural evolution--either on a large scale within a large segment of society, or on a small scale within the activity domain of an individual. But it is also something that can be directly designed or modified' and a basic hypothesis of our study is that better concept structures can be developed.

34

structures that when mapped into a human's mental structure will significantly improve his capability to comprehend and to find solutions within his complex-problem situations.

A natural language provides its user with a readymade structure of concepts that: establishes a basic mental structure, and that allows relatively flexible, general-purpose concept structuring. Our concept of 'language as one of the basic means for augmenting the human intellect embraces all of the concept structuring which the human may make use of.

4) Symbol Structuring

The other important part of our "la.nguage is the way in which concept_ are represented--the symbols and symbol structures. Words structured into phrases, sentences, paragraphs, monographs--charts, lists, diagrams, tables, etc. A given structure of concepts can be represented by any of an infinite number of different symbol structures, some of which would be much better than others for enabling the human perceptual and cognitive apparatus t.o search out a.nd comprehend the conceptual matter of significance and/or interest to the human. For instance, a concept structure invol.ving many numerical data would genera.lly be much better represented with Arabic ra.ther than Roman numerals and quite likely a graphic structure would be better than a tabular structure.

But it is not only the form of a symbol structure that is important. A problem solver is involved in a stream of conceptual activity whose course serves his mental needs of the moment. The sequence and nature of these needs are quite variable, and yet for each need he may benefit significantly from a form of .symbol structuring that is uniquely effi.cient for that need'

Therefore, besides the forms of symbol structures that can be constructed and portrayed, we are very much concerned with the speed and flexibility with which one form can be transfcrmed into another, and with which new material can be located and portrayed.

35

We are generally used to thinking of our symbol structures as a pattern of marks on a sheet of paper. When we want a different symbol-structure view, we think of shifting our point of attention on the sheet, or moving a new sheet into position. But another kind of view might be obtained by extracting and ordering all statements in the local text that bear upon Consideration A of the argument--or by replacing all occurrences of specified esoteric words by one's own definitions. This sort of 'view generation" becomes quite feasible with a computer-controlled display system, and represents a very significant capability to build upon.

With a computer manipulating our symbols and generating their portrayals to us on a display, we no longer need think of our looking at the symbol structure which is stored--as we think of looking at the symbol structures stored in notebooks, memos, and books. What the computer actually stores need be none of our concern, assuming that it can portray symbol structures to us that are consistent with the form in which we think our information is structured.

A given concept structure can be represented with a symbol structure that is completely compatible with the computer's internal way of handling symbols, with all sorts of characteristics and relationships given explicit identifications that the user may never directly see. In fact, this structuring has immensely greater potential for accurately mapping a complex concept structure than does a structure an individual would find it practical to construct or use on paper.

The computer can transform back and forth between the two-dimensional portrayal on the screen, of some limited view of the total structure, and the aspect of the e-dimensional internal image that represents this view. If the human adds to or modifies such a "view'" the computer integrates the change into the internal-image symbol structure (in terms of the computer's favored symbols and structuring) and thereby automatically detects a certain proportion of his possible conceptual inconsistencies.

36

Thus, inside this instrument (the computer) there is an internal-image, computer-symbol structure whose convolutions and multi-dimensionality we can learn to shape to represent to hitherto unattainable accuracy the concept structure we might be building or working with. This interna1 structure may have a form that is nearly incomprehensible to the direct inspection of a human (except in minute chunks).

But let the human specify to the instrument his particular conceptual need of the moment, relative to this internal image. Without disrupting its own internal reference structure in the slightest, the computer will effectively stretch, bend, fold, extract, and cut as it may need in order to assemble an internal substructure that is its respons,' structured in its own internal way. With the set of standard translation rules appropriate to the situation, it portrays to the human via its display a symbol structure designed for his quick and accurate perception and comprehension of the conceptual matter pertinent to this internally composed substructure.

No longer does the human work on stiff and limited symbol structures, where much of the conceptual content can only be implicitly designated in an indirect and distributed fashion. These new ways of working are basically available with today's technology--we have but to free ourselves from some of our limiting views and begin experimenting with compatible sets of structure forms and processes for human concepts, human symbols, and machine symbols.

5) Process Structuring

Essentially everything that goes on within the H-LAM/T system and that is of direct interest here involves the manipulation of concept and symbol structures in service to the mental structure. Therefore, the processes within the H-LAM/T system that we are most interested in developing are those that provide for the manipulation of all three types of structure. This brings us to the fourth category of structuring, process structuring.

37

As we are currently using it, the term process structuring includes the organization, study, modification, and execution of processes and process structures. Whereas concept structuring and symbol structuring together represent the language component of our augmentation means, process structuring represents the methodology component (plus a little more, actually). There has been enough previous discussion of process structures that we need not describe the notion here, beyond perhaps an example or two. The individual processes (or actions) of my hands and fingers have to be cooperatively organized if the typewriter is to do my bidding. My successive actions throughout my working day are meant to cooperate toward a certain over-all professional goal.

Many of the process structures are applied to the task of organizing, executing, supervising, and evaluating other process structures. Many of them are applied to the formation and manipulation of symbol structures (the purpose of which will often be to support the conceptual labor involved in process structuring).

6) Physical Structuring

Physical structuring, the last of the five types which we currently use in our conceptual framework, is nearly self-explanatory. It pretty well represents the artifact component of our augmentation means, insofar as their actual physical construction is concerned.

7) Interdependence and Regeneration

A very important feature to be noted from the discussion in this section bears upon the interdependence among the various types of structuring which are involved in the H-LAM/T system, where the capability for doing each type of structuring is dependent upon the capability for doing one or more of the other types of structuring. (Assuming that the physical structuring of the system remains basically unchanged during the system's operation, we exclude its dependence upon other factors in this discussion.)

This interdependence actually has a cyclic, regenerative nature to it which is very significant to us. We have seen how the

38

capability for mental structuring is finally dependent, down the chain, upon the process structuring (human, artifact, composite) that enables symbol-structure manipulation. But it also is evident that the process

structuring is dependent not only upon basic human and artifact process capabilities, but upon the ability of the human to learn how to execute processes--and no less important, upon the ability of the human to select, organize, and modify processes from his repertoire to structure a higher-order process that he can execute. Thus, a capability for structuring and executing processes is partially dependent upon the human's mental

structuring, which in turn is partially dependent upon his process structuring (through concept and symbol structuring), which is partially dependent upon his mental structuring, etc.

All of this means that a significant improvement in symbol-structure manipulation through better process structuring (initially perhaps through much better artifacts) should enable us to develop improvements in concept and mental-structure manipulations that can in turn enable us to organize and execute symbol-manipulation processes of increased power. To most people who initially consider the possibilities for computer-like devices augmenting the human intellect, it is only the one-pass improvement that comes to mind, which presents a picture that is relatively barren compared to that which emerges when one considers this regenerative interaction.

We can confidently expect the development of much more powerful concepts pertaining to the manner in which symbol structures can be manipulated and portrayed, and correspondingly more complex manipulation processes that in the first pass would have been beyond the human's power to organize and execute without the better symbol, concept, and mental structuring which his augmented system provided him. These new concepts and processes, beyond our present capabilities to use and thus never developed, will provide a tremendous increased-capability payoff in the future development of our augmentation means.

39

c. Roles and Levels

In the repertoire hierarchy of capabilities possessed by the H-LAM/T system, the human contributes many types of capability that represent a wide variety of roles. At one time or another he will be the policy maker, the goal setter, the performance supervisor, the work scheduler, the professional specialist, the clerk, the janitor, the entrepreneur, and the proprietor (or at least a major stockholder) of the system. In the midst of some complex process, in fact, he may well be playing several roles concurrently--or at least have the responsibility of the roles. For instance, usually he must be aware of his progress toward a goal (supervisor), he must be alert to the possibilities for changing the goal (policy maker, planner), and he must keep records for these and other roles (clerk).

Consider a given capability (Capability 1) at some level in the repertoire hierarchy. There seems to be a sort of standard grouping of lower-order capabilities from which this is composed, and these exist in two classes--what we might call the executive class and what we might call the direct-contributive class. In the executive class of capabilities we find those used for comprehending, planning, and executing the process represented by Capability 1. In the direct-contributive class we find the capabilities organized by the executive class toward the direct realization of Capability 1. For example, when my telephone rings, I execute the direct-contributive processes of picking up the receiver and saying hello. It was the executive processes that comprehended the situation, directed a lower-order executive-process that the receiver be picked up and, when the receiver was in place (first process accomplished), directed the next process, the saying hello. That represents the composition of my capability for answering the phone.

For a low-level capability, such as that of writing a word with a pencil, both the executive and the direct-contributive subprocesses during actual execution would be automatic. This type of automatic capability need only be summoned by a higher executive process in order for trained automatic responses to execute it.

40

At a little higher level of capability, more of the conscious conceptual and executive capabilities become involved. To call someone on the telephone, I must consciously comprehend the need for this process and how I can execute it, I must consciously pick up the directory and search for the name and telephone number, and I must consciously direct the dialing of the number.

At a still higher level of capability, the executive capabilities must have a degree of power that unaided mental capabilities cannot provide. In such a case, one might make a list of steps and check each item off as it is executed. For an even more complex process, comprehending the particular situation in which it is to be executed, even before beginning to plan the execution, may take months of labor and a very complex organization of the system's capabilities.

Imagining a process as complex as the last example brings us to the realization that at any particular moment the H-LAM/T system may be in the middle of executing a great number of processes. Assume that the human is in the middle of the process of making a telephone call. That telephone call is a subprocess in the middle of the process of calling a committee meeting. But calling a committee meeting is a subprocess in the middle of the process of determining a budgetary policy, which is in turn but a subprocess in the middle of the process of estimating manpower needs, and so on.

Not only does the human need to play various roles (sometimes concurrently) in the execution of any given process, but he is playing these roles for the many concurrent processes that are being executed at different levels. This situation is typical for any of us engaged in reasonably demanding types of professional pursuits, and yet we have never received explicit training in optimum ways of carrying out any but a very few of the roles at a very few of the levels. A well- designed H-LAM/T system would provide explicit and effective concepts, terms, equipment, and methods for all these roles, and for their dynamic coordination.

41

d. Model of Executive Superstructure

It is the repertoire hierarchy of process capabilities upon which the ultimate capability of the H-LAM/T system rests. This repertoire hierarchy is rather like a mountain of white-collar talent that sits atop and controls the talents of the workers. We can illustrate this executive superstructure by considering it as though it were a network of contractors and subcontractors in which each capability in the repertoire hierarchy is represented by an independent contractor whose mode of operation is to do the planning, make up specifications, subcontract the actual work, and supervise the performance of his subcontractors. This means that each subcontractor does the same thing in his turn. At the bottom of this hierarchy are those independent contractors who do actual "production work."

If by some magical process the production workers could still know just what to do and when to do it even though the superstructure of contractors was removed from above them, no one would know the difference. The executive superstructure is necessary because humans do not operate by magic, but even a necessary superstructure is a burden. We can readily recognize that there are many ways to organize and manage such a superstructure, resulting in vastly different degrees of efficiency in the application of the workers' talents.

Suppose that the activity of the production workers was of the same nature as the activity of the different contractors, and that this activity consisted of gaining comprehension and solving problems. And suppose that there was only so much applicable talent available to the total system. The question now becomes how to distribute that talent between superstructure and workers to get the most total production. The efficiency of organization within the superstructure is now doubly important so that a minimum of talent in the superstructure produces a maximum of organizational efficiency in directing the productivity of the remaining talent.

In the situation where talent is limited, we find a close parallel to our H-LAM/T system in its pursuit of comprehension and problem

42

solutions. We obtain an even closer parallel if we say that the thinking, planning, supervising, record keeping, etc., for each contractor is actually done by a single individual for the whole superstructure, time- sharing his attention and talents over these many tasks. Today this individual cannot be depended upon to have any special training for many of these roles; he is likely to have learned them by cut and try and by indirect imitation.

A complex process is often executed by the H-LAM/T system in a multi-pass fashion (i.e., cut and try). In really complex situations, comprehension and problem solutions do not stand waiting at the end of a straightforward path; instead, possibilities open up and plans shift as comprehension grows. In the model using a network of contractors, this type of procedure would entail a great deal of extra work within the superstructure--each contractor involved in the process would have the specifications upon which he bid continually changed, and would continually have to respond to the changes by restudying the situation, changing his plans, changing the specifications to his subcontractors, and changing his records. This is a terrific additional burden, but it allows a freedom of action that has tremendous importance to the effectiveness the system exhibits to the outside world.

We could expect significant gains from automating the H- LAM/T system if a computer could do nothing more than increase the effectiveness of the executive processes. More human time, energy, and productive thought could be allocated to direct-contributive processes, which would be coordinated in a more sophisticated, flexible and efficient manner. But there is every reason to believe that the possibilities for much-improved symbol and process structuring that would stem from this automation will directly provide improvements in both the executive and direct-contributive processes in the system.

e. Flexibility in the Executive Role

The executive superstructure is a necessary component in the H-LAM/T system, and there is finite human capability which must be divided between executive and direct-contributive activities. An important

43

aspect of the multi-role activity of the human in the system is the development and manipulation of the symbol structures associated with both his direct-contributive roles and his executive roles.

When the system encounters a complex situation in which comprehension and problem solutions are being pursued, the direct- contributive roles require the development of symbol structures that portray the concepts involved within the situation. But executive roles in a complex problem situation also require conceptual activity--e.g., comprehension, selection, supervision--that can benefit from well- designed symbol structures and fast, flexible means for manipulating and displaying them. For complex processes, the executive problem posed to the human (of gaining the necessary comprehension and making a good plan) may be tougher than the problem he faced in the role of direct- contributive worker. If the flexibility desired for the process hierarchies (to make room for human cut-and-try methods) is not to be degraded or abandoned, the executive activity will have to be provided with fast and flexible symbol-structuring techniques.

The means available to humans today for developing and manipulating these symbol structures are both laborious and inflexible. It is hard enough to develop an initial structure of diagrams and text, but the amount of effort required to make changes is often prohibitively great; one settles for inflexibility. Also, the kind of generous flexibility that would be truly helpful calls for added symbol structuring just to keep track of the trials, branches, and reasoning thereto that are involved in the development of the subject structure; our present symbol-manipulation means would very soon bog down completely among the complexities that are involved in being more than just a little bit flexible.

We find that the humans in our H-LAM/T systems are essential working continuously within a symbol structure of some sort, shifting their attention from one structure to another as they guide and execute the processes that ultimately provide them with the comprehension and the problem solutions that they seek. This view increases our respect

44

for the essential importance of the basic capability of composing and modifying efficient symbol structures. Such a capability depends heavily upon the particular concepts that are isolated and manipulated as entities, upon the symbology used to represent them, upon the artifacts that help to manipulate and display the symbols, and upon the methodology for developing and using symbol structures. In other words, this capability depends heavily upon proper language, artifacts, and methodology, our basic augmentation means.

When the course of action must respond to new comprehension, new insights and new intuitive flashes of possible explanations or solutions, it will not be an orderly process. Existing means of composing and working with symbol structures penalize disorderly processes very heavily, and it is part of the real promise in the automated H-LAM/T systems of tomorrow that the human can have the freedom and power of disorderly processes.

f. Compound Effects

Since many processes in many levels of the hierarchy are involved in the execution of a single higher-level process of the system, any factor that influences process execution in general will have a highly compounded total effect upon the system's performance. There are several such factors which merit special attention.

Basic human cognitive powers, such as memory intelligence, or pattern perception can have such a compounded effect. The augmentation means employed today have generally evolved among large statistical populations, and no attempt has been made tc fit them to individual needs and abilities. Each individual tends to evolve his own variations, but there is not enough mutation and selection activity, ncr enough selection feedback, to permit very significant changes. A good, automated H-LAM/T system should provide the opportunity for a significant adaptation of the augmentation means to individual characteristics. The compounding effect of fundamental human cognitive powers suggests further that systems designed for maximum effectiveness would require that these powers be developed as fully as possible--by training, special mental tricks, improved language, new methodology.

45

In the automated system that we contemplate, the human should be able to draw on explicit-artifact process capability at many levels in the repertoire hierarchy; today, artifacts are involved explicitly in only the lower-order capabilities. In the future systems, for instance, it should be possible to have computer processes provide direct and sig nificant help in his processes at many levels. We thus expect the effect of the computer in the system to be very much compounded. A great deal of richness in the future possibilities for automated H-LAM/T systems is implied here--considerably more than many people realize who would picture the computer as just helping them do the things they do now. This type of compounding is related to the reverberating waves of change discussed in Section II-A.

Another factor can exert this type of compound effect upon over-all system performance: the human's unconscious processes. Clinical psychology seems to provide clear evidence that a large proportion of a human's everyday activity is significantly mediated or basically prompted by unconscious mental processes that, although "natura" in a functional sense, are not rational. The observable mechanisms of these processes (observable by another, trained person) includes masking of the irrational) of the human's actions which are so affected, so that few of us will admit that our actions might be irrational, and most of us can construct satis fying rationales for any action that may be challenged. Anything that might have so general an effect upon our mental actions as is implied here, is certainly a candidate for ultimate consideration in the continuing development of our intellectual effectiveness. It may be that the first stages of research on augmenting the human intellect will have to proceed without being able to do anything about this problem except accommodate to it as well as possible. This may be one of the very significant problems whose solution awaits our development of increased intellectual effectiveness. 

[1]: http://web.stanford.edu/Engelbart.jpeg

