---
created_at: '2017-03-27T10:07:03.000Z'
title: Why Land on the Moon? (1963)
url: https://www.theatlantic.com/past/docs/issues/63aug/jastrow.htm?single_page=true
author: ForHackernews
points: 67
story_text: 
comment_text: 
num_comments: 56
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1490609223
_tags:
- story
- author_ForHackernews
- story_13966366
objectID: '13966366'

---
[Source](https://www.theatlantic.com/past/docs/issues/63aug/jastrow.htm?single_page=true "Permalink to Why Land on the Moon? by Robert Jastrow and Homer E. Newell")

# Why Land on the Moon? by Robert Jastrow and Homer E. Newell

![m_topn picture][1]  

| ----- |
|  ![Atlantic Monthly Sidebar][2]  
![][3]  
 | 

A U G U S T   1 9 6 3

![Why Land on the Moon?][4]  
  
**_DR. ROBERT JASTROW is a theoretical physicist who joined the National Aeronautics and Space Administration in 1958 as chief of the Theoretical Division of the Goddard Space Flight Center. He is now the director of the Goddard Institute for Space Studies in New York, and adjunct professor of geophysics at Columbia University. DR. HOMER E. NEWELL joined NASA at the time of its formation in 1958 and is director of its Office of Space Sciences in Washington. Previously he taught mathematics at the University of Maryland and served as chief of the Division of Astronomy and Atmospheric Physics at the Naval Research Laboratory._**  
  
**by Robert Jastrow and Homer E. Newell**  
Congress has been asked to provide $5.7 billion for the programs of the National Aeronautics and Space Administration during the current fiscal year, roughly 6 cents of every federal tax dollar. This level of expenditure has produced demands for a re-evaluation of the space program. Critics ask whether the exploration of the solar system is a valid enterprise for the United States to undertake at this time; or, granting the ultimate importance of the step, whether it must be carried out at the present pace.  
  
The focal point of the criticism is the Apollo project for manned lunar landing, which absorbs $3.7 billion out of the $5.7 billion in the projected NASA budget. The Apollo budget which has produced the current outcry stems from a decision made in 1961. At that time the man-in-space program was expanded beyond the limited Mercury effort to a full-scale attack on the problems of manned flight to the moon and planets. The impetus for the decision came from a series of Soviet achievements in February and March of 1961, when the U.S.S.R. launched in rapid succession four spacecraft, each weighing 10,000 pounds or more. These were followed on April 12, 1961, by the successful orbiting of Major Gagarin in a 14,000-pound spacecraft and his safe recovery after a circuit of the earth in one hour and forty-seven minutes. Thus, the world saw the Soviet Union achieve man's first flight in space.  |  
|  **Discuss this article in the [ **Science & Technology**][5] forum of [**Post & Riposte.**][6]**  
  
**Return to [Flashback: Our Place in Space][7]**  
  
 |  On May 26, 1961, President Kennedy laid the Soviet challenge before the American people. He urged the nation to commit itself to the goal of landing a man on the moon and returning him safely to earth before the decade was out. The President's message suggested the reasons underlying this recommendation: we faced the gloomy prospect of standing second to the U.S.S.R. in manned flight for years to come; the manned lunar landing would be the first major space achievement in which the U.S. effort could reach its full strength; a vigorous effort could achieve a manned lunar landing by the end of this decade; and if the United States set 1970 as its target date for the lunar landing, it would have a good chance to reach this goal before the U.S.S.R.  
  
President Kennedy asked for a careful examination of the proposed commitment: "I think every citizen of this country as well as the Members of Congress should consider the matter carefully in making their judgment ... there is no sense in agreeing, or desiring that the United States take an affirmative position in outer space unless we are prepared to do the work and bear the burdens."  
  
In July, 1961, the Congress voted overwhelmingly for the funds requested to move the space program into high gear. In 1962 Congress reaffirmed its support by doubling the budget of the previous year. Now, in 1963, we see the substantial fruits of our increased labors in space. The manned-flight program is rapidly advancing through its intermediate objectives toward the milestone of the lunar landing. The space-flight program as a whole has produced a great volume of scientific research, as well as economically important applications to weather forecasting and communications.  
  
At the same time, the Russians continue to show great vigor in their man-in-space program. The single-orbit flight of Gagarin was followed rapidly by Titov's seventeen-orbit mission, by other multi-orbit flights, and by the formidable accomplishment of a near rendezvous between pairs of cosmonauts. The Soviet science program in space has also been stepped up to a high level after a lull of some years, with eighteen Kosmos scientific satellites, a lunar probe, and a Mars probe launched during the last year. There appears to be no letup in the Soviet space challenge to the United States.  
  
What, then, is the basis for the questioning of the commitment to the expanded U.S. space program?  
  
THOUGHTFUL critics, concerned over the allocation of limited national resources, ask whether this is a good way in which to spend funds that might otherwise be used for the betterment of man's lot on the surface of the earth. Could some of the money going into space research be diverted into other programs of public interest \-- medical research, education, housing, technical aid to emerging nations \-- a variety of projects contributing to the welfare of our society?  
  
This question implies that public funds are transferable. However, the reduction of support for one national program does not carry a guarantee of increased support for other projects. President Kennedy remarked recently, "Some people say we should take the money we are putting into space and put it into housing or education ... My judgment is that what would happen would be that they would cut the space program and you would not get additional funds for education."  
  
But if space money cannot readily be rerouted into other channels, that negative consideration in itself is not a reason for these large expenditures. What are the positive values which we derive from this investment?  
  
The nation can expect the following consequences of the space program: the fruits of research into fundamental problems of science; economic benefits from the application of satellites to communications and weather forecasting; long-range technological benefits accruing to industry; a general stimulus to science and to science education; and, most important, the security which comes from U.S. leadership in space.  
  
Scientific administrators ask, granted these benefits, can we afford the cost of the space program in technical manpower? Their concern is heightened by the fact that federal activities in defense, space, and atomic energy together consume nearly half of the science and engineering talent available in the United States. But is the space agency the major consumer of trained manpower within this federal complex of technical agencies? In actuality, NASA will be using 6 percent of the national manpower pool in science and engineering through its contracts with private industry, plus an additional one percent in government laboratories. If the space program has substantial value, this is not an overwhelming drain.  
  
But scientists who see the benefits of space exploration are opposed to the timetable of the man-in-space program, and particularly the schedule set for landing men on the moon. They suggest that the objectives of space research can be realized by robot instruments, with the manned-flight program carried out at a slower pace.  
  
This question requires a further exploration of the motives underlying the United States space effort. Is it primarily a scientific program? Or is it motivated by a broader concern with national interests and national goals? Looking back to the overwhelming support given the new space program by the Congress in 1961, it seems clear that this support was not tendered for purely scientific reasons, but came from a deep-seated conviction that the expanded program will make an important contribution to our future welfare and security. We believe that this is the reason why the people have supported the enlarged space program and the Congress has voted for it. That brings us to the point on which we take serious issue with some of our scientific colleagues, who complain, "The scientific exploration of the moon has been accorded a secondary priority in the lunar program." This remark is based on the premise that science should have top priority in the space program. However, while science plays an important role in lunar exploration, it was never intended to be the primary objective of that project. The impetus of the lunar program is derived from its place in the long-range U.S. program for exploration of the solar system. The heart of that program is man in space, the extension of man's control over his physical environment. The science and technology of space flight are ancillary developments which support the main thrust of manned exploration, while at the same time they bring valuable returns to our economy and our culture. The science which we do in space provides the equivalent of the gold and spices recovered from earlier voyages of exploration. It is the return to the taxpayer for his investment in his nation's future. But the driving force of the program is not in scientific research alone, valuable though that may be in the long run. Thus, the pace of the program must be set not by the measured patterns of scientific research, but by the urgencies of the response to the national challenge.  
  
IN these remarks we express our views as citizens confident in the destiny of this nation. Now, as scientists, we wish to turn to the scientific objectives of the lunar program. What are the important questions which may be illuminated by lunar exploration? One of the classical problems of science concerns the origin of the solar system \-- how we came to be here in the physical sense. It is a question which has occupied the mind of man for centuries, and a matter ot the deepest scientific interest and philosophical importance. It is also an inquiry to which the space program can make a unique contribution, for, surprisingly, the exploration of the moon has a direct bearing on this basic problem.  
  
In order to understand the relevance of lunar exploration, we must back off to supply the general context of the new ideas on the way in which a star, such as our sun, is formed, and how the planets may have been formed around it. The story will carry us through ten billion years of stellar history.  
  
According to the current picture in astrophysics, a star is born when some chance fluctuation in density draws together the particles of gas and dust which make up interstellar matter; the gravitational attractions among the particles then act to draw them still closer together, building a very strong condensation at the center, with very high temperatures and pressures. When the temperature reaches about ten million degrees, the situation is ripe for the ignition of a thermonuclear reaction, in which the hydrogen nuclei combine or fuse to form helium nuclei, releasing at the same time enormous amounts of energy. This release of energy prevents the star from collapsing further under the force of gravity. But eventually the hydrogen fuel is used up, and the star again contracts until a temperature of 100 million degrees is reached. At this point, the helium nuclei fuse to form the single heavier nucleus of carbon. From carbon, oxygen is formed, and then still other elements.  
  
In this way, successively heavier elements are built up from the original hydrogen. The whole table of elements is developed step by step in this cooking process within the center of the star \-- a synthesis of all the elements of the universe out of the basic building block of hydrogen. We have duplicated this process for brief moments in the explosion of the hydrogen bomb, but we have not yet succeeded in producing it under controlled conditions.  
  
Toward the end of the life of the star all available fuel has been consumed, and no further energy release can occur to support it against the massive pressure of the overlying layers. A collapse results, followed by an explosion and destruction of the star. The exploding star is called a supernova.  
  
In a supernova explosion, most of the matter of the star, including the elements that were synthesized in it during its lifetime, is sprayed out into space. These elements join with the hydrogen of interstellar space to form an enriched mixture including the carbon, oxygen, iron, and other elements that were manufactured previously. The enriched mixture may then be drawn together in the body of another star later in the history of the galaxy.  
  
Presumably our sun was formed in such a process. The planets are believed to have been formed as minor nuclei of condensation in the cloud of gas and dust around the primitive sun. If our own planet earth was formed in this way, then everything in the earth, including the constituents of our bodies, was once manufactured within other stars, dispersed to space, and condensed again to dust and solid matter.  
  
We believe that all this happened 4.5 billion years ago, but we do not know precisely how it happened, or exactly what the tangled complex of events was which surrounded the genesis of the sun and the planets. The problem is a fascinating one and has been the object of much scientific effort during recent years.  
  
IN the study of this question the exploration of the moon plays a very special role because it is a body whose surface has preserved the record of its history for an exceptionally long time. On the earth the atmosphere and the oceans wear away surface features in 10 to 50 million years. Mountain-building activity turns over large areas of the surface in about the same time. There is little left on the surface of the earth of features that existed several hundred million or a billion years ago, and the same is probably true of Mars and Venus, whose properties resemble those of the earth. But on the moon there are no oceans and atmosphere to destroy the surface, and there is little if any of the mountain-building which rapidly changes the face of the earth.  
  
For these reasons the moon has retained a record which probably goes back billions of years to the infancy of the solar system. The moon is the Rosetta stone of the solar system, and to the student of the origin of the earth and planets, this lifeless body is even more important than Mars and Venus.  
  
The internal structure of the moon can also provide clues to the origin of the solar system, quite apart from the study of its surface features. One of the two principal theories for the formation of the planets, which is still generally popular, holds that they were created during a near collision between our sun and another star, in which the gravitational forces between these two massive bodies tore out huge streams of flaming gas. As the second star receded, the masses of gas which happened to be near the sun were captured by it into orbits in which they eventually cooled and solidified to form the planets.  
  
If such a collision was the way in which the solar system was formed, the moon and the planets must have been very hot at an earlier stage in their histories. In that case, the heavy elements in their interiors would melt and run to the center to form a dense core. Iron is the most abundant of the heavy elements, and all planetary bodies would therefore have iron cores, according to this theory.  
  
The other leading theory holds that the planets were formed out of condensations of gas and dust around the primitive sun. We know that stars themselves are probably formed in this way, by the condensation of interstellar gas and dust.  
  
If the moon and planets were indeed condensed out of cold gas and dust, the iron in their interiors would not necessarily melt and flow to the center. Planets as large as the earth might be expected to melt completely, as a result of the heating due to decay of radioactive elements in the interior, and thus to develop iron cores in any case. But the moon is smaller, and if it was formed cold, enough heat could be lost from the lunar surface to prevent subsequent melting. As a result, the moon would not form an iron core but would retain a structure in which bits of iron were distributed through the main body of rock, like raisins in a fruitcake.  
  
So, during the lunar exploration program we will study this and other questions related to the internal structure of the moon, by landing on its surface instruments of the kind used to study the interior of the earth. These will include a seismometer for the study of the internal structure directly, and radioactivity detectors, which have an indirect bearing on the problem by indicating the amount of heat released within the moon by decay of radioactive uranium and other elements. This radioactive heat supplements the heat of the moon at its formation and must be known before the early history can be deduced from the internal structure. The radioactivity detector and seismometer are included among the experiments being developed for the Surveyor spacecraft, an unmanned craft scheduled for landing on the moon in the 1964-1965 period. Through this variety of experiments on the moon, first using unmanned instruments and later with trained human observers, we expect to deduce information bearing on the origin of planetary bodies.  
  
The answers to these questions are interesting not only to people trained in the problems of science. They also have great philosophical and general importance, because they relate to the origin of life and the probability of other living organisms in the universe.  
  
For, if the moon and planets were formed in the near collision of two stars, then life must be very unusual, and possibly unique, because space is nearly empty and collisions between stars are extremely rare. The following analogy demonstrates the void of space: if the sun is the size of an orange, in New York, then the next nearest star is another orange 3000 miles away in Los Angeles. This is the emptiness of space \-- a distribution of oranges 3000 miles apart. Under these circumstances we can estimate that only ten stellar collisions such as would have produced planets can have occurred during the 15-billion-year lifetime of the galaxy.  
  
On the other hand, if the planets were formed as a natural accompaniment to the condensation processes in which our sun was born, the creation of planets must have accompanied the formation of nearly every star in the universe. Since most of these stars are expected to have planets around them, there must be many cases in which the size of one of the planets and its distance from the star are suitable for the development of life in a form somewhat as we know it.  
  
THESE are the fundamental questions involving the physical origin of our solar system and its living organisms, on which a powerful attack can now be made with the aid of lunar and planetary exploration. They provide the scientific motivation for both the unmanned and the manned projects in the lunar program. But some scientists feel that most facts of scientific interest about the moon and planets can be learned by remote-control instruments alone, at less cost than manned operations. An editorial in _Science_, the journal of the American Association for the Advancement of Science, estimates that robot instrument landings on the moon will see us through all the important phases of the lunar exploration program at one percent of the cost of the man-in-space budget. Actually, an inspection of the NASA budget indicates that the Surveyor project for unmanned lunar landings is more nearly 10 percent of the cost of the Apollo project, including the development costs in each program. On a per-flight basis in the long-range continuing programs, the cost ratio is 16 percent. When allowance is made for the increased chance of success in the mission which results from plugging man into the control systems, the comparison of costs is still more favorable to manned operations.  
  
But a comparison of costs is not the only issue. The question is, will a robot instrument do everything that man can do?  
  
The answer is that in early stages the simplest observations can be made by remote control. In later stages, when more difficult experiments are attempted for answers to the important questions, the trained human observer brings to the supervision of these experiments the ability to deal with unforeseen difficulties and to respond to unanticipated opportunities. The automatic instrument in this advanced stage of the program must be designed with great complexity, at a heavy price in reliability and cost of development, to achieve even a crude imitation of human sophistication and flexibility. The balance of cost and reliability then tips in favor of the human participant, expensive though it is to bring him to the scene.  
  
APART from these specific investigations, space exploration also has a general consequence for the physical sciences as a whole, and for science education. Scientists working on problems related to the exploration of space often refer to their field as space science. What is this new field? Is it physics or astronomy or geology? The answer is that it is the collection of all the problems of the physical sciences to which space-flight experiments can make a unique contribution not obtainable on the ground. Those are questions which encompass large segments of physics, astronomy, and the earth sciences. These fields, which together constitute what was once known as natural philosophy, split apart several hundred years ago in the flowering of the scientific revolution. Now, for the first time in centuries, we feel again a unity in our efforts as we draw together people of widely different backgrounds, all united by a general interest in the external physical world, in natural events on a large scale and their causes. Out of this interest and activity a separate discipline is forming with a distinct character and integrity. We call it space science, and that name will probably persist. But the development also represents a renaissance of the older tradition of natural philosophy, as well as a move away from the specialization that has characterized science in these past years toward a broader spirit of inquiry into the physical surroundings of man. This revival of the spirit of catholicity in science is an important accompaniment to space research.  
  
Even more valuable for the future welfare of the nation, the space program has a pronounced effect on young people. It appeals to the imagination of the student and provides him with an additional stimulus to remain in school, to discipline his energies to the attainment of constructive ends, and to acquire the training necessary for advanced scientific and technical work. This can be one of the greatest contributions of space research \-- that through its general interest it may assist in the transformation of values which is so badly needed for the realization of the full potential of talent and energy in the United States.  
  
These are the specific values of space exploration: the benefits of basic research, economically valuable applications of satellites, contributions to industrial technology, a general stimulus to education and to the younger generation, and the strengthening of our international position by our acceptance of leadership in a historic human enterprise. The current discussion of these values of the space program has served the United States well in directing its attention to questions of national purpose. But, however we may try to break the program down into its elements and to attempt a detailed balancing of debits and credits, the fact remains that the space effort is greater than the sum of its parts. It is a great adventure and a great enterprise, not only for the United States but for all humanity. We have the power and resources to play a leading role in this effort, and it is inconceivable that we should stand aside.  
  

* * *

_ Copyright © 1963 by Robert Jastrow and Homer E. Newell. All rights reserved.   
_The Atlantic Monthly;_ August, 1963; Why Land on the Moon; Volume 211, No. 2; pages 41-45_   

 |  
| 

|   |  
|  ![m_nv_cv picture][8] |  ![m_nv_un picture][9] |  ![m_nv_am picture][10] |  ![m_nv_pr picture][11] |  ![m_nv_as picture][12] |  ![m_nv_se picture][13] | 

  
 | 

[1]: https://www.theatlantic.com/images/m_topn.gif
[2]: https://www.theatlantic.com/images/m_siden.gif
[3]: https://www.theatlantic.com/space.gif
[4]: https://www.theatlantic.com/images/moonhd.gif
[5]: http://www.theatlantic.com/podium/Science.html
[6]: http://www.theatlantic.com/pr/
[7]: https://www.theatlantic.com/unbound/flashbks/mars/mars.htm
[8]: https://www.theatlantic.com/images/m_nv_cv.gif
[9]: https://www.theatlantic.com/images/m_nv_un.gif
[10]: https://www.theatlantic.com/images/m_nv_am.gif
[11]: https://www.theatlantic.com/images/m_nv_pr.gif
[12]: https://www.theatlantic.com/images/m_nv_as.gif
[13]: https://www.theatlantic.com/images/m_nv_se.gif

