---
created_at: '2014-09-26T07:57:33.000Z'
title: The Days They Changed the Gauge (1966)
url: http://southern.railfan.net/ties/1966/66-8/gauge.html
author: rtpg
points: 58
story_text: ''
comment_text: 
num_comments: 15
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1411718253
_tags:
- story
- author_rtpg
- story_8371773
objectID: '8371773'

---
[Source](http://southern.railfan.net/ties/1966/66-8/gauge.html "Permalink to  The Days They Changed the Gauge")

#  The Days They Changed the Gauge

#  The Days They Changed the Gauge 

  
![][1]

### 

May, 1886. President Grover Cleveland was making final preparations for his wedding. Jefferson Davis, in a rare public appearance, was drawing large and enthusiastic crowds of admirers. Throughout the nation, final preparations were being made for the celebration of Memorial Day. 

And in the South, plans were nearing completion for one of the most complex and dramatic two-day periods in railroading history-changing the gauge of an estimated 11,500 miles of track. 

It was a little over a half-century since the South Carolina Canal and Rail Road Company had inaugurated steam-powered freight and passenger travel on a regularly-scheduled basis. Horatio Allen, the railroad's chief engineer, had departed from the 4-foot 81/2-inch gauge used in England by prescribing a 5-foot gauge and in the years that followed, most of the South's railroads copied his example. 

But in the North, the British example was dominant. It made little difference in the years preceding the War Between the States, since the two regions exchanged few goods requiring rail transportation. But as the South began its recovery from the war, it became readily apparent that complete economic reconstruction would require easy commerce with the rest of the nation-an impossibility so long as differences in gauge existed. 

At first, the problem of interchange had been temporarily relieved by laboriously loading freight from one car to another at interchange points between railroads of different gauges. But the growing trade between the South and the rest of the nation soon required faster and less costly methods. A crude form of containerization was devised, with freight remaining in the same car throughout the journey-with the wheel trucks being changed at interchange points as necessary. Soon, as a contemporary writer pointed out, "not a prominent point could be found on the border without its 'hoist' and acres of extra trucks." 

Variety in gauge size wasn't uniquely a difference, between North and South. In 1871 no less than 23 different gauges existed in the United States, ranging in width from three to six feet. Within the South, the state of North Carolina prescribed by law a gauge of 4 feet 8 1/2 inches to encourage a traffic flow to its own ports, rather than those in Virginia or South Carolina (each of which were primarily served by rails spaced five feet apart). Goods going between Virginia and South Carolina had to go through at least two interchanges on the way. 

It was clearly a condition that could not continue. In 1884 the Illinois Central-which operated in both regions-found it necessary to begin changing the gauge of its lines in the South to conform with the northern width. The need to compete soon forced the Mobile and Ohio to change-putting direct pressure upon the Louisville and Nashville and the Cincinnati Southern to match the improved service of their competitors. 

In effect, the pressures of free competition had provided a catalyst, and the stage was set for changing the gauge of practically every road in the South-a change that, ultimately, would be accomplished in less than 36 hours. 

February 2-3, 1886, marked the first step. As agreed the previous October at a meeting of the Southern Time Convention, operating officers of the South's railroads met at the Kimball House in Atlanta in a "Convention ...called for the purpose of fixing date and arranging details for change of gauge." 

| ----- |
| 

####  Made at the Chattanooga shops of the Alabama Great Southern Railway, a predecessor of Southern, the level board (top) and track gauge pictured here were used by Superintendent Dan McLarn to standardize all level boards and track gauges used during and after the AGS' changing of the gauge on May 30, 1886. 

[ ![][2]][3]  
 | 

E. B. Thomas, general manager of Southern's predecessor, the Richmond & Danville, served as chairman of the committee charged with determining the date of the gauge change. On the Convention's first day he reported: "That Monday, May 31st, and Tuesday, June Ist be designated as the days for general change of gauge. ...Lateral lines may change exterior or subsequent to the dates named by arrangement with connections." . 

On the members of three Convention committees Transportation, Roadway and Machinery-fell the burden of planning for the tremendous task just four months away. All motive power and rolling stock would have to be removed from the affected tracks, wheel spacing would have to be adjusted to fit the new gauge, and logistics for feeding and equipping a virtual army of workers would have to be carried out with military precision. 

But the most important decision of all involved the exact width of the new gauge. Although the nation largely had adopted the 4-foot 8 1/2-inch width, the Pennsylvania Railroad-with which many of the South's roads required an interchange-used a 4-foot 9-inch gauge. For this reason, and owing to minor engineering difficulties encountered by the 4-foot 8 1/2 -inch width, the Convention had voted to adopt the Pennsylvania gauge as its standard. 

One farsighted man rose on the Convention's second day to ask that the gauge-size decision be reconsidered. He was John C. Gault, general manager of the Cincinnati, New Orleans & Texas Pacific, and he made some persuasive arguments: , . 

"I deem it of greatest consequence that the standard gauge of the country could be adopted by the Southern Roads. ...This is the first opportunity that the Southern roads have had to correct the unfortunate mistake made when the five foot gauge was adopted, and in correcting it we should take such action as will result in solving the question for all time. I insist upon saying "to this Convention that the adoption of a 4 ft. 9 in. gauge is only a partial correction of the mistake. ..." Nonetheless, the Convention chose to go ahead with a standard gauge of 4 feet 9 inches. 

With the Convention's end, four months of intense activity began. Differing in some specifics between the various roads, plans were worked out in minute detail for reducing the width between rails, and between the wheels, by 3 inches. 

Only one rail would be moved in on the day of the change, so inside spikes were hammered into place at the new gauge width well in advance of the change, leaving only the need for a few blows of the sledgehammer once the rail was placed. As May 31 drew near, some spikes were pulled from the rail that was to be moved in order to reduce as much as possible the time required to release the rail from its old position. 

Rolling stock, too, was being prepared for rapid conversion. Contemporary accounts indicate that dish shaped wheels were provided on new locomotives so that on the day of the change, reversing the position of the wheel on the axle would make the locomotive conform to the new gauge. On some equipment, axles were machined to the new gauge and a special ring positioned inside the wheel to hold it to the 5-foot width until the day of the gauge change. Then the wheel was pulled, the ring removed, and the wheel replaced. 

To shorten the axles of rolling stock and motive power that could not be prepared in advance, lathes and crews were stationed at various points throughout the South to accomplish the work concurrently with the change in track gauge. 

A few days before May 31, all roads began clearing cars from their lines and reducing the gauge of all areas of track that could be freed of cars and engines. 

Finally, in the early morning hours of May 31, the concentrated work began. Men worked in crews of various sizes charged with various goats-some given specific mileages to cover, others under instructions to begin at a specified point and work in a specified direction until they met another crew working toward them. 

Along thousands of miles of track-approximately half of which was operated by predecessors of today's Southern Railway System-spikes were pulled, rails moved in to the new gauge, and more spikes hammered into place. At shops and rendezvous points throughout the South, motive power and rolling stock were being altered to fit the new gauge. Wheels of cars were moved in, steam engine brakes and tires were altered-and the screeching of axles being narrowed on lathes joined the ringing of heavy hammers. 

In less than three days, standard-gauge trains were serving the South. "The work was done economically ," an article in the Journal of the Association of Engineering Societies pointed out, "and so quietly that the public hardly realized it was in progress. To the casual observer it was an every-day transaction. It was, however, a work of great magnitude, requiring much thought and mechanical ability. That it was ably handled is evidenced by the uniform success attained, the prompt changing at the agreed time, and the trifling inconvenience to the public." 

And the Richmond & Danville told its Annual Report readers: "By agreement and prearranged concert between the Southern Roads operating the 5 feet gauge of tracks, about June 1 st last the gauge of all the 5-feet tracks of this Company's lines was changed to the standard adopted of 4 feet 9 in. This important work was effected under the direction of the General Manager with great promptness and entire exemption from accident or damage, and with hardly a perceivable interruption in the regular movement of traffic throughout the entire connection of this Company's Roads." 

Horatio Allen had written in 1884 that his use of the 5-foot gauge for "the South Carolina Railroad determined the gauges of the Southern road, which continues of that gauge to this time; but it is to be anticipated that the commercial advantages of uniformity of gauge will eventually narrow the gauge down to the coal mine gauge of four feet eight and a half inches." 

The final half-inch reduction, though, had to wait for the formation of the Southern Railway Company. Then, because of the closeness of the South's 4-foot 9-inch gauge to the standard gauge, it was accomplished in the normal course of track maintenance and repair. It completed the job begun many years earlier. 

But the real drama lasted only two days-two days in which the fields and villages of the South echoed the clanging of countless hammers driving thousands of spikes-the days they changed the gauge. 

[1]: http://southern.railfan.net/gauge.jpg
[2]: http://southern.railfan.net/tn_gauge2_jpg.jpg
[3]: http://southern.railfan.net/gauge2.jpg

