---
created_at: '2017-09-30T09:27:23.000Z'
title: HAKMEM (1972)
url: http://www.inwap.com/pdp10/hbaker/hakmem/hakmem.html
author: Cieplak
points: 132
story_text: 
comment_text: 
num_comments: 28
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1506763643
_tags:
- story
- author_Cieplak
- story_15372009
objectID: '15372009'

---
[Source](http://www.inwap.com/pdp10/hbaker/hakmem/hakmem.html "Permalink to HAKMEM -- CONTENTS -- DRAFT, NOT YET PROOFED")

# HAKMEM -- CONTENTS -- DRAFT, NOT YET PROOFED

[Massachusetts Institute of Technology][1]  
[A. I. Laboratory][2]  
Artificial Intelligence Memo No. 239  
February 29, 1972

# HAKMEM

[contents][3] [index][4]

M. Beeler [beeler@bbn.com]  
R. W. Gosper [rwg@newton.macsyma.com]  
[R. Schroeppel][5] [rcs@cs.arizona.edu]

[Retyped and formatted in ['html'][6] ('Web browser format) by [Henry Baker,][7] April, 1995. The goal of this 'html' document is to make HAKMEM available to the widest possible audience -- including those without bitmapped graphics browsers. Therefore, equations have been formatted to be readable even on ASCII browsers such as ['lynx'][8]. Click [here][9] to get original AI Memo 239 in 400 dots/inch, 1 bit/pixel, Group 4 facsimile [TIFF][10] format (a single 5 megabyte [gzip][11] compressed tar file, AIM-239.tiff.tar.gz).]

Work reported herein was conducted at the Artificial Intelligence Laboratory, a Massachusetts Institute of Technology research program supported in part by the [Advanced Research Projects Agency][12] of the Department of Defense and monitored by the Office of Naval Research under Contract Number N00014-70-A-0362-0002.

Reproduction of this document, in whole or in part, is permitted for any purpose of the United States Government.

Compiled with the hope that a record of the random things people do around here can save some duplication of effort -- except for fun.

Here is some little known data which may be of interest to computer hackers. The items and examples are so sketchy that to decipher them may require more sincerity and curiosity than a non-hacker can muster. Doubtless, little of this is new, but nowadays it's hard to tell. So we must be content to give you an insight, or save you some cycles, and to welcome further contributions of items, new or used.

The classification of items into sections is even more illogical than necessary. This is because later elaborations tend to shift perspective on many items, and this elaboration will (hopefully) continue after publication, since this text is retained in "machinable" form. We forgive in advance anyone deterred by this wretched typography.

People referred to are from the A. I. Lab: `
    
    
    Marvin Minsky        [minsky@ai.mit.edu]
    Bill Gosper          [rwg@newton.macsyma.com]
    Michael Beeler       [beeler@bbn.com]
    Joe Cohen
    Jerry Freiberg
    John Roe
    Rich Schroeppel      [rcs@cs.arizona.edu]
    David Silver
    Michael Speciner
    Richard Stallman     [rms@ai.mit.edu]
    [Gerald Sussman][13]       [gjs@ai.mit.edu]
    David Waltz
    

` Once at the A. I. Lab but now elsewhere: `
    
    
    Jan Kok                  William Henneman
    Rici Liknaitzky          George Mitchell
    Peter Samson             Stuart Nelson
    Roger Banks              Rollo Silver
    [Mike Paterson][14]            [Mike.Paterson@dcs.warwick.ac.uk]
    

` at [Digital Equipment Corporation:][15] `
    
    
    Jud Lenard               Dave Plumer
    Ben Gurley (deceased)    Steve Root
    

` elsewhere at M.I.T.: `
    
    
    Gene Salamin             PDP-1 hackers
    Eric Jensen              Frances Yao
    Edward Fredkin
    

` once at M.I.T., but now elsewhere: `
    
    
    Jackson Wright           Steve Brown
    Malcolm Rayfield
    

` in France: `
    
    
    Marco Schutzenberger     Henry Cohen
    

` at Computer Corporation of America: `
    
    
    Bill Mann
    

` at [BBN:][16] `
    
    
    Robert Clements
    

` CAVEATS:

Some of this material is very inside -- many readers will have to excuse cryptic references.

The label "PROBLEM" does not always mean exercise; if no solution is given, it means we couldn't solve it. If you solve a problem in here, let us know.

Unless otherwise stated, all computer programs are in [PDP-6/10][17] assembly language. 

## CONTENTS, HAKMEM 140

* [Geometry, Algebra, Calculus][18]
    * [Item 1][19] Fractional factorials
    * [Item 2][20] N-gon diagonals
    * [Item 3][21] Convergence of Newton's square roots
    * [Item 4][22] Quartic discriminant
    * [Item 5][23] General discriminant
    * [Item 6][24] Symmetric functions
    * [Item 7][25] Symmetric functions
    * [Item 8][26] Cubic solution
    * [Item 9][27] Quartic solution
    * [Item 10][28] Trigonometric cubic solution
    * [Item 11][29] Conformal mappings of N-space
* [Recurrence Relations][30]
    * [Item 12][31] Fast Fibonacci Transform
    * [Item 13][32] Linear Recurrence Relations
    * [Item 14][33] Rapid Recurrences
    * [Item 15][34] Chebychev polynomials
    * [Item 16][35] Tangents and arctangents
* [Boolean Algebra][36]
    * [Item 17][37] Minimize AND's
    * [Item 18][38] Count monotonic Boolean functions
    * [Item 19][39] 2-NOT's
    * [Item 20][40] Venn Diagrams
    * [Item 21][41] Cover character raster
    * [Item 22][42] Binary masks
    * [Item 23][43] Plus and XOR
    * [Item 24][44] Venn Diagrams
* [Random Numbers][45]
    * [Item 25][46] Random number generators
    * [Item 26][47] Gaussian distribution
    * [Item 27][48] Random unit vectors in N-space
* [Number Theory, Primes, Probability][49]
    * [Item 28][50] Mersenne 125 is composite
    * [Item 29][51] Probability of largest prime factor
    * [Item 30][52] Twin Primes
    * [Item 31][53] A Ramanujan problem
    * [Item 32][54] Distribution of fractions
    * [Item 33][55] Russian doll primes
    * [Item 34][56] Factorial and integer square root
    * [Item 35][57] Arithmetic progressions
    * [Item 36][58] Squares with no zero digits
    * [Item 37][59] Numbers with each digit
    * [Item 38][60] Forward differences
    * [Item 39][61] Sequences of digits
    * [Item 40][62] Variance of a sum
    * [Item 41][63] Number of primes less than 2^18
    * [Item 42][64] Probability of PingPong winner
    * [Item 43][65] Multinomial coefficients
    * [Item 44][66] Recurrences for multinomial coefficients
    * [Item 45][67] Locus of steps
    * [Item 46][68] Distribution of bridge hands
    * [Item 47][69] Fibonacci series mod P
    * [Item 48][70] Visibility on 2D lattice
    * [Item 49][71] Magic hexagon
    * [Item 50][72] No magic cubes of order 4
    * [Item 51][73] No magic tesseract of order 5
    * [Item 52][74] Relatively prime probability
    * [Item 53][75] Lack of common divisors
    * [Item 54][76] Probability of even denominators
    * [Item 55][77] Gaussian integers
    * [Item 56][78] "Length" of a number
    * [Item 57][79] Zero digits in powers of two
    * [Item 58][80] Sum of cubes
    * [Item 59][81] Interesting square
    * [Item 60][82] Perfect numbers
    * [Item 61][83] Amicable pairs
    * [Item 62][84] Amicable pairs
    * [Item 63][85] Joys of 239
* [Automata Theory][86]
    * [Item 64][87] 2-counter machines
    * [Item 65][88] Complexity of pi(X)
    * [Item 66][89] Space-filling curves
* [Games][90]
    * [Item 67][91] "Poker coins"
    * [Item 68][92] _Blackout_
    * [Item 69][93] _Dots_
    * [Item 70][94] Chess problem
    * [Item 71][95] _Instant Insanity_
    * [Item 72][96] _Window-dice_
    * [Item 73][97] _Sim_
    * [Item 74][98] _Tactix_
    * [Item 75][99] _Peg solitaire_
    * [Item 76][100] _Hi-Q_
* [Proposed Computer Programs][101]
    * [Problem 77][102] Counting polyominos
    * [Problem 78][103] Solve _minichess_
    * [Problem 79][104] Solve the _tiger puzzle_
    * [Problem 80][105] Find smallest _squared square_
    * [Problem 81][106] Counting _magic squares_
    * [Problem 82][107] Counting semigroups
    * [Problem 83][108] Counting inscribed circles
    * [Problem 84][109] Solve pentominos
    * [Problem 85][110] Geometric dissections
    * [Problem 86][111] Domino coverings
    * [Problem 87][112] Analyze _giveaway chess_
    * [Problem 88][113] Analyze _escalation chess_
    * [Problem 89][114] Analyze "4 pawns"
    * [Problem 90][115] Solve Scarne's game _Teeko_
    * [Problem 91][116] Solve "five-in-a-row"
    * [Problem 92][117] Solve 4x4x4 _Tic-Tac-Toe_
    * [Problem 93][118] Solve _checkers_
    * [Problem 94][119] Solve _Hex_
    * [Problem 95][120] Solve _chess_
    * [Problem 96][121] Solve _Go_
* [Continued Fractions][122]
    * [Item 97][123] Sqrt(2), Sqrt(3)
    * [Item 98][124] Minimum of factorial function
    * [Item 99][125] Partial quotients in arithmetic progression
    * [Item 100][126] Product
    * [Item 101A][127] Continued fraction representation
    * [Item 101B][128] Continued fraction arithmetic
    * [Item 101C][129] Rationals in intervals
* [Group Theory][130]
    * [Item 102][131] Group-like definitions
    * [Item 103][132] Hamiltonian paths
    * [Item 104][133] Permuting bits on PDP-6/10
* [Set Theory][134]
    * [Item 105][134] Closure and complement
* [Quaternions][135]
    * [Item 107][136] Quaternions
* [Polyominos, etc.][137]
    * [Item 108][138] Counting polyominos
    * [Item 109][139] Tessellating the plane
    * [Item 110][140] Covering rectangles
    * [Item 111][141] Domino covering
    * [Item 112][142] Polyiamonds
* [Topology][143]
    * [Item 113][144]
    * [Item 114][145]
    * [Item 115][146]
* [Series][147]
    * [Item 116][148]
    * [Item 117][149] Gamma
    * [Item 118][150] N^N
    * [Item 119][151] Pi series
    * [Item 120][152] Accelerating series
    * [Item 121][153] Bernoulli polynomials
    * [Item 122][154] Parity number
    * [Item 123][155] Fourier clocks
    * [Item 124][156]
    * [Item 125][157] Radius of convergence
* [Flows and Iterated Functions][158]
    * [Item 126][159] Flow for Newton's square root
    * [Item 127][160] Polynomial functions which commute
    * [Item 128][161] Binary/negative binary radix flow
    * [Item 129][162] Flow power series
    * [Item 130][163] Flow power series
    * [Item 131][164] Arithmetic geometric mean
    * [Item 132][165] Loop detector
    * [Item 133][166] 3 N + 1 problem
    * [Item 134][167] Numbers to English words flow
    * [Item 135][168] The "C" Curve
* [Pi][169]
    * [Item 136][170] Gaussian integers
    * [Item 137][171] Arctangent formulas for pi
    * [Item 138][172] Arctangent formulas for pi
    * [Item 139][173] Ramanujan formulas for pi
    * [Item 140][174] Continued fraction for pi
    * [Item 141][175] Pi digits
    * [Item 142][176] Pi from fast trig functions
    * [Item 143][177] AGM for elliptic integrals, log, and pi
    * [Item 144][178] AGM for pi
* [Programming Hacks][179]
    * [Item 145][180] Display/sound
    * [Item 146][181] Munching squares
    * [Item 147][182] Munching squares
    * [Item 148][183] Munching squares
    * [Item 149][184] Circle algorithm
    * [Item 150][185] Circle algorithm
    * [Item 151][186] Circle algorithm
    * [Item 152][187] Circle algorithm
    * [Item 153][188] 3D solids on 2D display
    * [Item 154][189] Twos-complement arithmetic
    * [Item 155][190] Subtract right from left
    * [Item 156][191] Make AOBJN pointer
    * [Item 157][192] Make AOBJN pointer
    * [Item 158][193] Recursive SIN/COS
    * [Item 159][194] Recursive SIN/COS
    * [Item 160][195] Log base 2
    * [Item 161][196] Swap two locations
    * [Item 162][197] Swap two bits
    * [Item 163][198] Exchange two Lisp variables
    * [Item 164][199] Max of byte pointers
    * [Item 165][200] Byte pointers
    * [Item 166][201] Rotate 3 accumulators
    * [Item 167][202] Parity, count, reverse bits
    * [Item 168][203] PDP-1 sounds
    * [Item 169][204] Count ones
    * [Item 170][205] Decimal print routines
    * [Item 171][206] Division by zero
    * [Item 172][207] Two word Lisp CONS
    * [Item 173][208] Fix float
    * [Item 174][209] Fix point of float function
    * [Item 175][210] Next higher
* [Programming Algorithms, Heuristics][211]
    * [Item 176][212] BANANA Phenomenon
    * [Item 177][213] Drawing Curves Incrementally
    * [Item 178][214] Evaluating Functions
    * [Item 179][215] Searching Character Strings
    * [Item 180][216] Finding Corners in Images
* [Hardware][217]
    * [Item 181][218] Floating Point
    * [Item 182][219] Voltage regulators
    * [Item 183][220] Current mirrors
    * [Item 184][221] One-shot
    * [Item 185][222] Oscillators
    * [Item 186][223] FM Radio Link
    * [Item 187][224] Phone Line XMTR, RCVR
    * [Item 188][225] DC Motor Velocity Servo
    * [Item 189][226] Optical Coupler
    * [Item 190][227] Photocathode Current Oscillator
    * [Item 191][228] Deflection Amplifier

### Figures

* [1a][229], [1b][230] Binary integers radix _i_-1, _i_+1.
* [2][231] Radix _i_-1 fraction parts (Knuth).
* [3a][232], [3b][233] Squared square, rectangle.
* [4][234] Square, hexagon dissection.
* [5][235] Hexiamond solutions.
* [6a][236], [6b][237] "clock hands" series.
* [7][238] Binary numbers radix -2.
* [8][239] "C" curves.
* [9][240] Incremental curve drawing.

[1]: http://web.mit.edu/
[2]: http://www.ai.mit.edu/
[3]: http://www.inwap.com#contents
[4]: http://www.inwap.com/index.html
[5]: http://www.cs.arizona.edu/xkernel/www/people/rich.html
[6]: http://www.cc.ukans.edu/lynx_help/HTML_quick.html
[7]: ftp://ftp.netcom.com/pub/hb/hbaker/home.html
[8]: http://www.cc.ukans.edu/about_lynx/about_lynx.html
[9]: ftp://publications.ai.mit.edu/ai-publications/0-499/AIM-239.tiff.tar.gz
[10]: ftp://ftp.sgi.com/graphics/tiff/README
[11]: ftp://prep.ai.mit.edu/pub/gnu/README-about-.gz-files
[12]: http://www.arpa.mil/
[13]: http://www.swiss.ai.mit.edu/~gjs/gjs.html
[14]: http://www.dcs.warwick.ac.uk/dcs/people/staff/academic/msp/
[15]: http://www.digital.com/
[16]: http://www.bbn.com/
[17]: http://www.inwap.com/pdp-10/pdp-10.html
[18]: http://www.inwap.com/geometry.html
[19]: http://www.inwap.com/geometry.html#item1
[20]: http://www.inwap.com/geometry.html#item2
[21]: http://www.inwap.com/geometry.html#item3
[22]: http://www.inwap.com/geometry.html#item4
[23]: http://www.inwap.com/geometry.html#item5
[24]: http://www.inwap.com/geometry.html#item6
[25]: http://www.inwap.com/geometry.html#item7
[26]: http://www.inwap.com/geometry.html#item8
[27]: http://www.inwap.com/geometry.html#item9
[28]: http://www.inwap.com/geometry.html#item10
[29]: http://www.inwap.com/geometry.html#item11
[30]: http://www.inwap.com/recurrence.html
[31]: http://www.inwap.com/recurrence.html#item12
[32]: http://www.inwap.com/recurrence.html#item13
[33]: http://www.inwap.com/recurrence.html#item14
[34]: http://www.inwap.com/recurrence.html#item15
[35]: http://www.inwap.com/recurrence.html#item16
[36]: http://www.inwap.com/boolean.html
[37]: http://www.inwap.com/boolean.html#item17
[38]: http://www.inwap.com/boolean.html#item18
[39]: http://www.inwap.com/boolean.html#item19
[40]: http://www.inwap.com/boolean.html#item20
[41]: http://www.inwap.com/boolean.html#item21
[42]: http://www.inwap.com/boolean.html#item22
[43]: http://www.inwap.com/boolean.html#item23
[44]: http://www.inwap.com/boolean.html#item24
[45]: http://www.inwap.com/random.html
[46]: http://www.inwap.com/random.html#item25
[47]: http://www.inwap.com/random.html#item26
[48]: http://www.inwap.com/random.html#item27
[49]: http://www.inwap.com/number.html
[50]: http://www.inwap.com/number.html#item28
[51]: http://www.inwap.com/number.html#item29
[52]: http://www.inwap.com/number.html#item30
[53]: http://www.inwap.com/number.html#item31
[54]: http://www.inwap.com/number.html#item32
[55]: http://www.inwap.com/number.html#item33
[56]: http://www.inwap.com/number.html#item34
[57]: http://www.inwap.com/number.html#item35
[58]: http://www.inwap.com/number.html#item36
[59]: http://www.inwap.com/number.html#item37
[60]: http://www.inwap.com/number.html#item38
[61]: http://www.inwap.com/number.html#item39
[62]: http://www.inwap.com/number.html#item40
[63]: http://www.inwap.com/number.html#item41
[64]: http://www.inwap.com/number.html#item42
[65]: http://www.inwap.com/number.html#item43
[66]: http://www.inwap.com/number.html#item44
[67]: http://www.inwap.com/number.html#item45
[68]: http://www.inwap.com/number.html#item46
[69]: http://www.inwap.com/number.html#item47
[70]: http://www.inwap.com/number.html#item48
[71]: http://www.inwap.com/number.html#item49
[72]: http://www.inwap.com/number.html#item50
[73]: http://www.inwap.com/number.html#item51
[74]: http://www.inwap.com/number.html#item52
[75]: http://www.inwap.com/number.html#item53
[76]: http://www.inwap.com/number.html#item54
[77]: http://www.inwap.com/number.html#item55
[78]: http://www.inwap.com/number.html#item56
[79]: http://www.inwap.com/number.html#item57
[80]: http://www.inwap.com/number.html#item58
[81]: http://www.inwap.com/number.html#item59
[82]: http://www.inwap.com/number.html#item60
[83]: http://www.inwap.com/number.html#item61
[84]: http://www.inwap.com/number.html#item62
[85]: http://www.inwap.com/number.html#item63
[86]: http://www.inwap.com/automata.html
[87]: http://www.inwap.com/automata.html#item64
[88]: http://www.inwap.com/automata.html#item65
[89]: http://www.inwap.com/automata.html#item66
[90]: http://www.inwap.com/games.html
[91]: http://www.inwap.com/games.html#item67
[92]: http://www.inwap.com/games.html#item68
[93]: http://www.inwap.com/games.html#item69
[94]: http://www.inwap.com/games.html#item70
[95]: http://www.inwap.com/games.html#item71
[96]: http://www.inwap.com/games.html#item72
[97]: http://www.inwap.com/games.html#item73
[98]: http://www.inwap.com/games.html#item74
[99]: http://www.inwap.com/games.html#item75
[100]: http://www.inwap.com/games.html#item76
[101]: http://www.inwap.com/proposed.html
[102]: http://www.inwap.com/proposed.html#item77
[103]: http://www.inwap.com/proposed.html#item78
[104]: http://www.inwap.com/proposed.html#item79
[105]: http://www.inwap.com/proposed.html#item80
[106]: http://www.inwap.com/proposed.html#item81
[107]: http://www.inwap.com/proposed.html#item82
[108]: http://www.inwap.com/proposed.html#item83
[109]: http://www.inwap.com/proposed.html#item84
[110]: http://www.inwap.com/proposed.html#item85
[111]: http://www.inwap.com/proposed.html#item86
[112]: http://www.inwap.com/proposed.html#item87
[113]: http://www.inwap.com/proposed.html#item88
[114]: http://www.inwap.com/proposed.html#item89
[115]: http://www.inwap.com/proposed.html#item90
[116]: http://www.inwap.com/proposed.html#item91
[117]: http://www.inwap.com/proposed.html#item92
[118]: http://www.inwap.com/proposed.html#item93
[119]: http://www.inwap.com/proposed.html#item94
[120]: http://www.inwap.com/proposed.html#item95
[121]: http://www.inwap.com/proposed.html#item96
[122]: http://www.inwap.com/cf.html
[123]: http://www.inwap.com/cf.html#item97
[124]: http://www.inwap.com/cf.html#item98
[125]: http://www.inwap.com/cf.html#item99
[126]: http://www.inwap.com/cf.html#item100
[127]: http://www.inwap.com/cf.html#item101a
[128]: http://www.inwap.com/cf.html#item101b
[129]: http://www.inwap.com/cf.html#item101c
[130]: http://www.inwap.com/group.html
[131]: http://www.inwap.com/group.html#item102
[132]: http://www.inwap.com/group.html#item103
[133]: http://www.inwap.com/group.html#item104
[134]: http://www.inwap.com/group.html#item105
[135]: http://www.inwap.com/quaternions.html
[136]: http://www.inwap.com/quaternions.html#item107
[137]: http://www.inwap.com/polyominos.html
[138]: http://www.inwap.com/polyominos.html#item108
[139]: http://www.inwap.com/polyominos.html#item109
[140]: http://www.inwap.com/polyominos.html#item110
[141]: http://www.inwap.com/polyominos.html#item111
[142]: http://www.inwap.com/polyominos.html#item112
[143]: http://www.inwap.com/topology.html
[144]: http://www.inwap.com/topology.html#item113
[145]: http://www.inwap.com/topology.html#item114
[146]: http://www.inwap.com/topology.html#item115
[147]: http://www.inwap.com/series.html
[148]: http://www.inwap.com/series.html#item116
[149]: http://www.inwap.com/series.html#item117
[150]: http://www.inwap.com/series.html#item118
[151]: http://www.inwap.com/series.html#item119
[152]: http://www.inwap.com/series.html#item120
[153]: http://www.inwap.com/series.html#item121
[154]: http://www.inwap.com/series.html#item122
[155]: http://www.inwap.com/series.html#item123
[156]: http://www.inwap.com/series.html#item124
[157]: http://www.inwap.com/series.html#item125
[158]: http://www.inwap.com/flows.html
[159]: http://www.inwap.com/flows.html#item126
[160]: http://www.inwap.com/flows.html#item127
[161]: http://www.inwap.com/flows.html#item128
[162]: http://www.inwap.com/flows.html#item129
[163]: http://www.inwap.com/flows.html#item130
[164]: http://www.inwap.com/flows.html#item131
[165]: http://www.inwap.com/flows.html#item132
[166]: http://www.inwap.com/flows.html#item133
[167]: http://www.inwap.com/flows.html#item134
[168]: http://www.inwap.com/flows.html#item135
[169]: http://www.inwap.com/pi.html
[170]: http://www.inwap.com/pi.html#item136
[171]: http://www.inwap.com/pi.html#item137
[172]: http://www.inwap.com/pi.html#item138
[173]: http://www.inwap.com/pi.html#item139
[174]: http://www.inwap.com/pi.html#item140
[175]: http://www.inwap.com/pi.html#item141
[176]: http://www.inwap.com/pi.html#item142
[177]: http://www.inwap.com/pi.html#item143
[178]: http://www.inwap.com/pi.html#item144
[179]: http://www.inwap.com/hacks.html
[180]: http://www.inwap.com/hacks.html#item145
[181]: http://www.inwap.com/hacks.html#item146
[182]: http://www.inwap.com/hacks.html#item147
[183]: http://www.inwap.com/hacks.html#item148
[184]: http://www.inwap.com/hacks.html#item149
[185]: http://www.inwap.com/hacks.html#item150
[186]: http://www.inwap.com/hacks.html#item151
[187]: http://www.inwap.com/hacks.html#item152
[188]: http://www.inwap.com/hacks.html#item153
[189]: http://www.inwap.com/hacks.html#item154
[190]: http://www.inwap.com/hacks.html#item155
[191]: http://www.inwap.com/hacks.html#item156
[192]: http://www.inwap.com/hacks.html#item157
[193]: http://www.inwap.com/hacks.html#item158
[194]: http://www.inwap.com/hacks.html#item159
[195]: http://www.inwap.com/hacks.html#item160
[196]: http://www.inwap.com/hacks.html#item161
[197]: http://www.inwap.com/hacks.html#item162
[198]: http://www.inwap.com/hacks.html#item163
[199]: http://www.inwap.com/hacks.html#item164
[200]: http://www.inwap.com/hacks.html#item165
[201]: http://www.inwap.com/hacks.html#item166
[202]: http://www.inwap.com/hacks.html#item167
[203]: http://www.inwap.com/hacks.html#item168
[204]: http://www.inwap.com/hacks.html#item169
[205]: http://www.inwap.com/hacks.html#item170
[206]: http://www.inwap.com/hacks.html#item171
[207]: http://www.inwap.com/hacks.html#item172
[208]: http://www.inwap.com/hacks.html#item173
[209]: http://www.inwap.com/hacks.html#item174
[210]: http://www.inwap.com/hacks.html#item175
[211]: http://www.inwap.com/algorithms.html
[212]: http://www.inwap.com/algorithms.html#item176
[213]: http://www.inwap.com/algorithms.html#item177
[214]: http://www.inwap.com/algorithms.html#item178
[215]: http://www.inwap.com/algorithms.html#item179
[216]: http://www.inwap.com/algorithms.html#item180
[217]: http://www.inwap.com/hardware.html
[218]: http://www.inwap.com/hardware.html#item181
[219]: http://www.inwap.com/hardware.html#item182
[220]: http://www.inwap.com/hardware.html#item183
[221]: http://www.inwap.com/hardware.html#item184
[222]: http://www.inwap.com/hardware.html#item185
[223]: http://www.inwap.com/hardware.html#item186
[224]: http://www.inwap.com/hardware.html#item187
[225]: http://www.inwap.com/hardware.html#item188
[226]: http://www.inwap.com/hardware.html#item189
[227]: http://www.inwap.com/hardware.html#item190
[228]: http://www.inwap.com/hardware.html#item191
[229]: http://www.inwap.com/Figure1a.html
[230]: http://www.inwap.com/Figure1b.html
[231]: http://www.inwap.com/Figure2.html
[232]: http://www.inwap.com/Figure3a.html
[233]: http://www.inwap.com/Figure3b.html
[234]: http://www.inwap.com/Figure4.html
[235]: http://www.inwap.com/Figure5.html
[236]: http://www.inwap.com/Figure6a.html
[237]: http://www.inwap.com/Figure6b.html
[238]: http://www.inwap.com/Figure7.html
[239]: http://www.inwap.com/Figure8.html
[240]: http://www.inwap.com/Figure9.html

