---
created_at: '2017-11-07T03:53:44.000Z'
title: Some Rules for Historians (1973)
url: http://www.smithtrust.com/htmlpages/advice.html
author: benbreen
points: 62
story_text: 
comment_text: 
num_comments: 14
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1510026824
_tags:
- story
- author_benbreen
- story_15640975
objectID: '15640975'

---
[Source](http://www.smithtrust.com/htmlpages/advice.html "Permalink to 
			Historian rules
		")

# 
			Historian rules
		

**

# Some Rules for Historians

**

![][1] **1\. If you teach history as well as write it,** be sure you never shortchange your students by shaping your courses to fit with your research interests rather than with their interests. Structure the course so that you have an opportunity to learn from them. No historian ever lived who could not learn something from his students.

**2\. If you write history as well as teach it,** do not become obsessed with the fear of making mistakes. It is important, of course, to be accurate; but to err is human and there are much worse things than errors: dogmatism, inhumanity, superficiality among them. It is the function of the historian to open up new perspectives to his readers and his students; to lead them into the wider realms of history.

**3\. Begin to write early in your researches.** Only by so doing will you know how to shape and direct your researches. My rule of thumb is to do a third of my research before I begin to write, a third while I am writing, and a third when I have finished (to see if there are any loose ends to be tied up). Excessive research is just as bad (and, in some cases, worse) than too little, since too little may be compensated for by imagination and insight while too much usually produces intellectual constipation.

**4\. Take as few notes as possible;** work directly from original sources. One increases the possibility of errors by taking notes; and what is more dangerous by far, one runs the risk of notaphilia--falling in love with one's notes so that they become the icon, the beloved object to be protected and worshipped and increased without end.

**5\. By the same token,** slight secondary works, especially scholarly monographs, and go always to the sources, If you must use secondary works, go to the sources first, otherwise the secondary works will dull your sensitivity to the sources and the sources are what the name implies - the source of everything. The monographs and secondary works, if they are any good have been written out of them. The sources are literally inexhaustible like some endlessly renewed spring: always fresh and ready to reveal new secrets to anyone who approaches them with the proper questions.

**6\. Arrange your writing** to encourage the maximum amount of free-ranging speculation, what might be called - inspiration.

**7\. Never write about anything** that you do not find of consuming interest, ideally, that you have not fallen in love with. It was once thought that objectivity (often interpreted as not caring) was essential to the writing of good history. The reverse is true; in Hegel's words: "Nothing great is accomplished without passion;" or, as Nietzsche put: "One is only creative in the shadow of love and love's illusions." Controlled and disciplined passion is the only proper mode for the historian.

**8\. Once you have fallen in love with your subject** write about it as swiftly as possible. Passion grows cold or turns readily to dogma. There is, generally speaking, nothing more disheartening than an historian who has devoted his whole life to one narrowly conceived subject. 'It is very largely true that the best work - if one takes into account its length and scope has been done in a remarkably short time.

**9\. Do not be overly concerned about organization:** every subject has a length appropriate to it. Your task is to discover that length, much as a tailor's is (or used to be) to cut the cloth to his client's measure.

**10\. Learn all you can from the great historians** lately in disrepute among academic historians, now coming once more into their own. They have not been superseded by modern "scientific" historians. They are full of insights and of wisdom, of literary graces and delights that will prevent their ever becoming obsolete. Depend upon it, we will become obsolete much sooner.

**11\. Never hesitate to venture into new fields,** i.e., fields that you have not been trained in graduate school. To do so is one of the greatest pleasures and refreshments of scholarly life.

**12\. Never be merely expedient or fashionable. **never write anything primarily for money or professional advancement. Writing, like speech, should partake of the sacramental. Or, more simply, life is too damn short.

**13\. There is no credit to be earned by writing books,** historical or otherwise., unless they are good books. Teaching well is every bit as important (more important, certainly, if the scale has to be tipped one way or the other) as writing well. Teaching well is infinitely more important than writing badly.

**14\. Moveable type was invented by Guttenberg**. It it unwise for the most part, or supererogatory to teach anything that can be read by one s students in books. Reading is a much faster and more efficient way of learning than listening. Moreover, books are usually not as boring as lectures otherwise they would not get published. The exception is boring books written by boring lecturers and published because the lecturers are considered distinguished scholars. Still it is better to read a boring book (which may contain, nonetheless, some valuable information) than listen to a boring lecture. One can skip in a book.

**15\. Professional historians often behave** (and teach) as though they thought history was something embalmed in monographs; that it had a tapeworm-like structure made up of successive monographic increments; that it is cumulative, constructed of facts and units of facts (monographs) which in time will add up to TRUTH. The fact is that history, both past and present, is almost frighteningly "open". That is to say, the past exists only in some kind of relationship to the future and, in a real sense, vice versa, i.e., it is only possible to conceive of the future in terms of the past.

**16\. The historians passion for explanation** and for constructing casual sequences in history is a dangerous delusion. It is the product of a world view in which manipulation and control are the dominant values. It obscures the fact that the unexpected is the only certainty in history and thus leaves people unprepared to cope with that same ultimate certainty - the unexpected. The teaching of history must reflect the openness of history. This means a new way of thinking about and teaching history. Indeed, it may mean not teaching history at all - simply studying history. History, while it has been written and read since the ancient Hebrews, has only lately been taught in colleges and universities. Some would argue that its decline as a humane study can be dated from the time when it was organized into part of the academic curriculum.

**17\. The bicentennial of the American Revolution** is a time of testing for historians of American history. It may well be their last chance to re-establish history as an art, both popular and scholarly. If they fail to respond, the notion of American history imposed on the public will be, as it has very largely been in the past, that of self-serving politicians on the one hand and of commercial and financial interests on the other.

**I know twice as many "rules", but these are enough for now.**

**Page Smith**  
**November 29, 1973**

| ----- |
|  ** [HOME][2] **  |  ** [BACK][3] **  |  ** [MAIL][4] **  | 

[1]: http://www.smithtrust.com/pictures/library.GIF
[2]: http://www.smithtrust.com/index.html
[3]: http://www.smithtrust.com/Page.html
[4]: mailto:maskman%40comcast.net

