---
created_at: '2016-06-06T17:45:02.000Z'
title: Applied Mathematical Programming (1977)
url: http://web.mit.edu/15.053/www/
author: luu
points: 142
story_text: 
comment_text: 
num_comments: 27
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1465235102
_tags:
- story
- author_luu
- story_11848663
objectID: '11848663'

---
[Source](http://web.mit.edu/15.053/www/ "Permalink to 15.053")

# 15.053

![][1]

# 15.053 Optimization Methods in Business Analytics

## Instructor: James B. Orlin

* [Home][2]
* [Syllabus][3]
* [Subject Reviews][4]
* [15.053 Project][5]
* [OCW (2015)][6]
* [15-2 Major][7]

This website is for MIT students who want to learn more about 15.053, Optimization Methods in Business Analytics.

[15.053][8] is an introduction to optimization models and methods.

* REST
* Core subject in [15-2 major and minor in business analytics][7]  
* Elective in the minor in [Statistics and Data Science][9]  
* Satisfies optimization requirement in 6-14 major: [Computer Science, Economics and Data Science][10]  

![][11]

James Orlin is the _E. Pennell Brookes (1917) Professor in Management_ and a Professor of Operations Research at the MIT Sloan School of Management.

[Home Page][12]

[Wikipedia Page][13]

## Course content and goals

In 15.053, we present modeling techniques in optimization that are known as linear programming, integer programming, and nonlinear programming. Students can model optimization problems using spreadsheet optimization -- e.g., Excel and Excel Solver ([tutorial][14], [spreadsheet][15]) -- or using an algebraic modeling language ([Julia][16] and [JuMP][17]). We also describe algorithms for optimization problems as well as general purpose heuristics.

The Spring 2018 syllabus of 15.053 is [here][3]. The subject evaluations for 2017 are [here][4]. Selected student comments from 2017 are [here][18].

Our goal in 15.053 is to help students develop an "optimization mindset". We want students to look out at the world and see optimizations problems everywhere, and to recognize when these problems can be modeled, analyzed, and solved.

![][19]

_"I've enjoyed my time at MIT and Sloan tremendously. My favorite business course has been Optimization Methods with Professor Orlin. Together, my friends and I were able to do a project where we used Python code to build a simulation of a Red Sox lineup. Adopting an optimization mindset and seeing how businesses find the most efficient ways to do things made this course one of the most applicable for me._

\- Austin Filiere. MIT '18. Drafted by Chicago Cubs in 2017. (From an article in [Poets and Quants.][20]

## Applications and the course project

Optimization models and methods can be applied to management, engineering, science, and more. Within 15.053, we show how to optimize problems within machine learning and statistics, sports analytics, finance, operations, marketing, as well as other domains.

Students have an opportunity to apply what they learn in 15.053 in their course project. Students often choose projects of importance to MIT or of personal interest to themselves.

Among the [15.053 projects in 2017][21] were:

 

* Optimizing hours for dining facilities
* Optimal radiation therapy
* Optimal allocation of freshman to dorms
* Optimal allocation of gates at Logan airport

## Business Analytics and Operations Research

[INFORMS][22], the professional society for Operations Research and Business Analytics, defines Analytics as "the scientific process of transforming data into insights for making better decisions."

You can learn more about Operations Research and Analytics at the "[Student Union][23]" website sponsored by INFORMS.

[1]: https://ocw.mit.edu/courses/sloan-school-of-management/15-053-optimization-methods-in-management-science-spring-2013/15-053s13.jpg
[2]: http://web.mit.edu/index.html
[3]: http://web.mit.edu/15.053/www/lectures2018.pdf
[4]: http://web.mit.edu/15.053/www/SubjectEvals2017.pdf
[5]: http://web.mit.edu/projects.html
[6]: https://ocw.mit.edu/courses/sloan-school-of-management/15-053-optimization-methods-in-management-science-spring-2013/index.htm
[7]: http://mitsloan.mit.edu/undergrad/15-2-business-analytics/
[8]: http://student.mit.edu/catalog/search.cgi?search=15.053&style=verbatim
[9]: https://stat.mit.edu/academics/minor-in-statistics/
[10]: https://www.eecs.mit.edu/academics-admissions/undergraduate-programs/6-14-computer-science-economics-and-data-science
[11]: http://web.mit.edu/orlin_photo.jpeg
[12]: http://jorlin.scripts.mit.edu
[13]: https://en.wikipedia.org/wiki/James_B._Orlin
[14]: http://web.mit.edu/15.053/www/Excel_Solver.pdf
[15]: http://web.mit.edu/15.053/www/Excel_Solver.xlsx
[16]: https://julialang.org
[17]: https://jump.readthedocs.io/en/latest/
[18]: http://web.mit.edu/15.053/www/reviews.pdf
[19]: https://cubscentral.files.wordpress.com/2017/08/filiere-85-2017-eug.jpg
[20]: https://poetsandquantsforundergrads.com/2017/08/24/story-mit-sloan-chicago-cubs/
[21]: http://web.mit.edu/15.053/www/projects.html
[22]: https://www.informs.org/
[23]: https://www.informs.org/Resource-Center/INFORMS-Student-Union

