---
created_at: '2015-01-17T05:21:26.000Z'
title: The Unreasonable Effectiveness of Mathematics (1980)
url: https://www.dartmouth.edu/~matc/MathDrama/reading/Hamming.html
author: efm
points: 66
story_text: ''
comment_text: 
num_comments: 37
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1421472086
_tags:
- story
- author_efm
- story_8903516
objectID: '8903516'

---
[Source](https://www.dartmouth.edu/~matc/MathDrama/reading/Hamming.html "Permalink to The Unreasonable Effectiveness of Mathematics in the Natural Sciences")

# The Unreasonable Effectiveness of Mathematics in the Natural Sciences

[ ![][1]][2] **Reading Materials**

## The Unreasonable Effectiveness of Mathematics

by R. W. HAMMING 

Reprinted From: The American Mathematical Monthly Volume 87 Number 2 February 1980 

  
  

> Prologue. It is evident from the title that this is a philosophical discussion. I shall not apologize for the philosophy, though I am well aware that most scientists, engineers, and mathematicians have little regard for it; instead, I shall give this short prologue to justify the approach. 

Man, so far as we know, has always wondered about himself, the world around him, and what life is all about. We have many myths from the past that tell how and why God, or the gods, made man and the universe. These I shall call theological explanations. They have one principal characteristic in common-there is little point in asking why things are the way they are, since we are given mainly a description of the creation as the gods chose to do it. 

Philosophy started when man began to wonder about the world outside of this theological framework. An early example is the description by the philosophers that the world is made of earth, fire, water, and air. No doubt they were told at the time that the gods made things that way and to stop worrying about it. 

From these early attempts to explain things slowly came philosophy as well as our present science. Not that science explains "why" things are as they are-gravitation does not explain why things fall-but science gives so many details of "how" that we have the feeling we understand "why." Let us be clear about this point; it is by the sea of interrelated details that science seems to say "why" the universe is as it is. 

Our main tool for carrying out the long chains of tight reasoning required by science is mathematics. Indeed, mathematics might be defined as being the mental tool designed for this purpose. Many people through the ages have asked the question I am effectively asking in the title, "Why is mathematics so unreasonably effective?" In asking this we are merely looking more at the logical side and less at the material side of what the universe is and how it works. 

Mathematicians working in the foundations of mathematics are concerned mainly with the self-consistency and limitations of the system. They seem not to concern themselves with why the world apparently admits of a logical explanation. In a sense I am in the position of the early Greek philosophers who wondered about the material side, and my answers on the logical side are probably not much better than theirs were in their time. But we must begin somewhere and sometime to explain the phenomenon that the world seems to be organized in a logical pattern that parallels much of mathematics, that mathematics is the language of science and engineering. 

Once I had organized the main outline, I had then to consider how best to communicate my ideas and opinions to others. Experience shows that I am not always successful in this matter. It finally occurred to me that the following preliminary remarks would help. 

In some respects this discussion is highly theoretical. I have to mention, at least slightly, various theories of the general activity called mathematics, as well as touch on selected parts of it. Furthermore, there are various theories of applications. Thus, to some extent, this leads to a theory of theories. What may surprise you is that I shall take the experimentalist's approach in discussing things. Never mind what the theories are supposed to be, or what you think they should be, or even what the experts in the field assert they are; let us take the scientific attitude and look at what they are. I am well aware that much of what I say, especially about the nature of mathematics, will annoy many mathematicians. My experimental approach is quite foreign to their mentality and preconceived beliefs. So be it! 

The inspiration for this article came from the similarly entitled article, "The Unreasonable Effectiveness of Mathematics in the Natural Sciences"  [1. E. P. Wigner, The unreasonable effectiveness of mathematics in the natural sciences, Comm. Pure Appl. Math., 13 (Feb. 1960).], by E. P. Wigner. It will be noticed that I have left out part of the title, and by those who have already read it that I do not duplicate much of his material (I do not feel I can improve on his presentation). On the other hand, I shall spend relatively more time trying to explain the implied question of the title. But when all my explanations are over, the residue is still so large as to leave the question essentially unanswered. 

The Effectiveness of Mathematics. In his paper, Wigner gives a large number of examples of the effectiveness of mathematics in the physical sciences. Let me, therefore, draw on my own experiences that are closer to engineering. My first real experience in the use of mathematics to predict things in the real world was in connection with the design of atomic bombs during the Second World War. How was it that the numbers we so patiently computed on the primitive relay computers agreed so well with what happened on the first test shot at Almagordo? There were, and could be, no small-scale experiments to check the computations directly. Later experience with guided missiles showed me that this was not an isolated phenomenon - constantly what we predict from the manipulation of mathematical symbols is realized in the real world. Naturally, working as I did for the Bell System, I did many telephone computations and other mathematical work on such varied things as traveling wave tubes, the equalization of television lines, the stability of complex communication systems, the blocking of calls through a telephone central office, to name but a few. For glamour, I can cite transistor research, space flight, and computer design, but almost all of science and engineering has used extensive mathematical manipulations with remarkable successes. 

Many of you know the story of Maxwell's equations, how to some extent for reasons of symmetry he put in a certain term, and in time the radio waves that the theory predicted were found by Hertz. Many other examples of successfully predicting unknown physical effects from a mathematical formulation are well known and need not be repeated here. 

The fundamental role of invariance is stressed by Wigner. It is basic to much of mathematics as well as to science. It was the lack of invariance of Newton's equations (the need for an absolute frame of reference for velocities) that drove Lorentz, Fitzgerald, Poincare, and Einstein to the special theory of relativity. 

Wigner also observes that the same mathematical concepts turn up in entirely unexpected connections. For example, the trigonometric functions which occur in Ptolemy's astronomy turn out to be the functions which are invariant with respect to translation (time invariance). They are also the appropriate functions for linear systems. The enormous usefulness of the same pieces of mathematics in widely different situations has no rational explanation (as yet). 

Furthermore, the simplicity of mathematics has long been held to be the key to applications in physics. Einstein is the most famous exponent of this belief. But even in mathematics itself the simplicity is remarkable, at least to me; the simplest algebraic equations, linear and quadratic, correspond to the simplest geometric entities, straight lines, circles, and conics. This makes analytic geometry possible in a practical way. How can it be that simple mathematics, being after all a product of the human mind, can be so remarkably useful in so many widely different situations? 

Because of these successes of mathematics there is at present a strong trend toward making each of the sciences mathematical. It is usually regarded as a goal to be achieved, if not today, then tomorrow. For this audience I will stick to physics and astronomy for further examples. 

Pythagoras is the first man to be recorded who clearly stated that "Mathematics is the way to understand the universe." He said it both loudly and clearly, "Number is the measure of all things." 

Kepler is another famous example of this attitude. He passionately believed that God's handiwork could be understood only through mathematics. After twenty years of tedious computations, he found his famous three laws of planetary motion-three comparatively simple mathematical expressions that described the apparently complex motions of the planets. 

It was Galileo who said, "The laws of Nature are written in the language of mathematics." Newton used the results of both Kepler and Galileo to deduce the famous Newtonian laws of motion, which together with the law of gravitation are perhaps the most famous example of the unreasonable effectiveness of mathematics in science. They not only predicted where the known planets would be but successfully predicted the positions of unknown planets, the motions of distant stars, tides, and so forth. 

Science is composed of laws which were originally based on a small, carefully selected set of observations, often not very accurately measured originally; but the laws have later been found to apply over much wider ranges of observations and much more accurately than the original data justified. Not always, to be sure, but often enough to require explanation. 

During my thirty years of practicing mathematics in industry, I often worried about the predictions I made. From the mathematics that I did in my office I confidently (at least to others) predicted some future events-if you do so and so, you will see such and such-and it usually turned out that I was right. How could the phenomena know what I had predicted (based on human-made mathematics) so that it could support my predictions? It is ridiculous to think that is the way things go. No, it is that mathematics provides, somehow, a reliable model for much of what happens in the universe. And since I am able to do only comparatively simple mathematics, how can it be that simple mathematics suffices to predict so much? 

I could go on citing more examples illustrating the unreasonable effectiveness of mathematics, but it would only be boring. Indeed, I suspect that many of you know examples that I do not. Let me, therefore, assume that you grant me a very long list of successes, many of them as spectacular as the prediction of a new planet, of a new physical phenomenon, of a new artifact. With limited time, I want to spend it attempting to do what I think Wigner evaded-to give at least some partial answers to the implied question of the title. 

What is Mathematics? Having looked at the effectiveness of mathematics, we need to look at the question,"What is Mathematics?" This is the title of a famous book by Courant and Robbins  [2. R. Courant and H. Robbins, What Is Mathematics? Oxford University Press, 1941.]. In it they do not attempt to give a formal definition, rather they are content to show what mathematics is by giving many examples. Similarly, I shall not give a comprehensive definition. But I will come closer than they did to discussing certain salient features of mathematics as I see them. 

Perhaps the best way to approach the question of what mathematics is, is to start at the beginning. In the far distant prehistoric past, where we must look for the beginnings of mathematics, there were already four major faces of mathematics. First, there was the ability to carry on the long chains of close reasoning that to this day characterize much of mathematics. Second, there was geometry, leading through the concept of continuity to topology and beyond. Third, there was number, leading to arithmetic, algebra, and beyond. Finally there was artistic taste, which plays so large a role in modern mathematics. There are, of course, many different kinds of beauty in mathematics. In number theory it seems to be mainly the beauty of the almost infinite detail; in abstract algebra the beauty is mainly in the generality. Various areas of mathematics thus have various standards of aesthetics. 

The earliest history of mathematics must, of course, be all speculation, since there is not now, nor does there ever seem likely to be, any actual, convincing evidence. It seems, however, that in the very foundations of primitive life there was built in, for survival purposes if for nothing else, an understanding of cause and effect. Once this trait is built up beyond a single observation to a sequence of, "If this, then that, and then it follows still further that . . . ," we are on the path of the first feature of mathematics I mentioned, long chains of close reasoning. But it is hard for me to see how simple Darwinian survival of the fittest would select for the ability to do the long chains that mathematics and science seem to require. 

Geometry seems to have arisen from the problems of decorating the human body for various purposes, such as religious rites, social affairs, and attracting the opposite sex, as well as from the problems of decorating the surfaces of walls, pots, utensils and clothing. This also implies the fourth aspect I mentioned, aesthetic taste, and this is one of the deep foundations of mathematics. Most textbooks repeat the Greeks and say that geometry arose from the needs of the Egyptians to survey the land after each flooding by the Nile River, but I attribute much more to aesthetics than do most historians of mathematics and correspondingly less to immediately utility. 

The third aspect of mathematics, numbers, arose from counting. So basic are numbers that a famous mathematician once said, "God made the integers, man did the rest" [3. L. Kronecker, Item 1634. in On Mathematics and Mathematicians, by R E Moritz.]. The integers seem to us to be so fundamental that we expect to find them wherever we find intelligent life in the universe. I have tried, with little success, to get some of my friends to understand my amazement that the abstraction of integers for counting is both possible and useful. Is it not remarkable that 6 sheep plus 7 sheep make 13 sheep; that 6 stones plus 7 stones make 13 stones? Is it not a miracle that the universe is so constructed that such a simple abstraction as a number is possible? To me this is one of the strongest examples of the unreasonable effectiveness of mathematics. Indeed, l find it both strange and unexplainable. 

In the development of numbers, we next come to the fact that these counting numbers, the integers, were used successfully in measuring how many times a standard length can be used to exhaust the desired length that is being measured. But it must have soon happened, comparatively speaking, that a whole number of units did not exactly fit the length being measured, and the measurers were driven to the fractions-the extra piece that was left over was used to measure the standard length. Fractions are not counting numbers; they are measuring numbers. Because of their common use in measuring, the fractions were, by a suitable extension of ideas, soon found to obey the same rules for manipulations as did the integers, with the added benefit that they made division possible in all cases (I have not yet come to the number zero). Some acquaintance with the fractions soon reveals that between any two fractions you can put as many more as you please and that in some sense they are homogeneously dense everywhere. But when we extend the concept of number to include the fractions, we have to give up the idea of the next number, 

This brings us again to Pythagoras, who is reputed to be the first man to prove that the diagonal of a square and the side of the square have no common measure-that they are irrationally related. This observation apparently produced a profound upheaval in Greek: mathematics. Up to that time the discrete number system and the continuous geometry flourished side by side with little conflict. The crisis of incommensurability tripped off the Euclidean approach to mathematics. It is a curious fact that the early Greeks attempted to make mathematics rigorous by replacing the uncertainties of numbers by what they felt was the more certain geometry (due to Eudoxus). It was a major event to Euclid, and as a result you find in The Elements  [4. Euclid, Euclid's Elements, T. E. Heath, Dover Publications, New York, 1956.] a lot of what we now consider number theory and algebra cast in the form of geometry. Opposed to the early Greeks, who doubted the existence of the real number system, we have decided that there should be a number that measures the length of the diagonal of a unit square (though we need not do so), and that is more or less how we extended the rational number system to include the algebraic numbers. It was the simple desire to measure lengths that did it. How can anyone deny that there is a number to measure the length of any straight line segment? 

The algebraic numbers, which are roots of polynomials with integer, fractional, and, as was later proved, even algebraic numbers as coefficients, were soon under control by simply extending the same operations that were used on the simpler system of numbers. 

However, the measurement of the circumference of a circle with respect to its diameter soon forced us to consider the ratio called pi. This is not an algebraic number, since no linear combination of the power of pi with integer coefficients will exactly vanish. One length, the circumference, being a curved line, and the other length, the diameter, being a straight line, make the existence of the ratio less certain than is the ratio of the diagonal of a square to its side; but since it seems that there ought to be such a number, the transcendental numbers gradually got into the number system. Thus by a further suitable extension of the earlier ideas of numbers, the transcendental numbers were admitted consistently into the number system, though few students are at all comfortable with the technical apparatus we conventionally use to show the consistency. 

Further tinkering with the number system brought both the number zero and the negative numbers. This time the extension required that we abandon the division for the single number zero. This seems to round out the real number system for us (as long as we confine ourselves to the process of taking limits of sequences of numbers and do not admit still further operations) -not that we have to this day a firm, logical, simple, foundation for them; but they say that familiarity breeds contempt, and we are all more or less familiar with the real number system. Very few of us in our saner moments believe that the particular postulates that some logicians have dreamed up create the numbers - no, most of us believe that the real numbers are simply there and that it has been an interesting, amusing, and important game to try to find a nice set of postulates to account for them. But let us not confuse ourselves-Zeno's paradoxes are still, even after 2,000 years, too fresh in our minds to delude ourselves that we understand all that we wish we did about the relationship between the discrete number system and the continuous line we want to model. We know, from nonstandard analysis if from no other place, that logicians can make postulates that put still further entities on the real line, but so far few of us have wanted to go down that path. It is only fair to mention that there are some mathematicians who doubt the existence of the conventional real number system. A few computer theoreticians admit the existense of only "the computable numbers." 

The next step in the discussion is the complex number system. As I read history, it was Cardan who was the first to understand them in any real sense. In his The Great Art or Rules of Algebra  [5. G. Cardano, The Great Art or Rules of Algebra, transl. by T. R. Witmer, MIT Press, 1968, pp. 219-220] he says, "Putting aside the mental tortures involved multiply (5 + sqrt 15) by (5 - sqrt -15) making 25-(-15) ...." Thus he clearly recognized that the same formal operations on the symbols for complex numbers would give meaningful results. In this way the real number system was gradually extended to the complex number system, except that this time the extension required giving up the property of ordering the numbers-the complex numbers cannot be ordered in the usual sense. 

Cauchy was apparently led to the theory of complex variables by the problem of integrating real functions along the real line. He found that by bending the path of integration into the complex plane he could solve real integration problems. 

A few years ago I had the pleasure of teaching a course in complex variables. As always happens when I become involved in the topic, I again came away with the feeling that "God made the universe out of complex numbers." Clearly, they play a central role in quantum mechanics. They are a natural tool in many other areas of application, such as electric circuits, fields, and so on. 

To summarize, from simple counting using the God-given integers, we made various extensions of the ideas of numbers to include more things. Sometimes the extensions were made for what amounted to aesthetic reasons, and often we gave up some property of the earlier number system. Thus we came to a number system that is unreasonably effective even in mathematics itself; witness the way we have solved many number theory problems of the original highly discrete counting system by using a complex variable. 

From the above we see that one of the main strands of mathematics is the extension, the generalization, the abstraction - they are all more or less the same thing-of well-known concepts to new situations. But note that in the very process the definitions themselves are subtly altered. Therefore, what is not so widely recognized, old proofs of theorems may become false proofs. The old proofs no longer cover the newly defined things. The miracle is that almost always the theorems are still true; it is merely a matter of fixing up the proofs. The classic example of this fixing up is Euclid's The Elements [4]. We have found it necessary to add quite a few new postulates (or axioms, if you wish, since we no longer care to distinguish between them) in order to meet current standards of proof. Yet how does it happen that no theorem in all the thirteen books is now false? Not one theorem has been found to be false, though often the proofs given by Euclid seem now to be false. And this phenomenon is not confined to the past. It is claimed that an ex-editor of Mathematical Reviews once said that over half of the new theorems published these days are essentially true though the published proofs are false. How can this be if mathematics is the rigorous deduction of theorems from assumed postulates and earlier results? Well, it is obvious to anyone who is not blinded by authority that mathematics is not what the elementary teachers said it was. It is clearly something else. 

What is this "else"? Once you start to look you find that if you were confined to the axioms and postulates then you could deduce very little. The first major step is to introduce new concepts derived from the assumptions, concepts such as triangles. The search for proper concepts and definitions is one of the main features of doing great mathematics. 

While on the topic of proofs, classical geometry begins with the theorem and tries to find a proof. Apparently it was only in the 1850's or so that it was clearly recognized that the opposite approach is also valid (it must have been occasionally used before then). Often it is the proof that generates the theorem. We see what we can prove and then examine the proof to see what we have proved! These are often called "proof generated theorems"  [6. Imre Lakatos, Proofs and Refutations; Cambridge University Press, 1976, p. 33.]. A classic example is the concept of uniform convergence. Cauchy had proved that a convergent series of terms, each of which is continuous, converges to a continuous function. At the same time there were known to be Fourier series of continuous functions that converged to a discontinuous limit. By a careful examination of Cauchy's proof, the error was found and fixed up by changing the hypothesis of the theorem to read, "a uniformly convergent series." 

More recently, we have had an intense study of what is called the foundations of mathematics-which in my opinion should be regarded as the top battlements of mathematics and not the foundations. It is an interesting field, but the main results of mathematics are impervious to what is found there-we simply will not abandon much of mathematics no matter how illogical it is made to appear by research in the foundations. 

I hope that I have shown that mathematics is not the thing it is often assumed to be, that mathematics is constantly changing and hence even if I did succeed in defining it today the definition would not be appropriate tomorrow. Similarly with the idea of rigor-we have a changing standard. The dominant attitude in science is that we are not the center of the universe, that we are not uniquely placed, etc., and similarly it is difficult for me to believe that we have now reached the ultimate of rigor. Thus we cannot be sure of the current proofs of our theorems. Indeed it seems to me: 

The Postulates of Mathematics Were Not on the Stone Tablets that Moses Brought Down from Mt. Sinai. 

It is necessary to emphasize this. We begin with a vague concept in our minds, then we create various sets of postulates, and gradually we settle down to one particular set. In the rigorous postulational approach the original concept is now replaced by what the postulates define. This makes further evolution of the concept rather difficult and as a result tends to slow down the evolution of mathematics. It is not that the postulation approach is wrong, only that its arbitrariness should be clearly recognized, and we should be prepared to change postulates when the need becomes apparent. 

Mathematics has been made by man and therefore is apt to be altered rather continuously by him. Perhaps the original sources of mathematics were forced on us, but as in the example I have used we see that in the development of so simple a concept as number we have made choices for the extensions that were only partly controlled by necessity and often, it seems to me, more by aesthetics. We have tried to make mathematics a consistent, beautiful thing, and by so doing we have had an amazing number of successful applications to the real world. 

The idea that theorems follow from the postulates does not correspond to simple observation. If the Pythagorean theorem were found to not follow from the postulates, we would again search for a way to alter the postulates until it was true. Euclid's postulates came from the Pythagorean theorem, not the other way. For over thirty years I have been making the remark that if you came into my office and showed me a proof that Cauchy's theorem was false I would be very interested, but I believe that in the final analysis we would alter the assumptions until the theorem was true. Thus there are many results in mathematics that are independent of the assumptions and the proof. 

How do we decide in a "crisis" what parts of mathematics to keep and what parts to abandon? Usefulness is one main criterion, but often it is usefulness in creating more mathematics rather than in the applications to the real world! So much for my discussion of mathematics. 

Some Partial Explanations. I will arrange my explanations of the unreasonable effectiveness of mathematics under four headings. 

1\. We see what we look for. No one is surprised if after putting on blue tinted glasses the world appears bluish. I propose to show some examples of how much this is true in current science. To do this I am again going to violate a lot of widely, passionately held beliefs. But hear me out. 

I picked the example of scientists in the earlier part for a good reason. Pythagoras is to my mind the first great physicist. It was he who found that we live in what the mathematicians call L2-the sum of the squares of the two sides of a right triangle gives the square of the hypotenuse. As I said before, this is not a result of the postulates of geometry-this is one of the results that shaped the postulates. 

Let us next consider Galileo. Not too long ago I was trying to put myself in Galileo's shoes, as it were, so that I might feel how he came to discover the law of falling bodies. I try to do this kind of thing so that I can learn to think like the masters did-I deliberately try to think as they might have done. 

Well, Galileo was a well-educated man and a master of scholastic arguments. He well knew how to argue the number of angels on the head of a pin, how to argue both sides of any question. He was trained in these arts far better than any of us these days. I picture him sitting one day with a light and a heavy ball, one in each hand, and tossing them gently. He says, hefting them, "It is obvious to anyone that heavy objects fall faster than light ones-and, anyway, Aristotle says so." "But suppose," he says to himself, having that kind of a mind, "that in falling the body broke into two pieces. Of course the two pieces would immediately slow down to their appropriate speeds. But suppose further that one piece happened to touch the other one. Would they now be one piece and both speed up? Suppose I tied the two pieces together. How tightly must I do it to make them one piece? A light string? A rope? Glue? When are two pieces one?" 

The more he thought about it-and the more you think about it-the more unreasonable becomes the question of when two bodies are one. There is simply no reasonable answer to the question of how a body knows how heavy it is-if it is one piece, or two, or many. Since falling bodies do something, the only possible thing is that they all fall at the same speed-unless interfered with by other forces. There's nothing else they can do. He may have later made some experiments, but I strongly suspect that something like what I imagined actually happened. I later found a similar story in a book by Polya  [7. G. Polya, Mathematical Methods in Science, MAA, 1963, pp. 83-85.]. Galileo found his law not by experimenting but by simple, plain thinking, by scholastic reasoning. 

I know that the textbooks often present the falling body law as an experimental observation; I am claiming that it is a logical law, a consequence of how we tend to think. 

Newton, as you read in books, deduced the inverse square law from Kepler's laws, though they often present it the other way; from the inverse square law the textbooks deduce Kepler's laws. But if you believe in anything like the conservation of energy and think that we live in a three-dimensional Euclidean space, then how else could a symmetric central-force field fall off? Measurements of the exponent by doing experiments are to a great extent attempts to find out if we live in a Euclidean space, and not a test of the inverse square law at all. 

But if you do not like these two examples, let me turn to the most highly touted law of recent times, the uncertainty principle. It happens that recently I became involved in writing a book on Digital Filters  [8. R. W. Hamming, Digital Filters, Prentice-Hall, Englewood Cliffs, NJ., 1977.] when I knew very little about the topic. As a result I early asked the question, "Why should I do all the analysis in terms of Fourier integrals? Why are they the natural tools for the problem?" I soon found out, as many of you already know, that the eigenfunctions of translation are the complex exponentials. If you want time invariance, and certainly physicists and engineers do (so that an experiment done today or tomorrow will give the same results), then you are led to these functions. Similarly, if you believe in linearity then they are again the eigenfunctions. In quantum mechanics the quantum states are absolutely additive; they are not just a convenient linear approximation. Thus the trigonometric functions are the eigenfunctions one needs in both digital filter theory and quantum mechanics, to name but two places. 

Now when you use these eigenfunctions you are naturally led to representing various functions, first as a countable number and then as a non-countable number of them-namely, the Fourier series and the Fourier integral. Well, it is a theorem in the theory of Fourier integrals that the variability of the function multiplied by the variability of its transform exceeds a fixed constant, in one notation l/2pi. This says to me that in any linear, time invariant system you must find an uncertainty principle. The size of Planck's constant is a matter of the detailed identification of the variables with integrals, but the inequality must occur. 

As another example of what has often been thought to be a physical discovery but which turns out to have been put in there by ourselves, I turn to the well-known fact that the distribution of physical constants is not uniform; rather the probability of a random physical constant having a leading digit of 1. 2, or 3 is approximately 60%, and of course the leading digits of 5, 6, 7, 8, and 9 occur in total only about 40% of the time. This distribution applies to many types of numbers, including the distribution of the coefficients of a power series having only one singularity on the circle of convergence. A close examination of this phenomenon shows that it is mainly an artifact of the way we use numbers. 

Having given four widely different examples of nontrivial situations where it turns out that the original phenomenon arises from the mathematical tools we use and not from the real world, I am ready to strongly suggest that a lot of what we see comes from the glasses we put on. Of course this goes against much of what you have been taught, but consider the arguments carefully. You can say that it was the experiment that forced the model on us, but I suggest that the more you think about the four examples the more uncomfortable you are apt to become. They are not arbitrary theories that I have selected, but ones which are central to physics, 

In recent years it was Einstein who most loudly proclaimed the simplicity of the laws of physics, who used mathematics so exclusively as to be popularly known as a mathematician. When examining his special theory of relativity paper  [9. G. Holton Thematic Origins of Scientific Thought, Kepler to Einstein, Harvard University Press, 1973.] one has the feeling that one is dealing with a scholastic philosopher's approach. He knew in advance what the theory should look like. and he explored the theories with mathematical tools, not actual experiments. He was so confident of the rightness of the relativity theories that, when experiments were done to check them, he was not much interested in the outcomes, saying that they had to come out that way or else the experiments were wrong. And many people believe that the two relativity theories rest more on philosophical grounds than on actual experiments. 

Thus my first answer to the implied question about the unreasonable effectiveness of mathematics is that we approach the situations with an intellectual apparatus so that we can only find what we do in many cases. It is both that simple, and that awful. What we were taught about the basis of science being experiments in the real world is only partially true. Eddington went further than this; he claimed that a sufficiently wise mind could deduce all of physics. I am only suggesting that a surprising amount can be so deduced. Eddington gave a lovely parable to illustrate this point. He said, "Some men went fishing in the sea with a net, and upon examining what they caught they concluded that there was a minimum size to the fish in the sea." 

2\. We select the kind of mathematics to use. Mathematics does not always work. When we found that scalars did not work for forces, we invented a new mathematics, vectors. And going further we have invented tensors. In a book I have recently written  [10. R. W. Hamming, Coding and Information Theory, Prentice-Hall, Englewood Cliffs, NJ., 1980.] conventional integers are used for labels, and real numbers are used for probabilities; but otherwise all the arithmetic and algebra that occurs in the book, and there is a lot of both, has the rule that 

1+1=0. 

Thus my second explanation is that we select the mathematics to fit the situation, and it is simply not true that the same mathematics works every place. 

3\. Science in fact answers comparatively few problems. We have the illusion that science has answers to most of our questions, but this is not so. From the earliest of times man must have pondered over what Truth, Beauty, and Justice are. But so far as I can see science has contributed nothing to the answers, nor does it seem to me that science will do much in the near future. So long as we use a mathematics in which the whole is the sum of the parts we are not likely to have mathematics as a major tool in examining these famous three questions. 

Indeed, to generalize, almost all of our experiences in this world do not fall under the domain of science or mathematics. Furthermore, we know (at least we think we do) that from Godel's theorem there are definite limits to what pure logical manipulation of symbols can do, there are limits to the domain of mathematics. It has been an act of faith on the part of scientists that the world can be explained in the simple terms that mathematics handles. When you consider how much science has not answered then you see that our successes are not so impressive as they might otherwise appear. 

4\. The evolution of man provided the model. I have already touched on the matter of the evolution of man. I remarked that in the earliest forms of life there must have been the seeds of our current ability to create and follow long chains of close reasoning. Some people [11. H. Mohr, Structure and Significance of Science, Springer-Verlag, 1977.] have further claimed that Darwinian evolution would naturally select for survival those competing forms of life which had the best models of reality in their minds-"best" meaning best for surviving and propagating. There is no doubt that there is some truth in this. We find, for example, that we can cope with thinking about the world when it is of comparable size to ourselves and our raw unaided senses, but that when we go to the very small or the very large then our thinking has great trouble. We seem not to be able to think appropriately about the extremes beyond normal size. 

Just as there are odors that dogs can smell and we cannot, as well as sounds that dogs can hear and we cannot, so too there are wavelengths of light we cannot see and flavors we cannot taste. Why then, given our brains wired the way they are, does the remark "Perhaps there are thoughts we cannot think," surprise you? Evolution, so far, may possibly have blocked us from being able to think in some directions; there could be unthinkable thoughts. 

If you recall that modern science is only about 400 years old, and that there have been from 3 to 5 generations per century, then there have been at most 20 generations since Newton and Galileo. If you pick 4,000 years for the age of science, generally, then you get an upper bound of 200 generations. Considering the effects of evolution we are looking for via selection of small chance variations, it does not seem to me that evolution can explain more than a small part of the unreasonable effectiveness of mathematics. 

Conclusion. From all of this I am forced to conclude both that mathematics is unreasonably effective and that all of the explanations I have given when added together simply are not enough to explain what I set out to account for. I think that we-meaning you, mainly-must continue to try to explain why the logical side of science-meaning mathematics, mainly-is the proper tool for exploring the universe as we perceive it at present. I suspect that my explanations are hardly as good as those of the early Greeks, who said for the material side of the question that the nature of the universe is earth, fire, water, and air. The logical side of the nature of the universe requires further exploration. 

I (Larry Frazier, who (with R. Hamming's permission) scanned this and put it online) was pleased to note that 58 people visited this essay in a recent 2-month period. I assume most of you are finding this from a pointer in the Gutenberg Project hierarchy. 

On the other hand, I feel like thousands of people should be reading this. It is the most profound essay I have seen regarding philosophy of science; important, significant, in fact, for our whole understanding of thought, of knowing, or reality. 

Drop me a note if you have any comments. Larry Frazier 

Merci W. Cooper et Larry Frazier 

Histoire et philosophie des mathmatiques Le quasi-empirisme en philosophie des mathmatiques. Une presentation Liens mathmatiques en relation indirecte avec le quasi-empirisme Retour la page d'accueil 

[1]: https://www.dartmouth.edu/coco9.gif
[2]: https://www.dartmouth.edu/index.html

