---
created_at: '2015-07-19T03:06:02.000Z'
title: 'How the Bicycle Wheel Carries its Load: Held Up by Downward Pull (1980)'
url: http://johnforester.com/Articles/BicycleEng/Wheel.htm
author: ggreer
points: 44
story_text: 
comment_text: 
num_comments: 22
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1437275162
_tags:
- story
- author_ggreer
- story_9909901
objectID: '9909901'

---
[Source](http://johnforester.com/Articles/BicycleEng/Wheel.htm "Permalink to 
 
")

#  Held Up By Downward Pull

##  or, can you tell the difference between   
soft and harsh spoking patterns and hub flanges?

[home][1]                [bicycle engineering][2]

Published in American Wheelmen, August 1980

Practically every bicycle review or wheel discussion I read repeats the superstitions that cross four spoking gives soft riding and large flange hubs give harsh riding. (The cross number in a spoking specification gives the number of spokes that each spoke crosses throughout its length. Half the spokes in a wheel are leading spokes and half are trailing spokes and each kind crosses the other kind. "Cross three" means that as each spoke starts from the hub and extends to the rim it crosses three spokes.) The reason, so they say, is that longer spokes stretch further, thus softening the bumps. To complicate matters, nobody has yet explained in the cycling literature just how the tension-spoked bicycle wheel holds you up, so it is difficult to evaluate the riding quality claims. 

The nearest explanation I know is in Archibald Sharp's remarkable book - Bicycles & Tricycles: An Elementary Treatise on Their Design and Construction, available from MIT Press as a photo-offset reprint of the 1895 edition. Sharp's book is remarkable not only for its explicit statement of bicycle technology in 1895, but for its implicit comment upon that technology today, which I will cover in a later review of the book. Sharp's explanation of how the tension spoked wheel carries its load goes just far enough to appear to answer the question, and he stops immediately before the final critical step. Sharp points out that if the hub and, naturally, the bicycle and the cyclist above it, of a stationary wheel were supported by only a pair of spokes pointing directly upward from the hub, the top of the rim would be pulled down and the sides of the rim would spread out, turning the originally circular rim into an ellipse. To correct this deflection we must install horizontal spokes reaching forwards and backwards, with all three pairs of spokes in tension, thus making the rim something between a circle and a square. Adding more spokes makes the rim acceptably round. "Thus, by using a sufficient number of spokes capable of resisting tension, the load applied at the centre of the wheel can be transmitted to the ground without appreciable distortion of the rim," writes Sharp. As a result, every explanation I've had of the tension-spoked wheel - except Jobst Brandt's - says that the weight of the bicycle frame and cyclist hangs from the upper few spokes. This is the only case I recognize where Sharp is wrong about a bicycle engineering matter. 

The spoking pattern and flange size arguments had always seemed silly to me because they attributed too large an effect to a very small cause, but for years I didn't know how to measure the real effect. And then one day I had an idea, maybe because I had purchased a dial indicator for other uses. The dial indicator measures changes in distance in halfthousandths of an inch. I mounted it to measure the changes in wheel radius, the distance between hub shell and rim, of a front wheel with tire mounted and inflated. It's quite easy. The indicator mounts on a metal rod, on one end of which I fixed a metal crotch that just spanned the rim section. I fixed the crotch to the rim with rubber bands so tightly that it didn't budge as the wheel was slowly rotated. I then positioned the rod so the indicator finger contacted the hub shell to read direct radial motion, and held it there by wires and rubber bands wrapped round convenient spokes. 

I set the indicator to zero and wheeled the unloaded bicycle across the floor. The indicator, after a couple of tries in which the rod wiggled a bit until I fixed it firmly, continued to read zero all the way around the rotation. Then I set the wheel on the bathroom scale and loaded the handlebar with 100 pounds of weights. When I wheeled the bicycle again the indicator still read zero for most of the wheel's revolution, but as the indicator rod neared the bottom, where the tire touched the floor, it read out a reduction in wheel radius. The reduction starts at about 5 o'clock, peaks at 6 o'clock (that is, straight down), and decreases to zero at about 7 o'clock. It doesn't matter whether the wheel is rolling forwards or backwards, or how many times it is rolled, the effect remains constant. The rim where it touches the ground is pushed inward. You cannot see it move; the movement is only a few thousandths of an inch, about the thickness of the paper American Wheelmen is printed on. 

This explains so many little mysteries. First, it explains how the spokes carry the cyclist's weight. When we build a wheel, all the spokes are stretched in tension as we tighten them, until (with a true rim in a wellbuilt wheel) all the spokes are pulling almost evenly. At any rate, on an unloaded wheel the pull of the upper spokes equals the pull of the lower spokes (and of course from side to side also); if it didn't, the hub would move up or down until the pulls were equal. Since all the pulls are balanced by other pulls, the hub doesn't move and carries no load. Now if we load the wheel by applying weight through the hub axle (the normal way) the bottom part of the rim where the tire touches the ground gets forced inward. This inward movement shortens the distance between hub and rim and thereby reduces the tension force in the bottom few spokes. These bottom few spokes then pull the hub downward less strongly than they did before the load was applied; the reduction in downward force is just equal to the weight applied to the hub, so the hub (and all the wheel except the bottom two inches or so of the rim) drops the few thousandths of an inch by which the rim is deflected, and then remains still. (Of course the tire deflects also; its motion is many times that of the wheel deflection.) 

It sounds paradoxical, but when you are on your bicycle your weight is supported by the downward pull of the spokes on the hubs; it's just that the downward pull is less than it would have been had you not been on the bike, less than the original tension built into the wheel. 

How accurate is this explanation? Well, I loaded the handlebars with 100 pounds, and measured the deflection in two different wheels with different gauge spokes. The wheel with 1.6mm spokes deflected 0.006 inch; the wheel with 1.8mm spokes deflected 0.004 inch. From the spoke dimensions and the reduction in length the reduction in spoke tension is easily calculated. With two spokes at full reduction and two more at partial reduction the calculated change in force is so close to the 100 pounds applied weight that this looks like a pretty good explanation. Probably deflecting the rim at the bottom tends to increase its average diameter everywhere else, and thereby increase the tension in the other spokes, but the effect was not measurable on my indicator, which read to 0.0005 inch. 

Note this paradox: heavier cyclists should have tighter spokes. Since the wheel supports weight by reducing the tension in the bottom few spokes, unless there is sufficient initial tension to more than support the cyclist's weight as amplified by the bumps in the road, the bottom spoke will become loose over the worst bumps. If it becomes loose, the head works and flexes in the flange hole, and the nipple tends to unscrew from the vibration, so the heavy cyclist whose wheel is not built sufficiently tightly simultaneously suffers from loosening spokes and broken spoke heads. Strange as it seems, the cure for breaking spokes is to tighten them some more. 

Why do some new wheels quickly go out of true, and in extreme cases get loose all around in just a few miles? In truing a wheel some spokes are tightened and some loosened. Because of the friction between nipple and spoke under the spoke tension this leaves a twist (torsional strain) in each spoke. If the wheel is ridden immediately, as it rotates the first time with the cyclist's weight upon it there is a series of pinging sounds. These are the spokes rotating at the nipples as each in turn becomes the bottom spoke and its frictional force is relieved as its tension is reduced. Maybe the nipple rotates in the rim, in which case nothing else happens. But maybe the nipple jams in the rim hole and the spoke rotates in the nipple. If so, those spokes last loosened loosen themselves still further, and that is the start of trouble. To prevent this, careful wheel builders do two things. They lubricate the spoke threads before installing the nipple, to keep the frictional forces small. Then they stress each wheel laterally by leaning on it in several positions, which unloads the lower spokes (just as if the wheel were being ridden) and allows the rotation. With repeated stressing and retruing of the wheel, the spoke torsional strain is relieved until too little remains to unscrew a spoke. 

This also explains that the hard riding, soft riding theory for spoking pattern and flange sizes is mere superstition. Changing the gauge of the spokes changed their cross-sectional area by 26 percent, and hence should change their deflection by the inverse amount, a matter of 1 to 2 thousandths of an inch, about what the measurements showed. Changing cross three to cross four spoking, or from large to small flange hubs, changes the spoke length 2 percent to 3 percent. Both changes together may make a 5 percent change in spoke length, and hence in spoke and rim deflection. That's about 0.0003 inch, or 1/10 the thickness of the paper that American Wheelmen is printed on, for the cyclist's full weight. In order to tell the riding difference between spoking patterns and flange sizes the cyclist would have to detect differences of less than half a thousandth of an inch in handlebar or saddle movement while going over bumps which doubled his weight. I think that this is beyond human sensitivity, like the fairytale princess who could feel a dried pea under ten mattresses. 

Well, where do differences in riding vibration come from? The bicycle frame is very rigid in the vertical plane; not much difference available here. The saddle position forward of the rear wheel proportionately reduces the effect of the rear wheel going over bumps, but again the proportional difference between short wheelbase frames and long ones is not very great. The greatest amount of deflection is in the tires, and there is a considerable difference between a 622-20 or criterium tubular at 110 pounds per square inch (psi) and a 650B at 65psi. More than anything else, that's what makes the difference.

![][3]

 

Return to: [John Forester's Home Page][1]                                         Up: [Bicycle Engineering][2]

[1]: http://johnforester.com/index.html
[2]: http://johnforester.com/bicycle_eng.htm
[3]: http://johnforester.com/Images/WheelLoad2.gif

