---
created_at: '2016-12-21T00:53:18.000Z'
title: Garbage collection in a large Lisp system (1984)
url: http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.125.2438
author: lispm
points: 70
story_text: 
comment_text: 
num_comments: 38
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1482281598
_tags:
- story
- author_lispm
- story_13225876
objectID: '13225876'

---
[Source](http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.125.2438 "Permalink to CiteSeerX &mdash; Garbage collection in a large Lisp system")

# CiteSeerX &mdash; Garbage collection in a large Lisp system

* [Documents][1]
* [Authors][2]
* [Tables][3]
* [Log in][4]
* [Sign up][5]
* [MetaCart][6]
* [Donate][7]

# ![CiteSeerX logo][8]

Documents:

[Advanced Search][9] Include Citations 

Authors:

[Advanced Search][9] Include Citations |  Disambiguate 

Tables:

## Garbage collection in a large Lisp system (1984) 

### Cached

* [ ![Download as a PDF][10] ][11]

### Download Links

* [ [www.cs.ucsb.edu] ][12]
  

### Other Repositories/Bibliography

* [ DBLP][13]
* Save to List
* [Add to Collection][14]
* [Correct Errors][15]
* [Monitor Changes][16]

by David A. Moon 

| ----- |
| Venue: | In Conference Record of the 1984 ACM Symposium on LISP and Functional Programming |  
| Citations: | [151 - 0 self][17]  | 
* [Summary][18]
* [Citations][19]
* [Active Bibliography][20]
* [Co-citation][21]
* [Clustered Documents][22]
* [Version History][23]

### BibTeX

@INPROCEEDINGS{Moon84garbagecollection,  
    author = {David A. Moon},  
    title = {Garbage collection in a large Lisp system},  
    booktitle = {In Conference Record of the 1984 ACM Symposium on LISP and Functional Programming},  
    year = {1984},  
    pages = {235--246},  
    publisher = {ACM Press}  
}  

### Share

| ----- |
|  ![Facebook][24] |  ![Twitter][25] |  ![Reddit][26] |  ![Bibsonomy][27] |  
|   |   | | |

### OpenURL

 

### Abstract

This paper discusses garbage collection techniques used in a high-performance Lisp implementation with a large virtual memory, the Symbolics 3600. Particular attention is paid to practical issues and experience. In a large system problems of scale appear and the most straightforward garbage-collection techniques do not work well. Many of these problems involve the interaction of the garbage collector with demand-paged virtual memory. Some of the solutions adopted in the 3600 are presented, including incremental copying garbage collection, approximately depth-first copying, ephemeral objects, tagged architecture, and hardware assists. We discuss techniques for improving the efficiency of garbage collection by recognizing that objects in the Lisp world have a variety of lifetimes. The importance of designing the architecture and the hardware to facilitate garbage collection is stressed. Automatic Storage Management Storage management is the part of a Lisp implementation that controls the use of memory to contain representations of objects. When a new object is created, memory must be allocated to contain its representation. When an object is no longer in use, the memory occupied by its representation can be reused for other purposes. Storage management can have a major impact on the efficiency and usability of a Lisp system. Automatic storage management allows the user to think entirely in terms of objects while the system takes care of the memory behind the scenes. Its most important aspect is automatic storage reclamation: the system finds all the objects that can be proved to be no longer in use and Permission to copy without fee all oz &quot; part of this material is granted provided that the copies arc not made or distributed for direct commercial advantagc, the ACM copyright notice and the title of the publication and its date appear, and notice is given that copying is by

### Keyphrases

[garbage collection][28]    [large lisp system][29]    [acm copyright notice][30]    [direct commercial advantagc][31]    [straightforward garbage-collection technique][32]    [lisp implementation][33]    [high-performance lisp implementation][34]    [hardware assist][35]    [depth-first copying][36]    [scale appear][37]    [major impact][38]    [lisp system][39]    [demand-paged virtual memory][40]    [practical issue][41]    [date appear][42]    [storage management][43]    [automatic storage reclamation][44]    [important aspect][45]    [particular attention][46]    [garbage collection technique][47]    [garbage collector][48]    [large virtual memory][49]    [automatic storage management storage management][50]    [new object][51]    [lisp world][52]    [ephemeral object][53]    [automatic storage management][54]    [incremental copying garbage collection][55]    [large system problem][56]   

Powered by: ![Apache Solr][57]

* [About CiteSeerX][58]
* [Submit and Index Documents][59]
* [Privacy Policy][60]
* [Help][61]
* [Data][62]
* [Source][63]
* [Contact Us][64]

Developed at and hosted by [The College of Information Sciences and Technology][65]

© 2007-2018 [The Pennsylvania State University][66]

[1]: http://citeseerx.ist.psu.edu#search_docs
[2]: http://citeseerx.ist.psu.edu/#search_auth
[3]: http://citeseerx.ist.psu.edu/#search_tables
[4]: http://citeseerx.ist.psu.edu/myciteseer/login%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784
[5]: http://citeseerx.ist.psu.edu/mcsutils/newAccount%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784
[6]: http://citeseerx.ist.psu.edu/metacart%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784
[7]: http://www.givenow.psu.edu/CiteseerxFund
[8]: http://citeseerx.ist.psu.edu/images/csx_logo.png%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784
[9]: http://citeseerx.ist.psu.edu/advanced_search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784 "Search full text, title, abstract, date, author name, author affiliation, etc."
[10]: http://citeseerx.ist.psu.edu/images/pdf_icon.png%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784
[11]: /viewdoc/download;jsessionid=8333072C9907BF4BBFA73E6BC620B784?doi=10.1.1.125.2438&rep=rep1&type=pdf "View or Download this document as PDF"
[12]: http://www.cs.ucsb.edu/~grze/papers/gc/moon84gssymbolics.pdf "http://www.cs.ucsb.edu/~grze/papers/gc/moon84gssymbolics.pdf"
[13]: /viewdoc/redirect;jsessionid=8333072C9907BF4BBFA73E6BC620B784?doi=10.1.1.125.2438&label=DBLP "DBLP"
[14]: /myciteseer/action/addPaperCollection;jsessionid=8333072C9907BF4BBFA73E6BC620B784?doi=10.1.1.125.2438 "Add this document to your collection (Account required)"
[15]: /correct;jsessionid=8333072C9907BF4BBFA73E6BC620B784?doi=10.1.1.125.2438 "Submit corrections for this document (Account required)"
[16]: /myciteseer/action/editMonitors;jsessionid=8333072C9907BF4BBFA73E6BC620B784?doi=10.1.1.125.2438 "Monitor changes to this document (Account required)"
[17]: /showciting;jsessionid=8333072C9907BF4BBFA73E6BC620B784?doi=10.1.1.125.2438 "number of citations"
[18]: /viewdoc/summary;jsessionid=8333072C9907BF4BBFA73E6BC620B784?doi=10.1.1.125.2438
[19]: /viewdoc/citations;jsessionid=8333072C9907BF4BBFA73E6BC620B784?doi=10.1.1.125.2438
[20]: /viewdoc/similar;jsessionid=8333072C9907BF4BBFA73E6BC620B784?doi=10.1.1.125.2438&type=ab "Documents that cite the same works"
[21]: /viewdoc/similar;jsessionid=8333072C9907BF4BBFA73E6BC620B784?doi=10.1.1.125.2438&type=cc "Documents cited by the same works"
[22]: /viewdoc/similar;jsessionid=8333072C9907BF4BBFA73E6BC620B784?doi=10.1.1.125.2438&type=sc "Documents in the Same Cluster"
[23]: /viewdoc/versions;jsessionid=8333072C9907BF4BBFA73E6BC620B784?doi=10.1.1.125.2438
[24]: http://citeseerx.ist.psu.edu/images/facebook_icon.png%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784
[25]: http://citeseerx.ist.psu.edu/images/twitter_icon.png%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784
[26]: http://citeseerx.ist.psu.edu/images/reddit_icon.png%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784
[27]: http://citeseerx.ist.psu.edu/images/bibsonomy_icon.png%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784
[28]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=garbage collection&submit=Search&sort=rlv&t=doc
[29]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=large lisp system&submit=Search&sort=rlv&t=doc
[30]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=acm copyright notice&submit=Search&sort=rlv&t=doc
[31]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=direct commercial advantagc&submit=Search&sort=rlv&t=doc
[32]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=straightforward garbage-collection technique&submit=Search&sort=rlv&t=doc
[33]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=lisp implementation&submit=Search&sort=rlv&t=doc
[34]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=high-performance lisp implementation&submit=Search&sort=rlv&t=doc
[35]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=hardware assist&submit=Search&sort=rlv&t=doc
[36]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=depth-first copying&submit=Search&sort=rlv&t=doc
[37]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=scale appear&submit=Search&sort=rlv&t=doc
[38]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=major impact&submit=Search&sort=rlv&t=doc
[39]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=lisp system&submit=Search&sort=rlv&t=doc
[40]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=demand-paged virtual memory&submit=Search&sort=rlv&t=doc
[41]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=practical issue&submit=Search&sort=rlv&t=doc
[42]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=date appear&submit=Search&sort=rlv&t=doc
[43]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=storage management&submit=Search&sort=rlv&t=doc
[44]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=automatic storage reclamation&submit=Search&sort=rlv&t=doc
[45]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=important aspect&submit=Search&sort=rlv&t=doc
[46]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=particular attention&submit=Search&sort=rlv&t=doc
[47]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=garbage collection technique&submit=Search&sort=rlv&t=doc
[48]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=garbage collector&submit=Search&sort=rlv&t=doc
[49]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=large virtual memory&submit=Search&sort=rlv&t=doc
[50]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=automatic storage management storage management&submit=Search&sort=rlv&t=doc
[51]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=new object&submit=Search&sort=rlv&t=doc
[52]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=lisp world&submit=Search&sort=rlv&t=doc
[53]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=ephemeral object&submit=Search&sort=rlv&t=doc
[54]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=automatic storage management&submit=Search&sort=rlv&t=doc
[55]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=incremental copying garbage collection&submit=Search&sort=rlv&t=doc
[56]: http://citeseerx.ist.psu.edu/search%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784??q=large system problem&submit=Search&sort=rlv&t=doc
[57]: http://citeseerx.ist.psu.edu/images/solrlogo1.png%3Bjsessionid%3D8333072C9907BF4BBFA73E6BC620B784
[58]: http://csxstatic.ist.psu.edu/about
[59]: http://csxcrawlweb01.ist.psu.edu/submit_pub/
[60]: http://csxstatic.ist.psu.edu/privacy
[61]: http://csxstatic.ist.psu.edu/help
[62]: http://csxstatic.ist.psu.edu/about/data
[63]: https://github.com/SeerLabs/CiteSeerX
[64]: http://csxstatic.ist.psu.edu/contact
[65]: http://ist.psu.edu
[66]: http://www.psu.edu

