---
created_at: '2016-07-01T15:16:06.000Z'
title: US National Park Service's Unigrid (1985)
url: http://npshistory.com/brochures/unigrid/index.htm
author: marcusarmstrong
points: 42
story_text: 
comment_text: 
num_comments: 4
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1467386166
_tags:
- story
- author_marcusarmstrong
- story_12016748
objectID: '12016748'

---
[Source](http://npshistory.com/brochures/unigrid/index.htm "Permalink to National Park Service History: Brochures (Unigrid)")

# National Park Service History: Brochures (Unigrid)



| ----- |
| 

|  **Unigrid**  |  ![NPS Logo][1]  | 

 | 

| ----- |
| 

|  **Design Specifications**  | 

The Unigrid System solves two primary problems of folder planning. First, it organizes the editorial and graphic components within a format. Second, it quickly helps determine how a folder will be printedthe inks, the paper, and the sheet size. The measurements for the 10 formats are derived from the B6 size, the system's largest printed sheet. This Unigrid base has 12 panels on each side. All dimensions for text, maps, and art are reckoned from this base on acetate grid overlays. Because this network of points is constant, designers can quickly locate graphic components in the layout stages leading to mechanical art.

From this base, all formats can be imposed on the two printing sheets with minimal waste. By reducing production variables to one paper, in two sizes, it is possible to economize on paper, presswork, and folding. The size of the basic folded panel in the Unigrid System replaces four previously used, none of which had their origins in modern printing methods. Brief specifications for the Unigrid System are indicated here as planning aids for those working on folder projects. These standards open the way for graphic improvements, the elimination of production inefficiencies, and increased usefulness for NPS folders.

| ----- |
|  **Unigrid Graphic Components**  | 

**Size and Scale**

No format in the Unigrid System requires any alteration in size of type, maps, or illustrations. Small formats are not miniatures of larger formats. Graphic components retain the same size regardless of format chosen. Scale may vary, however, with the different formats.

A sensitive handling of scale is essential to properly detailing any composition. It is the essence of harmonious layouts in the Unigrid System, and this need increases when the broadside carries a large map, or composite picture presentation. The designer has far more latitude with such assemblies to make shifts in elements, and therefore scale, than is possible when layouts are controlled by the small panels of a folder. The need is to keep forms, colors, and spatial arrangements of a composition balanced and optically proportioned.

These broadside compositions are highly suited to the kind of information carried in NPS folders. Involved stories can be reduced to summary presentations. Complicated technical or mechanical processes can be simplified through visual demonstrations. Historical settings can be reconstructed and important events reenacted by way of painted scenes. To these ends, pictorial matter can be gigantic or minuscule, or both, as long as the designer respects optical effects and regulates the relationships. Illustration takes on great freedom with the broadside, and the range of spatial effects is extended. NPS folders will gain vitality from this opening up of form and space.

The grid, used as an organizational base, helps the designer overcome problems of size and scale by determining the fundamental relationships between parts. Providing this proven framework, the grid sets up ratios for the elements. It makes workable layouts, and therefore, workable folders, predictable.

The Unigrid System detailed here is based on an evaluative analysis of NPS folders by consulting designer Massimo Vignelli.

![][2]  
_(click on image for a PDF version)_

![][3]**Titles**

Throughout the two series of formats, cover title bars and type treatment are uniform. In practice, the title bar assumes the quality of a logotype for the folder program. Therefore, it is not altered in form or printed in color. All titles reverse in white against a 100 point black edge bar. Park names with fewer than 12 letters are set in 60 point Helvetica Medium C/lc flush left with the first grid module. Longer park names are set in 42 point C/lc.

The site designation and location are set in 12/14 or 8/9 Helvetica Medium C/lc aligned with the seventh grid module, service and Departmental designations follow the same pattern, aligned with the tenth grid module. Subordinate titling on general broadsides can be set optionally in 18/25 Helvetica Light C/lc.

All type is hung 10 points below the top trim. The title bar is used in combination with a single-color cover panel, or it can be used with a pictorial panel. In the A-Series, the park name is positioned in the bar as indicated above. The site designation and the agency entries are located in the black title bar in 8/9 Helvetica Medium C/lc aligned with the fifth grid module.

![][4]**Cover Illustrations and Color**

In previous Park Service folders, two panels were reserved for cover purposes. In the Unigrid System, that continues but with some options which alter the cover concept. In this plan, the cover illustration generally sets the tone for the full broadside and its components.

In the A-Series, where it is possible to have only one panel as the cover, a color, or photographic band, can serve that end.

In larger B-Series folders, up to four panels can be devoted to cover and display. This might be a large photograph, drawing, or historical composite of such quality that it sets the visual tone for the full folder. Color and density must be related to the tonality of the broadside and the subject matter that it carries.

The Unigrid cover concept insists on a purposeful approach to a folder's introductory passages. No longer is the cover a miniature poster set apart from the main body of the presentation. By integrating cover with broadside, the space formerly used for the cover is now unified with the overall graphic composition and purpose of the folder.

The black masthead with its standardized site designation is, in a sense, the cover. Its complement is the folder's text, map, and pictures taken in their entirety. The full broadside, with type, color, and imagery working together, provides the unifying force. Such graphics, repeated through millions of impressions, offer continuity and identification for the National Park Service, in addition to the functional application of the folder itself.

Color, through appropriate applications and repeated effects, distinguishes the series. The 24 standard colors are: Process/yellow, magenta, cyan, and black. Neutral Beiges/PMS 451, 452, 453, and 454. Neutral Grays/PMS 414, 415, 416, and 417. Blues/PMS 279, 293, 298, and 304. Greens/PMS 354, 368, and 375. Yellows/PMS 109 and 116. Oranges/PMS 144 and 159. Super Warm Red.

![][5]**Texts**

This plan depends on brief texts with strong divisions between differing levels of information. The purpose is to avoid those tiresome arrangements and hodge podge effects that are the enemy of good layout and the death of thought.

Text entries are set in Helvetica Regular or Medium. For the A-Series, the specifications are 8/10 and 9/10 in measures of 14 or 21½ picas. For the B-Series, the specifications are 8/10 or 9/10 in measures of 15 or 23 picas. Text is set in justified columns, with top and bottom margins flush to accent the horizontals. The far righthand columns may fall short of the bottom flush line as required. No indents are used, and paragraph spaces are one open line.

Type prints black on white in most cases, but it may be handled in color or against color backgrounds to suit overall design requirements. Safety and other high priority information may be indicated in Helvetica Medium. All maps and tabular entries are composed in Helvetica.

![][6]**Major Display and Margins**

Major display type is set in 12, 18, or 24 point Helvetica Medium C/lc positioned 10 points above the related text. Display type may also be reversed from a black divider bar. In such cases, the white type is 12 point Helvetica Medium C/lc aligned with the related text, and superimposed on a 14 or 25 point bar.

Margins, like other components in the Unigrid System, must be handled with precision. The vertical margins are established by the grid. Horizontal margins must consistently carry a 40 point space above text entries to provide a fascia, or horizontal banding. This space can also be used for display type. The margin below a bank of text carries at least a 20 point drop.

![][7]**Captions and Minor Display**

Captions are set in Helvetica Regular or Medium, Roman or Italic, in 7/7, 7/8, or 8/9. Helvetica Bold may be used in some circumstances with restraint. Preferred caption measures are 6½ or 14 picas for the A-Series and 7 or 15 picas for the B-Series. Columns are set rag right. Captions usually print in black but can be printed in color for special effects. A clear demarcation must exist between text entries and caption entries.

Minor display type is set in Helvetica Medium C/lc, no larger than 12 point if isolated. If run-in, it is set in the same size as the text or caption it describes.

![][8]**Bars and Dividers**

The prototype folder shows that the horizontals are accented through the placement of type, by the use of horizontal margins, and especially by the use of bars and toned divider panels. These devices organize and contain the layout. Designers should find them helpful in arriving at a modular makeup for the broadside composition. Maintenance is a continuing process in NPS publications. These horizontal devices lend a regularity to the parts, and they can be easily interchanged in revision.

The 25 point bottom and divisional bars, like the title bar at the top, define the limits of the graphic presentation. The dominant black tone of these dividing elements sets off text and other information, making it easier to locate.

**Measurements**

Three different units of measurement are used to specify components in the Unigrid System.

The outer dimensions of the sheets, or trim sizes, are always indicated in millimeters. The prototype B6 folder shown here would be 420 mm wide by 594 mm high.

All horizontal measurements within the grid, including internal margins, are indicated in picas. All vertical measurements within the grid are indicated in points.

The measurements of modules within the two formats are slightly different. For the A-module, the width is 6½ picas, and the height 80 points. The vertical spaces between modules are always 1 pica wide. The horizontal spaces between modules are always 10 points high. For the B-module, the width is 7 picas, and the height is the same 80 points.

Photographs and illustrations used in the composition should be specified in picas only unless they are folder width or height, in which case they are indicated in millimeters.

This combination of millimeters, points, and picas is necessary because typographers and compositors use these latter two measurements.

![][9]  
_(click on image for a PDF version)_

**The Grid Behind the Layout**

Hold this sheet to a strong light _(simulated above)_ to see how Unigrid serves as the understructure for the graphic entries on the prototype folder above. This demonstration folder shows the locations, and handling, of the primary graphic elements in the Unigrid System. Shown is the B6 format at approximately half its original size. Most folders will be printed using smaller formats.

| ----- |
|  ** **  | 

**House Typeface**

The house typeface for the Unigrid System is Helvetica. This modern typeface was selected because it has crisp, clean details and typographic texture that make it esthetically appealing and easy to read. It has a clearly defined hierarchy of sizes and weights with known typographic results and thus is compatible with such special applications as maps and tabular material found in NPS folders. Park names, set in Helvetica display in the title bar, establish the folder's typographic scale and serve as a logotype for the series.

Helvetica is particularly suited to the offset process used for printing NPS folders because of its line strength, consistent color, a lack of idiosyncrasies, and large x-height. Helvetica's large x-height, the height of lower case letters, such as the x, strengthens the word form and therefore the text's legibility. Helvetica is one of the few typefaces with this large x-height that is also neutral in style.

This type is available in a wide range of sizes and weights in both metal and film composition. It serves large display and small caption purposes without loss of character. Helvetica, when used as specified, promises legibility, a savings in time and money in the design process, and a consistent typographic appearance for the series.

**Preferred Colors**

The Unigrid System addresses the inherent strengths and weaknesses of the offset printing process. The success of the graphic plan depends on the designer's respect for the means and materials of the process. Nowhere is this more true than in the use of color. Consistency and workable effects are important; bizarre effects should be avoided.

In this plan, process color is a unifying element, used as a basis for NPS maps and for the muted background tones that set off the text and pictorial components of most park folders. With color thus available, it is used when handling complicated interpretive problems that require a natural spectrum to tell the park story. Color helps shape contrast, simplifying difficult landform presentations or describing flora and fauna in their finest detail. It is used to faithfully depict important historical materials such as paintings or objects, for scientific illustrations, or for specimen identification. It is used for safety and other visitor protection purposes. And where folders are sold, color greatly enhances their appeal at the point of sale.

When flat inks are specified, a dozen colors in the bright range are preferred as are eight colors in the muted range. These colors offer a broad palette while facilitating a family look for the series.

**Maps**

As a step toward achieving greater utility for cartographic materials, maps are presented in larger sizes and given more uniform graphic treatment. Maps, under this plan, fit squarely into the formats and are not combined with text matter. They are also not a clustering place for pictures or other kinds of decoration. This simplification makes it easier for users to locate information within the folder. It also establishes the parameters by which cartographers shape and maintain the maps.

NPS maps are based on carefully devised specifications, the purpose of which is to assure legibility and economical printing. Flat maps gain in reference value through the improved use of form, color, and typographic variations. Shaded relief is used to express a variety of landforms, but especially mountains. Dimensional and schematic views are called upon for complex landscapes or geological phenomena. And in every effort is made to show historical maps where these support a park story. Graphic approaches to map presentation include the framing of large maps with a 25 point border carrying location keys where these are helpful. Fully developed maps are preferred to phantom or fragmented versions. Park property is contrasted with lands beyond the boundaries. Finally, NPS graphic specifications dominate and unify the mapmaking process for purposes of economy and consistency.

**Pictorial Features**

The Unigrid System handles text as text and illustration as illustration; the elements are separate and distinct. Pictorial treatments therefore follow certain approaches supporting this division.

The first of these is a band, or toned panel, in which pictures and photographs are clustered to set them off from text or map. When color photographs are used, this band is often black for maximum contrast. Neutral background colors are used for more muted effects.

A second method is to locate pictorial subjects in the cover assembly. This may be a single dramatic entry, or many pictures, presented in multiples of the grid from small parts up to two, three, or four large segments.

A third method is to assemble pictures and story in an illustrated essay in which visual images dominate. The illustrated essay requires the full width of the broadside and lets pictures be composed against a toned field and set apart. Users can thus view a range of interpretive information much as they might an exhibit. As with illustrated charts, this technique juxtaposes large and small images in a pattern of major and minor pictorial themes. Text is integrated with pictures much like captions for an exhibit.

| ----- |
|  ** **  | 

Unigrid is a system of standardized graphic and production components developed for NPS site folders. Its graphics include a house typeface, preferred colors, simplified maps, consistent pictorial treatments. Production follows a broadside approach, one folded size, one printing paper in two sizes, 10 basic formats. The system's pivotal component is a grid of horizontal and vertical lines creating small rectangles over the 10 basic formats. This grid provides an unseen, supporting structure for the layouts. It is the key to organizing the many variables of print production. The formats set by this predetermined grid unite work at the drafting table with work at the printing plant.

| ----- |
|  **Unigrid Production Components**  | 

**Resolving the Design Platform**

"Design," it is said, "is essentially the art and science of arranging the parts of an object, or of objects in a group, so that they serve the purpose for which the whole was designed and at the same time create seemly, harmonious, and beautiful entities." The Unigrid idea embraces this scheme of utility combined with beauty. Facile solutions are not the intent. Unigrid's purpose is to help organize and develop functional site folders. Participants, following Unigrid's simple principles, deal quickly with the project's many intrinsic problems and considerations.

Both park staff and creative team must first agree on the folder's concept. How big will it be? What parts are wanted? What percentage space will parts occupy? This apportioning of text, map, and picture depends on a sound analysis of the folder's planned use. The space might thus be divided in thirds. Or at a large park, the map might call for half of the space, leaving the balance for the rest. This subdivision is then further reduced. For instance, what part of text space is introduction tourguide, interpretation, or safety message? Likewise for the others.

Such organization gives the folder its Design Platform, or ratio of parts, so there must be full agreement between park staff and creative team on the proportions. To initiate work, then follow these steps: 1. Theorize on the folder's probable application, size, format, and number of colors. 2. List the essential components in the order of their importance. 3. Estimate the space needs of each component as a percentage of 100. 4. Make a rough dummy incorporating the above three probabilities. 5. Prepare text, map, and picture materials according to the plan.

![][10]  
_(click on image for a PDF version)_

**The Broadside**

The broadside, or fully opened sheet of paper, is the dominant visual feature in the plan for National Park Service folders. Fold lines and the panels they create become mere background. They do not intrude on organization or set the scale.

Designers too often treat folder panels in the tradition of book production. The process of unfolding is allowed to determine narrative and illustration sequence just as page turning controls book design. Folder users approach them differently, however. They open the folder quickly, ignoring the sequential staging of panels. The two resulting broadsides are fragmented, with parts often upside down and even sideways. All of this is confusing to users, and they wonder why it has happened.

A park folder is not a book but a functioning site reference. It is much like a chart or map, to be opened as circumstances require.

The folders in the new NPS series are made with accordion folds so that they can be opened quickly from either side, and content is always right side up and positioned to the full frame of the paper.

To achieve this visual unity, the designer need only consistently position the graphic elements in keeping with the horizontal axis. The folder's two sides then becomefor both designer and usermatching entities. Formats, folds, and graphic components can be standardized. Cover illustration and typography can be integrated with the full folder.

With the broadside as the dominant organizing feature of the Unigrid System, rigorous structuring of layouts becomes possible. Text assumes its proper rank and position by the logic of its purpose. Maps assume an elevated, central role and are unified with the layout. Pictorial and editorial matter lend themselves to encyclopedic or chart-like treatment. How-to-use-the-park information can be featured for the utmost utility. Brevity, directness, and comprehensiveness become not just advantages but features of the system.

All Unigrid folders are treated as broadsides, with each providing different possibilities according to size and shape. The elongated A-Series pleasingly accommodates vertical elements such as long maps of riverine or seashore areas. The B-Series, with its wider dimensions, easily accommodates large elements, such as square maps or display illustrations like the frigate on the prototype shown on the reverse of this folder.

The Unigrid System greatly resolves layout problems. Because important compositional relationships have effectively been resolved in advance of each assignment, the designer is free to concentrate on working closely with the creative team to develop the materials. Costs, looks, function: these become guiding forces as project participants work through the stages leading to a new folder.

**One Paper in Two Sizes**

The Unigrid System utilizes one paper, a 70-lb. dull coated text weight, in two sizes: 635 by 965 and 965 by 1270 millimetersa standard American size. Reducing paper variables to two sizes in a single stock makes possible its purchase in carload lots for maximum discounts.

This dull-coated stock takes both flat color and four-color reproduction. The paper offers many advantages for NPS folders. It lends richness, brilliance, and warmth to photographic reproductions. It accepts a range of colors offering needed contrast for readability and quick reference in NPS maps. Its color fidelity enriches historical materials such as paintings and objects which must be depicted faithfully.

The paper offers rigidity, opacity, and toughness where map-folders will see rough usage over extended periods in possibly unfavorable weather. Its non-glare surface produces easy reading under bright skiesan important consideration at many NPS sites.

All formats can be cut from the 965 by 1270 mm sheet, the size which should be used whenever large quantities are printed.

All formats can also use the 635 by 965 mm sheet except the A4 and B4 sizes, which are cut from the larger sheet. This sheet is suited to smaller presses and print runs.

Both sheets run through the press with the short side. Paper grain is therefore in the long dimension, and fold considerations have been determined accordingly.

**Standard Travel Folders**

A primary module within the Unigrid System, constant throughout the series, is the folded, or cover size, measuring 99 by 210 mm. This folded size, with its 10 basic formats, offers flexibility for NPS site needs beyond that possible with previous formats. This cover conforms to the standard international travel folder size and ties NPS folders to world tourismno small matter of commerce. The cover size fits pocket, handbag, and ordinary envelopes, and it provides practical and esthetic advantages developed in the movement toward metrics.

This consolidation of paper sizes comes as the American paper industry turns to metrics and as others seek to reduce the confusion in graphic arts measurements. The utter simplicity of metrics is compelling, yet it raises questions on length-to-width ratios. To work, a format must not only be well proportioned, but it must permit economical paper cuts as the sheet is subdivided. Unigrid's B6 base lets the ratio of the initial rectangle continue as folding occurs. Such paper sizes are in the DIN system of metric measurements.

DIN stands for Deutsche Industrie Norm of West Germany, perhaps the world's most comprehensive system of standards and specifications. The DIN system of paper measurements is the basis of the Unigrid formats. The B6 format is equivalent to the DIN A2 size. This format is a root-two rectangle, which derives from an extension of a square along the arc of its diagonal. In such a rectangle, length is the square root of 2, or 1.414, times the width. This aspect of ratio is retained every time the paper is folded in half across its longer side.

| ----- |
|  ** **  | 

**Basic Formats**

The Unigrid System provides a total of 10 basic formats in two series. These are expected to be used for all folders in the NPS publications program. All formats are segments of the B6 size. The basic formats simplify design, contracting, and production because they reduce trim sizes from more than four dozen to 10 only.

Formats in the A-Series are one panel wide and up to six panels deep. Formats in the B-Series are two panels wide and up to six panels deep. There are no A5 or B5 formats because such sizes cannot be economically cut from the two specified printing sheets. The 3, 4, and 6 sizes in each series are the most practical for general park applications.

The A6 size can be doubled to become an A12 when an extra-length map for a parkway, trail, or canal is required. The folds are simple accordions for all sizes and can be handled on standard equipment. Acetate overlays with printed grids for the 10 formats are available as aids to those working on creative or production jobs.

![][11]  
_(click on image for a PDF version)_

**National Park Service  
Informational Folder Program  
1985**

| ----- |
|  **Division of Publications, National Park Service, U.S. Department of the Interior, Washington, D.C.**  | 

 | 

  
index.htm  
Last Updated: 09-Jun-2012

[1]: http://npshistory.com/images/AH_medium_black.gif
[2]: http://npshistory.com/images/plate1.jpg
[3]: http://npshistory.com/images/fig1.jpg
[4]: http://npshistory.com/images/fig2.jpg
[5]: http://npshistory.com/images/fig3.jpg
[6]: http://npshistory.com/images/fig4.jpg
[7]: http://npshistory.com/images/fig5.jpg
[8]: http://npshistory.com/images/fig6.jpg
[9]: http://npshistory.com/images/plate2.jpg
[10]: http://npshistory.com/images/plate3.jpg
[11]: http://npshistory.com/images/plate4.jpg

