---
created_at: '2015-05-19T16:43:52.000Z'
title: How to Write with Style (1985)
url: http://peterstekel.com/PDF-HTML/Kurt%20Vonnegut%20advice%20to%20writers.htm
author: rcoppolo
points: 124
story_text: ''
comment_text: 
num_comments: 17
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1432053832
_tags:
- story
- author_rcoppolo
- story_9571392
objectID: '9571392'

---
[Source](http://peterstekel.com/PDF-HTML/Kurt Vonnegut advice to writers.htm "Permalink to Advice to writers by Vonnegut")

# Advice to writers by Vonnegut

How to Write With Style

by

Kurt Vonnegut

  

Newspaper reporters and technical writers are trained to reveal almost nothing about themselves in their writings. This makes them freaks in the world of writers, since almost all of the other ink-stained wretches in that world reveal a lot about themselves to readers. We call these revelations, accidental and intentional, elements of style.

These revelations tell us as readers what sort of person it is with whom we are spending time. Does the writer sound ignorant or informed, stupid or bright, crooked or honest, humorless or playful --- ? And on and on.

Why should you examine your writing style with the idea of improving it? Do so as a mark of respect for your readers, whatever you're writing. If you scribble your thoughts any which way, your readers will surely feel that you care nothing about them. They will mark you down as an egomaniac or a chowderhead --- or, worse, they will stop reading you.

The most damning revelation you can make about yourself is that you do not know what is interesting and what is not. Don't you yourself like or dislike writers mainly for what they choose to show you or make you think about? Did you ever admire an emptyheaded writer for his or her mastery of the language? No.

So your own winning style must begin with ideas in your head.

  

1\. Find a subject you care about

Find a subject you care about and which you in your heart feel others should care about. It is this genuine caring, and not your games with language, which will be the most compelling and seductive element in your style.

I am not urging you to write a novel, by the way --- although I would not be sorry if you wrote one, provided you genuinely cared about something. A petition to the mayor about a pothole in front of your house or a love letter to the girl next door will do.

  

2\. Do not ramble, though

I won't ramble on about that.

  

3\. Keep it simple

As for your use of language: Remember that two great masters of language, William Shakespeare and James Joyce, wrote sentences which were almost childlike when their subjects were most profound. "To be or not to be?" asks Shakespeare's Hamlet. The longest word is three letters long. Joyce, when he was frisky, could put together a sentence as intricate and as glittering as a necklace for Cleopatra, but my favorite sentence in his short story "Eveline" is this one: "She was tired." At that point in the story, no other words could break the heart of a reader as those three words do.

Simplicity of language is not only reputable, but perhaps even sacred. The _Bible_ opens with a sentence well within the writing skills of a lively fourteen-year-old: "In the beginning God created the heaven and the earth."

  

4\. Have guts to cut

It may be that you, too, are capable of making necklaces for Cleopatra, so to speak. But your eloquence should be the servant of the ideas in your head. Your rule might be this: If a sentence, no matter how excellent, does not illuminate your subject in some new and useful way, scratch it out.

  

5\. Sound like yourself

The writing style which is most natural for you is bound to echo the speech you heard when a child. English was Conrad's third language, and much that seems piquant in his use of English was no doubt colored by his first language, which was Polish. And lucky indeed is the writer who has grown up in Ireland, for the English spoken there is so amusing and musical. I myself grew up in Indianapolis, where common speech sounds like a band saw cutting galvanized tin, and employs a vocabulary as unornamental as a monkey wrench.

In some of the more remote hollows of Appalachia, children still grow up hearing songs and locutions of Elizabethan times. Yes, and many Americans grow up hearing a language other than English, or an English dialect a majority of Americans cannot understand.

All these varieties of speech are beautiful, just as the varieties of butterflies are beautiful. No matter what your first language, you should treasure it all your life. If it happens to not be standard English, and if it shows itself when your write standard English, the result is usually delightful, like a very pretty girl with one eye that is green and one that is blue.

I myself find that I trust my own writing most, and others seem to trust it most, too, when I sound most like a person from Indianapolis, which is what I am. What alternatives do I have? The one most vehemently recommended by teachers has no doubt been pressed on you, as well: to write like cultivated Englishmen of a century or more ago.

  

6\. Say what you mean

I used to be exasperated by such teachers, but am no more. I understand now that all those antique essays and stories with which I was to compare my own work were not magnificent for their datedness or foreignness, but for saying precisely what their authors meant them to say. My teachers wished me to write accurately, always selecting the most effective words, and relating the words to one another unambiguously, rigidly, like parts of a machine. The teachers did not want to turn me into an Englishman after all. They hoped that I would become understandable --- and therefore understood. And there went my dream of doing with words what Pablo Picasso did with paint or what any number of jazz idols did with music. If I broke all the rules of punctuation, had words mean whatever I wanted them to mean, and strung them together higgledy-piggledy, I would simply not be understood. So you, too, had better avoid Picasso-style or jazz-style writing, if you have something worth saying and wish to be understood.

Readers want our pages to look very much like pages they have seen before. Why? This is because they themselves have a tough job to do, and they need all the help they can get from us.

  

7\. Pity the readers

They have to identify thousands of little marks on paper, and make sense of them immediately. They have to _read_, an art so difficult that most people don't really master it even after having studied it all through grade school and high school --- twelve long years.

So this discussion must finally acknowledge that our stylistic options as writers are neither numerous nor glamorous, since our readers are bound to be such imperfect artists. Our audience requires us to be sympathetic and patient readers, ever willing to simplify and clarify --- whereas we would rather soar high above the crowd, singing like nightingales.

That is the bad news. The good news is that we Americans are governed under a unique Constitution, which allows us to write whatever we please without fear of punishment. So the most meaningful aspect of our styles, which is what we choose to write about, is utterly unlimited.

  

8\. For really detailed advice

For a discussion of literary style in a narrower sense, in a more technical sense, I recommend to your attention _The Elements of Style_, by William Strunk, Jr. and E.B. White. E.B. White is, of course, one of the most admirable literary stylists this country has so far produced.

You should realize, too, that no one would care how well or badly Mr. White expressed himself, if he did not have perfectly enchanting things to say.

  

In Sum:

  

1\. Find a subject you care about

2\. Do not ramble, though

3\. Keep it simple

4\. Have guts to cut

5\. Sound like yourself

6\. Say what you mean

7\. Pity the readers

  

from: _How to Use the Power of the Printed Word_, Doubleday

Available from International Paper, Dept 5DM, P.O. Box 954, Madison Sq. Sta., N.Y. NY 10010 for $7.95 (includes $2.00 for p and h).

