---
created_at: '2010-02-24T13:49:12.000Z'
title: Isaac Asimov - The Relativity of Wrong (1989)
url: http://chem.tufts.edu/AnswersInScience/RelativityofWrong.htm
author: nkurz
points: 97
story_text: ''
comment_text: 
num_comments: 32
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1267019352
_tags:
- story
- author_nkurz
- story_1147968
objectID: '1147968'

---
[Source](http://chem.tufts.edu/AnswersInScience/RelativityofWrong.htm "Permalink to Asimov - The Relativity of Wrong")

# Asimov - The Relativity of Wrong

 

| ----- |
| 

###  The Skeptical Inquirer, Fall 1989, Vol. 14, No. 1, Pp. 35-44 

* * *

###  The Relativity of Wrong  
By Isaac Asimov

I RECEIVED a letter the other day. It was handwritten in crabbed penmanship so that it was very difficult to read. Nevertheless, I tried to make it out just in case it might prove to be important. In the first sentence, the writer told me he was majoring in English literature, but felt he needed to teach me science. (I sighed a bit, for I knew very few English Lit majors who are equipped to teach me science, but I am very aware of the vast state of my ignorance and I am prepared to learn as much as I can from anyone, so I read on.) 

It seemed that in one of my innumerable essays, I had expressed a certain gladness at living in a century in which we finally got the basis of the universe straight. 

I didn't go into detail in the matter, but what I meant was that we now know the basic rules governing the universe, together with the gravitational interrelationships of its gross components, as shown in the theory of relativity worked out between 1905 and 1916. We also know the basic rules governing the subatomic particles and their interrelationships, since these are very neatly described by the quantum theory worked out between 1900 and 1930. What's more, we have found that the galaxies and clusters of galaxies are the basic units of the physical universe, as discovered between 1920 and 1930\. 

These are all twentieth-century discoveries, you see. 

The young specialist in English Lit, having quoted me, went on to lecture me severely on the fact that in every century people have thought they understood the universe at last, and in every century they were proved to be wrong. It follows that the one thing we can say about our modern "knowledge" is that it is wrong. The young man then quoted with approval what Socrates had said on learning that the Delphic oracle had proclaimed him the wisest man in Greece. "If I am the wisest man," said Socrates, "it is because I alone know that I know nothing." the implication was that I was very foolish because I was under the impression I knew a great deal. 

My answer to him was, "John, when people thought the earth was flat, they were wrong. When people thought the earth was spherical, they were wrong. But if you think that thinking the earth is spherical is just as wrong as thinking the earth is flat, then your view is wronger than both of them put together." 

The basic trouble, you see, is that people think that "right" and "wrong" are absolute; that everything that isn't perfectly and completely right is totally and equally wrong. 

However, I don't think that's so. It seems to me that right and wrong are fuzzy concepts, and I will devote this essay to an explanation of why I think so. 

When my friend the English literature expert tells me that in every century scientists think they have worked out the universe and are always wrong, what I want to know is how wrong are they? Are they always wrong to the same degree? Let's take an example. 

In the early days of civilization, the general feeling was that the earth was flat. This was not because people were stupid, or because they were intent on believing silly things. They felt it was flat on the basis of sound evidence. It was not just a matter of "That's how it looks," because the earth does not look flat. It looks chaotically bumpy, with hills, valleys, ravines, cliffs, and so on. 

Of course there are plains where, over limited areas, the earth's surface does look fairly flat. One of those plains is in the Tigris-Euphrates area, where the first historical civilization (one with writing) developed, that of the Sumerians. 

Perhaps it was the appearance of the plain that persuaded the clever Sumerians to accept the generalization that the earth was flat; that if you somehow evened out all the elevations and depressions, you would be left with flatness. Contributing to the notion may have been the fact that stretches of water (ponds and lakes) looked pretty flat on quiet days. 

Another way of looking at it is to ask what is the "curvature" of the earth's surface Over a considerable length, how much does the surface deviate (on the average) from perfect flatness. The flat-earth theory would make it seem that the surface doesn't deviate from flatness at all, that its curvature is 0 to the mile. 

Nowadays, of course, we are taught that the flat-earth theory is wrong; that it is all wrong, terribly wrong, absolutely. But it isn't. The curvature of the earth is nearly 0 per mile, so that although the flat-earth theory is wrong, it happens to be nearly right. That's why the theory lasted so long. 

There were reasons, to be sure, to find the flat-earth theory unsatisfactory and, about 350 B.C., the Greek philosopher Aristotle summarized them. First, certain stars disappeared beyond the Southern Hemisphere as one traveled north, and beyond the Northern Hemisphere as one traveled south. Second, the earth's shadow on the moon during a lunar eclipse was always the arc of a circle. Third, here on the earth itself, ships disappeared beyond the horizon hull-first in whatever direction they were traveling. 

All three observations could not be reasonably explained if the earth's surface were flat, but could be explained by assuming the earth to be a sphere. 

What's more, Aristotle believed that all solid matter tended to move toward a common center, and if solid matter did this, it would end up as a sphere. A given volume of matter is, on the average, closer to a common center if it is a sphere than if it is any other shape whatever. 

About a century after Aristotle, the Greek philosopher Eratosthenes noted that the sun cast a shadow of different lengths at different latitudes (all the shadows would be the same length if the earth's surface were flat). From the difference in shadow length, he calculated the size of the earthly sphere and it turned out to be 25,000 miles in circumference. 

The curvature of such a sphere is about 0.000126 per mile, a quantity very close to 0 per mile, as you can see, and one not easily measured by the techniques at the disposal of the ancients. The tiny difference between 0 and 0.000126 accounts for the fact that it took so long to pass from the flat earth to the spherical earth. 

Mind you, even a tiny difference, such as that between 0 and 0.000126, can be extremely important. That difference mounts up. The earth cannot be mapped over large areas with any accuracy at all if the difference isn't taken into account and if the earth isn't considered a sphere rather than a flat surface. Long ocean voyages can't be undertaken with any reasonable way of locating one's own position in the ocean unless the earth is considered spherical rather than flat. 

Furthermore, the flat earth presupposes the possibility of an infinite earth, or of the existence of an "end" to the surface. The spherical earth, however, postulates an earth that is both endless and yet finite, and it is the latter postulate that is consistent with all later findings. 

So, although the flat-earth theory is only slightly wrong and is a credit to its inventors, all things considered, it is wrong enough to be discarded in favor of the spherical-earth theory. 

And yet is the earth a sphere? 

No, it is not a sphere; not in the strict mathematical sense. A sphere has certain mathematical properties - for instance, all diameters (that is, all straight lines that pass from one point on its surface, through the center, to another point on its surface) have the same length. 

That, however, is not true of the earth. Various diameters of the earth differ in length. 

What gave people the notion the earth wasn't a true sphere? To begin with, the sun and the moon have outlines that are perfect circles within the limits of measurement in the early days of the telescope. This is consistent with the supposition that the sun and the moon are perfectly spherical in shape. 

However, when Jupiter and Saturn were observed by the first telescopic observers, it became quickly apparent that the outlines of those planets were not circles, but distinct ellipses. That meant that Jupiter and Saturn were not true spheres. 

Isaac Newton, toward the end of the seventeenth century, showed that a massive body would form a sphere under the pull of gravitational forces (exactly as Aristotle had argued), but only if it were not rotating. If it were rotating, a centrifugal effect would be set up that would lift the body's substance against gravity, and this effect would be greater the closer to the equator you progressed. The effect would also be greater the more rapidly a spherical object rotated, and Jupiter and Saturn rotated very rapidly indeed. 

The earth rotated much more slowly than Jupiter or Saturn so the effect should be smaller, but it should still be there. Actual measurements of the curvature of the earth were carried out in the eighteenth century and Newton was proved correct. 

The earth has an equatorial bulge, in other words. It is flattened at the poles. It is an "oblate spheroid" rather than a sphere. This means that the various diameters of the earth differ in length. The longest diameters are any of those that stretch from one point on the equator to an opposite point on the equator. This "equatorial diameter" is 12,755 kilometers (7,927 miles). The shortest diameter is from the North Pole to the South Pole and this "polar diameter" is 12,711 kilometers (7,900 miles). 

The difference between the longest and shortest diameters is 44 kilometers (27 miles), and that means that the "oblateness" of the earth (its departure from true sphericity) is 44/12755, or 0.0034. This amounts to l/3 of 1 percent. 

To put it another way, on a flat surface, curvature is 0 per mile everywhere. On the earth's spherical surface, curvature is 0.000126 per mile everywhere (or 8 inches per mile). On the earth's oblate spheroidal surface, the curvature varies from 7.973 inches to the mile to 8.027 inches to the mile. 

The correction in going from spherical to oblate spheroidal is much smaller than going from flat to spherical. Therefore, although the notion of the earth as a sphere is wrong, strictly speaking, it is not as wrong as the notion of the earth as flat. 

Even the oblate-spheroidal notion of the earth is wrong, strictly speaking. In 1958, when the satellite Vanguard I was put into orbit about the earth, it was able to measure the local gravitational pull of the earth--and therefore its shape--with unprecedented precision. It turned out that the equatorial bulge south of the equator was slightly bulgier than the bulge north of the equator, and that the South Pole sea level was slightly nearer the center of the earth than the North Pole sea level was. 

There seemed no other way of describing this than by saying the earth was pear-shaped, and at once many people decided that the earth was nothing like a sphere but was shaped like a Bartlett pear dangling in space. Actually, the pear-like deviation from oblate-spheroid perfect was a matter of yards rather than miles, and the adjustment of curvature was in the millionths of an inch per mile. 

In short, my English Lit friend, living in a mental world of absolute rights and wrongs, may be imagining that because all theories are wrong, the earth may be thought spherical now, but cubical next century, and a hollow icosahedron the next, and a doughnut shape the one after. 

What actually happens is that once scientists get hold of a good concept they gradually refine and extend it with greater and greater subtlety as their instruments of measurement improve. Theories are not so much wrong as incomplete. 

This can be pointed out in many cases other than just the shape of the earth. Even when a new theory seems to represent a revolution, it usually arises out of small refinements. If something more than a small refinement were needed, then the old theory would never have endured. 

Copernicus switched from an earth-centered planetary system to a sun-centered one. In doing so, he switched from something that was obvious to something that was apparently ridiculous. However, it was a matter of finding better ways of calculating the motion of the planets in the sky, and eventually the geocentric theory was just left behind. It was precisely because the old theory gave results that were fairly good by the measurement standards of the time that kept it in being so long. 

Again, it is because the geological formations of the earth change so slowly and the living things upon it evolve so slowly that it seemed reasonable at first to suppose that there was no change and that the earth and life always existed as they do today. If that were so, it would make no difference whether the earth and life were billions of years old or thousands. Thousands were easier to grasp. 

But when careful observation showed that the earth and life were changing at a rate that was very tiny but not zero, then it became clear that the earth and life had to be very old. Modern geology came into being, and so did the notion of biological evolution. 

If the rate of change were more rapid, geology and evolution would have reached their modern state in ancient times. It is only because the difference between the rate of change in a static universe and the rate of change in an evolutionary one is that between zero and very nearly zero that the creationists can continue propagating their folly. 

Since the refinements in theory grow smaller and smaller, even quite ancient theories must have been sufficiently right to allow advances to be made; advances that were not wiped out by subsequent refinements. 

The Greeks introduced the notion of latitude and longitude, for instance, and made reasonable maps of the Mediterranean basin even without taking sphericity into account, and we still use latitude and longitude today. 

The Sumerians were probably the first to establish the principle that planetary movements in the sky exhibit regularity and can be predicted, and they proceeded to work out ways of doing so even though they assumed the earth to be the center of the universe. Their measurements have been enormously refined but the principle remains. 

Naturally, the theories we now have might be considered wrong in the simplistic sense of my English Lit correspondent, but in a much truer and subtler sense, they need only be considered incomplete. 

  | 

