---
created_at: '2016-11-07T19:34:51.000Z'
title: Why is electricity so hard to understand? (1989)
url: http://amasci.com/miscon/whyhard2.html
author: Tomte
points: 388
story_text: 
comment_text: 
num_comments: 202
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1478547291
_tags:
- story
- author_Tomte
- story_12894192
objectID: '12894192'

---
[Source](http://amasci.com/miscon/whyhard2.html "Permalink to WHY HARD: Why Electricity is Impossible to Understand")

# WHY HARD: Why Electricity is Impossible to Understand



| ----- |
| 

|  ** [INDEX: ELECT. ARTICLES][1]  | **  
 |  ** [AMASCI .COM][2]  | **  
 |  ** [GOOD STUFF][3]  | **  
 |  ** [SEARCH][4]**  
 | 

 | 

 | 

| ----- |
| 
    
    
    

 |    | 
    
    
    
    

| 

BELOW are my original, very crude and totally unedited 1986-1989 notes and "raw data" for Electricity Exhibit, written for the Museum of Science in Boston. Some of this material became finished articles on Amasci.com.   

Why are my explanations different than usual? Because they're not based on earlier K-12 textbooks. Instead they're based on college-level physics textbooks, but I've translated the math into English. They're also based upon the intentional defeating of misconceptions: on the painful 'unlearning' I had to go through before I could gain an intuitive understanding of simple electrical physics. I kept a running record both of textbook errors and of useful simple concepts, as well as listing my own childhood misconceptions as I discovered them.   

[PS These notes are from before internet, before email, with many written on a typewriter and on a "word processing" system with no italics available, and most were transcribed before www and the <i> tag. No, the all-caps below is not shouting. This was written well before the "all caps is shouting" email standard. The all-caps in this document are actually notes to future publishers to typeset italicized words. Since apparently this opens up the material to straw-man troll attacks and accusations of angry shouting, I've added the italics tags. -billb 2015]   

See also: 
* [MAIN INDEX: Articles "Electricity"][1]   
* [Electricity FAQ: Frequently Asked Questions][5]   
* [INDEX: Electricity Misconceptions][6]   

 | 

 |  | 

  |    

# WHY IS ELECTRICITY  
SO HARD TO UNDERSTAND?  
A collection of various ideas. [LONG!]  
(C)1995 [William Beaty][7] BSEE

> In 1986-1988 I was working on Holt/Rinehart "Science" (their K6 text,) and also designing electricity devices at Boston's Museum of Science.   

> 
> I began slowly collecting instances of wrong electricity explanations. Most were misconceptions being spread by the current crop of K6 (grade school) science texts. Others were in mags and newspaper articles. A few were even in dictionaries and encyclopedias. The more I found, the more sensitized I became, and the more I could "see."   

> 
> In addition I began mining my own head for misunderstandings I originally had as a beginning learner. I couldn't get inside students' heads, but certainly I could get inside my own student brain of long ago. As I slowly learned new ways to understand the subject, I kept discovering new ways in which I'd _mis_understood it myself, and I kept adding to the growing pile. The misconceptions list became large, and soon I also was discovering parts of electricity that the general public invariably found misleading, or parts that were universally explained badly even in physics textbooks. (Advanced texts get the math right, but sometimes the rest of the explanation is faulty.)   

> 
> Below is the result. It's my big pile of raw unedited notes. [Here's the finished product.][1] Someday I'll try to include all the hand-drawn diagrams as well. (The edited condensed version is here" [Bad Physics: common electricity misconceptions][6].)   

## Why is 'electricity' nearly impossible to understand? Because of...

1. [Confusing definition of "Electricity"][8]
2. [Mistaken assumptions][9]
3. [Electric Current][10]
4. [Electric Energy][11]
5. [Electrostatics][12]
6. [Electric Fluid][13]
7. [Electric Charge][14]
8. [Misc.][15]
    
    
    
    [SCROLL DOWN][8]
    
    
    
    
    
    
    
    
    

[UP TO: finished electricity articles][1]

## 1\. PROBLEMS CAUSED BY THE DEFINITION OF THE WORD "ELECTRICITY"

## Why is electricity nearly impossible to understand? Because of...

...wide misuse of the word "electricity." Using Electricity as the single name for several completely different substance-like quantities, while at the same time expecting students to extract each differing meaning of the "electricity" from the way we use it in explanations. Unfortunately, students instead become permanently confused because they don't realize that the word has several definitions. They hear one word and assume we're talking about one single entity. As a result, they hear us describe a single "electricity-stuff" having contradictory, confusing, totally impossible behavior.   

...because we misuse the word "electricity." Using it to name physical entities and also classes of phenomena. Students may end up believing that static, current, electrons, and protons are various types of energy! (This is like confusion over the difference between Geology and rocks, or thinking that "Biology" and "living tissue" must be the same thing.)   

...we misuse "electricity" in early grades, then we never point out our earlier misuse during more advanced grades. Students end up with misconceptions learned early on. We use "lies to children" to avoid complicated explanations, but then we're never up-front with older high-school students about the misconceptions they probably acquired in grades K-6. Why can't we specifically teach kids about this problem with the definition of the word "electricity?"   

...because of our ignoring the contradiction between descriptions of various "kinds" of electricity. We insist that there are _only_ two kinds of electricity, pos and neg electricity! Then we say no, there are _only_ two kinds, static and current. Then we say no, there are many kinds of electricity: it's a _class of phenomenon_ with many types, like Bioelectricity, Piezoelectricity, etc. And then: no, there is _only one_ kind of electromagnetic energy, and electricity is a form of energy, therefore there's only one kind of electricity. ...All these statements are both right and wrong: when used alone they are accurate only because "Electricity" has so many distinct definitions. But because these statements contradict each other, collectively they become a serious error.   

...because of "simplifying" a number of distinct concepts by collecting them under the single name "electricity," with the result that students come to believe in a nonexistent stuff called "electricity" which has contradictory, confusing, and impossible characteristics.   

...because we lack rigorous dedication to truth and clarity, instead there's a cover-your-tail attitude where the confusing presence of multiple definitions of "electricity" in dictionaries is used to legitimize contradictory use of the word in classrooms. Rather than fixing the problem in classrooms, we point to the confusion in dictionaries and insist that the classroom problem is acceptable! But just because a dictionary records the various contradictory definitions, this doesn't constitute an authoritative approval of their use by teachers.   

...because we use the physics-term "quantity of electricity" to legitimize other misuses of the word "electricity." Physicists use the word "electricity" in a very narrow sense, but does this mean that all _other_ definitions are OK? But "quantity of electricity" means just one thing: it means charge, measured in coulombs. In other words, physicists actually say (indirectly) that it's _not_ correct to believe that electricity many other things besides coulombs of charge. They're saying that electricity is _other_ joules of energy, electricity is _other_ the flow of electrons, or classes of phenomena, etc. They're saying that electricity means "charge," and other definitions are popular meanings, not scientific ones.   

...because of mistaken belief that "electricity" travels one way in wires, going from source to load... and at the same time believing that it travels in a circle and all returns to the source, without any being used up.   

...because of mistaken belief that "electricity" travels at the speed of light, while at the same time it flows along at inches per hour as the electrons travel slowly in metals.   

...mistaken belief that "electricity" alternates: flows equally back and forth at 60HZ, while at the same time it flows continuously forward from source to load.   

...mistaken belief that "static electricity" is "electricity" which is static and unmoving.   

...mistaken use of familiar terms with unfamiliar definition causes confusion. For example, in electrical science "AC" does not mean "alternating current". Instead it means something akin to "having changing value." So a constant voltage is called "DC" even though it's not a current. And a changing voltage is called "AC," and the term "AC voltage" is commonly used. Does "AC voltage" mean "Alternating-Current-Voltage"? No, that would be silly. AC voltage is changing voltage; DC voltage is unchanging voltage. An "AC signal" may be entirely composed of electrostatic fields and have nothing to do with current, even though we call it alternating current "AC." But if you believe that "AC" means only "Alternating Current", you will be confused by electrical explanations written by the experts.   

...wrongly assuming that students are as adept as their instructors when it comes to manipulating concepts. Some instructors know that "electricity" has multiple meanings, and therefore we must take the word in context to see what the intended meaning is. But students don't know this, they think we're using a single word, and so must be discussing a single concept. We end up convincing them that a single entity called "electricity" exists which has confusing, contradictory attributes.   

...textbooks start with basic assumptions about "electricity," and then expand on these. But if the basic assumptions are never critically examined, they may or may not be correct. (Example: K-6 books assume that a single substance-like entity called "electricity" exists. Another: there are only two kinds of "electricity.")   

...invisible war between old and new definitions of "electricity." The word was originally used to mean "electric fluid." As the concepts became refined, the Electric Fluid changed into "charge," so a quantity of electricity was simply a quantity of charge. But in recent decades the word has been usurped by electric companies, and now usually means "energy." But this leaves a gap, since "electric fluid", or stuff-flowing in-wires now has no common name. The word "charge" is often used instead, but this is misleading, since a wire can have zero net "charge" even while there is flowing charge within it. Even more often, the word "current" is incorrectly used instead of "electricity", as in "flow of current" (but a current is a flow. Are rivers full of current? No, water. Flow of "charge" is correct, flow of "current" is not.) But lots of older literature still contains the older definition, and it states that "electricity flows inside of metals." Modern authors may unknowingly take older explanations to heart and believe that they were discussing energy, not knowing that the older works were discussing an entirely different "electricity" than is found in modern texts.   

...incorrect popular conceptions of electricity which must be unlearned before accurate concepts can ever be understood.   

...mistaking the wave for the medium. Is "electricity" the electrons, or is it the wave of electron-flow, or is it energy that flows THROUGH a column of electrons. Think of how difficult it would be to understand sound waves and air pressure if we had just a single word that meant both "sound" and "wind" and "air."   

...mistaken belief that "generate electricity" means "create electrons."   

...belief that a single "electricity-stuff" flows in circuits, when actually there are several different types of "stuff" which can flow: the charge flows slowly around a circuit, while energy propagates from source to load at high speed, while net-charge and current also propagates fast in various directions. Charge flows down one wire and back up the other, while energy flows down both wires and does not return.   

...mistaken belief that electric current is charges flowing inside wires at the speed of light. The charges actually flow at inches per hour.   

...mistaken belief that net charge and charged particles are synonymous. However, a wire can have no net charge, yet its mobile electron-sea can flow. An "uncharged" wire which has equal amounts of protons and electrons can contain a huge electric current. Is there "charge" inside the wire? But the wire has no "charge!"   

...mistaken belief that "current" and "static" are substances. The only substance here is electrons and protons. They cause the phenomena called "static" (electrons separated from protons) and "current" (groups of electrons moving in relation to groups of protons). "Static" and "current" are events. They are happenings, not substances.   

...mistaken belief that a phenomenon is "made of electricity," when the phenomenon is really just "electrical." If we say that lightning is "atmospheric electricity", then we mean that it is an electrical phenomena, and should then never say that lightning is "a type of electricity," or that it is "made of electricity". Doing so would be like saying that clouds are "composed of weather," and the little droplets in a cloud are made of a liquid called "weather."   

...mistakenly confusing electrical phenomena with electrical quantities. Lightning is "electricity" because it is an electrical phenomenon. But lightning is not electrical energy (the energy actually flows _into_ the lightning bolt from the surrounding space) and lightning is not electric charge (the lightning can strike much faster than the electrons move, and the flowing electrons often move in the opposite direction from the direction of the lightning strike) So, lightning may be "electricity," but in the same way that batteries and bulbs are also a form of "electricity": they both are electrical.   

...belief that there are only two types of electrical phenomena: static electricity and current electricity. In fact, there are many many others. Lightning is Atmospheric Electricity (and since it involves both AC and DC, electrostatics and electric current, it could also be called Impulse Electricity.) Heart-muscle phenomena is Myoelectricity. Then there's Piezoelectricity, Triboelectricity, Contact Electricity, Bioelectricity, Photoelectricity, ...   

...mistaken belief that "static" and "current" are opposites. Yet pressure is not the opposite of flow. The opposite of Static (or separated +- charge) is not Current (or flowing charge.) The opposite of Static is canceled charge; neutral matter. The opposite of _moving_ canceled charge is not separated charge, it is _unmoving_ canceled charge.   

...mistaken belief that electric energy flows _through_ an appliance and returns to the generator. Only the charges do this, not the energy. The appliance acts as an energy absorber.   

...mistaken belief that energy flows out of a battery through one wire, then flows back through the other. The charges do this, while the energy flows along _both_ wires in one direction, from source to load.   

...mistaken belief that, in an AC system, electric energy vibrates back and forth. It is the charges, not the energy, which vibrates like this. The energy flows forward continuously. It's like waves on water, or sound in the air: the medium wiggles as the wave-energy proceeds forward.   

...wrongly describing the presence of electric current as "electricity" and the lack of current as "no electricity," when actually the flowing charges which cause the current are present whether they move or not. Analogy: when water stops flowing in a pipe, the water doesn't disappear. And when an electric current is halted, the charges remain in the wires, which is the place where they started.   

...little use by educators of the wind/sound electrical analogy:  

* AIR is a physical substance. 
* SOUND is a wave that propagates rapidly through a volume of air. 
* WIND is a flowing motion of air already present. 
1. ELECTRIC CHARGES are a physical substance. 
2. ELECTRIC ENERGY is a wave that travels via a column of charge. 
3. ELECTRIC CURRENT is a flowing motion of the charge already present.  The confusion between charge-flow and energy-flow is similar to confusion between wind versus sound. Do you know that sound is not wind? To believe that electrons flow at the speed of light is similar to believing that air must travel at 720mph out of your mouth to distant ears.   

[UP TO: finished electricity articles][1]

## 2\. PROBLEMS CAUSED BY WIDESPREAD STUDENT MISCONCEPTIONS

## Why is electricity impossible to understand? Because of...

...student misconceptions which over the years have managed to invisibly infect textbooks, and reference books, and even educators.   

...widespread assumption that textbooks are nearly 100% accurate. This causes us to be overly trusting of textbooks, and so we ignore any slow increase of errors in the books. It makes us unknowingly spread the authors' misconceptions. When we do notice misconceptions, we either remain in denial about them or we minimize their importance. Our assumption that textbooks contain only minor flaws causes us to be threatened by anyone who points out serious errors or attempts to correct them. Lack of a critical viewpoint leaves textbooks wide open for creeping "infection" by increasing amounts of misconceptions.   

...widespread assumption that textbooks are nearly 100% accurate. We remain in denial that they are imperfect, and this keeps students in the dark about the need to take all textbook assertions with a grain of salt. It hides from them the need to constantly examine themselves for the presence of misconceptions. As a consequence, they may never learn that hard work is required to assemble and _create_ their knowledge. Instead they end up sitting back and being spoon-fed a group of disconnected, possibly misleading facts. If we stop uncritically accepting the contents of books, we might finally become aware of the necessity of learning concepts rather than memorizing facts.   

...widespread assumption that textbooks are nearly 100% accurate. This keeps students from complaining about bad textbooks and teaching. If curriculum materials are assumed to be perfect, the fault must lie with the student. But if they could instead always regard curriculum materials with a critical eye, they might demand improvements.   

...assumption that student misconceptions always arise mysteriously within the students, when in fact these misconceptions are often specifically taught in earlier grades. E.g.: the constant current battery misconception. In grades K-6, kids are hammered with the concept that batteries are sources of "current electricity." High school physics teachers then complain that the kids believe that batteries always put out the same current regardless of the load. The solution isn't to figure out better teaching methods in highschool physics, the solution is to send a million complaints to the publishers of the misleading K-6 curriculum materials!   

...textbooks lack discussion of common flaws and misconceptions. Books tell us all about electricity concepts, but never go into detail about possible conceptual pitfalls to avoid, and don't expose us to the idea that the recognizing and eliminating of misconceptions is a powerful learning technique. They don't stress the fact that the _wrong_ answers are of tremendous value, that wrong answers shouldn't be punished or hidden away in embarrassment.   

...avoidance of discussion of misconceptions in the classroom. Common misconceptions aren't specifically attacked in school. If learning cannot progress until a misconception is UNlearned, then a student with a misconception can waste years in futile attempts to progress. Talented kids may needlessly abandon physics as "too hard," when the fault actually lies with their distorting "mental filter" created by an unexamined misconception. (E.g.: when kids believe that current is a substance, all accurate info on electricity will be interpreted under this assumption. As a result it will be twisted into useless garbage, while periodic textbook assertions that "current flows" will keep reinforcing the students' misconception.)   

...students blaming themselves. Electricity is thought to be abstract, complicated, confusing, mysterious, and invisible, with behavior which frequently goes against common sense, and anyone who can't understand it has just not worked hard enough. No. In fact, electricity _explanations_ are contradictory, confusing, needlessly abstract, and frequently go against reality and common sense. But students who have difficulties understanding them will not blame books and instructors, they will put the blame on themselves. Therefore no one will feel any need to improve the situation.   

...mistaken belief that the understanding of electrical physics only involves the memorizing of right answers, and that the concept-networks, the _storytelling_ part is not important. This allows us to blithely teach sets of contradictory concepts, since each concept may be accurate when examined on its own. Example: electricity travels at nearly the speed of light (yes, this is true if "electricity" is defined as meaning "EM energy." ) Example: electricity is composed of particles called electrons (yes, if "electricity" is defined as meaning "charge") But the student will never grasp electrical physics now, because these two concepts turn to garbage when combined.   

...explaining things in certain ways because it is traditional to do so, rather than explaining things in certain ways because it gets the concepts across well. "That's the way everyone does it, so it must be right." "All the textbooks do it this way, and that many books cannot be wrong." This is the "Fox Terrier Clone" problem described by Stephen Jay Gould. E.g.: we always say that "current flows" out of battery, through lightbulb, back to battery. Why not alter this to read: charge comes out of *lightbulb,* is sucked into the battery, flows through the electrolyte, gets spit out of second battery terminal, then flows back to the bulb? That's more enlightning; more correct. But the distorted traditional explanations muscle their way into all textbooks and wipe out creative improved models.  

[^ UP ^][16]   

OTHER ARTICLES: 

* [True direction of "current"][17]
* [Slow speed of electricity][18]
* [Current versus "static"][19]
* [Current versus "charge"][20]
* [Visible Electricity: red and green plastic][21]
* [Are amperes fundamental?][22]
* [All articles][1]   

[UP TO: finished electricity articles][1]

## 3\. PROBLEMS INVOLVING THE "ELECTRIC CURRENT" CONCEPT

## Why is electricity impossible to understand? Because of...

Because most book and textbook authors believe ...that Electricity is the flow of Electricity. (What?) They think that "Electricity" appears whenever Electricity flows in wires? That whenever Electricity starts flowing, this flow is called by the name Electricity? Yep. Or put more simply, authors themselves have little grasp of the difference between amperes and coulombs; between current and charge. They talk as if electricity is a thing that flows inside of wires, then they turn around and say that electricity is the flow of something else inside of wires. It's as bad as being confused about the difference between air and wind, or the difference between the flow of river water versus the water itself. (Is electricity something like water, or is it something like the flowing motion of water? Look in K-12 textbooks. You'll never pin them down to one clear position, instead they switch back and forth.)   

It's impossible to grasp because books continuously state that "current flows." (This is connected to the mistake above.) If an author tells us that "current" is a stuff that flows along, then this tends to convince us that a substance-like entity called "current" exists. And it wrenches us away from any use of the Charge-flow concept. (Physicists know that electric current is a flow of charge, but read K-12 textbooks and see what language they use: not "charges flow," but instead "flow of current.") We can easily test for this mistake in any book or piece of written text. Just mentally replace their word "current" with the phrase "charge-flow" to see how it reads. Most explanations will then wrongly teach that "charge flow flows," and they'll speak of "flows of charge flow." Some books even say that an electron is a tiny piece of "charge flow." (No, electrons are particles/carriers of charge, not carriers of "flow.")   

...mistaken belief that generators and batteries send out a "substance" or "stuff" called "current" to appliances. (In reality, electric current is a flow of the copper's own charges. Currents are not like a substance which can move.) This error is connected to the mistaken belief that there is no path for current _through_ a battery or generator, so that the "current-stuff" can only be supplied by the battery. (In reality the charges do flow *through* the battery and back out again. If the flow-path did not go through the battery or generator, then that would constitute an 'open circuit,' and all currents in that circuit would cease.)   

It's impossible to grasp because of the mistaken belief that, since batteries and generators _cause_ electric currents, they must be _producing_ a substance-like material called "current." Or, since batteries and generators cause a flow of "electricity," we wrongly assume that they must be _creating_ an electricity-stuff. In fact, the flowing charges were already in the wires to begin with, and batteries/generators simply behave as charge-pump devices. If electricity is like the rubber of a drive belt, then batteries and generators are like the drive-wheel which makes the belt move in circular fashion.   

It's impossible to grasp because of the wide use of a confusing phrase "amount of current." No, current is actually a rate, not a substance-like quantity. Instead we should be careful to say it this way: "what's the rate of current," or "intensity of current", or "what is the value of current."   

It's impossible to grasp because early textbooks wrongly mix the concept "quantity of a substance" with concept of "flow rate of a substance." This mistake occurs not only in electricity. Does a shower use lots of water? Meaningless question, since the length of time is not given. Or, is a high current actually a flow of "lots of electricity?" Meaningless, since it's the amount electricity flowing _per second_, not just electricity flow. Is a 1000W lightbulb a user of "lots of energy?" Meaningless. A 1000W bulb uses energy at a _greater rate_ than a smaller bulb. If I turn on a small bulb for a year, versus a large bulb for a microsecond, the small bulb uses way more energy.   

It's impossible to grasp because of incorrectly stating that electric current is the "amount of electricity," rather than "amount of electricity per unit time." "Amount of charge per unit time" would be a better way to say it, of course!   

It's impossible to grasp because of the mistaken belief that devices which cause currents must be the sources of the flowing charge. (No, it's the wires which supply the charge which flows.) Mistaken belief that generators "supply current" (i.e. charges) rather than simply pumping them. This idea is supported everywhere by the incorrect terms "source of current" and "current carriers," which should more clearly be written as "cause of current" and "charge carriers."   

It's impossible to grasp because of taking electric current as a fundamental entity, when charge is actually the fundamental entity (maybe done because of the N.I.S.T. ampere-seconds physical standard.) This wrongly diverts us from exploring deeper concepts involving electric current as flow of electric charge.   

It's impossible to grasp because of mistaking the high-speed chaotic vibration of electrons for the low-speed motion during electric currents. (analogy: learning that air molecules individually move very fast, and then wrongly concluding that the earth must experience constant hurricane winds.) In fact, high speed air molecules imply HOT air. But the hot air is unmoving. And the high speed of electrons in metals acts like thermal vibrations; like heat in the metal object, and is not an overall motion or electrical current.   

It's impossible to grasp because of the mistaken belief that all electric currents are flows of electrons. They aren't. This connects with the misconception that "electricity" is composed only of electrons. As a result, we tend to ignore the common non-electron currents in electrolytes, in semiconductors, nerves, the ground, oceans, batteries, corona, etc. In a battery, since only charged atoms are flowing between the plates, and since no electrons flow there, we may end up thinking that the path of electric current cannot be _through_ the battery. In fact the path is through the battery. This "electrons are electricity" misconception destroys the whole concept of "electric circuits", since we mistakenly assume that batteries are open circuits. Wrong! A battery is a closed circuit, because if it was like an open switch, then battery-powered circuits could not even exist.   

...mistaken belief that "electricity" obeys strange quantum-mechanical rules, and therefore "electricity" must be very different than normal matter. This connects with the incorrect belief that "electricity" is made of electrons. But while electrons do display significant QM behavior, electric charge in general does not. Circuits can be built using saltwater hoses full of flowing atoms. If one believes that only electrons are important, or that protons and ions can never flow, then one may mistakenly believe that the strangely enlarged quantum-mechanical behavior of the low-mass electrons proves that *all* currents and quantities of charge are weird and Quantum-y. In reality, electric currents don't have significant QM features, only *electron* currents have these features. True, electrons are so low in mass that they sometimes behave as waves, and their motion in metals is very far from the classical views of physics. But ion-based electric currents are very common phenomena in everyday circuits, and ions are massive enough that their QM behavior is vanishingly small. Many of the purported quantum-characteristics of electric current vanish when currents take place in tubes full of electrolyte. Electrons may behave strangely, but this doesn't mean that charge in general behaves strangely. Electrons may vibrate chaotically at the speed of light in metals, but this doesn't imply that "electricity" does this inherently.   

...mistaken belief that no charge flows through batteries. (No electrons flow through them, therefore there cannot be current?) This leads to the traditional incorrect flashlight-current explanation (current comes out of battery, flows...etc.) It also leads to the misconception that batteries _supply charge_, and have a storage place for "used" charge. This might make sense if we believe that there's no path for charge through the battery. But it's wrong, because there is a path, a path provided by flowing charged atoms. Charge must flow around and around a circuit, passing _through_ the battery over and over.   

...educators never employ the convenient fact that the rate of charge flow is proportional to charge speed within a particular wire. This greatly clarifies electric circuit concepts. High current is _fast_ charges. Zero current is _stopped_ charges.   

...wrongly describing a conductor as "something through which electricity can flow," rather than as "something which contains movable electricity." A vacuum is a perfect insulator, even though it offers no blockage to moving charges. But a vacuum contains no movable charge, so it insulates.   

...backwards introduction of electric flow vs. electric substance. During teaching, electric current concepts are often explored first, then electric charge is introduced later if at all. As a result, students think they understand Amperes, and they have little grasp of Coulombs, and in fact they may not really grasp either concept. Students end up thinking that the Amp is a fundamental unit; they ignore the Coulomb-per-second, and are confused by the Amp-second. The situation should be reversed: they should learn all about the Coulomb, hear about current only in terms of Coulombs per second, and should see the Amp-second as a strange, roundabout way of saying "coulombs."   

...mistaken belief that since physics defines "quantity of electricity" in terms of ampere-seconds, quantity of electricity must somehow involve current rather than charge. No, its just that physicists in a Standards lab can measure charge flow and time more easily than they can measure net charge. It makes more sense to measure charge, then define the current as the flow of charge. Instead, the system of electrical standards first defines the current, then defines charge as a current which is on for a certain length of time. It might not make sense, but a Standards lab is after measurement accuracy, not sensible pedagogy.   

...everyday electrical energy sources operate in constant-voltage mode, not constant current mode. We could say that they supply "voltage," not current. A battery is not a supplier of "current electricity," it instead supplies voltage, and various currents are _drawn_ by placing various resistances between the battery leads.   

...mistaken belief that batteries and generators are sources of current, when, since they are actually constant-potential systems, they are actually sources of "voltage."

  

[^ Up ^][16]  
[UP TO: finished electricity articles][1]

## 4\. PROBLEMS INVOLVING ELECTRIC ENERGY

Electricity is impossible to understand because of...   

...mistaken belief that electric energy is not in the electromagnetic spectrum, even though it is composed of electromagnetism. Mistaken belief that electrical energy is fundamentally different from the rest of the types of energy in the Electromagnetic spectrum. Mistaken belief that DC or 60Hz energy is "electricity," while higher frequencies are "radio."   

...mistaken belief that power is a substance-like entity which can flow. Power is actually a _flow_ of a substance. "Power" means energy-current. Energy can flow, and its rate of flow is called power.   

...mistaken belief that electric energy is made of small particles called electrons. Actually, the fundamental unit of electrical energy is the photon, not the electron, since electrical energy is electromagnetic field/wave energy.   

...mistaken belief that energy flows up one wire, through the appliance, then back down the other wire. Energy actually flows up both wires, dives into the appliance, and is converted to other types of energy (heat, motion, etc.)   

...mistaken belief that electric companies sell electrons. They actually sell 60Hz "radio waves", and only use the columns of electrons in the wires to transmit the waves to the end users.   

...mistaken belief that energy flows inside of wires. Electrical energy is actually electromagnetic fields. It exists as the voltage field and magnetic field which surround the wires. Electrical energy flows as a "tube" which encloses a pair of wires and exists only outside the metal.   

...assumption that electrical energy is an abstract quantity which can be ignored, rather than viewing it as the EM-wave energy which is sold by electric companies.   

...backwards conceptual construction of power vs. energy during teaching. As a result, students think they understand Watts, none have a good grasp of Joules, and in fact they don't really grasp either concept. Students think the Watt is a fundamental unit, they ignore the Joule-per-second, and are confused by the Watt-second. The situation should be reversed: they should learn all about the Joule, hear about energy flow before learning that energy flow is the same as "power," and should see the watt-second as a strange, roundabout way of saying "joules."   

...mistaken belief that individual electrons in wires carry energy along with them as they flow. The situation is really like that with sound: the energy moves as waves through a population of particles.

  

[UP TO: finished electricity articles][1]

## 5\. PROBLEMS INVOLVING ELECTROSTATICS

Electricity is impossible to understand because of...   

...mistaken belief that "static" and "current" are opposites. Yet pressure is not the opposite of flow. The opposite of separated charge (static) is combined charge (matter.) The opposite of moving canceled charge (current) is unmoving canceled charge (matter.) Pos and neg charges which are separated from each other, are not the opposite of pos and neg charges which flow relative to each other.   

...mistaken belief that "static electricity" is "electricity" which is static and unmoving, rather than separated and "pressurized."   

...mistaken belief that when "static" begins to flow and turns into "current," all the electrostatic phenomena must vanish.   

...mistaken belief that when electrons and protons of matter are separated, they become "static" and unmoving.   

...mistaking e-fields for 'static electricity,' as in: "Teacher, is the 'static' on the surface of the balloon, or is it in the space surrounding the balloon where my arm-hairs are standing up?"   

...mistaken belief that "static" precludes "current" and vice versa. Actually, separated charges can be made to flow, such as in high-voltage transmission lines, and so we can have "static electricity" that flows. Conversely, when an electric current is stopped, the suddenly-unmoving charges do *not* constitute "static electricity", since there is no net charge.   

...mistaken belief that "static electricity" is caused by friction, when it actually arises from charge separation.   

...mistaken belief that "static electricity" only refers to dryer cling and scuffing on carpets, when in its other guise it really involves all circuitry. It's other guise is voltage.   

...mistaken belief that since rubbing fur on a balloon produces electrical effects, it must be _producing charges_. We should put much more emphasis on separation of charge, and cut out any talk of "creating charge." Charges can be created, but it takes a particle accelerator or a radioactive source to do so.   

...lack of an electrical term analogous to "magnetism." E-fields are then left out of early teaching because "electricism" is not an independent topic. When a compass aligns itself, that's magnetism. When hairs align themselves in an intense, distantly generated e-field, what's it called? Not "static electricity," because the strong charge is far away.   

...significant emphasis is put on teaching of magnetic fields early on, but e-fields are not taught until more advanced levels. (In grades K-6, the e-fields are hidden within the "static electricity" concept and never specifically discussed.)   

...lack of early teaching of the important e-field concepts. This causes the "voltage" concept to be seen as complicated and abstract, as involving mysterious meter measurement which have no connection to anything visualizeable. Yet "voltage" is "e-field", and we can draw pictures of it!   

...mistaken belief that "static electricity" is caused by the static-ness or stillness of the charges. This causes the whole charge-separation concept to never be explored.   

...electrostatics is skimmed over or ignored completely, yet in large part electrostatics is a study of "voltage." Skip over electrostatics, and your students will forever after be partially confused about voltage.

  

[UP TO: finished electricity articles][1]

## 6\. PROBLEMS INVOLVING "ELECTRIC FLUID" ANALOGY

Electricity is impossible to understand because of...   

...mistakenly believing that electric circuits are analogous to open hydraulic systems (pouring a cup of water through a pipe) when they actually behave like closed hydraulic systems: a drive-piston connected to a driven piston, with the connecting hoses pre-filled with water. This probably comes about in part when we teach that circuits are like pipes with water, but students then imagine the faucet at home, rather than the hydraulic system of a backhoe.   

...mistaken belief that the fluid analogy does not apply to circuits because in wires the _energy_ flows, while in pipes the flow is of a material. Mistaken belief that the "fluid" in wires always flows at the speed of light, while in pipes the flow can be fast, slow, or stopped. Mistaken belief that the "fluid" in wires flows from the source to the load and does not return, while in pipes the water circulates around and around. This is all incorrect. Actually the "electric fluid" in wires flows slowly, not at the speed of light, just as happens in water pipes. In wires, the "electric fluid" flows slowly while the energy flows fast, just as happens in water pipes. And in wires the "electric fluid" flows slowly in a circle, just as happens in a pre-filled hydraulic system.   

...the lack of a good name for "canceled charge." When + and - come together, the result is _not_ nothing. The result is matter. The result can also be the canceled-but-mobile "electric fluid" found in all conductors. Since matter contains (is even _made_ of) "canceled charge," and since electric current in wires is a flow of "canceled charge," we should see matter as being made of "non-moving electric current." Matter is made of "frozen electricity." The exception is conductors, which contain "liquid electricity." Some common names for the neutralized mobile charges found in conductors:   
* Electron sea 
* combined charge 
* canceled charge 
* mobile charges 
* mobile ions 
* current carriers 
* carrier population 
* electric fluid 
* Total Electrification (jc maxwell) 

...early teaching about current, yet without teaching about the "substance" which flows. We shouldn't teach about "current" until _after_ we've taught the "electron sea" concept. It's like learning about ocean currents without ever learning that water exists. It makes "current" seem needlessly abstract and non-visualizeable.   

...mistaken belief that Ben Franklin's one-fluid theory of electricity was correct, and the two-fluid theory was wrong. In fact, matter contains pos and neg charges, or two kinds of "electricity." Ben thought that pos. and neg. was a surplus or deficit of a single sort of electric fluid. Not so, because matter turns out to be _composed_ of positive and negative particles, so there are two kinds of electric-stuff after all.   

...mistaken belief that early theories of "electric fluid" were struck down, and so "electric fluid" does not exist. Ancient experimenters believed in electric fluid, but today we know better? No. Today we know that wires contain canceled, mobile charges. Today this is called the electron-sea of the metal, but "electric fluid" is not an incorrect way to describe it.   

...misleading explanations of conductors and insulators. Instead of saying that conductors allow current, and insulators prevent it, say that conductors contain mobile charges, while insulators contain immobile charges.   

...misleading explanation of a conductor as a material which passes electrons. Incorrect, since a vacuum offers no barrier to electrons, yet vacuum acts as a good insulator. The difference is that a vacuum contains no mobile charges, so when a potential difference is applied, no current results. A metal conductor doesn't pass electrons, instead, a metal conductor contains movable electrons.   

...mistaken belief that electric current is a flow of energy, when it is actually a flow of matter. (our beliefs about energy tend to make us avoid ever teaching the fact that electric current is a matter flow.)   

...use of the term "current carriers." This connects with the mistaken belief that current is a fundamental entity, rather than seeing charge as fundamental, and seeing current as simply a flow of charge. After all, we wouldn't say that the water molecules in a river are "water current carriers". Wires are full of mobile charges, not "current carriers."   

...misleading description of wires as "hollow pipes." Ex: wires conduct electricity, metals conduct charge. Saying it this way covers up the fact that metals _contain_ vast amounts of mobile charge already, and it paints a distorted picture of the situation. Better to say "the canceled charge inside metals is mobile," or "the charges found in wires can be made to move."   

...mistaken idea that electric charge in metals is gas-like and easily compressible. Actually, the canceled charge within wires is fluid-like, very difficult to compress, and energy can be transported very rapidly (rigid rod analogy.)   

...little use by educators of slow-electron-flow concepts. Ex: electrons flow like the minute hand on a clock, and if they were to flow fast enough that you could see a movement, that wire would be heated white hot by "friction." The electric fluid acts like tar: it stops instantly when the pressure is removed, gets hot from friction when forced to move, never moves very fast, large flows require huge pipes, small pipes are subject to very high friction, and fast movement always implies immense heating.   

...mistaken "empty pipes" analogy. Wires actually behave like pipes full of water, with no _bubbles anywhere_, so when more water is pushed into one end, water immediately flows from the far end.   

...mistaken "swirly water" analogy. If water is injected into a bowl, it just makes the mass of water flow in loops, and we mistakenly believe that the same holds true within pipes. But in a pipe, if more water is injected into one end, the entire column of water advances as a unit, as if it were a solid rod. In pipes, water behaves like a solid drive belt.   

...mistaken belief that since electric current is invisible, the charges in an electric current are also invisible. Little use by educators of the convenient fact that electrons are visible. "Electricity" is always said to be invisible, yet the mobile charges within wires constitute a silver liquid. The milk in a glass bottle may never be seen to move when stirred (no bubbles!) but that doesn't mean that the milk itself is invisible.   

...little use by educators of the drive-belt analogy. Electric circuits are like pulley/belt systems, the electron-sea within a metal wire is like the rubber belt. When one part is moved, the whole thing turns, when one spot on the belt is clamped, the whole thing stops, no rubber or electrons are consumed, the belt moves slow in a circle while the energy moves fast in waves, the belt is not invisible and neither are the charges, back-and-forth motion sometimes works better than continuous rotation (AC vs DC), friction causes heat and even light, pulleys can drive or be driven (motor/generator duality), pulleys are not a source of rubber and batteries are not a source of electrons, and when the belt or the circuit is stopped, the rubber or electrons stop in place and forever remain. And belt-systems were in actual use until supplanted with generators and wires.   

...the discovery of the electron is mistakenly interpreted as suggesting that electric fluid does not exist. This is analogous to a mistaken belief that the discovery of water molecules implies that water is not a liquid. Electrons and protons are fundamental particles of the electric fluid, in a similar way that the molecule is the fundamental particle of a macroscopic material fluid.

  

[UP TO: finished electricity articles][1]

## 7\. PROBLEMS INVOLVING ELECTRIC CHARGE

Electricity is impossible to understand because of...   

...misuse of the word "charge," using it both to refer to a charge of energy (capacitor, battery) and a quantity of electric charge. A "charged" battery contains just as many electrons as a "discharged" battery, because batteries store their energy as chemical fuel, a battery is simply a chemically-fueled electron pump, and is "charged" with chemical fuel, not with electrical energy. A fully charged battery contains the same net electric charge as a discharged battery. (yet it contains huge amounts of matter, which is made of charge!)   

...the word "charge" is used to refer to net-charge and to canceled-charge. Students will see "charge" as following conflicting rules, yet their instructors act as if no conflict exists. But there is a conflict: an object with zero net charge is still full of charges, and an uncharged object will behave very differently that will empty space (ex: heating of neutral metal by induction, while empty space is not heated even though it is neutral.) And fast waves of net-charge can propagate through populations of barely-moving charges. Groups of charges can have zero net charge, so do they not exist? And neutral circuitry can support enormous charge flows (current) yet have no net charge at all, so how can there be charge flow if there's no charge?   

...a problem with the word "charge": an object with a dipole charge distribution is "charged," and if the charges come together , the object is "neutral," yet no charged particles were destroyed, and in fact the same quantity of charged particles are still there. So two charges far apart equals "charged," while two close together means "uncharged?" But the particles never lose their charges, so the quantity of charge never varies!   

...a problem with the word "charge": when a battery is suddenly connected to a pair of long wires leading to a distant lightbulb, the wires become charged and a wave of net charge propagates along the wires at the speed of light. Yet the individual electrons, the "sea of charge," flow slowly around the circuit. So did the charge go fast or slow? Depends on whether "charge" means the electron sea, or whether it means the imbalance in quantities between the group of electrons and the group of protons in the wire.   

...a problem with the word "charge": A capacitor is briefly connected to a battery, so energy is stored in the capacitor. If the leads of the capacitor are now touched together, charge moves from one plate to the other. Does the capacitor now contain less charge? Yes, because its plates are now uncharged. No, because the total quantity of electrons and protons never changed (each electron that left one plate ended up on the other plate.) A "charged" capacitor contains exactly as many electrons as an "uncharged" one. Charge imbalance is called "charge", but electrons and protons are also called "charge."   

...mistakenly trying to combine the particle-physics use of "charge" with the everyday-world use. In the everyday world, when positive and negative charges are combined, the result is neutral matter. In particle physics, a combination of positive and negative charge can result in many different things (gamma rays, if positrons and electrons annihilate.) In particle physics, oppositely charged particles can be created from empty space. In the human world, neutral matter must first be present before pos. and neg. charges can be separated out: fur and rubber can "create" opposite charges, but empty space cannot. So, in the everyday world, opposite charge can fall "together," only to be separated at a later time. In particle physics, if you touch a pos to a neg, the particles are _gone_. This is all a question of microscopic energy levels, of chemistry versus nuclear effects. But circuitry and electrical science involves atoms, it does not involve high energy particle annihilation.   

...mistaken belief that when a positively-charged wire is connected to a negatively-charged wire only the negative net charge moves as the charges cancel. Actually the positive and negative net charges both move, they flow together and vanish. The net charge is of course an imbalance between pos. and neg. charged particles, and it is true that only the negative particles moved. Net charge is the _difference_ between quantities of positive and negative particles, and the net charge can move differently than particles.   

...ignorance of the existence of neutral charge. If we add the number of particles in equal quantities of positive and negative charges, we get a larger number: the total number of charges. If we subtract the negatives from the positives, we get zero, the net charge. The sum is linked to the amount of matter and to the amount of electron-sea able to carry current in a metal. The difference is linked to the e-field surrounding the object and to the charge-imbalance on its surface. It's wrong to call the sum and the difference both by the name "charge." For example, an uncharged wire can carry a large charge flow. Does the wire contain zero charge, since it is uncharged? Or does it contain an immense charge, since it contains moving electrons?   

...mistaken belief that "electricity" involves only electrons. For example, mistaken belief that "static electricity" is the excess or deficit of electrons. In fact, positive net charge is not a lack of electrons, it is an imbalance, it appears whenever there are more protons than electrons, and fewer electrons than protons.   

...mistaken belief that "electricity" involves only electrons. For example, mistaken belief that conductors contain movable electrons. This is true only of metals, and is not true of water, human flesh, sparks, neon signs, batteries, currents in the earth, etc., etc.   

...mistaken belief that "electricity" involves only electrons. For example, mistaken belief that "electricity" cannot be easily explained, since electrons are both waves and particles. But the flowing electrified atoms in a non-metal conductor are easily localized, and are even visible! The bizarre Quantum Mechanics which applies to electrons does not apply to "electricity" (meaning charges) in general.

  

[UP TO: finished electricity articles][1]

## 8\. MISC.

Electricity is impossible to understand because of...   

...mistaken belief that electricity is a glowing blue "crackly" substance (mistaken belief that sparks or lightning bolts _are_ electricity.)   

...mistaken belief that electricity is a substance that feels tingly. But high voltage causes body hair to repel and rise. The charge itself has no "feel." And during an electric shock, the creation of ion currents in your hand will be felt by the nerves, but the ion-charges were there to begin with, and only their _motion_ causes a tingling sensation.   

...mistaken belief that atoms cannot be torn apart. Belief that an atom smasher is required. But all of chemistry, and all of basic electrical physics, is based on torn-apart electron shells. It's only the atoms' nuclei which are never disrupted.   

...mistaken belief that electrons in conductors must be forcibly pulled from individual atoms before an electric current can commence. The "jumping electrons" misconception.   

...mistaken belief that famous people have the "right answers." Example: if we want a good explanation of electricity, we take the writings of a famous physicist as gospel, as the single best way to explain it. But what if that physicist was a lousy educator? Skill in science doesn't lead directly to skill in explaining what one knows. Fame does not automatically make one into an ideal teacher, so in order to find a good way to teach, look for good ways to teach, don't look for famous people to copy.   

...mistaken belief that in order to create teaching techniques at lower levels, we simply take the techniques used at higher levels and simplify them. However, the techniques used to teach college science students are aimed at a population which lives in a very different world than do K-6 teachers and students. Educational material tailored to train scientists is written in a different "language" than the one used at the K-6 level. Advanced material cannot just be simplified, it also must be "translated." It must use concepts relevant to the world in which its audience lives. It must do this to such a great extent that a K-6 explanation might better be created from scratch, rather than being derived from college physics.   

...mistaken belief that, when it comes to explanations, there is one Right Answer. Wrongful pursuit of a single "perfect" way to explain electricity. This goes against the way people grasp concepts. To paraphrase the physicist Richard Feynman, "If you can't explain something in several independent ways, then you don't really understand it." Give up looking for the "correct" explanation, instead try to learn as many different competing explanations as possible. If one of those blind men had known that an elephant was a rope, _and_ a leathery wall, _and_ a moving hose, _and_ a heavy stump, he might have synthesized a sensible view of the whole animal. The situation with electricity is very similar. We can only begin to grasp the nature of that invisible elephant by acquiring many separate and seemingly incompatible viewpoints.   

* * *

## TO BE ADDED:

Protons can never flow? Wrong. Protons are high energy particle beams only? No, instead, in acid solutions all electric currents are actually flows of protons (usually labeled "mobile +H positive hydrogen ions," the chemistry-word for "free mobile proton.") And here's other mistakes:  

* Batteries: there's no electric current in the liquid between the battery plates? Textbook diagrams show none. Wrong. 
* Batteries: one plate stores up electrons, the other plate collects used electrons after they've powered a device  
* Excess positive charge is really just a lack of electrons.  
* Capacitors: energy is stored on the surface of the plates.  
* Capacitors: charge is actually stored inside the dielectric.  
* Radio waves come out of the tip of the radio tower, like bulls-eye ripples.  
(May be part of 1920s fight Marconi-vs-competitors, where competitors' supported ground-waves explanation, where waves issue from the base of the antenna tower.) 
* Atoms always contain equal numbers of positives and negatives; one proton always has an electron, atoms can't break up (electrons never removed.)  
* Charge conservation is just a rule to memorize? No, because conservation laws mean that the property "charge" is substance-like. We can have matter transport (mass transport,) since mass is a conserved property. We can also have charge transport or "electric current," and it remains independent of the type of charges involved: protons, electrons, ions.   
* "Electricity" is the flowing motion of electricity. "Electricity" is created whenever electricity starts flowing.   
* Energy flows out through one wire, and the other wire is empty  
* Electrons can have a voltage; have energy. No, individual electrons never carry energy along as they flow, instead the energy leaps from electron to electron, where electrons are the wave-medium and the energy is waves. Analogy with air and sound waves.  
* Voltage is the "potential do do something?" Voltage is potential energy, the energy per charge? No, voltage is "Potentials," a math term. To clarify, perhaps call it "equipotentials" rather than "potential."  
* Voltage is the energy of each electron being moved (so, no electron, no voltage?) No, voltage is the e-fields in empty space. Even when no electrons are being pushed, the "voltage hill" still exists. Voltage is like altitude above the ground, and altitude still exists even without boulders being lifted or potential energy being stored.  
  

 |  | 

### Some references for Misconception research

Bill Beaty's internet WWW page: 
:  <http://amasci.com/miscon/miscon.html>

Large list of refs on Electricity Misconceptions: 
:  <http://amasci.com/miscon/electref.html>

List of books on misconceptions: 
:  <http://amasci.com/miscon/books.html>

Proceedings of The 2nd Int'l Seminar - Misconceptions and Educational Strategies in Science and Mathematics 
:  July 26-29, 1987. Cornell U., Ithaca NY. Vol II and III. On microfilm from ERIC Document Repro. Services. (available on internet, see above link to books)  Mario Iona, "[WHY JOHNNY CAN'T LEARN PHYSICS FROM TEXTBOOKS I HAVE KNOWN][23]" :  Millikan Award Lecture, Am J. Phys. 55 (4) Apr 1987 pp299-307

Mario Iona, WOULD YOU BELIEVE... 
:  Series of columns in The Physics Teacher (AAPT Publication)

Mario Iona, HOW SHOULD WE SAY IT? 
:  Series of columns in The Science Teacher, 1970-1972 

  

| ----- |
|   |    | 
    
    
              
    
    
    
    
    

[ http://amasci.com/miscon/whyhard2.html][24]  
Created and maintained by [Bill Beaty][25]. Mail me at: [ ![][26]][27].   

[ ![shopify stats][28]][29]

[View My Stats][30]

[1]: http://amasci.com/ele-edu.html
[2]: http://amasci.com/
[3]: http://amasci.com/unew.html
[4]: http://amasci.com/search.html
[5]: http://amasci.com/elect/elefaq.html
[6]: http://amasci.com/miscon/elect.html
[7]: http://amasci.com/me.html
[8]: http://amasci.com/miscon/whyhard2.html#def
[9]: http://amasci.com/miscon/whyhard2.html#miscon
[10]: http://amasci.com/miscon/whyhard2.html#cur
[11]: http://amasci.com/miscon/whyhard2.html#ener
[12]: http://amasci.com/miscon/whyhard2.html#stat
[13]: http://amasci.com/miscon/whyhard2.html#flu
[14]: http://amasci.com/miscon/whyhard2.html#char
[15]: http://amasci.com/miscon/whyhard2.html#misc
[16]: http://amasci.com/miscon/whyhard2.html#top
[17]: http://amasci.com/amateur/elecdir.html
[18]: http://amasci.com/miscon/speed.html
[19]: http://amasci.com/miscon/curstat.html
[20]: http://amasci.com/miscon/curstat2.html
[21]: http://amasci.com/redgreen.html
[22]: http://amasci.com/miscon/fund.html
[23]: http://ajp.aapt.org/resource/1/ajpias/v55/i4/p299_s2
[24]: http://amasci.com/miscon/whyhard2.html
[25]: http://amasci.com/billb.html
[26]: http://amasci.com/graphics/abc.gif
[27]: http://amasci.com/amfrm/
[28]: http://c.statcounter.com/10408414/0/00267183/0/
[29]: http://statcounter.com/shopify/ "shopify stats"
[30]: http://statcounter.com/p10408414/?guest=1

