---
created_at: '2014-06-27T19:07:00.000Z'
title: When Is It Legal to Lie in Negotiations? (1991)
url: http://sloanreview.mit.edu/article/when-is-it-legal-to-lie-in-negotiations/
author: larrys
points: 57
story_text: ''
comment_text: 
num_comments: 47
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1403896020
_tags:
- story
- author_larrys
- story_7955734
objectID: '7955734'

---
[Source](https://sloanreview.mit.edu/article/when-is-it-legal-to-lie-in-negotiations/ "Permalink to When Is It Legal to Lie in Negotiations?")

# When Is It Legal to Lie in Negotiations?

* __ Menu
* [ ![MIT Sloan Management Review Logo][1] ][2]
* Topics 
    * [Data & Analytics][3]
    * [Digital][4]
    * [Global][5]
    * [Innovation][6]
    * [Leadership][7]
    * [Marketing][8]
    * [Operations][9]
    * [Strategy][10]
    * [Sustainability][11]
* Features 
    * [Frontiers][12]
    * [Research Reports][13]
    * [Current Issue][14]
    * [Magazine Archive][15]
    * [Webinars & Video][16]
* [Subscribe][17]

[__Sign In][18]__Search

![][19]

This is a summary of the full article. To enjoy the full article [sign in][20], [create an account][21], or [buy this article][22].

##  When Is It Legal to Lie in Negotiations? 

[Magazine: Spring 1991][23] April 15, 1991 Reading Time: 24 min 

[G. Richard Shell][24]

[Strategy][25], [Developing Strategy][26]

##### [Buy][22]

or

##### [Subscribe][21]

##### Share

* Share on Twitter
* Share on Facebook
* Share on LinkedIn
* Share through Email

###### advertisement

![][27]

COMMERCIAL NEGOTIATIONS seem to require a talent for deception. In simple, distributive bargaining, when someone asks, “What is your bottom line?” few negotiators tell the truth. They dodge, they change the subject, or they lie.[1][28] In more complex, multi-issue negotiations, even relatively cooperative bargainers often inject straw issues or exaggerate the importance of minor problems in order to gain concessions on what really matters.[2][29] In nearly all bargaining encounters, a key skill is the ability to communicate that you are relatively firm on positions when you are, in fact, flexible —in short, to bluff about your intentions.

The apparent necessity for misleading conduct in a process based on cooperation and co-ordination makes bargaining deception a prime target for ethical theorizing and empirical investigation. Given the high degree of academic interest, one would think that the investigation of deception would have included by now a detailed look at what one of our most powerful social institutions — the law — has to say on the subject. Curiously, academic students of negotiation have essentially ignored the law. Ethical discussions of deception either overlook it completely or assume that it proscribes only the most clear-cut types of fraud, leaving moralists to distinguish, and in some instances justify the finer points of deceptive conduct.[3][30] Behavioral studies of bargaining deception, meanwhile, usually take place in academic laboratories where the problems are not subject, as are actual transactions, to legal limits or consequences.[4][31]

This article fills the existing gap in the bargaining literature. As the recent legal cases discussed here will demonstrate, what moralists would often consider merely “unethical” behavior in negotiations turns out to be precisely what the courts consider illegal behavior.[5][32] In light of the rather broad legal standards that are beginning to govern bargaining, behavioral investigators should consider research on how legal incentives affect negotiator conduct. Business negotiators and teachers of negotiation skills in business schools and executive training programs need to be aware of the legal consequences of deceptive bargaining tactics.

## Legal Fraud: The Basics

American law disclaims any general duty of “good faith” in the negotiation of commercial agreements.[6][33] As the United States Court of Appeals for the Seventh Circuit recently stated:

> In a business transaction both sides presumably try to get the best deal. That is the essence of bargaining and the free market. . .

#### Read the Full Article:

[Sign in][20], [buy as a PDF][22] or [create an account][21].

##### Already a member? [Sign In][20]

##### Not a member? [Sign Up Today!][21]

###### Member

Free

3 Free Articles per month, $6.50/article thereafter. Free newsletter.

###### Subscriber

$75/yr. US

Unlimited digital content, quarterly magazine, free newsletter, entire archive.

##### About the Author

_G. Richard Shell is Pfizer Foundation Term Assistant Professor of Legal Studies at the Wharton School, University of Pennsylvania, where he teaches negotiation and business law._

##### References

**1.** Professor Robert H. Frank summed this up best when he wrote, “The art of bargaining, as most of us eventually learn, is in large part the art of sending misleading messages about [reservation prices].”See: RH. Frank, _Passions within Reason_ (New York: Norton, 1988), p. 165.

**2.** Bargaining situations are often characterized as either distributive (zero-sum negotiations) or integrative (non-zero-sum negotiations). Distributive negotiations typically involve a single, divisible issue such as money. Integrative bargaining involves many issues that differ in importance to the parties, making possible mutual gains from trade across issues. See:

R.E. Walton and R.B. McKersie, _A Behavioral Theory of Labor Negotiations_ (New York: McGraw-Hill, 1965).

Both distributive and integrative bargaining situations, however, are “mixed motive” in character and contain within them incentives to lie or at least mislead. See: D.A Lax and J.K. Sebenius, _The Manager as Negotiator_ (New York: The Free Press, 1986), pp. 30–35.

**3.** The most famous recent treatment of the ethics of lying is Sissela Boks book _Lying: Moral Choice in Public and Private Life_ (New York Vintage, 1978).

Other influential artides indude: A.Z. Carr, “Is Business Bluffing Ethical?” _Harvard Business Review,_ January-February 1968, pp. 143–150; and RE. Wokutch and T.L. Carson, “The Ethics and Profitability of Bluffing in Business” in _Ethical Issues in Business,_ 3rd ed., eds. T. Donaldson and P.H. Werhane (Englewood Cliffs, New Jersey: Prentice Hall, 1988), pp. 77–83.

None of these works focuses on legality of lying and some, such as Carr’s piece, explicitly assume that the law’s reach extends only to the most blatant forms of fraud.

**4.** I have conducted an extensive search of the social scientific literature on bargaining deception and have found none that examines the effects of legal rules on bargaining behavior.

**5.** This trend extends to other areas of law as well. See: G.R Shell, “Substituting Ethical Standards for Common Law Rules in Commercial Cases: An Emerging Statutory Trend,” _Northwestern University Law Review_ 82 (1988): 1198–1254.

**6.** The Uniform Commercial Code states that the UCC’s general duty of good faith applies only to the performance and enforcement of agreements, not their negotiation. _Uniform Commercial Code_ 1–203\. See also: _Restatement (Second) of Contracts_ 205 (1981) comment c (“Bad faith in negotiation” is not “within the scope of this Section.”) Id. 205 comment c.

**7.** Feldman v. Allegheny International, Inc., 850 F.2d 1217, 1223 (7th Cir. 1988).

**8.** W.P. Keeton, D.B. Dobbs, RE. Keeton, and D.G. Owen, _Prosser and Keeton on the Law of Torts_ (St. Paul, Minnesota: West, 1984), p. 728.

**9.** Computer Systems Engineering, Inc. v. Qantel Corp., 740 F.2d 59 (1st Cir. 1984).

**10.** Eckley v. Colorado Real Estate Commission, 752 P.2d 68 (Colo. 1988).

**11.** See Berger v. Security Pacific Information Systems, Inc., No. 88CA0822 (Colo. App. April 5, 1990); and “Companies Must Disclose Shaky Finances to Some Applicants, a Colorado Court Rules,” _Wall Street Journal,_ 20 April 1990, p. B12. Award of $250,000 in actual and punitive damages against employer.

**12.** Miles v. McSwegin, 388 N.E.2d 1367 (Ohio 1979).

**13.** Zaschak v. Traverse Corp., 333 N.W.2d 191 (Mich. App. 1983).

**14.** Jordon v. Duff & Phelps, Inc., 815 F.2d 429 (7th Cir. 1987).

**15.** Rather, they refer to them as “puffery” or “feints.” See: P. Freund, _The Acquisition Mating Dance_ (Clifton, New Jersey: Prentice Hall, 1987), p. 164; and G. Nierenberg, _Fundamentals of Negotiating_ (New York: Hawthorn/Dutton, 1973), p. 159.

**16.** See J.G. Cross, _The Economics of Bargaining_ (New York: Basic Books, 1969), pp. 166–179; and P.H. Gulliver, _Disputes and Negotiation: A Cross-Cultural Perspective_ (New York: Academic Press, 1979), pp. 135–141.

**17.** American Bar Association, _Model Rules of Professional Conduct_ Rul_e_ 4.1(a) official comment (1983).

**18.** Kabatchnick v. Hanover-Elm Building Corp., 103 N.E.2d 692 (Mass. 1952).

**19.** Beavers v. Lamplighters Realty, Inc., 556 P.2d 1328 (Okla. App. 1976).

**20.** Edgington v. Fitzmaurice, L.R 29 Ch. Div. 359 (1885).

**21.** Indiana courts have rejected the doctrine. Illinois courts require that the plaintiff prove a “scheme” to defraud in addition to other promissory fraud elements. Tennessee courts have explicitly reserved judgment on the existence of the tort. States such as New York, California, and Texas approve the doctrine.

**22.** Britt v. Britt, 359 S.E.2d 467, 471 (N.C. 1987); and Hodges v. Pittman, 530 So.2d 817, 818 (Ala. 1988).

**23.** Hanover Modular Homes v. Scottish Inns, 443 F Supp. 888, 891–92 (W.D. La. 1978); and Brier v. Koncen Meat Co., 762 S.W.2d 499, 500 (Mo. App. 1988).

**24.** New Process Steel Corp. v. Steel Corp., 703 S.W.2d 209, 214 (Tex. App. 1985).

**25.** 457 P.2d 535 (Wash. 1969). See also: Gibraltar Savings v. LDBrinkman Corp., 860 F.2d 1275(5th Cir. 1988). Debtor promised creditor to keep holding company solvent when plans were under way to dissolve holding company. This was deemed fraudulent, resulting in a $6 million verdict.

**26.** Alio v. Saponaro, 520 N.YS.2d 245 (A.D. 1987).

**27.** The statement in the text does not extend to “consumer” cases. See, for example: Boykin v. Hermitage Realty, 360 S.E.2d 177 (Va. 1987). Condominium owners claimed fraud based on assurances by a realtor that the lot behind their units would remain undeveloped even though readily available public records showed that it was the site of a future playground.

**28.** Turner v. Johnson & Johnson, 809 F.2d 90 (1st Cir. 1986).

**29.** Turner v. Johnson & Johnson, 809 F.2d at 96.

**30.** See V.H.S. Realty, Inc. v. Texaco, Inc., 757 F.2d 411, 418 (1st Cir. 1985).

**31.** Turner v. Johnson & Johnson, 809 F.2d at 96.

**32.** Turner v. Johnson & Johnson, 809 F.2d at 95 (citing cases). But see: Grumman Allied Industries, Inc. v. Rohr Industries, Inc., 748 F.2d 729 (2d Cir. 1984). Contractual language stipulating that a buyer of company assets has not relied on any warranties or representations regarding design of new bus precludes claim based on failure to disclose poor “stress test” results on bus prototype.

**33**. Zimpel v. Trawick, 679 F. Supp. 1502 (WD. Ark. 1988). An elderly, sick widow was defrauded when a professional land speculator bought her land without telling her that oil and gas had been discovered on it.

**34.** 813 F.2d 810 (7th Cir. 1987).

**35.** See Smith v. Snap-On Tools Corp., 833 F.2d 578 (5th Cir. 1988). No liability was found when the inventor made a gift of invention to the company. See also:

Smith v. Dravo Corp., 203 F.2d 369 (7th Cir. 1953). Liability was found when the inventor intended negotiations to lead to sale of a trade secret.

**36.** Keeton et al. (1984), pp. 739, 751–52\. In the past half-century, nondisclosure law has evolved to a “standard requiring conformity to what the ordinary ethical person would have disclosed,” and the “new standard of business ethics” has “led to an almost complete shift” in law regarding reasonable reliance.

##### Acknowledgments

Research for this paper was funded by the Reginald Jones Center for Management Policy, Strategy, and Organization.

Tags: [Ethics][34], [Negotiations][35] Reprint #: 3238

##### What to read next

[Show Related Articles][36]

* ![Beyond Forecasting: Creating New Strategic Narratives][37]

#### [Beyond Forecasting: Creating New Strategic Narratives][38]

In turbulent markets, managers can build momentum for innovative strategies by rethinking the past, reconsidering present concerns – and reimagining the future. 

* ![How to Recognize a Strategic Priority When You See One][39]

#### [How to Recognize a Strategic Priority When You See One][40]

Financial reports provide critical insights into a company's strategy — if you know where to look. 

* ![The Risks and Responsibilities of Tech Innovation][41]

#### [The Risks and Responsibilities of Tech Innovation][42]

New tech can create new hazards for users — and for companies. Here's how to limit the risk. 

[Hide Related Articles][36]

[Read More][36]

## More Like This

##### Share

* Share on Twitter
* Share on Facebook
* Share on LinkedIn
* Share through Email

Copyright © Massachusetts Institute of Technology, 1977-2018. All rights reserved.

Permission is required to copy or distribute MIT Sloan Management Review articles.

Buy permissions here: https://sloanreview.mit.edu/article/when-is-it-legal-to-lie-in-negotiations/

### Add a comment [Cancel reply][43]

You must [sign in][20] to post a comment.  
  
First time here? [sign up for a free account][44]: comment on articles and get access to many more articles.

* ##### From Our Partners
* ![][45] advertisement
* ![][46] advertisement
* ![][47] advertisement

### Navigate to:

1. [Home][48]
2. [About Us][49]
3. [Advertise][50]
4. [Author Guidelines][51]
5. [Contact Us][52]
6. [Help][53]
7. [Get Updates][54]
8. [Masthead][55]

###### Copyright © [Massachusetts Institute of Technology][56], 1977–2018. All rights reserved.

[1]: https://sloanreview.mit.edu/content/themes/smr-desktop/img/logo-nav.png
[2]: https://sloanreview.mit.edu "MIT Sloan Management Review"
[3]: https://sloanreview.mit.edu/topic/data-and-analytics/
[4]: https://sloanreview.mit.edu/topic/digital/
[5]: https://sloanreview.mit.edu/topic/global/
[6]: https://sloanreview.mit.edu/topic/innovation-3/
[7]: https://sloanreview.mit.edu/topic/leadership/
[8]: https://sloanreview.mit.edu/topic/marketing/
[9]: https://sloanreview.mit.edu/topic/operations/
[10]: https://sloanreview.mit.edu/topic/strategy/
[11]: https://sloanreview.mit.edu/big-ideas/sustainability/
[12]: https://sloanreview.mit.edu/frontiers/
[13]: https://sloanreview.mit.edu/reports/
[14]: https://sloanreview.mit.edu/issue/2018-winter/
[15]: https://sloanreview.mit.edu/issue/
[16]: https://sloanreview.mit.edu/tag/webinars-videos/
[17]: https://sloanreview.mit.edu/subscribe/ "Subscribe to SMR"
[18]: https://sloanreview.mit.edu/wp-login.php?redirect_to=https%3A%2F%2Fsloanreview.mit.edu%2Farticle%2Fwhen-is-it-legal-to-lie-in-negotiations%3Farticle%3Dwhen-is-it-legal-to-lie-in-negotiations%26post_type%3Darticle%26name%3Dwhen-is-it-legal-to-lie-in-negotiations "Sign in to SMR"
[19]: https://sloanreview.mit.edu/static/print-logo.png
[20]: https://sloanreview.mit.edu/wp-login.php?redirect_to=https%3A%2F%2Fsloanreview.mit.edu%2Farticle%2Fwhen-is-it-legal-to-lie-in-negotiations%2F
[21]: https://sloanreview.mit.edu/subscribe/
[22]: https://shop.sloanreview.mit.edu/products/3238
[23]: https://sloanreview.mit.edu/issue/spring-1991/
[24]: https://sloanreview.mit.edu#article-authors
[25]: https://sloanreview.mit.edu/topic/strategy/ "Strategy"
[26]: https://sloanreview.mit.edu/topic/developing-strategy/ "Developing Strategy"
[27]: s://sloanreview-d.openx.net/w/1.0/ai?auid=367198&cs=5143565697b9b&cb=2041060851
[28]: https://sloanreview.mit.edu#ref1
[29]: https://sloanreview.mit.edu#ref2
[30]: https://sloanreview.mit.edu#ref3
[31]: https://sloanreview.mit.edu#ref4
[32]: https://sloanreview.mit.edu#ref5
[33]: https://sloanreview.mit.edu#ref6
[34]: https://sloanreview.mit.edu/tag/ethics/
[35]: https://sloanreview.mit.edu/tag/negotiations/
[36]: 
[37]: https://sloanreview.mit.edu/content/uploads/2014/09/Kaplan-1000.jpg
[38]: https://sloanreview.mit.edu/article/beyond-forecasting-creating-new-strategic-narratives/
[39]: https://sloanreview.mit.edu/content/uploads/2017/09/GEN-Sull-Strategy-Priority-Business-Planning-Communication-1200.jpg
[40]: https://sloanreview.mit.edu/article/how-to-recognize-a-strategic-priority-when-you-see-one/
[41]: https://sloanreview.mit.edu/content/uploads/2014/06/bader-1000.jpg
[42]: https://sloanreview.mit.edu/article/the-risks-and-responsibilities-of-tech-innovation/
[43]: https://sloanreview.mit.edu/article/when-is-it-legal-to-lie-in-negotiations/#respond
[44]: https://sloanreview.mit.edu/sign-up/
[45]: https://sloanreview-d.openx.net/w/1.0/ai?auid=421746&cs=519cc54d7b612&cb={random}
[46]: https://sloanreview-d.openx.net/w/1.0/ai?auid=421747&cs=519cc54d7be8e&cb={random}
[47]: https://sloanreview-d.openx.net/w/1.0/ai?auid=421748&cs=519cc54d7c5e4&cb={random}
[48]: https://sloanreview.mit.edu/
[49]: https://sloanreview.mit.edu/about/
[50]: https://sloanreview.mit.edu/advertise/
[51]: https://sloanreview.mit.edu/authors/
[52]: https://sloanreview.mit.edu/contact/
[53]: https://sloanreview.mit.edu/help/
[54]: https://sloanreview.mit.edu/follow/
[55]: https://sloanreview.mit.edu/masthead/
[56]: http://web.mit.edu

  [*April 15, 1991]: 1991-04-15T00:00:00+00:00

