---
created_at: '2014-04-21T17:44:51.000Z'
title: Why Chinese Is So Damn Hard (1992)
url: http://pinyin.info/readings/texts/moser.html
author: SoftwarePatent
points: 250
story_text: ''
comment_text: 
num_comments: 296
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1398102291
_tags:
- story
- author_SoftwarePatent
- story_7622432
objectID: '7622432'

---
[Source](http://pinyin.info/readings/texts/moser.html "Permalink to Why Chinese Is So Damn Hard")

# Why Chinese Is So Damn Hard

# Why Chinese Is So Damn Hard

## by David Moser  
University of Michigan Center for Chinese Studies

### (简体字：[为什么中文这么TM难？][1])

### (繁體字：[為什麼中文這麼TM難？][2])

The first question any thoughtful person might ask when reading the title of this essay is, "Hard for whom?" A reasonable question. After all, Chinese people seem to learn it just fine. When little Chinese kids go through the "terrible twos", it's Chinese they use to drive their parents crazy, and in a few years the same kids are actually using those impossibly complicated Chinese characters to scribble love notes and shopping lists. So what do I mean by "hard"? Since I know at the outset that the whole tone of this document is going to involve a lot of whining and complaining, I may as well come right out and say exactly what I mean. I mean hard for _me_, a native English speaker trying to learn Chinese as an adult, going through the whole process with the textbooks, the tapes, the conversation partners, etc., the whole torturous rigmarole. I mean hard for me -- and, of course, for the many other Westerners who have spent years of their lives bashing their heads against the Great Wall of Chinese.

From [_Schriftfestschrift: Essays on Writing and Language in Honor of John DeFrancis on His Eightieth Birthday][3]_ ([_Sino-Platonic Papers][4]_ No. 27, August 1991), edited by Victor H. Mair 

If this were as far as I went, my statement would be a pretty empty one. _Of course_ Chinese is hard for me. After all, _any_ foreign language is hard for a non-native, right? Well, sort of. Not all foreign languages are equally difficult for any learner. It depends on which language you're coming from. A French person can usually learn Italian faster than an American, and an average American could probably master German a lot faster than an average Japanese, and so on. So part of what I'm contending is that Chinese is hard compared to ... well, compared to almost any other language you might care to tackle. What I mean is that Chinese is not only hard for us (English speakers), but it's also hard in absolute terms. Which means that Chinese is also hard for _them_, for Chinese people.[1][5]

If you don't believe this, just ask a Chinese person. Most Chinese people will cheerfully acknowledge that their language is hard, maybe the hardest on earth. (Many are even proud of this, in the same way some New Yorkers are actually proud of living in the most unlivable city in America.) Maybe all Chinese people deserve a medal just for being born Chinese. At any rate, they generally become aware at some point of the Everest-like status of their native language, as they, from their privileged vantage point on the summit, observe foolhardy foreigners huffing and puffing up the steep slopes.

Everyone's heard the supposed fact that if you take the English idiom "It's Greek to me" and search for equivalent idioms in all the world's languages to arrive at a consensus as to which language is the hardest, the results of such a linguistic survey is that Chinese easily wins as the canonical incomprehensible language. (For example, the French have the expression "_C'est du chinois_", "It's Chinese", i.e., "It's incomprehensible". Other languages have similar sayings.) So then the question arises: What do the Chinese _themselves_ consider to be an impossibly hard language? You then look for the corresponding phrase in Chinese, and you find Gēn tiānshū yíyàng 跟天书一样 meaning "It's like heavenly script."

There is truth in this linguistic yarn; Chinese does deserve its reputation for heartbreaking difficulty. Those who undertake to study the language for any other reason than the sheer joy of it will always be frustrated by the abysmal ratio of effort to effect. Those who are actually attracted to the language precisely because of its daunting complexity and difficulty will never be disappointed. Whatever the reason they started, every single person who has undertaken to study Chinese sooner or later asks themselves "Why in the world am I doing this?" Those who can still remember their original goals will wisely abandon the attempt then and there, since nothing could be worth all that tedious struggle. Those who merely say "I've come this far -- I can't stop now" will have some chance of succeeding, since they have the kind of mindless doggedness and lack of sensible overall perspective that it takes.

Okay, having explained a bit of what I mean by the word, I return to my original question: Why is Chinese so damn _hard_?

### 1\. Because the writing system is ridiculous.

Beautiful, complex, mysterious -- but ridiculous. I, like many students of Chinese, was first attracted to Chinese because of the writing system, which is surely one of the most fascinating scripts in the world. The more you learn about Chinese characters the more intriguing and addicting they become. The study of Chinese characters can become a lifelong obsession, and you soon find yourself engaged in the daily task of accumulating them, drop by drop from the vast sea of characters, in a vain attempt to hoard them in the leaky bucket of long-term memory.

The beauty of the characters is indisputable, but as the Chinese people began to realize the importance of universal literacy, it became clear that these [ideograms][6] were sort of like bound feet -- some fetishists may have liked the way they looked, but they weren't too practical for daily use.

For one thing, it is simply unreasonably hard to learn enough characters to become functionally literate. Again, someone may ask "Hard in comparison to what?" And the answer is easy: Hard in comparison to Spanish, Greek, Russian, Hindi, or any other sane, "normal" language that requires at most a few dozen symbols to write anything in the language. John DeFrancis, in his book [_The Chinese Language: Fact and Fantasy][7]_, reports that his Chinese colleagues estimate it takes seven to eight years for a Mandarin speaker to learn to read and write three thousand characters, whereas his French and Spanish colleagues estimate that students in their respective countries achieve comparable levels in half that time.[2][8] Naturally, this estimate is rather crude and impressionistic (it's unclear what "comparable levels" means here), but the overall implications are obvious: the Chinese writing system is harder to learn, in absolute terms, than an alphabetic writing system.[3][9] Even Chinese kids, whose minds are at their peak absorptive power, have more trouble with Chinese characters than their little counterparts in other countries have with their respective scripts. Just imagine the difficulties experienced by relatively sluggish post-pubescent foreign learners such as myself.

Everyone has heard that Chinese is hard because of the huge number of characters one has to learn, and this is absolutely true. There are a lot of popular books and articles that downplay this difficulty, saying things like "Despite the fact that Chinese has [10,000, 25,000, 50,000, take your pick] separate characters you really only need 2,000 or so to read a newspaper". Poppycock. I couldn't comfortably read a newspaper when I had 2,000 characters under my belt. I often had to look up several characters per line, and even after that I had trouble pulling the meaning out of the article. (I take it as a given that what is meant by "read" in this context is "read and basically comprehend the text without having to look up dozens of characters"; otherwise the claim is rather empty.)

This fairy tale is promulgated because of the fact that, when you look at the character frequencies, over 95% of the characters in any newspaper are easily among the first 2,000 most common ones.[4][10] But what such accounts don't tell you is that there will still be plenty of unfamiliar words made up of those familiar characters. (To illustrate this problem, note that in English, knowing the words "up" and "tight" doesn't mean you know the word "uptight".) Plus, as anyone who has studied any language knows, you can often be familiar with every single word in a text and still not be able to grasp the meaning. Reading comprehension is not simply a matter of knowing a lot of words; one has to get a feeling for how those words combine with other words in a multitude of different contexts.[5][11] In addition, there is the obvious fact that even though you may know 95% of the characters in a given text, the remaining 5% are often the very characters that are crucial for understanding the main point of the text. A non-native speaker of English reading an article with the headline "JACUZZIS FOUND EFFECTIVE IN TREATING PHLEBITIS" is not going to get very far if they don't know the words "jacuzzi" or "phlebitis".

The problem of reading is often a touchy one for those in the China field. How many of us would dare stand up in front of a group of colleagues and read a randomly-selected passage out loud? Yet inferiority complexes or fear of losing face causes many teachers and students to become unwitting cooperators in a kind of conspiracy of silence wherein everyone pretends that after four years of Chinese the diligent student should be whizzing through anything from Confucius to [Lu Xun][12], pausing only occasionally to look up some pesky low-frequency character (in their Chinese-Chinese dictionary, of course). Others, of course, are more honest about the difficulties. The other day one of my fellow graduate students, someone who has been studying Chinese for ten years or more, said to me "My research is really hampered by the fact that _I still just can't read Chinese_. It takes me hours to get through two or three pages, and I can't skim to save my life." This would be an astonishing admission for a tenth-year student of, say, French literature, yet it is a comment I hear all the time among my peers (at least in those unguarded moments when one has had a few too many Tsingtao beers and has begun to lament how slowly work on the thesis is coming).

A teacher of mine once told me of a game he and a colleague would sometimes play: The contest involved pulling a book at random from the shelves of the Chinese section of the Asia Library and then seeing who could be the first to figure out what the book was about. Anyone who has spent time working in an East Asia collection can verify that this can indeed be a difficult enough task -- never mind _reading_ the book in question. This state of affairs is very disheartening for the student who is impatient to begin feasting on the vast riches of Chinese literature, but must subsist on a bland diet of canned handouts, textbook examples, and carefully edited appetizers for the first few years.

The comparison with learning the usual western languages is striking. After about a year of studying French, I was able to read a lot. I went through the usual kinds of novels -- _La naus__é__e_ by Sartre, Voltaire's _Candide_, _L'__é__tranger_ by Camus -- plus countless newspapers, magazines, comic books, etc. It was a lot of work but fairly painless; all I really needed was a good dictionary and a battered French grammar book I got at a garage sale.

This kind of "sink or swim" approach just doesn't work in Chinese. At the end of three years of learning Chinese, I hadn't yet read a single complete novel. I found it just too hard, impossibly slow, and unrewarding. Newspapers, too, were still too daunting. I couldn't read an article without looking up about every tenth character, and it was not uncommon for me to scan the front page of the People's Daily and not be able to completely decipher a single headline. Someone at that time suggested I read _The Dream of the Red Chamber_ and gave me a nice three-volume edition. I just have to laugh. It still sits on my shelf like a fat, smug Buddha, only the first twenty or so pages filled with scribbled definitions and question marks, the rest crisp and virgin. After six years of studying Chinese, I'm still not at a level where I can actually read it without an English translation to consult. (By "read it", I mean, of course, "read it for pleasure". I suppose if someone put a gun to my head and a dictionary in my hand, I could get through it.) Simply diving into the vast pool of Chinese in the beginning is not only foolhardy, it can even be counterproductive. As George Kennedy writes, "The difficulty of memorizing a Chinese ideograph as compared with the difficulty of learning a new word in a European language, is such that _a rigid economy of mental effort is imperative_."[6][13] This is, if anything, an understatement. With the risk of drowning so great, the student is better advised to spend more time in the shallow end treading water before heading toward the deep end.

As if all this weren't bad enough, another ridiculous aspect of the Chinese writing system is that there are two (mercifully overlapping) sets of characters: the traditional characters still used in Taiwan and Hong Kong, and the simplified characters adopted by the People's Republic of China in the late 1950's and early 60's. Any foreign student of Chinese is more or less forced to become familiar with both sets, since they are routinely exposed to textbooks and materials from both Chinas. This linguistic camel's-back-breaking straw puts an absurd burden on the already absurdly burdened student of Chinese, who at this point would gladly trade places with Sisyphus. But since Chinese people themselves are _never_ equally proficient in both simplified and complex characters, there is absolutely no shame whatsoever in eventually concentrating on one set to the partial exclusion the other. In fact, there is absolutely no shame in giving up Chinese altogether, when you come right down to it.

### 2\. Because the language doesn't have the common sense to use an alphabet.

To further explain why the Chinese writing system is so hard in this respect, it might be a good idea to spell out (no pun intended) why that of English is so easy. Imagine the kind of task faced by the average Chinese adult who decides to study English. What skills are needed to master the writing system? That's easy: 26 letters. (In upper and lower case, of course, plus script and a few variant forms. And throw in some quote marks, apostrophes, dashes, parentheses, etc. -- all things the Chinese use in their own writing system.) And how are these letters written? From left to right, horizontally, across the page, with spaces to indicate word boundaries. Forgetting for a moment the problem of spelling and actually making words out of these letters, how long does it take this Chinese learner of English to master the various components of the English writing system? Maybe a day or two.

Now consider the American undergraduate who decides to study Chinese. What does it take for this person to master the Chinese writing system? There is nothing that corresponds to an alphabet, though there are recurring components that make up the characters. How many such components are there? Don't ask. As with all such questions about Chinese, the answer is very messy and unsatisfying. It depends on how you define "component" (strokes? radicals?), plus a lot of other tedious details. Suffice it to say, the number is quite large, vastly more than the 26 letters of the Roman alphabet. And how are these components combined to form characters? Well, you name it -- components to the left of other components, to the right of other components, on top of other components, surrounding other components, inside of other components -- almost anything is possible. And in the process of making these spatial accommodations, these components get flattened, stretched, squashed, shortened, and distorted in order to fit in the uniform square space that all characters are supposed to fit into. In other words, the components of Chinese characters are arrayed in two dimensions, rather than in the neat one-dimensional rows of alphabetic writing.

Okay, so ignoring for the moment the question of elegance, how long does it take a Westerner to learn the Chinese writing system so that when confronted with any new character they at least know how to move the pen around in order to produce a reasonable facsimile of that character? Again, hard to say, but I would estimate that it takes the average learner several months of hard work to get the basics down. Maybe a year or more if they're a klutz who was never very good in art class. Meanwhile, their Chinese counterpart learning English has zoomed ahead to learn cursive script, with time left over to read _Moby Dick_, or at least Strunk & White.

This is not exactly big news, I know; the alphabet really is a breeze to learn. Chinese people I know who have studied English for a few years can usually write with a handwriting style that is almost indistinguishable from that of the average American. Very few Americans, on the other hand, _ever_ learn to produce a natural calligraphic hand in Chinese that resembles anything but that of an awkward Chinese third-grader. If there were nothing else hard about Chinese, the task of learning to write characters alone would put it in the rogues' gallery of hard-to-learn languages.

### 3\. Because the writing system just ain't very phonetic.

So much for the physical process of writing the characters themselves. What about the sheer task of memorizing so many characters? Again, a comparison of English and Chinese is instructive. Suppose a Chinese person has just the previous day learned the English word "president", and now wants to write it from memory. How to start? Anyone with a year or two of English experience is going to have a host of clues and spelling rules-of-thumb, albeit imperfect ones, to help them along. The word really couldn't start with anything but "pr", and after that a little guesswork aided by visual memory ("Could a 'z' be in there? That's an unusual letter, I would have noticed it, I think. Must be an 's'...") should produce something close to the target. Not every foreigner (or native speaker for that matter) has noted or internalized the various flawed spelling heuristics of English, of course, but they are at least there to be utilized.

Now imagine that you, a learner of Chinese, have just the previous day encountered the Chinese word for "president" (总统 zǒngtǒng ) and want to write it. What processes do you go through in retrieving the word? Well, very often you just totally forget, with a forgetting that is both absolute and perfect in a way few things in this life are. You can repeat the word as often as you like; the sound won't give you a clue as to how the character is to be written. After you learn a few more characters and get hip to a few more phonetic components, you can do a bit better. ("Zǒng 总 is a phonetic component in some other character, right?..._Song_? _Zeng_? Oh yeah, _cong_ 总 as in cōngmíng 聪明.") Of course, the phonetic aspect of some characters is more obvious than that of others, but many characters, including some of the most high-frequency ones, give no clue at all as to their pronunciation.

All of this is to say that Chinese is just not very phonetic when compared to English. (English, in turn, is less phonetic than a language like German or Spanish, but Chinese isn't even in the same ballpark.) It is not true, as some people outside the field tend to think, that Chinese is not phonetic at all, though a perfectly intelligent beginning student could go several months without noticing this fact. Just how phonetic the language is a very complex issue. Educated opinions range from 25% (Zhao Yuanren)[7][14] to around 66% (DeFrancis),[8][15] though the latter estimate assumes more knowledge of phonetic components than most learners are likely to have. One could say that Chinese is phonetic in the way that sex is aerobic: technically so, but in practical use not the most salient thing about it. Furthermore, this phonetic aspect of the language doesn't really become very useful until you've learned a few hundred characters, and even when you've learned two thousand, the feeble phoneticity of Chinese will never provide you with the constant memory prod that the phonetic quality of English does.

Which means that often you just completely forget how to write a character. Period. If there is no obvious semantic clue in the radical, and no helpful phonetic component somewhere in the character, you're just sunk. And you're sunk whether your native language is Chinese or not; contrary to popular myth, Chinese people are not born with the ability to memorize arbitrary squiggles. In fact, one of the most gratifying experiences a foreign student of Chinese can have is to see a native speaker come up a complete blank when called upon to write the characters for some relatively common word. You feel an enormous sense of vindication and relief to see a native speaker experience the exact same difficulty you experience every day.

This is _such_ a gratifying experience, in fact, that I have actually kept a list of characters that I have observed Chinese people forget how to write. (A sick, obsessive activity, I know.) I have seen highly literate Chinese people forget how to write certain characters in common words like "tin can", "knee", "screwdriver", "snap" (as in "to snap one's fingers"), "elbow", "ginger", "cushion", "firecracker", and so on. And when I say "forget", I mean that they often cannot even put the first stroke down on the paper. Can you imagine a well-educated native English speaker totally forgetting how to write a word like "knee" or "tin can"? Or even a rarely-seen word like "scabbard" or "ragamuffin"? I was once at a luncheon with three Ph.D. students in the Chinese Department at Peking University, all native Chinese (one from Hong Kong). I happened to have a cold that day, and was trying to write a brief note to a friend canceling an appointment that day. I found that I couldn't remember how to write the character 嚔, as in _da penti_ 打喷嚔 "to sneeze". I asked my three friends how to write the character, and to my surprise, all three of them simply shrugged in sheepish embarrassment. Not one of them could correctly produce the character. Now, Peking University is usually considered the "Harvard of China". Can you imagine three Ph.D. students in English at Harvard forgetting how to write the English word "sneeze"?? Yet this state of affairs is by no means uncommon in China. English is simply orders of magnitude easier to write and remember. No matter how low-frequency the word is, or how unorthodox the spelling, the English speaker can always come up with something, simply because there has to be some correspondence between sound and spelling. One might forget whether "abracadabra" is hyphenated or not, or get the last few letters wrong on "rhinoceros", but even the poorest of spellers can make a reasonable stab at almost anything. By contrast, often even the most well-educated Chinese have no recourse but to throw up their hands and ask someone else in the room how to write some particularly elusive character.

As one mundane example of the advantages of a phonetic writing system, here is one kind of linguistic situation I encountered constantly while I was in France. (Again I use French as my canonical example of an "easy" foreign language.) I wake up one morning in Paris and turn on the radio. An ad comes on, and I hear the word "_amortisseur_" several times. "What's an _amortisseur_?" I think to myself, but as I am in a hurry to make an appointment, I forget to look the word up in my haste to leave the apartment. A few hours later I'm walking down the street, and I read, on a sign, the word "_AMORTISSEUR_" -- the word I heard earlier this morning. Beneath the word on the sign is a picture of a shock absorber. Aha! So "amortisseur" means "shock absorber". And _voila_! I've learned a new word, quickly and painlessly, all because the sound I construct when reading the word is the same as the sound in my head from the radio this morning -- one reinforces the other. Throughout the next week I see the word again several times, and each time I can reconstruct the sound by simply reading the word phonetically -- "_a-mor-tis-seur_". Before long I can retrieve the word easily, use it in conversation, or write it in a letter to a friend. And the process of learning a foreign language begins to seem less daunting.

When I first went to Taiwan for a few months, the situation was quite different. I was awash in a sea of characters that were all visually interesting but phonetically mute. I carried around a little dictionary to look up unfamiliar characters in, but it's almost impossible to look up a character in a Chinese dictionary while walking along a crowded street (more on dictionary look-up later), and so I didn't get nearly as much phonetic reinforcement as I got in France. In Taiwan I could pass a shop with a sign advertising shock absorbers and never know how to pronounce any of the characters unless I first look them up. And even then, the next time I pass the shop I might have to look the characters up again. And again, and again. The reinforcement does not come naturally and easily.

### 4\. Because you can't cheat by using cognates.

I remember when I had been studying Chinese very hard for about three years, I had an interesting experience. One day I happened to find a Spanish-language newspaper sitting on a seat next to me. I picked it up out of curiosity. "Hmm," I thought to myself. "I've never studied Spanish in my life. I wonder how much of this I can understand." At random I picked a short article about an airplane crash and started to read. I found I could basically glean, with some guesswork, most of the information from the article. The crash took place near Los Angeles. 186 people were killed. There were no survivors. The plane crashed just one minute after take-off. There was nothing on the flight recorder to indicate a critical situation, and the tower was unaware of any emergency. The plane had just been serviced three days before and no mechanical problems had been found. And so on. After finishing the article I had a sudden discouraging realization: _Having never studied a day of Spanish, I could read a Spanish newspaper more easily than I could a Chinese newspaper after more than three years of studying Chinese._

What was going on here? Why was this "foreign" language so transparent? The reason was obvious: cognates -- those helpful words that are just English words with a little foreign make-up.[9][16] I could read the article because most of the operative words were basically English: _aeropuerto_, _problema mechanico_, _un minuto_, _situacion critica_, _emergencia_, etc. Recognizing these words as just English words in disguise is about as difficult as noticing that Superman is really Clark Kent without his glasses. That these quasi-English words are easier to learn than Chinese characters (which might as well be quasi-Martian) goes without saying.

Imagine you are a diabetic, and you find yourself in Spain about to go into insulin shock. You can rush into a doctor's office, and, with a minimum of Spanish and a couple of pieces of guesswork ("diabetes" is just "_diabetes_" and "insulin" is "_insulina_", it turns out), you're saved. In China you'd be a goner for sure, unless you happen to have a dictionary with you, and even then you would probably pass out while frantically looking for the first character in the word for insulin. Which brings me to the next reason why Chinese is so hard.

### 5\. Because even looking up a word in the dictionary is complicated.

One of the most unreasonably difficult things about learning Chinese is that merely learning how to look up a word in the dictionary is about the equivalent of an entire semester of secretarial school. When I was in Taiwan, I heard that they sometimes held dictionary look-up contests in the junior high schools. Imagine a language where simply looking a word up in the dictionary is considered a skill like debate or volleyball! Chinese is not exactly what you would call a user-friendly language, but [ a Chinese dictionary is positively user-_hostile_][17].

Figuring out all the radicals and their variants, plus dealing with the ambiguous characters with no obvious radical at all is a stupid, time-consuming chore that slows the learning process down by a factor of ten as compared to other languages with a sensible alphabet or the equivalent. I'd say it took me a good year before I could reliably find in the dictionary any character I might encounter. And to this day, I will very occasionally stumble onto a character that I simply can't find at _all_, even after ten minutes of searching. At such times I raise my hands to the sky, Job-like, and consider going into telemarketing.

Chinese must also be one of the most dictionary-intensive languages on earth. I currently have more than twenty Chinese dictionaries of various kinds on my desk, and they all have a specific and distinct use. There are dictionaries with simplified characters used on the mainland, dictionaries with the traditional characters used in Taiwan and Hong Kong, and dictionaries with both. There are dictionaries that use the [Wade-Giles romanization][18], dictionaries that use pinyin, and dictionaries that use other more surrealistic romanization methods. There are dictionaries of classical Chinese particles, dictionaries of Beijing dialect, dictionaries of chéngyǔ (four-character idioms), dictionaries of xiēhòuyǔ (special allegorical two-part sayings), dictionaries of yànyǔ (proverbs), dictionaries of Chinese communist terms, dictionaries of Buddhist terms, reverse dictionaries... on and on. An exhaustive hunt for some elusive or problematic lexical item can leave one's desk "strewn with dictionaries as numerous as dead soldiers on a battlefield."[10][19]

For looking up unfamiliar characters there is another method called the four-corner system. This method is very fast -- rumored to be, in principle, about as fast as alphabetic look-up (though I haven't met anyone yet who can hit the winning number each time on the first try). Unfortunately, learning this method takes about as much time and practice as learning the Dewey decimal system. Plus you are then at the mercy of the few dictionaries that are arranged according to the numbering scheme of the four-corner system. Those who have mastered this system usually swear by it. The rest of us just swear.

Another problem with looking up words in the dictionary has to do with the nature of written Chinese. In most languages it's pretty obvious where the word boundaries lie -- there are spaces between the words. If you don't know the word in question, it's usually fairly clear what you should look up. (What actually constitutes a word is a very subtle issue, of course, but for my purposes here, what I'm saying is basically correct.) In Chinese there are spaces between characters, but it takes quite a lot of knowledge of the language and often some genuine sleuth work to tell where word boundaries lie; thus it's often trial and error to look up a word. It would be as if English were written thus:

FEAR LESS LY OUT SPOKE N BUT SOME WHAT HUMOR LESS NEW ENG LAND BORN LEAD ACT OR GEORGE MICHAEL SON EX PRESS ED OUT RAGE TO DAY AT THE STALE MATE BE TWEEN MAN AGE MENT AND THE ACT OR 'S UNION BE CAUSE THE STAND OFF HAD SET BACK THE TIME TABLE FOR PRO DUC TION OF HIS PLAY, A ONE MAN SHOW CASE THAT WAS HIS FIRST RUN A WAY BROAD WAY BOX OFFICE SMASH HIT. "THE FIRST A MEND MENT IS AT IS SUE" HE PRO CLAIM ED. "FOR A CENS OR OR AN EDIT OR TO EDIT OR OTHER WISE BLUE PENCIL QUESTION ABLE DIA LOG JUST TO KOW TOW TO RIGHT WING BORN AGAIN BIBLE THUMP ING FRUIT CAKE S IS A DOWN RIGHT DIS GRACE." 

Imagine how this difference would compound the dictionary look-up difficulties of a non-native speaker of English. The passage is pretty trivial for us to understand, but then we already know English. For them it would often be hard to tell where the word boundaries were supposed to be. So it is, too, with someone trying to learn Chinese.

### 6\. Then there's classical Chinese (_wenyanwen_).

Forget it. Way too difficult. If you think that after three or four years of study you'll be breezing through Confucius and Mencius in the way third-year French students at a comparable level are reading Diderot and Voltaire, you're sadly mistaken. There are some westerners who can comfortably read classical Chinese, but most of them have a lot of gray hair or at least tenure.

Unfortunately, classical Chinese pops up everywhere, especially in Chinese paintings and character scrolls, and most people will assume anyone literate in Chinese can read it. It's truly embarrassing to be out at a Chinese restaurant, and someone asks you to translate some characters on a wall hanging.

"Hey, _you_ speak Chinese. What does this scroll say?" You look up and see that the characters are written in _wenyan_, and in incomprehensible "grass-style" calligraphy to boot. It might as well be an EKG readout of a dying heart patient.

"Uh, I can make out one or two of the characters, but I couldn't tell you what it says," you stammer. "I think it's about a phoenix or something."

"Oh, I thought you knew Chinese," says your friend, returning to their menu. Never mind that an honest-to-goodness Chinese person would also just scratch their head and shrug; the face that is lost is yours.

Whereas modern Mandarin is merely perversely hard, classical Chinese is deliberately impossible. Here's a secret that sinologists won't tell you: A passage in classical Chinese can be understood only if you _already know what the passage says in the first place_. This is because classical Chinese really consists of several centuries of esoteric anecdotes and in-jokes written in a kind of terse, miserly code for dissemination among a small, elite group of intellectually-inbred bookworms who already knew the whole literature backwards and forwards, anyway. An uninitiated westerner can no more be expected to understand such writing than Confucius himself, if transported to the present, could understand the entries in the "personal" section of the classified ads that say things like: "Hndsm. SWGM, 24, 160, sks BGM or WGM for gentle S&M, mod. bndg., some lthr., twosm or threesm ok, have own equip., wheels, 988-8752 lv. mssg. on ans. mach., no weirdos please."

In fairness, it should be said that classical Chinese gets easier the more you attempt it. But then so does hitting a hole in one, or swimming the English channel in a straitjacket.

### 7\. Because there are too many romanization methods and they all suck.

Well, perhaps that's too harsh. But it is true that there are too many of them, and most of them were designed either by committee or by linguists, or -- even worse -- by a committee of linguists. It is, of course, a very tricky task to devise a romanization method; some are better than others, but all involve plenty of counterintuitive spellings.[11][20] And if you're serious about a career in Chinese, you'll have to grapple with at least four or five of them, not including the [_bopomofu_][21] phonetic symbols used in Taiwan. There are probably a dozen or more romanization schemes out there somewhere, most of them mercifully obscure and rightfully ignored. There is a standing joke among sinologists that one of the first signs of senility in a China scholar is the compulsion to come up with a new romanization method.

### 8\. Because tonal languages are weird.

Okay, that's very Anglo-centric, I know it. But I have to mention this problem because it's one of the most common complaints about learning Chinese, and it's one of the aspects of the language that westerners are notoriously bad at. Every person who tackles Chinese at first has a little trouble believing this aspect of the language. How is it possible that shùxué means "mathematics" while shūxuě means "blood transfusion", or that guòjiǎng means "you flatter me" while guǒjiàng means "fruit paste"?

By itself, this property of Chinese would be hard enough; it means that, for us non-native speakers, there is this extra, seemingly irrelevant aspect of the sound of a word that you must memorize along with the vowels and consonants. But where the real difficulty comes in is when you start to really use Chinese to express yourself. You suddenly find yourself straitjacketed -- when you say the sentence with the intonation that feels natural, the tones come out all wrong. For example, if you wish say something like "Hey, that's _my_ water glass you're drinking out of!", and you follow your intonational instincts -- that is, to put a distinct falling tone on the first character of the word for "my" -- you will have said a kind of gibberish that may or may not be understood.

Intonation and stress habits are incredibly ingrained and second-nature. With non-tonal languages you can basically import, _mutatis mutandis_, your habitual ways of emphasizing, negating, stressing, and questioning. The results may be somewhat non-native but usually understandable. Not so with Chinese, where your intonational contours must always obey the tonal constraints of the specific words you've chosen. Chinese speakers, of course, can express all of the intonational subtleties available in non-tonal languages -- it's just that they do it in a way that is somewhat alien to us speakers of non-tonal languages. When you first begin using your Chinese to talk about subjects that actually _matter_ to you, you find that it feels somewhat like trying to have a passionate argument with your hands tied behind your back -- you are suddenly robbed of some vital expressive tools you hadn't even been aware of having.

### 9\. Because east is east and west is west, and the twain have only recently met.

Language and culture cannot be separated, of course, and one of the main reasons Chinese is so difficult for Americans is that our two cultures have been isolated for so long. The reason reading French sentences like "_Le président Bush assure le peuple koweitien que le gouvernement américain va continuer à défendre le Koweit contre la menace irakienne_," is about as hard as deciphering pig Latin is not just because of the deep Indo-European family resemblance, but also because the core concepts and cultural assumptions in such utterances stem from the same source. We share the same art history, the same music history, the same _history_ history \-- which means that in the head of a French person there is basically the same set of archetypes and the same cultural cast of characters that's in an American's head. We are as familiar with Rimbaud as they are with Rambo. In fact, compared to the difference between China and the U.S., American culture and and French culture seem about as different as Peter Pan and Skippy peanut butter.

Speaking with a Chinese person is usually a different matter. You just can't drop Dickens, Tarzan, Jack the Ripper, Goethe, or the Beatles into a conversation and always expect to be understood. I once had a Chinese friend who had read the first translations of Kafka into Chinese, yet didn't know who Santa Claus was. China has had extensive contact with the West in the last few decades, but there is still a vast sea of knowledge and ideas that is not shared by both cultures.

Similarly, how many Americans other than sinophiles have even a rough idea of the chronology of China's dynasties? Has the average history major here ever heard of Qin Shi Huangdi and his contribution to Chinese culture? How many American music majors have ever heard a note of Peking Opera, or would recognize a _pipa_ if they tripped over one? How many otherwise literate Americans have heard of Lu Xun, Ba Jin, or even Mozi?

What this means is that when Americans and Chinese get together, there is often not just a language barrier, but an immense cultural barrier as well. Of course, this is one of the reasons the study of Chinese is so interesting. It is also one of the reasons it is so damn hard.

### Conclusion

I could go on and on, but I figure if the reader has bothered to read this far, I'm preaching to the converted, anyway. Those who have tackled other difficult languages have their own litany of horror stories, I'm sure. But I still feel reasonably confident in asserting that, for an average American, Chinese is significantly harder to learn than _any_ of the other thirty or so major world languages that are usually studied formally at the university level (though Japanese in many ways comes close). Not too interesting for linguists, maybe, but something to consider if you've decided to better yourself by learning a foreign language, and you're thinking "Gee, Chinese looks kinda neat."

It's pretty hard to quantify a process as complex and multi-faceted as language-learning, but one simple metric is to simply estimate the time it takes to master the requisite language-learning skills. When you consider all the above-mentioned things a learner of Chinese has to acquire -- ability to use a dictionary, familiarity with two or three [romanization methods][22], a grasp of principles involved in writing characters (both simplified and traditional) -- it adds up to an awful lot of down time while one is "learning to learn" Chinese.

How much harder is Chinese? Again, I'll use French as my canonical "easy language". This is a very rough and intuitive estimate, but I would say that it takes about three times as long to reach a level of comfortable fluency in speaking, reading, and writing Chinese as it takes to reach a comparable level in French. An average American could probably become reasonably fluent in _two_ Romance languages in the time it would take them to reach the same level in Chinese.

One could perhaps view learning languages as being similar to learning musical instruments. Despite the esoteric glories of the harmonica literature, it's probably safe to say that the piano is a lot harder and more time-consuming to learn. To extend the analogy, there is also the fact that we are _all_ virtuosos on at least one "instrument" (namely, our native language), and learning instruments from the same family is easier than embarking on a completely different instrument. A Spanish person learning Portuguese is comparable to a violinist taking up the viola, whereas an American learning Chinese is more like a rock guitarist trying to learn to play an elaborate 30-stop three-manual pipe organ.

Someone once said that learning Chinese is "a five-year lesson in humility". I used to think this meant that at the end of five years you will have mastered Chinese and learned humility along the way. However, now having studied Chinese for over six years, I have concluded that actually the phrase means that after five years your Chinese will _still_ be abysmal, but at least you will have thoroughly learned humility.

There is still the awe-inspiring fact that Chinese people manage to learn their own language very well. Perhaps they are like the gradeschool kids that Baroque performance groups recruit to sing Bach cantatas. The story goes that someone in the audience, amazed at hearing such youthful cherubs flawlessly singing Bach's uncompromisingly difficult vocal music, asks the choir director, "But how are they able to perform such difficult music?"

"Shh -- not so loud!" says the director, "If you don't tell them it's difficult, they _never know_."

### Bibliography

(A longer version of this paper is available through [ CRCC][23], Indiana University, 510 N. Fess, Bloomington, IN, 47408.)

Chen, Heqin, (1928)"Yutiwen yingyong zihui" [Characters used in vernacular literature], Shanghai.

DeFrancis, John (1966) "Why Johnny Can't Read Chinese", _Journal of the Chinese Language Teachers Association_, Vol. 1, No. 1, Feb. 1966, pp. 1-20.

DeFrancis, John (1984) [_The Chinese Language: Fact and Fantasy][7]_, Honolulu: University of Hawaii Press.

DeFrancis, John (1989) [_Visible Speech: The Diverse Oneness of Writing Systems][24]_, Honolulu: University of Hawaii Press.

Kennedy, George (1964) "A Minimum Vocabulary in Modern Chinese", in [_Selected Works of George Kennedy][25]_, Tien-yi Li (ed.), New Haven: Far Eastern Publications.

Mair, Victor (1986) "The Need for an Alphabetically Arranged General Usage Dictionary of Mandarin Chinese: A Review Article of Some Recent Dictionaries and Current Lexicographical Projects", [_Sino-Platonic Papers][26]_, No. 1, February, 1986 (Dept. of Oriental Studies, University of Pennsylvania).

Zhao, Yuanren, (1972) _Aspects of Chinese Sociolinguistics_, Anwar S. Dil (ed.), Stanford: Stanford University Press.

### Notes

1. I am speaking of the writing system here, but the difficulty of the writing system has such a pervasive effect on literacy and general language mastery that I think the statement as a whole is still valid. [back][27]
2. John DeFrancis, [_The Chinese Language: Fact and Fantasy][7]_, Honolulu: University of Hawaii Press, 1984, p.153. Most of the issues in this paper are dealt with at length and with great clarity in both this book and in his [_Visible Speech: The Diverse Oneness of Writing Systems][24]_, Honolulu: University of Hawaii Press, 1989. [back][28]
3. Incidentally, I'm aware that much of what I've said above applies to Japanese as well, but it seems clear that the burden placed on a learner of Japanese is much lighter because (a) the number of Chinese characters used in Japanese is "only" about 2,000 -- fewer by a factor of two or three compared to the number needed by the average literate Chinese reader; and (b) the Japanese have phonetic syllabaries (the hiragana and katakana characters), which are nearly 100% phonetically reliable and are in many ways easier to master than chaotic English orthography is. [back][29]
4. See, for ex., Chen Heqin, "Yutiwen yingyong zihui" [Characters used in vernacular literature], Shanghai, 1928\. [back][30]
5. John DeFrancis deals with this issue, among other places, in "Why Johnny Can't Read Chinese", _Journal of the Chinese Language Teachers Association_, Vol. 1, No. 1, Feb. 1966, pp. 1-20. [back][31]
6. George Kennedy, "A Minimum Vocabulary in Modern Chinese", in [_Selected Works of George Kennedy][25]_, Tien-yi Li (ed.), New Haven, 1964, p. 8. [back][32]
7. Zhao Yuanren, _Aspects of Chinese Sociolinguistics_, Anwar S. Dil (ed.), Stanford: Stanford University Press, 1976, p. 92. [back][33]
8. John DeFrancis, [_The Chinese Language: Fact and Fantasy][7]_, p. 109. [back][34]
9. Charles Hockett reminds me that many of my examples are really instances of loan words, not cognates, but rather than take up space dealing with the issue, I will blur the distinction a bit here. There are phonetic loan words from English into Chinese, of course, but they are scarce curiosities rather than plentiful semantic moorings. [back][35]
10. A phrase taken from an article by Victor Mair with the deceptively boring title "[ The Need for an Alphabetically Arranged General Usage Dictionary of Mandarin Chinese: A Review Article of Some Recent Dictionaries and Current Lexicographical Projects][17]" ([_Sino-Platonic Papers][26]_, No. 1, February, 1986, Dept. of Oriental Studies, University of Pennsylvania). Mair includes a rather hilarious but realistic account of the tortuous steeplechase of looking up a low-frequency lexical item in his arsenal of Chinese dictionaries. [back][36]
11. I have noticed from time to time that the romanization method first used tends to influence one's accent in Chinese. It seems to me a Chinese person with a very keen ear could distinguish Americans speaking, say, Wade-Giles-accented Chinese from pinyin-accented Chinese. [back][37]

[1]: http://pinyin.info/moser_zhongwen_simplified.html
[2]: http://pinyin.info/moser_zhongwen_traditional.html
[3]: http://pinyin.info/readings/Schriftfestschrift.html
[4]: http://sino-platonic.org/
[5]: http://pinyin.info#_ftn1 ""
[6]: http://pinyin.info/readings/texts/ideographic_myth.html
[7]: http://pinyin.info/readings/chinese_language.html
[8]: http://pinyin.info#_ftn2 ""
[9]: http://pinyin.info#_ftn3 ""
[10]: http://pinyin.info#_ftn4 ""
[11]: http://pinyin.info#_ftn5 ""
[12]: http://pinyin.info/readings/lu_xun/writing.html
[13]: http://pinyin.info#_ftn6 ""
[14]: http://pinyin.info#_ftn7 ""
[15]: http://pinyin.info#_ftn8 ""
[16]: http://pinyin.info#_ftn9 ""
[17]: http://www.sino-platonic.org/abstracts/spp001_chinese_dictionaries.html
[18]: http://pinyin.info/romanization/wadegiles/index.html
[19]: http://pinyin.info#_ftn10 ""
[20]: http://pinyin.info#_ftn11 ""
[21]: http://pinyin.info/romanization/bopomofo/
[22]: http://pinyin.info/romanization/index.html
[23]: http://www.cogsci.indiana.edu/
[24]: http://pinyin.info/readings/visible_speech.html
[25]: http://pinyin.info/readings/george_kennedy.html
[26]: http://www.sino-platonic.org/
[27]: http://pinyin.info#_ftnref1 ""
[28]: http://pinyin.info#_ftnref2 ""
[29]: http://pinyin.info#_ftnref3 ""
[30]: http://pinyin.info#_ftnref4 ""
[31]: http://pinyin.info#_ftnref5 ""
[32]: http://pinyin.info#_ftnref6 ""
[33]: http://pinyin.info#_ftnref7 ""
[34]: http://pinyin.info#_ftnref8 ""
[35]: http://pinyin.info#_ftnref9 ""
[36]: http://pinyin.info#_ftnref10 ""
[37]: http://pinyin.info#_ftnref11 ""

