---
created_at: '2016-06-05T05:22:32.000Z'
title: Building Problem Solvers (1993)
url: http://www.qrg.northwestern.edu/BPS/readme.html
author: callmekit
points: 71
story_text: 
comment_text: 
num_comments: 4
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1465104152
_tags:
- story
- author_callmekit
- story_11839746
objectID: '11839746'

---
[Source](http://www.qrg.northwestern.edu/BPS/readme.html "Permalink to BUILDING PROBLEM SOLVERS")

# BUILDING PROBLEM SOLVERS

# _Building Problem Solvers_

### Kenneth D. Forbus and Johan de Kleer

![Building Problem Solvers image][1] _**From the back cover**_: 

For nearly two decades, Kenneth Forbus and Johan de Kleer have accumulated a substantial body of knowledge about the principles and practice of creating problem solvers. In some cases they are the inventors of the ideas or techniques described, and in others, participants in their development. _Building Problem Solvers_ communicates this knowledge in a focused, cohesive manner. It is unique among standard artificial intelligence texts in combining science and engineering, theory and craft to describe the construction of AI reasoning systems, and it includes code illustrating the ideas.

After working through _Building Problem Solvers_, readers should have a deep understanding of pattern directed inference systems, constraint languages, and truth-maintenance systems. The diligent reader will have worked through several substantial examples, including systems that perform symbolic algebra, natural deduction, resolution, qualitative reasoning, planning, diagnosis, scene analysis, and temporal reasoning.

Along the way, Forbus and de Kleer teach the art of building robust AI software. They begin with simple examples such as search programs, and move to more complex cases on the cutting edge of AI techniques, such as model-based diagnosis systems and a qualitative reasoner. This software has been tested and used extensively by graduate students and programmers in industry.

Although _Building Problem Solvers_ is designed primarily as a text for advanced AI classes or AI programming classes, it can be used by researchers in university and industrial laboratories who want to apply these techniques to their work, and by programmers who want to incorporate these ideas in their applications.

[Kenneth D. Forbus][2] is the Walter P. Murphy Professor of Computer Science and Professor of Education at Northwestern University. [Johan de Kleer][3] directs the Systems and Practices Laboratory at the Xerox Palo Alto Research Center.  
  
_Building Problem Solvers_ is included in the Artificial Intelligence Series, edited by Michael Brady, Daniel Bobrow, and Randall Davis. A Bradford Book.  

Please read the [legal notice][4] before using any of the material associated with the book. 

If interested, you can [place an order][5] for _Building Problem Solvers_ with [MIT Press][6]. Also of course available through [Amazon][7] and [Barnes and Noble][8], although, alas, only in treeware. You can also browse the above location for price information.

Thanks to the gracious permission of MIT Press, we are pleased to make an electronic version of the book available for free download. It is a searchable PDF file, made from very high quality scans, so it is just over 100MB in size. MIT Press retains the print rights, so please only use this for on-line reading. You can download it [here][9].

The original code for this book is available as zip file ([bps1024.zip][10]), or can be [browsed on-line][11]. The code has been ported to a [number of platforms][12].

Please send all bug reports for the book to **bug-[...Click here for more info...][13]@cs.northwestern.edu**. Email to this address is automatically forwarded to Forbus and de Kleer.

* * *

[Back to Resources page][14] | [Back to QRG Home Page][15]

[1]: http://www.qrg.northwestern.edu/pics/bps.gif
[2]: http://www.cs.northwestern.edu/~forbus/
[3]: http://www.parc.com/about/people/49/johan-de-kleer.html
[4]: http://www.qrg.northwestern.edu/legal-n.txt
[5]: http://mitpress.mit.edu/catalog/search/default.asp?qtype=c&query=building+problem+solvers
[6]: http://www-mitpress.mit.edu/
[7]: http://www.amazon.com/gp/product/0262061570/
[8]: http://search.barnesandnoble.com/Building-Problem-Solvers/Kenneth-D-Forbus/e/9780262061575
[9]: http://www.qrg.northwestern.edu/BPS-Searchable.pdf
[10]: http://www.qrg.northwestern.edu/BPS1024.zip
[11]: http://www.qrg.northwestern.edu/directory.html
[12]: http://www.qrg.northwestern.edu/compat.txt
[13]: http://mailhide.recaptcha.net/d?k=01d6eCxbZEfIpXxtOW-zy_2A==&c=eqFxJge8sdjXTJt9QTjZHI6IagpTkmsyYdrzdEM6jl4= "Reveal this e-mail address"
[14]: http://www.qrg.northwestern.edu/Resources/resources_index.html
[15]: http://www.qrg.northwestern.edu/

