---
created_at: '2013-09-15T16:31:22.000Z'
title: How To Deconstruct Almost Anything (1993)
url: http://www.fudco.com/chip/deconstr.html
author: didgeoridoo
points: 215
story_text: ''
comment_text: 
num_comments: 133
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1379262682
_tags:
- story
- author_didgeoridoo
- story_6389498
objectID: '6389498'

---
[Source](http://www.fudco.com/chip/deconstr.html "Permalink to How To Deconstruct Almost Anything")

# How To Deconstruct Almost Anything


| ----- |
|    
 | 

# How To Deconstruct Almost Anything

## My Postmodern Adventure

by [Chip Morningstar][1]  
June 1993

"Academics get paid for being clever, not for being right."  
\-- Donald Norman

This is the story of one computer professional's explorations in the world of postmodern literary criticism. I'm a working software engineer, not a student nor an academic nor a person with any real background in the humanities. Consequently, I've approached the whole subject with a somewhat different frame of mind than perhaps people in the field are accustomed to. Being a vulgar engineer I'm allowed to break a lot of the rules that people in the humanities usually have to play by, since nobody expects an engineer to be literate. Ha. Anyway, here is my tale. 

It started when my colleague Randy Farmer and I presented a paper at the Second International Conference on Cyberspace, held in Santa Cruz, California in April, 1991. Like the first conference, at which we also presented a paper, it was an aggressively interdisciplinary gathering, drawing from fields as diverse as computer science, literary criticism, engineering, history, philosophy, anthropology, psychology, and political science. About the only relevant field that seemed to lack strong representation was economics (an important gap but one which we don't have room to get into here). It was in turn stimulating, aggravating, fascinating and infuriating, a breathtaking intellectual roller coaster ride unlike anything else I've recently encountered in my professional life. My last serious brush with the humanities in an academic context had been in college, ten years earlier. The humanities appear to have experienced a considerable amount of evolution (or perhaps more accurately, genetic drift) since then. 

Randy and I were scheduled to speak on the second day of the conference. This was fortunate because it gave us the opportunity to recalibrate our presentation based on the first day's proceedings, during which we discovered that we had grossly mischaracterized the audience by assuming that it would be like the crowd from the first conference. I spent most of that first day furiously scribbling notes. People kept saying the most remarkable things using the most remarkable language, which I found I needed to put down in writing because the words would disappear from my brain within seconds if I didn't. Are you familiar with the experience of having memories of your dreams fade within a few minutes of waking? It was like that, and I think for much the same reason. Dreams have a logic and structure all their own, falling apart into unmemorable pieces that make no sense when subjected to the scrutiny of the conscious mind. So it was with many of the academics who got up to speak. The things they said were largely incomprehensible. There was much talk about deconstruction and signifiers and arguments about whether cyberspace was or was not "narrative". There was much quotation from Baudrillard, Derrida, Lacan, Lyotard, Saussure, and the like, every single word of which was impenetrable. I'd never before had the experience of being quite this baffled by things other people were saying. I've attended lectures on quantum physics, group theory, cardiology, and contract law, all fields about which I know nothing and all of which have their own specialized jargon and notational conventions. None of those lectures were as opaque as anything these academics said. But I captured on my notepad an astonishing collection of phrases and a sense of the overall tone of the event. 

We retreated back to Palo Alto that evening for a quick rewrite. The first order of business was to excise various little bits of phraseology that we now realized were likely to be perceived as Politically Incorrect. Mind you, the fundamental thesis of our presentation was Politically Incorrect, but we wanted people to get upset about the actual content rather than the form in which it was presented. Then we set about attempting to add something that would be an adequate response to the postmodern lit crit-speak we had been inundated with that day. Since we had no idea what any of it meant (or even if it actually meant anything at all), I simply cut-and-pasted from my notes. The next day I stood up in front of the room and opened our presentation with the following: 

> The essential paradigm of cyberspace is creating partially situated identities out of actual or potential social reality in terms of canonical forms of human contact, thus renormalizing the phenomenology of narrative space and requiring the naturalization of the intersubjective cognitive strategy, and thereby resolving the dialectics of metaphorical thoughts, each problematic to the other, collectively redefining and reifying the paradigm of the parable of the model of the metaphor. 

This bit of nonsense was constructed entirely out of things people had actually said the day before, except for the last ten words or so which are a pastiche of Danny Kaye's "flagon with the dragon" bit from _The Court Jester_, contributed by our co-worker Gayle Pergamit, who took great glee in the entire enterprise. Observing the audience reaction was instructive. At first, various people started nodding their heads in nods of profound understanding, though you could see that their brain cells were beginning to strain a little. Then some of the techies in the back of the room began to giggle. By the time I finished, unable to get through the last line with a straight face, the entire room was on the floor in hysterics, as by then even the most obtuse English professor had caught on to the joke. With the postmodernist lit crit shit thus defused, we went on with our actual presentation. 

Contrary to the report given in the "Hype List" column of issue #1 of _Wired_ [("Po-Mo Gets Tek-No", page 87)][2], we did not shout down the postmodernists. We made fun of them. 

Afterward, however, I was left with a sense that I should try to actually understand what these people were saying, really. I figured that one of three cases must apply. It could be that there was truly some content there of value, once you learned the lingo. If this was the case, then I wanted to know what it was. On the other hand, perhaps there was actually content there but it was bogus (my working hypothesis), in which case I wanted to be able to respond to it credibly. On the third hand, maybe there was no content there after all, in which case I wanted to be able to write these clowns off without feeling guilty that I hadn't given them due consideration. 

The subject that I kept hearing about over and over again at the conference was deconstruction. I figured I'd start there. I asked my friend Michael Benedikt for a pointer to some sources. I had gotten to know Michael when he organized the First International Conference on Cyberspace. I knew him to be a person with a foot in the lit crit camp but also a person of clear intellectual integrity who was not a fool. He suggested a book called _On Deconstruction_ by Jonathan Culler. I got the book and read it. It was a stretch, but I found I could work my way through it, although I did end up with the most heavily marked up book in my library by the time I was done. The Culler book lead me to some other things, which I also read. And I started subscribing to alt.postmodern and now actually find it interesting, much of the time. I can't claim to be an expert, but I feel I've reached the level of a competent amateur. I think I can explain it. It turns out that there's nothing to be afraid of. 

We engineers are frequently accused of speaking an alien language, of wrapping what we do in jargon and obscurity in order to preserve the technological priesthood. There is, I think, a grain of truth in this accusation. Defenders frequently counter with arguments about how what we do really is technical and really does require precise language in order to talk about it clearly. There is, I think, a substantial bit of truth in this as well, though it is hard to use these grounds to defend the use of the term "grep" to describe digging through a backpack to find a lost item, as a friend of mine sometimes does. However, I think it's human nature for members of any group to use the ideas they have in common as metaphors for everything else in life, so I'm willing to forgive him. 

The really telling factor that neither side of the debate seems to cotton to, however, is this: technical people like me work in a commercial environment. Every day I have to explain what I do to people who are different from me -- marketing people, technical writers, my boss, my investors, my customers -- none of whom belong to my profession or share my technical background or knowledge. As a consequence, I'm constantly forced to describe what I know in terms that other people can at least begin to understand. My success in my job depends to a large degree on my success in so communicating. At the very least, in order to remain employed I have to convince somebody else that what I'm doing is worth having them pay for it. 

Contrast this situation with that of academia. Professors of Literature or History or Cultural Studies in their professional life find themselves communicating principally with other professors of Literature or History or Cultural Studies. They also, of course, communicate with students, but students don't really count. Graduate students are studying to be professors themselves and so are already part of the in-crowd. Undergraduate students rarely get a chance to close the feedback loop, especially at the so called "better schools" (I once spoke with a Harvard professor who told me that it is quite easy to get a Harvard undergraduate degree without ever once encountering a tenured member of the faculty inside a classroom; I don't know if this is actually true but it's a delightful piece of slander regardless). They publish in peer reviewed journals, which are not only edited by their peers but published for and mainly read by their peers (if they are read at all). Decisions about their career advancement, tenure, promotion, and so on are made by committees of their fellows. They are supervised by deans and other academic officials who themselves used to be professors of Literature or History or Cultural Studies. They rarely have any reason to talk to anybody but themselves \-- occasionally a Professor of Literature will collaborate with a Professor of History, but in academic circles this sort of interdisciplinary work is still considered sufficiently daring and risqué as to be newsworthy. 

What you have is rather like birds on the Galapagos islands -- an isolated population with unique selective pressures resulting in evolutionary divergence from the mainland population. There's no reason you should be able to understand what these academics are saying because, for several generations, comprehensibility to outsiders has not been one of the selective criteria to which they've been subjected. What's more, it's not particularly important that they even be terribly comprehensible to each other, since the quality of academic work, particularly in the humanities, is judged primarily on the basis of politics and cleverness. In fact, one of the beliefs that seems to be characteristic of the postmodernist mind set is the idea that politics and cleverness are the basis for all judgments about quality or truth, regardless of the subject matter or who is making the judgment. A work need not be right, clear, original, or connected to anything outside the group. Indeed, it looks to me like the vast bulk of literary criticism that is published has other works of literary criticism as its principal subject, with the occasional reference to the odd work of actual literature tossed in for flavoring from time to time. 

Thus it is not surprising that it takes a bit of detective work to puzzle out what is going on. But I've been on the case for a while now and I think I've identified most of the guilty suspects. I hope I can spare some of my own peers the inconvenience and wasted time of actually doing the legwork themselves (though if you have an inclination in that direction I recommend it as a mind stretching departure from debugging C code). 

The basic enterprise of contemporary literary criticism is actually quite simple. It is based on the observation that with a sufficient amount of clever handwaving and artful verbiage, you can interpret any piece of writing as a statement about anything at all. The broader movement that goes under the label "postmodernism" generalizes this principle from writing to all forms of human activity, though you have to be careful about applying this label, since a standard postmodernist tactic for ducking criticism is to try to stir up metaphysical confusion by questioning the very idea of labels and categories. "Deconstruction" is based on a specialization of the principle, in which a work is interpreted as a statement about itself, using a literary version of the same cheap trick that Kurt Gödel used to try to frighten mathematicians back in the thirties. 

Deconstruction, in particular, is a fairly formulaic process that hardly merits the commotion that it has generated. However, like hack writers or television producers, academics will use a formula if it does the job and they are not held to any higher standard (though perhaps Derrida can legitimately claim some credit for originality in inventing the formula in the first place). Just to clear up the mystery, here is the formula, step-by-step: 

Step 1 -- Select a work to be deconstructed. This is called a "text" and is generally a piece of text, though it need not be. It is very much within the lit crit mainstream to take something which is not text and call it a text. In fact, this can be a very useful thing to do, since it leaves the critic with broad discretion to define what it means to "read" it and thus a great deal of flexibility in interpretation. It also allows the literary critic to extend his reach beyond mere literature. However, the choice of text is actually one of the less important decisions you will need to make, since points are awarded on the basis of style and wit rather than substance, although more challenging works are valued for their greater potential for exercising cleverness. Thus you want to pick your text with an eye to the opportunities it will give you to be clever and convoluted, rather than whether the text has anything important to say or there is anything important to say about it. Generally speaking, obscure works are better than well known ones, though an acceptable alternative is to choose a text from the popular mass media, such as a Madonna video or the latest Danielle Steele novel. The text can be of any length, from the complete works of Louis L'Amour to a single sentence. For example, let's deconstruct the phrase, "John F. Kennedy was not a homosexual."

Step 2 -- Decide what the text says. This can be whatever you want, although of course in the case of a text which actually consists of text it is easier if you pick something that it really does say. This is called "reading". I will read our example phrase as saying that John F. Kennedy was not a homosexual. 

Step 3 -- Identify within the reading a distinction of some sort. This can be either something which is described or referred to by the text directly or it can be inferred from the presumed cultural context of a hypothetical reader. It is a convention of the genre to choose a duality, such as man/woman, good/evil, earth/sky, chocolate/vanilla, etc. In the case of our example, the obvious duality to pick is homosexual/heterosexual, though a really clever person might be able to find something else. 

Step 4 -- Convert your chosen distinction into a "hierarchical opposition" by asserting that the text claims or presumes a particular primacy, superiority, privilege or importance to one side or the other of the distinction. Since it's pretty much arbitrary, you don't have to give a justification for this assertion unless you feel like it. Programmers and computer scientists may find the concept of a hierarchy consisting of only two elements to be a bit odd, but this appears to be an established tradition in literary criticism. Continuing our example, we can claim homophobia on the part of the society in which this sentence was uttered and therefor assert that it presumes superiority of heterosexuality over homosexuality. 

Step 5 -- Derive another reading of the text, one in which it is interpreted as referring to itself. In particular, find a way to read it as a statement which contradicts or undermines either the original reading or the ordering of the hierarchical opposition (which amounts to the same thing). This is really the tricky part and is the key to the whole exercise. Pulling this off successfully may require a variety of techniques, though you get more style points for some techniques than for others. Fortunately, you have a wide range of intellectual tools at your disposal, which the rules allow you to use in literary criticism even though they would be frowned upon in engineering or the sciences. These include appeals to authority (you can even cite obscure authorities that nobody has heard of), reasoning from etymology, reasoning from puns, and a variety of other word games. You are allowed to use the word "problematic" as a noun. You are also allowed to pretend that the works of Freud present a correct model of human psychology and the works of Marx present a correct model of sociology and economics (it's not clear to me whether practitioners in the field actually believe Freud and Marx or if it's just a convention of the genre). 

You get maximum style points for being French. Since most of us aren't French, we don't qualify for this one, but we can still score almost as much by writing in French or citing French sources. However, it is difficult for even the most intense and unprincipled American academician writing in French to match the zen obliqueness of a native French literary critic. Least credit is given for a clear, rational argument which makes its case directly, though of course that is what I will do with our example since, being gainfully employed, I don't have to worry about graduation or tenure. And besides, I'm actually trying to communicate here. Here is a possible argument to go with our example: 

> It is not generally claimed that John F. Kennedy was a homosexual. Since it is not an issue, why would anyone choose to explicitly declare that he was not a homosexual unless they wanted to make it an issue? Clearly, the reader is left with a question, a lingering doubt which had not previously been there. If the text had instead simply asked, "Was John F. Kennedy a homosexual?", the reader would simply answer, "No." and forget the matter. If it had simply declared, "John F. Kennedy was a homosexual.", it would have left the reader begging for further justification or argument to support the proposition. Phrasing it as a negative declaration, however, introduces the question in the reader's mind, exploiting society's homophobia to attack the reputation of the fallen President. What's more, the form makes it appear as if there is ongoing debate, further legitimizing the reader's entertainment of the question. Thus the text can be read as questioning the very assertion that it is making. 

Of course, no real deconstruction would be like this. I only used a single paragraph and avoided literary jargon. All of the words will be found in a typical abridged dictionary and were used with their conventional meanings. I also wrote entirely in English and did not cite anyone. Thus in an English literature course I would probably get a D for this, but I already have my degree so I don't care. 

Another minor point, by the way, is that we don't say that we deconstruct the text but that the text deconstructs itself. This way it looks less like we are making things up. 

That's basically all there is to it, although there is an enormous variety of stylistic complication that is added in practice. This is mainly due to the genetic drift phenomenon I mentioned earlier, resulting in the intellectual equivalent of peacock feathers, although I suspect that the need for enough material to fill up a degree program plays a part as well. The best way to learn, of course, is to try to do it yourself. First you need to read some real lit crit to get a feel for the style and the jargon. One or two volumes is all it takes, since it's all pretty much the same (I advise starting with the Culler book the way I did). Here are some ideas for texts you might try to deconstruct, once you are ready to attempt it yourself, graded by approximate level of difficulty: 

Beginner: 

> Ernest Hemingway's _The Old Man and The Sea  
_Robert Heinlein's _Starship Troopers  
_this article  
James Cameron's _The Terminator  
_issue #1 of _Wired  
_anything by Marx 

Intermediate: 

> Mark Twain's _Huckleberry Finn  
_the Book of Genesis  
Francois Truffaut's _Day For Night  
_The United States Constitution  
Elvis Presley singing _Jailhouse Rock  
_anything by Foucault 

Advanced: 

> Edmund Spenser's _The Faerie Queene  
_the Great Pyramid of Giza  
Leonardo da Vinci's _Mona Lisa  
_the Macintosh user interface  
Tony Bennett singing _I Left My Heart In San Francisco  
_anything by Derrida 

Tour de Force: 

> James Joyce's _Finnegans Wake  
_the San Jose, California telephone directory  
IRS Form 1040  
the _Intel i486DX Programmer's Reference Manual  
_the Mississippi River  
anything by Baudrillard 

So, what are we to make of all this? I earlier stated that my quest was to learn if there was any content to this stuff and if it was or was not bogus. Well, my assessment is that there is indeed some content, much of it interesting. The question of bogosity, however, is a little more difficult. It is clear that the forms used by academicians writing in this area go right off the bogosity scale, pegging my bogometer until it breaks. The quality of the actual analysis of various literary works varies tremendously and must be judged on a case-by-case basis, but I find most of it highly questionable. Buried in the muck, however, are a set of important and interesting ideas: that in reading a work it is illuminating to consider the contrast between what is said and what is not said, between what is explicit and what is assumed, and that popular notions of truth and value depend to a disturbingly high degree on the reader's credulity and willingness to accept the text's own claims as to its validity. 

Looking at the field of contemporary literary criticism as a whole also yields some valuable insights. It is a cautionary lesson about the consequences of allowing a branch of academia that has been entrusted with the study of important problems to become isolated and inbred. The Pseudo Politically Correct term that I would use to describe the mind set of postmodernism is "epistemologically challenged": a constitutional inability to adopt a reasonable way to tell the good stuff from the bad stuff. The language and idea space of the field have become so convoluted that they have confused even themselves. But the tangle offers a safe refuge for the academics. It erects a wall between them and the rest of the world. It immunizes them against having to confront their own failings, since any genuine criticism can simply be absorbed into the morass and made indistinguishable from all the other verbiage. Intellectual tools that might help prune the thicket are systematically ignored or discredited. This is why, for example, science, psychology and economics are represented in the literary world by theories that were abandoned by practicing scientists, psychologists and economists fifty or a hundred years ago. The field is absorbed in triviality. Deconstruction is an idea that would make a worthy topic for some bright graduate student's Ph.D. dissertation but has instead spawned an entire subfield. Ideas that would merit a good solid evening or afternoon of argument and debate and perhaps a paper or two instead become the focus of entire careers. 

Engineering and the sciences have, to a greater degree, been spared this isolation and genetic drift because of crass commercial necessity. The constraints of the physical world and the actual needs and wants of the actual population have provided a grounding that is difficult to dodge. However, in academia the pressures for isolation are enormous. It is clear to me that the humanities are not going to emerge from the jungle on their own. I think that the task of outreach is left to those of us who retain some connection, however tenuous, to what we laughingly call reality. We have to go into the jungle after them and rescue what we can. Just remember to hang on to your sense of humor and don't let them intimidate you.  | 

[1]: mailto:chip@fudco.com
[2]: http://www.wired.com/wired/archive/1.01/hypelist.html

