---
created_at: '2015-11-07T23:02:50.000Z'
title: 'Attention Shoppers: Internet Is Open (1994)'
url: http://www.nytimes.com/1994/08/12/business/attention-shoppers-internet-is-open.html
author: sjcsjc
points: 85
story_text: 
comment_text: 
num_comments: 21
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1446937370
_tags:
- story
- author_sjcsjc
- story_10526572
objectID: '10526572'

---
[Source](http://www.nytimes.com/1994/08/12/business/attention-shoppers-internet-is-open.html "Permalink to Attention Shoppers -  Internet Is Open - NYTimes.com")

# Attention Shoppers -  Internet Is Open - NYTimes.com

* [Log In][1]
* [Register Now][2]
* [Help][3]
* [Home Page][4]
* [Today's Paper][5]
* [Video][6]
* [Most Popular][7]

Edition: [U.S.][4] / [Global][8]

Search All NYTimes.com

![New York Times][9]

##  [Business Day][10]

* [World][11]
* [U.S.][12]
* [N.Y. / Region][13]
* [Business][10]
* [Technology][14]
* [Science][15]
* [Health][16]
* [Sports][17]
* [Opinion][18]
* [Arts][19]
* [Style][20]
* [Travel][21]
* [Jobs][22]
* [Real Estate][23]
* [Autos][24]
* [DealBook][25]
* [Markets][26]
* [Economy][27]
* [Energy][28]
* [Media][29]
* [Technology][30]
* [Personal Tech][31]
* [Entrepreneurship][32]
* [Your Money][33]

# Attention Shoppers: Internet Is Open

######  By PETER H. LEWIS

###### Published: August 12, 1994

At noon yesterday, Phil Brandenberger of Philadelphia went shopping for a compact audio disk, paid for it with his credit card and made history. 

Moments later, the champagne corks were popping in a small two-story frame house in Nashua, N.H. There, a team of young cyberspace entrepreneurs celebrated what was apparently the first retail transaction on the Internet using a readily available version of powerful data encryption software designed to guarantee privacy. 

Experts have long seen such iron-clad security as a necessary first step before commercial transactions can become common on the Internet, the global computer network. 

From his work station in Philadelphia, Mr. Brandenburger logged onto the computer in Nashua, and used a secret code to send his Visa credit card number to pay $12.48, plus shipping costs, for the compact disk "Ten Summoners' Tales" by the rock musician Sting. 

"Even if the N.S.A. was listening in, they couldn't get his credit card number," said Daniel M. Kohn, the 21-year-old chief executive of the Net Market Company of Nashua, N.H., a new venture that is the equivalent of a shopping mall in cyberspace. Mr. Kohn was referring to the National Security Agency, the arm of the Pentagon that develops and breaks the complex algorithms that are used to keep the most secret electronic secrets secret. 

Even bigger organizations working on rival systems yesterday called the achievement by the tiny Net Market a welcome first step. 

"It's really clear that most companies want the security prior to doing major commitments to significant electronic commerce on the Internet," said Cathy Medich, executive director of Commercenet, a Government and industry organization based in Menlo Park, Calif., that hopes to establish standards for commercial transactions on the Internet and other networks. 

The idea is to make such data communications immune to wiretaps, electronic eavesdropping and theft by scrambling the transmissions with a secret code -- a security technique known as data encryption. 

While Commercenet and other organizations have been working to develop a standard for the automated data encryption of commercial transactions, the small band of recent college graduates who formed the Net Market Company in New Hampshire appear to be the first to implement such technology successfully. 

Tests of Commercenet's encryption system, which is based on algorithms -- mathematical formulas -- developed by RSA Data Security Inc. of Redwood City, Calif., are expected to begin this fall. 

Commercenet hopes to create an easy-to-use industry standard for protecting Internet transactions. 

For now, Net Market's approach is available to the limited number of computer users who have work stations running the Unix software operating system and a sophisticated Internet navigational program called X-Mosaic. The data encryption program is called PGP, for Pretty Good Privacy, which is based on the same RSA algorithms used by Commercenet. 

PGP is available free, but it requires technical expertise to download it from the Internet. But within a few months commercial versions of PGP are expected to be available for personal computers using the Windows and Macintosh operating systems, which comprise the vast majority of computers in North America. Security Breaches Reported 

The widespread adoption of standard data encryption tools cannot come too quickly for many Internet entrepreneurs, who hope to foster new levels of commerce on the rapidly growing network. 

Alarmed by increasing reports of security breaches on the Internet, many people and businesses are reluctant to transmit sensitive information, including credit cards numbers, sales information or private electronic mail messages, on the network. 

But the use of standard data encryption software, which scrambles messages so they can be read only by someone with the proper software "key," has been hindered by a combination of Government regulations and software patent disputes. 

Experts say the PGP encryption software used by Net Market is at least as robust as the so-called Clipper encryption technology that the Clinton Administration has been pushing as a national standard. But unlike the Clipper system, the software keys for opening and reading PGP-encrypted documents is not controlled by the Government. 

A version of PGP for individuals is available free through the Massachusetts Institute of Technology, but users must retrieve it from an M.I.T. computer through the Internet. 

Organizations wanting to use PGP for commercial purposes must obtain it on the Internet from a company in Phoenix called Viacrypt, a maker of computer security software and hardware tools. Prices for PGP begin at $100 a copy. A Browsing Feature 

One achievement of the young programmers at Net Market was to incorporate PGP into X-Mosaic, the software that many Internet users rely on for browsing through the global network. 

X-Mosaic is a software tool that allows the users of Unix computers to browse a service of the Internet called the World Wide Web, where companies can post the electronic equivalent of a glossy color brochure with supporting sales or marketing documents. 

In the case of Noteworthy Music, the record retailer that leases a "store front" in Net Market's Internet computer, a shopper can look at color pictures of CD album covers. 

Mr. Kohn, a 1994 honors graduate in economics from Swarthmore College, came up with the idea for Net Market during his junior year abroad, at the London School of Economics. There, he persuaded an American classmate, Roger Lee, to join his venture. 

Mr. Lee, who graduated from Yale this past spring with a degree in political science, is president of the company. For technical expertise, they recruited two other partners from Swarthmore, Guy H. T. Haskin and Eiji Hirai. 

The four men live upstairs in the house in Nashua, commuting downstairs each morning to run the business. Because of the pressures of running the system and debugging the software, they rarely venture outside, even though they have a backyard swimming pool. 

"We don't get much sun," Mr. Kohn said, "but we're down to a case of Coke a day." 'An Important Step' 

Although Net Market has been selling various products like CD's, flowers and books for several months on behalf of various merchants, yesterday was the first time they had offered digitally secure transactions. 

"I think it's an important step in pioneering this work, but later on we'll probably see more exciting things in the way of digital cash," said Philip R. Zimmermann, a computer security consultant in Boulder, Colo., who created the PGP program. 

Digital cash, Mr. Zimmermann explained, is "a combination of cryptographic protocols that behave the way real dollars behave but are untraceable." 

In other words, they are packets of worth that have value in cyberspace, the same way dollars have value in the real world, except that they have the properties of anonymity, privacy and untraceability. Many details remain to be worked out, Mr. Zimmermann said. 

For now, Mr. Brandenberger, despite his historic transaction yesterday, will be paying with plain old dollars, when he gets his credit card bill. And sometime today, the Sting CD will arrive by fairly conventional means -- shipped FedEx from the Noteworthy Music warehouse in Nashua. 

Photo: A system from the Net Market Company allows credit card shopping on the Internet in total privacy. Net Market's chief executive, Daniel M. Kohn, foreground, worked at the company's office in Nashua, N.H., yesterday. Behind him, from left, were the president, Roger Lee; program developer, Mark Birmingham; senior program developer, Guy H. T. Haskin, and chief information officer, Eiji Hirai. (MacArther S. McBurney for The New York Times) 

![][34]

![][35] ![][36]

####  Inside NYTimes.com 

| ----- |
| 

######  [Health »][16]

![Too Hot to Handle][37]

###### [Too Hot to Handle__][38]

 | 

######  [Arts »][39]

![The Harmony of Liberty][40]

###### [The Harmony of Liberty__][41]

 | 

###### [Opinion »][18]

### [Should Beach Privatization Be Allowed?__][42]

Room for Debate asks whether shorefront homeowners should have to open their land to all comers.

 | 

######  [Sports »][17]

![A Woman’s Leadership May Steady Murray][43]

###### [A Woman’s Leadership May Steady Murray__][44]

 | 

 | 

######  [Opinion »][18]

![Menagerie: Streaming Eagles][45]

###### [Menagerie: Streaming Eagles__][46]

 | 

######  [U.S. »][12]

![Curlers’ Aim: Sweep to a Win Over the Heat][47]

###### [Curlers’ Aim: Sweep to a Win Over the Heat__][48]

 | 

######  [Television »][49]

###### [The Cold War Brews Anew in Prime Time__][50]

 | 

######  [Book Review »][51]

###### [Command Performance__][52]

 | 

######  [Opinion »][18]

###### [Op-Ed: Fooling Mexican Fans__][53]

 | 

######  [World »][11]

###### [Reading, Writing and Allegations__][54]

 | 

###### [Opinion »][18]

### [Op-Ed: Elite, Separate, Unequal__][55]

New York City’s top public schools must become more diverse.

 | 

######  [Business »][10]

###### [Vice Has Media Giants Salivating__][56]

 | 

* ©[ 2018 The New York Times Company][57]
* [Site Map][58]
* [Privacy][59]
* [Your Ad Choices][60]
* [Advertise][61]
* [Terms of Sale][62]
* [Terms of Service][63]
* [Work With Us][64]
* [RSS][65]
* [Help][3]
* [Contact Us][66]
* [Site Feedback][67]

![DCSIMG][68]

![][69]

[1]: https://myaccount.nytimes.com/auth/login
[2]: https://myaccount.nytimes.com/gst/regi.html
[3]: http://www.nytimes.com/membercenter/sitehelp.html
[4]: http://www.nytimes.com
[5]: http://www.nytimes.com/pages/todayspaper/index.html
[6]: http://www.nytimes.com/video
[7]: http://www.nytimes.com/most-popular
[8]: http://global.nytimes.com
[9]: https://static01.nyt.com/images/misc/nytlogo152x23.gif
[10]: http://www.nytimes.com/pages/business/index.html
[11]: http://www.nytimes.com/pages/world/index.html
[12]: http://www.nytimes.com/pages/national/index.html
[13]: http://www.nytimes.com/pages/nyregion/index.html
[14]: http://www.nytimes.com/pages/technology/index.html
[15]: http://www.nytimes.com/pages/science/index.html
[16]: http://www.nytimes.com/pages/health/index.html
[17]: http://www.nytimes.com/pages/sports/index.html
[18]: http://www.nytimes.com/pages/opinion/index.html
[19]: http://www.nytimes.com/pages/arts/index.html
[20]: http://www.nytimes.com/pages/style/index.html
[21]: http://www.nytimes.com/pages/travel/index.html
[22]: http://www.nytimes.com/pages/jobs/index.html
[23]: http://www.nytimes.com/pages/realestate/index.html
[24]: http://www.nytimes.com/pages/automobiles/index.html
[25]: https://www.nytimes.com/pages/business/dealbook/index.html
[26]: https://markets.on.nytimes.com/research/markets/overview/overview.asp?src=busfn
[27]: https://www.nytimes.com/pages/business/economy/index.html?src=busfn
[28]: https://www.nytimes.com/pages/business/energy-environment/index.html?src=busfn
[29]: https://www.nytimes.com/pages/business/media/index.html?src=busfn
[30]: https://www.nytimes.com/pages/technology/index.html?src=busfn
[31]: https://www.nytimes.com/pages/technology/personaltech/index.html?src=busfn
[32]: https://www.nytimes.com/pages/business/smallbusiness/index.html?src=busfn
[33]: https://www.nytimes.com/pages/your-money/index.html?src=busfn
[34]: http://analytics.apnewsregistry.com/analytics/v2/image.svc//RWS/nytimes.com/CAI/934909/E/prod/PC/Basic/AT/A
[35]: http://i1.nyt.com/images/global/buttons/moth_reverse.gif
[36]: http://i1.nyt.com/images/global/buttons/moth_forward.gif
[37]: http://i1.nyt.com/images/2014/06/23/health/23MOTH_BRODY/23MOTH_BRODY-moth.jpg
[38]: http://well.blogs.nytimes.com/?p=102302
[39]: http://www.nytimes.com/pages/arts/design/index.html
[40]: http://i1.nyt.com/images/2014/06/23/arts/design/23MOTH_MUSEUM/23MOTH_MUSEUM-moth.jpg
[41]: http://www.nytimes.com/2014/06/23/arts/design/national-center-for-civil-and-human-rights-opens-in-atlanta.html
[42]: http://www.nytimes.com/roomfordebate/2014/06/22/should-beach-privatization-be-allowed/
[43]: http://i1.nyt.com/images/2014/06/23/sports/23MOTH_MURRAY/23MOTH_MURRAY-moth.jpg
[44]: http://www.nytimes.com/2014/06/23/sports/tennis/with-female-coach-murray-faces-a-new-kind-of-attention-at-wimbledon.html
[45]: http://i1.nyt.com/images/2014/06/22/sunday-review/22MOTH_MENAGERIE/22MOTH_MENAGERIE-moth.jpg
[46]: http://opinionator.blogs.nytimes.com/2014/06/20/streaming-eagles/
[47]: http://i1.nyt.com/images/2014/06/23/us/23MOTH_CURLING/23MOTH_CURLING-moth.jpg
[48]: http://www.nytimes.com/2014/06/23/us/curlers-aim-sweep-to-a-win-over-the-heat.html
[49]: http://www.nytimes.com/pages/television/index.html
[50]: http://www.nytimes.com/2014/06/23/arts/television/on-the-americans-and-other-shows-russian-spies-invade.html
[51]: http://www.nytimes.com/pages/books/index.html
[52]: http://www.nytimes.com/2014/06/22/books/review/song-of-the-shank-by-jeffery-renard-allen.html
[53]: http://www.nytimes.com/2014/06/23/opinion/fooling-mexican-fans.html
[54]: http://www.nytimes.com/2014/06/23/world/europe/reading-writing-and-allegations-muslim-school-at-center-of-debate.html
[55]: http://www.nytimes.com/2014/06/23/opinion/new-york-citys-top-public-schools-need-diversity.html
[56]: http://www.nytimes.com/2014/06/23/business/media/vice-has-many-media-giants-salivating-but-its-terms-will-be-rich.html
[57]: http://www.nytimes.com/content/help/rights/copyright/copyright-notice.html
[58]: http://spiderbites.nytimes.com/
[59]: http://www.nytimes.com/privacy
[60]: http://www.nytimes.com/ref/membercenter/help/privacy.html#pp
[61]: http://www.nytimes.whsites.net/mediakit/
[62]: http://www.nytimes.com/content/help/rights/sale/terms-of-sale.html 
[63]: http://www.nytimes.com/ref/membercenter/help/agree.html
[64]: http://www.nytco.com/careers
[65]: http://www.nytimes.com/rss
[66]: http://www.nytimes.com/ref/membercenter/help/infoservdirectory.html
[67]: https://myaccount.nytimes.com/membercenter/feedback.html
[68]: http://wt.o.nytimes.com/dcsym57yw10000s1s8g0boozt_9t1x/njs.gif?dcsuri=/nojavascript&WT.js=No&WT.tv=1.0.7
[69]: http://up.nytimes.com/?d=0//&t=&s=0&ui=&r=&u=www.nytimes.com%2F1994%2F08%2F12%2Fbusiness%2Fattention-shoppers-internet-is-open.html

