---
created_at: '2017-12-27T11:33:57.000Z'
title: Elementary, Worldly Wisdom as It Relates to Investment and Business (1994)
url: http://old.ycombinator.com/munger.html
author: febin
points: 41
story_text: 
comment_text: 
num_comments: 2
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1514374437
_tags:
- story
- author_febin
- story_16014172
objectID: '16014172'

---
[Source](http://old.ycombinator.com/munger.html "Permalink to Y Combinator: Elementary Worldly Wisdom")

# Y Combinator: Elementary Worldly Wisdom

  
  

| ----- |
|  ![][1]   
  
**A Lesson on Elementary, Worldly Wisdom As It Relates To Investment Management & Business**   
Charles Munger, USC Business School, 1994   
  

I'm going to play a minor trick on you today because the subject of my talk is the art of stock picking as a subdivision of the art of worldly wisdom. That enables me to start talking about worldly wisdom—a much broader topic that interests me because I think all too little of it is delivered by modern educational systems, at least in an effective way. 

And therefore, the talk is sort of along the lines that some behaviorist psychologists call Grandma's rule after the wisdom of Grandma when she said that you have to eat the carrots before you get the dessert. 

The carrot part of this talk is about the general subject of worldly wisdom which is a pretty good way to start. After all, the theory of modern education is that you need a general education before you specialize. And I think to some extent, before you're going to be a great stock picker, you need some general education. 

So, emphasizing what I sometimes waggishly call remedial worldly wisdom, I'm going to start by waltzing you through a few basic notions. 

What is elementary, worldly wisdom? Well, the first rule is that you can't really know anything if you just remember isolated facts and try and bang 'em back. If the facts don't hang together on a latticework of theory, you don't have them in a usable form. 

You've got to have models in your head. And you've got to array your experience—both vicarious and direct—on this latticework of models. You may have noticed students who just try to remember and pound back what is remembered. Well, they fail in school and in life. You've got to hang experience on a latticework of models in your head. 

What are the models? Well, the first rule is that you've got to have multiple models—because if you just have one or two that you're using, the nature of human psychology is such that you'll torture reality so that it fits your models, or at least you'll think it does. You become the equivalent of a chiropractor who, of course, is the great boob in medicine. 

It's like the old saying, "To the man with only a hammer, every problem looks like a nail." And of course, that's the way the chiropractor goes about practicing medicine. But that's a perfectly disastrous way to think and a perfectly disastrous way to operate in the world. So you've got to have multiple models. 

And the models have to come from multiple disciplines—because all the wisdom of the world is not to be found in one little academic department. That's why poetry professors, by and large, are so unwise in a worldly sense. They don't have enough models in their heads. So you've got to have models across a fair array of disciplines. 

You may say, "My God, this is already getting way too tough." But, fortunately, it isn't that tough—because 80 or 90 important models will carry about 90% of the freight in making you a worldly-wise person. And, of those, only a mere handful really carry very heavy freight. 

So let's briefly review what kind of models and techniques constitute this basic knowledge that everybody has to have before they proceed to being really good at a narrow art like stock picking. 

First there's mathematics. Obviously, you've got to be able to handle numbers and quantities—basic arithmetic. And the great useful model, after compound interest, is the elementary math of permutations and combinations. And that was taught in my day in the sophomore year in high school. I suppose by now in great private schools, it's probably down to the eighth grade or so. 

It's very simple algebra. It was all worked out in the course of about one year between Pascal and Fermat. They worked it out casually in a series of letters. 

It's not that hard to learn. What is hard is to get so you use it routinely almost everyday of your life. The Fermat/Pascal system is dramatically consonant with the way that the world works. And it's fundamental truth. So you simply have to have the technique. 

Many educational institutions—although not nearly enough—have realized this. At Harvard Business School, the great quantitative thing that bonds the first-year class together is what they call decision tree theory. All they do is take high school algebra and apply it to real life problems. And the students love it. They're amazed to find that high school algebra works in life.... 

By and large, as it works out, people can't naturally and automatically do this. If you understand elementary psychology, the reason they can't is really quite simple: The basic neural network of the brain is there through broad genetic and cultural evolution. And it's not Fermat/Pascal. It uses a very crude, shortcut-type of approximation. It's got elements of Fermat/Pascal in it. However, it's not good. 

So you have to learn in a very usable way this very elementary math and use it routinely in life—just the way if you want to become a golfer, you can't use the natural swing that broad evolution gave you. You have to learn—to have a certain grip and swing in a different way to realize your full potential as a golfer. 

If you don't get this elementary, but mildly unnatural, mathematics of elementary probability into your repertoire, then you go through a long life like a onelegged man in an asskicking contest. You're giving a huge advantage to everybody else. 

One of the advantages of a fellow like Buffett, whom I've worked with all these years, is that he automatically thinks in terms of decision trees and the elementary math of permutations and combinations.... 

Obviously, you have to know accounting. It's the language of practical business life. It was a very useful thing to deliver to civilization. I've heard it came to civilization through Venice which of course was once the great commercial power in the Mediterranean. However, double-entry bookkeeping was a hell of an invention. 

And it's not that hard to understand. 

But you have to know enough about it to understand its limitations—because although accounting is the starting place, it's only a crude approximation. And it's not very hard to understand its limitations. For example, everyone can see that you have to more or less just guess at the useful life of a jet airplane or anything like that. Just because you express the depreciation rate in neat numbers doesn't make it anything you really know. 

In terms of the limitations of accounting, one of my favorite stories involves a very great businessman named Carl Braun who created the CF Braun Engineering Company. It designed and built oil refineries—which is very hard to do. And Braun would get them to come in on time and not blow up and have efficiencies and so forth. This is a major art. 

And Braun, being the thorough Teutonic type that he was, had a number of quirks. And one of them was that he took a look at standard accounting and the way it was applied to building oil refineries and he said, "This is asinine." 

So he threw all of his accountants out and he took his engineers and said, "Now, we'll devise our own system of accounting to handle this process." And in due time, accounting adopted a lot of Carl Braun's notions. So he was a formidably willful and talented man who demonstrated both the importance of accounting and the importance of knowing its limitations. 

He had another rule, from psychology, which, if you're interested in wisdom, ought to be part of your repertoire—like the elementary mathematics of permutations and combinations. 

His rule for all the Braun Company's communications was called the five W's—you had to tell who was going to do what, where, when and why. And if you wrote a letter or directive in the Braun Company telling somebody to do something, and you didn't tell him why, you could get fired. In fact, you would get fired if you did it twice. 

You might ask why that is so important? Well, again that's a rule of psychology. Just as you think better if you array knowledge on a bunch of models that are basically answers to the question, why, why, why, if you always tell people why, they'll understand it better, they'll consider it more important, and they'll be more likely to comply. Even if they don't understand your reason, they'll be more likely to comply. 

So there's an iron rule that just as you want to start getting worldly wisdom by asking why, why, why, in communicating with other people about everything, you want to include why, why, why. Even if it's obvious, it's wise to stick in the why. 

Which models are the most reliable? Well, obviously, the models that come from hard science and engineering are the most reliable models on this Earth. And engineering quality control—at least the guts of it that matters to you and me and people who are not professional engineers—is very much based on the elementary mathematics of Fermat and Pascal: 

It costs so much and you get so much less likelihood of it breaking if you spend this much. It's all elementary high school mathematics. And an elaboration of that is what Deming brought to Japan for all of that quality control stuff. 

I don't think it's necessary for most people to be terribly facile in statistics. For example, I'm not sure that I can even pronounce the Poisson distribution. But I know what a Gaussian or normal distribution looks like and I know that events and huge aspects of reality end up distributed that way. So I can do a rough calculation. 

But if you ask me to work out something involving a Gaussian distribution to ten decimal points, I can't sit down and do the math. I'm like a poker player who's learned to play pretty well without mastering Pascal. 

And by the way, that works well enough. But you have to understand that bellshaped curve at least roughly as well as I do. 

And, of course, the engineering idea of a backup system is a very powerful idea. The engineering idea of breakpoints—that's a very powerful model, too. The notion of a critical mass—that comes out of physics—is a very powerful model. 

All of these things have great utility in looking at ordinary reality. And all of this cost-benefit analysis—hell, that's all elementary high school algebra, too. It's just been dolled up a little bit with fancy lingo. 

I suppose the next most reliable models are from biology/ physiology because, after all, all of us are programmed by our genetic makeup to be much the same. 

And then when you get into psychology, of course, it gets very much more complicated. But it's an ungodly important subject if you're going to have any worldly wisdom. 

And you can demonstrate that point quite simply: There's not a person in this room viewing the work of a very ordinary professional magician who doesn't see a lot of things happening that aren't happening and not see a lot of things happening that are happening. 

And the reason why is that the perceptual apparatus of man has shortcuts in it. The brain cannot have unlimited circuitry. So someone who knows how to take advantage of those shortcuts and cause the brain to miscalculate in certain ways can cause you to see things that aren't there. 

Now you get into the cognitive function as distinguished from the perceptual function. And there, you are equally—more than equally in fact—likely to be misled. Again, your brain has a shortage of circuitry and so forth—and it's taking all kinds of little automatic shortcuts. 

So when circumstances combine in certain ways—or more commonly, your fellow man starts acting like the magician and manipulates you on purpose by causing your cognitive dysfunction—you're a patsy. 

And so just as a man working with a tool has to know its limitations, a man working with his cognitive apparatus has to know its limitations. And this knowledge, by the way, can be used to control and motivate other people.... 

So the most useful and practical part of psychology—which I personally think can be taught to any intelligent person in a week—is ungodly important. And nobody taught it to me by the way. I had to learn it later in life, one piece at a time. And it was fairly laborious. It's so elementary though that, when it was all over, I felt like a fool. 

And yeah, I'd been educated at Cal Tech and the Harvard Law School and so forth. So very eminent places miseducated people like you and me. 

The elementary part of psychology—the psychology of misjudgment, as I call it—is a terribly important thing to learn. There are about 20 little principles. And they interact, so it gets slightly complicated. But the guts of it is unbelievably important. 

Terribly smart people make totally bonkers mistakes by failing to pay heed to it. In fact, I've done it several times during the last two or three years in a very important way. You never get totally over making silly mistakes. 

There's another saying that comes from Pascal which I've always considered one of the really accurate observations in the history of thought. Pascal said in essence, "The mind of man at one and the same time is both the glory and the shame of the universe." 

And that's exactly right. It has this enormous power. However, it also has these standard misfunctions that often cause it to reach wrong conclusions. It also makes man extraordinarily subject to manipulation by others. For example, roughly half of the army of Adolf Hitler was composed of believing Catholics. Given enough clever psychological manipulation, what human beings will do is quite interesting. 

Personally, I've gotten so that I now use a kind of two-track analysis. First, what are the factors that really govern the interests involved, rationally considered? And second, what are the subconscious influences where the brain at a subconscious level is automatically doing these things—which by and large are useful, but which often misfunction. 

One approach is rationality—the way you'd work out a bridge problem: by evaluating the real interests, the real probabilities and so forth. And the other is to evaluate the psychological factors that cause subconscious conclusions—many of which are wrong. 

Now we come to another somewhat less reliable form of human wisdom—microeconomics. And here, I find it quite useful to think of a free market economy—or partly free market economy—as sort of the equivalent of an ecosystem.... 

This is a very unfashionable way of thinking because early in the days after Darwin came along, people like the robber barons assumed that the doctrine of the survival of the fittest authenticated them as deserving power—you know, "I'm the richest. Therefore, I'm the best. God's in his heaven, etc." 

And that reaction of the robber barons was so irritating to people that it made it unfashionable to think of an economy as an ecosystem. But the truth is that it is a lot like an ecosystem. And you get many of the same results. 

Just as in an ecosystem, people who narrowly specialize can get terribly good at occupying some little niche. Just as animals flourish in niches, similarly, people who specialize in the business world—and get very good because they specialize—frequently find good economics that they wouldn't get any other way. 

And once we get into microeconomics, we get into the concept of advantages of scale. Now we're getting closer to investment analysis—because in terms of which businesses succeed and which businesses fail, advantages of scale are ungodly important. 

For example, one great advantage of scale taught in all of the business schools of the world is cost reductions along the so-called experience curve. Just doing something complicated in more and more volume enables human beings, who are trying to improve and are motivated by the incentives of capitalism, to do it more and more efficiently. 

The very nature of things is that if you get a whole lot of volume through your joint, you get better at processing that volume. That's an enormous advantage. And it has a lot to do with which businesses succeed and fail.... 

Let's go through a list—albeit an incomplete one—of possible advantages of scale. Some come from simple geometry. If you're building a great spherical tank, obviously as you build it bigger, the amount of steel you use in the surface goes up with the square and the cubic volume goes up with the cube. So as you increase the dimensions, you can hold a lot more volume per unit area of steel. 

And there are all kinds of things like that where the simple geometry—the simple reality—gives you an advantage of scale. 

For example, you can get advantages of scale from TV advertising. When TV advertising first arrived—when talking color pictures first came into our living rooms—it was an unbelievably powerful thing. And in the early days, we had three networks that had whatever it was—say 90% of the audience. 

Well, if you were Procter & Gamble, you could afford to use this new method of advertising. You could afford the very expensive cost of network television because you were selling so many cans and bottles. Some little guy couldn't. And there was no way of buying it in part. Therefore, he couldn't use it. In effect, if you didn't have a big volume, you couldn't use network TV advertising which was the most effective technique. 

So when TV came in, the branded companies that were already big got a huge tail wind. Indeed, they prospered and prospered and prospered until some of them got fat and foolish, which happens with prosperity—at least to some people.... 

And your advantage of scale can be an informational advantage. If I go to some remote place, I may see Wrigley chewing gum alongside Glotz's chewing gum. Well, I know that Wrigley is a satisfactory product, whereas I don't know anything about Glotz's. So if one is 40 cents and the other is 30 cents, am I going to take something I don't know and put it in my mouth—which is a pretty personal place, after all—for a lousy dime? 

So, in effect, Wrigley , simply by being so well known, has advantages of scale—what you might call an informational advantage. 

Another advantage of scale comes from psychology. The psychologists use the term social proof. We are all influenced—subconsciously and to some extent consciously—by what we see others do and approve. Therefore, if everybody's buying something, we think it's better. We don't like to be the one guy who's out of step. 

Again, some of this is at a subconscious level and some of it isn't. Sometimes, we consciously and rationally think, "Gee, I don't know much about this. They know more than I do. Therefore, why shouldn't I follow them?" 

The social proof phenomenon which comes right out of psychology gives huge advantages to scale—for example, with very wide distribution, which of course is hard to get. One advantage of Coca-Cola is that it's available almost everywhere in the world. 

Well, suppose you have a little soft drink. Exactly how do you make it available all over the Earth? The worldwide distribution setup—which is slowly won by a big enterprise—gets to be a huge advantage.... And if you think about it, once you get enough advantages of that type, it can become very hard for anybody to dislodge you. 

There's another kind of advantage to scale. In some businesses, the very nature of things is to sort of cascade toward the overwhelming dominance of one firm. 

The most obvious one is daily newspapers. There's practically no city left in the U.S., aside from a few very big ones, where there's more than one daily newspaper. 

And again, that's a scale thing. Once I get most of the circulation, I get most of the advertising. And once I get most of the advertising and circulation, why would anyone want the thinner paper with less information in it? So it tends to cascade to a winnertakeall situation. And that's a separate form of the advantages of scale phenomenon. 

Similarly, all these huge advantages of scale allow greater specialization within the firm. Therefore, each person can be better at what he does. 

And these advantages of scale are so great, for example, that when Jack Welch came into General Electric, he just said, "To hell with it. We're either going to be # 1 or #2 in every field we're in or we're going to be out. I don't care how many people I have to fire and what I have to sell. We're going to be #1 or #2 or out." 

That was a very toughminded thing to do, but I think it was a very correct decision if you're thinking about maximizing shareholder wealth. And I don't think it's a bad thing to do for a civilization either, because I think that General Electric is stronger for having Jack Welch there. 

And there are also disadvantages of scale. For example, we—by which I mean Berkshire Hathaway—are the largest shareholder in Capital Cities/ABC. And we had trade publications there that got murdered where our competitors beat us. And the way they beat us was by going to a narrower specialization. 

We'd have a travel magazine for business travel. So somebody would create one which was addressed solely at corporate travel departments. Like an ecosystem, you're getting a narrower and narrower specialization. 

Well, they got much more efficient. They could tell more to the guys who ran corporate travel departments. Plus, they didn't have to waste the ink and paper mailing out stuff that corporate travel departments weren't interested in reading. It was a more efficient system. And they beat our brains out as we relied on our broader magazine. 

That's what happened to _The Saturday Evening Post_ and all those things. They're gone. What we have now is _Motocross_—which is read by a bunch of nuts who like to participate in tournaments where they turn somersaults on their motorcycles. But they care about it. For them, it's the principal purpose of life. A magazine called _Motocross_ is a total necessity to those people. And its profit margins would make you salivate. 

Just think of how narrowcast that kind of publishing is. So occasionally, scaling down and intensifying gives you the big advantage. Bigger is not always better. 

The great defect of scale, of course, which makes the game interesting—so that the big people don't always win—is that as you get big, you get the bureaucracy. And with the bureaucracy comes the territoriality—which is again grounded in human nature. 

And the incentives are perverse. For example, if you worked for AT&T; in my day, it was a great bureaucracy. Who in the hell was really thinking about the shareholder or anything else? And in a bureaucracy, you think the work is done when it goes out of your in-basket into somebody else's in-basket. But, of course, it isn't. It's not done until AT&T; delivers what it's supposed to deliver. So you get big, fat, dumb, unmotivated bureaucracies. 

They also tend to become somewhat corrupt. In other words, if I've got a department and you've got a department and we kind of share power running this thing, there's sort of an unwritten rule: "If you won't bother me, I won't bother you and we're both happy." So you get layers of management and associated costs that nobody needs. Then, while people are justifying all these layers, it takes forever to get anything done. They're too slow to make decisions and nimbler people run circles around them. 

The constant curse of scale is that it leads to big, dumb bureaucracy—which, of course, reaches its highest and worst form in government where the incentives are really awful. That doesn't mean we don't need governments—because we do. But it's a terrible problem to get big bureaucracies to behave. 

So people go to stratagems. They create little decentralized units and fancy motivation and training programs. For example, for a big company, General Electric has fought bureaucracy with amazing skill. But that's because they have a combination of a genius and a fanatic running it. And they put him in young enough so he gets a long run. Of course, that's Jack Welch. 

But bureaucracy is terrible.... And as things get very powerful and very big, you can get some really dysfunctional behavior. Look at Westinghouse. They blew billions of dollars on a bunch of dumb loans to real estate developers. They put some guy who'd come up by some career path—I don't know exactly what it was, but it could have been refrigerators or something—and all of a sudden, he's loaning money to real estate developers building hotels. It's a very unequal contest. And in due time, they lost all those billions of dollars. 

CBS provides an interesting example of another rule of psychology—namely, Pavlovian association. If people tell you what you really don't want to hear what's unpleasant—there's an almost automatic reaction of antipathy. You have to train yourself out of it. It isn't foredestined that you have to be this way. But you will tend to be this way if you don't think about it. 

Television was dominated by one network—CBS in its early days. And Paley was a god. But he didn't like to hear what he didn't like to hear. And people soon learned that. So they told Paley only what he liked to hear. Therefore, he was soon living in a little cocoon of unreality and everything else was corrupt—although it was a great business. 

So the idiocy that crept into the system was carried along by this huge tide. It was a Mad Hatter's tea party the last ten years under Bill Paley. 

And that is not the only example by any means. You can get severe misfunction in the high ranks of business. And of course, if you're investing, it can make a lot of difference. If you take all the acquisitions that CBS made under Paley, after the acquisition of the network itself, with all his advisors—his investment bankers, management consultants and so forth who were getting paid very handsomely—it was absolutely terrible. 

For example, he gave something like 20% of CBS to the Dumont Company for a television set manufacturer which was destined to go broke. I think it lasted all of two or three years or something like that. So very soon after he'd issued all of that stock, Dumont was history. You get a lot of dysfunction in a big fat, powerful place where no one will bring unwelcome reality to the boss. 

So life is an everlasting battle between those two forces—to get these advantages of scale on one side and a tendency to get a lot like the U.S. Agriculture Department on the other side—where they just sit around and so forth. I don't know exactly what they do. However, I do know that they do very little useful work. 

On the subject of advantages of economies of scale, I find chain stores quite interesting. Just think about it. The concept of a chain store was a fascinating invention. You get this huge purchasing power—which means that you have lower merchandise costs. You get a whole bunch of little laboratories out there in which you can conduct experiments. And you get specialization. 

If one little guy is trying to buy across 27 different merchandise categories influenced by traveling salesmen, he's going to make a lot of poor decisions. But if your buying is done in headquarters for a huge bunch of stores, you can get very bright people that know a lot about refrigerators and so forth to do the buying. 

The reverse is demonstrated by the little store where one guy is doing all the buying. It's like the old story about the little store with salt all over its walls. And a stranger comes in and says to the storeowner, "You must sell a lot of salt." And he replies, "No, I don't. But you should see the guy who sells me salt." 

So there are huge purchasing advantages. And then there are the slick systems of forcing everyone to do what works. So a chain store can be a fantastic enterprise. 

It's quite interesting to think about Wal-Mart starting from a single store in Bentonville, Arkansas against Sears, Roebuck with its name, reputation and all of its billions. How does a guy in Bentonville, Arkansas with no money blow right by Sears, Roebuck? And he does it in his own lifetime—in fact, during his own late lifetime because he was already pretty old by the time he started out with one little store.... 

He played the chain store game harder and better than anyone else. Walton invented practically nothing. But he copied everything anybody else ever did that was smart—and he did it with more fanaticism and better employee manipulation. So he just blew right by them all. 

He also had a very interesting competitive strategy in the early days. He was like a prizefighter who wanted a great record so he could be in the finals and make a big TV hit. So what did he do? He went out and fought 42 palookas. Right? And the result was knockout, knockout, knockout—42 times. 

Walton, being as shrewd as he was, basically broke other small town merchants in the early days. With his more efficient system, he might not have been able to tackle some titan head-on at the time. But with his better system, he could destroy those small town merchants. And he went around doing it time after time after time. Then, as he got bigger, he started destroying the big boys. 

Well, that was a very, very shrewd strategy. 

You can say, "Is this a nice way to behave?" Well, capitalism is a pretty brutal place. But I personally think that the world is better for having Wal-Mart. I mean you can idealize small town life. But I've spent a fair amount of time in small towns. And let me tell you you shouldn't get too idealistic about all those businesses he destroyed. 

Plus, a lot of people who work at Wal-Mart are very high grade, bouncy people who are raising nice children. I have no feeling that an inferior culture destroyed a superior culture. I think that is nothing more than nostalgia and delusion. But, at any rate, it's an interesting model of how the scale of things and fanaticism combine to be very powerful. 

And it's also an interesting model on the other side—how with all its great advantages, the disadvantages of bureaucracy did such terrible damage to Sears, Roebuck. Sears had layers and layers of people it didn't need. It was very bureaucratic. It was slow to think. And there was an established way of thinking. If you poked your head up with a new thought, the system kind of turned against you. It was everything in the way of a dysfunctional big bureaucracy that you would expect. 

In all fairness, there was also much that was good about it. But it just wasn't as lean and mean and shrewd and effective as Sam Walton. And, in due time, all its advantages of scale were not enough to prevent Sears from losing heavily to Wal-Mart and other similar retailers. 

Here's a model that we've had trouble with. Maybe you'll be able to figure it out better. Many markets get down to two or three big competitors—or five or six. And in some of those markets, nobody makes any money to speak of. But in others, everybody does very well. 

Over the years, we've tried to figure out why the competition in some markets gets sort of rational from the investor's point of view so that the shareholders do well, and in other markets, there's destructive competition that destroys shareholder wealth. 

If it's a pure commodity like airline seats, you can understand why no one makes any money. As we sit here, just think of what airlines have given to the world—safe travel, greater experience, time with your loved ones, you name it. Yet, the net amount of money that's been made by the shareholders of airlines since Kitty Hawk, is now a negative figure—a substantial negative figure. Competition was so intense that, once it was unleashed by deregulation, it ravaged shareholder wealth in the airline business. 

Yet, in other fields—like cereals, for example—almost all the big boys make out. If you're some kind of a medium grade cereal maker, you might make 15% on your capital. And if you're really good, you might make 40%. But why are cereals so profitable—despite the fact that it looks to me like they're competing like crazy with promotions, coupons and everything else? I don't fully understand it. 

Obviously, there's a brand identity factor in cereals that doesn't exist in airlines. That must be the main factor that accounts for it. 

And maybe the cereal makers by and large have learned to be less crazy about fighting for market share—because if you get even one person who's hell-bent on gaining market share.... For example, if I were Kellogg and I decided that I had to have 60% of the market, I think I could take most of the profit out of cereals. I'd ruin Kellogg in the process. But I think I could do it. 

In some businesses, the participants behave like a demented Kellogg. In other businesses, they don't. Unfortunately, I do not have a perfect model for predicting how that's going to happen. 

For example, if you look around at bottler markets, you'll find many markets where bottlers of Pepsi and Coke both make a lot of money and many others where they destroy most of the profitability of the two franchises. That must get down to the peculiarities of individual adjustment to market capitalism. I think you'd have to know the people involved to fully understand what was happening. 

In microeconomics, of course, you've got the concept of patents, trademarks, exclusive franchises and so forth. Patents are quite interesting. When I was young, I think more money went into patents than came out. Judges tended to throw them out—based on arguments about what was really invented and what relied on prior art. That isn't altogether clear. 

But they changed that. They didn't change the laws. They just changed the administration—so that it all goes to one patent court. And that court is now very much more pro-patent. So I think people are now starting to make a lot of money out of owning patents. 

Trademarks, of course, have always made people a lot of money. A trademark system is a wonderful thing for a big operation if it's well known. 

The exclusive franchise can also be wonderful. If there were only three television channels awarded in a big city and you owned one of them, there were only so many hours a day that you could be on. So you had a natural position in an oligopoly in the pre-cable days. 

And if you get the franchise for the only food stand in an airport, you have a captive clientele and you have a small monopoly of a sort. 

The great lesson in microeconomics is to discriminate between when technology is going to help you and when it's going to kill you. And most people do not get this straight in their heads. But a fellow like Buffett does. 

For example, when we were in the textile business, which is a terrible commodity business, we were making low-end textiles—which are a real commodity product. And one day, the people came to Warren and said, "They've invented a new loom that we think will do twice as much work as our old ones." 

And Warren said, "Gee, I hope this doesn't work because if it does, I'm going to close the mill." And he meant it. 

What was he thinking? He was thinking, "It's a lousy business. We're earning substandard returns and keeping it open just to be nice to the elderly workers. But we're not going to put huge amounts of new capital into a lousy business." 

And he knew that the huge productivity increases that would come from a better machine introduced into the production of a commodity product would all go to the benefit of the buyers of the textiles. Nothing was going to stick to our ribs as owners. 

That's such an obvious concept—that there are all kinds of wonderful new inventions that give you nothing as owners except the opportunity to spend a lot more money in a business that's still going to be lousy. The money still won't come to you. All of the advantages from great improvements are going to flow through to the customers. 

Conversely, if you own the only newspaper in Oshkosh and they were to invent more efficient ways of composing the whole newspaper, then when you got rid of the old technology and got new fancy computers and so forth, all of the savings would come right through to the bottom line. 

In all cases, the people who sell the machinery—and, by and large, even the internal bureaucrats urging you to buy the equipment—show you projections with the amount you'll save at current prices with the new technology. However, they don't do the second step of the analysis which is to determine how much is going stay home and how much is just going to flow through to the customer. I've never seen a single projection incorporating that second step in my life. And I see them all the time. Rather, they always read: "This capital outlay will save you so much money that it will pay for itself in three years." 

So you keep buying things that will pay for themselves in three years. And after 20 years of doing it, somehow you've earned a return of only about 4% per annum. That's the textile business. 

And it isn't that the machines weren't better. It's just that the savings didn't go to you. The cost reductions came through all right. But the benefit of the cost reductions didn't go to the guy who bought the equipment. It's such a simple idea. It's so basic. And yet it's so often forgotten. 

Then there's another model from microeconomics which I find very interesting. When technology moves as fast as it does in a civilization like ours, you get a phenomenon which I call competitive destruction. You know, you have the finest buggy whip factory and all of a sudden in comes this little horseless carriage. And before too many years go by, your buggy whip business is dead. You either get into a different business or you're dead—you're destroyed. It happens again and again and again. 

And when these new businesses come in, there are huge advantages for the early birds. And when you're an early bird, there's a model that I call "surfing"—when a surfer gets up and catches the wave and just stays there, he can go a long, long time. But if he gets off the wave, he becomes mired in shallows.... 

But people get long runs when they're right on the edge of the wave—whether it's Microsoft or Intel or all kinds of people, including National Cash Register in the early days. 

The cash register was one of the great contributions to civilization. It's a wonderful story. Patterson was a small retail merchant who didn't make any money. One day, somebody sold him a crude cash register which he put into his retail operation. And it instantly changed from losing money to earning a profit because it made it so much harder for the employees to steal.... 

But Patterson, having the kind of mind that he did, didn't think, "Oh, good for my retail business." He thought, "I'm going into the cash register business." And, of course, he created National Cash Register. 

And he "surfed". He got the best distribution system, the biggest collection of patents and the best of everything. He was a fanatic about everything important as the technology developed. I have in my files an early National Cash Register Company report in which Patterson described his methods and objectives. And a well-educated orangutan could see that buying into partnership with Patterson in those early days, given his notions about the cash register business, was a total 100% cinch. 

And, of course, that's exactly what an investor should be looking for. In a long life, you can expect to profit heavily from at least a few of those opportunities if you develop the wisdom and will to seize them. At any rate, "surfing" is a very powerful model. 

However, Berkshire Hathaway , by and large, does not invest in these people that are "surfing" on complicated technology. After all, we're cranky and idiosyncratic—as you may have noticed. 

And Warren and I don't feel like we have any great advantage in the high-tech sector. In fact, we feel like we're at a big disadvantage in trying to understand the nature of technical developments in software, computer chips or what have you. So we tend to avoid that stuff, based on our personal inadequacies. 

Again, that is a very, very powerful idea. Every person is going to have a circle of competence. And it's going to be very hard to advance that circle. If I had to make my living as a musician.... I can't even think of a level low enough to describe where I would be sorted out to if music were the measuring standard of the civilization. 

So you have to figure out what your own aptitudes are. If you play games where other people have the aptitudes and you don't, you're going to lose. And that's as close to certain as any prediction that you can make. You have to figure out where you've got an edge. And you've got to play within your own circle of competence. 

If you want to be the best tennis player in the world, you may start out trying and soon find out that it's hopeless—that other people blow right by you. However, if you want to become the best plumbing contractor in Bemidji, that is probably doable by two-thirds of you. It takes a will. It takes the intelligence. But after a while, you'd gradually know all about the plumbing business in Bemidji and master the art. That is an attainable objective, given enough discipline. And people who could never win a chess tournament or stand in center court in a respectable tennis tournament can rise quite high in life by slowly developing a circle of competence—which results partly from what they were born with and partly from what they slowly develop through work. 

So some edges can be acquired. And the game of life to some extent for most of us is trying to be something like a good plumbing contractor in Bemidji. Very few of us are chosen to win the world's chess tournaments. 

Some of you may find opportunities "surfing" along in the new high-tech fields—the Intels, the Microsofts and so on. The fact that we don't think we're very good at it and have pretty well stayed out of it doesn't mean that it's irrational for you to do it. 

Well, so much for the basic microeconomics models, a little bit of psychology, a little bit of mathematics, helping create what I call the general substructure of worldly wisdom. Now, if you want to go on from carrots to dessert, I'll turn to stock picking—trying to draw on this general worldly wisdom as we go. 

I don't want to get into emerging markets, bond arbitrage and so forth. I'm talking about nothing but plain vanilla stock picking. That, believe me, is complicated enough. And I'm talking about common stock picking. 

The first question is, "What is the nature of the stock market?" And that gets you directly to this efficient market theory that got to be the rage—a total rage—long after I graduated from law school. 

And it's rather interesting because one of the greatest economists of the world is a substantial shareholder in Berkshire Hathaway and has been for a long time. His textbook always taught that the stock market was perfectly efficient and that nobody could beat it. But his own money went into Berkshire and made him wealthy. So, like Pascal in his famous wager, he hedged his bet. 

Is the stock market so efficient that people can't beat it? Well, the efficient market theory is obviously roughly right—meaning that markets are quite efficient and it's quite hard for anybody to beat the market by significant margins as a stock picker by just being intelligent and working in a disciplined way. 

Indeed, the average result has to be the average result. By definition, everybody can't beat the market. As I always say, the iron rule of life is that only 20% of the people can be in the top fifth. That's just the way it is. So the answer is that it's partly efficient and partly inefficient. 

And, by the way, I have a name for people who went to the extreme efficient market theory—which is "bonkers". It was an intellectually consistent theory that enabled them to do pretty mathematics. So I understand its seductiveness to people with large mathematical gifts. It just had a difficulty in that the fundamental assumption did not tie properly to reality. 

Again, to the man with a hammer, every problem looks like a nail. If you're good at manipulating higher mathematics in a consistent way, why not make an assumption which enables you to use your tool? 

The model I like—to sort of simplify the notion of what goes on in a market for common stocks—is the pari-mutuel system at the racetrack. If you stop to think about it, a pari-mutuel system is a market. Everybody goes there and bets and the odds change based on what's bet. That's what happens in the stock market. 

Any damn fool can see that a horse carrying a light weight with a wonderful win rate and a good post position etc., etc. is way more likely to win than a horse with a terrible record and extra weight and so on and so on. But if you look at the odds, the bad horse pays 100 to 1, whereas the good horse pays 3 to 2. Then it's not clear which is statistically the best bet using the mathematics of Fermat and Pascal. The prices have changed in such a way that it's very hard to beat the system. 

And then the track is taking 17% off the top. So not only do you have to outwit all the other betters, but you've got to outwit them by such a big margin that on average, you can afford to take 17% of your gross bets off the top and give it to the house before the rest of your money can be put to work. 

Given those mathematics, is it possible to beat the horses only using one's intelligence? Intelligence should give some edge, because lots of people who don't know anything go out and bet lucky numbers and so forth. Therefore, somebody who really thinks about nothing but horse performance and is shrewd and mathematical could have a very considerable edge, in the absence of the frictional cost caused by the house take. 

Unfortunately, what a shrewd horseplayer's edge does in most cases is to reduce his average loss over a season of betting from the 17% that he would lose if he got the average result to maybe 10%. However, there are actually a few people who can beat the game after paying the full 17%. 

I used to play poker when I was young with a guy who made a substantial living doing nothing but bet harness races.... Now, harness racing is a relatively inefficient market. You don't have the depth of intelligence betting on harness races that you do on regular races. What my poker pal would do was to think about harness races as his main profession. And he would bet only occasionally when he saw some mispriced bet available. And by doing that, after paying the full handle to the house—which I presume was around 17%—he made a substantial living. 

You have to say that's rare. However, the market was not perfectly efficient. And if it weren't for that big 17% handle, lots of people would regularly be beating lots of other people at the horse races. It's efficient, yes. But it's not perfectly efficient. And with enough shrewdness and fanaticism, some people will get better results than others. 

The stock market is the same way—except that the house handle is so much lower. If you take transaction costs—the spread between the bid and the ask plus the commissions—and if you don't trade too actively, you're talking about fairly low transaction costs. So that with enough fanaticism and enough discipline, some of the shrewd people are going to get way better results than average in the nature of things. 

It is not a bit easy. And, of course, 50% will end up in the bottom half and 70% will end up in the bottom 70%. But some people will have an advantage. And in a fairly low transaction cost operation, they will get better than average results in stock picking. 

How do you get to be one of those who is a winner—in a relative sense—instead of a loser? 

Here again, look at the pari-mutuel system. I had dinner last night by absolute accident with the president of Santa Anita. He says that there are two or three betters who have a credit arrangement with them, now that they have off-track betting, who are actually beating the house. They're sending money out net after the full handle—a lot of it to Las Vegas, by the way—to people who are actually winning slightly, net, after paying the full handle. They're that shrewd about something with as much unpredictability as horse racing. 

And the one thing that all those winning betters in the whole history of people who've beaten the pari-mutuel system have is quite simple. They bet very seldom. 

It's not given to human beings to have such talent that they can just know everything about everything all the time. But it is given to human beings who work hard at it—who look and sift the world for a mispriced be—that they can occasionally find one. 

And the wise ones bet heavily when the world offers them that opportunity. They bet big when they have the odds. And the rest of the time, they don't. It's just that simple. 

That is a very simple concept. And to me it's obviously right—based on experience not only from the pari-mutuel system, but everywhere else. 

And yet, in investment management, practically nobody operates that way. We operate that way—I'm talking about Buffett and Munger. And we're not alone in the world. But a huge majority of people have some other crazy construct in their heads. And instead of waiting for a near cinch and loading up, they apparently ascribe to the theory that if they work a little harder or hire more business school students, they'll come to know everything about everything all the time. 

To me, that's totally insane. The way to win is to work, work, work, work and hope to have a few insights. 

How many insights do you need? Well, I'd argue: that you don't need many in a lifetime. If you look at Berkshire Hathaway and all of its accumulated billions, the top ten insights account for most of it. And that's with a very brilliant man—Warren's a lot more able than I am and very disciplined—devoting his lifetime to it. I don't mean to say that he's only had ten insights. I'm just saying, that most of the money came from ten insights. 

So you can get very remarkable investment results if you think more like a winning pari-mutuel player. Just think of it as a heavy odds against game full of craziness with an occasional mispriced something or other. And you're probably not going to be smart enough to find thousands in a lifetime. And when you get a few, you really load up. It's just that simple. 

When Warren lectures at business schools, he says, "I could improve your ultimate financial welfare by giving you a ticket with only 20 slots in it so that you had 20 punches—representing all the investments that you got to make in a lifetime. And once you'd punched through the card, you couldn't make any more investments at all." 

He says, "Under those rules, you'd really think carefully about what you did and you'd be forced to load up on what you'd really thought about. So you'd do so much better." 

Again, this is a concept that seems perfectly obvious to me. And to Warren it seems perfectly obvious. But this is one of the very few business classes in the U.S. where anybody will be saying so. It just isn't the conventional wisdom. 

To me, it's obvious that the winner has to bet very selectively. It's been obvious to me since very early in life. I don't know why it's not obvious to very many other people. 

I think the reason why we got into such idiocy in investment management is best illustrated by a story that I tell about the guy who sold fishing tackle. I asked him, "My God, they're purple and green. Do fish really take these lures?" And he said, "Mister, I don't sell to fish." 

Investment managers are in the position of that fishing tackle salesman. They're like the guy who was selling salt to the guy who already had too much salt. And as long as the guy will buy salt, why they'll sell salt. But that isn't what ordinarily works for the buyer of investment advice. 

If you invested Berkshire Hathaway-style, it would be hard to get paid as an investment manager as well as they're currently paid—because you'd be holding a block of Wal-Mart and a block of Coca-Cola and a block of something else. You'd just sit there. And the client would be getting rich. And, after a while, the client would think, "Why am I paying this guy half a percent a year on my wonderful passive holdings?" 

So what makes sense for the investor is different from what makes sense for the manager. And, as usual in human affairs, what determines the behavior are incentives for the decision maker. 

From all business, my favorite case on incentives is Federal Express. The heart and soul of their system—which creates the integrity of the product—is having all their airplanes come to one place in the middle of the night and shift all the packages from plane to plane. If there are delays, the whole operation can't deliver a product full of integrity to Federal Express customers. 

And it was always screwed up. They could never get it done on time. They tried everything—moral suasion, threats, you name it. And nothing worked. 

Finally, somebody got the idea to pay all these people not so much an hour, but so much a shift—and when it's all done, they can all go home. Well, their problems cleared up overnight. 

So getting the incentives right is a very, very important lesson. It was not obvious to Federal Express what the solution was. But maybe now, it will hereafter more often be obvious to you. 

All right, we've now recognized that the market is efficient as a pari-mutuel system is efficient with the favorite more likely than the long shot to do well in racing, but not necessarily give any betting advantage to those that bet on the favorite. 

In the stock market, some railroad that's beset by better competitors and tough unions may be available at one-third of its book value. In contrast, IBM in its heyday might be selling at 6 times book value. So it's just like the pari-mutuel system. Any damn fool could plainly see that IBM had better business prospects than the railroad. But once you put the price into the formula, it wasn't so clear anymore what was going to work best for a buyer choosing between the stocks. So it's a lot like a pari-mutuel system. And, therefore, it gets very hard to beat. 

What style should the investor use as a picker of common stocks in order to try to beat the market—in other words, to get an above average long-term result? A standard technique that appeals to a lot of people is called "sector rotation". You simply figure out when oils are going to outperform retailers, etc., etc., etc. You just kind of flit around being in the hot sector of the market making better choices than other people. And presumably, over a long period of time, you get ahead. 

However, I know of no really rich sector rotator. Maybe some people can do it. I'm not saying they can't. All I know is that all the people I know who got rich—and I know a lot of them—did not do it that way. 

The second basic approach is the one that Ben Graham used—much admired by Warren and me. As one factor, Graham had this concept of value to a private owner—what the whole enterprise would sell for if it were available. And that was calculable in many cases. 

Then, if you could take the stock price and multiply it by the number of shares and get something that was one third or less of sellout value, he would say that you've got a lot of edge going for you. Even with an elderly alcoholic running a stodgy business, this significant excess of real value per share working for you means that all kinds of good things can happen to you. You had a huge margin of safety—as he put it—by having this big excess value going for you. 

But he was, by and large, operating when the world was in shell shock from the 1930s—which was the worst contraction in the English-speaking world in about 600 years. Wheat in Liverpool, I believe, got down to something like a 600-year low, adjusted for inflation. People were so shell-shocked for a long time thereafter that Ben Graham could run his Geiger counter over this detritus from the collapse of the 1930s and find things selling below their working capital per share and so on. 

And in those days, working capital actually belonged to the shareholders. If the employees were no longer useful, you just sacked them all, took the working capital and stuck it in the owners' pockets. That was the way capitalism then worked. 

Nowadays, of course, the accounting is not realistic because the minute the business starts contracting, significant assets are not there. Under social norms and the new legal rules of the civilization, so much is owed to the employees that, the minute the enterprise goes into reverse, some of the assets on the balance sheet aren't there anymore. 

Now, that might not be true if you run a little auto dealership yourself. You may be able to run it in such a way that there's no health plan and this and that so that if the business gets lousy, you can take your working capital and go home. But IBM can't, or at least didn't. Just look at what disappeared from its balance sheet when it decided that it had to change size both because the world had changed technologically and because its market position had deteriorated. 

And in terms of blowing it, IBM is some example. Those were brilliant, disciplined people. But there was enough turmoil in technological change that IBM got bounced off the wave after "surfing" successfully for 60 years. And that was some collapse—an object lesson in the difficulties of technology and one of the reasons why Buffett and Munger don't like technology very much. We don't think we're any good at it, and strange things can happen. 

At any rate, the trouble with what I call the classic Ben Graham concept is that gradually the world wised up and those real obvious bargains disappeared. You could run your Geiger counter over the rubble and it wouldn't click. 

But such is the nature of people who have a hammer—to whom, as I mentioned, every problem looks like a nail that the Ben Graham followers responded by changing the calibration on their Geiger counters. In effect, they started defining a bargain in a different way. And they kept changing the definition so that they could keep doing what they'd always done. And it still worked pretty well. So the Ben Graham intellectual system was a very good one. 

Of course, the best part of it all was his concept of "Mr. Market". Instead of thinking the market was efficient, he treated it as a manic-depressive who comes by every day. And some days he says, "I'll sell you some of my interest for way less than you think it's worth." And other days, "Mr. Market" comes by and says, "I'll buy your interest at a price that's way higher than you think it's worth." And you get the option of deciding whether you want to buy more, sell part of what you already have or do nothing at all. 

To Graham, it was a blessing to be in business with a manic-depressive who gave you this series of options all the time. That was a very significant mental construct. And it's been very useful to Buffett, for instance, over his whole adult lifetime. 

However, if we'd stayed with classic Graham the way Ben Graham did it, we would never have had the record we have. And that's because Graham wasn't trying to do what we did. 

For example, Graham didn't want to ever talk to management. And his reason was that, like the best sort of professor aiming his teaching at a mass audience, he was trying to invent a system that anybody could use. And he didn't feel that the man in the street could run around and talk to managements and learn things. He also had a concept that the management would often couch the information very shrewdly to mislead. Therefore, it was very difficult. And that is still true, of course—human nature being what it is. 

And so having started out as Grahamites which, by the way, worked fine—we gradually got what I would call better insights. And we realized that some company that was selling at 2 or 3 times book value could still be a hell of a bargain because of momentums implicit in its position, sometimes combined with an unusual managerial skill plainly present in some individual or other, or some system or other. 

And once we'd gotten over the hurdle of recognizing that a thing could be a bargain based on quantitative measures that would have horrified Graham, we started thinking about better businesses. 

And, by the way, the bulk of the billions in Berkshire Hathaway have come from the better businesses. Much of the first $200 or $300 million came from scrambling around with our Geiger counter. But the great bulk of the money has come from the great businesses. 

And even some of the early money was made by being temporarily present in great businesses. Buffett Partnership, for example, owned American Express and Disney when they got pounded down. 

Most investment managers are in a game where the clients expect them to know a lot about a lot of things. We didn't have any clients who could fire us at Berkshire Hathaway. So we didn't have to be governed by any such construct. And we came to this notion of finding a mispriced bet and loading up when we were very confident that we were right. So we're way less diversified. And I think our system is miles better. 

However, in all fairness, I don't think a lot of money managers could successfully sell their services if they used our system. But if you're investing for 40 years in some pension fund, what difference does it make if the path from start to finish is a little more bumpy or a little different than everybody else's so long as it's all going to work out well in the end? So what if there's a little extra volatility. 

In investment management today, everybody wants not only to win, but to have a yearly outcome path that never diverges very much from a standard path except on the upside. Well, that is a very artificial, crazy construct. That's the equivalent in investment management to the custom of binding the feet of Chinese women. It's the equivalent of what Nietzsche meant when he criticized the man who had a lame leg and was proud of it. 

That is really hobbling yourself. Now, investment managers would say, "We have to be that way. That's how we're measured." And they may be right in terms of the way the business is now constructed. But from the viewpoint of a rational consumer, the whole system's "bonkers" and draws a lot of talented people into socially useless activity. 

And the Berkshire system is not "bonkers". It's so damned elementary that even bright people are going to have limited, really valuable insights in a very competitive world when they're fighting against other very bright, hardworking people. 

And it makes sense to load up on the very few good insights you have instead of pretending to know everything about everything at all times. You're much more likely to do well if you start out to do something feasible instead of something that isn't feasible. Isn't that perfectly obvious? 

How many of you have 56 brilliant ideas in which you have equal confidence? Raise your hands, please. How many of you have two or three insights that you have some confidence in? I rest my case. 

I'd say that Berkshire Hathaway's system is adapting to the nature of the investment problem as it really is. 

We've really made the money out of high quality businesses. In some cases, we bought the whole business. And in some cases, we just bought a big block of stock. But when you analyze what happened, the big money's been made in the high quality businesses. And most of the other people who've made a lot of money have done so in high quality businesses. 

Over the long term, it's hard for a stock to earn a much better return than the business which underlies it earns. If the business earns 6% on capital over 40 years and you hold it for that 40 years, you're not going to make much different than a 6% return—even if you originally buy it at a huge discount. Conversely, if a business earns 18% on capital over 20 or 30 years, even if you pay an expensive looking price, you'll end up with a fine result. 

So the trick is getting into better businesses. And that involves all of these advantages of scale that you could consider momentum effects. 

How do you get into these great companies? One method is what I'd call the method of finding them small get 'em when they're little. For example, buy Wal-Mart when Sam Walton first goes public and so forth. And a lot of people try to do just that. And it's a very beguiling idea. If I were a young man, I might actually go into it. 

But it doesn't work for Berkshire Hathaway anymore because we've got too much money. We can't find anything that fits our size parameter that way. Besides, we're set in our ways. But I regard finding them small as a perfectly intelligent approach for somebody to try with discipline. It's just not something that I've done. 

Finding 'em big obviously is very hard because of the competition. So far, Berkshire's managed to do it. But can we continue to do it? What's the next Coca-Cola investment for us? Well, the answer to that is I don't know. I think it gets harder for us all the time.... 

And ideally and we've done a lot of this—you get into a great business which also has a great manager because management matters. For example, it's made a great difference to General Electric that Jack Welch came in instead of the guy who took over Westinghouse—a very great difference. So management matters, too. 

And some of it is predictable. I do not think it takes a genius to understand that Jack Welch was a more insightful person and a better manager than his peers in other companies. Nor do I think it took tremendous genius to understand that Disney had basic momentums in place which are very powerful and that Eisner and Wells were very unusual managers. 

So you do get an occasional opportunity to get into a wonderful business that's being run by a wonderful manager. And, of course, that's hog heaven day. If you don't load up when you get those opportunities, it's a big mistake. 

Occasionally, you'll find a human being who's so talented that he can do things that ordinary skilled mortals can't. I would argue that Simon Marks—who was second generation in Marks & Spencer of England—was such a man. Patterson was such a man at National Cash Register. And Sam Walton was such a man. 

These people do come along—and in many cases, they're not all that hard to identify. If they've got a reasonable hand—with the fanaticism and intelligence and so on that these people generally bring to the party—then management can matter much. 

However, averaged out, betting on the quality of a business is better than betting on the quality of management. In other words, if you have to choose one, bet on the business momentum, not the brilliance of the manager. 

But, very rarely, you find a manager who's so good that you're wise to follow him into what looks like a mediocre business. 

Another very simple effect I very seldom see discussed either by investment managers or anybody else is the effect of taxes. If you're going to buy something which compounds for 30 years at 15% per annum and you pay one 35% tax at the very end, the way that works out is that after taxes, you keep 13.3% per annum. 

In contrast, if you bought the same investment, but had to pay taxes every year of 35% out of the 15% that you earned, then your return would be 15% minus 35% of 15%—or only 9.75% per year compounded. So the difference there is over 3.5%. And what 3.5% does to the numbers over long holding periods like 30 years is truly eye-opening. If you sit back for long, long stretches in great companies, you can get a huge edge from nothing but the way that income taxes work. 

Even with a 10% per annum investment, paying a 35% tax at the end gives you 8.3% after taxes as an annual compounded result after 30 years. In contrast, if you pay the 35% each year instead of at the end, your annual result goes down to 6.5%. So you add nearly 2% of after-tax return per annum if you only achieve an average return by historical standards from common stock investments in companies with tiny dividend payout ratios. 

But in terms of business mistakes that I've seen over a long lifetime, I would say that trying to minimize taxes too much is one of the great standard causes of really dumb mistakes. I see terrible mistakes from people being overly motivated by tax considerations. 

Warren and I personally don't drill oil wells. We pay our taxes. And we've done pretty well, so far. Anytime somebody offers you a tax shelter from here on in life, my advice would be don't buy it. 

In fact, any time anybody offers you anything with a big commission and a 200-page prospectus, don't buy it. Occasionally, you'll be wrong if you adopt "Munger's Rule". However, over a lifetime, you'll be a long way ahead—and you will miss a lot of unhappy experiences that might otherwise reduce your love for your fellow man. 

There are huge advantages for an individual to get into a position where you make a few great investments and just sit back and wait: You're paying less to brokers. You're listening to less nonsense. And if it works, the governmental tax system gives you an extra 1, 2 or 3 percentage points per annum compounded. 

And you think that most of you are going to get that much advantage by hiring investment counselors and paying them 1% to run around, incurring a lot of taxes on your behalf'? Lots of luck. 

Are there any dangers in this philosophy? Yes. Everything in life has dangers. Since it's so obvious that investing in great companies works, it gets horribly overdone from time to time. In the "Nifty-Fifty" days, everybody could tell which companies were the great ones. So they got up to 50, 60 and 70 times earnings. And just as IBM fell off the wave, other companies did, too. Thus, a large investment disaster resulted from too high prices. And you've got to be aware of that danger.... 

So there are risks. Nothing is automatic and easy. But if you can find some fairly-priced great company and buy it and sit, that tends to work out very, very well indeed—especially for an individual, 

Within the growth stock model, there's a sub-position: There are actually businesses, that you will find a few times in a lifetime, where any manager could raise the return enormously just by raising prices—and yet they haven't done it. So they have huge untapped pricing power that they're not using. That is the ultimate no-brainer. 

That existed in Disney. It's such a unique experience to take your grandchild to Disneyland. You're not doing it that often. And there are lots of people in the country. And Disney found that it could raise those prices a lot and the attendance stayed right up. 

So a lot of the great record of Eisner and Wells was utter brilliance but the rest came from just raising prices at Disneyland and Disneyworld and through video cassette sales of classic animated movies. 

At Berkshire Hathaway, Warren and I raised the prices of See's Candy a little faster than others might have. And, of course, we invested in Coca-Cola—which had some untapped pricing power. And it also had brilliant management. So a Goizueta and Keough could do much more than raise prices. It was perfect. 

You will get a few opportunities to profit from finding underpricing. There are actually people out there who don't price everything as high as the market will easily stand. And once you figure that out, it's like finding in the street—if you have the courage of your convictions. 

If you look at Berkshire's investments where a lot of the money's been made and you look for the models, you can see that we twice bought into twonewspaper towns which have since become onenewspaper towns. So we made a bet to some extent.... 

In one of those—The Washington Post—we bought it at about 20% of the value to a private owner. So we bought it on a Ben Grahamstyle basis—at onefifth of obvious value—and, in addition, we faced a situation where you had both the top hand in a game that was clearly going to end up with one winner and a management with a lot of integrity and intelligence. That one was a real dream. They're very high class people—the Katharine Graham family. That's why it was a dream—an absolute, damn dream. 

Of course, that came about back in '73-74. And that was almost like 1932. That was probably a once-in-40-yearstype denouement in the markets. That investment's up about 50 times over our cost. 

If I were you, I wouldn't count on getting any investment in your lifetime quite as good as The Washington Post was in '73 and '74. 

But it doesn't have to be that good to take care of you. 

Let me mention another model. Of course, Gillette and Coke make fairly lowpriced items and have a tremendous marketing advantage all over the world. And in Gillette's case, they keep surfing along new technology which is fairly simple by the standards of microchips. But it's hard for competitors to do. 

So they've been able to stay constantly near the edge of improvements in shaving. There are whole countries where Gillette has more than 90% of the shaving market. 

GEICO is a very interesting model. It's another one of the 100 or so models you ought to have in your head. I've had many friends in the sick business fixup game over a long lifetime. And they practically all use the following formula—I call it the cancer surgery formula: 

They look at this mess. And they figure out if there's anything sound left that can live on its own if they cut away everything else. And if they find anything sound, they just cut away everything else. Of course, if that doesn't work, they liquidate the business. But it frequently does work. 

And GEICO had a perfectly magnificent business submerged in a mess, but still working. Misled by success, GEICO had done some foolish things. They got to thinking that, because they were making a lot of money, they knew everything. And they suffered huge losses. 

All they had to do was to cut out all the folly and go back to the perfectly wonderful business that was lying there. And when you think about it, that's a very simple model. And it's repeated over and over again. 

And, in GEICO's case, think about all the money we passively made.... It was a wonderful business combined with a bunch of foolishness that could easily be cut out. And people were coming in who were temperamentally and intellectually designed so they were going to cut it out. That is a model you want to look for. 

And you may find one or two or three in a long lifetime that are very good. And you may find 20 or 30 that are good enough to be quite useful. 

Finally, I'd like to once again talk about investment management. That is a funny business because on a net basis, the whole investment management business together gives no value added to all buyers combined. That's the way it has to work. 

Of course, that isn't true of plumbing and it isn't true of medicine. If you're going to make your careers in the investment management business, you face a very peculiar situation. And most investment managers handle it with psychological denial just like a chiropractor. That is the standard method of handling the limitations of the investment management process. But if you want to live the best sort of life, I would urge each of you not to use the psychological denial mode. 

I think a select few—a small percentage of the investment managers—can deliver value added. But I don't think brilliance alone is enough to do it. I think that you have to have a little of this discipline of calling your shots and loading up—you want to maximize your chances of becoming one who provides above average real returns for clients over the long pull. 

But I'm just talking about investment managers engaged in common stock picking. I am agnostic elsewhere. I think there may well be people who are so shrewd about currencies and this, that and the other thing that they can achieve good longterm records operating on a pretty big scale in that way. But that doesn't happen to be my milieu. I'm talking about stock picking in American stocks. 

I think it's hard to provide a lot of value added to the investment management client, but it's not impossible.   
  
  

|  | 

[Apply][2] | [What We Do][3] | [Blog][4] | [People][5] | [Jobs][6] | [Quotes][7] | [FAQ][8] | [Contact][9] | [Lib][10] | [Legal][11]   
  
 | 

[1]: http://old.ycombinator.com/images/yc500.gif
[2]: http://old.ycombinator.com/apply.html
[3]: http://old.ycombinator.com/about.html
[4]: http://blog.ycombinator.com
[5]: http://old.ycombinator.com/people.html
[6]: http://news.ycombinator.com/jobs
[7]: http://old.ycombinator.com/quotes.html
[8]: http://old.ycombinator.com/faq.html
[9]: http://old.ycombinator.com/contact.html
[10]: http://old.ycombinator.com/lib.html
[11]: http://old.ycombinator.com/legal.html

