---
created_at: '2011-01-31T04:53:31.000Z'
title: '"What society overwhelmingly asks for is snake oil" (1994)'
url: http://www.cs.utexas.edu/users/EWD/transcriptions/EWD11xx/EWD1175.html
author: groaner
points: 73
story_text: ''
comment_text: 
num_comments: 27
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1296449611
_tags:
- story
- author_groaner
- story_2160321
objectID: '2160321'

---
[Source](http://www.cs.utexas.edu/users/EWD/transcriptions/EWD11xx/EWD1175.html "Permalink to E.W.Dijkstra Archive: The strengths of the academic enterprise (EWD 1175)")

# E.W.Dijkstra Archive: The strengths of the academic enterprise (EWD 1175)

[EWD 1175][1]

_The strengths of the academic enterprise_

In the Western world, 66 institutions have enjoyed a continuously visible identity since 1530. Among those 66 are the Roman Catholic Church, the Lutheran Church and the Parliaments of Iceland and the Isle of Man. What makes these 66 so interesting —and I owe the knowledge of this fact to our President Dr. Berdahl— is that the remaining 62 are all universities! It strikingly demonstrates that universities have a potential for "longevity", but we should not make the mistake of concluding that they are "immortal" or invulnerable, for they are not: if they have existed for centuries, that is because successive generations of scholars and students have nurtured them well and with devotion. It is the obvious task of the current generation to hand over to the next what it got from the previous one, and in order to do so well, we had better understand how the strengths of the academic enterprise are maintained most effectively. Hence my title.

But before I can turn to my topic proper, I must make a few introductory remarks lest I be misunderstood.

The first one is that when we move from one society to another, all important words subtly change their meaning, and in connection with today's topic I must mention: university, education, training, teaching, scholar, scientist, engineer, theoretical, experimental, and applied. This was brought home to me in 1968 at a conference in Garmisch-Partenkirchen. I worked at the time at the Department of Mathematics of the Eindhoven University of Technology in the Netherlands, and told at that conference that the official academic title our graduates earned was 'Mathematical Engineer", and most of the Americans began to laugh, because for them it sounded as a contradiction in terms, mathematics being sophisticated and unpractical, engineering being straightforward and practical. To give you another example, in the early 80's I learned that professors at Stanford University could use their grant money in the name of their research to pay someone else to do their teaching. When I heard that, I was shocked, when my wife heard it, she could not believe it, because we grew up with an academic culture in which teaching and research were considered warp and weft of the same fabric. In that view, a professor who does not get valuable inspiration from his own lectures and therefore does not regard his teaching as a precious experience, is just in the wrong business: he should teach at a vocational school or work at a research laboratory. So please, keep in mind that all important words I use may mean something different from what you are used to.

My second warning remark is that I shall refuse to discuss the academic enterprise in financial terms. The first reason is that the habit of trying to understand, explain, or justify in financial terms is unhealthy: it creates the ethics of the best-seller society in which saleability is confused with quality. The other day we had to discuss the professional quality of one of our colleagues, in whose favour it was then mentioned that one of his Ph.D.s had earned lots and lots of money in the computer business, and few people seemed to notice how ridiculous a recommendation this was. We also know that the financial success of a product can be totally independent of its quality (as everyone who remembers for instance the commercially successful IBM360 should know). The second reason for my refusal is that the value of money is a very fuzzy notion, so fuzzy in fact, that efforts to understand in financial terms always lead to greater confusion. [Remember this, for it is quite likely that this afternoon will give you the opportunity to observe the phenomenon. Note that money need not be mentioned explicitly for the nonsense to emerge, a reference to "the taxpayer" can do the job. The role of "the taxpayer" then invariably leads to the conclusion that of State Universities at least the undergraduate curriculum has to be second- or third-rate.] The final reason for my refusal is that the habit appeals to the quantitative mind and I come from a culture in which the primarily quantitative mind does not evoke admiration. [A major reason that we considered Roman Catholics to belong to a lower class was precisely their quantitative bent: they always counted, number of faithful, number of days in purgatory, you name it.....]

My third remark introduces you to the Buxton Index, so named after its inventor, Professor John Buxton, at the time at Warwick University. The Buxton Index of an entity, i.e. person or organization, is defined as the length of the period, measured in years, over which the entity makes its plans. For the little grocery shop around the corner it is about 1/2,for the true Christian it is infinity, and for most other entities it is in between: about 4 for the average politician who aims at his re-election, slightly more for most industries, but much less for the managers who have to write quarterly reports. The Buxton Index is an important concept because close co-operation between entities with very different Buxton Indices invariably fails and leads to moral complaints about the partner. The party with the smaller Buxton Index is accused of being superficial and short-sighted, while the party with the larger Buxton Index is accused of neglect of duty, of backing out of its responsibility, of freewheeling, etc.. In addition, each party accuses the other one of being stupid. The great advantage of the Buxton Index is that, as a simple numerical notion, it is morally neutral and lifts the difference above the plane of moral concerns. The Buxton Index is important to bear in mind when considering academic/industrial co-operation.

My fourth and last introductory remark draws attention to a whole spectrum of techniques by which one generation transmits its insights and abilities to the next. At the one extreme we have the techniques of the guilds which treat their insights and abilities as valuable property, as a treasure to be kept secret. Their technique for protecting the secrecy is by keeping the secret knowledge unformulated; therefore, the apprentice has to join a master for seven meagre years, during which he can absorb the craft by osmosis, so to speak. The university is at the other end of the spectrum: it is the professor's task to bring the relevant insights and abilities into the public domain by explicit formulation. It is no accident that the universities as we know them started to flourish after the art of book printing had been established. There is more to be said about that spectrum of educational techniques, but I shall not do so now; I mentioned it to remind you why the absence of secrecy, or, more positively formulated, openness and honesty are characteristics that touch the heart of the academic enterprise: a university that hides or cheats can close its doors. The essential role of openness is something to remember when considering academic/industrial co-operation; it should also be remembered whenever a government invents reasons of national security or prosperity for the prevention of free publication of the results of academic research. Universities are not part of the nation's security organisation, they are not the nation's research laboratory either: they are the nation's universities.

In passing I would like to mention that in a rather different sense such openness is a precondition for academic survival. Just for being different and doing things the uneducated cannot understand, the academics are hated and feared, vide Socrates, executed in 399 BC, Archimedes, killed in 212 BC, and, more recently, Hypatia, AD 415 barbarously murdered by a Christian mob. The original Oxford Colleges were buildings fortified in order to protect the students against the rabble, and if you think that that is old hat, I refer you to the DDR or the People's Republic of China of only 25 years ago. It is a miracle whenever, these days, the academic world is tolerated at all; personally I am convinced that what tolerance there is would completely disappear, were the academic world to become secretive.

*            *  
*

The University with its intellectual life on campus is undoubtedly a creation of the restless mind, but it is more than its creation: it is also its refuge. Regrettably, neither all professors nor all students are brilliant, but quite a few are and the unique thing is that, on campus, being brilliant is socially acceptable. Furthermore, the fabric of the academic world is such that it can absorb the most revolutionary ideas. And how essential that refuge is, we realize when we remember that many organizations impose a conformism that precludes even such deviant behaviour as wearing a moustache! (If you even wondered why I did not join Disneyland or IBM, you now know why. )

It is not only a refuge for the restless minds, it is also a reservation. It does not only protect the restless minds, it also protects the rest of the world, where they would create havoc if they were let loose. To put it in another way: the fence around campus is essential because it separates two worlds that otherwise would harm each other. The fence ensures that we have relatively little influence on the world "out there", but we would be foolish to complain, for our freedom to be as original or as radical as we like is based on the fact that industry and the world-at-large ignore our work anyhow. Currently there seems a world-wide tendency to try to lower the fence; the effort strikes me as ill-directed.

The unruly nature of academic life, of course, offends the orderly mind, and more than one regime has tried to deal with the problem by doing away with the restless minds, but the measure never had the effect the regime intended: destroy the campus, muzzle your intellectuals, and rapidly life deteriorates in all respects. The explanation is that, with all its aloofness, the university has an essential role to play, viz. to explain to the world the foolishness of its ways. Of course, all religions always try to do that, but religions being what they are, no pope, patriarch, ayatollah or dalai lama has enough authority to be taken seriously. Only the academic gadfly has so much authority that its sting really hurts.

President Reagan did not seem to see it that way, but even regimes of modest insight seem to understand that, as a corrective measure, the gadfly's sting is indispensable. The university has therefore the task to nurture the authority of the sting, both for its own protection and as a service to mankind. Aforementioned openness and honesty, though essential, are not enough; we should add a ruthless striving for perfection, ruthless in the sense that, on campus, there is no academically valid excuse for compromises.

The sting also defines the social responsibility of the universities. The question is: do we offer what society asks for, or do we offer what society needs? If the two coincide, there is no problem, but often they don't, and in computing such coincidence is extremely rare. In case of discrepancy, you must ignore what they ask for and give what they need, ignore what they would like and tell them what they don't want to hear but need to know. There are two compelling reasons for this uncompromising position.

The first one is that a _leading_ university has no choice: to be leading means in this context showing new and better ways and possibilities no one else has dreamt of; if you give society what it asks for, you are not leading but led, viz. led by the demands of society as it sees them.

The second reason is that what society overwhelmingly asks for is snake oil. Of course, the snake oil has the most impressive names —otherwise you would be selling nothing— like "Structured Analysis and Design", "Software Engineering", "Maturity Models", "Management Information Systems", "Integrated Project Support Environments" "Object Orientation" and "Business Process Re-engineering" (the latter three being known as IPSE, OO and BPR, respectively). The external pressures to do the wrong thing are enormous, but yielding to them would be fatal for the academic enterprise, while resisting the pressure reinforces its strengths. The pressures are, in fact, so strong that I do not know a university where there is not some faculty or some department that has yielded, but there should be no mercy for snake oil pedlars on campus. [When a professor is no better than James Martin, he should start a business instead.]

*            *  
*

In the wake of the Cultural Revolution and now of the recession I observe a mounting pressure to co-operate and to promote "teamwork". For its anti-individualistic streak, such a drive is of course highly suspect; some people may not be so sensitive to it, but having seen the Hitlerjugend in action suffices for the rest of your life to be very wary of "team spirit". Very. I have even read one text that argued that university scientists should co-operate more in order to become more competitive..... Bureaucracies are in favour of teamwork because a few groups are easier to control than a large number of rugged individuals. Granting agencies are in favour of supporting large established organizations rather than individual researchers, because the support of the latter, though much cheaper, is felt to be more risky; it also requires more thinking per dollar funding. Teamwork is also promoted because it is supposed to be more efficient, though in general this hope is not justified. I have no first-hand experience with the ESPRIT projects of the European Community, as they started after I had left. Involvement of universities from different member states is, I believe, a conditio sine qua non, and here the purpose of the co-operation seems more to force the researchers to broaden their outlook than to increase the efficiency of the research. My impression is that regular contacts with academic colleagues from other countries are experienced as valuable, but that actual co-operation becomes extremely sticky each time industrial partners are included. And everybody complains about the amount of red tape and travel.

Interdisciplinary efforts on campus, that is co-operation between different departments of a university are almost always failures, and the reasons are clear. Why should a vigorous, flourishing department seek co-operation when it is doing just fine all by itself? It is the weak departments that are more tempted to seek each other's support and to believe that there is might in numbers. But such co-operation is of course based on the theory that, when you tie two stones together, the combination will float. Another reason is that the boundaries between our scientific disciplines are not arbitrary at all: the different disciplines represent a modularization of science that has been introduced for the sake of efficiency.

Co-operation between corresponding departments of different universities seems to work quite well, co-operation between the university and industry, however, is so much harder that it usually fails. We might even conclude that the effort is hopeless.

To begin with, there is the great difference in Buxton Index. For industry, the Buxton Index is less than 10, probably closer to 4 or 5, whereas for the academic scientist the Buxton Index is closer to, say, 50, for what you offer your students should last a lifetime, their lives, to be precise.

The second problem has to do with the openness, which is a hallmark of the university, whereas, like the guilds, industry tends to see its knowledge as trade secret. People have tried to find legal solutions for this dilemma, but I am afraid that such solutions only touch the surface: at a more profound level, either one of the parties forsakes its duty, or the co-operation collapses.

But the greatest limitation on the usefulness of co-operation between industry and academia is almost certainly that the two have completely different purposes. To quote Harvey Earl of GM: "General Motors is in business for only one reason. To make money. In order to do that we make cars. But if we could make money by making garbage cans, we would make garbage cans.". Some people might argue that they even tried to make money by making garbage. But the product is secondary; to quote Harvey Earl again: "Listen, I'd put smokestacks right in the middle of the sons of bitches if I thought I could sell more cars.". These quotations are from the fifties, but things have not changed that much. For instance, computing science has very convincingly shown that simplicity is a necessary precondition for reliability, but industry willfully complicates products so as to make them proprietary. The disgraceful state of affairs is fully revealed by the traditional disclaimer with which industrial software is sold.

Under current circumstances I would not even attempt to promote co-operation between the academic and the industrial worlds, because it seems pointless and dangerous. I have come to the conclusion that, industrial management being what it is, it is extremely unlikely that computing science can save the computing industry. Conversely, the computer industry can severely damage computing science; it does so quite regularly by the donation of equipment that had better be ignored. [To avoid misunderstanding, what I just said does not necessarily represent the official opinion of my employer!] So, the less contact we have, the better.

*            *  
*

Academic computing science is doing fine, thank you, and unless I am totally mistaken, it will have a profound influence. I am not referring to the changes that result from computers in their capacity of tools. Okay, the equipment opens new opportunities for the entertainment industry, but who cares about that anyhow. The equipment has enabled the airline industry to make its rates so complicated and volatile that you need an expert to buy a ticket, and for this discouragement of air travel we can be grateful, but the true impact comes from the equipment in its capacity of intellectual challenge.

Thanks to the existence of computing equipment we have, for the first time in the intellectual history of mankind, an environment in which the large-scale application of formal techniques is feasible and necessary. Not too long ago, formal reasoning was regarded merely as a theoretically intriguing possibility, but so utterly unpractical that it was totally irrelevant for real mathematicians. Peano was ridiculed for his axiomatization of something as trivial as integer arithmetic! But it is precisely because of these "trivialities" that we can now do things of a power and a beauty, way beyond the wildest dreams I had as a youngster.

As a mathematician I enjoy the same type of excitement as the theoretical physicists enjoyed in the first decades of this century. The analogy is apt in more than one way. In either case the results were obtained not by mission-oriented research, but by trying to achieve the just feasible. If academic research is often astonishingly successful, it always is because the researchers had the wisdom and the opportunity to avoid both the trivial and the impossible, and to follow the very narrow path in between. It is that narrow path in between that defines the intellectual autonomy of successful scientific research.

The major strength of the academic enterprise is that in a very technical sense scientific progress is unique in a way that neither political nor commercial interests can change.

*            *  
*

Let me end by quoting, by way of contrast, from the C2E Report from the IC2 Center for Commercialization and Enterprise, The University of Texas at Austin, Winter 1993-94. [I draw your attention to the "class-room theory": just "theory" was not bad enough! ]

> "In order to supply businesses with the managers they need in an ever-changing world, it is critical that the University maintain direct ties with the business community. These ties give students real-world experience in which to apply class-room theory — to help them to be more effective on the job and to provide feedback to the University to ensure that its curriculum is meeting the needs of business."

Did the writer not know that the use of the term "the real world" is usually interpreted as a symptom of rabid anti-intellectualism, or did he not mind? It is not amazing that people wonder whether the School of Business Administration belongs on campus at all.

The above was written for our "Industrial Forum" on Monday 7 February 1994. The quotations of Harvey Earl were taken from _The Fifties_ by David Halberstam Villard Books, New York 1993. Other recommended literature is _The Organization Man_ by Willian H. Whyte, Simon & Schuster Inc., New York, 1956.

Austin, 9 February 1994

prof.dr. Edsger W. Dijkstra  
Department of Computer Sciences  
The University of Texas at Austin,  
Austin, TX 78712-1188  
USA

__

* * *

transcribed by Martijn van der Veen  
revised Sun, 30 Dec 2007

[1]: http://www.cs.utexas.edu/ewd11xx/EWD1175.PDF "Link to the PDF version of EWD 1175"

