---
created_at: '2014-10-16T22:08:27.000Z'
title: The Big Crunch (1994)
url: https://www.its.caltech.edu/~dg/crunch_art.html
author: gwern
points: 52
story_text: ''
comment_text: 
num_comments: 2
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1413497307
_tags:
- story
- author_gwern
- story_8468098
objectID: '8468098'

---
[Source](https://www.its.caltech.edu/~dg/crunch_art.html "Permalink to Dr. David Goodstein -- Recent Articles")

# Dr. David Goodstein -- Recent Articles


| ----- |
|  ![][1] | 

| ----- |
| 

|  ![][2] |  
|  ![][3] |   |

 |  ![][4] | 

![][4]  
**The Big Crunch**  
_by David Goodstein_  
  
_NCAR 48 Symposium, Portland, OR September 19, 1994_

According to modern cosmology, the Universe began about 10 or 15 billion years ago in an event known as the Big Bang. It has been expanding ever since. What we do not know is whether it will go on expanding forever. If the density of matter in the Universe is sufficiently large, gravitational forces will eventually cause the Universe to stop expanding, and then to start falling back in upon itself. If that happens, the Universe will end in a second cataclysmic event that cosmologists call The Big Crunch. 

I would like to present to you this morning a rather analogous theory of the history of science. According to this theory, modern science appeared on the scene, in Europe, almost 300 years ago, and in this country a little more than a century ago. In each case it proceeded to expand at a frightening exponential rate. Exponential expansion cannot go on forever, and so the expansion of science, unlike the expansion of the Universe, was guaranteed to come to an end. I will argue that, in science, the Big Crunch occurred about 25 years ago, and we have been trying to ignore it ever since. What we have to do now is to solve a problem that has never even occurred to the cosmologists. The problem is, what do you do after The Big Crunch?

The situation is illustrated by this graph. The upper curve was first published in 1961, in a book called Science Since Babylon by Derek da Solla Price. It is a plot, on a semi-logarithmic scale, of the cumulative number of scientific journals founded world-wide on the vertical scale, versus time in years on the horizontal. A straight line on this kind of graph means pure exponential growth. In exponential growth, the bigger a thing is, the faster it grows. According to Price, this graph is a suitable stand-in for any quantitative measure of the size of science. As you can see, it shows that science seemed to spring into being around 1700 (the Big Bang might have been the publication of Newton's Principia in 1687), and it expanded exponentially, growing about a factor of 10 every 50 years, up until the time Price made this graph.

Price wisely predicted that this behavior could not go on forever. He was right, of course. The straight line in the plot extrapolates to one million journals by the year 2000. Instead, the number of scientific journals in the world today, as we approach the millenium, is a mere 40,000. This sorry failure of the publishing industry to keep up with our expectations often leaves us scientists with nothing to read by the time we reach the end of the week.

The point is that the era of exponential growth in science is already over. The number of journals is one measure, but all others tend to agree. In particular, it applies to the number of scientists around. It may still be true that 90% of all the scientists who have ever lived are alive today, and that statement has been true at any given time for nearly 300 years. But it cannot go on being true for very much longer. Even with the huge increase in world population in this century, only about one-twentieth of all the people who have ever lived are alive today. It is a simple mathematical fact that if scientists keep multiplying faster than people, there will soon be more scientists than there are people. That seems very unlikely to happen.

To emphasize that point, I have plotted, on the same scale as Price's growth curve, the number of Ph.Ds in physics produced each year in the United States. Like any other quantitative measure of science, its behavior is much like Price's curve. The graph shows that science started later in the U.S. than in Europe. The first Ph.D was awarded soon after the Civil War, around 1870\. By the turn of the century the number was about 10 per year, by 1930 about 100 per year, and by 1970, 1000 per year. The curve extrapolates to about 10,000 a year today, and one million a year in 2050. But that's not what happened. The growth stopped cold around 1970, and the number has oscillated around 1000 per year ever since. We didn't notice it at the time, but, at least in physics, The Big Crunch happened around 1970.

![][5]

Although hardly anyone noticed the change at the time, it is difficult to imagine a more dramatic contrast than the decades just before 1970, and the decades since then. Those were the years in which science underwent an irreversible transformation into an entirely new regime. Let's look back at what has happened in those years in light of this historic transition.

The period 1950-1970 was a true golden age for American science. Young Ph.D's could choose among excellent jobs, and anyone with a decent scientific idea could be sure of getting funds to pursue it. The impressive successes of scientific projects during the Second World War had paved the way for the federal government to assume responsibility for the support of basic research. Moreover, much of the rest of the world was still crippled by the after-effects of the war. At the same time, the G.I. Bill of Rights sent a whole generation back to college transforming the United States from a nation of elite higher education to a nation of mass higher education. Before the war, about 8% of Americans went to college, a figure comparable to that in France or England. By now more than half of all Americans receive some sort of post-secondary education. The American academic enterprise grew explosively, especially in science and technology. The expanding academic world in 1950-1970 created posts for the exploding number of new science Ph.D.s, whose research led to the founding of journals, to the acquisition of prizes and awards, and to increases in every other measure of the size and quality of science. At the same time, great American corporations such as AT&T, IBM and others decided they needed to create or expand their central research laboratories to solve technological problems, and also to pursue basic research that would provide ideas for future developments. And the federal government itself established a network of excellent national laboratories that also became the source of jobs and opportunities for aspiring scientists. Even so, that explosive growth was merely a seamless continuation of a hundred years of exponential growth of American science. It seemed to one and all (with the notable exception of Derek da Solla Price) that these happy conditions would go on forever.

By now, in the 1990's, the situation has changed dramatically. With the Cold War over, National Security is rapidly losing its appeal as a means of generating support for scientific research. There are those who argue that research is essential for our economic future, but the managers of the economy know better. The great corporations have decided that central research laboratories were not such a good idea after all. Many of the national laboratories have lost their missions and have not found new ones. The economy has gradually transformed from manufacturing to service, and service industries like banking and insurance don't support much scientific research. To make matters worse, the country is almost 5 trillion dollars in debt, and scientific research is among the few items of discretionary spending left in the national budget. There is much wringing of hands about impending shortages of trained scientific talent to ensure the Nation's future competitiveness, especially since by now other countries have been restored to economic and scientific vigor, but in fact, jobs are scarce for recent graduates. Finally, it should be clear by now that with more than half the kids in America already going to college, academic expansion is finished forever.

Actually, during the period since 1970, the expansion of American science has not stopped altogether. Federal funding of scientific research, in inflation-corrected dollars, doubled during that period, and by no coincidence at all, the number of academic researchers has also doubled. Such a controlled rate of growth (controlled only by the available funding, to be sure) is not, however, consistent with the lifestyle that academic researchers have evolved. The average American professor in a research university turns out about 15 Ph.D students in the course of a career. In a stable, steady-state world of science, only one of those 15 can go on to become another professor in a research university. In a steady-state world, it is mathematically obvious that the professor's only reproductive role is to produce one professor for the next generation. But the American Ph.D is basically training to become a research professor. It didn't take long for American students to catch on to what was happening. The number of the best American students who decided to go to graduate school started to decline around 1970, and it has been declining ever since.

In the meantime, a surprising phenomenon has taken place. The golden age of American academic science produced genuine excellence in American universities. Without any doubt at all, we lead the world in scientific training and research. It became necessary for serious young scientists from everywhere else either to obtain an American Ph.D, or at least to spend a year or more of postgraduate or postdoctoral study here. America has come to play the role for the rest of the world, especially the emerging nations of the Pacific rim, that Europe once played for young American scientists, and it is said, that Greece once played for Rome. We have become the primary source of scientific culture and learning for everyone. Almost unnoticed, over the past 20 years the missing American graduate students have been replaced by foreign students. In addition, these years have seen the burgeoning of postdoctoral research positions, a kind of holding tank for scientific talent that allows young researchers to delay confronting reality for 3 or 6 years or more. These are the changes that have permitted the American research universities to pretend that nothing changed when The Big Crunch came, 25 years ago. 

Since we began with a cosmological analogy, let us return to one now. An unfortunate space traveler, falling into a black hole, is utterly and irretrievably doomed, but that is only obvious to the space traveler. In the perception of an observer hovering above the event horizon, the space traveler's time slows down, so that it seems as if catastrophe can forever be put off into the future. Something like that has happened in our research universities. The good times ended forever around 1970, but by importing students, and employing Ph.D's as temporary postdocs, we have stretched time out, pretending that nothing has changed, waiting for the good times to return. We have about as much chance as the space traveler.

In the meantime, the real crisis that is coming has started to produce a number of symptoms, some alarming and some merely curious. One of these is what I like to call The Paradox of Scientific Elites and Scientific Illiterates. The paradox is this: as a lingering result of the golden age, we still have the finest scientists in the world in the United States. But we also have the worst science education in the industrialized world. There seems to be little doubt that both of these seemingly contradictory observations are true. American scientists, trained in American graduate schools produce more Nobel Prizes, more scientific citations, more of just about anything you care to measure than any other country in the world; maybe more than the rest of the world combined. Yet, students in American schools consistently rank at the bottom of all those from advanced nations in tests of scientific knowledge, and furthermore, roughly 95% of the American public is consistently found to be scientifically illiterate by any rational standard. How can we possibly have arrived at such a result? How can our miserable system of education have produced such a brilliant community of scientists? That is what I mean by The Paradox of the Scientific Elites and the Scientific Illiterates. 

The question of how we educate our young in science lies close to the heart of the issues we have been discussing. The observation that, for hundreds of years the number of scientists had been growing exponentially means, quite simply, that the rate at which we produced scientists has always been proportional to the number of scientists that already existed. We have already seen how that process works at the final stage of education, where each professor in a research university turns out 15 Ph.D's, most of those wanting to become research professors and turn out 15 more Ph.D's.

Recently, however, a vastly different picture of science education has been put forth and has come to be widely accepted. It is the metaphor of the pipeline. The idea is that our young people start out as a torrent of eager, curious minds anxious to learn about the world, but as they pass through the various grades of schooling, that eagerness and curiosity is somehow squandered, fewer and fewer of them showing any interest in science, until at the end of the line, nothing is left but a mere trickle of Ph.D's. Thus, our entire system of education is seen to be a leaky pipeline, badly in need of repairs. The leakage problem is seen as particularly severe with regard to women and minorities, but the pipeline metaphor applies to all. I think the pipeline metaphor came first out of the National Science Foundation, which keeps careful track of science workforce statistics (at least that's where I first heard it). As the NSF points out with particular urgency, women and minorities will make up the majority of our working people in future years. If we don't figure out a way to keep them in the pipeline, where will our future scientists come from?

I believe it is a serious mistake to think of our system of education as a pipeline leading to Ph.D's in science or in anything else. For one thing, if it were a leaky pipeline, and it could be repaired, then as we've already seen, we would soon have a flood of Ph.D's that we wouldn't know what to do with. For another thing, producing Ph.Ds is simply not the purpose of our system of education. Its purpose instead is to produce citizens capable of operating a Jeffersonian democracy, and also if possible, of contributing to their own and to the collective economic well being. To regard anyone who has achieved those purposes as having leaked out of the pipeline is silly. Finally, the picture doesn't work in the sense of a scientific model: it doesn't make the right predictions. We have already seen that, in the absence of external constraints, the size of science grows exponentially. A pipeline, leaky or otherwise, would not have that result. It would only produce scientists in proportion to the flow of entering students.

I would like to propose a different and more illuminating metaphor for American science education. It is more like a mining and sorting operation, designed to cast aside most of the mass of common human debris, but at the same time to discover and rescue diamonds in the rough, that are capable of being cleaned and cut and polished into glittering gems, just like us, the existing scientists. It takes only a little reflection to see how much more this model accounts for than the pipeline does. It accounts for exponential growth, since it takes scientists to identify prospective scientists. It accounts for the very real problem that women and minorities are woefully underrepresented among the scientists, because it is hard for us, white, male scientists to perceive that once they are cleaned and cut and polished, they will look like us. It accounts for the fact that science education is for the most part a dreary business, a burden to student and teacher alike at all levels of American education, until the magic moment when a teacher recognizes a potential peer, at which point it becomes exhilarating and successful. Above all, it resolves the paradox of Scientific Elites and Scientific Illiterates. It explains why we have the best scientists and the most poorly educated students in the world. It is because our entire system of education is designed to produce precisely that result.

American education is much-maligned, and of course it suffers from severe problems that I need not go into here. Nevertheless, it was remarkably well suited to the exponential expansion era of science. Mass higher education, essentially an American invention, means that we educate nearly everyone, rather poorly. The alternative system, gradually going out of style in Europe these days, is to educate a select few rather well. But we too have rescued elitism from the jaws of democracy, in our superior graduate schools. Our students finally catch up with their European counterparts in about the second year of graduate school (this is true, at least, in physics) after which they are second to none. When, after about 1970, the gleaming gems produced by this assembly line at the end of the mining and sorting operation were no longer to be found at home, the humming machinery kept right on going, fed by ore imported from across the oceans.

To most of us who are professors, finding gems to polish is not our principal problem. Recently, Leon Lederman, one of the leaders of American science published a pamphlet called Science -- The End of the Frontier. The title is a play on Science -- The Endless Frontier, the title of the 1940's report by Vannevar Bush that led to the creation of the National Science Foundation and helped launch the Golden Age described above. Lederman's point is that American science is being stifled by the failure of the government to put enough money into it. I confess to being the anonymous Caltech professor quoted in one of Lederman's sidebars to the effect that my main responsibility is no longer to do science, but rather it is to feed my graduate students' children. Lederman's appeal was not well received in Congress, where it was pointed out that financial support for science is not an entitlement program, nor in the press, where the Washington Post had fun speculating about hungry children haunting the halls of Caltech. Nevertheless, the problem Lederman wrote about is very real and very painful to those of us who find that our time, attention and energy are now consumed by raising funds rather than teaching and doing research. However, although Lederman would certainly disagree with me, I firmly believe that this problem cannot be solved by more government money. If federal support for basic research were to be doubled (as many are calling for), the result would merely be to tack on a few more years of exponential expansion before we'd find ourselves in exactly the same situation again. Lederman has performed a valuable service in promoting public debate of an issue that has worried me for a long time (the remark he quoted is one I made in 1979), but the issue itself is really just a symptom of the larger fact that the era of exponential expansion has come to an end. The End of the Frontier could just as well have been called The Big Crunch.

The crises that face science are not limited to jobs and research funds. Those are bad enough, but they are just the beginning. Under stress from those problems, other parts of the scientific enterprise have started showing signs of distress. One of the most essential is the matter of honesty and ethical behavior among scientists.

The public and the scientific community have both been shocked in recent years by an increasing number of cases of fraud committed by scientists. There is little doubt that the perpetrators in these cases felt themselves under intense pressure to compete for scarce resources, even by cheating if necessary. As the pressure increases, this kind of dishonesty is almost sure to become more common.

Other kinds of dishonesty will also become more common. For example, peer review, one of the crucial pillars of the whole edifice, is in critical danger. Peer review is used by scientific journals to decide what papers to publish, and by granting agencies such as the National Science Foundation to decide what research to support. Journals in most cases, and agencies in some cases operate by sending manuscripts or research proposals to referees who are recognized experts on the scientific issues in question, and whose identity will not be revealed to the authors of the papers or proposals. Obviously, good decisions on what research should be supported and what results should be published are crucial to the proper functioning of science.

Peer review is usually quite a good way to identify valid science. Of course, a referee will occasionally fail to appreciate a truly visionary or revolutionary idea, but by and large, peer review works pretty well so long as scientific validity is the only issue at stake. However, it is not at all suited to arbitrate an intense competition for research funds or for editorial space in prestigious journals. There are many reasons for this, not the least being the fact that the referees have an obvious conflict of interest, since they are themselves competitors for the same resources. This point seems to be another one of those relativistic anomalies, obvious to any outside observer, but invisible to those of us who are falling into the black hole. It would take impossibly high ethical standards for referees to avoid taking advantage of their privileged anonymity to advance their own interests, but as time goes on, more and more referees have their ethical standards eroded as a consequence of having themselves been victimized by unfair reviews when they were authors. Peer review is thus one among many examples of practices that were well suited to the time of exponential expansion, but will become increasingly dysfunctional in the difficult future we face. 

We must find a radically different social structure to organize research and education in science after The Big Crunch. That is not meant to be an exhortation. It is meant simply to be a statement of a fact known to be true with mathematical certainty, if science is to survive at all. The new structure will come about by evolution rather than design, because, for one thing, neither I nor anyone else has the faintest idea of what it will turn out to be, and for another, even if we did know where we are going to end up, we scientists have never been very good at guiding our own destiny. Only this much is sure: the era of exponential expansion will be replaced by an era of constraint. Because it will be unplanned, the transition is likely to be messy and painful for the participants. In fact, as we have seen, it already is. Ignoring the pain for the moment, however, I would like to look ahead and speculate on some conditions that must be met if science is to have a future as well as a past.

It seems to me that there are two essential and clearly linked conditions to consider. One is that there must be a broad political consensus that pure research in basic science is a common good that must be supported from the public purse. The second is that the mining and sorting operation I've described must be discarded and replaced by genuine education in science, not just for the scientific elite, but for all the citizens who must form that broad political consensus.

Basic research is a common good for two reasons: it helps to satisfy the human need to understand the universe we inhabit, and it makes new technologies possible. It must be supported from the public purse because it does not yield profits if it is supported privately. Because basic research in science flourishes only when it is fully open to the normal processes of scientific debate and challenge, the results must be available to all. That is why it is always more profitable to use someone else's basic research than to support your own. For most people it will also always be easier to let someone else do the research. In other words, not everyone wants to be a scientist. It follows that in order to serve the need of satisfying human curiosity we scientists must find a way to teach science to non-scientists. 

That job may turn out to be impossible. The frontiers of science have moved far from the experience of ordinary persons. Unfortunately, we have never developed a way to bring people along as informed tourists of the vast terrain we have conquered, without training them to become professional explorers. If it turns out to be impossible to do that, the people may decide that the technological trinkets we send back from the frontier are not enough to justify supporting the cost of the expedition. If that happens, science will not merely stop expanding, it will die.

Let me finish by summarizing what I've been trying to tell you. We stand at an historic juncture in the history of science. The long era of exponential expansion ended decades ago, but we have not yet reconciled ourselves to that fact. The present social structure of science, by which I mean institutions, education, funding, publications and so on all evolved during the period of exponential expansion, before The Big Crunch. They are not suited to the unknown future we face. Today's scientific leaders, in the universities, government, industry and the scientific societies are mostly people who came of age during the golden era, 1950 - 1970. I am myself part of that generation. We think those were normal times and expect them to return. But we are wrong. Nothing like it will ever happen again. It is by no means certain that science will even survive, much less flourish, in the difficult times we face. Before it can survive, those of us who have gained so much from the era of scientific elites and scientific illiterates must learn to face reality, and admit that those days are gone forever.

I think we have our work cut out for us.

Previous versions of this article have been published as "Scientific Ph.D Problems", _American Scholar_, vol. 62, no. 2, spring 1993, and "Scientific Elites and Scientific Illiterates", _Ethics, Values and the Promise of Science_, Forum Proceedings, Sigma Xi, The Science Research Society, February 25-26, 1993, pg. 61, and _Engineering and Science_ Spring 1993, vol. 56, no. 3, pg. 22.

 |  ![][6] | 

| ----- |
|  ![][7] | 

[1]: https://www.its.caltech.edu/images/header_page.gif
[2]: https://www.its.caltech.edu/images/nav_page_hold_04.jpg
[3]: https://www.its.caltech.edu/images/page_nav_02.gif
[4]: https://www.its.caltech.edu/images/spacer.gif
[5]: https://www.its.caltech.edu/images/phds.gif
[6]: https://www.its.caltech.edu/images/page_right_side.gif
[7]: https://www.its.caltech.edu/images/footer.gif

