---
created_at: '2015-11-24T07:45:34.000Z'
title: The Myth of the Rule of Law (1995)
url: http://faculty.msb.edu/hasnasj/GTWebSite/MythWeb.htm
author: Tomte
points: 86
story_text: 
comment_text: 
num_comments: 69
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1448351134
_tags:
- story
- author_Tomte
- story_10619614
objectID: '10619614'

---
[Source](http://faculty.msb.edu/hasnasj/GTWebSite/MythWeb.htm "Permalink to ")


| ----- |
|  [CV][1]   
[Text of Publications][2]   
[Links][3]   
[Home][4]  |  ![][5]  |  John Hasnas   
Associate Professor  
McDonough School of Business  
Georgetown University  | 

![][6]

**THE MYTH OF THE RULE OF LAW**

John Hasnas[ (1)][7]

Copyright 1995 by The Board of Regents of the University of Wisconsin System   
Reprinted by permission of the Wisconsin Law Review   
Originally published in 1995 **Wisconsin Law Review** 199 (1995) 

I.

Stop! Before reading this Article, please take the following quiz. 

> The First Amendment to the Constitution of the United States provides, in part: 
> 
> "Congress shall make no law . . . abridging the freedom of speech, or of the press; . . . ."[ (2)][8]
> 
> On the basis of _your personal understanding_ of this sentence's meaning (not your knowledge of constitutional law), please indicate whether you believe the following sentences to be true or false. 
> 
> _____ 1) In time of war, a federal statute may be passed prohibiting citizens from revealing military secrets to the enemy. 
> 
> _____ 2) The President may issue an executive order prohibiting public criticism of his administration. 
> 
> _____ 3) Congress may pass a law prohibiting museums from exhibiting photographs and paintings depicting homosexual activity.

> _____ 4) A federal statute may be passed prohibiting a citizen from falsely shouting "fire" in a crowded theater. 
> 
> _____ 5) Congress may pass a law prohibiting dancing to rock and roll music. 
> 
> _____ 6) The Internal Revenue Service may issue a regulation prohibiting the publication of a book explaining how to cheat on your taxes and get away with it. 
> 
> _____ 7) Congress may pass a statute prohibiting flag burning.

Thank you. You may now read on. 

In his novel _1984_, George Orwell created a nightmare vision of the future in which an all-powerful Party exerts totalitarian control over society by forcing the citizens to master the technique of "doublethink," which requires them "to hold simultaneously two opinions which cancel[] out, knowing them to be contradictory and believing in both of them."[ (3)][9] Orwell's doublethink is usually regarded as a wonderful literary device, but, of course, one with no referent in reality since it is obviously impossible to believe both halves of a contradiction. In my opinion, this assessment is quite mistaken. Not only is it possible for people to believe both halves of a contradiction, it is something they do every day with no apparent difficulty. 

Consider, for example, people's beliefs about the legal system. They are obviously aware that the law is inherently political. The common complaint that members of Congress are corrupt, or are legislating for their own political benefit or for that of special interest groups demonstrates that citizens understand that the laws under which they live are a product of political forces rather than the embodiment of the ideal of justice. Further, as evidenced by the political battles fought over the recent nominations of Robert Bork and Clarence Thomas to the Supreme Court, the public obviously believes that the ideology of the people who serve as judges influences the way the law is interpreted. 

This, however, in no way prevents people from simultaneously regarding the law as a body of definite, politically neutral rules amenable to an impartial application which all citizens have a moral obligation to obey. Thus, they seem both surprised and dismayed to learn that the Clean Air Act might have been written, not to produce the cleanest air possible, but to favor the economic interests of the miners of dirty-burning West Virginia coal (West Virginia coincidentally being the home of Robert Byrd, who was then chairman of the Senate Appropriations Committee) over those of the miners of cleaner-burning western coal.[ (4)][10] And, when the Supreme Court hands down a controversial ruling on a subject such as abortion, civil rights, or capital punishment, then, like Louis in _Casablanca_, the public is shocked, _shocked_ to find that the Court may have let political considerations influence its decision. The frequent condemnation of the judiciary for "undemocratic judicial activism" or "unprincipled social engineering" is merely a reflection of the public's belief that the law consists of a set of definite and consistent "neutral principles"[ (5)][11] which the judge is obligated to apply in an objective manner, free from the influence of his or her personal political and moral beliefs. 

I believe that, much as Orwell suggested, it is the public's ability to engage in this type of doublethink, to be aware that the law is inherently political in character and yet believe it to be an objective embodiment of justice, that accounts for the amazing degree to which the federal government is able to exert its control over a supposedly free people. I would argue that this ability to maintain the belief that the law is a body of consistent, politically neutral rules that can be objectively applied by judges in the face of overwhelming evidence to the contrary, goes a long way toward explaining citizens' acquiescence in the steady erosion of their fundamental freedoms. To show that this is, in fact, the case, I would like to direct your attention to the fiction which resides at the heart of this incongruity and allows the public to engage in the requisite doublethink without cognitive discomfort: the myth of the rule of law. 

I refer to the _myth_ of the rule of law because, to the extent this phrase suggests a society in which all are governed by neutral rules that are objectively applied by judges, there is no such thing. As a myth, however, the concept of the rule of law is both powerful and dangerous. Its power derives from its great emotive appeal. The rule of law suggests an absence of arbitrariness, an absence of the worst abuses of tyranny. The image presented by the slogan "America is a government of laws and not people" is one of fair and impartial rule rather than subjugation to human whim. This is an image that can command both the allegiance and affection of the citizenry. After all, who wouldn't be in favor of the rule of law if the only alternative were arbitrary rule? But this image is also the source of the myth's danger. For if citizens really believe that they are being governed by fair and impartial rules and that the only alternative is subjection to personal rule, they will be much more likely to support the state as it progressively curtails their freedom. 

In this Article, I will argue that this is a false dichotomy. Specifically, I intend to establish three points: 1) there is no such thing as a government of law and not people, 2) the belief that there is serves to maintain public support for society's power structure, and 3) the establishment of a truly free society requires the abandonment of the myth of the rule of law. 

II. 

Imagine the following scene. A first-year contracts course is being taught at the prestigious Harvard Law School. The professor is a distinguished scholar with a national reputation as one of the leading experts on Anglo-American contract law. Let's call him Professor Kingsfield. He instructs his class to research the following hypothetical for the next day. 

> A woman living in a rural setting becomes ill and calls her family physician, who is also the only local doctor, for help. However, it is Wednesday, the doctor's day off and because she has a golf date, she does not respond. The woman's condition worsens and because no other physician can be procured in time, she dies. Her estate then sues the doctor for not coming to her aid. Is the doctor liable?

Two of the students, Arnie Becker and Ann Kelsey, resolve to make a good impression on Kingsfield should they be called on to discuss the case. Arnie is a somewhat conservative, considerably egocentric individual. He believes that doctors are human beings, who like anyone else, are entitled to a day off, and that it would be unfair to require them to be at the beck and call of their patients. For this reason, his initial impression of the solution to the hypothetical is that the doctor should not be liable. Through his research, he discovers the case of _Hurley v. Eddingfield_,[ (6)][12] which establishes the rule that in the absence of an explicit contract, i.e., when there has been no actual meeting of the minds, there can be no liability. In the hypothetical, there was clearly no meeting of the minds. Therefore, Arnie concludes that his initial impression was correct and that the doctor is not legally liable. Since he has found a valid rule of law which clearly applies to the facts of the case, he is confident that he is prepared for tomorrow's class. 

Ann Kelsey is politically liberal and considers herself to be a caring individual. She believes that when doctors take the Hippocratic oath, they accept a special obligation to care for the sick, and that it would be wrong and set a terrible example for doctors to ignore the needs of regular patients who depend on them. For this reason, her initial impression of the solution to the hypothetical is that the doctor should be liable. Through her research, she discovers the case of _Cotnam v. Wisdom_,[ (7)][13] which establishes the rule that in the absence of an explicit contract, the law will imply a contractual relationship where such is necessary to avoid injustice. She believes that under the facts of the hypothetical, the failure to imply a contractual relationship would be obviously unjust. Therefore, she concludes that her initial impression was correct and that the doctor is legally liable. Since she has found a valid rule of law which clearly applies to the facts of the case, she is confident that she is prepared for tomorrow's class. 

The following day, Arnie is called upon and presents his analysis. Ann, who knows she has found a sound legal argument for exactly the opposite outcome, concludes that Arnie is a typical privileged white male conservative with no sense of compassion, who has obviously missed the point of the hypothetical. She volunteers, and when called upon by Kingsfield criticizes Arnie's analysis of the case and presents her own. Arnie, who knows he has found a sound legal argument for his position, concludes that Ann is a typical female bleeding-heart liberal, whose emotionalism has caused her to miss the point of the hypothetical. Each expects Kingsfield to confirm his or her analysis and dismiss the other's as the misguided bit of illogic it so obviously is. Much to their chagrin, however, when a third student asks, "But who is right, Professor?," Kingsfield gruffly responds, "When you turn that mush between your ears into something useful and begin to think like a lawyer, you will be able to answer that question for yourself" and moves on to another subject. 

What Professor Kingsfield knows but will never reveal to the students is that both Arnie's and Ann's analyses are correct. How can this be? 

III. 

What Professor Kingsfield knows is that the legal world is not like the real world and the type of reasoning appropriate to it is distinct from that which human beings ordinarily employ. In the real world, people usually attempt to solve problems by forming hypotheses and then testing them against the facts as they know them. When the facts confirm the hypotheses, they are accepted as true, although subject to reevaluation as new evidence is discovered. This is a successful method of reasoning about scientific and other empirical matters because the physical world has a definite, unique structure. It works because the laws of nature are consistent. In the real world, it is entirely appropriate to assume that once you have confirmed your hypothesis, all other hypotheses inconsistent with it are incorrect. 

In the legal world, however, this assumption does not hold. This is because unlike the laws of nature, political laws are not consistent. The law human beings create to regulate their conduct is made up of incompatible, contradictory rules and principles; and, as anyone who has studied a little logic can demonstrate, _any_ conclusion can be validly derived from a set of contradictory premises. This means that a logically sound argument can be found for any legal conclusion. 

When human beings engage in legal reasoning, they usually proceed in the same manner as they do when engaged in empirical reasoning. They begin with a hypothesis as to how a case should be decided and test it by searching for a sound supporting argument. After all, no one can "reason" directly to an unimagined conclusion. Without some end in view, there is no way of knowing what premises to employ or what direction the argument should take. When a sound argument is found, then, as in the case of empirical reasoning, one naturally concludes that one's legal hypothesis has been shown to be correct, and further, _that all competing hypotheses are therefore incorrect_. 

This is the fallacy of legal reasoning. Because the legal world is comprised of contradictory rules, there will be sound legal arguments available not only for the hypothesis one is investigating, but for other, competing hypotheses as well. The assumption that there is a unique, correct resolution, which serves so well in empirical investigations, leads one astray when dealing with legal matters. Kingsfield, who is well aware of this, knows that Arnie and Ann have both produced legitimate legal arguments for their competing conclusions. He does not reveal this knowledge to the class, however, because the fact that this is possible is precisely what his students must discover for themselves if they are ever to learn to "think like a lawyer." 

IV. 

Imagine that Arnie and Ann have completed their first year at Harvard and coincidentally find themselves in the same second-year class on employment discrimination law. During the portion of the course that focuses on Title VII of the Civil Rights Act of 1964,[ (8)][14] the class is asked to determine whether § 2000e-2(a)(1), which makes it unlawful "to fail or refuse to hire or to discharge any individual, or otherwise to discriminate against any individual with respect to his compensation, terms, conditions, or privileges of employment, because of such individual's race, color, religion, sex, or national origin," permits an employer to voluntarily institute an affirmative action program giving preferential treatment to African-Americans. Perhaps unsurprisingly, Arnie strongly believes that affirmative action programs are morally wrong and that what the country needs are color-blind, merit-based employment practices. In researching the problem, he encounters the following principle of statutory construction: When the words are plain, courts may not enter speculative fields in search of a different meaning, and the language must be regarded as the final expression of legislative intent and not added to or subtracted from on the basis of any extraneous source.[ (9)][15] In Arnie's opinion, this principle clearly applies to this case. Section 2000e-2(a)(1) prohibits discrimination against any individual because of his race. What wording could be more plain? Since giving preferential treatment to African-Americans discriminates against whites because of their race, Arnie concludes that § 2000e-2(a)(1) prohibits employers from voluntarily instituting affirmative action plans. 

Perhaps equally unsurprisingly, Ann has a strong belief that affirmative action is moral and is absolutely necessary to bring about a racially just society. In the course of her research, she encounters the following principle of statutory construction: "It is a familiar rule, that a thing may be within the letter of [a] statute and yet not within the statute because not within its spirit, nor within the intention of its makers"';[ (10)][16] and that an interpretation which would bring about an end at variance with the purpose of the statute must be rejected.[ (11)][17] Upon checking the legislative history, Ann learns that the purpose of Title VII of the Civil Rights Act is to relieve "the plight of the Negro in our economy" and "open employment opportunities for Negroes in occupations which have been traditionally closed to them."[ (12)][18] Since it would obviously contradict this purpose to interpret § 2000e-2 to make it illegal for employers to voluntarily institute affirmative action plans designed to economically benefit African-Americans by opening traditionally closed employment opportunities, Ann concludes that § 2000e-2 does not prohibit such plans. 

The next day, Arnie presents his argument for the illegality of affirmative action in class. Since Ann has found a sound legal argument for precisely the opposite conclusion, she knows that Arnie's position is untenable. However, having gotten to know Arnie over the last year, this does not surprise her in the least. She regards him as an inveterate reactionary who is completely unprincipled in pursuit of his conservative (and probably racist) agenda. She believes that he is advancing an absurdly narrow reading of the Civil Rights Act for the purely political end of undermining the purpose of the statute. Accordingly, she volunteers, and when called upon, makes this point and presents her own argument demonstrating that affirmative action is legal. Arnie, who has found a sound legal argument for his conclusion, knows that Ann's position is untenable. However, he expected as much. Over the past year he has come to know Ann as a knee-jerk liberal who is willing to do anything to advance her mushy-headed, left-wing agenda. He believes that she is perversely manipulating the patently clear language of the statute for the purely political end of extending the statute beyond its legitimate purpose. 

Both Arnie and Ann know that they have found a logically sound argument for their conclusion. But both have also committed the fallacy of legal reasoning by assuming that under the law there is a uniquely correct resolution of the case. Because of this assumption, both believe that their argument demonstrates that they have found _the_ objectively correct answer, and that therefore, the other is simply playing politics with the law. 

The truth is, of course, that both are engaging in politics. Because the law is made up of contradictory rules that can generate any conclusion, what conclusion one finds will be determined by what conclusion one looks for, i.e., by the hypothesis one decides to test. This will invariably be the one that intuitively "feels" right, the one that is most congruent with one's antecedent, underlying political and moral beliefs. Thus, legal conclusions are always determined by the normative assumptions of the decisionmaker. The knowledge that Kingsfield possesses and Arnie and Ann have not yet discovered is that the law is never neutral and objective. 

V. 

I have suggested that because the law consists of contradictory rules and principles, sound legal arguments will be available for all legal conclusions, and hence, the normative predispositions of the decisionmakers, rather than the law itself, determine the outcome of cases. It should be noted, however, that this vastly understates the degree to which the law is indeterminate. For even if the law were consistent, the individual rules and principles are expressed in such vague and general language that the decisionmaker is able to interpret them as broadly or as narrowly as necessary to achieve any desired result. 

To see that this is the case, imagine that Arnie and Ann have graduated from Harvard Law School, gone on to distinguished careers as attorneys, and later in life find, to their amazement and despair, that they have both been appointed as judges to the same appellate court. The first case to come before them involves the following facts: 

> A bankrupt was auctioning off his personal possessions to raise money to cover his debts. One of the items put up for auction was a painting that had been in his family for years. A buyer attending the auction purchased the painting for a bid of $100. When the buyer had the painting appraised, it turned out to be a lost masterpiece worth millions. Upon learning of this, the seller sued to rescind the contract of sale. The trial court granted the rescission. The question on appeal is whether this judgment is legally correct.

Counsel for both the plaintiff seller and defendant buyer agree that the rule of law governing this case holds that a contract of sale may be rescinded when there has been a mutual mistake concerning a fact that was material to the agreement. The seller claims that in the instant case there has been such a mistake, citing as precedent the case of _Sherwood v. Walker_.[ (13)][19] In _Sherwood_, one farmer sold another farmer a cow which both farmers believed to be sterile. When the cow turned out to be fertile, the seller was granted rescission of the contract of sale on the ground of mutual mistake.[ (14)][20] The seller argues that _Sherwood_ is exactly analogous to the present controversy. Both he and the buyer believed the contract of sale was for an inexpensive painting. Thus, both were mistaken as to the true nature of the object being sold. Since this was obviously material to the agreement, the seller claims that the trial court was correct in granting rescission. 

The buyer claims that the instant case is not one of mutual mistake, citing as precedent the case of _Wood v. Boynton_.[ (15)][21] In _Wood_, a woman sold a small stone she had found to a jeweler for one dollar. At the time of the sale, neither party knew what type of stone it was. When it subsequently turned out to be an uncut diamond worth $700, the seller sued for rescission claiming mutual mistake. The court upheld the contract, finding that since both parties knew that they were bargaining over a stone of unknown value, there was no mistake.[ (16)][22] The buyer argues that this is exactly analogous to the present controversy. Both the seller and the buyer knew that the painting being sold was a work of unknown value. This is precisely what is to be expected at an auction. Thus, the buyer claims that this is not a case of mutual mistake and the contract should be upheld. 

Following oral argument, Arnie, Ann, and the third judge on the court, Bennie Stolwitz, a non-lawyer appointed to the bench predominantly because the governor is his uncle, retire to consider their ruling. Arnie believes that one of the essential purposes of contract law is to encourage people to be self-reliant and careful in their transactions, since with the freedom to enter into binding arrangements comes the responsibility for doing so. He regards as crucial to his decision the facts that the seller had the opportunity to have the painting appraised and that by exercising due care he could have discovered its true value. Hence, he regards the contract in this case as one for a painting of unknown value and votes to overturn the trial court and uphold the contract. On the other hand, Ann believes that the essential purpose of contract law is to ensure that all parties receive a fair bargain. She regards as crucial to her decision the fact that the buyer in this case is receiving a massive windfall at the expense of the unfortunate seller. Hence, she regards the contract as one for an inexpensive painting and votes to uphold the trial court's decision and grant rescission. This leaves the deciding vote up to Bennie, who has no idea what the purpose of contract law is, but thinks that it just doesn't seem right for the bankrupt guy to lose out, and votes for rescission. 

Both Arnie and Ann can see that the present situation bodes ill for their judicial tenure. Each believes that the other's unprincipled political manipulations of the law will leave Bennie, who is not even a lawyer, with control of the court. As a result, they hold a meeting to discuss the situation. At this meeting, they both promise to put politics aside and decide all future cases strictly on the basis of the law. Relieved, they return to court to confront the next case on the docket, which involves the following facts: 

> A philosophy professor who supplements her academic salary during the summer by giving lectures on political philosophy had contracted to deliver a lecture on the rule of law to the Future Republicans of America (FRA) on July 20, for $500. She was subsequently contacted by the Young Socialists of America, who offered her $1000 for a lecture to be delivered on the same day. She thereupon called the FRA, informing them of her desire to accept the better offer. The FRA then agreed to pay $1000 for her lecture. After the professor delivered the lecture, the FRA paid only the originally stipulated $500. The professor sued and the trial court ruled she was entitled to the additional $500. The question on appeal is whether this judgment is legally correct.

Counsel for both the plaintiff professor and defendant FRA agree that the rule of law governing this case holds that a promise to pay more for services one is already contractually bound to perform is not enforceable, but if an existing contract is rescinded by both parties and a new one is negotiated, the promise is enforceable. The FRA claims that in the instant case, it had promised to pay more for a service the professor was already contractually bound to perform, citing _Davis & Co. v. Morgan[_ (17)][23] as precedent. In _Davis_, a laborer employed for a year at $40 per month was offered $65 per month by another company. The employer then promised to pay the employee an additional $120 at the end of the year if he stayed with the firm. At the end of the year, the employer failed to pay the $120, and when the employee sued, the court held that because he was already obligated to work for $40 per month for the year, there was no consideration for the employer's promise; hence, it was unenforceable.[ (18)][24] The FRA argues that this is exactly analogous to the present controversy. The professor was already obligated to deliver the lecture for $500. Therefore, there was no consideration for the FRA's promise to pay an additional $500 and the promise is unenforceable. 

The professor claims that in the instant case, the original contract was rescinded and a new one negotiated, citing _Schwartzreich v. Bauman-Basch, Inc_.[ (19)][25] as precedent. In _Schwartzreich_, a clothing designer who had contracted for a year's work at $90 per week was subsequently offered $115 per week by another company. When the designer informed his employer of his intention to leave, the employer offered the designer $100 per week if he would stay and the designer agreed. When the designer sued for the additional compensation, the court held that since the parties had simultaneously rescinded the original contract by mutual consent and entered into a new one for the higher salary, the promise to pay was enforceable.[ (20)][26] The professor argues that this is exactly analogous to the present controversy. When the FRA offered to pay her an additional $500 to give the lecture, they were obviously offering to rescind the former contract and enter a new one on different terms. Hence, the promise to pay the extra $500 is enforceable. 

Following oral argument, the judges retire to consider their ruling. Arnie, mindful of his agreement with Ann, is scrupulously careful not to let political considerations enter into his analysis of the case. Thus, he begins by asking himself why society needs contract law in the first place. He decides that the objective, nonpolitical answer is obviously that society needs some mechanism to ensure that individuals honor their voluntarily undertaken commitments. From this perspective, the resolution of the present case is clear. Since the professor is obviously threatening to go back on her voluntarily undertaken commitment in order to extort more money from the FRA, Arnie characterizes the case as one in which a promise has been made to pay more for services which the professor is already contractually bound to perform, and decides that the promise is unenforceable. Hence, he votes to overturn the trial court's decision. Ann, also mindful of her agreement with Arnie, is meticulous in her efforts to ensure that she decides this case purely on the law. Accordingly, she begins her analysis by asking herself why society needs contract law in the first place. She decides that the objective, nonpolitical answer is obviously that it provides an environment within which people can exercise the freedom to arrange their lives as they see fit. From this perspective, the resolution of the present case is clear. Since the FRA is essentially attempting to prevent the professor from arranging her life as she sees fit, Ann characterizes the case as one in which the parties have simultaneously rescinded an existing contract and negotiated a new one, and decides that the promise is enforceable. Hence, she votes to uphold the trial court's decision. This once again leaves the deciding vote up to Bennie, who has no idea why society needs contract law, but thinks that the professor is taking advantage of the situation in an unfair way and votes to overturn the trial court's ruling. 

Both Arnie and Ann now believe that the other is an incorrigible ideologue who is destined to torment him or her throughout his or her judicial existence. Each is quite unhappy at the prospect. Each blames the other for his or her unhappiness. But, in fact, the blame lies within each. For they have never learned Professor Kingsfield's lesson that it is impossible to reach an objective decision based solely on the law. This is because the law is always open to interpretation and _there is no such thing as a normatively neutral interpretation_. The way one interprets the rules of law is always determined by one's underlying moral and political beliefs. 

VI. 

I have been arguing that the law is not a body of determinate rules that can be objectively and impersonally applied by judges; that what the law prescribes is necessarily determined by the normative predispositions of the one who is interpreting it. In short, I have been arguing that law is inherently political. If you, my reader, are like most people, you are far from convinced of this. In fact, I dare say I can read your thoughts. You are thinking that even if I have shown that the present legal system is somewhat indeterminate, I certainly have not shown that the law is inherently political. Although you may agree that the law as presently constituted is too vague or contains too many contradictions, you probably believe that this state of affairs is due to the actions of the liberal judicial activists, or the Reaganite adherents of the doctrine of original intent, or the self-serving politicians, or the _______________________________________ (_feel free to fill in your favorite candidate for the group that is responsible for the legal system's ills_). However, you do not believe that the law must be this way, that it can never be definite and politically neutral. You believe that the law can be reformed; that to bring about an end to political strife and institute a true rule of law, we merely need to create a legal system comprised of consistent rules that are expressed in clear, definite language. 

It is my sad duty to inform you that this cannot be done. Even with all the good will in the world, we could not produce such a legal code because there is simply no such thing as uninterpretable language. Now I could attempt to convince you of this by the conventional method of regaling you with myriad examples of the manipulation of legal language (e.g., an account of how the relatively straightforward language of the Commerce Clause giving Congress the power to "regulate Commerce . . . among the several States"[ (21)][27] has been interpreted to permit the regulation of both farmers growing wheat for use on their own farms[ (22)][28] and the nature of male-female relationships in all private businesses that employ more than fifteen persons[ (23)][29]). However, I prefer to try a more direct approach. Accordingly, let me direct your attention to the quiz you completed at the beginning of this Article. Please consider your responses. 

If your response to question one was "True," you chose to interpret the word "no" as used in the First Amendment to mean "some." 

If your response to question two was "False," you chose to interpret the word "Congress" to refer to the President of the United States and the word "law" to refer to an executive order. 

If your response to question three was "False," you chose to interpret the words "speech" and "press" to refer to the exhibition of photographs and paintings. 

If your response to question four was "True," you have underscored your belief that the word "no" really means "some." 

If your response to question five was "False," you chose to interpret the words "speech" and "press" to refer to dancing to rock and roll music. 

If your response to question six was "False," you chose to interpret the word "Congress" to refer to the Internal Revenue Service and the word "law" to refer to an IRS regulation. 

If your response to question seven was "False," you chose to interpret the words "speech" and "press" to refer to the act of burning a flag. 

Unless your responses were: 1) False, 2) True, 3) True, 4) False, 5) True, 6) True, and 7) True, you chose to interpret at least one of the words "Congress," "no," "law," "speech," and "press" in what can only be described as something other than its ordinary sense. Why did you do this? Were your responses based on the "plain meaning" of the words or on certain normative beliefs you hold about the extent to which the federal government should be allowed to interfere with citizens' expressive activities? Were your responses objective and neutral or were they influenced by your "politics"? 

I chose this portion of the First Amendment for my example because it contains the clearest, most definite legal language of which I am aware. If a provision as clearly drafted as this may be subjected to political interpretation, what legal provision may not be? But this explains why the legal system cannot be reformed to consist of a body of definite rules yielding unique, objectively verifiable resolutions of cases. What a legal rule means is always determined by the political assumptions of the person applying it.[ (24)][30]

VII. 

Let us assume that I have failed to convince you of the impossibility of reforming the law into a body of definite, consistent rules that produces determinate results. Even if the law could be reformed in this way, _it clearly should not be._ There is nothing perverse in the fact that the law is indeterminate. Society is not the victim of some nefarious conspiracy to undermine legal certainty to further ulterior motives. As long as law remains a state monopoly, as long as it is created and enforced exclusively through governmental bodies, it must remain indeterminate if it is to serve its purpose. Its indeterminacy gives the law its flexibility. And since, as a monopoly product, the law must apply to all members of society in a one-size-fits-all manner, flexibility is its most essential feature. 

It is certainly true that one of the purposes of law is to ensure a stable social environment, to provide order. But not just any order will suffice. Another purpose of the law must be to do justice. The goal of the law is to provide a social environment which is both orderly and just. Unfortunately, these two purposes are always in tension. For the more definite and rigidly- determined the rules of law become, the less the legal system is able to do justice to the individual. Thus, if the law were fully determinate, it would have no ability to consider the equities of the particular case. This is why even if we could reform the law to make it wholly definite and consistent, we should not. 

Consider one of the favorite proposals of those who disagree. Those who believe that the law can and should be rendered fully determinate usually propose that contracts be rigorously enforced. Thus, they advocate a rule of law stating that in the absence of physical compulsion or explicit fraud, parties should be absolutely bound to keep their agreements. They believe that as long as no rules inconsistent with this definite, clearly-drawn provision are allowed to enter the law, politics may be eliminated from contract law and commercial transactions greatly facilitated. 

Let us assume, contrary to fact, that the terms "fraud" and "physical compulsion" have a plain meaning not subject to interpretation. The question then becomes what should be done about Agnes Syester.[ (25)][31] Agnes was "a lonely and elderly widow who fell for the blandishments and flattery of those who" ran an Arthur Murray Dance Studio in DesMoines, Iowa.[ (26)][32] This studio used some highly innovative sales techniques to sell this 68-year-old woman 4,057 hours of dance instruction, including three life memberships and a course in Gold Star dancing, which was "the type of dancing done by Ginger Rogers and Fred Astair only about twice as difficult,"[ (27)][33] for a total cost of $33,497 in 1960 dollars. Of course, Agnes did voluntarily agree to purchase that number of hours. Now, in a case such as this, one might be tempted to "interpret" the overreaching and unfair sales practices of the studio as fraudulent[ (28)][34] and allow Agnes to recover her money. However, this is precisely the sort of solution that our reformed, determinate contract law is designed to outlaw. Therefore, it would seem that since Agnes has voluntarily contracted for the dance lessons, she is liable to pay the full amount for them. This might seem to be a harsh result for Agnes, but from now on, vulnerable little old ladies will be on notice to be more careful in their dealings. 

Or consider a proposal that is often advanced by those who wish to render probate law more determinate. They advocate a rule of law declaring a handwritten will that is signed before two witnesses to be absolutely binding. They believe that by depriving the court of the ability to "interpret" the state of mind of the testator, the judges' personal moral opinions may be eliminated from the law and most probate matters brought to a timely conclusion. Of course, the problem then becomes what to do with Elmer Palmer, a young man who murdered his grandfather to gain the inheritance due him under the old man's will a bit earlier than might otherwise have been the case.[ (29)][35] In a case such as this, one might be tempted to deny Elmer the fruits of his nefarious labor despite the fact that the will was validly drawn, by appealing to the legal principle that no one should profit from his or her own wrong.[ (30)][36] However, this is precisely the sort of vaguely-expressed counter-rule that our reformers seek to purge from the legal system in order to ensure that the law remains consistent. Therefore, it would seem that although Elmer may spend a considerable amount of time behind bars, he will do so as a wealthy man. This may send a bad message to other young men of Elmer's temperament, but from now on the probate process will be considerably streamlined. 

The proposed reforms certainly render the law more determinate. However, they do so by eliminating the law's ability to consider the equities of the individual case. This observation raises the following interesting question: If this is what a determinate legal system is like, who would want to live under one? The fact is that the greater the degree of certainty we build into the law, the less able the law becomes to do justice. For this reason, a monopolistic legal system composed entirely of clear, consistent rules could not function in a manner acceptable to the general public. It could not serve as a system of justice. 

VIII. 

I have been arguing that the law is inherently indeterminate, and further, that this may not be such a bad thing. I realize, however, that you may still not be convinced. Even if you are now willing to admit that the law is somewhat indeterminate, you probably believe that I have vastly exaggerated the degree to which this is true. After all, it is obvious that the law cannot be radically indeterminate. If this were the case, the law would be completely unpredictable. Judges hearing similar cases would render wildly divergent decisions. There would be no stability or uniformity in the law. But, as imperfect as the current legal system may be, this is clearly not the case. 

The observation that the legal system is highly stable is, of course, correct, but it is a mistake to believe that this is because the law is determinate. The stability of the law derives not from any feature of the law itself, but from the overwhelming uniformity of ideological background among those empowered to make legal decisions. Consider who the judges are in this country. Typically, they are people from a solid middle- to upper-class background who performed well at an appropriately prestigious undergraduate institution; demonstrated the ability to engage in the type of analytical reasoning that is measured by the standardized Law School Admissions Test; passed through the crucible of law school, complete with its methodological and political indoctrination; and went on to high-profile careers as attorneys, probably with a prestigious Wall Street-style law firm. To have been appointed to the bench, it is virtually certain that they were both politically moderate and well-connected, and, until recently, white males of the correct ethnic and religious pedigree. It should be clear that, culturally speaking, such a group will tend to be quite homogeneous, sharing a great many moral, spiritual, and political beliefs and values. Given this, it can hardly be surprising that there will be a high degree of agreement among judges as to how cases ought to be decided. But this agreement is due to the common set of normative presuppositions the judges share, not some immanent, objective meaning that exists within the rules of law. 

In fact, however, the law is not truly stable, since it is continually, if slowly, evolving in response to changing social mores and conditions. This evolution occurs because each new generation of judges brings with it its own set of "progressive" normative assumptions. As the older generation passes from the scene, these assumptions come to be shared by an ever-increasing percentage of the judiciary. Eventually, they become the consensus of opinion among judicial decisionmakers, and the law changes to reflect them. Thus, a generation of judges that regarded "separate but equal" as a perfectly legitimate interpretation of the Equal Protection Clause of the Fourteenth Amendment[ (31)][37] gave way to one which interpreted that clause as prohibiting virtually all governmental actions that classify individuals by race, which, in turn, gave way to one which interpreted the same language to permit "benign" racial classifications designed to advance the social status of minority groups. In this way, as the moral and political values conventionally accepted by society change over time, so too do those embedded in the law. 

The law _appears_ to be stable because of the slowness with which it evolves. But the slow pace of legal development is not due to any inherent characteristic of the law itself. Logically speaking, any conclusion, however radical, is derivable from the rules of law. It is simply that, even between generations, the range of ideological opinion represented on the bench is so narrow that anything more than incremental departures from conventional wisdom and morality will not be respected within the profession. Such decisions are virtually certain to be overturned on appeal, and thus, are rarely even rendered in the first instance. 

Confirming evidence for this thesis can be found in our contemporary judicial history. Over the past quarter-century, the "diversity" movement has produced a bar, and concomitantly a bench, somewhat more open to people of different racial, sexual, ethnic, and socio-economic backgrounds. To some extent, this movement has produced a judiciary that represents a broader range of ideological viewpoints than has been the case in the past. Over the same time period, we have seen an accelerated rate of legal change. Today, long-standing precedents are more freely overruled, novel theories of liability are more frequently accepted by the courts, and different courts hand down different, and seemingly irreconcilable, decisions more often. In addition, it is worth noting that recently, the chief complaint about the legal system seems to concern the degree to which it has become "politicized." This suggests that as the ideological solidarity of the judiciary breaks down, so too does the predictability of legal decisionmaking, and hence, the stability of the law. Regardless of this trend, I hope it is now apparent that to assume that the law is stable because it is determinate is to reverse cause and effect. Rather, it is because the law is basically stable that it appears to be determinate. It is not rule of law that gives us a stable legal system; it is the stability of the culturally shared values of the judiciary that gives rise to and supports the myth of the rule of law. 

IX. 

It is worth noting that there is nothing new or startling about the claim that the law is indeterminate. This has been the hallmark of the Critical Legal Studies movement since the mid-1970s. The "Crits," however, were merely reviving the earlier contention of the legal realists who made the same point in the 1920s and 30s. And the realists were themselves merely repeating the claim of earlier jurisprudential thinkers. For example, as early as 1897, Oliver Wendell Holmes had pointed out: 

> The language of judicial decision is mainly the language of logic. And the logical method and form flatter that longing for certainty and for repose which is in every human mind. But certainty generally is illusion, and repose is not the destiny of man. Behind the logical form lies a judgment as to the relative worth and importance of competing legislative grounds, often an inarticulate and unconscious judgment, it is true, and yet the very root and nerve of the whole proceeding. You can give any conclusion a logical form.[ (32)][38]

This raises an interesting question. If it has been known for 100 years that the law does not consist of a body of determinate rules, why is the belief that it does still so widespread? If four generations of jurisprudential scholars have shown that the rule of law is a myth, why does the concept still command such fervent commitment? The answer is implicit in the question itself, for the question recognizes that the rule of law is a myth and like all myths, it is designed to serve an emotive, rather than cognitive, function. The purpose of a myth is not to persuade one's reason, but to enlist one's emotions in support of an idea. And this is precisely the case for the myth of the rule of law; its purpose is to enlist the emotions of the public in support of society's political power structure. 

People are more willing to support the exercise of authority over themselves when they believe it to be an objective, neutral feature of the natural world. This was the idea behind the concept of the divine right of kings. By making the king appear to be an integral part of God's plan for the world rather than an ordinary human being dominating his fellows by brute force, the public could be more easily persuaded to bow to his authority. However, when the doctrine of divine right became discredited, a replacement was needed to ensure that the public did not view political authority as merely the exercise of naked power. That replacement is the concept of the rule of law. 

People who believe they live under "a government of laws and not people" tend to view their nation's legal system as objective and impartial. They tend to see the rules under which they must live not as expressions of human will, but as embodiments of neutral principles of justice, i.e., as natural features of the social world. Once they believe that they are being commanded by an impersonal law rather than other human beings, they view their obedience to political authority as a public-spirited acceptance of the requirements of social life rather than mere acquiescence to superior power. In this way, the concept of the rule of law functions much like the use of the passive voice by the politician who describes a delict on his or her part with the assertion "mistakes were made." It allows people to hide the agency of power behind a facade of words; to believe that it is the law which compels their compliance, not self-aggrandizing politicians, or highly capitalized special interests, or wealthy white Anglo-Saxon Protestant males, or _______________ (_fill in your favorite culprit_). 

But the myth of the rule of law does more than render the people submissive to state authority; it also turns them into the state's accomplices in the exercise of its power. For people who would ordinarily consider it a great evil to deprive individuals of their rights or oppress politically powerless minority groups will respond with patriotic fervor when these same actions are described as upholding the rule of law. 

Consider the situation in India toward the end of British colonial rule. At that time, the followers of Mohandas Gandhi engaged in nonviolent civil disobedience by manufacturing salt for their own use in contravention of the British monopoly on such manufacture. The British administration and army responded with mass imprisonments and shocking brutality. It is difficult to understand this behavior on the part of the highly moralistic, ever-so-civilized British unless one keeps in mind that they were able to view their activities not as violently repressing the indigenous population, but as upholding the rule of law. 

The same is true of the violence directed against the nonviolent civil rights protestors in the American South during the civil rights movement. Although much of the white population of the southern states held racist beliefs, one cannot account for the overwhelming support given to the violent repression of these protests on the assumption that the vast majority of the white Southerners were sadistic racists devoid of moral sensibilities. The true explanation is that most of these people were able to view themselves not as perpetuating racial oppression and injustice, but as upholding the rule of law against criminals and outside agitators. Similarly, since despite the . 60s rhetoric, all police officers are not "fascist pigs," some other explanation is needed for their willingness to participate in the "police riot" at the 1968 Democratic convention, or the campaign of illegal arrests and civil rights violations against those demonstrating in Washington against President Nixon's policies in Vietnam, or the effort to infiltrate and destroy the sanctuary movement that sheltered refugees from Salvadorian death squads during the Reagan era or, for that matter, the attack on and destruction of the Branch Davidian compound in Waco. It is only when these officers have fully bought into the myth that "we are a government of laws and not people," when they truly believe that their actions are commanded by some impersonal body of just rules, that they can fail to see that they are the agency used by those in power to oppress others. 

The reason why the myth of the rule of law has survived for 100 years despite the knowledge of its falsity is that it is too valuable a tool to relinquish. The myth of impersonal government is simply the most effective means of social control available to the state. 

X. 

During the past two decades, the legal scholars identified with the Critical Legal Studies movement have gained a great deal of notoriety for their unrelenting attacks on traditional, "liberal" legal theory. The _modus operandi_ of these scholars has been to select a specific area of the law and show that because the rules and principles that comprise it are logically incoherent, legal outcomes can always be manipulated by those in power to favor their interests at the expense of the politically "subordinated" classes. The Crits then argue that the claim that the law consists of determinate, just rules which are impartially applied to all is a ruse employed by the powerful to cause these subordinated classes to view the oppressive legal rulings as the necessary outcomes of an objective system of justice. This renders the oppressed more willing to accept their socially subordinated status. Thus, the Crits maintain that the concept of the rule of law is simply a facade used to maintain the socially dominant position of white males in an oppressive and illegitimate capitalist system. 

In taking this approach, the Crits recognize that the law is indeterminate, and thus, that it necessarily reflects the moral and political values of those empowered to render legal decisions. Their objection is that those who currently wield this power subscribe to the wrong set of values. They wish to change the legal system from one which embodies what they regard as the hierarchical, oppressive values of capitalism to one which embodies the more egalitarian, "democratic" values that they usually associate with socialism. The Crits accept that the law must be provided exclusively by the state, and hence, that it must impose one set of values on all members of society. Their contention is that the particular set of values currently being imposed is the wrong one. 

Although they have been subjected to much derision by mainstream legal theorists,[ (33)][39] as long as we continue to believe that the law must be a state monopoly, there really is nothing wrong, or even particularly unique, about the Crits' line of argument. There has always been a political struggle for control of the law, and as long as all must be governed by the same law, as long as one set of values must be imposed upon everyone, there always will be. It is true that the Crits want to impose "democratic" or socialistic values on everyone through the mechanism of the law. But this does not distinguish them from anyone else. Religious fundamentalists want to impose "Christian" values on all via the law. Liberal Democrats want the law to ensure that everyone acts so as to realize a "compassionate" society, while conservative Republicans want it to ensure the realization of "family values" or "civic virtue." Even libertarians insist that all should be governed by a law that enshrines respect for individual liberty as its preeminent value. 

The Crits may believe that the law should embody a different set of values than liberals, or conservatives, or libertarians, but this is the only thing that differentiates them from these other groups. Because the other groups have accepted the myth of the rule of law, they perceive what they are doing not as a struggle for political control, but as an attempt to depoliticize the law and return it to its proper form as the neutral embodiment of objective principles of justice. But the rule of law is a myth, and perception does not change reality. Although only the Crits may recognize it, all are engaged in a political struggle to impose their version of "the good" on the rest of society. And as long as the law remains the exclusive province of the state, this will always be the case. 

XI. 

What is the significance of these observations? Are we condemned to a continual political struggle for control of the legal system? Well, yes; as long as the law remains a state monopoly, we are. But I would ask you to note that this is a conditional statement while you consider the following parable. 

A long time ago in a galaxy far away, there existed a parallel Earth that contained a nation called Monosizea. Monosizea was remarkably similar to the present-day United States. It had the same level of technological development, the same social problems, and was governed by the same type of common law legal system. In fact, Monosizea had a federal constitution that was identical to that of the United States in all respects except one. However, that distinction was quite an odd one. For some reason lost to history, the Monosizean founding fathers had included a provision in the constitution that required all shoes manufactured or imported into Monosizea to be the same size. The particular size could be determined by Congress, but whatever size was selected represented the only size shoe permitted in the country. 

As you may imagine, in Monosizea, shoe size was a serious political issue. Although there were a few radical fringe groups which argued for either extremely small or extremely large sizes, Monosizea was essentially a two-party system with most of the electorate divided between the Liberal Democratic party and the Conservative Republican party. The Liberal Democratic position on shoe size was that social justice demanded the legal size to be a large size such as a nine or ten. They presented the egalitarian argument that everyone should have equal access to shoes, and that this could only be achieved by legislating a large shoe size. After all, people with small feet could still use shoes that were too large (even if they did have to stuff some newspaper into them), but people with large feet would be completely disenfranchised if the legal size was a small one. Interestingly, the Liberal Democratic party contained a larger than average number of people who were tall. The Conservative Republican position on shoe size was that respect for family values and the traditional role of government required that the legal size be a small size such as a four or five. They presented the moralistic argument that society's obligation to the next generation and government's duty to protect the weak demanded that the legal size be set so that children could have adequate footwear. They contended that children needed reasonably well- fitting shoes while they were in their formative years and their feet were tender. Later, when they were adults and their feet were fully developed, they would be able to cope with the rigors of barefoot life. Interestingly, the Conservative Republican party contained a larger than average number of people who were short. 

Every two years as congressional elections approached, and especially when this corresponded with a presidential election, the rhetoric over the shoe size issue heated up. The Liberal Democrats would accuse the Conservative Republicans of being under the control of the fundamentalist Christians and of intolerantly attempting to impose their religious values on society. The Conservative Republicans would accuse the Liberal Democrats of being misguided, bleeding-heart do-gooders who were either the dupes of the socialists or socialists themselves. However, after the elections, the shoe size legislation actually hammered out by the President and Congress always seemed to set the legal shoe size close to a seven, which was the average foot size in Monosizea. Further, this legislation always defined the size in broad terms so that it might encompass a size or two on either side, and authorized the manufacture of shoes made of extremely flexible materials that could stretch or contract as necessary. For this reason, most averaged-sized Monosizeans, who were predominantly politically moderate, had acceptable footwear. 

This state of affairs seemed quite natural to everyone in Monosizea except a boy named Socrates. Socrates was a pensive, shy young man who, when not reading a book, was often lost in thought. His contemplative nature caused his parents to think of him as a dreamer, his schoolmates to think of him as a nerd, and everyone else to think of him as a bit odd. One day, after learning about the Monosizean Constitution in school and listening to his parents discuss the latest public opinion poll on the shoe size issue, Socrates approached his parents and said: 

> I have an idea. Why don't we amend the constitution to permit shoemakers to manufacture and sell more than one size shoe. Then everyone could have shoes that fit and we wouldn't have to argue about what the legal shoe size should be anymore.

Socrates' parents found his naive idealism amusing and were proud that their son was so imaginative. For this reason, they tried to show him that his idea was a silly one in a way that would not discourage him from future creative thinking. Thus, Socrates' father said: 

> That's a very interesting idea, son, but it's simply not practical. There's always been only one size shoe in Monosizea, so that's just the way things have to be. People are used to living this way, and you can't fight city hall. I'm afraid your idea is just too radical.

Although Socrates eventually dropped the subject with his parents, he was never satisfied with their response. During his teenage years, he became more interested in politics and decided to take his idea to the Liberal Democrats. He thought that because they believed all citizens were entitled to adequate footwear, they would surely see the value of his proposal. However, although they seemed to listen with interest and thanked him for his input, they were not impressed with his idea. As the leader of the local party explained: 

> Your idea is fine in theory, but it will never work in practice. If manufacturers could make whatever size shoes they wanted, consumers would be at the mercy of unscrupulous business people. Each manufacturer would set up his or her own scale of sizes and consumers would have no way of determining what their foot size truly was. In such a case, profit-hungry shoe sales people could easily trick the unwary consumer into buying the wrong size. Without the government setting the size, there would be no guarantee that any shoe was really the size it purported to be. We simply cannot abandon the public to the vicissitudes of an unregulated market in shoes.

To Socrates' protests that people didn't seem to be exploited in other clothing markets and that the shoes manufactured under the present system didn't really fit very well anyway, the party leader responded: 

> The shoe market is unique. Adequate shoes are absolutely essential to public welfare. Therefore, the ordinary laws of supply and demand cannot be relied upon. And even if we could somehow get around the practical problems, your idea is simply not politically feasible. To make any progress, we must focus on what can actually be accomplished in the current political climate. If we begin advocating radical constitutional changes, we'll be routed in the next election.

Disillusioned by this response, Socrates approached the Conservative Republicans with his idea, explaining that if shoes could be manufactured in any size, all children could be provided with the well-fitting shoes they needed. However, the Conservative Republicans were even less receptive than the Liberal Democrats had been. The leader of their local party responded quite contemptuously, saying: 

> Look, Monosizea is the greatest, freest country on the face of the planet, and it's respect for our traditional values that has made it that way. Our constitution is based on these values, and it has served us well for the past 200 years. Who are you to question the wisdom of the founding fathers? If you don't like it in this country, why don't you just leave?

Somewhat taken aback, Socrates explained that he respected the Monosizean Constitution as much as they did, but that did not mean it could not be improved. Even the founding fathers included a process by which it could be amended. However, this did nothing to ameliorate the party leader's disdain. He responded: 

> It's one thing to propose amending the constitution; it's another to undermine it entirely. Doing away with the shoe size provision would rend the very fabric of our society. If people could make whatever size shoes they wanted whenever they wanted, there would be no way to maintain order in the industry. What you're proposing is not liberty, it's license. Were we to adopt your proposal, we would be abandoning the rule of law itself. Can't you see that what you are advocating is not freedom, but anarchy?

After this experience, Socrates came to realize that there was no place for him in the political realm. As a result, he went off to college where he took up the study of philosophy. Eventually, he got a Ph.D., became a philosophy professor, and was never heard from again. 

So, what is the point of this outlandish parable? I stated at the beginning of this section that as long as the law remains a state monopoly, there will always be a political struggle for its control. This sounds like a cynical conclusion because we naturally assume that the law is necessarily the province of the state. Just as the Monosizeans could not conceive of a world in which shoe size was not set by the government, we cannot conceive of one in which law is not provided exclusively by it. But what if we are wrong? What if, just as Monosizea could eliminate the politics of shoe size by allowing individuals to produce and buy whatever size shoes they pleased, we could eliminate the politics of law by allowing individuals to adopt whatever rules of behavior best fit their needs? What if law is not a unique product that must be supplied on a one-size-fits-all basis by the state, but one which could be adequately supplied by the ordinary play of market forces? What if we were to try Socrates' solution and end the monopoly of law? 

XII. 

The problem with this suggestion is that most people are unable to understand what it could possibly mean. This is chiefly because the language necessary to express the idea clearly does not really exist. Most people have been raised to identify law with the state. They cannot even conceive of the idea of legal services apart from the government. The very notion of a free market in legal services conjures up the image of anarchic gang warfare or rule by organized crime. In our system, an advocate of free market law is treated the same way Socrates was treated in Monosizea, and is confronted with the same types of arguments. 

The primary reason for this is that the public has been politically indoctrinated to fail to recognize the distinction between order and law. Order is what people need if they are to live together in peace and security. Law, on the other hand, is a particular method of producing order. As it is presently constituted, law is the production of order by requiring all members of society to live under the same set of state-generated rules; it is order produced by centralized planning. Yet, from childhood, citizens are taught to invariably link the words "law" and "order." Political discourse conditions them to hear and use the terms as though they were synonymous and to express the desire for a safer, more peaceful society as a desire for "law and order." 

The state nurtures this confusion because it is the public's inability to distinguish order from law that generates its fundamental support for the state. As long as the public identifies order with law, it will believe that an orderly society is impossible without the law the state provides. And as long as the public believes this, it will continue to support the state almost without regard to how oppressive it may become. 

The public's identification of order with law makes it impossible for the public to ask for one without asking for the other. There is clearly a public demand for an orderly society. One of human beings' most fundamental desires is for a peaceful existence secure from violence. But because the public has been conditioned to express its desire for order as one for law, all calls for a more orderly society are interpreted as calls for more law. And since under our current political system, all law is supplied by the state, all such calls are interpreted as calls for a more active and powerful state. The identification of order with law eliminates from public consciousness the very concept of the decentralized provision of order. With regard to legal services, it renders the classical liberal idea of a market-generated, spontaneous order incomprehensible. 

I began this Article with a reference to Orwell's concept of doublethink. But I am now describing the most effective contemporary example we have of Orwellian "newspeak," the process by which words are redefined to render certain thoughts unthinkable.[ (34)][40] Were the distinction between order and law well-understood, the question of whether a state monopoly of law is the best way to ensure an orderly society could be intelligently discussed. But this is precisely the question that the state does not wish to see raised. By collapsing the concept of order into that of law, the state can ensure that it is not, for it will have effectively eliminated the idea of a non-state generated order from the public mind. Under such circumstances, we can hardly be surprised if the advocates of a free market in law are treated like Socrates of Monosizea. 

XIII. 

I am aware that this explanation probably appears as initially unconvincing as was my earlier contention that the law is inherently political. Even if you found my Monosizea parable entertaining, it is likely that you regard it as irrelevant. You probably believe that the analogy fails because shoes are qualitatively different from legal services. After all, law is a public good which, unlike shoes, really is crucial to public welfare. It is easy to see how the free market can adequately supply the public with shoes. But how can it possibly provide the order-generating and maintaining processes necessary for the peaceful coexistence of human beings in society? What would a free market in legal services be like? 

I am always tempted to give the honest and accurate response to this challenge, which is that to ask the question is to miss the point. If human beings had the wisdom and knowledge-generating capacity to be able to describe how a free market would work, that would be the strongest possible argument for central planning. One advocates a free market not because of some moral imprimatur written across the heavens, but because it is impossible for human beings to amass the knowledge of local conditions and the predictive capacity necessary to effectively organize economic relationships among millions of individuals. It is possible to describe what a free market in shoes would be like _because we have one_. But such a description is merely an observation of the current state of a functioning market, not a projection of how human beings would organize themselves to supply a currently non-marketed good. To demand that an advocate of free market law (or Socrates of Monosizea, for that matter) describe in advance how markets would supply legal services (or shoes) is to issue an impossible challenge. Further, for an advocate of free market law (or Socrates) to even accept this challenge would be to engage in self-defeating activity since the more successfully he or she could describe how the law (or shoe) market would function, the more he or she would prove that it could be run by state planners. Free markets supply human wants better than state monopolies precisely because they allow an unlimited number of suppliers to attempt to do so. By patronizing those who most effectively meet their particular needs and causing those who do not to fail, consumers determine the optimal method of supply. If it were possible to specify in advance what the outcome of this process of selection would be, there would be no need for the process itself. 

Although I am tempted to give this response, I never do. This is because, although true, it never persuades. Instead, it is usually interpreted as an appeal for blind faith in the free market, and the failure to provide a specific explanation as to how such a market would provide legal services is interpreted as proof that it cannot. Therefore, despite the self-defeating nature of the attempt, I usually do try to suggest how a free market in law might work. 

So, what would a free market in legal services be like? As Sherlock Holmes would regularly say to the good doctor, "You see, Watson, but you do not observe." Examples of non-state law are all around us. Consider labor-management collective bargaining agreements. In addition to setting wage rates, such agreements typically determine both the work rules the parties must abide by and the grievance procedures they must follow to resolve disputes. In essence, such contracts create the substantive law of the workplace as well as the workplace judiciary. A similar situation exists with regard to homeowner agreements, which create both the rules and dispute settlement procedures within a condominium or housing development, i.e., the law and judicial procedure of the residential community. Perhaps a better example is supplied by universities. These institutions create their own codes of conduct for both students and faculty that cover everything from academic dishonesty to what constitutes acceptable speech and dating behavior. In addition, they not only devise their own elaborate judicial procedures to deal with violations of these codes, but typically supply their own campus police forces as well. A final example may be supplied by the many commercial enterprises that voluntarily opt out of the state judicial system by writing clauses in their contracts that require disputes to be settled through binding arbitration or mediation rather than through a lawsuit. In this vein, the variegated "legal" procedures that have recently been assigned the sobriquet of Alternative Dispute Resolution (ADR) do a good job of suggesting what a free market in legal service might be like.[ (35)][41]

Of course, it is not merely that we fail to observe what is presently all around us. We also act as though we have no knowledge of our own cultural or legal history. Consider, for example, the situation of African-American communities in the segregated South or the immigrant communities in New York in the first quarter of the twentieth century. Because of prejudice, poverty and the language barrier, these groups were essentially cut off from the state legal system. And yet, rather than disintegrate into chaotic disorder, they were able to privately supply themselves with the rules of behavior and dispute-settlement procedures necessary to maintain peaceful, stable, and highly structured communities. Furthermore, virtually none of the law that orders our interpersonal relationships was produced by the intentional actions of central governments. Our commercial law arose almost entirely from the Law Merchant, a non-governmental set of rules and procedures developed by merchants to quickly and peacefully resolve disputes and facilitate commercial relations. Property, tort, and criminal law are all the products of common law processes by which rules of behavior evolve out of and are informed by the particular circumstances of actual human controversies. In fact, a careful study of Anglo-American legal history will demonstrate that almost all of the law which facilitates peaceful human interaction arose in this way. On the other hand, the source of the law which produces oppression and social division is almost always the state. Measures that impose religious or racial intolerance, economic exploitation, one group's idea of "fairness," or another's of "community" or "family" values virtually always originate in legislation, the law consciously made by the central government. If the purpose of the law really is to bring order to human existence, then it is fair to say that the law actually made by the state is precisely the law that does not work. 

Unfortunately, no matter how suggestive these examples might be, they represent only what can develop within a state-dominated system. Since, for the reasons indicated above, it is impossible to out-think a free market, any attempt to account for what would result from a true free market in law would be pure speculation. However, if I must engage in such speculation, I will try to avoid what might be called "static thinking" in doing so. Static thinking occurs when we imagine changing one feature of a dynamic system without appreciating how doing so will alter the character of all other features of the system. For example, I would be engaging in static thinking were I to ask how, if the state did not provide the law and courts, the free market could provide them _in their present form_. It is this type of thinking that is responsible for the conventional assumption that free market legal services would be "competing governments" which would be the equivalent of organized gang warfare. Once this static thinking is rejected, it becomes apparent that if the state did not provide the law and courts, they simply would not exist in their present form. This, however, only highlights the difficulty of describing free market order-generating services and reinforces the speculative nature of all attempts to do so. 

One thing it seems safe to assume is that there would not be any universally binding, society-wide set of "legal" rules. In a free market, the law would not come in one-size-fits-all. Although the rules necessary to the maintenance of a minimal level of order, such as prohibitions against murder, assault, and theft, would be common to most systems, different communities of interest would assuredly adopt those rules and dispute-settlement procedures that would best fit their needs. For example, it seems extremely unlikely that there would be anything resembling a uniform body of contract law. Consider, as just one illustration, the differences between commercial and consumer contracts. Commercial contracts are usually between corporate entities with specialized knowledge of industrial practices and a financial interest in minimizing the interruption of business. On the other hand, consumer contracts are those in which one or both parties lack commercial sophistication and large sums do not rest upon a speedy resolution of any dispute that might arise. In a free market for legal services, the rules that govern these types of contracts would necessarily be radically different. 

This example can also illustrate the different types of dispute-settlement procedures that would be likely to arise. In disputes over consumer contracts, the parties might well be satisfied with the current system of litigation in which the parties present their cases to an impartial judge or jury who renders a verdict for one side or the other. However, in commercial disputes, the parties might prefer a mediational process with a negotiated settlement in order to preserve an ongoing commercial relationship or a quick and informal arbitration in order to avoid the losses associated with excessive delay. Further, it is virtually certain that they would want mediators, arbitrators, or judges who are highly knowledgeable about commercial practice, rather than the typical generalist judge or a jury of lay people. 

The problem with trying to specify the individuated "legal systems" which would develop is that there is no limit to the number of dimensions along which individuals may choose to order their lives, and hence no limit to the number of overlapping sets of rules and dispute resolution procedures to which they may subscribe. An individual might settle his or her disputes with neighbors according to voluntarily adopted homeowner association rules and procedures, with co-workers according to the rules and procedures described in a collective bargaining agreement, with members of his or her religious congregation according to scriptural law and tribunal, with other drivers according to the processes agreed to in his or her automobile insurance contract, and with total strangers by selecting a dispute resolution company from the yellow pages of the phone book. Given the current thinking about racial and sexual identity, it seems likely that many disputes among members of the same minority group or among women would be brought to "niche" dispute resolution companies composed predominantly of members of the relevant group, who would use their specialized knowledge of group "culture" to devise superior rules and procedures for intra-group dispute resolution.[ (36)][42]

I suspect that in many ways a free market in law would resemble the situation in Medieval Europe before the rise of strong central governments in which disputants could select among several fora. Depending upon the nature of the dispute, its geographical location, the parties' status, and what was convenient, the parties could bring their case in either village, shire, urban, merchant, manorial, ecclesiastical, or royal courts. Even with the limited mobility and communications of the time, this restricted market for dispute-settlement services was able to generate the order necessary for both the commercial and civil advancement of society. Consider how much more effectively such a market could function given the current level of travel and telecommunication technology. Under contemporary conditions, there would be an explosion of alternative order-providing organizations. I would expect that, late at night, wedged between commercials for Veg-o-matic and Slim Whitman albums, we would find television ads with messages such as, "Upset with your neighbor for playing rock and roll music all night long? Is his dog digging up your flower beds? Come to Acme Arbitration Company's grand opening two for one sale." 

I should point out that, despite my earlier disclaimer, even these suggestions embody static thinking since they assume that a free market would produce a choice among confrontational systems of justice similar to the one we are most familiar with. In fact, I strongly believe that this would not be the case. The current state-supplied legal system is adversarial in nature, pitting the plaintiff or prosecution against the defendant in a winner-take-all, loser-get-nothing contest. The reason for this arrangement has absolutely nothing to do with this procedure's effectiveness in settling disputes and everything to do with the medieval English kings' desire to centralize power. For historical reasons well beyond the scope of this Article, the Crown was able to extend its temporal power relative to the feudal lords as well as raise significant revenue by commanding or enticing the parties to local disputes to bring their case before the king or other royal official for decision.[ (37)][43] Our current system of adversarial presentation to a third-party decisionmaker is an outgrowth of these early "public choice" considerations, not its ability to successfully provide mutually satisfactory resolutions to interpersonal disputes. 

In fact, this system is a terrible one for peacefully resolving disputes and would be extremely unlikely to have many adherents in a free market. Its adversarial nature causes each party to view the other as an enemy to be defeated, and its winner-take-all character motivates each to fight as hard as he or she can to the bitter end. Since the loser gets nothing, he or she has every reason to attempt to reopen the dispute, which gives rise to frequent appeals. The incentives of the system make it in each party's interest to do whatever he or she can to wear down the opponent while being uniformly opposed to cooperation, compromise, and reconciliation. That this is not the kind of dispute-settlement procedure people are likely to employ if given a choice is evidenced by the large percentage of litigants who are turning to ADR in an effort to avoid it. 

My personal belief is that under free market conditions, most people would adopt compositional, rather than confrontational, dispute settlement procedures, i.e., procedures designed to compose disputes and reconcile the parties rather than render third party judgments. This was, in fact, the essential character of the ancient "legal system" that was replaced by the extension of royal jurisdiction. Before the rise of the European nation-states, what we might anachronistically call judicial procedure was chiefly a set of complex negotiations between the parties mediated by the members of the local community in an effort to reestablish a harmonious relationship. Essentially, public pressure was brought upon the parties to settle their dispute peacefully through negotiation and compromise. The incentives of this ancient system favored cooperation and conciliation rather than defeating one's opponent.[ (38)][44]

Although I have no crystal ball, I suspect that a free market in law would resemble the ancient system a great deal more than the modern one. Recent experiments with negotiated dispute-settlement have demonstrated that mediation 1) produces a higher level of participant satisfaction with regard to both process and result, 2) resolves cases more quickly and at significantly lower cost, and 3) results in a higher rate of voluntary compliance with the final decree than was the case with traditional litigation.[ (39)][45] This is perhaps unsurprising, given that mediation's lack of a winner-take-all format encourages the parties to seek common ground rather than attempt to vanquish the opponent and that, since both parties must agree to any solution, there is a reduced likelihood that either will wish to reopen the dispute. Given human beings' manifest desire to retain control over their lives, I suspect that, if given a choice, few would willingly place their fate in the hands of third-party decisionmakers. Thus, I believe that a free market in law would produce a system that is essentially compositional in nature. 

XIV. 

In this Article, I have suggested that when it comes to the idea of the rule of law, the American public is in a state of deep denial. Despite being surrounded by evidence that the law is inherently political in nature, most people are nevertheless able to convince themselves that it is an embodiment of objective rules of justice which they have a moral obligation to obey. As in all cases of denial, people participate in this fiction because of the psychological comfort that can be gained by refusing to see the truth. As we saw with our friends Arnie and Ann, belief in the existence of an objective, non-ideological law enables average citizens to see those advocating legal positions inconsistent with their values as inappropriately manipulating the law for political purposes, while viewing their own position as neutrally capturing the plain meaning immanent within the law. The citizens' faith in the rule of law allows them to hide from themselves both that their position is as politically motivated as is their opponents' and that they are attempting to impose their values on their opponents as much as their opponents are attempting to impose their values on them. But, again, as in all cases of denial, the comfort gained comes at a price. For with the acceptance of the myth of the rule of law comes a blindness to the fact that laws are merely the commands of those with political power, and an increased willingness to submit oneself to the yoke of the state. Once one is truly convinced that the law is an impersonal, objective code of justice rather than an expression of the will of the powerful, one is likely to be willing not only to relinquish a large measure of one's own freedom, but to enthusiastically support the state in the suppression of others' freedom as well. 

The fact is that there is no such thing as a government of law and not people. The law is an amalgam of contradictory rules and counter-rules expressed in inherently vague language that can yield a legitimate legal argument for any desired conclusion. For this reason, as long as the law remains a state monopoly, it will always reflect the political ideology of those invested with decisionmaking power. Like it or not, we are faced with only two choices. We can continue the ideological power struggle for control of the law in which the group that gains dominance is empowered to impose its will on the rest of society, or we can end the monopoly. 

Our long-standing love affair with the myth of the rule of law has made us blind to the latter possibility. Like the Monosizeans, who after centuries of state control cannot imagine a society in which people can buy whatever size shoes they wish, we cannot conceive of a society in which individuals may purchase the legal services they desire. The very idea of a free market in law makes us uncomfortable. But it is time for us to overcome this discomfort and consider adopting Socrates' approach. We must recognize that our love for the rule of law is unrequited, and that, as so often happens in such cases, we have become enslaved to the object of our desire. No clearer example of this exists than the legal process by which our Constitution was transformed from a document creating a government of limited powers and guaranteed rights into one which provides the justification for the activities of the all-encompassing super-state of today. However heart-wrenching it may be, we must break off this one-sided affair. The time has come for those committed to individual liberty to realize that the establishment of a truly free society requires the abandonment of the myth of the rule of law. 

[**_Return to top][46]_**

1\. J.D., Ph.D., Philosophy, Duke University, LL.M., Temple University. Assistant Professor of Business Ethics, Georgetown University and Senior Research Fellow, Kennedy Institute of Ethics. An earlier version of this Article was presented as a lecture at the Institute for Humane Studies Liberty and Society Summer Seminar. Many thanks are owed to Ann C. Tunstall for her help. 

2\. U.S. Const. amend. I. 

3\. George Orwell, 1984, at 32 (Commemorative 1984 ed., The New Am. Library 1983) (1949). 

4\. _See_ Iain McLean, Public Choice 71-76 (1987). 

5. _See_ Herbert Weschler, _Toward Neutral Principles of Constitutional Law,_ 73 Harv. L. Rev. 1 (1959). 

6\. 59 N.E. 1058 (Ind. 1901). 

7\. 104 S.W. 164 (Ark. 1907). 

8\. 42 U.S.C. S 2000e-2 (1988). 

9\. _See_ United Steelworkers v. Weber, 443 U.S. 193, 228 n.9 (1979) (Rehnquist, J., dissenting) 

10\. _Id_. at 201 (quoting Holy Trinity Church v. United States, 143 U.S. 457, 459 (1892)). 

11\. _Id_. at 202. 

12\. 110 Cong. Rec. 6548 (1964). 

13\. 33 N.W. 919 (Mich. 1887). 

14\. _Id_. at 923-24. 

15\. 64 Wis. 265, 25 N.W. 42 (1885). 

16\. _Id_. at 45. 

17\. 43 S.E. 732 (Ga. 1903). 

18\. _Id_. at 733. 

19\. 131 N.E. 887 (N.Y. 1921). 

20\. _Id_. at 890. 

21\. U.S. Const. art. I, § 8, cl. 3. 

22\. _See_ Wickard v. Filburn, 317 U.S. 111, 128-29 (1942). 

23\. The federal government regulates sexual harassment in the workplace under Title VII of the Civil Rights Act of 1964, 42 U.S.C. § 2000e(b) (1988), which was enacted pursuant to the Commerce Clause. 

24\. On this point, it may be relevant to observe that as I write these words, the President and Congress of the United States are engaged in a vigorous debate over what percentage of the American public must have health insurance for there to be universal coverage. 

25\. The facts of the case being described are drawn from Syester v. Banta, 133 N.W.2d 666 (Iowa 1965). 

26\. _Id_. at 668. 

27\. _Id_. at 671. 

28\. As the court did in the actual case. _Id_. at 674-75. 

29\. _See_ Riggs v. Palmer, 22 N.E. 188 (N.Y. 1889). 

30\. As the court did in the actual case. _Id_. at 191. 

31\. U.S. Const. amend. XIV, § 1\. 

32\. Oliver Wendell Holmes, _The Path of the Law_, 10 Harv. L. Rev. 457, 465-66 (1897). 

33\. The Crits have been accused of being intellectual nihilists and attacked for undermining the commitment to the rule of law that is necessary for the next generation of lawyers to engage in the principled, ethical practice of law. For this reason, their mainstream critics have suggested that the Crits have no business teaching in the nation's law schools. See, e.g., Paul D. Carrington, _Of Law and the River_, 34 J. Legal Educ. 222, 227 (1984). 

34\. _See _Orwell_, supra_ note 2, at 46. 

35\. The National Law Journal has noted, "Much of corporate America is creating its own private business .courts' that are far removed from the public courthouses." William H. Schroder Jr., Private _ADR May Offer Increased Confidentiality_, Nat'l L.J., July 25, 1994, at C14. 

36\. I am fairly confident that the parties to such disputes will not choose to have them resolved by a panel composed almost exclusively of White Anglo-Saxon Protestants as is the case today. 

37\. The story of how royal jurisdiction came to supplant all others and why the adversarial system of litigation replaced the earlier methods of settling disputes is fascinating one, but one which obviously cannot be recounted here. Those interested in pursuing it may wish to consult Harold J. Berman, Law and Revolution (1983); Leonard W. Levy, Origins of the Fifth Amendment (1986). 

38\. Once again, any extended account of the roots of our legal system is beyond the scope of this Article. For a useful general description, see Berman, _supra_ note 36, at 49-84. 

39\. See Joshua D. Rosenberg, _Court Studies Confirm That Mandatory Mediation Works_, Nat'l L.J., Apr. 11, 1994, at C7. 

[**_Return to top][46]_**

[1]: http://faculty.msb.edu/CV1.htm
[2]: http://faculty.msb.edu/TP1.htm
[3]: http://faculty.msb.edu/Link1.htm
[4]: http://faculty.msb.edu/index.html
[5]: http://faculty.msb.edu/sealtrans.gif
[6]: http://faculty.msb.edu/rule3.gif
[7]: http://faculty.msb.edu#N_1_
[8]: http://faculty.msb.edu#N_2_
[9]: http://faculty.msb.edu#N_3_
[10]: http://faculty.msb.edu#N_4_
[11]: http://faculty.msb.edu#N_5_
[12]: http://faculty.msb.edu#N_6_
[13]: http://faculty.msb.edu#N_7_
[14]: http://faculty.msb.edu#N_8_
[15]: http://faculty.msb.edu#N_9_
[16]: http://faculty.msb.edu#N_10_
[17]: http://faculty.msb.edu#N_11_
[18]: http://faculty.msb.edu#N_12_
[19]: http://faculty.msb.edu#N_13_
[20]: http://faculty.msb.edu#N_14_
[21]: http://faculty.msb.edu#N_15_
[22]: http://faculty.msb.edu#N_16_
[23]: http://faculty.msb.edu#N_17_
[24]: http://faculty.msb.edu#N_18_
[25]: http://faculty.msb.edu#N_19_
[26]: http://faculty.msb.edu#N_20_
[27]: http://faculty.msb.edu#N_21_
[28]: http://faculty.msb.edu#N_22_
[29]: http://faculty.msb.edu#N_23_
[30]: http://faculty.msb.edu#N_24_
[31]: http://faculty.msb.edu#N_25_
[32]: http://faculty.msb.edu#N_26_
[33]: http://faculty.msb.edu#N_27_
[34]: http://faculty.msb.edu#N_28_
[35]: http://faculty.msb.edu#N_29_
[36]: http://faculty.msb.edu#N_30_
[37]: http://faculty.msb.edu#N_31_
[38]: http://faculty.msb.edu#N_32_
[39]: http://faculty.msb.edu#N_33_
[40]: http://faculty.msb.edu#N_34_
[41]: http://faculty.msb.edu#N_35_
[42]: http://faculty.msb.edu#N_36_
[43]: http://faculty.msb.edu#N_37_
[44]: http://faculty.msb.edu#N_38_
[45]: http://faculty.msb.edu#N_39_
[46]: http://faculty.msb.edu#top

