---
created_at: '2013-12-18T06:54:04.000Z'
title: Netiquette (1995)
url: http://tools.ietf.org/html/rfc1855
author: heretoo
points: 88
story_text: ''
comment_text: 
num_comments: 64
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1387349644
_tags:
- story
- author_heretoo
- story_6926247
objectID: '6926247'

---
[Source](https://tools.ietf.org/html/rfc1855 "Permalink to RFC 1855 - Netiquette Guidelines")

# RFC 1855 - Netiquette Guidelines

[[Docs][1]] [[txt][2]|[pdf][3]] [[draft-ietf-run-...][4]] [[Tracker][5]] [[Diff1][6]] [[Diff2][7]]   
  
INFORMATIONAL  
  

    
    
    Network Working Group                                       S. Hambridge
    Request For Comments: 1855                                   Intel Corp.
    FYI: 28                                                     October 1995
    Category: Informational
    
    
                             Netiquette Guidelines
    
    Status of This Memo
    
       This memo provides information for the Internet community.  This memo
       does not specify an Internet standard of any kind.  Distribution of
       this memo is unlimited.
    
    Abstract
    
       This document provides a minimum set of guidelines for Network
       Etiquette (Netiquette) which organizations may take and adapt for
       their own use.  As such, it is deliberately written in a bulleted
       format to make adaptation easier and to make any particular item easy
       (or easier) to find.  It also functions as a minimum set of
       guidelines for individuals, both users and administrators.  This memo
       is the product of the Responsible Use of the Network (RUN) Working
       Group of the IETF.
    
    Table of Contents
    
       1.0 Introduction                                                 1
       2.0 One-to-One Communication                                     2
       3.0 One-to-Many Communication                                    7
       4.0 Information Services                                        14
       5.0 Selected Bibliography                                       18
       6.0 Security Considerations                                     21
       7.0 Author's Address                                            21
    
    [1.0][8]  Introduction
    
       In the past, the population of people using the Internet had "grown
       up" with the Internet, were technically minded, and understood the
       nature of the transport and the protocols.  Today, the community of
       Internet users includes people who are new to the environment.  These
       "Newbies" are unfamiliar with the culture and don't need to know
       about transport and protocols. In order to bring these new users into
       the Internet culture quickly, this Guide offers a minimum set of
       behaviors which organizations and individuals may take and adapt for
       their own use.  Individuals should be aware that no matter who
       supplies their Internet access, be it an Internet Service Provider
       through a private account, or a student account at a University, or
    
    
    
    Hambridge                    Informational                      [Page 1]

* * *
    
    
    [ ][9]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
       an account through a corporation, that those organizations have
       regulations about ownership of mail and files, about what is proper
       to post or send, and how to present yourself.  Be sure to check with
       the local authority for specific guidelines.
    
       We've organized this material into three sections: One-to-one
       communication, which includes mail and talk; One-to-many
       communications, which includes mailing lists and NetNews; and
       Information Services, which includes ftp, WWW, Wais, Gopher, MUDs and
       MOOs.   Finally, we have a Selected Bibliography, which may be used
       for reference.
    
    [2.0][11]  One-to-One Communication (electronic mail, talk)
    
       We define one-to-one communications as those in which a person is
       communicating with another person as if face-to-face: a dialog.  In
       general, rules of common courtesy for interaction with people should
       be in force for any situation and on the Internet it's doubly
       important where, for example, body language and tone of voice must be
       inferred. For more information on Netiquette for communicating via
       electronic mail and talk, check references [[1][12],[23][13],[25][14],[27][15]] in the
       Selected Bibliography.
    
    [2.1][16] User Guidelines
    
    [2.1.1][17] For mail:
    
        - Unless you have your own Internet access through an Internet
          provider, be sure to check with your employer about ownership
          of electronic mail. Laws about the ownership of electronic mail
          vary from place to place.
    
        - Unless you are using an encryption device (hardware or software),
          you should assume that mail on the Internet is not secure.  Never
          put in a mail message anything you would not put on a postcard.
    
        - Respect the copyright on material that you reproduce.  Almost
          every country has copyright laws.
    
        - If you are forwarding or re-posting a message you've received, do
          not change the wording.  If the message was a personal message to
          you and you are re-posting to a group, you should ask permission
          first.  You may shorten the message and quote only relevant parts,
          but be sure you give proper attribution.
    
        - Never send chain letters via electronic mail.  Chain letters
          are forbidden on the Internet.  Your network privileges
          will be revoked.  Notify your local system administrator
    
    
    
    Hambridge                    Informational                      [Page 2]

* * *
    
    
    [ ][18]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
          if your ever receive one.
    
        - A good rule of thumb:  Be conservative in what you send and
          liberal in what you receive.  You should not send heated messages
          (we call these "flames") even if you are provoked.  On the other
          hand, you shouldn't be surprised if you get flamed and it's
          prudent not to respond to flames.
    
        - In general, it's a good idea to at least check all your mail
          subjects before responding to a message.  Sometimes a person who
          asks you for help (or clarification) will send another message
          which effectively says "Never Mind".  Also make sure that any
          message you respond to was directed to you.  You might be cc:ed
          rather than the primary recipient.
    
        - Make things easy for the recipient.  Many mailers strip header
          information which includes your return address.  In order to
          ensure that people know who you are, be sure to include a line
          or two at the end of your message with contact information.  You
          can create this file ahead of time and add it to the end of your
          messages.  (Some mailers do this automatically.)  In Internet
          parlance, this is known as a ".sig" or "signature" file.  Your
          .sig file takes the place of your business card.  (And you can
          have more than one to apply in different circumstances.)
    
        - Be careful when addressing mail.  There are addresses which
          may go to a group but the address looks like it is just one
          person.  Know to whom you are sending.
    
        - Watch cc's when replying.  Don't continue to include
          people if the messages have become a 2-way conversation.
    
        - In general, most people who use the Internet don't have time
          to answer general questions about the Internet and its workings.
          Don't send unsolicited mail asking for information to people
          whose names you might have seen in RFCs or on mailing lists.
    
        - Remember that people with whom you communicate are located across
          the globe.  If you send a message to which you want an immediate
          response, the person receiving it might be at home asleep when it
          arrives.  Give them a chance to wake up, come to work, and login
          before assuming the mail didn't arrive or that they don't care.
    
        - Verify all addresses before initiating long or personal discourse.
          It's also a good practice to include the word "Long" in the
          subject header so the recipient knows the message will take time
          to read and respond to. Over 100 lines is considered "long".
    
    
    
    
    Hambridge                    Informational                      [Page 3]

* * *
    
    
    [ ][19]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
        - Know whom to contact for help.  Usually you will have resources
          close at hand.  Check locally for people who can help you with
          software and system problems.  Also, know whom to go to if you
          receive anything questionable or illegal.  Most sites also
          have "Postmaster" aliased to a knowledgeable user, so you
          can send mail to this address to get help with mail.
    
        - Remember that the recipient is a human being whose culture,
          language, and humor have different points of reference from your
          own.  Remember that date formats, measurements, and idioms may
          not travel well.   Be especially careful with sarcasm.
    
        - Use mixed case.  UPPER CASE LOOKS AS IF YOU'RE SHOUTING.
    
        - Use symbols for emphasis.  That *is* what I meant.  Use
          underscores for underlining. _War and Peace_ is my favorite
          book.
    
        - Use smileys to indicate tone of voice, but use them sparingly.
          :-) is an example of a smiley (Look sideways).  Don't assume
          that the inclusion of a smiley will make the recipient happy
          with what you say or wipe out an otherwise insulting comment.
    
        - Wait overnight to send emotional responses to messages.  If you
          have really strong feelings about a subject, indicate it via
          FLAME ON/OFF enclosures.  For example:
          FLAME ON:  This type of argument is not worth the bandwidth
                     it takes to send it.  It's illogical and poorly
                     reasoned.  The rest of the world agrees with me.
          FLAME OFF
    
        - Do not include control characters or non-ASCII attachments in
          messages unless they are MIME attachments or unless your mailer
          encodes these.  If you send encoded messages make sure the
          recipient can decode them.
    
        - Be brief without being overly terse.  When replying to a message,
          include enough original material to be understood but no more. It
          is extremely bad form to simply reply to a message by including
          all the previous message: edit out all the irrelevant material.
    
        - Limit line length to fewer than 65 characters and end a line
          with a carriage return.
    
        - Mail should have a subject heading which reflects
          the content of the message.
    
    
    
    
    
    Hambridge                    Informational                      [Page 4]

* * *
    
    
    [ ][20]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
        - If you include a signature keep it short.  Rule of thumb
          is no longer than 4 lines.  Remember that many people pay for
          connectivity by the minute, and the longer your message is,
          the more they pay.
    
        - Just as mail (today) may not be private, mail (and news) are
          (today) subject to forgery and spoofing of various degrees of
          detectability. Apply common sense "reality checks" before
          assuming a message is valid.
    
        - If you think the importance of a message justifies it, immediately
          reply briefly to an e-mail message to let the sender know you got
          it, even if you will send a longer reply later.
    
        - "Reasonable" expectations for conduct via e-mail depend on your
          relationship to a person and the context of the communication.
          Norms learned in a particular e-mail environment may not apply in
          general to your e-mail communication with people across the
          Internet.  Be careful with slang or local acronyms.
    
        - The cost of delivering an e-mail message is, on the average, paid
          about equally by the sender and the recipient (or their
          organizations). This is unlike other media such as physical mail,
          telephone, TV, or radio.  Sending someone mail may also cost them
          in other specific ways like network bandwidth, disk space or CPU
          usage.  This is a fundamental economic reason why unsolicited
          e-mail advertising is unwelcome (and is forbidden in many contexts).
    
        - Know how large a message you are sending.  Including large files
          such as Postscript files or programs may make your message so
          large that it cannot be delivered or at least consumes excessive
          resources.  A good rule of thumb would be not to send a file
          larger than 50 Kilobytes.  Consider file transfer as an
          alternative, or cutting the file into smaller chunks and sending
          each as a separate message.
    
        - Don't send large amounts of unsolicited information to people.
    
        - If your mail system allows you to forward mail, beware the dreaded
          forwarding loop.  Be sure you haven't set up forwarding on several
          hosts so that a message sent to you gets into an endless loop from
          one computer to the next to the next.
    
    
    
    
    
    
    
    
    
    Hambridge                    Informational                      [Page 5]

* * *
    
    
    [ ][21]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
    [2.1.2][22] For talk:
    
       Talk is a set of protocols which allow two people to have an
       interactive dialogue via computer.
    
        - Use mixed case  and proper punctuation, as though you were typing
          a letter or sending mail.
    
        - Don't run off the end of a line and simply let the terminal wrap;
          use a Carriage Return (CR) at the end of the line.  Also, don't
          assume your screen size is the same as everyone else's.  A good
          rule of thumb is to write out no more than 70 characters, and no
          more than 12 lines (since you're using a split screen).
    
        - Leave some margin; don't write to the edge of the screen.
    
        - Use two CRs to indicate that you are done and the other person may
          start typing.  (blank line).
    
        - Always say goodbye, or some other farewell, and wait to see a
          farewell from the other person before killing the session.  This
          is especially important when you are communicating with someone
          a long way away.  Remember that your communication relies on both
          bandwidth (the size of the pipe) and latency (the speed of light).
    
        - Remember that talk is an interruption to the other person.  Only
          use as appropriate.  And never talk to strangers.
    
        - The reasons for not getting a reply are many.  Don't assume
          that everything is working correctly.  Not all versions of
          talk are compatible.
    
        - If left on its own, talk re-rings the recipient.  Let it ring
          one or two times, then kill it.
    
        - If a person doesn't respond you might try another tty.  Use finger
          to determine which are open.  If the person still doesn't respond,
          do not continue to send.
    
        - Talk shows your typing ability.  If you type slowly and make
          mistakes when typing it is often not worth the time of trying to
          correct, as the other person can usually see what you meant.
    
       - Be careful if you have more than one talk session going!
    
    
    
    
    
    
    
    Hambridge                    Informational                      [Page 6]

* * *
    
    
    [ ][23]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
    [2.2][24]  Administrator Issues
    
        - Be sure you have established written guidelines for dealing
          with situations especially illegal, improper, or forged
          traffic.
    
        - Handle requests in a timely fashion - by the next business day.
    
        - Respond promptly to people who have concerns about receiving
          improper or illegal messages.   Requests concerning chain
          letters should be handled immediately.
    
        - Explain any system rules, such as disk quotas, to your users.
          Make sure they understand implications of requesting files by
          mail such as: Filling up disks; running up phone bills, delaying
          mail, etc.
    
        - Make sure you have "Postmaster" aliased.  Make sure you have
          "Root" aliased.  Make sure someone reads that mail.
    
        - Investigate complaints about your users with an open mind.
          Remember that addresses may be forged and spoofed.
    
    [3.0][25]  One-to-Many Communication (Mailing Lists, NetNews)
    
       Any time you engage in One-to-Many communications, all the rules for
       mail should also apply.  After all, communicating with many people
       via one mail message or post is quite analogous to communicating with
       one person with the exception of possibly offending a great many more
       people than in one-to-one communication.  Therefore, it's quite
       important to know as much as you can about the audience of your
       message.
    
    [3.1][26] User Guidelines
    
    [3.1.1][27] General Guidelines for mailing lists and NetNews
    
        - Read both mailing lists and newsgroups for one to two months before
          you post anything.  This helps you to get an understanding of
          the culture of the group.
    
        - Do not blame the system administrator for the behavior of the
          system users.
    
        - Consider that a large audience will see your posts.
          That may include your present or your next boss.  Take
          care in what you write.  Remember too, that mailing lists and
          Newsgroups are frequently archived, and that your words may be
    
    
    
    Hambridge                    Informational                      [Page 7]

* * *
    
    
    [ ][28]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
          stored for a very long time in a place to which many people have
          access.
    
        - Assume that individuals speak for themselves, and what they
          say does not represent their organization (unless stated
          explicitly).
    
        - Remember that both mail and news take system resources.  Pay
          attention to any specific rules covering their uses your
          organization may have.
    
        - Messages and articles should be brief and to the point.  Don't
          wander off-topic, don't ramble and don't send mail or post
          messages solely to point out other people's errors in typing
          or spelling.  These, more than any other behavior, mark you
          as an immature beginner.
    
        - Subject lines should follow the conventions of the group.
    
        - Forgeries and spoofing are not approved behavior.
    
        - Advertising is welcomed on some lists and Newsgroups, and abhorred
          on others!  This is another example of knowing your audience
          before you post.  Unsolicited advertising which is completely
          off-topic will most certainly guarantee that you get a lot of
          hate mail.
    
        - If you are sending a reply to a message or a posting be sure you
          summarize the original at the top of the message, or include just
          enough text of the original to give a context.  This will make
          sure readers understand when they start to read your response.
          Since NetNews, especially, is proliferated by distributing the
          postings from one host to another, it is possible to see a
          response to a message before seeing the original.  Giving context
          helps everyone.  But do not include the entire original!
    
        - Again, be sure to have a signature which you attach to your
          message.  This will guarantee that any peculiarities of mailers or
          newsreaders which strip header information will not delete the
          only reference in the message of how people may reach you.
    
        - Be careful when you reply to messages or postings.  Frequently
          replies are sent back to the address which originated the post -
          which in many cases is the address of a list or group!  You may
          accidentally send a personal response to a great many people,
          embarrassing all involved.  It's best to type in the address
          instead of relying on "reply."
    
    
    
    
    Hambridge                    Informational                      [Page 8]

* * *
    
    
    [ ][29]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
        - Delivery receipts, non-delivery notices, and vacation programs
          are neither totally standardized nor totally reliable across the
          range of systems connected to Internet mail.  They are invasive
          when sent to mailing lists, and some people consider delivery
          receipts an invasion of privacy.  In short, do not use them.
    
         - If you find a personal message has gone to a list or group, send
           an apology to the person and to the group.
    
         - If you should find yourself in a disagreement with one person,
           make your responses to each other via mail rather than continue to
           send messages to the list or the group.  If you are debating a
           point on which the group might have some interest, you may
           summarize for them later.
    
        - Don't get involved in flame wars.  Neither post nor respond
          to incendiary material.
    
        - Avoid sending messages or posting articles which are no more than
          gratuitous replies to replies.
    
        - Be careful with monospacing fonts and diagrams.  These will
          display differently on different systems, and with different
          mailers on the same system.
    
        - There are Newsgroups and Mailing Lists which discuss topics
          of  wide varieties of interests.  These represent a diversity of
          lifestyles, religions, and cultures.  Posting articles or sending
          messages to a group whose point of view is offensive to you
          simply to tell them they are offensive is not acceptable.
          Sexually and racially harassing messages may also have legal
          implications.  There is software available to filter items
          you might find objectionable.
    
    [3.1.2][30]  Mailing List Guidelines
    
       There are several ways to find information about what mailing lists
       exist on the Internet and how to join them.  Make sure you understand
       your organization's policy about joining these lists and posting to
       them.  In general it is always better to check local resources first
       before trying to find information via the Internet.  Nevertheless,
       there are a set of files posted periodically to news.answers which
       list the Internet mailing lists and how to subscribe to them.  This
       is an invaluable resource for finding lists on any topic.  See also
       references [[9][31],[13][32],[15][33]] in the Selected Bibliography.
    
        - Send subscribe and unsubscribe messages to the appropriate
          address.  Although some mailing list software is smart enough
    
    
    
    Hambridge                    Informational                      [Page 9]

* * *
    
    
    [ ][34]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
          to catch these, not all can ferret these out.  It is your
          responsibility to learn how the lists work, and to send the
          correct mail to the correct place.  Although many many mailing
          lists adhere to the convention of having a "-request" alias for
          sending subscribe and unsubscribe messages, not all do.  Be sure
          you know the conventions used by the lists to which you subscribe.
    
        - Save the subscription messages for any lists you join.  These
          usually tell you how to unsubscribe as well.
    
        - In general, it's not possible to retrieve messages once you have
          sent them.  Even your system administrator will not be able to get
          a message back once you have sent it.  This means you must make
          sure you really want the message to go as you have written it.
    
        - The auto-reply feature of many mailers is useful for in-house
          communication, but quite annoying when sent to entire mailing
          lists. Examine "Reply-To" addresses when replying to messages
          from lists.  Most auto-replys will go to all members of the
          list.
    
        - Don't send large files to mailing lists when Uniform
          Resource Locators (URLs) or pointers to ftp-able versions
          will do.  If you want to send it as multiple files, be
          sure to follow the culture of the group.  If you don't
          know what that is, ask.
    
        - Consider unsubscribing or setting a "nomail" option (when it's
          available) when you cannot check your mail for an extended
          period.
    
        - When sending a message to more than one mailing list, especially
          if the lists are closely related, apologize for cross-posting.
    
        - If you ask a question, be sure to post a summary.  When doing so,
          truly summarize rather than send a cumulation of the messages you
          receive.
    
        - Some mailing lists are private.  Do not send mail to these lists
          uninvited.  Do not report mail from these lists to a wider
          audience.
    
        - If you are caught in an argument, keep the discussion focused on
          issues rather than the personalities involved.
    
    
    
    
    
    
    
    Hambridge                    Informational                     [Page 10]

* * *
    
    
    [ ][35]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
    [3.1.3][36]  NetNews Guidelines
    
       NetNews is a globally distributed system which allows people to
       communicate on topics of specific interest.  It is divided into
       hierarchies, with the major divisions being: sci - science related
       discussions; comp - computer related discussions; news - for
       discussions which center around NetNews itself; rec - recreational
       activities; soc - social issues; talk - long-winded never-ending
       discussions; biz - business related postings; and alt - the alternate
       hierarchy.  Alt is so named because creating an alt group does not go
       through the same process as creating a group in the other parts of
       the hierarchy.  There are also regional hierarchies, hierarchies
       which are widely distributed such as Bionet, and your place of
       business may have its own groups as well.  Recently, a "humanities"
       hierarchy was added, and as time goes on its likely more will be
       added.  For longer discussions on News see references [[2][37],[8][38],[22][39],[23][13]] in
       the Selected Bibliography.
    
        - In NetNews parlance, "Posting" refers to posting a new article
          to a group, or responding to a post someone else has posted.
          "Cross-Posting" refers to posting a message to more than one
          group.  If you introduce Cross-Posting to a group, or if you
          direct "Followup-To:" in the header of your posting, warn
          readers!  Readers will usually assume that the message was
          posted to a specific group and that followups will go to
          that group.  Headers change this behavior.
    
        - Read all of a discussion in progress (we call this a thread)
          before posting replies.  Avoid posting "Me Too" messages,
          where content is limited to agreement with previous posts.
          Content of a follow-up post should exceed quoted content.
    
        - Send mail when an answer to a question is for one person only.
          Remember that News has global distribution and the whole world
          probably is NOT interested in a personal response.  However, don't
          hesitate to post when something will be of general interest to the
          Newsgroup participants.
    
        - Check the "Distribution" section of the header, but don't
          depend on it.  Due to the complex method by which News is
          delivered, Distribution headers are unreliable.  But, if you
          are posting something which will be of interest to a limited
          number or readers, use a distribution line that attempts to
          limit the distribution of your article to those people.  For
          example, set the Distribution to be "nj" if you are posting
          an article that will be of interest only to New Jersey readers.
    
    
    
    
    
    Hambridge                    Informational                     [Page 11]

* * *
    
    
    [ ][40]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
        - If you feel an article will be of interest to more than one
          Newsgroup, be sure to CROSSPOST the article rather than individually
          post it to those groups.  In general, probably only five-to-six
          groups will have similar enough interests to warrant this.
    
        - Consider using Reference sources (Computer Manuals, Newspapers,
          help files) before posting a question.  Asking a Newsgroup where
          answers are readily available elsewhere generates grumpy "RTFM"
          (read the fine manual - although a more vulgar meaning of the
          word beginning with "f" is usually implied) messages.
    
        - Although there are Newsgroups which welcome advertising,
          in general it is considered nothing less than criminal
          to advertise off-topic products.  Sending an advertisement
          to each and every group will pretty much guarantee your loss of
          connectivity.
    
        - If you discover an error in your post, cancel it as soon as
          possible.
    
        - DO NOT attempt to cancel any articles but your own.  Contact
          your administrator if you don't know how to cancel your post,
          or if some other post, such as a chain letter, needs canceling.
    
        - If you've posted something and don't see it immediately,
          don't assume it's failed and re-post it.
    
        - Some groups permit (and some welcome) posts which in other
          circumstances would be considered to be in questionable taste.
          Still, there is no guarantee that all people reading the group
          will appreciate the material as much as you do.  Use the Rotate
          utility (which rotates all the characters in your post by 13
          positions in the alphabet) to avoid giving offense.   The
          Rot13 utility for Unix is an example.
    
        - In groups which discuss movies or books it is considered essential
          to mark posts which disclose significant content as "Spoilers".
          Put this word in your Subject: line.  You may add blank lines to
          the beginning of your post to keep content out of sight, or you
          may Rotate it.
    
        - Forging of news articles is generally censured. You can protect
          yourself from forgeries by using software which generates a
          manipulation detection "fingerprint", such as PGP (in the US).
    
        - Postings via anonymous servers are accepted in some Newsgroups
          and disliked in others.  Material which is inappropriate when
          posted under one's own name is still inappropriate when posted
    
    
    
    Hambridge                    Informational                     [Page 12]

* * *
    
    
    [ ][41]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
          anonymously.
    
        - Expect a slight delay in seeing your post when posting to a
          moderated group.  The moderator may change your subject
          line to have your post conform to a particular thread.
    
        - Don't get involved in flame wars.  Neither post nor respond
          to incendiary material.
    
    [3.2][42]    Administrator Guidelines
    
    [3.2.1][43] General Issues
    
        - Clarify any policies your site has regarding its subscription
          to NetNews groups and about subscribing to mailing lists.
    
        - Clarify any policies your site has about posting to NetNews
          groups or to mailing lists, including use of disclaimers in .sigs.
    
        - Clarify and publicize archive policy.  (How long are articles
          kept?)
    
        - Investigate accusations about your users promptly and with an
          open mind.
    
        - Be sure to monitor the health of your system.
    
        - Consider how long to archive system logs, and publicize your
          policy on logging.
    
    [3.2.2][44]  Mailing Lists
    
        - Keep mailing lists up to date to avoid the "bouncing mail" problem.
    
        - Help list owners when problems arise.
    
        - Inform list owners of any maintenance windows or planned downtime.
    
        - Be sure to have "-request" aliases for list subscription and
          administration.
    
        - Make sure all mail gateways operate smoothly.
    
    [3.2.3][45]. NetNews
    
        - Publicize the nature of the feed you receive.  If you do not get
          a full feed, people may want to know why not.
    
    
    
    
    Hambridge                    Informational                     [Page 13]

* * *
    
    
    [ ][46]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
        - Be aware that the multiplicity of News Reader clients may cause
          the News Server being blamed for problems in the clients.
    
        - Honor requests from users immediately if they request cancellation
          of their own posts or invalid posts, such as chain letters.
    
        - Have "Usenet", "Netnews" and "News" aliased and make sure someone
          reads the mail.
    
    [3.3][47] Moderator Guidelines
    
    [3.3.1][48] General Guidelines
    
        - Make sure your Frequestly Asked Questions (FAQ) is posted at
          regular intervals.  Include your guidelines for articles/messages.
          If you are not the FAQ maintainer, make sure they do so.
    
        - Make sure you maintain a good welcome message, which contains
          subscribe and unsubscribe information.
    
        - Newsgroups should have their charter/guidelines posted
          regularly.
    
        - Keep mailing lists and Newsgroups up to date. Post
          messages in a timely fashion.  Designate a substitute
          when you go on vacation or out of town.
    
    [4.0][49]  Information Services (Gopher, Wais, WWW, ftp, telnet)
    
       In recent Internet history, the 'Net has exploded with new and varied
       Information services.  Gopher, Wais, World Wide Web (WWW), Multi-User
       Dimensions (MUDs) Multi-User Dimensions which are Object Oriented
       (MOOs) are a few of these new areas.  Although the ability to find
       information is exploding, "Caveat Emptor" remains constant.  For more
       information on these services, check references [[14][50],[28][51]] in the
       Selected Bibliography.
    
    [4.1][52] User Guidelines
    
    [4.1.1][53]. General guidelines
    
        - Remember that all these services belong to someone else.  The
          people who pay the bills get to make the rules governing usage.
          Information may be free - or it may not be!  Be sure you check.
    
        - If you have problems with any form of information service, start
          problem solving by checking locally:  Check file configurations,
          software setup, network connections, etc.  Do this before assuming
    
    
    
    Hambridge                    Informational                     [Page 14]

* * *
    
    
    [ ][54]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
          the problem is at the provider's end and/or is the provider's
          fault.
    
        - Although there are naming conventions for file-types used, don't
          depend on these file naming conventions to be enforced.  For
          example, a ".doc" file is not always a Word file.
    
        - Information services also use conventions, such as www.xyz.com.
          While it is useful to know these conventions, again, don't
          necessarily rely on them.
    
        - Know how file names work on your own system.
    
        - Be aware of conventions used for providing information during
          sessions.  FTP sites usually have files named README in a top
          level directory which have information about the files available.
          But, don't assume that these files are necessarily up-to-date
          and/or accurate.
    
        - Do NOT assume that ANY information you find is up-to-date and/or
          accurate.  Remember that new technologies allow just about anyone
          to be a publisher, but not all people have discovered the
          responsibilities which accompany publishing.
    
        - Remember that unless you are sure that security and authentication
          technology is in use, that any information you submit to a system
          is being transmitted over the Internet "in the clear", with no
          protection from "sniffers" or forgers.
    
        - Since the Internet spans the globe, remember that Information
          Services might reflect culture and life-style markedly different
          from your own community.  Materials you find offensive may
          originate in a geography which finds them acceptable.  Keep an open
          mind.
    
        - When wanting information from a popular server, be sure to use
          a mirror server that's close if a list is provided.
    
        - Do not use someone else's FTP site to deposit materials you
          wish other people to pick up.  This is called "dumping" and
          is not generally acceptable behavior.
    
        - When you have trouble with a site and ask for help, be sure to
          provide as much information as possible in order to help
          debug the problem.
    
    
    
    
    
    
    Hambridge                    Informational                     [Page 15]

* * *
    
    
    [ ][55]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
        - When bringing up your own information service, such as a homepage,
          be sure to check with your local system administrator to find what
          the local guidelines are in affect.
    
        - Consider spreading out the system load on popular sites by
          avoiding "rush hour" and logging in during off-peak times.
    
    [4.1.2][56] Real Time Interactive Services Guidelines (MUDs MOOs IRC)
    
        - As in other environments, it is wise to "listen" first to
          get to know the culture of the group.
    
        - It's not necessary to greet everyone on a channel or room
          personally.  Usually one "Hello" or the equivalent is enough.
          Using the automation features of your client to greet people is
          not acceptable behavior.
    
        - Warn the participants if you intend to ship large quantities
          of information.  If all consent to receiving it, you may send,
          but sending unwanted information without a warning is considered
          bad form just as it is in mail.
    
        - Don't assume that people who you don't know will want to talk to
          you.  If you feel compelled to send private messages to people you
          don't know, then be willing to accept gracefully the fact that they
          might be busy or simply not want to chat with you.
    
        - Respect the guidelines of the group.  Look for introductory
          materials for the group.  These may be on a related ftp site.
    
        - Don't badger other users for personal information such as sex, age,
          or location.  After you have built an acquaintance with another user,
          these questions may be more appropriate, but many people
          hesitate to give this information to people with whom they are
          not familiar.
    
        - If a user is using a nickname alias or pseudonym, respect that
          user's desire for anonymity.  Even if you and that person are
          close friends, it is more courteous to use his nickname.  Do
          not use that person's real name online without permission.
    
    
    
    
    
    
    
    
    
    
    
    Hambridge                    Informational                     [Page 16]

* * *
    
    
    [ ][57]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
    [4.2][58] Administrator Guidelines
    
    [4.2.1][59] General Guidelines
    
        - Make clear what's available for copying and what is not.
    
        - Describe what's available on your site, and your organization.
          Be sure any general policies are clear.
    
        - Keep information, especially READMEs, up-to-date.  Provide READMEs
          in plain ascii text.
    
        - Present a list of mirrors of your site if you know them.  Make
          sure you include a statement of copyright applicable to your
          mirrors.  List their update schedule if possible.
    
        - Make sure that popular (and massive) information has the bandwidth
          to support it.
    
        - Use conventions for file extensions  - .txt for ascii text; .html
          or .htm for HTML; .ps for Postscript; .pdf for Portable Document
          Format; .sgml or .sgm for SGML; .exe for non-Unix executables, etc.
    
        - For files being transferred, try to make filenames unique in the
          first eight characters.
    
        - When providing information, make sure your site has something
          unique to offer.  Avoid bringing up an information service which
          simply points to other services on the Internet.
    
        - Don't point to other sites without asking first.
    
        - Remember that setting up an information service is more than just
          design and implementation.  It's also maintenance.
    
        - Make sure your posted materials are appropriate for the supporting
          organization.
    
        - Test applications with a variety of tools.  Don't assume everything
          works if you've tested with only one client.  Also, assume the low
          end of technology for clients and don't create applications which
          can only be used by Graphical User Interfaces.
    
        - Have a consistent view of your information.  Make sure the look
          and feel stays the same throughout your applications.
    
    
    
    
    
    
    Hambridge                    Informational                     [Page 17]

* * *
    
    
    [ ][60]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
        - Be sensitive to the longevity of your information.  Be sure to
          date time-sensitive materials, and be vigilant about keeping
          this information well maintained.
    
        - Export restrictions vary from country to country.  Be sure you
          understand the implications of export restrictions when you post.
    
        - Tell users what you plan to do with any information you collect,
          such as WWW feedback.  You need to warn people if you plan to
          publish any of their statements, even passively by just making it
          available to other users.
    
        - Make sure your policy on user information services, such as
          homepages, is well known.
    
    [5.0][61] Selected Bibliography
    
       This bibliography was used to gather most of the information in the
       sections above as well as for general reference.  Items not
       specifically found in these works were gathered from the IETF-RUN
       Working Group's experience.
    
       [1]  Angell, D., and B. Heslop, "The Elements of E-mail Style",
            New York: Addison-Wesley, 1994.
    
       [2]  "Answers to Frequently Asked Questions about Usenet"
            Original author: jerry@eagle.UUCP (Jerry Schwarz)
            Maintained by:  netannounce@deshaw.com (Mark Moraes)
            Archive-name: usenet-faq/part1
    
       [3]  Cerf, V., "Guidelines for Conduct on and Use of
            Internet", at: <URL://http://www.isoc.org/proceedings/
            conduct/cerf-Aug-draft.html>
    
       [4]  Dern, D., "The Internet Guide for New Users", New York:
            McGraw-Hill, 1994.
    
       [5]  "Emily Postnews Answers Your Questions on Netiquette"
            Original author: brad@looking.on.ca (Brad Templeton)
            Maintained by:  netannounce@deshaw.com (Mark Moraes)
            Archive-name: emily-postnews/part1
    
       [6]  Gaffin, A., "Everybody's Guide to the Internet",  Cambridge,
            Mass., MIT Press, 1994.
    
    
    
    
    
    
    
    Hambridge                    Informational                     [Page 18]

* * *
    
    
    [ ][62]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
       [7]  "Guidelines for Responsible Use of the Internet"
            from the US house of Representatives gopher, at:
            <URL:gopher://gopher.house.gov:70/OF-1%3a208%3aInternet
            %20Etiquette>
    
       [8]  How to find the right place to post (FAQ)
            by buglady@bronze.lcs.mit.edu (Aliza R. Panitz)
            Archive-name: finding-groups/general
    
       [9]  Hambridge, S., and J. Sedayao, "Horses and Barn Doors:
            Evolution of Corporate Guidelines for Internet Usage",
            LISA VII, Usenix, November 1-5, 1993, pp. 9-16.
            <URL: <ftp://ftp.intel.com/pub/papers/horses.ps> or
            horses.ascii>
    
       [10] Heslop, B., and D. Angell, "The Instant Internet guide :
            Hands-on Global Networking", Reading, Mass., Addison-Wesley,
            1994.
    
       [11] Horwitz, S., "Internet Etiquette Tips",
            <<ftp://ftp.temple.edu/pub/info/help-net/netiquette.infohn>>
    
       [12] Internet Activities Board, "Ethics and the Internet", [RFC 1087][63],
            IAB, January 1989. <URL: <ftp://ds.internic.net/rfc/rfc1087.txt>>
    
       [13] Kehoe, B., "Zen and the Art of the Internet: A Beginner's
            Guide", Netiquette information is spread through the chapters
            of this work. 3rd ed. Englewood Cliffs, NJ., Prentice-Hall,
            1994.
    
       [14] Kochmer, J., "Internet Passport: NorthWestNet's Guide
            to our World Online",  4th ed.  Bellevue, Wash.,
            NorthWestNet, Northwest Academic Computing Consortium, 1993.
    
       [15] Krol, Ed, "The Whole Internet: User's Guide and
            Catalog", Sebastopol, CA, O'Reilly & Associates,
            1992.
    
       [16] Lane, E. and C. Summerhill, "Internet Primer for
            Information Professionals: a basic guide to Internet networking
            technology", Westport, CT, Meckler, 1993.
    
       [17] LaQuey, T., and J. Ryer, "The Internet Companion",
            Chapter 3 "Communicating with People", pp 41-74. Reading,
            MA, Addison-Wesley, 1993.
    
    
    
    
    
    
    Hambridge                    Informational                     [Page 19]

* * *
    
    
    [ ][64]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
       [18] Mandel, T., "Surfing the Wild Internet", SRI International
            Business Intelligence Program, Scan No. 2109.  March, 1993.
            <URL: gopher://gopher.well.sf.ca.us:70/00/Communications/
            surf-wild>
    
       [19] Martin, J., "There's Gold in them thar Networks! or Searching for
            Treasure in all the Wrong Places", FYI 10, [RFC 1402][65],
            January 1993. <URL: <ftp://ds.internic.net/rfc/rfc1402.txt>>
    
       [20] Pioch, N., "A Short IRC Primer", Text conversion
            by Owe Rasmussen.  Edition 1.1b, February 28, 1993.
            <URL: <http://www.kei.com/irc/IRCprimer1.1.txt>>
    
       [21] Polly, J., "Surfing the Internet: an Introduction",
            Version 2.0.3.  Revised May 15, 1993.
            <URL: gopher://nysernet.org:70/00/ftp%20archives/
            pub/resources/guides/surfing.2.0.3.txt>
            <URL: [ftp://ftp.nysernet.org/pub/resources/guides/][66]
            [surfing.2.0.3][66].txt>
    
       [22] "A Primer on How to Work With the Usenet Community"
            Original author: chuq@apple.com (Chuq Von Rospach)
            Maintained by:  netannounce@deshaw.com (Mark Moraes)
            Archive-name: usenet-primer/part1
    
       [23] Rinaldi, A., "The Net: User Guidelines and Netiquette",
            September 3, 1992.
            <URL: <http://www.fau.edu/rinaldi/net/index.htm>>
    
       [24] "Rules for posting to Usenet"
            Original author: spaf@cs.purdue.edu (Gene Spafford)
            Maintained by:  netannounce@deshaw.com (Mark Moraes)
            Archive-name: posting-rules/part1
    
       [25] Shea, V., "Netiquette", San Francisco: Albion Books,
            1994?.
    
       [26] Strangelove, M., with A. Bosley, "How to Advertise
            on the Internet", ISSN 1201-0758.
    
       [27] Tenant, R., "Internet Basics", ERIC Clearinghouse of Information
            Resources, EDO-IR-92-7.  September, 1992.
            <URL: gopher://nic.merit.edu:7043/00/introducing.
            the.internet/internet.basics.eric-digest>
            <URL: gopher://vega.lib.ncsu.edu:70/00/library/
            reference/guides/tennet>
    
    
    
    
    
    Hambridge                    Informational                     [Page 20]

* * *
    
    
    [ ][67]
    [RFC 1855][10]                 Netiquette Guidelines              October 1995
    
    
       [28] Wiggins, R., "The Internet for everyone: a guide for
            users and providers", New York, McGraw-Hill, 1995.
    
    [6.0][68] Security Considerations
    
       Security issues are not discussed in this memo.
    
    [7.0][69] Author's Address
    
       Sally Hambridge
       Intel Corporation
       2880 Northwestern Parkway
       SC3-15
       Santa Clara, CA   95052
    
       Phone: 408-765-2931
       Fax:   408-765-3679
       EMail: sallyh@ludwig.sc.intel.com
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    Hambridge                    Informational                     [Page 21]
    
    

  
Html markup produced by rfcmarkup 1.126, available from <https://tools.ietf.org/tools/rfcmarkup/>

[1]: https://tools.ietf.org/html/ "Document search and retrieval page"
[2]: https://tools.ietf.org/rfc/rfc1855.txt "Plaintext version of this document"
[3]: https://tools.ietf.org/pdf/rfc1855 "PDF version of this document"
[4]: https://tools.ietf.org/draft-ietf-run-netiquette-guide "draft-ietf-run-netiquette-guide"
[5]: https://datatracker.ietf.org/doc/rfc1855 "IESG Datatracker information for this document"
[6]: /rfcdiff?difftype=--hwdiff&url2=rfc1855 "Inline diff (wdiff)"
[7]: /rfcdiff?url2=rfc1855 "Side-by-side diff"
[8]: https://tools.ietf.org#section-1.0
[9]: https://tools.ietf.org#page-2
[10]: https://tools.ietf.org/rfc1855
[11]: https://tools.ietf.org#section-2.0
[12]: https://tools.ietf.org#ref-1 ""The Elements of E-mail Style""
[13]: https://tools.ietf.org#ref-23 ""The Net: User Guidelines and Netiquette""
[14]: https://tools.ietf.org#ref-25 ""Netiquette""
[15]: https://tools.ietf.org#ref-27 ""Internet Basics""
[16]: https://tools.ietf.org#section-2.1
[17]: https://tools.ietf.org#section-2.1.1
[18]: https://tools.ietf.org#page-3
[19]: https://tools.ietf.org#page-4
[20]: https://tools.ietf.org#page-5
[21]: https://tools.ietf.org#page-6
[22]: https://tools.ietf.org#section-2.1.2
[23]: https://tools.ietf.org#page-7
[24]: https://tools.ietf.org#section-2.2
[25]: https://tools.ietf.org#section-3.0
[26]: https://tools.ietf.org#section-3.1
[27]: https://tools.ietf.org#section-3.1.1
[28]: https://tools.ietf.org#page-8
[29]: https://tools.ietf.org#page-9
[30]: https://tools.ietf.org#section-3.1.2
[31]: https://tools.ietf.org#ref-9 ""Horses and Barn Doors: Evolution of Corporate Guidelines for Internet Usage""
[32]: https://tools.ietf.org#ref-13 ""Zen and the Art of the Internet: A Beginner's Guide""
[33]: https://tools.ietf.org#ref-15 ""The Whole Internet: User's Guide and Catalog""
[34]: https://tools.ietf.org#page-10
[35]: https://tools.ietf.org#page-11
[36]: https://tools.ietf.org#section-3.1.3
[37]: https://tools.ietf.org#ref-2 ""Answers to Frequently Asked Questions about Usenet""
[38]: https://tools.ietf.org#ref-8
[39]: https://tools.ietf.org#ref-22 ""A Primer on How to Work With the Usenet Community""
[40]: https://tools.ietf.org#page-12
[41]: https://tools.ietf.org#page-13
[42]: https://tools.ietf.org#section-3.2
[43]: https://tools.ietf.org#section-3.2.1
[44]: https://tools.ietf.org#section-3.2.2
[45]: https://tools.ietf.org#section-3.2.3
[46]: https://tools.ietf.org#page-14
[47]: https://tools.ietf.org#section-3.3
[48]: https://tools.ietf.org#section-3.3.1
[49]: https://tools.ietf.org#section-4.0
[50]: https://tools.ietf.org#ref-14 ""Internet Passport: NorthWestNet's Guide to our World Online""
[51]: https://tools.ietf.org#ref-28 ""The Internet for everyone: a guide for users and providers""
[52]: https://tools.ietf.org#section-4.1
[53]: https://tools.ietf.org#section-4.1.1
[54]: https://tools.ietf.org#page-15
[55]: https://tools.ietf.org#page-16
[56]: https://tools.ietf.org#section-4.1.2
[57]: https://tools.ietf.org#page-17
[58]: https://tools.ietf.org#section-4.2
[59]: https://tools.ietf.org#section-4.2.1
[60]: https://tools.ietf.org#page-18
[61]: https://tools.ietf.org#section-5.0
[62]: https://tools.ietf.org#page-19
[63]: https://tools.ietf.org/rfc1087
[64]: https://tools.ietf.org#page-20
[65]: https://tools.ietf.org/rfc1402
[66]: ftp://ftp.nysernet.org/pub/resources/guides/surfing.2.0.3
[67]: https://tools.ietf.org#page-21
[68]: https://tools.ietf.org#section-6.0
[69]: https://tools.ietf.org#section-7.0

