---
created_at: '2016-10-07T23:34:01.000Z'
title: 'Paul Erdős: a life that added up to something (1996)'
url: https://people.math.osu.edu/nevai.1/AT/ERDOS/erdos_washington_post.html
author: michaelhoffman
points: 246
story_text: 
comment_text: 
num_comments: 64
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1475883241
_tags:
- story
- author_michaelhoffman
- story_12664721
objectID: '12664721'

---
[Source](https://people.math.osu.edu/nevai.1/AT/ERDOS/erdos_washington_post.html "Permalink to Erdos article - Washington Post")

# Erdos article - Washington Post

## A life that added up to something

**by Charles Krauthammer**  

**Washington Post Writers Group**  

WASHINGTON - One of the most extraordinary minds of our time has "left." "Left" is the word Paul Erdos, a prodigiously gifted and productive mathematician, used for "died." "Died" is the word he used to signify "stopped doing math." Erdos never died. He continued doing math, notoriously a young person's field, right until the day he died Friday, Sept. 20. He was 83. 

It wasn't just his vocabulary that was eccentric. Erdos' whole life was so improbable no novelist could have invented him (though he was chronicled beautifully by Paul Hoffman in the November 1987 Atlantic Monthly). 

He had no home, no family, no possessions, no address. He went from math conference to math conference, from university to university, knocking on the doors of mathematicians throughout the world, declaring "My brain is open" and moving in. His colleagues, grateful for a few days collaboration with Erdos - his mathematical breadth was as impressive as his depth - took him in. 

Erdos traveled with two suitcases, each half-full. One had a few clothes; the other, mathematical papers. He owned nothing else. Nothing. His friends took care of the affairs of everyday life for him - checkbook, tax returns, food. He did numbers. 

He seemed sentenced to a life of solitariness from birth, on the day of which his two sisters, age 3 and 5, died of scarlet fever, leaving him an only child, doted upon and kept at home by a fretful mother. Hitler disposed of nearly all the rest of his Hungarian Jewish family. And Erdos never married. His Washington Post obituary ends with this abrupt and rather painful line: "He leaves no immediate survivors." 

But in reality he did: hundreds of scientific collaborators and 1,500 mathematical papers produced with them. An astonishing legacy in a field where a lifetime product of 50 papers is considered extraordinary.  

Mathematicians tend to bloom early and die early. The great Indian genius, Srinivasa Ramanujan, died at 32. The great French mathematician, Evariste Galois died at 21. (In a duel. The night before, it is said, he stayed up all night writing down everything he knew. Premonition?) And those who don't literally die young, die young in Erdos' sense. By 30, they've lost it.  

Erdos didn't. He began his work early. At 20 he discovered a proof for a classic theorem of number theory (that between any number and its double must lie a prime, i. e., indivisible, number). He remained fecund till his death. Indeed, his friend and benefactor, Dr. (of math, of course) Ron Graham, estimates that perhaps 50 new Erdos papers are still to appear.  

Erdos was unusual in yet one other respect. The notion of the itinerant, eccentric genius, totally absorbed in his own world of thought, is a cliche that almost always attaches to the adjective "anti-social." From Bobby Fischer to Howard Hughes, obsession and misanthropy seem to go together.  

Not so Erdos. He was gentle, open and generous with others. He believed in making mathematics a social activity. Indeed, he was the most prolifically collaborative mathematician in history. Hundreds of colleagues who have published with him or been advised by him can trace some breakthrough or insight to an evening with Erdos, brain open.  

That sociability sets him apart from other mathematical geniuses. Andrew Wiles, for example, recently achieved fame for having solved math's Holy Grail, Fermat's Last Theorem - alter having worked on it for seven years in his attic!  

Erdos didn't just share his genius. He shared his money. It seems comical to say so because he had so little. But, in fact, it is rather touching. He had so little because he gave away everything he earned. He was a soft touch for whatever charitable or hard luck cause came his way. In India, he once gave away the proceeds from a few lectures he had delivered there to Ramanujan's impoverished widow.  

A few years ago, Graham tells me, Erdos heard of a promising young mathematician who wanted to go to Harvard but was short the money needed. Erdos arranged to see him and lent him $1,000. (The sum total of the money Erdos carried around at any one time was about $30.) He told the young man he could pay it back when he was able to. Recently, the young man called Graham to say that he had gone through Harvard and was now teaching at Michigan and could finally pay the money back. What should he do?  

Graham consulted Erdos. Erdos said, "Tell him to do with the $1,000 what I did."  

No survivors, indeed. 

* * *

[Return to Jeff Miller's home page][1]  

[1]: http://members.aol.com/jeff560/jeff.html

