---
created_at: '2017-07-31T12:13:55.000Z'
title: Why the Best Doesn't Always Win (1996)
url: http://www.nytimes.com/1996/05/05/magazine/why-the-best-doesn-t-always-win.html
author: plainOldText
points: 66
story_text: 
comment_text: 
num_comments: 34
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1501503235
_tags:
- story
- author_plainOldText
- story_14891191
objectID: '14891191'

---
[Source](http://www.nytimes.com/1996/05/05/magazine/why-the-best-doesn-t-always-win.html "Permalink to Why the Best Doesn't Always Win - The New York Times")

# Why the Best Doesn't Always Win - The New York Times

__NYTimes.com no longer supports Internet Explorer 9 or earlier. Please upgrade your browser. [LEARN MORE »][1]

__Sections __ Home __Search [Skip to content][2] [Skip to navigation][3] [View mobile version][4]

##  [ The New York Times ][5]

###### [Magazine][6]|Why the Best Doesn't Always Win

__Search

Subscribe Now Log In __0 __Settings

__Close search

## Site Search Navigation

Search NYTimes.com

__Clear this text input

Go

## Site Navigation

## Site Mobile Navigation

Advertisement

Supported by

###  [Magazine][6]

# Why the Best Doesn't Always Win

By PETER PASSELLMAY 5, 1996

[Continue reading the main story][7] Share This Page

[Continue reading the main story][7]

APPLE COMPUTER, THE COMPANY THAT BROUGHT YOU THE idiot-friendly Macintosh, is staring at bankruptcy. Meanwhile, the great army of technocrats at Microsoft, which only last year managed to reproduce the look and feel of a 1980's Mac, lumbers on, invincible.

A bad break for Apple? A rare exception to the Darwinian rules in which the best products win the hearts and dollars of consumers? No. Economists are finally beginning to acknowledge what others have long suspected: the best doesn't always win. Just as biologists are challenging the idea that natural selection drives evolution along "efficient" and predictable paths, economists are discovering the disorder that lurks in the shadows of their simple, elegant models of capitalist progress. Adam Smith's invisible hand, it seems, does not always assure that superior technology will survive the rough-and-tumble of the free market.

Recent wisdom on this subject dates back to 1985. That's the year Paul David, an economic historian at Stanford University, published an article about QWERTY in The American Economic Review. Q-W-E-R-T-Y, of course, are the first six letters on the upper left of the typewriter keyboard -- the universal standard since the 1890's. But why these? Why not one of half a dozen other keyboard layouts that are said to permit faster typing?

David's answer is that QWERTY was the solution to a fleeting technological problem, an arrangement that would minimize the jamming of keys in primitive typewriters. While this explanation has since been challenged, what matters is that one keyboard, chosen for reasons long irrelevant, remains the standard. For all their ingenuity, competing designs have made about as much headway against QWERTY as Esperanto has made against English. That's because a standardized layout allows typists to learn just one keyboard in order to use all. Once thousands of people had learned to type using QWERTY's merely adequate layout, the technology was effectively locked in. Keyboard design is thus the classic example of "path dependence," the idea that small, random events at critical moments can determine choices in technology that are extremely difficult and expensive to change.

Advertisement

[Continue reading the main story][7]

In the typical path-dependence scenario, producers or consumers see one technology as slightly superior. This edge quickly snowballs into clear economic advantage: production costs fall with greater experience in manufacturing, and consumer acceptance grows with greater familiarity. And along the way, the weight of numbers makes the leading product more valuable than one based on competing technologies. With more MS-DOS computers around, it pays to write software to the Microsoft standard, which in turn makes it more useful to own an MS-DOS computer.

[Continue reading the main story][8]

Advertisement

[Continue reading the main story][9]

The most familiar example of path dependence is the triumph of Matsushita's VHS standard for videocassette recorders over Sony's Betamax. Betamax was first and, by most accounts, better. But Sony made two strategic marketing errors. To get the product out the door faster, it initially sold Betamax machines that played one-hour tapes -- too short for an entire movie. And to sell more Sony machines, the company chose not to license Betamax to competitors.

VHS, introduced a year later, in 1976, played two-hour tapes. And since Matsushita freely licensed the technology, half a dozen other brand-name VHS players hit the stores in a matter of months. Sony soon countered with a two-hour machine, but it was too late.

While VHS versus Betamax makes great fodder for business school seminars, the outcome hardly made the earth move. The stakes have been much higher in technologies that are now so entrenched it's hard to imagine the world without them. Take the automobile engine. At the turn of the century, gasoline was locked in a three-way race with steam and electric power. The Stanley Steamer was a technological marvel, setting a world speed record of 122 miles an hour in 1909. But the manufacturer priced the car as a luxury, never trying to achieve the economies of mass production and of "learning by doing" that might have made it the people's car.

Moreover, steam's economic problems were compounded by an outbreak of hoof-and-mouth disease in 1914 that briefly closed public horse troughs and denied steam cars a convenient source of water for their perpetually thirsty boilers. With better technology or simply many more steam cars on the road, this liability would have evaporated. But car buyers had little incentive to make a leap of faith when plausible alternatives were available. One of those alternatives was the electric car, whose weakness was a driving range limited by the storage capacity of its batteries. That problem seemed well on its way to solution around 1915. But innovators in the battery industry were distracted by the more immediate need to perfect a high-amperage battery to crank the new electric starters in cars with gasoline engines.

Apparently all the gasoline engine needed to triumph was a brief period in which its technological and price edge led to rapidly expanding sales. This cut production costs, which expanded sales even more -- and made it more convenient to fuel and service gasoline vehicles.

Today, of course, dependence on gasoline engines is a fact of life. While electric or steam vehicles would reduce air pollution and dependence on imported oil, it would take an investment of tens or even hundreds of billions of dollars to leap the technological chasm. Indeed, California, which has mandated the use of electric cars, is just now facing the reality that the existing technology is wretchedly inadequate to the task.

Robin Cowan of the University of Western Ontario offers a second cautionary tale of path dependence. The world is stuck with another functional, but environmentally problematic, technology: the "light water" nuclear reactor, whose momentary superiority over reactors that use inert gases led to the virtual abandonment of alternatives.

## Newsletter Sign Up

[Continue reading the main story][10]

### 

Please verify you're not a robot by clicking the box.

Invalid email address. Please re-enter.

You must select a newsletter to subscribe to.

Sign Up

You agree to receive occasional updates and special offers for The New York Times's products and services.

### Thank you for subscribing.

### An error has occurred. Please try again later.

### You are already subscribed to this email.

[View all New York Times newsletters.][11]

* [See Sample][12]
* [Manage Email Preferences][13]
* [Not you?][14]
* [Privacy Policy][15]
* Opt out or [contact us][16] anytime

In the mid-1950's there was no particular reason to believe that light-water reactors were the cheapest to build and operate. But the Navy invested heavily in light water, which was seen as the most compact and reliable design for submarines and aircraft carriers. When Washington pressed for a quick scale-up to commercial nuclear power after the Soviet Union exploded a nuclear weapon, American manufacturers took the route of least technological resistance.

Advertisement

[Continue reading the main story][17]

Later, Washington used subsidies for design and manufacturing to persuade the Europeans to switch to a light-water standard. And once light-water reactors were produced in quantity, the manufacturers learned-by-doing, cutting costs well below those of competing designs.

Perhaps light-water reactors would have prevailed in any event. But there is little doubt that a competing gas-graphite system was safer because it offered greater protection against catastrophic loss of coolant. With global warming now looming, the "lock-in" to atmospherically benign -- but widely feared -- light-water nuclear technology must count as an opportunity lost.

If path dependence is such a big deal, why are college freshmen unlikely to encounter the idea in Econ. 101? Brian Arthur, a pioneer in the field at Stanford in the early 1980's who now does research at the Santa Fe Institute, blames tradition-bound economists. Put it another way: the "technology" of modern economics is itself path dependent, because economists have so much invested elsewhere.

More important, free marketeers fear that path dependence will become a rationale for bigger government -- and is thus the Devil's work. If competitive markets do not guarantee that the best technologies survive, the thinking goes, surely sometime-liberals like Bill Clinton will be more tempted to try to pick winners.

The twist here is that the perspective of path dependence offers no succor to industrial-policy enthusiasts. It was Washington, after all, that locked in light-water nuclear reactor technology. And it was Tokyo that cursed its manufacturers with a high-definition television that was obsolete before the first receiver was sold.

But a world haunted by path dependence does cry out for a different sort of intervention. Government as the referee who makes everyone play by the same impartial rules is not quite enough.

The first goal is to get government to slow down and think twice before setting hard-to-reverse technological standards. The Federal Communications Commission was criticized for dragging its feet on setting standards for the new high-definition television. Because it dawdled, however, digital technology had a chance to prove itself before the F.C.C. got around to writing the final rules. But the lesson also applies to cases that everyone would rather forget, like Washington's premature decision to back recyclable space shuttles over throwaway rocket launchers.

The more controversial issue is antitrust -- think Microsoft. It often pays an individual company to set a standard by flexing its own marketing muscle long before a clear winner has emerged. And the risks of path dependence suggest that Washington would do well to slow such private standard-setting until competitors had a chance to strut their stuff.

The Government will no doubt be called on to take a stand on some looming path-dependence battles: all-purpose personal computers versus cheaper, appliance-like "network computers" that do one thing well; wireless personal communications versus high-capacity cable; Internet software built around Netscape's browser versus software that piggy-backs on the Microsoft Network.

Advertisement

[Continue reading the main story][18]

Would Adam Smith approve of venturing where the invisible hand doesn't have a clue? Perhaps not. But then the old guy never had to worry about Microsoft's clumsy software chewing up a chapter of "The Wealth of Nations."

Peter Passell writes about economics for The Times. His last article for the Magazine

[Continue reading the main story][19]

[

We’re interested in your feedback on this page. **Tell us what you think.**

][20]

## 

* * * * ## What's Next

Loading...

[Go to Home Page »][21]

##  Site Index [ The New York Times ][21]

## Site Index Navigation

### News

* [World][22]
* [U.S.][23]
* [Politics][24]
* [N.Y.][25]
* [Business][26]
* [Tech][27]
* [Science][28]
* [Health][29]
* [Sports][30]
* [Education][31]
* [Obituaries][32]
* [Today's Paper][33]
* [Corrections][34]

### Opinion

* [Today's Opinion][35]
* [Op-Ed Columnists][36]
* [Editorials][37]
* [Op-Ed Contributors][38]
* [Letters][39]
* [Sunday Review][40]
* [Video: Opinion][41]

### Arts

* [Today's Arts][42]
* [Art & Design][43]
* [Books][44]
* [Dance][45]
* [Movies][46]
* [Music][47]
* [N.Y.C. Events Guide][48]
* [Television][49]
* [Theater][50]
* [Video: Arts][51]

### Living

* [Automobiles][52]
* [Crossword][53]
* [Food][54]
* [Education][31]
* [Fashion & Style][55]
* [Health][29]
* [Jobs][56]
* [Magazine][5]
* [N.Y.C. Events Guide][48]
* [Real Estate][57]
* [T Magazine][58]
* [Travel][59]
* [Weddings & Celebrations][60]

### Listings & More

* [Reader Center][61]
* [Classifieds][62]
* [Tools & Services][63]
* [N.Y.C. Events Guide][48]
* [Multimedia][64]
* [Photography][65]
* [Video][66]
* [NYT Store][67]
* [Times Journeys][68]
* [Subscribe][69]
* [Manage My Account][70]
* [NYTCo][71]

### Subscribe

* Subscribe
* __ [Home Delivery][72]
* __ [Digital Subscriptions][73]
* __ [Crossword][74]
* [Email Newsletters][75]
* [Alerts][76]
* [Gift Subscriptions][77]
* [Group Subscriptions][78]
* [Education Rate][79]
* [Mobile Applications][80]
* [Replica Edition][81]

## Site Information Navigation

* [ © 2018 The New York Times Company ][82]
* [Home][83]
* [Search][84]
* Accessibility concerns? Email us at [accessibility@nytimes.com][85]. We would love to hear from you.
* [Contact Us][86]
* [Work With Us][87]
* [Advertise][88]
* [Your Ad Choices][89]
* [Privacy][90]
* [Terms of Service][91]
* [Terms of Sale][92]

## Site Information Navigation

* [Site Map][93]
* [Help][94]
* [Site Feedback][95]
* [Subscriptions][96]

[1]: http://www.nytimes.com/content/help/site/ie9-support.html
[2]: http://www.nytimes.com#story-header
[3]: http://www.nytimes.com#site-index-navigation
[4]: http://mobile.nytimes.com/1996/05/05/magazine/why-the-best-doesn-t-always-win.html
[5]: https://www.nytimes.com/section/magazine
[6]: https://www.nytimes.com/pages/magazine/index.html
[7]: http://www.nytimes.com#story-continues-1
[8]: http://www.nytimes.com#story-continues-2
[9]: http://www.nytimes.com#story-continues-3
[10]: http://www.nytimes.com#continues-post-newsletter
[11]: http://www.nytimes.com/newsletters
[12]: 
[13]: http://www.nytimes.com/mem/email.html
[14]: http://www.nytimes.com/logout
[15]: http://www.nytimes.com/privacy
[16]: http://www.nytimes.com/help/index.html
[17]: http://www.nytimes.com#story-continues-4
[18]: http://www.nytimes.com#story-continues-5
[19]: http://www.nytimes.com#whats-next
[20]: https://docs.google.com/forms/d/e/1FAIpQLSfLW30xgZodF1qRAg80oWEGuDpW-1HHaL0g42G3SmvB2f4lCw/viewform?entry.8537735=https://www.nytimes.com/1996/05/05/magazine/why-the-best-doesn-t-always-win.html
[21]: https://www.nytimes.com/
[22]: https://www.nytimes.com/section/world
[23]: https://www.nytimes.com/section/us
[24]: https://www.nytimes.com/section/politics
[25]: https://www.nytimes.com/section/nyregion
[26]: https://www.nytimes.com/section/business
[27]: https://www.nytimes.com/section/technology
[28]: https://www.nytimes.com/section/science
[29]: https://www.nytimes.com/section/health
[30]: https://www.nytimes.com/section/sports
[31]: https://www.nytimes.com/section/education
[32]: https://www.nytimes.com/section/obituaries
[33]: https://www.nytimes.com/pages/todayspaper/index.html
[34]: https://www.nytimes.com/section/corrections
[35]: https://www.nytimes.com/pages/opinion/index.html
[36]: https://www.nytimes.com/section/opinion/columnists
[37]: https://www.nytimes.com/section/opinion/editorials
[38]: https://www.nytimes.com/section/opinion/contributors
[39]: https://www.nytimes.com/section/opinion/letters
[40]: https://www.nytimes.com/section/opinion/sunday
[41]: https://www.nytimes.com/video/opinion
[42]: https://www.nytimes.com/section/arts
[43]: https://www.nytimes.com/section/arts/design
[44]: https://www.nytimes.com/section/books
[45]: https://www.nytimes.com/section/arts/dance
[46]: https://www.nytimes.com/section/movies
[47]: https://www.nytimes.com/section/arts/music
[48]: https://www.nytimes.com/events/
[49]: https://www.nytimes.com/section/arts/television
[50]: https://www.nytimes.com/section/theater
[51]: https://www.nytimes.com/video/arts
[52]: https://www.nytimes.com/section/automobiles
[53]: https://www.nytimes.com/crosswords
[54]: https://www.nytimes.com/pages/dining/index.html
[55]: https://www.nytimes.com/section/fashion
[56]: https://www.nytimes.com/section/jobs
[57]: https://www.nytimes.com/section/realestate
[58]: https://www.nytimes.com/section/t-magazine
[59]: https://www.nytimes.com/section/travel
[60]: https://www.nytimes.com/section/fashion/weddings
[61]: https://www.nytimes.com/section/reader-center
[62]: https://www.nytimes.com/ref/classifieds/
[63]: https://www.nytimes.com/marketing/tools-and-services/
[64]: https://www.nytimes.com/section/multimedia
[65]: https://lens.blogs.nytimes.com/
[66]: https://www.nytimes.com/video
[67]: https://store.nytimes.com/?action=click&contentCollection=NYT%20Store&contentPlacement=2&module=SectionsNav&pgtype=Homepage&region=TopBar&t=qry542&utm_campaign=NYT-HP&utm_content=hp_browsetree&utm_medium=HPB&utm_source=nytimes&version=BrowseTree
[68]: https://www.nytimes.com/times-journeys/?utm_source=nytimes&utm_medium=HPLink&utm_content=hp_browsetree&utm_campaign=NYT-HP
[69]: https://www.nytimes.com/seeallnav
[70]: https://www.nytimes.com/membercenter
[71]: http://www.nytco.com
[72]: https://www.nytimes.com/hdleftnav
[73]: https://www.nytimes.com/digitalleftnav
[74]: https://www.nytimes.com/crosswords/index.html
[75]: https://www.nytimes.com/marketing/newsletters
[76]: https://myaccount.nytimes.com/mem/tnt.html
[77]: https://www.nytimes.com/giftleftnav
[78]: https://www.nytimes.com/corporateleftnav
[79]: https://www.nytimes.com/educationleftnav
[80]: https://www.nytimes.com/services/mobile/index.html
[81]: http://eedition.nytimes.com/cgi-bin/signup.cgi?cc=37FYY
[82]: https://www.nytimes.com/content/help/rights/copyright/copyright-notice.html
[83]: https://www.nytimes.com
[84]: http://query.nytimes.com/search/sitesearch/#/
[85]: mailto:accessibility%40nytimes.com
[86]: https://www.nytimes.com/ref/membercenter/help/infoservdirectory.html
[87]: http://www.nytco.com/careers
[88]: http://nytmediakit.com/
[89]: https://www.nytimes.com/content/help/rights/privacy/policy/privacy-policy.html#pp
[90]: https://www.nytimes.com/privacy
[91]: https://www.nytimes.com/ref/membercenter/help/agree.html
[92]: https://www.nytimes.com/content/help/rights/sale/terms-of-sale.html
[93]: http://spiderbites.nytimes.com
[94]: https://www.nytimes.com/membercenter/sitehelp.html
[95]: https://myaccount.nytimes.com/membercenter/feedback.html
[96]: https://www.nytimes.com/subscriptions/Multiproduct/lp5558.html?campaignId=37WXW

