---
created_at: '2017-11-12T04:11:17.000Z'
title: Can a Human See a Single Photon? (1996)
url: http://math.ucr.edu/home/baez/physics/Quantum/see_a_photon.html
author: adenadel
points: 195
story_text: 
comment_text: 
num_comments: 91
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1510459877
_tags:
- story
- author_adenadel
- story_15679599
objectID: '15679599'

---
[Source](http://math.ucr.edu/home/baez/physics/Quantum/see_a_photon.html "Permalink to The Human Eye and Single Photons")

# The Human Eye and Single Photons

[[Physics FAQ]][1] \- [[Copyright]][2]

Original by Philip Gibbs 1996.

  

# Can a Human See a Single Photon?

The human eye is very sensitive but can we see a single photon?  The answer is that the sensors in the retina _can_ respond to a single photon.  However, neural filters only allow a signal to pass to the brain to trigger a conscious response when at least about five to nine arrive within less than 100 ms.  If we could consciously see single photons we would experience too much visual "noise" in very low light, so this filter is a necessary adaptation, not a weakness.

Some people have said that single photons can be seen and quote the fact that faint flashes from radioactive materials (for example) can be seen.  This is an incorrect argument.  Such flashes produce a large number of photons.  It is also not possible to determine sensitivity from the ability of amateur astronomers to see faint stars with the naked eye.  They are limited by background light before the true limits are reached.  To test visual sensitivity a more careful experiment must be performed.

The retina at the back of the human eye has two types of receptors, known as cones and rods.  The cones are responsible for colour vision, but are much less sensitive to low light than the rods.  In bright light the cones are active and the iris is stopped down.  This is called photopic vision.  When we enter a dark room, the eyes first adapt by opening up the iris to allow more light in.  Over a period of about 30 minutes, there are other chemical adaptations that make the rods become sensitive to light at about a 10,000th of the level needed for the cones to work.  After this time we see much better in the dark, but we have very little colour vision.  This is known as scotopic vision. 

The active substance in the rods is rhodopsin.  A single photon can be absorbed by a single molecule that changes shape and chemically triggers a signal that is transmitted to the optic nerve.  Vitamin A aldehyde also plays an essential role as a light-absorbing pigment.  A symptom of vitamin A deficiency is night blindness because of the failure of scotopic vision.

It is possible to test our visual sensitivity by using a very low level light source in a dark room.  The experiment was first done successfully by Hecht, Schlaer and Pirenne in 1942.  They concluded that the rods can respond to a single photon during scotopic vision.

In their experiment they allowed human subjects to have 30 minutes to get used to the dark.  They positioned a controlled light source 20 degrees to the left of the point on which the subject's eyes were fixed, so that the light would fall on the region of the retina with the highest concentration of rods.  The light source was a disk that subtended an angle of 10 minutes of arc and emitted a faint flash of 1 millisecond to avoid too much spatial or temporal spreading of the light.  The wavelength used was about 510 nm (green light).  The subjects were asked to respond "yes" or "no" to say whether or not they thought they had seen a flash.  The light was gradually reduced in intensity until the subjects could only guess the answer.

They found that about 90 photons had to enter the eye for a 60% success rate in responding.  Since only about 10% of photons arriving at the eye actually reach the retina, this means that about 9 photons were actually required at the receptors.  Since the photons would have been spread over about 350 rods, the experimenters were able to conclude statistically that the rods must be responding to single photons, even if the subjects were not able to see such photons when they arrived too infrequently.

In 1979 Baylor, Lamb and Yau were able to use toads' rods placed into electrodes to show directly that they respond to single photons.

### References

Julie Schnapf, "How Photoreceptors Respond to Light", Scientific American, April 1987

S. Hecht, S. Schlaer and M.H. Pirenne, "Energy, Quanta and vision."  Journal of the Optical Society of America, 38, 196-208 (1942)

D.A. Baylor, T.D. Lamb, K.W. Yau, "Response of retinal rods to single photons."  Journal of Physiology, Lond. 288, 613-634 (1979)

[1]: http://math.ucr.edu/index.html
[2]: http://math.ucr.edu/Administrivia/copyright.html

