---
created_at: '2016-06-21T09:27:54.000Z'
title: Is Faster-Than-Light Travel or Communication Possible? (1997)
url: http://math.ucr.edu/home/baez/physics/Relativity/SpeedOfLight/FTL.html
author: neverminder
points: 74
story_text: 
comment_text: 
num_comments: 84
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1466501274
_tags:
- story
- author_neverminder
- story_11944545
objectID: '11944545'

---
[Source](http://math.ucr.edu/home/baez/physics/Relativity/SpeedOfLight/FTL.html "Permalink to Faster Than Light")

# Faster Than Light

[[Physics FAQ]][1] \- [[Copyright]][2]

Updated 1998 by PEG.  
Original by Philip Gibbs 1997.

  

# Is Faster-Than-Light Travel or Communication Possible?

* 1\. [Cherenkov Effect][3]
* 2\. [Third Party Observers][4]
* 3\. [Shadows and Light Spots][5]
* 4\. [Rigid Bodies][6]
* 5\. [Phase, Group, and Signal Velocities][7]
* 6\. [Superluminal Galaxies][8]
* 7\. [Relativistic Rocket][9]
* 8\. [Speed of Gravity][10]
* 9\. [EPR Paradox][11]
* 10\. [Virtual Photons][12]
* 11\. [Quantum Tunnelling][13]
* 12\. [Casimir Effect][14]
* 13\. [Expansion of the Universe][15]
* 14\. [The moon revolves round my head faster than light!][16]
* 15\. [What Does Faster Than Light Mean?][17]
* 16\. [The Infinite Energy Argument][18]
* 17\. [Quantum Field Theory][19]
* 18\. [Grandfather Paradox][20]
* 19\. [Tachyons][21]
* 20\. [Worm Holes][22]
* 21\. [Warp Drives][23]
* [Conclusion][24]

It might be thought that special relativity provides a short negative answer to this question.  In actual fact, there are many trivial ways in which things can be going faster than light (FTL) in a sense, and there may be other more genuine possibilities.  On the other hand, there are also good reasons to believe that real FTL travel and communication will always be unachievable.  This article is not a full answer to the question (which no doubt will continue to be discussed in the newsgroups for the foreseeable future), but it does cover some of the more common points that are repeatedly made.

It is sometimes objected that _"they said no-one would ever go faster than sound and they were wrong.  Now they say no-one will ever go faster than light..."_ Actually it is probably not true that anybody said it was impossible to go faster than sound.  It was known that rifle bullets go faster than sound long before an aircraft did.  The truth is that some engineers once said that _controlled flight_ faster than sound might be impossible, and they were wrong about that.  FTL travel is a very different matter.  It was inevitable that someone would one day succeed in flying faster than sound, once technology got around the problems.  It is not inevitable that one day technology will enable us to go faster than light.  Relativity has a lot to say about this.  If FTL travel or FTL communication were possible, then causality would probably be violated and some very strange situations would arise.

First we will cover the trivial ways in which things can go FTL.  These points are mentioned not because they are interesting, but because they come up time and time again when FTL is being discussed, and so they are necessary to deal with.  Then we will think about what we mean by non-trivial FTL travel/communication and examine some of the arguments against it.  Finally, we will look at some of the more serious proposals for real FTL.  Many of these things are discussed in more detail elsewhere in the FAQ and hyper-links are provided.  The sections are numbered so that they can be referred to individually.

## _Trivial FTL Travel_

### 1\. Cherenkov Effect

One way to go faster than light is to make the light slow down!  Light in vacuum travels at a speed _c_ which is a universal constant (see the FAQ entry [Is the speed of light constant?][25]), but in a dense medium such as water or glass, light slows down to _c/n_ where _n_ is the refractive index of the medium (1.0003 for air, 1.4 for water).  It is certainly possible for particles to travel through air or water at faster than the speed of light in the medium, and _Cherenkov radiation_ is produced as a result.  See the FAQ entry [Is there an equivalent of the sonic boom for light?][26].

When we discuss moving faster than the speed of light, we are really talking about exceeding the speed of light in vacuum _c_ (299,792,458 m/s).  The Cherenkov effect is thus not considered to be a real example of FTL travel.

### 2\. Third Party Observers

If a rocket _A_ is travelling away from me at _0.6c_ in a westerly direction, and another _B_ is travelling away from me at _0.6c_ in an easterly direction, then the total distance between _A_ and _B_ as seen in my frame of reference is increasing at _1.2c_.  An apparent relative speed greater than _c_ can be observed by a third person in this way.

However, this is not what is normally meant by relative speeds.  The true speed of rocket _A_ relative to rocket _B_ is the speed at which an observer in rocket _B_ observes his distance from _A_ to be increasing.  The two speeds must be added using the relativistic formula for addition of velocities.  (See the FAQ entry [How do You Add Velocities in Special Relativity?][27]) In this case the relative speed is actually about _0.88c_, so this is not an example of FTL travel.

### 3\. Shadows and Light Spots

Think about how fast a shadow can move.  If you project the shadow of your finger using a nearby lamp onto a distant wall and then wag your finger, the shadow will move much faster than your finger.  If your finger moves parallel to the wall, the shadow's speed will be multiplied by a factor _D/d_ where _d_ is the distance from the lamp to your finger, and _D_ is the distance from the lamp to the wall.  The speed can even be much faster than this if the wall is at an angle to your finger's motion.  If the wall is very far away, the movement of the shadow will be delayed because of the time it takes light to get there, but the shadow's speed is still increased by the same ratio.  The speed of a shadow is therefore not restricted to be less than the speed of light.

Others things that can go FTL include the spot of a laser that has been aimed at the surface of the Moon.  Given that the distance to the Moon is 385,000 km, try working out the speed of the spot if you wave the laser at a gentle speed.  You might also like to think about a water wave arriving obliquely at a long straight beach.  How fast can the point at which the wave is breaking travel along the beach?

This sort of thing can turn up in Nature; for example, the beam of light from a pulsar can sweep across a dust cloud.  A bright explosion emits an expanding spherical shell of light or other radiation.  When this shell intersects a surface, it creates a circle of light which expands faster than light.  A natural example of this has been observed when an electromagnetic pulse from a lightning flash hits an upper layer of the atmosphere.

These are all examples of things that can go faster than light, but which are not physical objects.  It is not possible to send information faster than light on a shadow or light spot, so FTL communication is not possible in this way.  This is not what we mean by faster than light travel, although it shows how difficult it is to define what we really do mean by faster than light travel.  See also the FAQ [The Superluminal Scissors][28].

### 4\. Rigid Bodies

If you have a long rigid stick and you hit one end, wouldn't the other end have to move immediately?  Would this not provide a means of FTL communication?

Well, it would _if_ there were such things as perfectly rigid bodies.  In practice the effect of hitting one end of the stick propagates along it at the speed of sound in the material; this speed depends on the stick's elasticity and density.  Relativity places an absolute limit on material rigidity in such a way that the speed of sound in the material will not be greater than _c_.

The same principle applies if you hold a long string or rod vertically in a gravitational field and let go of the top end.  The point at which you let go will start to move immediately, but the lower end cannot move until the effect has propagated down the length at the speed of sound in the material.

It is difficult to formulate a general theory of elastic materials in relativity, but the general principle can be illustrated with newtonian mechanics.  The equation for longitudinal motion in an ideal elastic body can be derived from Hooke's law.  In terms of the mass per unit length _p_ and Young's modulus of elasticity _Y_, the longitudinal displacement _X_ satisfies a wave equation (see for example Goldstein's "Classical Mechanics"):
    
    
            d2X     d2X
          p --- - Y ---  = 0
            dt2     dx2
    

Plane wave solutions travel at the speed of sound _s_ where _s2 = Y/p_.  This wave equation does not allow any causal effect to propagate faster than _s_.  Relativity therefore imposes a limit on elasticity: _Y < pc2_.  In practice, no known material comes anywhere near this limit.  Note that even if the speed of sound is near _c_, the matter does not necessarily move at relativistic speeds.  But how can we know that no material can possibly exceed this limit?  The answer is that all materials are made of particles whose interaction are governed by the standard model of particle physics, and no influence faster than light can propagate in that model (see the section on [Quantum Field Theory][19] below).

So although there is no such thing as a rigid body, there _is_ such a thing as rigid body motion; but this is another example in the same category as the shadows and light spots described above which do not give FTL communication.  (See also the FAQ articles [The Superluminal Scissors][28] and [The Rigid Rotating Disk in Relativity][29]).

### 5\. Phase, Group, and Signal Velocities

Look at this wave equation:
    
    
       d2u      d2u 
       --- - c2 ---  + w2 u = 0
       dt2      dx2
    

This has solutions of the form:
    
    
       u = A cos( ax - bt )
    
       c2 a2 - b2 + w2 = 0
    

These solutions are sine waves propagating with a speed
    
    
       v = b/a = sqrt(c2 + (w/a)2)
    

But this is faster than light, so is this the equation for a tachyon field?  (See the paragraph on tachyons [below][21]).  No, it is the usual relativistic equation for an ordinary particle with mass!

Superluminal speeds such as this present no problem once we recognise three types of speed associated with wave motion: _phase velocity_, _group velocity_, and _signal velocity_.  Phase velocity is the velocity of waves that have well-defined wavelengths, and it often varies as a function of this wavelength.  We can combine ("superpose") waves of different wavelengths to build a _wave packet_, a blob of some specified extent over which the wave disturbance is not small.  This packet does not have a well-defined wavelength, and because it usually spreads out as it travels, it doesn't have a well-defined velocity either; but it does have representative velocity, and this is called its group velocity, which will _usually_ be less than _c_.  Each of the packet's constituent wave trains travels with its own individual phase velocity, which in some instances will be greater than _c_.  But it is only possible to send information with such a wave packet at the group velocity (the velocity of the blob), so the phase velocity is yet another example of a speed faster than light that cannot carry a message.

In some situations, we can build a fairly exotic wave packet whose group velocity is greater than _c_.  Does _this_ then constitute an example of information being sent at a speed faster than light?  It turns out that for these packets, information does not travel at the group velocity; instead, it travels at the _signal velocity_, which has to do with the time of arrival of the initial rise of the wave front as it reaches its destination.  You might not now be surprised to learn that the signal velocity turns out always to be less than _c_.

### 6\. Superluminal Galaxies

If something is coming towards you at nearly the speed of light and you measure its apparent speed without taking into account the diminishing time it takes light to reach you from the object, you can get an answer that is faster than light.  This is an optical illusion, and is not due to the object's moving at FTL.  See the FAQ [Apparent Superluminal Velocity of Galaxies][30].

### 7\. Relativistic Rocket

A controller based on Earth is monitoring a space ship moving away at a speed _0.8c_.  According to the theory of relativity, he will observe a time dilation that slows the ship's clocks by a factor of 5/3, even after he has taken into account the Doppler shift of signals coming from the space ship.  If he works out the distance moved by the ship divided by the time elapsed as measured by the onboard clocks, he will get an answer of _4/3 c_.  He infers from this that the ship's occupants determine themselves to be traversing the distances between stars at speeds greater than the speed of light when measured with their clocks.  From the point of view of the occupants their clocks undergo no slowing; rather, they maintain that it is the _distance_ between the stars which has contracted by a factor of 5/3.  So they also agree that they are covering the known distances between stars at _4/3 c_.

This is a real effect which in principle could be used by space travellers to cover very large distances in their lifetimes.  If they accelerate at a constant acceleration equal to the acceleration due to gravity on Earth, they would not only have a perfect artificial gravity on their ship, but would also be able to cross the galaxy in only about 12 years of their own "proper time": that is, they would age 12 years during the journey.  See the FAQ [What are the Equations for the Relativistic Rocket?][31]

However, this is not true FTL travel.  The effective speed calculated used the distance in one reference frame and the time in another.  This is no way to calculate a speed.  Only the occupants of the ship benefit from this effective speed.  The controller will not measure them to be travelling large distances in his own lifetime.

### 8\. Speed of Gravity

Some people have argued that the speed of gravity in a gravitationally bound system is much greater than _c_ or even infinite.  In fact, gravitational effects and gravitational waves travel at the speed of light _c_.  See the articles [Does Gravity Travel at the Speed of Light?][32] and [What is Gravitational Radiation?][33] for the explanation.

### 9\. EPR Paradox

In 1935 Einstein, Podolsky, and Rosen published a thought experiment that seemed to produce a paradox in quantum mechanics, as well as demonstrating that it was incomplete.  Their argument used the fact that there can be an apparent instantaneous interaction in the measurement of two separated particles that have been prepared in a certain "entangled" manner.  Einstein called it "spooky action at a distance".  It has been shown by Eberhard that no information can be passed using this effect; so there is no FTL communication, but the paradox is still very controversial.  See the FAQ article [The EPR Paradox and Bell's Inequality][34] for more details.

### 10\. Virtual Photons

In quantum field theory forces are mediated by "virtual particles".  The Heisenberg Uncertainty Principle allows these virtual particles to move faster than light.  However, virtual particles are not called "virtual" for nothing.  They are only part of a convenient mathematical notation, and once again, no real FTL travel or communication is possible.  See the FAQ [Virtual Particles][35].

### 11\. Quantum Tunnelling

Quantum Tunnelling is the quantum mechanical effect that permits a particle to pass through a barrier when it does not have enough energy to do so classically.  You can do a calculation of the time it takes a particle to tunnel through such a barrier.  The answer you get can come out less than the time it takes light to cover the distance at speed _c_.  Does this provide a means of FTL communication?  
_Ref:_ T. E. Hartman, J. Appl. Phys. **33**, 3427 (1962).

The answer must surely be "No!"—otherwise our understanding of QED is very suspect.  Yet a group of physicists have performed experiments that seem to suggest that FTL communication by quantum tunneling is possible.  They claim to have transmitted Mozart's 40th Symphony through a barrier 11.4cm wide at a speed of 4.7_c_.  Their interpretation is, of course, very controversial.  Most physicists say this is a quantum effect where no _information_ can actually be passed at FTL speeds.  If the effect is real it is difficult to see why it should not be possible to transmit signals into the past by placing the apparatus in a fast-moving frame of reference.  
_Refs:_  
W. Heitmann and G. Nimtz, Phys. Lett. **A196**, 154 (1994);  
A. Enders and G. Nimtz, Phys. Rev. **E48**, 632 (1993).

Terence Tao has pointed out that apparent FTL transmission of an audio signal over such a short distance is not very impressive.  The signal takes less than 0.4 ns to travel the 11.4 cm at light speed, but it is quite easy to anticipate an audio signal ahead of time by up to 1000 ns simply by extrapolating the signal waveform.  Although this is not what is being done in the above experiments, it does illustrate that the experimenters will need to use a much higher frequency random signal, or transmit over much larger distances, if they are to demonstrate FTL information transfer convincingly.

The likely conclusion is that there is no real FTL communication taking place, and that the effect is another manifestation of the Heisenberg Uncertainty Principle.

### 12\. Casimir Effect

The Casimir Effect describes the fact that a very small but measurable force exists between two uncharged conducting plates when they are very close together.  It is due to the existence of vacuum energy (see the FAQ article on the [Casimir Effect][36]).  A surprising calculation by Scharnhorst suggests that photons travelling across the gap between the plates in the Casimir Effect must go faster than _c_ by a very very small amount (at best 1 part in 1024 for a 1 nanometre gap.) It has been suggested that in certain cosmological situations, such as in the vicinity of cosmic strings if they exist, the effect could be much more pronounced.  However, further theoretical investigations have shown that, once again, there is no possibility of FTL communication using this effect.  
_Refs:_  
K. Scharnhorst, Physics Letters **B236**, 354 (1990)  
S. Ben-Menahem, Physics Letters **B250**, 133 (1990)  
Andrew Gould (Princeton, Inst. Advanced Study). IASSNS-AST-90-25  
Barton & Scharnhorst, J. Phys. **A26**, 2037 (1993).  

### 13\. Expansion of the Universe

According to Hubble's Law, two galaxies that are a distance _D_ apart are moving away from each other at a speed _HD_, where _H_ is Hubble's constant.  So this interpretation of Hubble's Law implies that two galaxies separated by a distance greater than _c/H_ must be moving away from each other faster than the speed of light.  Actually, the modern viewpoint describes this situation differently: general relativity takes the galaxies as being _at rest_ relative to one another, while the space between them is expanding.  In that sense, the galaxies are not moving away from each other faster than the speed of light; they are not moving away from each other at all!  This change of viewpoint is not arbitrary; rather, it's in accord with the different but very fruitful view of the universe that general relativity provides.  So the distance between two objects can be increasing faster than light because of the expansion of the universe, but this does not mean, in fact, that their relative speed is faster than light.

As was mentioned above, in special relativity it is possible for two objects to be moving apart by speeds up to twice the speed of light as measured by an observer in a third frame of reference.  In general relativity even this limit can be surpassed, but it will not then be possible to observe both objects at the same time.  Again, this is not real faster than light travel; it will not help anyone to travel across the galaxy faster than light.  All that is happening is that the distance between two objects is increasing faster when taken in some cosmological reference frame.

### 14\. The Moon revolves round my head faster than light!

Stand up in a clear space and spin round.  It is not too difficult to turn at one revolution each two seconds.  Suppose the Moon is on the horizon.  How fast is it spinning round your head?  It is about 385,000 km away, so the answer is 1.21 million km/s, which is more than four times the speed of light!  It might sound ridiculous to say that the Moon is going round your head when really it is you who is turning, but according to general relativity all co-ordinate systems are equally valid, including rotating ones.  So isn't the Moon going faster than the speed of light?  This is quite difficult to account for.

What it comes down to is the fact that velocities in different places cannot be compared directly in general relativity.  Notice that the Moon is not overtaking any light in its own locality.  The speed of the Moon can only be compared to the speeds of other objects in its own local inertial frame.  Indeed, the concept of speed is not a very useful one in general relativity, and this makes it difficult to define what "faster than light" means.  Even the statement that "the speed of light is constant" is open to interpretation in general relativity.  Einstein himself, on page 76 of his book "Relativity: the Special and the General Theory", wrote that the statement cannot claim unlimited validity.  When there is no absolute definition of time and distance it is not so clear how speeds should be determined.

Nevertheless, the modern interpretation is that the speed of light is constant in general relativity and this statement is a tautology given that standard units of distance and time are tied together using the speed of light.  The Moon is given to be moving slower than light because it remains within the "future light cone" propagating from its position at any instant.

## _Relativity Arguments Against FTL Travel_

### 15\. What Does "Faster Than Light" Mean?

The cases given so far only demonstrate how difficult it is to pin down exactly what we mean by FTL travel or communication.  If we do not include things such as moving shadows, then what exactly do we mean by FTL?

In relativity there is no such thing as absolute velocity, only relative velocity; but there is a clear distinction between "world lines" that are "timelike", "lightlike", and "spacelike".  By "world line" we mean a curve traced out in the four dimensions of space-time.  Such a curve is the set of all events that make up the history of a particle.  If a world line is spacelike then it describes something moving faster than light.  So there is a clear meaning of what is meant by a "faster than light" speed which does not depend on the existence of third-party observers.

But what do we mean by an "object" if we don't want to include shadows?  We could define an object to be anything that carries energy, charge, spin, or information; or perhaps just that it must be made of atoms, but there are technical problems in each case.  In general relativity energy cannot be localised, so we had better avoid using energy in our definition.  Charge and spin can be localised, but not every object need have charge or spin.  Using the concept of information is better but tricky to define, and sending information faster than light is really just FTL communication—not FTL travel.  Another difficulty is knowing whether an object seen at _A_ is the same as the one that was earlier seen at _B_ when we claim that it has travelled across the gap faster than light.  Could it not be a duplicate?  It could even be argued that FTL communication makes FTL travel possible, because you can send the blueprint for an object FTL as advance information, and then reconstruct the object—although not everyone would accept such teleportation as FTL travel.

The problems of specifying just what we mean by FTL are more difficult in general relativity.  A valid form of FTL travel may mean distorting space-time (e.g. making a worm hole) to get from _A_ to _B_ without going on a spacelike curve locally.  There is a distinction between going faster than light _locally_ and getting from _A_ to _B_ faster than light _globally_.  When a gravitational lens bends the light coming from a distant galaxy asymmetrically, the light coming round the galaxy on one side reaches us later than light that left at the same time and went round the other side.  We must avoid a definition of FTL travel that says a particle going from _A_ to _B_ gets there before light that has made the same journey along a lightlike geodesic.  This makes it very difficult, perhaps impossible, to define global FTL travel unambiguously.

If you were expecting me to finish this section with a precise definition of what is meant by FTL travel and FTL communication, I am afraid I must disappoint you!  The above difficulties are insurmountable.  Nonetheless, you will probably recognise the real thing when confronted with it now that I have given some examples of what would not be FTL travel.

### 16\. The Infinite-Energy Argument

When Einstein wrote down his postulates for special relativity, he did not include the statement that you cannot travel faster than light.  There is a misconception that it is possible to derive it as a consequence of the postulates he did give.  Incidentally, it was Henri Poincare who said "Perhaps we must construct a new mechanics [...] in which the speed of light would become an impassable limit."  That was in an address to the International Congress of Arts and Science in 1904—before Einstein announced special relativity in 1905.

It is a consequence of relativity that the energy of a particle of rest mass _m_ moving with speed _v_ is given by
    
    
              E = mc2/sqrt(1 - v2/c2) 
    

As the speed approaches the speed of light, the particle's energy approaches infinity.  Hence it should be impossible to accelerate an object with rest mass to the speed of light; also, particles with zero rest mass must always move at exactly the speed of light, since otherwise they would have no energy.  This is sometimes called the "light speed barrier", but it is very different from the "sound speed barrier".  As an aircraft approaches the speed of sound it starts to feel pressure waves which indicate that it is moving close to the speed of sound, and before the existence and effects of these waves were well understood, they destroyed several aircraft in the mid 20th century; hence the old name of sound "barrier".  In fact, with more thrust and the right aerodynamics, an aircraft can certainly pass through the sound barrier.

The situation is different for light.  As the light speed barrier is approached (in a perfect vacuum) there are no such waves according to relativity (destructive or otherwise).  Moving at 0.999_c_ is just like standing still with everything rushing past you at −0.999_c_.  Particles are routinely pushed to these speeds and beyond in accelerators, so the theory is well established.  Trying to attain the speed of light in this way is a matter of chasing something that is forever just out of your reach.

This explains why it is not possible to exceed the speed of light by ordinary mechanical means.  However, it does not in itself rule out FTL travel.  It is really just one way in which things cannot be made to go faster than light, rather than a _proof_ that there is no way to do so.  Particles are known to decay instantly into other particles which fly off at high speed.  It is not necessary to think in terms of the particles' having been accelerated, so how could we say that they could not go faster than light?  What about the possibility of particles that might _always_ have been moving faster than light, and which might be used to send information if they can be detected without ever slowing down to less than the speed of light?  Even if such "tachyons" don't exist (and we don't believe that they do exist), there may be ways of moving matter from _A_ to _B_ faster than light is able to travel from _A_ to _B_ by the usual route, but without anything having to go at a FTL speed locally.  See the paragraph on tachyons [below][21].

### 17\. Quantum Field Theory

Except for gravity, all physical phenomena are observed to comply with the "Standard Model" of particle physics.  The Standard Model is a relativistic quantum field theory which incorporates the nuclear and electromagnetic forces as well as all the observed particles.  In this theory, any pair of operators corresponding to physical observables at space-time events separated by a spacelike interval "commute" (i.e. their order can be reversed).  In principle, this implies that effects cannot propagate faster than light in the standard model, and it can be regarded as the quantum field theory equivalent of the infinite energy argument.

However, there is no completely rigorous proof of anything in the quantum field theory of the Standard Model, since no one has yet succeeded in showing that the theory is completely self consistent; and in fact, most likely it is not!  In any case, there is no guarantee that there are not other undiscovered particles and forces that disobey the no-FTL rule.  Nor is there any generalisation that takes gravity and general relativity into account.  Many physicists working on quantum gravity doubt that such simplistic expressions of causality and locality will be generalised.  All told, there is no guarantee that light speed will be meaningful as a speed limit in a more complete theory that might arise in the future.

### 18\. Grandfather Paradox

A better argument against FTL travel is the Grandfather Paradox.  In special relativity, a particle moving FTL in one frame of reference will be travelling back in time in another.  FTL travel or communication should therefore also give the possibility of travelling back in time or sending messages into the past.  If such time travel is possible, you would be able to go back in time and change the course of history by killing your own grandfather.  This _is_ a very strong argument against FTL travel, but it leaves open the perhaps-unlikely possibility that we may be able to make limited journeys at FTL speed that did not allow us to come back.  Or it may be that time travel is possible and causality breaks down in some consistent fashion when FTL travel is achieved.  That is not very likely either, but if we are discussing FTL then we had better keep an open mind.

Conversely, if we could travel back in time we might also claim the ability to travel FTL, because we can go back in time and then travel at a slow speed to arrive somewhere before light got there by the usual route.  See the FAQ article on [Time Travel][37] for more on this subject.

## _Open Possibilities for FTL Travel_

In this last section I give a few of the speculative but serious suggestions for possible faster-than-light travel.  These are not the kinds of thing usually included in the FAQ because they raise more questions than answers.  They are included merely to make the point that serious research is being done in this direction.  Only a brief introduction to each topic is given; more information can be found all over the Internet (and should, like almost everything on the Internet, be taken with a huge grain of salt!).

### 19\. Tachyons

Tachyons are hypothetical particles that travel faster than light locally.  Their mass must take on imaginary values (i.e. to do with the square root of −1) to be able to do so, but they have real-valued energy and momentum.  Sometimes people imagine that such FTL particles would be impossible to detect, but there is no reason to think so.  Shadows and spotlights suffice to show that there is no logic in this suggestion, because _they_ can certainly go FTL and still be seen.

No tachyons have definitely been found and most physicists doubt their existence.  There has been a claim that experiments to measure neutrino mass in tritium beta decay indicated that the neutrinos were tachyonic. ; while this is very doubtful, it is not entirely ruled out.  Tachyon theories have problems because, apart from the possibility of causality violations, they destabilise the vacuum.  It may be possible to get around such difficulties—but then we would not be able to use tachyons for the kind of FTL communication that we would like.

The truth is that most physicists consider tachyons to be a sign of pathological behaviour in field theories, and the interest in them among the wider public stems mostly from the fact that they are used so often in science fiction.  See the FAQ article on [Tachyons][38].

### 20\. Worm Holes

A famous proposition for global FTL travel is to use "worm holes".  Worm holes are shortcuts through space-time from one place in the universe to another which would permit you to go from one end to the other in a shorter time than it would take light passing by the usual route.  Worm holes are a feature of classical general relativity, but to create them you have to change the topology of space-time.  That might be possible within a theory of quantum gravity.

To keep a worm hole open, regions of negative energy would be needed.  Misner and Thorne have suggested using the Casimir Effect on a grand scale to generate the negative energy, while Visser has proposed a solution involving cosmic strings.  These are very speculative ideas which may simply not be possible.  Exotic matter with negative energy may not exist in the form required.

Thorne has found that if worm holes can be created, then they can be used to construct closed timelike loops in space-time which would imply the possibility of time travel.  It has been suggested that the "multiverse" interpretation of quantum mechanics (many universes co-existing) gets you out of trouble by allowing time to evolve differently if you succeed in going back to a previous time.  But multiverses are entirely out of keeping with the Ockham's Razor approach to doing science, and constitute more of a popular interpretation of quantum mechanics than a serious physical theory.  Hawking says that worm holes would simply be unstable and therefore unusable.  The subject remains a fertile area for thought experiments that help clarify what is and what is not possible according to known and suggested laws of physics.  
_Refs:_  
W. G. Morris and K. S. Thorne, American Journal of Physics **56**, 395–412 (1988)  
W. G. Morris, K. S. Thorne, and U. Yurtsever, Phys. Rev. Letters **61**, 1446–9 (1988)  
Matt Visser, Physical Review **D39**, 3182–4 (1989)  
See also "Black Holes and Time Warps", Kip Thorne, Norton & co. (1994)  
For an explanation of the multiverse see "The Fabric of Reality" David Deutsch, Penguin Press.

### 21\. Warp Drives

A "warp drive" such as used in the Star Trek science fiction series would be a mechanism for warping space-time in such a way that an object could move faster than light.  Miguel Alcubierre made himself famous by working out a space-time geometry which describes such a warp drive.  The warp in space-time makes it possible for an object to go FTL while remaining on a timelike curve.  The main catch is the same one that may stop us making large worm holes.  To make such a warp, you would need exotic matter with negative energy density.  Even if such exotic matter can exist, it is not clear how it could be deployed to make the warp drive work.  
_Ref._  M. Alcubierre, Classical and Quantum Gravity, **11**, L73–L77, (1994).  
_Ref._  S. Finazzi, S. Liberati, C. Barcel, [Semiclassical instability of dynamical warp drives][39] at arxiv.org.

## _Conclusion_

* To begin with, it is rather difficult to define exactly what is really meant by FTL travel and FTL communication.  Many things such as shadows can go FTL, but not in a useful way that can carry information.
  

* There are several serious possibilities for real FTL which have been proposed in the scientific literature, but these always come with technical difficulties.
  

* The Heisenberg Uncertainty Principle tends to stop the use of apparent FTL quantum effects for sending information or matter.
  

* In general relativity there are potential means of FTL travel, but they may be impossible to make work.  It is thought highly unlikely that engineers will be building space ships with FTL drives in the foreseeable future, if ever, but it is curious that theoretical physics as we presently understand it seems to leave the door open to the possibility.
  

* FTL travel of the sort science fiction writers would like is almost certainly impossible.  For physicists the interesting question is "why is it impossible and what can we learn from that?"

  

[1]: http://math.ucr.edu/index.html
[2]: http://math.ucr.edu/Administrivia/copyright.html
[3]: http://math.ucr.edu#1
[4]: http://math.ucr.edu#2
[5]: http://math.ucr.edu#3
[6]: http://math.ucr.edu#4
[7]: http://math.ucr.edu#5
[8]: http://math.ucr.edu#6
[9]: http://math.ucr.edu#7
[10]: http://math.ucr.edu#8
[11]: http://math.ucr.edu#9
[12]: http://math.ucr.edu#10
[13]: http://math.ucr.edu#11
[14]: http://math.ucr.edu#12
[15]: http://math.ucr.edu#13
[16]: http://math.ucr.edu#14
[17]: http://math.ucr.edu#15
[18]: http://math.ucr.edu#16
[19]: http://math.ucr.edu#17
[20]: http://math.ucr.edu#18
[21]: http://math.ucr.edu#19
[22]: http://math.ucr.edu#20
[23]: http://math.ucr.edu#21
[24]: http://math.ucr.edu#conclusion
[25]: http://math.ucr.edu/speed_of_light.html
[26]: http://math.ucr.edu/cherenkov.html
[27]: http://math.ucr.edu/SR/velocity.html
[28]: http://math.ucr.edu/SR/scissors.html
[29]: http://math.ucr.edu/SR/rigid_disk.html
[30]: http://math.ucr.edu/Superluminal/superluminal.html
[31]: http://math.ucr.edu/SR/Rocket/rocket.html
[32]: http://math.ucr.edu/GR/grav_speed.html
[33]: http://math.ucr.edu/GR/grav_radiation.html
[34]: http://math.ucr.edu/Quantum/bells_inequality.html
[35]: http://math.ucr.edu/Quantum/virtual_particles.html
[36]: http://math.ucr.edu/Quantum/casimir.html
[37]: http://math.ucr.edu/GR/time_travel.html
[38]: http://math.ucr.edu/ParticleAndNuclear/tachyons.html
[39]: http://arxiv.org/abs/0904.0141

