---
created_at: '2016-08-30T13:33:04.000Z'
title: Reality is a Shared Hallucination (1997)
url: http://reactor-core.org/reality-hallucination.html
author: MichaelAO
points: 173
story_text: 
comment_text: 
num_comments: 66
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1472563984
_tags:
- story
- author_MichaelAO
- story_12389892
objectID: '12389892'

---
[Source](http://reactor-core.org/reality-hallucination.html "Permalink to Full text of REALITY IS A SHARED HALLUCINATION, by Howard
  Bloom")

# Full text of REALITY IS A SHARED HALLUCINATION, by Howard
  Bloom

# REALITY IS A SHARED HALLUCINATION

## HISTORY OF THE GROUP BRAIN VIII — 35,000 B.P. and Beyond.

### Copyright © April 12, 1997 by Howard Bloom

**The artificial construction of reality was to play a key role in the new form of global intelligence which would soon emerge among human beings. If the group brain's "psyche" were a beach with shifting dunes and hollows, individual perception would be that beach's grains of sand. However this image has a hidden snag — pure individual perception does not exist.**

Being here is a kind of spiritual surrender. We see only what the others see, the thousands who were here in the past, those who will come in the future. We've agreed to be part of a collective perception. Don DeLillo

A central rule of large-scale organization goes like this: the greater the spryness of a massive enterprise, the more [internal communication][1] it takes to support the teamwork of the parts. For example, in all but the simplest plants and animals only 5% of DNA is dedicated to DNA's "real job," manufacturing proteins. The [remaining 95%][2] is preoccupied with organization and administration, supervising the maintenance of bodily procedures, or even merely interpreting the corporate rule book "printed" in a string of genes.

In an effective learning machine, the connections between internal elements far outnumber windows to the outside world. Take the cerebral cortex, roughly 80% of whose nerves connect with each other, not with sensory input from the eyes or ears. No wonder in human society individuals spend most of their time [communicating][3] with each other, not exploring beasts and plants which could make an untraditional dish. This cabling for "bureaucratic maintenance" has a far greater impact on what we "see" and "hear" than most psychological researchers suspect. For it puts us in the hands of a conformity enforcer whose power and subtlety are almost beyond belief.

In our previous episode we mentioned that the brain's emotional center — the limbic system — decides which swatches of experience to "notice" and store in memory. Memory is the core of what we call reality. Think about it for a second. What do you actually hear and see right now? This article. The walls and furnishings of the room in which you sit. Perhaps some music or some background noise. Yet you know sure as you were born that there's a broader world outside those walls. You are certain that your home, if you are away from it, is still there. You can sense each room, remember where most of your things are placed. You know the building where you work — its colors, layout, and the feel of it. Then there are the companions who enrich your life — family, the folks at the office, neighbors, friends, and even people you are fond of whom you haven't talked to in a year or more — few of whom, if any, are in the room with you. You also know we sit on a planet called the earth, circling an incandescent ball of sun, buried in one of many galaxies. At this instant, reading by yourself, where do these realities reside? Inside your mind. Memory in a very real sense is reality. What the limbic system decides to "see" and store away becomes an interior universe pretending to stretch so far outside that it can brush the edges of infinity.

We are accustomed to use our eyes only with the memory of what other people before us have thought about the object we are looking at. Guy de Maupassant

The limbic system is more than an emotive sifter of the relevant from the inconsequent. It is an intense [monitor of others][4], using its social fixations to retool your perceptions and your memories. In short, the limbic system makes each of us a plug-in of the crowd.

[Elizabeth Loftus][5], one of the world's premier memory researchers, is among the few who know how powerfully the group shapes what we think we know. In the late 1970s, Loftus performed a series of key experiments. In a typical example, she showed college students a moving picture of a traffic accident, then asked after the film, "How fast was the white sports car going when it passed the barn while traveling along the country road." Several days later when witnesses to the film were quizzed about what they'd seen, 17% were sure they'd spied a barn, though there weren't any buildings in the film at all. In a related experiment subjects were shown a collision between a bicycle and an auto driven by a brunette, then afterwards heard questions about the "blond" at the steering wheel. Not only did they remember the non-existent blond vividly, but when they were shown the sequence a second time, they had a hard time believing that it was the same incident they now recalled so graphically. One subject said, "It's really strange because I still have the blond girl's face in my mind and it doesn't correspond to her [pointing to the woman on the videotape]...It was really weird." In visual memory, Loftus concluded that hints leaked to us by fellow humans are more important than the scene whose details actually reach our eyes.

Though it got little public attention until the debates about "recovered" memories of sexual abuse in the early and mid 1990s, this avenue of research had begun at least two generations ago. It was 1956 when [Solomon Asch][6] published a classic series of experiments in which he and his colleagues showed cards with lines of different lengths to clusters of their students. Two lines were exactly the same size and two were clearly not — the mavericks stuck out like basketball players at a convention for the vertically handicapped. During a typical experimental run, the researchers asked nine volunteers to claim that two badly mismatched lines were actually the same, and that the actual twin was a total misfit. Now came the nefarious part. The researchers ushered a naive student into the room with the collaborators and gave him the impression that the crowd already there knew just as little as he did about what was going on. Then a white-coated psychologist passed the cards around. One by one he asked the pre-drilled shills to announce out loud which lines were alike. Each dutifully declared that two terribly unlike lines were perfect twins. By the time the scientist prodded the unsuspecting newcomer to pronounce judgement, he usually went along with the bogus acclamation of the crowd. Asch ran the experiment over and over again. When he quizzed his victims of peer pressure, it turned out that many had done far more than simply go along to get along. They had actually shaped their perceptions to agree, not with the reality in front of them, but with the consensus of the multitude.

To polish off the mass delusion, many of those whose perception had NOT been skewed became collaborators in the praise of the emperor's new clothes. Some did it out of self-doubt. They were convinced that the facts their eyes reported were wrong, the herd was right, and that an optical illusion had tricked them into seeing things. Still others realized with total clarity which lines were duplicates, but lacked the nerve to utter an unpopular opinion. Conformity enforcers had rearranged everything from visual processing to open speech, and had revealed a mechanism which can wrap and seal a crowd into a false belief.

[Another experiment][7] indicates just how deeply social suggestion can penetrate the neural mesh through which we think we see hard-and-solid facts. Students with normal color vision were shown blue slides. But one stooge in the room declared the slides were green. Only 32% of the students ended up going along with the vocal but misguided proponent of green vision. Later, however, the subjects were taken aside, shown blue-green slides and asked to rate them for blueness or greenness. Even the students who had refused to see green where there was none in the original experiment showed that the insistent greenies in the room had colored their perceptions. They rated the new slides more green than they would have otherwise. More to the point, when asked to describe the color of the afterimage they saw, the subjects often reported it was red-purple — the hue of an afterimage left by the color green. The words of one determined speaker had penetrated the most intimate sanctums of the eye and brain.

But this is just the iceberg's tip. Social experience literally shapes cerebral morphology. It guides the [wiring of the brain][8] through the most intensely formative years of human life, determining, among other things, which of the thinking organ's sections will be enlarged, and which will shrink.

An [infant's brain][9] is sculpted by the culture into which the child is born. Six-month olds can distinguish or produce every sound in virtually every human language. But within a mere four months, nearly two thirds of this capacity has been sliced away. The slashing of ability is accompanied by [ruthless alterations][10] in cerebral tissue. [Brain cells][11] are measured against the requirements of the physical and interpersonal environment. The 50% of neurons found useful thrive. The 50% which remain unexercised are literally forced to die. Thus the [floor plan][12] underlying the mind is crafted on-site to fit an existing framework of community.

When barely out of the womb, babies are already riveted on a major source of social cues. [Newborns][13] to four-month-olds would rather look at faces than at almost anything else. Rensselaer Polytechnic's Linnda Caporael points out what she calls "micro-coordination", in which a baby imitates its mother's facial expression, and the mother, in turn, imitates the baby's. Since psychologist Paul Ekman, as we'll see later in more detail, has demonstrated that the faces we make recast our moods, the baby is learning how to yoke its emotions to those of a social team. Emotions, as we've already seen, craft our vision of reality. There are other signs that babies synchronize their feelings to those of others around them at an astonishingly early age. [Empathy][14] — one of those things which bind us together intimately — comes to us early. Children less than a year old who see another child hurt show all the signs of undergoing the same pain.

After all, what is reality anyway? Nothin' but a collective hunch. Lily Tomlin

Cramming themselves further into a common perceptual mold, animal and human infants entrain themselves to see what others see. A four-month old human will swivel to look at an object his parent is staring at. A baby chimp will do the same. By their first birthday, infants have extended their input-gathering to their peers. When they [notice][15] that another child's eyes have fixated on an object, they swivel around to focus on that thing themselves. If they don't see what's so interesting, they look back to check the direction of the other child's gaze and make sure they've got it right. When one of the babies points to an item that has caught her fancy, other children look to see just what it is.

[One year olds][16] show other ways in which they soak up social pressure. Put a cup and something unfamiliar in front of them and their natural tendency will be to check out the novel object. But repeat the word "cup" and the infant will dutifully rivet its gaze on the drinking vessel. Children go along with the herd even in their tastes in food. when researchers put two-to-five-year olds at a table for several days with other kids who loved the edibles they loathed, the children with the dislike did a 180 degree turn and became zestful eaters of the item they'd formerly disdained. The preference was still going strong weeks after the peer pressure had stopped.

At six, children are obsessed with being accepted by the group and become incredibly sensitive to [violations of group norms][17]. They've been gripped by yet another conformity enforcer which structures their perceptions to coincide with those around them.

Even rhythm draws humans together in the subtlest of ways. William Condon of Pennsylvania's Western State Psychiatric Institute analyzed films of adult conversations and noticed a peculiar process at work. Unconsciously, the conversationalists began to coordinate their finger movements, eye blinks and nods. Electroencephalography showed something even more astonishing — their brain waves were moving together. Newborn babies already show this synchrony — in fact, an American infant still fresh from the womb will just as happily match its body movements to the speech of someone speaking Chinese as to someone speaking English. As time proceeds, these unnoticed synchronies draw larger and larger groups together. A student working under the direction of anthropologist [Edward T. Hall][18] hid in an abandoned car and filmed children romping in a school playground at lunch hour. Screaming, laughing, running and jumping, each seemed superficially to be doing his or her own thing. But careful analysis revealed that the group was moving to a unified rhythm. One little girl, far more active than the rest, covered the entire schoolyard in her play. Hall and his student realized that without knowing it, she was "the director" and "the orchestrator." Eventually, the researchers found a tune that fit the silent cadence. When they played it and rolled the film, it looked exactly as if each kid were dancing to the melody. But there had been no music playing in the schoolyard. Said Hall, "Without knowing it, they were all moving to a beat they generated themselves." William Condon was led to conclude that it doesn't make sense to view humans as "isolated entities." And Edward Hall took this inference a step further: "an unconscious undercurrent of synchronized movement tied the group together" into what he called a "shared organizational form."

No wonder input from the herd so strongly colors the ways in which we see our world. [Students at MIT][19] were given a bio of a guest lecturer. One group's background sheet described the speaker as cold, the other group's handout praised him for his warmth. Both groups sat together as they watched the lecturer give his presentation. But those who'd read the bio saying he was cold treated him as distant and aloof. Those who'd been tipped off that he was warm, rated him as friendly and approachable. In judging a fellow human being, students replaced external fact with input they'd been given socially.

The cues rerouting herd perception come in many forms. Sociologists [Janet Lynne Enke and Donna Eder][20] discovered that in gossip, one person opens with a negative comment on someone outside the group. How the rest of the gang goes on the issue depends entirely on the second opinion expressed. If the second prattler agrees that the outsider is disgusting, virtually everyone will chime in with a sound-alike opinion. If, on the other hand, the second commentator objects that the outsider has positive qualities, the group is far less likely to descend like a flock of harpies tearing the stranger's reputation limb from limb.

Crowds of silent voices whisper in our ears, transforming the nature of what we see and hear. The strangest come from choruses of the dead — cultural predecessors whose legacy has a dramatic effect on our vision of reality. Take the impact of gender stereotypes — notions developed over hundreds of generations, contributed to, embellished and passed on by literally billions of people during the long human march through time. In one [study][21], parents were asked to give their impression of their brand new babies. Infant boys and girls are completely indistinguishable aside from the buds of reproductive equipment between their legs. Their size, texture, and the way in which newborns of opposite sex act are the same. Yet parents consistently described girls as softer, smaller and less attentive than boys. The crowds within us resculpt our gender verdicts over and over again. [Two groups][22] of experimental subjects were asked to grade the same paper. One was told the author was John McKay. The other was told the paper's writer was Joan McKay. Even female students evaluating the paper gave it higher marks if they thought was from a male.

The ultimate repository of herd influence is language — a device that not only condenses the influence of those with whom we share a common vocabulary, but sums up the perceptual approach of swarms who have passed on. Every word we use carries within it the experience of generation after generation of men, families, tribes, and nations, including their insights, value judgements, ignorance, and spiritual beliefs.

[Experiments][23] show that people from all cultures can see subtle differences between colors placed next to each other. But only those societies equipped with names for numerous shades can spot the difference when the two swatches of color are apart. At the turn of the century, [The Chukchee][24] had very few terms for visual hues. If you asked them to sort colored yarns, they did a poor job of it. But they had over 24 terms for patterns of reindeer hide, and could classify reindeer far better than the average European scientist, whose vocabulary didn't supply him with appropriate tools.

Physiologist/ornithologist [Jared Diamond][25], in New Guinea, saw to his dismay that despite all his university studies of nature, the natives were far better at distinguishing bird species than he was. Diamond had a set of scientific criteria taught in the zoology classes back home. The natives possessed something better: names for each animal variety, and a set of associations describing characteristics Diamond had never been taught to differentiate — everything from a bird's peculiarities of deportment to its taste when grilled over a flame. Diamond had binoculars and state-of-the-art taxonomy. But the New Guineans laughed at his incompetence. They were equipped with a vocabulary each word of which compacted the experience of armies of bird-hunting ancestors.

Rensselaer Polytechnic Institute's Linnda Caporael points out that even when we see someone perform an action in an unusual way, we rapidly forget the unaccustomed subtleties and reshape our recalled vision so that it corresponds to the patterns dictated by language-borne conventionality. A perfect example comes from 19th century America, where sibling rivalry was present in fact, but according to theory didn't exist. The experts were blind to its presence, as shown by its utter absence from family manuals. In the expert and popular view, all that existed between brothers and sisters was love. But letters from middle class girls exposed unacknowledged cattiness and jealousy.

[Sibling rivalry][26] didn't begin to creep from the darkness of perceptual invisibility until 1893, when future Columbia University professor of political and social ethics Felix Adler hinted at the nameless notion in his manual for the Moral Instruction of Children. During the 1920s, the concept of jealousy between boys and girls finally shouldered its way robustly into the repertoire of conscious concepts, appearing in two widely quoted government publications and becoming the focus of a 1926 Child Study Association of America crusade. It was only at this point that experts finally coined the term "sibling rivalry." The formerly non-existent demon was blamed for adult misery, failing marriages, crime, homosexuality, and God knows what all else. By the 1940s, nearly every child-raising guide had extensive sections on this ex-nonentity. Parents writing to major magazines spotted the previously unseeable emotion almost everywhere.

The stored experience language carries can tweak the difference between life and death. It's been [reported][27] that one unnamed tribe used to lose starving mothers, fathers and children by the droves each time famine struck, despite the fact that a river flowed near them filled with fish. The problem: they didn't define fish as food. We could easily suffer the same fate if stranded in their wilderness, simply because our culture tells us that a rich source of nutrients is inedible too — insects.

The influence of the mob of those who've gone before and those who stand around us now can be mind-boggling. During the [middle ages][28] when universities first arose, a local barber/surgeon was called into the lecture chamber year after year to dissect a corpse for medical students gathered from the width and breadth of Europe. A scholar on a raised platform discoursed about the revelations unfolding before the students' eyes. The learned doctor would invariably describe a network of cranial blood vessels that were nowhere to be found. He'd report a shape for the liver radically different from the form of the organ sliding around on the surgeon's blood-stained hands. He'd verbally portray jaw joints which had no relation to those being displayed on the trestle below him. But he never changed his narrative to fit the actualities. Nor did the students or the surgeon ever stop to correct the book-steeped authority. Why? The scholar was reciting the "facts" as found in volumes over 1,000 years old — the works of the Roman master Galen, founder of "modern" medicine.

Alas, Galen had drawn his conclusions, not from dissecting humans, but from probing the bodies of pigs and monkeys. Pigs and monkeys do have the strange features Galen described. Humans, however, do not. But that didn't stop the medieval professors from seeing what wasn't there. For no more were they ruggedly individualistic observers than are you and I. Their sensory pathways echoed with voices gathered for a millennium, the murmurings of a mob composed of both the living and the dead. The world experts of those days and ours conjured up assemblies of mirage. Like ours, their perceptual faculties were unrecognized extensions of a collective brain.

### FOOTNOTES

| ----- |
|  [1.][29] |  M.J.C. Waller, personal communication, 5/96; M.J.C. Waller. "Organization Theory and the Origins of Consciousness." Journal of Social and Evolutionary Systems, 19(1): 17-30; T. Burns and G.M. Stalker. The Management of Innovation. London: Tavistock Publications, 1961: 92-93, 233-234. |  
|  [2.][30] |  Jack Cohen and Ian Stewart. The Collapse of Chaos: Discovering Simplicity in a Complex World. New York: Viking, 1994: 73. |  
|  [3.][31] |  Janos Szentagothai. "The 'Brain-Mind' Relation: A Pseudoproblem?" In Mindwaves: Thoughts on Intelligence, Identity and Consciousness. Edited by Colin Blakemore and Susan Greenfield, 330. Oxford: Basil Blackwell, 1989; Rodney J. Douglas, Christof Koch, Misha Mahowald, Kevan A.C. Martin, Humbert H. Suarez. "Recurrent Excitation In Neocortical Circuits." Science, 18 August 1995: 981. |  
|  [4.][32] |  Linnda R. Caporael. "SOCIALITY: COORDINATING BODIES, MINDS AND GROUPS." Psycoloquy. 1995-06-01. |  
|  [5.][33] |  Bruce Bower. "Brain faces up to fear, social signs." Science News, December 17, 1994: 406; Eric R. Kandel and Robert D. Hawkins. "The Biological Basis of Learning and Individuality." Scientific American, September 1992: 78-87; Joseph E. LeDoux. "Emotion, Memory and the Brain." Scientific American, June 1994: 50-57; Sandra Blakeslee. "Brain Study Examines Rare Woman." New York Times, December 18, 1994: 35; Robert N. Emde. "Levels of Meaning for Infant Emotions: A Biosocial View." In Approaches to Emotion, edited by Klaus R. Scherer, Paul Ekman. Hillsdale, N.J.: Lawrence Erlbaum Associates, 1984: 79; Kathleen Stein. "Mind Reading Among the Macaques: How the brain interprets the intentions of others." Omni, June 1994: 10. |  
|  [6.][34] |  Elizabeth Loftus. Memory: Surprising New Insights Into How We Remember and Why We Forget. Reading, MA: Addison Wesley, 1980: 45-49. Elizabeth Loftus. "When A Lie Becomes Memory's Truth: Memory Distortion After Exposure to Misinformation." Current Directions In Psychological Science, August, 1992: 121-123. Elizabeth F. Loftus. "Creating False Memories." Scientific American, September 1997: 70-75. Henry L. Roediger, "Memory Illusions." Journal of Memory and Language, April 1, 1996, v 35 n 2: 76; Henry L. Roediger III, Kathleen B. McDermott. "Creating False Memories: Remembering Words Not Presented in Lists." Journal of experimental psychology, July 1995, v 21 n 4: 803. |  
|  [7.][35] |  Solomon E. Asch. "Studies of Independence and Conformity: I. A Minority of One against a Unanimous Majority." Psychological Monographs, 70:9 (1956): (Whole No. 416); Bertram H. Raven, Jeffrey Z. Rubin. Social Psychology. New York: John Wiley and Sons, 1983: 566-9, 575. |  
|  [8.][36] |  C. Faucheux and S. Moscovici. "Le style de comportement d'une minorité et son influence sur les résponses d'une majorité." Bulletin du Centre d"Études et Recherches Psychologiques, 1967, 16: 337-360; S. Moscovici, E. Lage, and M. Naffrechoux. "Influence of a consistent minority on the responses of a majority in a color perception task." Sociometry, 32, 1969: 365-380; Bertram H. Raven, Jeffrey Z. Rubin. Social Psychology: 584-585. |  
|  [9.][37] |  Eisenberg, L.: "The social construction of the human brain," American Journal of Psychiatry, 1995; 152(11): 1563-1575. Christiana M. Leonard, Linda J. Lombardino, Laurie R. Mercado, Samuel R. Browd, Joshua I. Breier, and O. Frank Agee, "Cerebral Asymmetry and Cognitive Development in Children: A Magnetic Resonance Imaging Study," Psychological Science, March 1996, p. 93. Goldman-Rakic, P., & Rakic, P. "Experimental modification of gyral patterns;" in N. Geschwind & A.M. Galaburda (Eds.), Cerebral dominance: The biological foundation (pp. 179-192); Cambridge, MA, Harvard University Press, 1984. Pascual-Leone, A., & Torres, F. (1993); "Plasticity of the sensorimotor cortex representation of the reading finger in Braille readers," Brain, 116, pp. 39-52; Recanzone, G., C. Schreiner, and M. Merzenich. "Plasticity in the Frequency Representation of Primary Auditory Cortex Following Discrimination Training in Adult Owl Monkeys." Journal of Neuroscience, 13 (1993): 97-103. |  
|  [10.][38] |  Janet F. Werker and Renee N. Desjardins. "Listening to Speech in the 1st year of life: Experiential Influences on Phoneme Perception." Current Directions in Psychological Science, June 1995: 76-81. Janet F. Werker. "Becoming a Native Listener." American Scientist, January-February 1989: 54-59. Janet F. Werker and Richard C. Tees. "The Organization and Reorganization of Human Speech Perception." Annual Review of Neuroscience, 15, 1992: pp. 377-402. J.F. Werker and J.E. Pegg. "Infant speech perception and phonological acquisition." Phonological Development: Research, Models and Implications, edited by C.E. Ferguson, L. Menn,, C. Stoel-Gammon: Parkton, MD, York Press, in press. |  
|  [11.][39] |  L. Eisenberg. "The social construction of the human brain." American Journal of Psychiatry, 152 (11) 1995: 1563-1575. M.H. Segall, D.T. Campbell, M.J. Herskovitz. The Influence of Culture On Visual Perception. Indianapolis, Bobbs-Merrill: 1966. Shi-xu. "Cultural Perceptions: Exploiting the Unexpected of the Other." Culture & Psychology, 1 1995: 315-342. J. Lucy. Grammatical Categories and Cognition: A Case Study of the Linguistic Relativity Hypothesis. Cambridge: Cambridge University Press, 1992. Kent C. Berridge and Terry E. Robinson. "The Mind of an Addicted Brain: Neural Sensitization of Wanting Versus Liking." Current Directions in Psychological Science, June 1995: 74. Jane B. Lancaster. "Primate Communication Systems and the Emergence of Human Language." Primates: Studies in Adaptation and Variability, edited by Phyllis C. Jay. New York: Holt, Rinehart and Winston, 1968: 451-453. Robert N. Emde. "Levels of Meaning for Infant Emotions: A Biosocial View." Approaches to Emotion: 79. Jay Belsky, Becky Spritz, and Keith Crnic. "Infant Attachment Security and Affective-Cognitive Information Processing at Age 3." Psychological Science, March 1996: 111-114. Bruce Bower. "Brain activity comes down to expectation." Science News, January 21, 1995: 38. Linnda R. Caporael. "SOCIALITY: COORDINATING BODIES, MINDS AND GROUPS." Psycoloquy. Downloaded from http://www.ai.univie.ac.at/cgi-bin/mfs/31/wachau/www/archives/Psycoloquy/1995.V6/0043.html?84#mfs, 95/6/01. R. Nisbett & L. Ross. Human inference: strategies and shortcomings of social judgment. Englewood Cliffs, NJ: Prentice-Hall, 1980\. R.A. Shweder & R.G. D'Andrade. "The systematic distortion hypothesis." Fallible judgment in behavioral research. New Directions for Methodology of Social and Behavioral Science, 4 1980: 37-58. |  
|  [12.][40] |  Elizabeth Gould. "The Effects of Adrenal Steroids and Excitatory Input on Neuronal Birth and Survival." In Hormonal Restructuring of the Adult Brain: Basic and Clinical Perspective, edited by Victoria N. Luine, Cheryl F. Harding. Annals of the New York Academy of Sciences, Vol. 743: 73. New York: The New York Academy of Sciences, 1994. Wise Young and June Kume-Kick, Shlomo Constantini. "Glucorticoid Therapy of Spinal Chord Injury." In Hormonal Restructuring of the Adult Brain: Basic and Clinical Perspective: 247. Steve Nadis. "Kid's Brainpower: Use It or Lose It." Technology Review, November/December, 1993: 19-20. Daniel S. Levine. "Survival of the Synapses." The Sciences, November/December 1988: 51. Thomas Elbert, Christo Pantev, Christian Wienbruch, Brigitte Rockstroh, Edward Taub. "Increased Cortical Representation of the Fingers of the Left Hand in Stringed Players." Science, 13 October 1995: 305-307. Marsha Barinaga. "Watching the Brain Remake Itself." Science, 2 Dec 1994: 1475. A. Pascual-Leone, F. Torres. "Plasticity of the sensorimotor cortex representation of the reading finger in Braille readers." Brain, 116, 1993: 39-52. Constance Holden. "Sensing Music." Science, 13 October 1995: 237. Julius Korein, M.D. "Reality and the Brain: the Beginnings and Endings of the Human Being." In The Reality Club, edited by John Brockman. New York: Lynx Books, 1988: p. 94. |  
|  [13.][41] |  Christiana M. Leonard, Linda J. Lombardino, Laurie R. Mercado, Samuel R. Browd, Joshua I. Breier, and O. Frank Agee. "Cerebral Asymmetry and Cognitive Development in Children: A Magnetic Resonance Imaging Study." Psychological Science, March 1996: 93. S. Scarr. "Theoretical Issues in Investigating Intellectual Plasticity." In Plasticity of Development, edited by S.E. Brauth, W.S. Hall, & R.J. Dooling. Cambridge, MA: MIT Press, 1991: 57-71; P. Goldman-Rakic, P. Rakic. "Experimental modification of gyral patterns." In Cerebral dominance: The biological foundation, edited by N. Geschwind & A.M. Galaburda. Cambridge, MA: Harvard University Press, 1984: 179-192. |  
|  [14.][42] |  R.L. Fantz. "Visual perception from birth as shown by pattern selectivity." Annals of the New York Academy of Sciences, 118, 1965: 793-814; Stanley Coren, Clare Porac, Lawrence M. Ward. Sensation and Perception. New York: Academic Press, 1979: 379-380. |  
|  [15.][43] |  Linda R. Caporael. "SOCIALITY: COORDINATING BODIES, MINDS AND GROUPS." |  
|  [16.][44] |  M.L. Hoffman. "Is altruism part of human nature?" Journal of Personality and Social Psychology, 40(1), 1981: 121-137; Bertram H. Raven, Jeffrey Z. Rubin. Social Psychology: 311-312. |  
|  [17.][45] |  Herbert Terrace. "Thoughts Without Words." In Mindwaves: Thoughts on Intelligence, Identity and Consciousness. Edited by Colin Blakemore and Susan Greenfield, 128-129. Oxford: Basil Blackwell, 1989. |  
|  [18.][46] |  Jerome Bruner. Actual Minds, Possible Worlds. Cambridge, MA: Harvard University Press, 1986: 60, 67-68. Uta Frith. "Autism." Scientific American, June 1993: 108-114. |  
|  [19.][47] |  Jerome Kagan. Unstable Ideas: Temperament, Cognition and Self. Cambridge: Harvard University Press, 1989: 185-186. |  
|  [20.][48] |  Barbara Kantrowitz and Pat Wingert. "How Kids Learn." Newsweek, April 17, 1989: 53. |  
|  [21.][49] |  Edward T. Hall, Beyond Culture. New York: Anchor Books, 1977: 72-77. |  
|  [22.][50] |  H.H. Kelley. "The warm-cold variable in first impressions of persons." Journal of Personality, 18, 1950: 431-439; Bertram H. Raven, Jeffrey Z. Rubin. Social Psychology.: 88-89. |  
|  [23.][51] |  Donna Eder, Janet Lynne Enke. "The Structure of Gossip: Opportunities and Constraints on Collective Expression Among Adolescents." American Sociological Review, August 1991: 494-508. |  
|  [24.][52] |  J.Z. Rubin, F,J. Provenzano, and Z. Luria. "The eye of the beholder: parents' views on sex of newborns." American Journal of Orthopsychiatry, 44, 1974: 512-519; Bertram H. Raven, Jeffrey Z. Rubin. Social Psychology: 512. |  
|  [25.][53] |  P.A. Goldberg. "Are Women Prejudiced Against Women?" Transaction, April 1968: 28-30; Bertram H. Raven, Jeffrey Z. Rubin. Social Psychology: 518 |  
|  [26.][54] |  Jerome S. Bruner. Beyond the Information Given: Studies in the Psychology of Knowing: 380-386; Paul van Geert. "Green, Red and Happiness: Towards a Framework for Understanding. |  
|  [27.][55] |  W. Bogoras. The Chukchee. New York: G.E. Stechert, 1904-1909; Jerome S. Bruner. Beyond the Information Given: Studies in the Psychology of Knowing.: 102-103. |  
|  [28.][56] |  Jared Diamond. "This Fellow Frog, Name Belong-Him Dakwo." Natural History April 1989: 16-23. |  
|  [29.][57] |  Peter N. Stearns. "The Rise of Sibling Jealousy in the Twentieth Century." In Emotion And Social Change: Toward a New Phsychohistory, edited by Carol Z. Stearns and Peter N. Stearns, 197-209. New York: Holmes & Meier, 1988. |  
|  [30.][58] |  For many examples of similar phenomena, see: Robert B. Edgerton. Sick Societies: Challenging the Myth of Primitive Harmony. New York: Free Press, 1992. |  
|  [31.][59] |  Daniel J. Boorstin. The Discoverers: A History of Man's Search To Know His World And Himself. New York: Vintage Books, 1985: 344-347. | 

[[Back to the Reactor Core]][60]

[1]: http://reactor-core.org#footnote1
[2]: http://reactor-core.org#footnote2
[3]: http://reactor-core.org#footnote4
[4]: http://reactor-core.org#footnote5
[5]: http://reactor-core.org#footnote6
[6]: http://reactor-core.org#footnote7
[7]: http://reactor-core.org#footnote8
[8]: http://reactor-core.org#footnote9
[9]: http://reactor-core.org#footnote10
[10]: http://reactor-core.org#footnote11
[11]: http://reactor-core.org#footnote12
[12]: http://reactor-core.org#footnote13
[13]: http://reactor-core.org#footnote14
[14]: http://reactor-core.org#footnote16
[15]: http://reactor-core.org#footnote18
[16]: http://reactor-core.org#footnote19
[17]: http://reactor-core.org#footnote20
[18]: http://reactor-core.org#footnote21
[19]: http://reactor-core.org#footnote22
[20]: http://reactor-core.org#footnote23
[21]: http://reactor-core.org#footnote24
[22]: http://reactor-core.org#footnote25
[23]: http://reactor-core.org#footnote26
[24]: http://reactor-core.org#footnote27
[25]: http://reactor-core.org#footnote28
[26]: http://reactor-core.org#footnote29
[27]: http://reactor-core.org#footnote30
[28]: http://reactor-core.org#footnote31
[29]: http://reactor-core.org#reference1
[30]: http://reactor-core.org#reference2
[31]: http://reactor-core.org#reference3
[32]: http://reactor-core.org#reference4
[33]: http://reactor-core.org#reference5
[34]: http://reactor-core.org#reference6
[35]: http://reactor-core.org#reference7
[36]: http://reactor-core.org#reference8
[37]: http://reactor-core.org#reference9
[38]: http://reactor-core.org#reference10
[39]: http://reactor-core.org#reference11
[40]: http://reactor-core.org#reference12
[41]: http://reactor-core.org#reference13
[42]: http://reactor-core.org#reference14
[43]: http://reactor-core.org#reference15
[44]: http://reactor-core.org#reference16
[45]: http://reactor-core.org#reference17
[46]: http://reactor-core.org#reference18
[47]: http://reactor-core.org#reference19
[48]: http://reactor-core.org#reference20
[49]: http://reactor-core.org#reference21
[50]: http://reactor-core.org#reference22
[51]: http://reactor-core.org#reference23
[52]: http://reactor-core.org#reference24
[53]: http://reactor-core.org#reference25
[54]: http://reactor-core.org#reference26
[55]: http://reactor-core.org#reference27
[56]: http://reactor-core.org#reference28
[57]: http://reactor-core.org#reference29
[58]: http://reactor-core.org#reference30
[59]: http://reactor-core.org#reference31
[60]: http://reactor-core.org/

