---
created_at: '2014-08-22T18:06:37.000Z'
title: Why I Left the Law (1997)
url: http://www.spectacle.org/797/law.html
author: Zuider
points: 93
story_text: ''
comment_text: 
num_comments: 23
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1408730797
_tags:
- story
- author_Zuider
- story_8213213
objectID: '8213213'

---
[Source](http://www.spectacle.org/797/law.html "Permalink to Why I Left the Law")

# Why I Left the Law

![][1]  
<![][2]

## Why I Left the Law

I graduated Harvard Law School in 1980 and practiced law for ten years before I took up my present job as a software business executive. When I decided to quit practicing law, I had a successful and growing practice, specializing in computer-related matters. I couldn't wait to get out.

It wasn't the clients; they were about 300 software developers and owners of small software businesses. I felt that I spoke their language and was comfortable with them; they were the same kind of people that I am most at my ease with in my business life today. Instead, it was the nature of the work, other lawyers, and the public attitude towards law that drove me out.

In all fairness to the profession, it contains its intellectual and emotional satisfactions and the first reason I had for leaving has more to do with me than with the work. I was enticed by the idea of running a software business myself, and making organic, creative decisions. An attorney is called upon at the birth of an organization and then, later, when it is sick or dying. Two or three times a month like clockwork I would sign up a new client in the throes of a software warranty dispute; I would usually find out that the deliverables had been ill-defined, that there was a mismatch of expectations between the parties, and that the warranties and the conditions of acceptance had not been specified. I felt I could be more creative structuring a company so that these problems would not occur than simply acting as the legal consultant called in to negotiate or litigate an already irretrievable situation.

Before I discuss some of the incidents which made me hate practicing law, I'll tell my two best stories. Twice in my career I really felt like Perry Mason.

A client of mine which distributed insurance software was sued by a larger competitor on copyright grounds. After interviewing the client, I felt certain of two things: there had been no copying of the competitor's code or its product's look and feel; secondly, the competitor was managed by people who were essentially in good faith, but who had acted on misinformation and in panic had brought the lawsuit.

I proposed that we name a panel of three experts to compare the code and appearance of both products and render a binding opinion on whether there had been copying. Each of the parties named one panelist, and the two agreed on the third. We rented a room in a data storage facility housed in a former train station far under the World Trade Center, where Wall Street firms sent their tapes and disks for storage and some maintained hot back-ups of their servers. We set up computers with working copies and source code of the two products (written in Pick). After several days of work, the panelists came back with the unanimous opinion that there had been no copying. The agreement provided that the other party paid our legal fees, which they graciously did once reassured. The whole process lasted under two months and short-circuited what could have been years of litigation. I was a hero to my client and their general counsel continued to call me for years after I quit my law practice.

In the other case, my client was a self-employed developer who had signed a vague partnership agreement with a businessman who promised to distribute his products, but did not do so effectively. Eventually, my client terminated the relationship and continued developing his software on his own. One day, the doorbell rang and outside was his ex-partner with a federal marshall. Without any notice to my client, he had obtained an order of seizure of my client's computer with all the software that had been developed (and all my client's other files and email), on the pretext that the software had been assigned to the partnership.

The seizure order, of course, was totally inappropriate in a business dispute; courts grant them when the defendant is essentially a criminal, a software pirate or counterfeiter who may destroy the evidence if sued in the conventional way. However, when a party walks in with a request for a so-called "ex parte" order (no notice to the other side) it is often difficult for a judge (especially one naive about technology) to see through the self-serving hype in the party's application. Even today, federal judges grant seizure orders which they revoke later; this has happened a number of times recently in cases brought by the Church of Scientology.

I knew what the ex-partner's lawyer didn't: you cannot verbally assign a copyright but must do so by a written document. No such document existed. The day after the seizure, we were summoned to court for a hearing before a federal judge as to whether the seizure order should be confirmed; as soon as I explained to the judge that a written assignment was required, and that none existed, the ex-partner's case collapsed like a house of cards and the judge immediately ordered the return of the seized equipment. Later, after I quit practicing law, my client obtained $20,000 in damages not from the ex-partner, who by then had vanished, but from the law firm which had improvidently brought a groundless case in federal court.

Some years ago, the federal courts, which in general are fairer and have better judges than the New York state courts, adopted Rule 11 of the Federal Rules of Civil Procedure; it established that any attorney bringing a meritless case might be required personally to pay sanctions to the other side. Such damages are rarely granted, but the danger that they may be is sufficient to deter most attorneys practicing in federal court from the bombast, bullshit and lies so common in state courts.

The exceptions really helped to poison the practice of law for me. A few of the most dishonest attorneys, too foolish to be frightened of Rule 11, tried to use it as a sword instead. In every fifth case I handled, I had an adversary who would try to dominate the battlefield by insisting that my side of the case was without merit, and by screaming about Rule 11 at the top of his lungs. There is an old lawyer's saying: "When you have neither the law nor the facts on your side, bang on the table and shout." In the end, the screaming bullies did more than anyone else to make me lose interest in the profession.

I am quite proud to have conducted ten years of law practice without doing anything I am ashamed of, taking a client whose case I did not believe in, or having an ethics complaint (even a groundless one) filed against me by a client. But at least once a year, I had to undergo being ridiculously libelled in court papers by an adversary, who, having no defense for his client, chose to make my personal integrity the issue in the lawsuit.

In federal court, the judge is more likely to yank a lawyer's chain to stop this; in New York State court, you can get by with an unlimited amount of libel forever (at least if you are a courthouse regular, known to the judge and wired in to the local political power structure.) Even in federal court, a litigant can make a meritless lawsuit grind on for six to eighteen months; in state court he can make it last ten years without any problem. 

The most awful thing that happens is when you lose a case you should have won for reasons that are not clear, and you are left certain (but unable to prove) that personal influence behind the scenes was the cause. For example, I represented two developers who had not been paid by a consulting firm that then went out of business. The firm had no defense, except that it had recklessly spent all its cash and couldn't make payroll. The employment contracts, prepared by the company, contained arbitration clauses, and I therefore filed for arbitration.

Two rules strongly supported following the procedure defined in the contract: arbitration clauses freely agreed to by the parties are essentially unbreakable, and a party rarely is permitted to get a court to set aside a contract it itself has drafted. Our adversary went to court and persuaded a judge, in a terse, incoherent one paragraph opinion, to set aside its own arbitration clause. I immediately moved for reconsideration and when I went to chambers to drop off the paperwork, the elderly judge was standing there with his clerk. As I walked away, I heard him say: "Who is he?"--a question I understood to mean, "Does he know anyone? Is he of any importance?"

The judge denied reconsideration of his own incredibly wrong decision and I was left unable to explain to my clients why they were being penalized for doing exactly what the contract required them to do. The most awful feeling I had in ten years of law practice was that "Mr. Jones" feeling, from the Bob Dylan song: "There's something happening here, but you don't know what it is, do you, Mr. Jones?" All too often, in state court, there was the feeling that what happened had nothing to do with the law and everything to do with the inner workings of a club of which I was not a member. The New York state courts, in New York City, are owned by the Democratic party. Judges are elected for fourteen year terms in elections where they are faced with no serious opposition; endorsement by the local Democratic club ensures election. The people who are selected are all too often not intellectual luminaries or legal scholars (unlike in the federal system) but are attorneys who have been associated with the Democratic party for many years and are up for a reward (typically, they are the ones who do not have enough on the ball to be elected to the state legislature or city council). They see the same lawyers every day, many of whom are also involved with the party, and if you are a complete outsider, as I was, you will probably not win the same number of your cases, or at least of your motions, as an insider.

I refiled my clients' claims in state court and had the satisfaction of seeing the lawyer who had killed the arbitration drop out when his client failed to pay his fees. She didn't oppose our lawsuit and I was ultimately able to get default judgments against her on behalf of both developers. A default judgment can be reopened only if the defendant can show an excuse for the default (for example, the papers were never properly served and the defendant was unaware of the date of a court appearance) and, on top of that, a legitimate defense to the claim.

She had neither a valid excuse for the default nor any defense for her failure to pay. Yet she was able to make the case drag on for two more years, until I quit practicing law, by the tactic of showing up in court every time we tried to enforce the judgment. She would show up without a lawyer and tell the judge she was about to get one, thereby winning a postponement. The next time, the lawyer would show up and tell the court that he had just accepted the case and was still studying the file, winning another postponement. Then she would fail to pay the fee, the lawyer would withdraw and she would come in and tell the judge that she was getting a lawyer. Four repetitions and a year would elapse.

In the state system, we saw a different judge every time; unlike the federal court, no one judge had control of the case who would remember the defendant's obstreperous behavior from time to time. My involvement with the case (which never resulted in the collection of any money for my clients, so far as I know) continued until a few months after I joined my company in 1990. I was helping a new law partner, who was taking over the practice so as to go forward solo, and my last appearance in court ever as a practicing attorney was on this ridiculous case. The judge had the reputation of being one of the stupidest people ever elected to the bench.

I stood up before him and without letting me get a word in, he started to rant at me, accusing me of having treated the defendant dishonestly. I was so startled that it took me a couple of minutes to figure out what had happened. The defendant, who was again lawyer-less and was an attractive woman who wore low-cut blouses to court, had actually talked her way in to the judge's chambers sometime earlier that afternoon, and told him a lot of lies about me. 

For perhaps the only time in my law career, I pounded on the table and shouted that it was all lies, and I told the judge that I highly resented his inappropriate action in allowing the defendant to plead her case ex parte. (Despite what you see in the movies, judges are never supposed to talk to one side without the other being present or giving permission, except under highly special circumstances.) And the judge backed down and all but apologized to me. But the only reason I was able to yell at him was that I knew I would never be in his courtroom again. If I was still practicing law, the certainty that I would have to deal with him again someday, under some circumstance in which he could hurt me, would have been enough to keep me silent under his abuse.

One other story is worth telling: I once litigated a case against Norman Roy Grutman, a high profile attorney whose best known clients were Bob Guccione of Penthouse and (strangely) the Reverend Jerry Falwell. (In the recent movie about the Falwell v. Hustler lawsuit, a character representing Grutman appears briefly.) Grutman was actually the defendant as well as the attorney; he had refused to pay my client, also an attorney, his share of a fee. At the very outset the judge, trying to settle the case, called us up to the bench while Mr. Grutman sat, smiling, in the back of the courtroom, and asked: "Are you sure you want to pursue a case against someone with so much clout down at the bar association?" 

We went ahead and Grutman almost obsessively made an issue of his own integrity. He was a posturing bombastic man who continually told the jury that "I wouldn't settle this case, not for a penny, not for a peppercorn." Again contrary to what you see in the movies, you can't routinely introduce evidence of character or of dishonesty in court unless it is directly relevant to the case. Grutman, by making his own honesty an issue, had opened the door for me to do what usually is not permitted. Grutman had been criticized and even sanctioned by other courts on a number of occasions for sailing very close to the ethical border. I collected articles and court decisions on each of these incidents, called him to the stand and examined him on them. He sank down in the witness chair; the big man got smaller, until he said with a groan, "This is a cheap shot, Mr. Wallace." And after that, he never came back to the courtroom and let his associate handle the rest of the case.

Why don't I list this as one of my Perry Mason moments? Because in those I felt good afterwards, and after whittling Grutman down to size I felt a little bit sick. In order to do it, I had to get down on his level. By contrast, the first two cases were intellectual victories, in which I knew the law better and navigated adroitly to serve my client.

I think on the whole I was a pretty good litigator--I knew the law and the procedure, was quick on my feet and able to communicate clearly to judge and jury. But the really satisfying moments were overwhelmed by the lies, the wasted time and effort, the plain nastiness of a profession where you have to deal with bullies every day. 

[1]: http://www.spectacle.org/pictures/hdr797.gif
[2]: http://www.spectacle.org/pictures/lawhdr.gif

