---
created_at: '2014-10-11T18:39:43.000Z'
title: The Story of the PING Program (1997)
url: http://ftp.arl.mil/mike/ping.html
author: julien421
points: 171
story_text: ''
comment_text: 
num_comments: 29
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1413052783
_tags:
- story
- author_julien421
- story_8443028
objectID: '8443028'

---
[Source](http://ftp.arl.mil/mike/ping.html "Permalink to  The Story of the PING Program ")

#  The Story of the PING Program 

#  The Story of the PING Program 

Yes, it's true! I'm the author of **ping** for UNIX. Ping is a little thousand-line hack that I wrote in an evening which practically _everyone_ seems to know about. :-) 

I named it after the sound that a sonar makes, inspired by the whole principle of echo-location. In college I'd done a lot of modeling of sonar and radar systems, so the "Cyberspace" analogy seemed very apt. It's exactly the same paradigm applied to a new problem domain: ping uses timed IP/ICMP ECHO_REQUEST and ECHO_REPLY packets to probe the "distance" to the target machine. 

My original impetus for writing PING for 4.2a BSD UNIX came from an offhand remark in July 1983 by Dr. Dave Mills while we were attending a DARPA meeting in Norway, in which he described some work that he had done on his "Fuzzball" LSI-11 systems to measure path latency using timed ICMP Echo packets. 

In December of 1983 I encountered some odd behavior of the IP network at BRL. Recalling Dr. Mills' comments, I quickly coded up the PING program, which revolved around opening an ICMP style SOCK_RAW AF_INET Berkeley-style socket(). The code compiled just fine, but it didn't work -- there was no kernel support for raw ICMP sockets! Incensed, I coded up the kernel support and had everything working well before sunrise. Not surprisingly, Chuck Kennedy (aka "Kermit") had found and fixed the network hardware before I was able to launch my very first "ping" packet. But I've used it a few times since then. *grin* If I'd known then that it would be my most famous accomplishment in life, I might have worked on it another day or two and added some more options. 

The folks at Berkeley eagerly took back my kernel modifications and the PING source code, and it's been a standard part of Berkeley UNIX ever since. Since it's free, it has been ported to many systems since then, including Microsoft Windows95 and WindowsNT. You can identify it by the distinctive messages that it prints, which look like this: 

> 
>     PING vapor.arl.army.mil (128.63.240.80): 56 data bytes
>     64 bytes from 128.63.240.80: icmp_seq=0 time=16 ms
>     64 bytes from 128.63.240.80: icmp_seq=1 time=9 ms
>     64 bytes from 128.63.240.80: icmp_seq=2 time=9 ms
>     64 bytes from 128.63.240.80: icmp_seq=3 time=8 ms
>     64 bytes from 128.63.240.80: icmp_seq=4 time=8 ms
>     ^C
>     ----vapor.arl.army.mil PING Statistics----
>     5 packets transmitted, 5 packets received, 0% packet loss
>     round-trip (ms)  min/avg/max = 8/10/16
>     

In 1993, ten years after I wrote PING, the USENIX association presented me with a handsome scroll, pronouncing me a Joint recipient of The USENIX Association 1993 **Lifetime Achievement Award** presented to the Computer Systems Research Group, University of California at Berkeley 1979-1993. ``Presented to honor profound intellectual achievement and unparalleled service to our Community. At the behest of CSRG principals we hereby recognize the following individuals and organizations as CSRG participants, contributors and supporters.'' Wow! 

Want to see the [ source code ][1]? (40k) 

From my point of view PING is _not_ an acronym standing for Packet InterNet Grouper, it's a sonar analogy. However, I've heard second-hand that Dave Mills offered this expansion of the name, so perhaps we're both right. Sheesh, and I thought the government was bad about expanding acronyms! :-) 

Phil Dykstra added ICMP Record Route support to PING, but in those early days few routers processed them, making this feature almost useless. The limitation on the number of hops that could be recorded in the IP header precluded this from measuring very long paths. 

I was insanely jealous when Van Jacobson of LBL used my kernel ICMP support to write TRACEROUTE, by realizing that he could get ICMP Time-to-Live Exceeded messages when pinging by modulating the IP time to life (TTL) field. I wish I had thought of that! :-) Of course, the real traceroute uses UDP datagrams because routers aren't supposed to generate ICMP error messages for ICMP messages. 

The best ping story I've ever heard was told to me at a USENIX conference, where a network administrator with an intermittent Ethernet had linked the ping program to his vocoder program, in essence writing: 

> 
>     ping goodhost | sed -e 's/.*/ping/' | vocoder
>     

He wired the vocoder's output into his office stereo and turned up the volume as loud as he could stand. The computer sat there shouting "Ping, ping, ping..." once a second, and he wandered through the building wiggling Ethernet connectors until the sound stopped. And that's how he found the intermittent failure. 

##  The Story About Ping 

![Book cover: The Story About Ping][2] The book by this title has nothing to do with networking, but that didn't prevent a reader from Upper Volta, Uzbekistan contributing this short but delightful review, which was was briefly seen at the [ Amazon.Com][3] bookseller web site, and is saved here as part of the story about the _other_ ping. *grin*   

> The Story About Ping by Marjorie Flack, Kurt Wiese (Illustrator) 
> 
> Reading level: Baby-Preschool 
> 
> Paperback - 36 pages (August 1977). Viking Pr; ISBN: 0140502416 ; Dimensions (in inches): 0.17 x 8.86 x 7.15 
> 
> ================================================================ 
> 
> ####  Reviews 
> 
> The tale of a little duck alone on the Yangtze River, The Story About Ping is a sweet and funny book with wonderfully rich and colorful illustrations. On a day like any other, Ping sets off from the boat he calls home with his comically large family in search of "pleasant things to eat." On this particular day, he is accidentally left behind when the boat leaves. Undaunted, the little duck heads out onto the Yangtze in search of his family, only to find new friends and adventures--and a bit of peril--around every bend. 
> 
> The exceptional illustrations bring the lush Yangtze to life, from Ping's family to the trained fishing birds he finds himself among to the faithfully rendered boats and fishermen. Certainly intended to be read aloud, The Story About Ping deserves a place on every young reader's (or listener's) shelf. (Picture book) 
> 
> ####  Synopsis 
> 
> A childhood classic. "Kurt Wiese and Marjorie Flack have created in Ping a duckling of great individuality against a background (the Yangtze River) that has both accuracy and charm."--The New York Times. Full-color illustrations. 
> 
> Synopsis of the audio cassette edition of this title: A little duck finds adventure on the Yangtze River when he is too late to board his master's houseboat one evening. 
> 
> Card catalog description: A little duck finds adventure on the Yangtze River when he is too late to board his master's houseboat one evening. 
> 
> ================================================================ 
> 
> ####  Customer Comments 
> 
> A reader from Upper Volta, Uzbekistan, March 7, 1999 
> 
> Excellent, heart-warming tale of exploration and discovery. Using deft allegory, the authors have provided an insightful and intuitive explanation of one of Unix's most venerable networking utilities. Even more stunning is that they were clearly working with a very early beta of the program, as their book first appeared in 1933, years (decades!) before the operating system and network infrastructure were finalized. 
> 
> The book describes networking in terms even a child could understand, choosing to anthropomorphize the underlying packet structure. The ping packet is described as a duck, who, with other packets (more ducks), spends a certain period of time on the host machine (the wise-eyed boat). At the same time each day (I suspect this is scheduled under cron), the little packets (ducks) exit the host (boat) by way of a bridge (a bridge). From the bridge, the packets travel onto the internet (here embodied by the Yangtze River). 
> 
> The title character -- er, packet, is called Ping. Ping meanders around the river before being received by another host (another boat). He spends a brief time on the other boat, but eventually returns to his original host machine (the wise-eyed boat) somewhat the worse for wear. 
> 
> The book avoids many of the cliches one might expect. For example, with a story set on a river, the authors might have sunk to using that tired old plot device: the flood ping. The authors deftly avoid this. 
> 
> Who Should Buy This Book 
> 
> If you need a good, high-level overview of the ping utility, this is the book. I can't recommend it for most managers, as the technical aspects may be too overwhelming and the basic concepts too daunting. 
> 
> Problems With This Book 
> 
> As good as it is, The Story About Ping is not without its faults. There is no index, and though the ping(8) man pages cover the command line options well enough, some review of them seems to be in order. Likewise, in a book solely about Ping, I would have expected a more detailed overview of the ICMP packet structure. 
> 
> But even with these problems, The Story About Ping has earned a place on my bookshelf, right between Stevens' Advanced Programming in the Unix Environment, and my dog-eared copy of Dante's seminal work on MS Windows, Inferno. Who can read that passage on the Windows API ("Obscure, profound it was, and nebulous, So that by fixing on its depths my sight -- Nothing whatever I discerned therein."), without shaking their head with deep understanding. But I digress. 
> 
> ================================================================ 
> 
> Melissa Rondeau from Braintree, MA , March 11, 1999 
> 
> I collect reference books about the UNIX operating system. PING (short for Packet InterNet Groper) has always been one of those UNIX commands whose usefulness transcends its own simplicity. A coworker told me about a book dedicated to this one command, "The Story About PING." I was a little surprised that an entire book was devoted to the history of this UNIX command, but the price was certainly affordable, so I ordered it from a distributor. What arrived was actually an illustrated story book for young children. I thought it was a mistake, but my coworker told me later he was just playing a prank. I did read the book on the plane while traveling on business, and I have to admit, it's one of the finest pieces of children's literature I have ever read. A classic tale of adventure and innocence, with an important lesson to be learned. Not what I originally expected, but an enjoyable read none the less. 
> 
> ================================================================ 
> 
> A reader from Houston, TX , November 25, 1998 
> 
> A wonderful, timeless story of family, adventure and home I can remember Captain Kangaroo reading this book on his TV show and that was probably 30 years ago. A very delightful book which allows children to understand responsiblity, adventure, family and home. The story is simple and uncluttered, a small duck who decides to avoid the punishment due the last duck to board the boat each night - a whack on the back, by hiding and not boarding with the rest of the ducks. 
> 
> Ping has his adventure and returns to the boat and his family, wiser yet innocent. Great story to share with your children. 
> 
> ================================================================ 
> 
> A reader from brunswick, jersey , November 30, 1997 
> 
> I grew up on Ping and I love it still. I'm 21 now and buying it for every friend with a kid. Its clean, its fun, and its just great. 

* * *

[ UP ][4] to Mike's Home Page.   
[ WAY UP ][5] to the Lab's Home Page.   
[ NEXT ][6] to the story of other great network tools.   

[1]: http://ftp.arl.army.mil/pub/ping.shar
[2]: http://ftp.arl.mil/flack-story-ping.gif
[3]: http://www.amazon.com/exec/obidos/ASIN/0140502416/o/
[4]: http://ftp.arl.army.mil/~mike/
[5]: http://www.arl.army.mil/
[6]: http://ftp.arl.army.mil/~mike/ttcp.html

