---
created_at: '2016-09-14T12:43:30.000Z'
title: Simulation, Consciousness, Existence (1998)
url: http://www.frc.ri.cmu.edu/~hpm/project.archive/general.articles/1998/SimConEx.98.html
author: Artoemius
points: 74
story_text: 
comment_text: 
num_comments: 84
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1473857010
_tags:
- story
- author_Artoemius
- story_12496251
objectID: '12496251'

---
[Source](http://www.frc.ri.cmu.edu/~hpm/project.archive/general.articles/1998/SimConEx.98.html "Permalink to Simulation, Consciousness, Existence -- Hans Moravec, 1998")

# Simulation, Consciousness, Existence -- Hans Moravec, 1998

  
  
_Like organisms evolved in gentle tide pools, who migrate to freezing oceans or steaming jungles by developing metabolisms, mechanisms, and behaviors workable in those harsher and vaster environments, our descendants, able to change their representations at will, may develop means to venture far from the comfortable realms we consider reality into arbitrarily strange worlds. Their techniques will be as meaningless to us as bicycles are to fish, but perhaps we can stretch our common-sense-hobbled imaginations enough to peer a short distance into this odd territory._  
  

## Simulation, Consciousness, Existence  
_Hans Moravec, 1998_

### Simulation

During the last few centuries, physical science has convincingly answered so many questions about the nature of things, and so hugely increased our abilities, that many see it as the only legitimate claimant to the title of true knowledge. Other belief systems may have social utility for the groups that practice them, but ultimately they are just made-up stories. I myself am partial to such ``physical fundamentalism.''  
  
Physical fundamentalists, however, must agree with René Descartes that the world we perceive through our senses could be an elaborate hoax. In the seventeenth century Descartes considered the possibility of an evil demon who created the illusion of an external reality by controlling all that we see and hear (and feel and smell and taste). In the twenty-first century, physical science itself, through the technology of virtual reality, will provide the means to create such illusions. Enthusiastic video gamers and other cybernauts are already strapping themselves into virtual reality goggles and body suits for brief stints in made-up worlds whose fundamental mechanisms are completely different from the quantum fields that (best evidence suggests) constitute our physical world.  
  
Today's virtual adventurers do not fully escape the physical world: if they bump into real objects, they feel real pain. That link may weaken when direct connections to the nervous system become possible, leading perhaps to the old science-fiction idea of a living brain in a vat. The brain would be physically sustained by life-support machinery, and mentally by connections of all the peripheral nerves to an elaborate simulation of not only a surrounding world but also a body for the brain to inhabit. Brain vats might be medical stopgaps for accident victims with bodies damaged beyond repair, pending the acquisition, growth, or manufacture of a new body.  
  
The virtual life of a brain in a vat can still be subtly perturbed by external physical, chemical, or electrical effects impinging on the vat. Even these weak ties to the physical world would fade if the brain, as well as the body, was absorbed into the simulation. If damaged or endangered parts of the brain, like the body, could be replaced with functionally equivalent simulations, some individuals could survive total physical destruction to find themselves alive as pure computer simulations in virtual worlds.  
  
A simulated world hosting a simulated person can be a closed self-contained entity. It might exist as a program on a computer processing data quietly in some dark corner, giving no external hint of the joys and pains, successes and frustrations of the person inside. Inside the simulation events unfold according to the strict logic of the program, which defines the ``laws of physics'' of the simulation. The inhabitant might, by patient experimentation and inference, deduce some representation of the simulation laws, but not the nature or even existence of the simulating computer. The simulation's internal relationships would be the same if the program were running correctly on any of an endless variety of possible computers, slowly, quickly, intermittently, or even backwards and forwards in time, with the data stored as charges on chips, marks on a tape, or pulses in a delay line, with the simulation's numbers represented in binary, decimal, or Roman numerals, compactly or spread widely across the machine. There is no limit, in principle, on how indirect the relationship between simulation and simulated can be.  
  
Today's simulations, say of aircraft flight or the weather, are run to provide answers and images. They do so through additional programs that translate the simulation's internal representations into forms convenient for external human observers. The need to interpret limits how radical a simulation's hardware and software representations can be. Making them too different from the form of the answers may render the translation impractically slow and expensive. This practical limit may be irrelevant for simulations, such as the medical rescue imagined above, that contain their own observers. Conscious inhabitants of simulations experience their virtual lives whether or not outsiders manage to view them. They can be implemented in any way at all.  
  
What does it mean for a process to implement, or encode, a simulation? Something is palpably an encoding if there is a way of decoding or translating it into a recognizable form. Programs that produce pictures of evolving cloud cover from weather simulations, or cockpit views from flight simulations, are examples of such decodings. As the relationship between the elements inside the simulator and the external representation becomes more complicated, the decoding process may become impractically expensive. Yet there is no obvious cutoff point. A translation that is impractical today may be possible tomorrow given more powerful computers, some yet undiscovered mathematical approach, or perhaps an alien translator. Like people who dismiss speech and signs in unfamiliar foreign languages as meaningless gibberish, we are likely to be rudely surprised if we dismiss possible interpretations simply because we can't achieve them at the moment. Why not accept all mathematically possible decodings, regardless of present or future practicality? This seems a safe, open-minded approach, but it leads into strange territory.  
  
An interpretation of a simulation is just a mathematical mapping between states of the simulation process and views of the simulation meaningful to a particular observer. A small, fast program to do this makes the interpretation practical. Mathematically, however, the job can also be done by a huge theoretical lookup table that contains an observer's view for every possible state of the simulation.  
  
The observation is disturbing because there is always a table that takes any particular situation---for instance, the idle passage of time---into any sequence of views. Not just hard-working computers, but anything at all can theoretically be viewed as a simulation of any possible world! We are unlikely to experience more than an infinitesimal fraction of the infinity of possible worlds, yet, as our ability to process data increases, more and more of them will become potentially viewable. Our ever-more superintelligent progeny will be able to make increasingly huge interpretive leaps, far beyond anything now imaginable. But whether or not they are ever seen from outside, all the possible worlds are as physically real to any conscious inhabitants they may contain as our world is to us.  
  
This line of thought, growing out of the premises and techniques of physical science, has the unexpected consequence of demoting physical existence to a derivative role. A possible world is as real, and only as real, as conscious observers, especially inside the world, think it is!  
  

### Consciousness

But what is consciousness? The prescientific suggestion that humans derive their experience of existence from spiritual mechanisms outside the physical world has had notable social consequences, but no success as a scientific hypothesis. Physical science has only recently begun to address the question on its own terms, from vantage points including evolutionary biology, anthropology, psychology, neurobiology, and computer science.  
  
Human consciousness may be a by-product of a brain evolved for social living. Memory, prediction and communication mechanisms, similar but distinct from those for keeping track of physical objects, evolved to classify and communicate the moods and relations of tribe members. Aggressive and submissive behaviors, for instance, just like bad and good smells, became classified into categories linked to behavioral responses and also communicable symbols. As language evolved, it became possible to tell stories about both physical and psychological events. At some point, perhaps very early in its evolution, the storytelling mechanism was turned back on the teller, and the story began to include commentary about the teller's state of mind along with the external happenings.  
  
Our consciousness may be primarily the continuous story we tell ourselves, from moment to moment, about what we did and why we did it. It is a thin, often inaccurate veneer rationalizing a mountain of unconscious processing. Not only is our consciousness-story a weak reflection of physical and brain reality, but its very existence is a purely subjective attribution. Viewed from the physical outside, the story is just a pattern of electrochemical events, probably in mainly our left cortex. A complex psychological interpretation must be invoked to translate that pattern into a meaningful tale. From the psychological inside, the story is compelling because the psychological interpretation is an essential element of the story, its relationships enforced unconsciously by the interconnections of the storytelling neural machinery.  
  
On the one hand, our consciousness may be an evolutionary fluke, telling an unreliable story in a far-fetched interpretation of a pattern of tiny salty squirts. On the other, our consciousness is the only reason for thinking we exist (or for thinking we think). Without it there are no beliefs, no sensations, no experience of being, no universe.  
  

### Existence

What is reality, anyway? The idea of a simulated existence is the first link in our disturbing chain of thought. Just as a literary description of a place can exist in different languages, phrasings, printing styles, and physical media, a simulation of a world can be implemented in radically different data structures, processing steps, and hardware. If one interrupts a simulation running on one machine and translates its data and program to carry on in a totally dissimilar computer, the simulation's intrinsics, including the mental activity of any inhabitants, continue blithely to follow the simulated physical laws. Only observers outside the simulation notice if the new machine runs at a different speed, does its steps in a scrambled order, or requires elaborate translation to make sense of its action.  
  
A simulation, say of the weather, can be viewed as a set of numbers being transformed incrementally into other numbers. Most computer simulations have separate viewing programs that interpret the internal numbers into externally meaningful form, say pictures of evolving cloud patterns. The simulation, however, proceeds with or without such external interpretation. If a simulation's data representation is transformed, the computer running it steps through an entirely different number sequence, although a correspondingly modified viewing program will produce the same pictures. There is no objective limit to how radical the representation can be, and any simulation can be found in any sequence, given the right interpretation. A simple clock simulates the evolving state of a complex world when interpreted via a world-describing playbook or movie frames keyed to clock ticks. Even the clock is superfluous, since an external observer can read the book or watch the movie at any pace. If the interpretation of a simulation is a dispensable external, while its core implementation can be transformed away to nothing, in what sense can a simulated world be said to exist at all?  
  
Mathematical realism, a philosophical position advocated by Plato, illuminates this problem's vexing intangibles. Mathematical objects like numbers and geometric shapes manifest themselves just as richly and consistently to abstract thought as physical objects impress the senses. To Plato, mathematical concepts were as real as physical objects, just invisible to the external senses as sound is imperceptible to the eyes.  
  
Computer simulation brings mathematical realism neatly full circle. Plato's unaided mind could handle only simple mathematical objects, leading to such dichotomies as the idea of a perfect sphere compared to a mottled, scratched marble ball in the hand. Computer simulation, like a telescope for the mind's eye, extends mental vision beyond the nearby realm of simple mathematical objects to distant worlds, some as complex as physical reality, potentially full of living beings, warts, minds, and all. Our own world is among this vista of abstractly conceivable ones, defined by the formal relationships we call physical law as any simulation is defined by its internal rules. The difference between physical and mathematical reality is an illusion of vantage point: the physical world is simply the particular abstract world that happens to contain us.  
  
The Platonic position on simulation puts a handle on the vexingly intangible. It holds that every interpretation of a process is a reality in its own right. Without it an interpretation is meaningful only in context of another interpretation defining a containing world, and so on, in an infinite regress. The Platonic position defuses various worries about intelligent machinery. Some critics argue that a machine cannot contain a mind since a machine's function is entirely an outside interpretation, unlike human minds, which supply their own sense of meaning. The Platonic position on simulation answers that the abstract relationships that constitute the mind, including its own self-interpretation, exist independently, and a robot, a simulator, or a book describing the action, no less than a biological brain, is just a way of peeking at them. Other critics worry that future robots may act like intelligent, feeling beings without having an internal sense of existence---that they will be unconscious, mindless zombies. Platonism replies that while there are indeed interpretations of any mechanism (including the human brain) as mindless, there are others which allow one to see a real, self-appreciating mind. When a robot (or a person) behaves as if it has beliefs and feelings, our relationship with it will usually be facilitated if we choose a ``has a mind'' interpretation. Of course, when working on the internals, a robotics engineer (or a brain surgeon) may be best served by temporarily slipping into a ``mindless mechanism'' interpretation.  
  
Platonism puts on the same footing mechanical simulations that precisely mimic every interaction detail, rough approximations, cinematic reconstructions, literary descriptions, idle speculation, dreams, even random gibberish: all can be interpreted as images of realities; the more detailed presentations simply have a sharper focus, blurring together fewer alternative worlds. But isn't there a huge difference between a conventional ``live'' simulation of a world and a simulation transformed to nothing, requiring a ``recorded'' book or movie to relate the unfolding events? Isn't it possible to interact with a running simulation, poking one's finger into the action, in a way impossible with a static script? In fact, a meaningful interaction is possible in either case only via an interpretation that connects the simulated world to the outside. In an interactive simulation, the viewing mechanism is no longer passive and superfluous, but an essential bidirectional conduit that passes information to and from the simulation. Such a conduit can exist for books and movies if they contain alternative scenarios for possible inputs. ``Programmed learning'' texts popular in previous decades were of this form, with instructions like ``If you answered A, go to page 56; if you answered B, go to page 79 . . .'' Some laser-disc video games give the impression of interactive simulation by playing video clips contingent on the player's actions. Mathematically, any interactive mechanism, even a robot or human, can be viewed as a compact encoding of a script with responses for all possible input histories. Platonism holds that the soul is in the abstract relationships represented, not the mechanics of how they are encoded.  
  
This position seems to have scary moral implications. If simulation simply opens windows into Platonic realities, and robots and humans, no less than books, movies, or computer models, are only images of those essences, then it should be no worse to mistreat a human, an animal or a feeling robot than to choose a cruel action in a video game or an interactive book: in all cases you are simply viewing preexisting realities. But choices do have consequences for the person making them because of the mysterious contrivance of physical law and conscious interpretation that produces single threads of consciousness with unseen futures and unalterable pasts. By our choices, we each thread our own separate way through the maze of possible worlds, bypassing equally real alternatives with equally real versions of ourselves and others, selecting the world we must then live in.  
  
So is there no difference between being cruel to characters in interactive books or video games and people one meets in the street? Books or games act on a reader's future only via the mind, and actions within them are mostly reversed if the experience is forgotten. Physical actions, by contrast, have greater significance because their consequences spread irreversibly. If past physical events could be easily altered, as in some time-travel stories, if one could go back to prevent evil or unfortunate deeds, real life _would_ acquire the moral significance of a video game. A more disturbing implication is that any sealed-off activity, whose goings on can be forgotten, may be in the video game category. Creators of hyperrealistic simulations---or even secure physical enclosures---containing individuals writhing in pain are not necessarily more wicked than authors of fiction with distressed characters, or myself, composing this sentence vaguely alluding to them. The suffering preexists in the underlying Platonic worlds; authors merely look on. The significance of running such simulations is limited to their effect on viewers, possibly warped by the experience, and by the possibility of ``escapees''---tortured minds that could, in principle, leak out to haunt the world in data networks or physical bodies. Potential plagues of angry demons surely count as a moral consequence. In this light, mistreating people, intelligent robots, or individuals in high-resolution simulations has greater moral significance than doing the same at low resolution or in works of fiction not because the suffering individuals are more real---they are not---but because the probability of undesirable consequences in our own future is greater.  
  

### Universal Existence

Perhaps the most unsettling implication of this train of thought is that anything can be interpreted as possessing any abstract property, including consciousness and intelligence. Given the right playbook, the thermal jostling of the atoms in a rock can be seen as the operation of a complex, self-aware mind. How strange. Common sense screams that people have minds and rocks don't. But interpretations are often ambiguous. One day's unintelligible sounds and squiggles may become another day's meaningful thoughts if one masters a foreign language in the interim. Is the Mount Rushmore monument a rock formation or four presidents' faces? Is a ventriloquist's dummy a lump of wood, a human simulacrum, or a personality sharing some of the ventriloquist's body and mind? Is a video game a box of silicon bits, an electronic circuit flipping its own switches, a computer following a long list of instructions, or a large three-dimensional world inhabited by the Mario Brothers and their mushroom adversaries? Sometimes we exploit offbeat interpretations: an encrypted message is meaningless gibberish except when viewed through a deliberately obscure decoding. Humans have always used a modest multiplicity of interpretations, but computers widen the horizons. The first electronic computer was developed by Alan Turing to find ``interesting'' interpretations of wartime messages radioed by Germany to its U-boats. As our thoughts become more powerful, our repertoire of useful interpretations will grow. We can see levers and springs in animal limbs, and beauty in the aurora: our ``mind children'' may be able to spot fully functioning intelligences in the complex chemical goings on of plants, the dynamics of interstellar clouds, or the reverberations of cosmic radiation. No particular interpretation is ruled out, but the space of all of them is exponentially larger than the size of individual ones, and we may never encounter more than an infinitesimal fraction. The rock-minds may be forever lost to us in the bogglingly vast sea of mindlessly chaotic rock-interpretations. Yet those rock-minds make complete sense to themselves, and to them it is we who are lost in meaningless chaos. Our own nature, in fact, is defined by the tiny fraction of possible interpretations we can make, and the astronomical number we can't.  
  
  
  

### Everything and Nothing

There is no content or meaning without selection. The realm of all possible worlds, infinitely immense in one point of view, is vacuous in another. Imagine a book giving a detailed history of a world similar to ours. The book is written as compactly as possible: rote predictable details are left as homework for the reader. But even with maximal compression, it would be an astronomically immense tome, full of novelty and excitement. This interesting book, however, is found in ``_the library of all possible books written in the Roman alphabet, arranged alphabetically_''---the whole library being adequately defined by this short, boring phrase in quotes. The library as a whole has so little content that getting a book from it takes as much effort as writing the book. The library might have stacks labeled **A** through **Z**, plus a few for punctuation, each forking into similarly labeled substacks, those forking into subsubstacks, and so on indefinitely. Each branchpoint holds a book whose content is the sequence of stack letters chosen to reach it. Any book can be found in the library, but to find it the user must choose its first letter, then its second, then its third, just as one types a book by keying each subsequent letter. The book's content results entirely from the user's selections; the library has no information of its own to contribute.  
  
Although content-free overall, the library contains individual books with fabulously interesting stories. Characters in some of those books, insulated from the vast gibberish that makes the library worthless from outside, can well appreciate their own existence. They do so by perceiving and interpreting their own story in a consistent way, one that recognizes their own meaningfulness---a prescription that is probably the secret of life and existence, and the reason we find ourselves in a large, orderly universe with consistent physical laws, possessing a sense of time and a long evolutionary history.  
  
The set of all possible interpretations of any process as simulations is exactly analogous to the content of all the books in the library. In total it contains no information, yet every interesting being and story can be found within it.  
  

### Universal Appreciation

If our world distinguishes itself from the vast unexamined (and unexaminable) majority of possible worlds through the act of self-perception and self-appreciation, just who is doing all the perceiving and appreciating? The human mind may be up to interpreting its own functioning as conscious, so rescuing itself from meaningless zombiehood, but surely we few humans and other biota---trapped on a tiny, soggy dust speck in an obscure corner, only occasionally and dimly aware of the grossest features of our immediate surroundings and immediate past---are surely insufficient to bring meaning to the whole visible universe, full of unimagined surprises, 10^40 times as massive, 10^70 times as voluminous, and 10^10 times as long-lived as ourselves. Our present appreciative ability seems more a match for the simplicity of Saturday-morning cartoons.  
  
The book _The Anthropic Cosmological Principle_, by cosmologists John Barrow and Frank Tipler, and Tipler's recent _The Physics of Immortality_ argue that the crucial parts of the story lie in our future, when the universe will be shaped more by the deliberate efforts of intelligence than the simple, blind laws of physics. In their future cosmology, consistent with the one in this book, human-spawned intelligence will expand into space, until the entire accessible universe is inhabited by a cohesive mind that manipulates events, from the quantum-microscopic to the universe-macroscopic, and spends some of its energy recalling the past. Tipler and Barrow predict that the universe is closed: massive enough to reverse its present expansion in a future ``big crunch'' that mirrors the big bang. The universe mind will thrive in the collapse, perhaps by encoding itself into the cosmic background radiation. As the collapse proceeds, the radiation's temperature, and so its frequencies and the mind's speed, rise and there are ever more high-frequency wave modes to store information. By very careful management, avoiding ``event horizons'' that would disconnect its parts and using ``gravitational shear'' from asymmetries in the collapse to provide free energy, Tipler and Barrow calculate that the cosmic mind can contrive to do more computation and accumulate more memories in each remaining half of the time to the final singularity than it did in the one before, thus experiencing a neverending infinity of time and thought. As it contemplates, effects from the universe's past converge on it. There is information, time, and thought enough to recreate, savor, appreciate, and perfect each detail of each moment. Tipler and Barrow suggest that it is this final, subjectively eternal act of infinite self-interpretation that effectively creates our universe, distinguishing it from the others lost in the library of all possibilities. We truly exist because our actions lead ultimately to this ``Omega Point'' (a term borrowed from the Jesuit paleontologist and radical philosopher Tielhard de Chardin).  
  

### Uncommon Sense

Although our eyes and arms effortlessly predict the liftability of a rock, the action of a lever, or the flight of an arrow, mechanics was deeply mysterious to those overly thoughtful ancients who pondered why stones fell, smoke rose, or the moon sailed by unperturbably. Newtonian mechanics revolutionized science by precisely formalizing the intelligence of eye and muscle, giving the Victorian era a viscerally satisfying mental grip on the physical world. In the twentieth century, this common-sense approach was gradually extended to biology and psychology. Meanwhile, physics moved beyond common sense. It had to be reworked because, it turned out, light did not fit the Newtonian framework.  
  
In a one-two blow, intuitive notions of space, time, and reality were shattered, first by relativity, where space and time vary with perspective, then more seriously by quantum mechanics, where unobserved events dissolve into waves of alternatives. Although correctly describing everyday mechanics as well as such important features of the world as the stability of atoms and the finiteness of heat radiation, the new theories were so offensive to common sense, in concept and consequences, that they inspire persistent misunderstandings and bitter attacks to this day. The insult will get worse. General relativity, superbly accurate at large scales and masses, has not yet been reconciled with quantum mechanics, itself superbly accurate at tiny scales and huge energy concentrations. Incomplete attempts to unite them in a single theory hint at possibilities that exceed even their individual strangeness.  
  
The strangeness begins just beyond the edges of the everyday world. When an object travels from one place to another, common sense insists that it does so on a definite, unique trajectory. Not so, says quantum mechanics. A particle in unobserved transit goes every possible way simultaneously until it is observed again. The indefiniteness of the trajectory manifests itself in the kind of interference pattern created by waves that spread and recombine, adding where they meet in step and canceling where out of step. A photon, a neutron, or even a whole atom sent to a row of detectors via a screen with two slits, will always miss certain detectors, where the wave of its possible positions, having passed through both slits, cancels.  
  
Experimental results forced the quantum view of the world on reluctant physicists piecemeal during the first quarter of the twentieth century and it still has ragged edges. The theory is neat in describing the unobserved, where, for instance, a particle spreads like a wave. It fails to define or pinpoint the act of observation, when the ``wave function'' collapses and the particle appears in exactly one of its possible places, with a probability given by the intensity of its wave there. It may be when the detector responds, or when the instrumentation connected to the detector registers, or when the experimenter notes the instrument readings, or even when the world reads about the result in physics journals!   
  
In principle, if not practice, the point of collapse can be pinpointed: before collapse, possibilities interfere like waves, creating interference patterns; after collapse, possibilities simply add in a common-sense way. Very small objects, like neutrons traveling through slits, make visible interference patterns. Unfortunately, large, messy objects like particle detectors or observing physicists would produce interference patterns much, much finer than atoms, indistinguishable from common-sense probability distributions because they are so easily blurred by thermal jiggling.  
  
Because, for humans, common sense is easier than quantum theory, workaday physicists take collapse to happen as soon as possible---for instance, when a particle first encounters its detector. But this ``early collapse'' view can have peculiar implications. It implies that the wave function can be repeatedly collapsed and uncollapsed in subtle experiments that allow measurements to be undone through deliberate cancellation at the experimenter's whim.  
  
This wave function yo-yo is less problematical if one assumes that the collapse happens further downstream where it is more difficult to undo the measurement. Just where the hope of reversal ends is a moving target, as quantum experiments become ever more controlled and subtle. Einstein was troubled by the implications of quantum mechanics, and he devised thought experiments with outcomes so counterintuitive he felt they discredited the theory. Those counterintuitive outcomes are now observed in laboratories and utilized in experimental quantum computers and cryptographic signaling systems. Soon, more advanced quantum computers will allow the results of entire long computations to be undone.  
  
Common sense screams that measurements are real when they register in the experimenter's consciousness. This thinking has led some philosophically inclined physicists to suggest that consciousness itself is the mysterious wave-collapsing process that quantum theory fails to identify. But even consciousness is insufficient to cause collapse in the thought experiment known as ``Wigner's Friend.'' Like the more famous ``Schrödinger's Cat,'' Wigner's friend is sealed in a perfectly isolating enclosure with a physics experiment that has two possible outcomes. The friend observes the experiment and notes the outcome mentally. Outside the leakproof enclosure, Wigner can only describe his friend's mental state as the superposition of the alternatives. In principle these alternatives should interfere, so that when the enclosure is opened one or another outcome may be favored, depending on the precise time of opening. Wigner might then conclude that his own consciousness triggered the collapse when the enclosure was opened, but his friend's earlier observation had left it uncollapsed.  
  
Assuming that effects behave quantum mechanically until some point when their wave functions become so entangled with the world that they are beyond hope of reversal, at which point they behave commonsensically, eliminates philosophical problems for most laboratory physicists. It creates problems for cosmologists, whose scope is the entire universe, for it implies the world is peppered with collapsed wave functions surrounding observing devices. These collapses have no theory and cannot be experimentally quantified and thus make it impossible to set up equations for the universe overall. Instead, cosmologists assume the entire universe behaves as a giant wave function that evolves according to quantum theory and never collapses. But how can a ``universal wave function,'' in which every particle forever spreads like a wave, be reconciled with individual experiences of finding particles in particular positions?  
  

### Many Worlds

In a 1957 Ph.D. thesis, Hugh Everett gave a new answer to that question. Given a universally evolving wave function, where the configuration of a measuring apparatus, no less than of a particle, spreads wavelike through its space of possibilities, he showed that if two instruments recorded the same event, the overall wave function had maximum magnitude for situations where the records concurred and canceled where they disagreed. Thus, a peak in the combined wave represents a possibility where, for instance, an instrument, an experimenter's memory, and the marks in a notebook agree on where a particle alighted---eminent common sense. But the whole wave function contains many such peaks, each representing a consensus on a different outcome. Everett had shown that quantum mechanics, stripped of problematical collapsing wave functions, still predicts common-sense worlds---only many, many of them, all slightly different. The ``no-collapse'' view became known as the ``many-worlds'' interpretation of quantum mechanics. Its implication that each observation branched the world into something like $10^{100}$ separate experiences seemed so extravagantly insulting to common sense that it was passionately rejected by many. Although cosmologists worked with the universal wave function, its connection to the everyday world was ignored for another twenty years.  
  
Recent subtle experiments confirming the most mind-bending predictions of quantum mechanics, including the development of quantum computers, have lifted many-worlds' stock relative to traditional interpretations that require influences to leap wildly across time and space to explain the observed correlations. The theoretical trail pioneered by Everett is becoming traveled and extended. Since the late 1980s James Hartle and Murray Gell-Mann have investigated its underlying notions of measurement and probability.  
  
Everett had demonstrated that the conventional rules for collapsing the wave function to measurement-outcome probabilities from ``outside'' a system were consistent with what would be reported by (each version of) the uncollapsed observer ``inside,'' thus removing the requirement for an outside or a collapse and raising our consciousness to existence of many worlds. He made no attempt to show how those peculiar measurement rules arose in the first place. Gell-Mann and Hartle are asking this difficult question. They are far from a final resolution, but their work so far shows just how special---or illusory---the common-sense world really is.  
  
Hartle and Gell-Mann note that if we were to try to observe and remember events at the finest possible detail---around $10^{-30}$ centimeters, far smaller than anything reachable today---the interference of all possible worlds would present a seething chaos with no permanent structures, no quiet place to store memories, effectively no consistent time. At a coarser viewing scale---$10^{-15}$ centimeters, the submicroscopic world touched by today's high-energy physics---much of the chaos goes unobserved, and multiple worlds merge together, canceling the wildest possibilities, leaving those where particles can exhibit a consistent existence and motion, if still jaggedly unpredictable, through a vacuum that boils with ephemeral ``virtual'' energy. Everyday objects have the smooth, predictable trajectories of common sense only because our dim senses are coarser still, registering nothing finer than $10^{-5}$ centimeters. At scales larger than the everyday (or the Hartle--Gell-Mann analysis), the events we consider interesting are blurred to invisibility, and the universe is increasingly boring and predictable. At the largest possible scale, the universe's matter is canceled by the negative energy in its gravitational fields (which strengthen while releasing energy, as matter falls together), and in sum there is nothing at all.  
  
No complete theory yet explains our existence and experiences, but there are hints. Tiny universes simulated in today's computers are often characterized by adjustable rules governing the interaction of neighboring regions. If the interactions are made very weak, the simulations quickly freeze to bland uniformity; if they are very strong, the simulated space may seethe intensely in a chaotic boil. Between the extremes is a narrow ``edge of chaos'' with enough action to form interesting structures, and enough peace to let them persist and interact. Often such borderline universes can contain structures that use stored information to construct other things, including perfect or imperfect copies of themselves, thus supporting Darwinian evolution of complexity. If physics itself offers a spectrum of interaction intensities, it is no surprise that we find ourselves operating at the liquid boundary of chaos, for we could not function, nor have evolved, in motionless ice nor formless fire.  
  
The odd thing about the Hartle--Gell-Mann spectrum is that it is not some external knob that controls the interaction intensity, but varying interpretations of a single underlying reality made by observers who are part of the interpretation. It is, in fact, the same kind of self-interpretation loop we encountered when considering observers inside simulations. We are who we are, in the world we experience, because we see ourselves that way. There are almost certainly other observers in exactly the same regions of the wave function who see things entirely differently, to whom we are simply meaningless noise.  
  
The similarity between Everett's ``many worlds'' and the philosophical ``possible worlds'' may become stronger yet. In ``many worlds'' quantum mechanics, physical constants, among other things, have fixed values. Gravity, in objects like black holes, loosens the rules, and a full quantum theory of gravity may predict possible worlds far exceeding Everett's range---and who knows what potent subtleties lie even further on? It may turn out, as we claw our way out through onion layers of interpretation, that physics places fewer and fewer constraints on the nature of things. The regularities we observe may be merely a self-reflection: we must perceive the world as compatible with our own existence---with a strong arrow of time, dependable probabilities, where complexity can evolve and persist, where experiences can accumulate in reliable memories, and the results of actions are predictable. Our mind children, able to manipulate their own substance and structure at the finest levels, will probably greatly transcend our narrow notions of what is.  
  

### Questioning Reality

Like organisms evolved in gentle tide pools, who migrate to freezing oceans or steaming jungles by developing metabolisms, mechanisms, and behaviors workable in those harsher and vaster environments, our descendants may develop means to venture far from the comfortable realms we consider reality into arbitrarily strange volumes of the all-possible library. Their techniques will be as meaningless to us as bicycles are to fish, but perhaps we can stretch our common-sense-hobbled imaginations enough to peer a short distance into this odd territory. Physical quantities like the speed of light, the attraction of electric charges, and the strength of gravity are, for us, the unchanging foundation on which everything is built. But if our existence is a product of self-interpretation in the space of all possible worlds, this stability may simply reflect the delicacy of our own construction---our biochemistry malfunctions in worlds where the physical constants vary, and we would cease to be there. Thus, we always find ourselves in a world where the constants are just what is needed to keep us functioning. For the same reason, we find the rules have held steady over a long period, so evolution could accumulate our many intricate, interlocking internal mechanisms.  
  
Our engineered descendants will be more flexible. Perhaps mind-hosting bodies can be constructed that are adjustable for small changes in, say, the speed of light. An individual who installed itself in such a body, and then adjusted it for a slightly higher lightspeed, should then find itself in a physical universe appropriately altered, since it could then exist in no other. It would be a one-way trip. Acquaintances in old-style bodies would be seen to die---among fireworks everywhere, as formerly stable atoms and compounds disintegrated. Turning the tuning knob back would not restore the lost continuity of life and substance. Back in the old universe everything would be normal, only the acquaintances would witness an odd ``suicide by tuning knob.'' Such irreversible partings of the way occur elsewhere in physics. The many-worlds interpretation calls for them, subtly, at every recorded observation. General relativity offers dramatic ``event horizons'': an observer falling into a black hole sees a previously inaccessible universe ahead at the instant she permanently loses the ability to signal friends left outside.  
  
Visiting offbeat worlds, where the dependable predictability of the common sense no longer holds, is probably much too tricky for crude techniques like the last paragraph's knob turning. It must be far more likely that mechanical fluctuations or other effects persistently frustrate attempts to retune a body than for physical constants to actually change. Yet once our descendants achieve fine-grain mastery of extensive regions of the universe, they may be able to orchestrate the delicate adjustments needed to navigate deliberately among the possibilities, perhaps into difficult but potent regions shaped by interrelationships richer than those of matter, space, and time. Time travel, a technology faintly visible on our horizon, may mark merely the first and most pedestrian route in this limitless space.  
  

### Until Death Do Us Part

We can't yet leave the physical world in chosen directions, but we are scheduled to leave it soon enough in an uncontrolled way when we die. But why do we seem so firmly locked to the simple physical laws of the material world before death? This is a most fundamental question if one accepts that all possible worlds are equally real. Artificial intelligence programs, which recreate the psychological state of nervous systems without simulating the detailed physical substance that underlies them, and virtual realities, which allow unphysical magical effects like teleportation, suggest that our own consciousnesses can exist in many possible worlds that do not follow our physical laws. This question of why our universe seems so firmly yoked to physical law has hardly been asked in a scientific way, let alone answered. But the answer may be related to Einstein's observation that mathematics seems to be unreasonably effective in describing the physical world. This unreasonableness shows itself in the plausible, already partially fulfilled, quest of physics for a ``Theory of Everything,'' perhaps a simple differential equation whose solution implies our whole physical universe and everything in it!  
  
In our daily meanders, we are more likely to stumble across a particular small number (say ``5'') than a particular large one (say ``53783425456''). The larger number requires far more digits to simultaneously fall into place just so, and thus is far less likely. Similarly, although we exist in many of all possible universes, we are most likely to find ourselves in the simplest of those, the few that require the least number of things to be just so. The universe's great size and age, its physical laws, and our own long evolution may be just the working of the simplest possible rules that produce our minds.  
  
Our consciousness now finds itself dependent on the operation of trillions of cells tuned exquisitely to the physical laws into which we evolved. It continues from moment to moment most simply if those laws continue to operate as they have in the past. Thus, with overwhelming probability, we find the laws are stable. In the space of all possible universes, we are bound to the same old one. As long as we remain alive.  
  
When we die, the rules surely change. As our brains and bodies cease to function in the normal way, it takes greater and greater contrivances and coincidences to explain continuing consciousness by their operation. We lose our ties to physical reality, but, in the space of all possible worlds, that cannot be the end. Our consciousness continues to exist in some of those, and we will always find ourselves in worlds where we exist and never in ones where we don't. The nature of the next simplest world that can host us, after we abandon physical law, I cannot guess. Does physical reality simply loosen just enough to allow our consciousness to continue? Do we find ourselves in a new body, or no body? It probably depends more on the details of our own consciousness than did the original physical life. Perhaps we are most likely to find ourselves reconstituted in the minds of superintelligent successors, or perhaps in dreamlike worlds (or AI programs) where psychological rather than physical rules dominate. Our mind children will probably be able to navigate the alternatives with increasing facility. For us, now, barely conscious, it remains a leap in the dark. Shakespeare's words, in Hamlet's famous soliloquy, still apply:  
  
_ To die, to sleep;  
To sleep: perchance to dream: ay, there's the rub;  
For in that sleep of death what dreams may come  
When we have shuffled off this mortal coil,  
Must give us pause: there's the respect  
That makes calamity of so long life;  
For who would bear the whips and scorns of time,  
The oppressor's wrong, the proud man's contumely,  
The pangs of despised love, the law's delay,  
The insolence of office and the spurns  
That patient merit of the unworthy takes,  
When he himself might his quietus make  
With a bare bodkin? who would fardels bear,  
To grunt and sweat under a weary life,  
But that the dread of something after death,  
The undiscover'd country from whose bourn  
No traveller returns, puzzles the will  
And makes us rather bear those ills we have  
Than fly to others that we know not of?  
Thus conscience does make cowards of us all;  
And thus the native hue of resolution  
Is sicklied o'er with the pale cast of thought,  
And enterprises of great pith and moment  
With this regard their currents turn awry,  
And lose the name of action. _

