---
created_at: '2018-02-05T09:45:00.000Z'
title: Swatch Internet Time (1998)
url: https://en.wikipedia.org/wiki/Swatch_Internet_Time
author: velmu
points: 86
story_text: 
comment_text: 
num_comments: 78
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1517823900
_tags:
- story
- author_velmu
- story_16307725
objectID: '16307725'

---
[Source](https://en.wikipedia.org/wiki/Swatch_Internet_Time "Permalink to Swatch Internet Time - Wikipedia")

# Swatch Internet Time - Wikipedia

# Swatch Internet Time

From Wikipedia, the free encyclopedia

Jump to: [navigation][1], [search][2]

![][3]

Logo of the Swatch Internet Time

**Swatch Internet Time** (or **beat time**) is a [decimal time][4] concept introduced in 1998 by the [Swatch][5] corporation as part of their marketing campaign for their line of "Beat" watches.

Instead of hours and minutes, the mean solar day is divided into 1000 parts called ".beats". Each .beat is equal to one decimal minute in the [French Revolutionary][6] [decimal time][4] system and lasts 1 minute and 26.4 seconds (86.4 seconds) in standard time. Times are notated as a 3-digit number out of 1000 after midnight. So, @248 would indicate a time 248 .beats after midnight representing 248/1000 of a day, just over 5 hours and 57 minutes.

There are no time zones in Swatch Internet Time; instead, the new time scale of Biel Meantime (BMT) is used, based on Swatch's headquarters in [Biel][7], Switzerland and equivalent to [Central European Time][8], West Africa Time, and [UTC+01][9]. Unlike civil time in Switzerland and many other countries, Swatch Internet Time does not observe [daylight saving time][10].

## Contents

* [1 History][11]
    * [1.1 Uses][12]
    * [1.2 Beatnik satellite controversy][13]
* [2 Description][14]
    * [2.1 Beats][15]
    * [2.2 Time zones][16]
    * [2.3 Notation][17]
    * [2.4 Time unit conversion][18]
    * 2.5 Calculation from UTC+1
* [3 See also][19]
* [4 References][20]
* [5 External links][21]

## History[[edit][22]]

Swatch Internet Time was announced on October 23, 1998, in a ceremony at the Junior Summit '98, attended by [Nicolas G. Hayek][23], President and CEO of the Swatch Group, G.N. Hayek, President of Swatch Ltd., and [Nicholas Negroponte][24], founder and then-director of the [MIT Media Lab][25]. During the Summit, Swatch Internet Time became the official time system for [Nation1][26], an online country (supposedly) created and run by children.

### Uses[[edit][27]]

![][28]

A Swatch watch showing .beat time in the bottom part of the display

During 1999, Swatch produced several models of watch, branded "Swatch .beat", that displayed Swatch Internet Time as well as standard time, and even convinced a few websites (such as [CNN.com][29]) to use the new format.[[1]][30] [PHP][31]'s date() function has a format specifier 'B' which returns the Swatch Internet Time notation for a given time stamp.[[2]][32] It is also used as a time reference on [ICQ][33], and the online [role-playing game][34] [_Phantasy Star Online][35]_ has used it since its launch on the [Dreamcast][36] in 2000 to try to facilitate cross-continent gaming (as the game allowed Japanese, American and European players to mingle on the same servers). In March 2001, [Ericsson][37] released the T20e, a [mobile phone][38] which gave the user the option of displaying Internet Time. Outside these areas, it is infrequently used. While Swatch still offers the concept on its website, it no longer markets beat watches.[[_citation needed][39]_] In July 2016, Swatch released Touch Zero Two, its second wirelessly connected watch, with Swatch Internet Time function.

### Beatnik satellite controversy[[edit][40]]

In early 1999, Swatch began a marketing campaign about the launch of their Beatnik satellite, intended to service a set of Internet Time watches. They were criticized for planning to use an [amateur radio][41] frequency for broadcasting a commercial message (an act banned by international treaties). Swatch reallocated the transmitter batteries to a different function on the [Mir space station][42], thus the satellite never broadcast.[[3]][43]

## Description[[edit][44]]

The concept was touted as an alternative, decimal measure of time. One of the supposed goals was to simplify the way people in different [time zones][45] communicate about time, mostly by eliminating time zones altogether.

### Beats[[edit][46]]

Instead of hours and minutes, the [mean solar day][47] is divided into 1,000 parts called ".beats". Each .beat lasts 1 minute and 26.4 seconds. One .beat is equal to one decimal minute in [French decimal time][48].

Although Swatch does not specify units smaller than one .beat, [third party][49] implementations have extended the standard by adding "centibeats" or "sub-beats", for extended precision: @248.00. Each "centibeat" is a hundredth of a .beat and is therefore equal to one [decimal][50] second (0.864 seconds).[[4]][51][[5]][52]

### Time zones[[edit][53]]

There are no time zones; instead, the new time scale of Biel Meantime (BMT) is used, based on the company's headquarters in [Biel, Switzerland][7]. Despite the name, BMT does not refer to mean [solar time][54] at the Biel [meridian][55] (7°15′E), but to the standard time there. It is equivalent to the [Central European Time][8] and [West Africa Time][56] or [UTC][57]+1.

Like UTC, Swatch Internet Time is the same throughout the world. For example, when the time is 875 .beats, or @875, in New York, it is also @875 in Tokyo: 0.875 × 24 hours = 21:00 BMT = 20:00 UTC. Unlike civil time in most European countries, Internet Time does not observe [daylight saving time][10] and thus it matches Central European Time during (European) winter and [Western European Summer Time][58], which is observed by the United Kingdom, Ireland, Portugal and the [Canary Islands (Spain)][59], during summer.

### Notation[[edit][60]]

The most distinctive aspect of Swatch Internet Time is its notation; as an example, "@248" would indicate a time 248 .beats after midnight, equivalent to a fractional day of 0.248 CET, or 04:57:07.2 UTC. No explicit format was provided for [dates][61], although the Swatch website formerly displayed the [Gregorian calendar][62] date in the order day-month-year, separated by periods and prefixed by the letter _d_ (d31.01.99).

### Time unit conversion[[edit][63]]

| ----- |
|  Unit |  Beat Conversion |  
|  1 day |  1000 .beats |  
|  1 hour |  41.6 .beats |  
|  1 min |  0.694 .beats |  
|  1 s |  0.011574 .beats | 

Note that units smaller than 1 .beat are not officially recognized by the standard.

### Calculation from UTC+1[[edit][64]]

The formula for calculating the current time in .beats from [UTC][57]+1 is:
    
    
       (UTC+1seconds + (UTC+1minutes * 60) + (UTC+1hours * 3600)) / 86.4
    

Round down the outcome.[[6]][65]

## See also[[edit][66]]

* [Decimal time][4]
* [French Republican Calendar][67]
* [ke][68] = 10 'beats'
* [Metric time][69]
* [New Earth Time][70]
* [Unix time][71]
* [Coordinated Universal Time][72] (UTC)

## References[[edit][73]]

1. [**^][74]** ["TLDR #15 – Internet Time"][75]. _On The Media_. Retrieved 31 March 2014. 
2. [**^][76]** ["PHP: date"][77]. _PHP Manual_. Retrieved 12 January 2014. 
3. [**^][78]** ["Hams jam space spam"][79]. _BBC News_. 1999-04-16. Retrieved 2010-08-03. 
4. [**^][80]** ["Nucleus Plugin: NP_InternetTime"][81]. _TeRanEX Wiki_. 
5. [**^][82]** ["iBeat"][83]. Archived from [the original][84] on 2007-10-08. 
6. [**^][85]** ["How do I get the current time in Swatch Internet Time in Java?"][86]. _StackOverflow_. Retrieved 28 March 2014. 

## External links[[edit][87]]

* [Official website][88]
* [A short description of Internet time][89]

![][90]

Retrieved from "[https://en.wikipedia.org/w/index.php?title=Swatch_Internet_Time&oldid=817726274][91]" 

[Categories][92]: 

* [Time measurement systems][93]
* [Computer-related introductions in 1998][94]
* [Units of time][95]
* [Decimal time][96]
* [Swiss inventions][97]

Hidden categories: 

* [All articles with unsourced statements][98]
* [Articles with unsourced statements from July 2015][99]

## Navigation menu

### Personal tools

* Not logged in
* [Talk][100]
* [Contributions][101]
* [Create account][102]
* [Log in][103]

### Namespaces

* [Article][104]
* [Talk][105]

###  Variants

### Views

* [Read][106]
* [Edit][107]
* [View history][108]

### More

###  Search

### Navigation

* [Main page][109]
* [Contents][110]
* [Featured content][111]
* [Current events][112]
* [Random article][113]
* [Donate to Wikipedia][114]
* [Wikipedia store][115]

### Interaction

* [Help][116]
* [About Wikipedia][117]
* [Community portal][118]
* [Recent changes][119]
* [Contact page][120]

### Tools

* [What links here][121]
* [Related changes][122]
* [Upload file][123]
* [Special pages][124]
* [Permanent link][125]
* [Page information][126]
* [Wikidata item][127]
* [Cite this page][128]

### Print/export

* [Create a book][129]
* [Download as PDF][130]
* [Printable version][131]

### Languages

* [বাংলা][132]
* [Català][133]
* [Čeština][134]
* [Dansk][135]
* [Deutsch][136]
* [Español][137]
* [Français][138]
* [Italiano][139]
* [Magyar][140]
* [日本語][141]
* [Polski][142]
* [Português][143]
* [Русский][144]
* [Simple English][145]
* [Suomi][146]
* [Українська][147]
* [中文][148]

[Edit links][149]

* This page was last edited on 30 December 2017, at 05:40.
* Text is available under the [Creative Commons Attribution-ShareAlike License][150]; additional terms may apply. By using this site, you agree to the [Terms of Use][151] and [Privacy Policy][152]. Wikipedia® is a registered trademark of the [Wikimedia Foundation, Inc.][153], a non-profit organization.
* [Privacy policy][154]
* [About Wikipedia][155]
* [Disclaimers][156]
* [Contact Wikipedia][157]
* [Developers][158]
* [Cookie statement][159]
* [Mobile view][160]
* ![Wikimedia Foundation][161]
* ![Powered by MediaWiki][162]

[1]: https://en.wikipedia.org#mw-head
[2]: https://en.wikipedia.org#p-search
[3]: https://upload.wikimedia.org/wikipedia/commons/thumb/7/76/Swatch_beat_Logo.svg/220px-Swatch_beat_Logo.svg.png
[4]: https://en.wikipedia.org/wiki/Decimal_time "Decimal time"
[5]: https://en.wikipedia.org/wiki/Swatch "Swatch"
[6]: https://en.wikipedia.org/wiki/French_Revolutionary_calendar "French Revolutionary calendar"
[7]: https://en.wikipedia.org/wiki/Biel/Bienne "Biel/Bienne"
[8]: https://en.wikipedia.org/wiki/Central_European_Time "Central European Time"
[9]: https://en.wikipedia.org/wiki/UTC%2B01 "UTC+01"
[10]: https://en.wikipedia.org/wiki/Daylight_saving_time "Daylight saving time"
[11]: https://en.wikipedia.org#History
[12]: https://en.wikipedia.org#Uses
[13]: https://en.wikipedia.org#Beatnik_satellite_controversy
[14]: https://en.wikipedia.org#Description
[15]: https://en.wikipedia.org#Beats
[16]: https://en.wikipedia.org#Time_zones
[17]: https://en.wikipedia.org#Notation
[18]: https://en.wikipedia.org#Time_unit_conversion
[19]: https://en.wikipedia.org#See_also
[20]: https://en.wikipedia.org#References
[21]: https://en.wikipedia.org#External_links
[22]: /w/index.php?title=Swatch_Internet_Time&action=edit&section=1 "Edit section: History"
[23]: https://en.wikipedia.org/wiki/Nicolas_Hayek "Nicolas Hayek"
[24]: https://en.wikipedia.org/wiki/Nicholas_Negroponte "Nicholas Negroponte"
[25]: https://en.wikipedia.org/wiki/MIT_Media_Lab "MIT Media Lab"
[26]: https://en.wikipedia.org/wiki/Nation1 "Nation1"
[27]: /w/index.php?title=Swatch_Internet_Time&action=edit&section=2 "Edit section: Uses"
[28]: https://upload.wikimedia.org/wikipedia/commons/thumb/1/1f/SwatchBeat1.jpg/220px-SwatchBeat1.jpg
[29]: https://en.wikipedia.org/wiki/CNN.com "CNN.com"
[30]: https://en.wikipedia.org#cite_note-1
[31]: https://en.wikipedia.org/wiki/PHP "PHP"
[32]: https://en.wikipedia.org#cite_note-2
[33]: https://en.wikipedia.org/wiki/ICQ "ICQ"
[34]: https://en.wikipedia.org/wiki/Role-playing_game "Role-playing game"
[35]: https://en.wikipedia.org/wiki/Phantasy_Star_Online "Phantasy Star Online"
[36]: https://en.wikipedia.org/wiki/Dreamcast "Dreamcast"
[37]: https://en.wikipedia.org/wiki/Ericsson "Ericsson"
[38]: https://en.wikipedia.org/wiki/Mobile_phone "Mobile phone"
[39]: https://en.wikipedia.org/wiki/Wikipedia%3ACitation_needed "Wikipedia:Citation needed"
[40]: /w/index.php?title=Swatch_Internet_Time&action=edit&section=3 "Edit section: Beatnik satellite controversy"
[41]: https://en.wikipedia.org/wiki/Amateur_radio "Amateur radio"
[42]: https://en.wikipedia.org/wiki/Mir "Mir"
[43]: https://en.wikipedia.org#cite_note-3
[44]: /w/index.php?title=Swatch_Internet_Time&action=edit&section=4 "Edit section: Description"
[45]: https://en.wikipedia.org/wiki/Time_zone "Time zone"
[46]: /w/index.php?title=Swatch_Internet_Time&action=edit&section=5 "Edit section: Beats"
[47]: https://en.wikipedia.org/wiki/Solar_day "Solar day"
[48]: https://en.wikipedia.org/wiki/Decimal_time#France "Decimal time"
[49]: https://en.wikipedia.org/wiki/Third-party_developer "Third-party developer"
[50]: https://en.wikipedia.org/wiki/Decimal "Decimal"
[51]: https://en.wikipedia.org#cite_note-4
[52]: https://en.wikipedia.org#cite_note-5
[53]: /w/index.php?title=Swatch_Internet_Time&action=edit&section=6 "Edit section: Time zones"
[54]: https://en.wikipedia.org/wiki/Solar_time "Solar time"
[55]: /wiki/Meridian_(geography) "Meridian (geography)"
[56]: https://en.wikipedia.org/wiki/West_Africa_Time "West Africa Time"
[57]: https://en.wikipedia.org/wiki/UTC "UTC"
[58]: https://en.wikipedia.org/wiki/Western_European_Summer_Time "Western European Summer Time"
[59]: https://en.wikipedia.org/wiki/Canary_Islands "Canary Islands"
[60]: /w/index.php?title=Swatch_Internet_Time&action=edit&section=7 "Edit section: Notation"
[61]: https://en.wikipedia.org/wiki/Calendar_date "Calendar date"
[62]: https://en.wikipedia.org/wiki/Gregorian_calendar "Gregorian calendar"
[63]: /w/index.php?title=Swatch_Internet_Time&action=edit&section=8 "Edit section: Time unit conversion"
[64]: /w/index.php?title=Swatch_Internet_Time&action=edit&section=9 "Edit section: Calculation from UTC+1"
[65]: https://en.wikipedia.org#cite_note-6
[66]: /w/index.php?title=Swatch_Internet_Time&action=edit&section=10 "Edit section: See also"
[67]: https://en.wikipedia.org/wiki/French_Republican_Calendar "French Republican Calendar"
[68]: /wiki/Ke_(unit) "Ke (unit)"
[69]: https://en.wikipedia.org/wiki/Metric_time "Metric time"
[70]: https://en.wikipedia.org/wiki/New_Earth_Time "New Earth Time"
[71]: https://en.wikipedia.org/wiki/Unix_time "Unix time"
[72]: https://en.wikipedia.org/wiki/Coordinated_Universal_Time "Coordinated Universal Time"
[73]: /w/index.php?title=Swatch_Internet_Time&action=edit&section=11 "Edit section: References"
[74]: https://en.wikipedia.org#cite_ref-1
[75]: http://www.onthemedia.org/story/tldr-15-internet-time/
[76]: https://en.wikipedia.org#cite_ref-2
[77]: http://us2.php.net/manual/en/function.date.php
[78]: https://en.wikipedia.org#cite_ref-3
[79]: http://news.bbc.co.uk/2/hi/science/nature/320560.stm
[80]: https://en.wikipedia.org#cite_ref-4
[81]: http://wiki.budts.be/internettime
[82]: https://en.wikipedia.org#cite_ref-5
[83]: https://web.archive.org/web/20071008131805/http://www.artefakt.com/projects/ibeat/
[84]: http://www.artefakt.com/projects/ibeat/index.html
[85]: https://en.wikipedia.org#cite_ref-6
[86]: https://stackoverflow.com/a/22693795/1590323
[87]: /w/index.php?title=Swatch_Internet_Time&action=edit&section=12 "Edit section: External links"
[88]: http://www.swatch.com/en_us/internet-time
[89]: http://www.timeanddate.com/time/internettime.html
[90]: //en.wikipedia.org/wiki/Special:CentralAutoLogin/start?type=1x1 ""
[91]: https://en.wikipedia.org/w/index.php?title=Swatch_Internet_Time&oldid=817726274
[92]: https://en.wikipedia.org/wiki/Help%3ACategory "Help:Category"
[93]: https://en.wikipedia.org/wiki/Category%3ATime_measurement_systems "Category:Time measurement systems"
[94]: https://en.wikipedia.org/wiki/Category%3AComputer-related_introductions_in_1998 "Category:Computer-related introductions in 1998"
[95]: https://en.wikipedia.org/wiki/Category%3AUnits_of_time "Category:Units of time"
[96]: https://en.wikipedia.org/wiki/Category%3ADecimal_time "Category:Decimal time"
[97]: https://en.wikipedia.org/wiki/Category%3ASwiss_inventions "Category:Swiss inventions"
[98]: https://en.wikipedia.org/wiki/Category%3AAll_articles_with_unsourced_statements "Category:All articles with unsourced statements"
[99]: https://en.wikipedia.org/wiki/Category%3AArticles_with_unsourced_statements_from_July_2015 "Category:Articles with unsourced statements from July 2015"
[100]: https://en.wikipedia.org/wiki/Special%3AMyTalk "Discussion about edits from this IP address [n]"
[101]: https://en.wikipedia.org/wiki/Special%3AMyContributions "A list of edits made from this IP address [y]"
[102]: /w/index.php?title=Special:CreateAccount&returnto=Swatch+Internet+Time "You are encouraged to create an account and log in; however, it is not mandatory"
[103]: /w/index.php?title=Special:UserLogin&returnto=Swatch+Internet+Time "You're encouraged to log in; however, it's not mandatory. [o]"
[104]: https://en.wikipedia.org/wiki/Swatch_Internet_Time "View the content page [c]"
[105]: https://en.wikipedia.org/wiki/Talk%3ASwatch_Internet_Time "Discussion about the content page [t]"
[106]: https://en.wikipedia.org/wiki/Swatch_Internet_Time
[107]: /w/index.php?title=Swatch_Internet_Time&action=edit "Edit this page [e]"
[108]: /w/index.php?title=Swatch_Internet_Time&action=history "Past revisions of this page [h]"
[109]: https://en.wikipedia.org/wiki/Main_Page "Visit the main page [z]"
[110]: https://en.wikipedia.org/wiki/Portal%3AContents "Guides to browsing Wikipedia"
[111]: https://en.wikipedia.org/wiki/Portal%3AFeatured_content "Featured content – the best of Wikipedia"
[112]: https://en.wikipedia.org/wiki/Portal%3ACurrent_events "Find background information on current events"
[113]: https://en.wikipedia.org/wiki/Special%3ARandom "Load a random article [x]"
[114]: https://donate.wikimedia.org/wiki/Special:FundraiserRedirector?utm_source=donate&utm_medium=sidebar&utm_campaign=C13_en.wikipedia.org&uselang=en "Support us"
[115]: https://shop.wikimedia.org "Visit the Wikipedia store"
[116]: https://en.wikipedia.org/wiki/Help%3AContents "Guidance on how to use and edit Wikipedia"
[117]: https://en.wikipedia.org/wiki/Wikipedia%3AAbout "Find out about Wikipedia"
[118]: https://en.wikipedia.org/wiki/Wikipedia%3ACommunity_portal "About the project, what you can do, where to find things"
[119]: https://en.wikipedia.org/wiki/Special%3ARecentChanges "A list of recent changes in the wiki [r]"
[120]: https://en.wikipedia.org/wiki/Wikipedia%3AContact_us "How to contact Wikipedia"
[121]: https://en.wikipedia.org/wiki/Special%3AWhatLinksHere/Swatch_Internet_Time "List of all English Wikipedia pages containing links to this page [j]"
[122]: https://en.wikipedia.org/wiki/Special%3ARecentChangesLinked/Swatch_Internet_Time "Recent changes in pages linked from this page [k]"
[123]: https://en.wikipedia.org/wiki/Wikipedia%3AFile_Upload_Wizard "Upload files [u]"
[124]: https://en.wikipedia.org/wiki/Special%3ASpecialPages "A list of all special pages [q]"
[125]: /w/index.php?title=Swatch_Internet_Time&oldid=817726274 "Permanent link to this revision of the page"
[126]: /w/index.php?title=Swatch_Internet_Time&action=info "More information about this page"
[127]: https://www.wikidata.org/wiki/Special:EntityPage/Q643066 "Link to connected data repository item [g]"
[128]: /w/index.php?title=Special:CiteThisPage&page=Swatch_Internet_Time&id=817726274 "Information on how to cite this page"
[129]: /w/index.php?title=Special:Book&bookcmd=book_creator&referer=Swatch+Internet+Time
[130]: /w/index.php?title=Special:ElectronPdf&page=Swatch+Internet+Time&action=show-download-screen
[131]: /w/index.php?title=Swatch_Internet_Time&printable=yes "Printable version of this page [p]"
[132]: https://bn.wikipedia.org/wiki/%E0%A6%87%E0%A6%A8%E0%A7%8D%E0%A6%9F%E0%A6%BE%E0%A6%B0%E0%A6%A8%E0%A7%87%E0%A6%9F_%E0%A6%9F%E0%A6%BE%E0%A6%87%E0%A6%AE_%E0%A6%B8%E0%A6%BF%E0%A6%B8%E0%A7%8D%E0%A6%9F%E0%A7%87%E0%A6%AE "ইন্টারনেট টাইম সিস্টেম – Bangla"
[133]: https://ca.wikipedia.org/wiki/Hora_Internet "Hora Internet – Catalan"
[134]: https://cs.wikipedia.org/wiki/Internet_time "Internet time – Czech"
[135]: https://da.wikipedia.org/wiki/Swatch_Internet_Time "Swatch Internet Time – Danish"
[136]: https://de.wikipedia.org/wiki/Swatch-Internetzeit "Swatch-Internetzeit – German"
[137]: https://es.wikipedia.org/wiki/Hora_Internet "Hora Internet – Spanish"
[138]: https://fr.wikipedia.org/wiki/Heure_Internet "Heure Internet – French"
[139]: https://it.wikipedia.org/wiki/Swatch_Internet_Time "Swatch Internet Time – Italian"
[140]: https://hu.wikipedia.org/wiki/Internetid%C5%91 "Internetidő – Hungarian"
[141]: https://ja.wikipedia.org/wiki/%E3%82%B9%E3%82%A6%E3%82%A9%E3%83%83%E3%83%81%E3%83%BB%E3%82%A4%E3%83%B3%E3%82%BF%E3%83%BC%E3%83%8D%E3%83%83%E3%83%88%E3%82%BF%E3%82%A4%E3%83%A0 "スウォッチ・インターネットタイム – Japanese"
[142]: https://pl.wikipedia.org/wiki/Swatch_Internet_Time "Swatch Internet Time – Polish"
[143]: https://pt.wikipedia.org/wiki/Swatch_Internet_Time "Swatch Internet Time – Portuguese"
[144]: https://ru.wikipedia.org/wiki/%D0%98%D0%BD%D1%82%D0%B5%D1%80%D0%BD%D0%B5%D1%82-%D0%B2%D1%80%D0%B5%D0%BC%D1%8F "Интернет-время – Russian"
[145]: https://simple.wikipedia.org/wiki/Swatch_Internet_Time "Swatch Internet Time – Simple English"
[146]: https://fi.wikipedia.org/wiki/Swatch_Internet_Time "Swatch Internet Time – Finnish"
[147]: https://uk.wikipedia.org/wiki/%D0%86%D0%BD%D1%82%D0%B5%D1%80%D0%BD%D0%B5%D1%82-%D1%87%D0%B0%D1%81 "Інтернет-час – Ukrainian"
[148]: https://zh.wikipedia.org/wiki/Swatch%E7%B6%B2%E9%9A%9B%E7%B6%B2%E8%B7%AF%E6%99%82%E9%96%93 "Swatch網際網路時間 – Chinese"
[149]: https://www.wikidata.org/wiki/Special:EntityPage/Q643066#sitelinks-wikipedia "Edit interlanguage links"
[150]: https://en.wikipedia.org/wiki/Wikipedia%3AText_of_Creative_Commons_Attribution-ShareAlike_3.0_Unported_License
[151]: https://wikimediafoundation.org/wiki/Terms_of_Use
[152]: https://wikimediafoundation.org/wiki/Privacy_policy
[153]: https://www.wikimediafoundation.org/
[154]: https://wikimediafoundation.org/wiki/Privacy_policy "wmf:Privacy policy"
[155]: https://en.wikipedia.org/wiki/Wikipedia%3AAbout "Wikipedia:About"
[156]: https://en.wikipedia.org/wiki/Wikipedia%3AGeneral_disclaimer "Wikipedia:General disclaimer"
[157]: https://en.wikipedia.org/wiki/Wikipedia%3AContact_us
[158]: https://www.mediawiki.org/wiki/Special:MyLanguage/How_to_contribute
[159]: https://wikimediafoundation.org/wiki/Cookie_statement
[160]: //en.m.wikipedia.org/w/index.php?title=Swatch_Internet_Time&mobileaction=toggle_view_mobile
[161]: https://en.wikipedia.org/static/images/wikimedia-button.png
[162]: https://en.wikipedia.org/static/images/poweredby_mediawiki_88x31.png

