---
created_at: '2015-04-05T16:46:59.000Z'
title: The Great Filter – Are We Almost Past It? (1998)
url: http://mason.gmu.edu/~rhanson/greatfilter.html
author: gwern
points: 41
story_text: 
comment_text: 
num_comments: 55
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1428252419
_tags:
- story
- author_gwern
- story_9324566
objectID: '9324566'

---
[Source](http://mason.gmu.edu/~rhanson/greatfilter.html "Permalink to The Great Filter")

# The Great Filter

# The Great Filter - Are We Almost Past It?

### Sept. 15, 1998

by [Robin Hanson][1]

> _ Humanity seems to have a bright future, i.e., a non-trivial chance of expanding to fill the universe with lasting life. But the fact that space near us seems dead now tells us that any given piece of dead matter faces an astronomically low chance of begating such a future. There thus exists a great filter between death and expanding lasting life, and humanity faces the ominous question: how far along this filter are we? _
> 
> _Combining standard stories of biologists, astronomers, physicists, and social scientists would lead us to expect a much smaller filter than we observe. Thus one of these stories must be wrong. To find out who is wrong, and to inform our choices, we should study and reconsider all these areas. For example, we should seek evidence of extraterrestrials, such as via signals, fossils, or astronomy. But contrary to common expectations, evidence of extraterrestrials is likely bad (though valuable) news. The easier it was for life to evolve to our stage, the bleaker our future chances probably are. _

### Introduction

Fermi, Dyson, Hart, Tipler, and others [Finney & Jones, Dyson 66, Hart 75, Tipler 80] have highlighted the relevance to SETI (the search for extraterrestrial intelligence) of the "The Great Silence" [Brin 83] (also known as the Fermi paradox), the fact that extraterrestrials haven't substantially colonized Earth yet. What has not yet been sufficiently highlighted or adequately analyzed, however, is the relevance of this fact for much bigger choices we now make. 

The Great Silence must force us to revise a standard view in one or more area of biology, astronomy, physics, or the social sciences. And some of these revisions strongly suggest that humanity be much more wary of possible disasters. To clarify these points, this paper will first review how our standard understandings in these areas would lead us not to expect a Great Silence, and will then consider a variety of possible revisions we might consider. 

### Life Will Colonize

So far, life on earth seems to have adapted its technology to fill every ecological niche it could. Previously stable populations and species have consistently expanded into newly-opened frontiers. All known life seems to have a "dispersal phase" to encourage colonization, with non-trivial mutations and sexual mixing to encourage exploration of new technologies [Tipler 80]. 

Similarly, humanity has continued to advance technologically, and to fill new geographic and economic niches as they become technologically feasible. For example, while imperial China closed itself to exploration for a time, other competing peoples, such as in Europe, eventually filled the gap. 

This phenomena is easily understood from an evolutionary perspective. In general, it only takes a few individuals of one species to try to fill an ecological niche, even if all other life is uninterested. And mutations that encourage such trials can be richly rewarded. Similarly, we expect internally-competitive populations of our surviving descendants to continue to advance technologically, and to fill new niches as they become technologically and economically feasible. 

Colonization has been a consistent experience with life on Earth over the long run, and our best understanding of human social systems suggests this will continue. While humans evolve within complex co-evolving organizational, cultural, memetic, and genetic systems, all of these systems show long-term tendencies to make use of reproductively-useful resources. 

Thus we should expect that, when such space travel is possible, some of our descendants will try to colonize first the planets, then the stars, and then other galaxies. And we should expect such expansion even when most our descendants are content to navel-gaze, fear competition from colonists [Benford 81], fear contact with aliens, or want to preserve the universe in its natural state. At least we should expect this as long as a society is internally-competitive enough to allow many members to have and act on alternative views. After all, even navel-gazing virtual reality addicts will likely want more and more mass and energy (really negentroy) to build and run better computers, and should want to spread out to mitigate local disasters [Zuckerman 85]. A million years is a cosmologically short period, yet it is much more than enough for historic population growth rates (> .001%/yr.) to overwhelm fundamental physical limits on the amount of computation possible within the observable universe [Zaslavskii 96]. This remains true even using black holes for negentropy and quantum computers for computation, each of which squares the available resources relative to standard approaches. Thus we have good reasons to expect unused resources to be colonized on cosmological time scales, even if we find other civilizations to communicate with or to "teleport to" [Scheffer 94]. 

Evolutionary theory even suggests [Hansson & Stuart 90] that competitive pressures among colonists should encourage a maximum feasible economic growth rate, as those who travel too slow, linger too long, or choose not to replicate [Stephenson 79] become outnumbered by others. Increasingly fast and high risk colonization probes may be sent on increasingly long journeys, all for a chance at being the first to colonize vast virgin territory. 

Technically, such space colonization seems feasible, even if it is well beyond our current abilities, since even now we can envision the enabling technologies. Slow self-sufficient interstellar boats would be nearly feasible now, if we were rich enough to construct them. And fast less-than-kilogram-sized [Forward 85,87] self-reproducing [Tipler 80] [nanotech][2]-based [Drexler 92b] [space-traveling][3] machine intelligences (artificial or [uploaded][4] [Hanson 94]) seem possible within a few centuries. 

There are no obvious limits to spacecraft speed (other than lightspeed), given sufficient resources. And with full (nanotech-based) control over the atomic structure of matter [Drexler 92a], colonists should mainly be interested in the atoms and negentroy they can extract from a colonization site [Dyson 66,79], and the convenience of its location. 

### The Data Point

Within the next million years (at most) therefore, our descendants seem to have a foreseeable (greater than one in a thousand) chance of reaching an "explosive" point, where they expand outward at near the speed of light to colonize our galaxy, and then the universe, easily overpowering any less developed life in the way. FTL (faster than light) travel would imply even faster expansion. 

We expect such an explosion to fill most every available niche containing usable mass or negentroy resources. And even if the most valuable resources are between the stars or at galactic centers, we expect some of our descendants to make use of most all the matter and energy resources they can economically reach, including those in "backwater" solar systems like ours and those near us. 

Once an explosion goes beyond the scale where a single disaster, such as a supernovae, could destroy it, to become a "lasting" explosion of advanced life, it should only be stopped by meeting another explosion of similarly-advanced life. After that, if disaster befalls some long-established colony, others should soon return to try again.

Without FTL travel to mediate conformity, we would also not be surprised by a great diversity among the different parts of an explosion, and especially among different explosions [Hoerner 78]. We would expect, for example, different cultures, languages, and body form details. We expect much less diversity, however, regarding choices which would put a civilization or entity at a strong competitive reproductive disadvantage. 

For example, while one can imagine predatory probes sent to search and destroy other life [Brin 83], it is harder to understand why such probes would not also aggressively colonize the systems they visited, if such colonization were cheap. Aggressive colonization would give them all the more probes to work with, and deny resources to competitors. If this colonization effort could hide its origins from those who might retaliate, what would they have to lose? 

Similarly, while some groups might plausibly leave some places "fallow" as information-generating "nature preserves" [Fogg 87], it is much harder to imagine that most places would be so preserved. There should be diminishing returns to such information, and groups that use more of their resources should be at a competitive advantage. And given the vastness of space, substantial resources should be required to keep "poachers" from slipping in to colonize such a preserve. 

Finally, we expect advanced life to substantially disturb the places it colonizes. Whenever natural systems are not ideally structured to support colonists, we expect changes to be made. And unless ideal structures always either closely mimic natural appearances or are effectively invisible, we expect advanced life to make visible changes. 

For example, it only takes a small amount of nuclear waste dropped into to visibly change its spectra [Whitmire & Wright 80.] And a civilization might convert enough of a star's asteroids into orbiting solar-energy collectors to collect a substantial fraction of this star's output, thereby substantially changing the star's spectral, temporal, and spatial appearances. Even more advanced colonists may disassemble stars [Criswell 85] or enclose them in Dyson spheres well within a million years of arrival. Galaxies may even be restructured wholesale [Dyson 66]. 

If such advanced life had substantially colonized our planet, we would know it by now. We would also know it if they had restructured most of our solar system's asteroid belt (though much smaller colonies could be hard to detect [Papagiannis 78]). And they certainly haven't disassembled Jupiter or our sun. We should even know it if they had aggressively colonized most of the nearby stars, but left us as a "nature preserve". 

Our planet and solar system, however, don't look substantially colonized by advanced competitive life from the stars, and neither does anything else we see. To the contrary, we have had great success at explaining the behavior of our planet and solar system, nearby stars, our galaxy, and even other galaxies, via simple "dead" physical processes, rather than the complex purposeful processes of advanced life. Given how similar our galaxy looks to nearby galaxies, it would even be hard to see how our whole galaxy could be a "nature preserve" among substantially-restructured galaxies. 

These considerations strongly suggest that no civilization in our past universe has reached such an "explosive" point, to become the source of a light speed expansion of thorough colonization. (That is, no civilization within the past light cone of a million years ago for us; see [Technical Appendix][5] below). Much follows from this one important data point [Hart 75, Tipler 80].

### The Great Filter

Consider our best-guess evolutionary path to an explosion which leads to visible colonization of most of the visible universe: 

1. The right star system (including organics) 
2. Reproductive something (e.g. RNA) 
3. Simple (prokaryotic) single-cell life 
4. Complex (archaeatic & eukaryotic) single-cell life 
5. Sexual reproduction 
6. Multi-cell life 
7. Tool-using animals with big brains 
8. Where we are now 
9. Colonization explosion 
(This list of steps is not intended to be complete.) The Great Silence implies that one or more of these steps are _very_ improbable; there is a "Great Filter" along the path between simple dead stuff and explosive life. The vast vast majority of stuff that starts along this path never makes it. In fact, so far _nothing_ among the billion trillion stars in our whole past universe has made it all the way along this path. (There may of course be such explosions outside our past light cone [Wesson 90].)

The fact that our universe seems basically dead suggests that it is very very hard for advanced explosive lasting life to arise. And if there are other radically different paths to expanding lasting life [Shapiro & Feinberg 82], that only makes the problem worse, by implying that the filter along our path must be even larger. 

### Someone's Story is Wrong

Biologists and others have been working hard for a long time to come up with plausible explanations for each of the evolutionary steps listed above, explanations which make each step seem not especially improbable. Plausible models have been offered of how RNA evolved to reproduce, how simple (prokaryotic) cells grew around it, [how cells became more complex][6] (eukaryotes), how cells came together into organisms, how brains and hands evolved from simple control mechanisms, and how our brains and hands lead to tool use and scenario generation, which led us to where we are today. 

Together these plausible explanations have persuaded countless teams to construct relatively high estimates of the probability that any one planet will eventually produce intelligent life such as ourselves, by estimating relatively low values for each filter term in the famous "Drake Equation" []. 

Similarly, technological "optimists" have taken standard economic trends and our standard understanding of evolutionary processes to argue the plausibility of the story I gave above, that our descendants have a decent chance of colonizing our solar system and then, with increasingly fast and reliable technologies of space travel, colonizing other stars and galaxies. If so, our descendants have a foreseeable chance of reaching such an explosive point within a cosmologically short time (say a million years). 

Of course many other folks don't consider this scenario particularly "optimistic" - they prefer that our descendants choose a more stable path, less likely to "disturb the universe". But I will continue to use the word "optimistic" to describe this scenario, because even fans of stability should be concerned about the implications of humanity not living long enough or free enough to have even a one in a million chance, for example, that any descendant of ours will escape to colonize space. It would seem that any reasonably non-pessimistic scenario would include a non-trivial chance that at least some of our descendants will choose the explosive path over the next million years. 

While all of these stories are at least minimally plausible, our main data point implies that at least one of these plausible stories is wrong -- one or more of these steps is much more improbable than it otherwise looks. If it is one of our past steps, such as the development of single-cell life, then we shouldn't expect to see such independently evolved life anywhere within billions of light years from us. But if it is a step between here and a choice to explode that is very improbable, we should fear for our future. At the very least, our potential would have to be much less than it seems. Optimism (as defined here) regarding our future is directly pitted against optimism regarding the ease of previous evolutionary steps. To the extent those successes were easy, our future failure to explode is almost certain. 

Note that this cause for concern has a different basis than the simple statistical arguments of Gott [Gott 93] and Leslie [Leslie 96] that all else equal we shouldn't expect many more future humans than there have been past humans. While those arguments shouldn't be ignored, their strength depends much more on the auxiliary assumptions one makes about other relevant information. In contrast, the conclusion that the Great Filter is very large is relatively insensitive to other assumptions. 

### It Matters Who's Wrong

Rational optimism regarding our future, then, is only possible to the extent we can find prior evolutionary steps which are plausibly more improbable than they look. Conversely, without such findings we must consider the possibility that we have yet to pass through a substantial part of the Great Filter. If so, then our prospects are bleak, but knowing this fact may at least help us improve our chances. 

For example, if our prospects are likely bleak we should search out and take especially seriously any plausible scenarios, such as nuclear war or ecological collapse, which might lead to our future inability to explode across the universe. A long list of such scenarios for concern can be found in [Leslie 96]. Our main data point, the Great Silence, would be telling us that at least one of these scenarios is much more probable than it otherwise looks. 

With such a warning in hand, we might, for example, take extra care to protect our ecosystems, perhaps even at substantial expense to our economic growth rate. We might be even especially cautious regarding the possibility of world-destroying physics experiments. And we might place a much higher priority on projects like Biosphere 2, which may allow some part of humanity to survive a great disaster. 

To find out whether such sacrifice is called for, humanity would do well to study this whole area much more carefully, considering all plausible explanations of the Great Filter. To encourage such study, the rest of this paper will attempt to review the current status of our understanding, considering in turn various possibilities regarding who might be wrong, and the various types of evidence which might clarify the matter. 

### Reconsidering Biology

First, let us review and reconsider our biological expectations, keeping an eye out for prior evolutionary steps which may be more improbable than they look. 

Many theoretical stories have been offered to make various prior evolutionary steps seem relatively likely, at least over a long term. Given the complexity of the subject matter, however, these stories are understandably sketchy. Thus the simplist way such theories might be wrong is by having ignored some important factors and details. As a general rule, simple plausible models quite often fail to capture the essence of complex phenomena. 

It should also be noted that many biologists expect a large, not small, filter between dead matter and intelligent tool-using life like us. They have complained that astronomers who estimate Drake equation terms do not know enough biology, and they note in particular that substantial tool use such as we see in humans has only evolved once, and may well be a very unlikely evolutionary accident [Simpson 64, Mayr 85,95]. 

In any case, it turns out that the very idea that a significant portion of the Great Filter might reside in our past evolutionary steps has important implications which can aid us in evaluating this hypothesis [Carter 83, Hanson 96]. 

First, let us distinguish between two different kinds of evolutionary steps. Let a "discrete" evolutionary step be one which must succeed within certain a short time period; failure then implies failure forever after. For example, if a certain type of solar system is required, then success here can only happen when the solar system forms. In contrast, let a "trial and error" step be something like search across a mostly flat fitness landscape, where failure today does not much affect the chances for success tomorrow. The main Great Filter implications are regarding trial and error type steps. 

Consider a situation where a certain number of trial and error steps must be completed in a certain order within a certain total time window. That is, for each step there is some constant probability per unit time of completing that step, given that the previous step has been completed. If the probability of completing all the steps within the time window is low, then it turns out that for the cases where all the steps are in fact completed, the average time to complete each "hard" step is unrelated to how hard that step is! 

For example, say you have one hour to pick five locks by trial and error, locks with 1,2,3,4, and 5 dials of ten numbers, so that the expected time to pick each lock is .01,.1, 1, 10, and 100 hours respectively. Then just looking at those rare cases when you do pick all five locks in the hour, the average time to pick the first two locks would be .0096 and .075 hours respectively, close to the usual expected times of .01 and .1 hours. The average time to pick the third lock, however, would be .20 hours, and the average time for the other two locks, and the average time left over at the end, would be .24 hours. That is, conditional on success, all the hard steps, no matter how hard, take about the same time, while easy steps take about their usual time (see [Technical Appendix][5]). And all these step durations (and the time left over) are roughly exponentially distributed (with standard deviation at least 76% of the mean). (Models where the window closing is also random give similar results.)

We can apply this model to the evolution of life on Earth, by examining the fossil record for roughly equally spaced apparent major innovations. Such an analysis can complement other attempts to find hard steps by intrinsic difficulty, necessity, and uniqueness in evolutionary history, such as attempted in [Barrow & Tipler 86]

The fossil record shows about five roughly-equal periods between major evolutionary changes since the Earth was formed [Schopf 92, Skelton 93]. Specifically, the earliest known clear fossils of simple single-cell life appeared 0.9 billion years after the earth cooled (4.5 billion years ago), though other evidence suggests life after only 0.5 billion years [Balter 96]). The earlist known large complex single-cell fossils ("eukaryotic" in appearance) then appear about 2.0 billion years after this early evidence. 0.8 billion years later the tempo of evolution picked up dramatically, perhaps with the invention of sex [Schopf 95], and then 0.5 billion years later we see the first substantial fossils of multi-cellular life [Knoll 95]. Finally, 0.6 billion more years brings us to where we are today. 

While these periods are not exactly equal, they are roughly consistent with the (roughly exponential) distribution of actual durations between hard steps predicted by the above model of trial and error steps. Some important complications and caveats, however, must be considered. 

First, assuming the first step happened on Earth, all we really know is that it must have happened sometime between when the Earth cooled enough to support life, and the age of the the earliest known fossils, which also happen to be the earliest known rocks where one could possibly see such fossils. Thus all we can say is that this first step took between 0.0 and about 0.5 billion years. And since the environment of early Earth was unusual, there may have been a special window of opportunity within which several discrete steps took place. 

Second, the appearance of the earliest known large complex single-cell fossils corresponds closely with Earth's transition to an oxygen-dominated atmosphere, a transition which seems to have been awaiting the slow oxidation of all the ocean's iron. Since eukaryotes need oxygen to breathe, they likely could not have been widespread before this point. Thus a hard trial-and-error step likely did not happen at this point in time. One or more hard steps might have taken place before this, however, within populations too small to show up in the fossil record. The "potential" created by these hard steps might have required an environmental change in order to "flower". 

Third, the famous Cambrian explosion of about 0.6 billion years ago was also simultaneous with some independent environmental changes, such as the breaking up of a supercontinent and the end of the Earth's worst ice age ever. If we think of environmental event as random, we can model this as a double biological/environmental hard step: Some biological hard step first created a potential, a potential which could not be realized without a compatible later environmental hard step. 

Finally, brain size relative to body size has been increasing somewhat steadily for both mammals and birds ever since the mass extinction of 65 million years ago (most likely also caused by an external event such as an asteroid) eliminated the dinosaur competition [Russell 83, Jerison 91]. Thus if large brains were the most recent hard step then this step would have to be placed at least about 0.3 billion years ago, where we find the most recent common ancestor of mammals and birds soon after the invention of the Amniote egg (which allowed animals to colonize land) [Ostrom 92]. Alternatively, perhaps the most recent hard step was the development of a language potential in mammals, and not in birds, a potential which wasn't exploited until brains got large enough. (Mayr seems to think birds were not up to the task [Mayr 85]). 

Putting all this together, a better guess of the hard steps would be as follows. First one or more hard steps happened within the first 0.5 billion years after Earth cooled. Then zero or more hard steps happened while waiting for the ocean's iron to oxidize. Next, one or more hard steps occurred over the next 0.8 billion years, the last of which (perhaps the invention of sex or perhaps of archaeatic cells) finally released the potential to affect the fossil record about 1.2 billion years ago. 

A double biological/environmental step then occurred over the next 0.5 billion years to create widespread multi-celled life, and then 0.3 billion years later a hard step of the invention of the Amniote egg occured. Finally, over the last 0.3 billion years, there have either been no hard steps, just the steady working out of new possibilities, or there has been a single or double hard step, something like the invention of a mammal language potential, which required a random (but perhaps not hard) environmental event 65 million years ago to begin to be released. 

A typical expected hard step duration of about 0.3 billion years seems a simple fit to this data. And with this fit, it is then natural to estimate one _life_ hard step at the beginning, then zero to eight steps leading to _complexity_, two to three steps leading to _sex_, a double step to _society_, a single _cradle_ step, and then perhaps a final _language_ step. Overall, we might estimate a total of roughly seven to nine hard steps here. 

This model suggests a number of predictions which may help confirm or disconfirm it. For example, this model predicts that the expected time remaining until the window of opportunity for life on Earth closes is about 0.3 billion years [Carter 83]. This model could therefore be confirmed by astronomical analysis regarding expected durations until the Earth suffers a runaway greenhouse effect, runaway glaciation, too high an oxygen content for land life to persist, a serious instability in the sun, a nearby supernovae, a massive asteroid impact, or by some other disaster ahead in the sun's travels through the galaxy [Barrow & Tipler 86, Leslie 96]. 

This model also implies that as long as some evolutionary step took sufficiently long, the actual time taken does not indicate how hard the step was. Thus we'll have to use other cues to find the hardest steps among the hard ones. Finally, this model strongly suggests that our ancestors passed through at most one hard trial and error step in the last hundred million years. This last step might, however, have required some special conjunction of features, such as large brains and good hands, to appear in the same animal at once. (These further predictions of this model have not been published elsewhere, to my knowledge.) 

To these roughly nine biological hard steps we might add two other discrete (random but not trial and error) type steps: an initial step of getting the right sort of planet around the right sort of star, and a final step of humanity either succeeding or destroying itself soon. Together, these eleven steps could explain the Great Filter if the (logarithmic) average filter per step was at least a factor of one hundred. That is, either there might be, on average, a one percent chance of passing a discrete step, or about a thirty billion years expected time to complete a trial and error step. Of course the Great Filter need not be distributed evenly among these steps - just how much of the filter rests in the last step is the ominous question that motivates our analysis. 

The recent evidence of simple single-cell Mars life [McKay et. al. 96] is relevant for reconsidering the steps prior to single-cell life. If there really was single-cell life early in Mars' history, and if we find that it was different enough to imply that it probably evolved independently from life on Earth, then unless Earth and Mars shared some special unusual environment, the total step from dead matter around the right sort of star to simple single-cells must be pretty easy. Future optimism would then have to be based on other past steps. 

If life evolved on one of these planets and was spread to the other via a local panspermia, then we don't know much more than we did before. But if single-cell life started before our solar system, and spread here via a wider panspermia [Crick 73, Weber & Greenberg], then that could help. It would allow there to have been many more trial and error hard steps taking perhaps ten billion years. This seems especially plausible given the amazing complexity of the earliest life we see, and that this life has survived virtually unchanged to this very day. 

This wider panspermia scenario also allows steps prior to our single-cell life to be more improbable for any one region of space, but at the expense of making the next step that much more probable, by providing more places for it to start from. Wide panspermia of complex single-cell life could also be possible, but seems less likely given that such life seems less robust to extreme environments, and more tuned to Earth's environment [Crick 81]. 

Radio signals from extraterrestrial intelligences would of course be strong information regarding the size of the entire filter up to the point where such signals are possible. Not only would this information help pin down our biological expectations, but it would also seem to be bad news regarding our explosive future. And the nearer such signals originated, the worse this news would be (though see the zoo-hypothesis discussion [below][7]). Conversely, negative findings would be good news, and the prospect of this should encourage such research. Note this is the opposite of the usual justification offered by [SETI researchers][8], who usually focus on the valuable information extraterrestrials might send us. 

Research into SETI and the evolution of life does much more than satisfy intellectual curiosity - it offers us uniquely long-term information about humanity's future. 

### Reconsidering AstroPhysics

There are also several ways in which we might reconsider our understanding of physics and astronomy to help explain the Great Filter. 

One possibility is that fast space travel and colonization between stars and galaxies is much harder than it looks, and effectively impossible, even for nanotech-based machine intelligence. The interstellar medium, for example, may be much harsher than we realize. This would suggest we have good chances of surviving, but little prospect of leaving our solar system at any substantial speed. The slower the maximum speed, the smaller is the Great Filter that needs to be explained. 

Another possibility is that the universe is very much smaller than it looks, perhaps because of some non-trivial topology, so that our past light cone contains much less than it seems. This would also reduce the size of the Great Filter needing to be explained.

Perhaps the most optimistic physics alternative is that it is relatively easy to create local "baby universes" with unlimited mass and negentroy, and that the process for doing this very consistently prevents ordinary space colonists from escaping the area, perhaps via a local supernovae-scale explosion. The amount of the Great Filter this could explain would depend on just how consistently such escaping colonists are prevented. 

There are also three "save stellar appearances" astrophysics alternatives which could explain why an apparently dead universe is really alive, with our system an isolated "zoo" [Ball 73]. 

First, large-scale engineering such as orbiting solar collectors made from asteroids, Dyson spheres, and stellar disassembling might be effectively impossible, explaining why nearby stars look so natural. Second, structures that best use such resources might happen to almost always preserve natural spectra and other appearances. Third, our understanding of astrophysics might just be very wrong, so that the apparently dead stars and galaxies around us really are very alive. 

Yet another possibility is that advanced life mainly colonizes ["dark matter"][9], mainly leaving fallow the stars and other ordinary matter we see. This scenario would require a stronger version of the zoo social hypothesis, which I call a "common zoo", discussed below. 

Our understanding of dark matter as simple dead matter is progressing rapidly, however, and may soon help confirm or deny this possibility. Recent gravitational lensing [observations][10] [Bennett, et. al. 96] indicate that about half (and perhaps all) of the dark matter in our galactic halo consists of objects from one solar mass to one tenth this, and relatively little is in the range below this down to Earth size objects. The smallest independent object in this range yet [seen][11], a brown dwarf of 20-50 Jupiter masses, has an understandable Jupiter-like spectra [Savage, Sahli, & Villard 95]. 

### Rethinking Social Theories

I personally think that most of the Great Filter is most likely to be explained by the steps I think we understand the least about: the steps in the biological evolution of life and intelligence. However, many physical scientists focus on explaining the filter via the area they seem to think we understand the least: social science. 

Astronomers Sagan and Newman, for example, claim that either we will destroy outselves with nuclear weapons, or learn to "live with other groups in mutual respect" by losing "our own predispositions to territoriality and aggression. ... This adaptation must apply ... with very high precision, to ... every individual within the civilization", so that we become the "least likely to engage in aggressive galactic imperialism" [Sagan & Newman]. 

Similarly, Papagiannis claims that "those that manage to overcome their innate tendencies toward continuous material growth and replace them with non-material goals will be the only ones to survive this crisis," implying a galaxy "populated by stable highly ethical and spiritual civilizations" [Papagiannis 84]. And Stephenson claims that "for a truly advanced intelligence the drive for quality rather than redundant quantity would be paramount" [Stephenson 82]. 

Now of course if a substantial fraction of civilizations followed such scenarios, these theories could explain a small part of the Great Filter. But to explain a substantial part of the Great Filter, such scenarios would have to follow from situations like ours with a _very_ high reliability. While this is logically possible, these authors offer no reasons for expecting such a situation. These theories thus seem more like wishful thinking than serious attempts to explain the phenomena using our best understanding of the social sciences. 

To the contrary, while one expects temporarily powerful groups to have temporarily stronger tendencies toward both colonization and combat aggressiveness, controlling for this there is no known correlation between these factors, nor any known theoretical reason to expect such a correlation. And even if a one-time event did select for low colonization tendencies, we would expect stronger tendencies to eventually be selected back if variation was still allowed. 

Social scientists have good reasons for expecting competitive populations to both generically fill new niches, and to shy away from wars with severe consequences, and social scientists who have considered the subject have expected substantial interstellar migration [Finney & Jones 85]. 

Given the confusion this topic seems to produce, it seems worth mentioning that one shouldn't put great hopes on the idea that now that we have control over genetic processes, intelligence can free itself of "biological imperatives" and choose new purposes. Crabgrass does not colonize because it has a purpose to fulfill a biological imperative. Biological organisms have always been free to pursue whatever purposes they want, and to invent new ones. The point is that in general the creatures whose purposes lead to the most reproduction end up dominating the future. 

Similarly, human control over genetics will change the way variation is encoded, and greatly speed up the variation process, but will by itself not let humans escape the basic evolutionary process of variation and selection. Avoiding this process would require global control over reproduction, implying at least a strong world government regulating child-bearing, local economic growth, and even the spread of ideas, with a political process undemocratic enough to avoid variation and selection working through the political process.

The following social hypotheses, though still seemingly unlikely, are at least minimally plausible and are at least grounded in our understanding of social science. 

The most pessimistic social scenarios are scenarios like massive nuclear war or ecological disaster. Such devastating war would likely need to be prior to dispersal across the solar system, unless it could destroy our sun. And an ecological failure would need to be prior to an ability to transcend our biological inheritance, such as via machine intelligence (uploaded or artificial). It seems possible, though unlikely, that only one in a million worlds at our stage avoids such a fate. While even this would still leave most of the Great Filter to be explained in some other way, the prospect of such a possibility is a strong motivation for studying the Great Filter. 

A related scenario would be some sort of unspecified social collapse, of the sort that lead to the fall of a variety of relatively isolated ancient civilizations (such as Easter Island), only much more severe, so that nothing was left to rise from the ashes and try again. When we better understand these historical events, perhaps we will be in a better position to dismiss this possibility. 

A devastation scenario is implicit in the usual formulation of the Drake equation. For prior evolutionary steps the equation asks for the probability that the system will reach the next step, but at our level of evolution, the equation asks for the expected time until the civilization disappears, and once gone it is assumed to never return. 

Another approach to alternative social theories is to note that if our descendants are no longer sufficiently internally competitive, the evolutionary model need no longer apply. For example, if one is willing to assume a closed universe and that FTL travel out from an explosion point is possible, one might hypothesize that the first civilization anywhere to reach an explosion point happened to have a strong stable central government (like Imperial China) which placed a very high ideosynchratic value on preserving the natural appearance of the universe [Freiheit 93, Crawford 95]. By being first and spread out very fast, these conservationists might enforce their preferences on all late-comers. 

The FTL could be via a "warp" drive, as in [Alcubierre 94]. Constructed wormholes would not be sufficient to expand faster than lightspeed, because the hole ends must move normally. Pre-existing "long" wormholes might be sufficient though. 

Without FTL travel, a conservationist scenario would require that a strong vast majority of civilizations somehow obtain a conservationist preference, and that a conservationist policy not put a leave-it-be conservationist civilization at a substantial military disadvantage to pave-it-over competitors. The average size and density of non-conservationist powers would also need to not conflict with our apparent lack of observing such differing cosmological regions. 

No special social theory would be required for a "zoo" hypothesis [Ball 73] which is bundled with one of the astrophysics alternatives listed above which would imply that aggressively colonized systems look just like natural ones. It is natural enough to suppose that some small fraction of places would be left as nature preserves. One seems to need a special social theory, however, to explain a "common zoo" hypothesis, that most all matter visible to us has been set aside as nature preserve. 

The common patterns of visible matter across the observable universe would have to be explained by a remarkably common preferences for the density and nature of such preserves, and a common lack of preference for any visible partially-restructured "gardens". There would also need to be a remarkably widely coordinated effort to punish deviant powers who might attempt to send radio signals or self-reproducing probes to such wildlife preserve stars. Consider, for example, that the energy of a single star might power an intermittent very narrow-band signal detectable to pre-explosive life like ours across the entire universe [Gott 82]. 

I mention this common zoo hypothesis not because I find it especially plausible, but because it is among the most plausible scenario I can construct without also invoking astrophysics alternatives like FTL travel. It thus illustrates the extremes required to construct self-consistent purely social explanations of the Great Filter. 

### Conclusion

No alien civilizations have substantially colonized our solar system or systems nearby. Thus among the billion trillion stars in our past universe, none has reached the level of technology and growth that we may soon reach. This one data point implies that a Great Filter stands between ordinary dead matter and advanced exploding lasting life. And the big question is: How far along this filter are we? 

To support optimism regarding our future, we must find especially improbable past evolutionary steps. And in fact we can find a number of plausible candidates for groups of hard trial-and-error biological steps: _life_, _complexity_, _sex_, _society_, _cradle_ and _language_. Presuming there are about nine hard steps total here, the Great Filter could be explained if the expected time for each of these steps averaged (logarithmically) to about thirty billion years, if only one percent of stars could support such steps, and if we have only about a one percent chance of not destroying ourselves soon (or permanently banning colonization). 

While one might also explain parts of the Great Filter via unusual approaches to astrophysics or social science, such assumptions seem less plausible to me than thirty billion year expected times for the identified biological steps. There is ample room for disagreement, however. 

The larger the remaining filter we face, the more carefully humanity should try to avoid negative scenarios. To inform such choices, we would do well to analyze all these issues more carefully, and to collect more relevant data. 

Fortunately, rapid progress is being made in several relevant empirical areas. Dark matter astronomy may soon confirm or deny the common zoo hypothesis. Mars life evidence may soon indicate the ease of the earliest steps in evolving life. 

Other progress also continues, at a slower but still encouraging pace. A wide variety of research continues to illuminate the early history of life on earth. Theoretical physics is closing in on whether FTL travel is possible. And speculative engineering is helping to estimate the feasibility of interstellar travel and large scale solar system constructions. Astronomers and global modelers are working to evaluate how long the Earth should remain hospitable to life (if we don't destroy it). And social scientists continue to improve our understanding of what might effect colonization and self-destruction tendencies. 

It may not be too long before spacecraft can test theories of wider panspermia, perhaps by looking for single-cell life within comets. And SETI researchers continue to test the hypothesis that life at our stage is dense, so that we still face an enormous filter. (They might also consider looking for common-zoo renegade broadcasters from across the universe.) 

Finally, we would do well to keep a in mind a few unusual aspects of this Great Filter puzzle. First, let us keep in mind the interdisciplinary nature of the this puzzle. While it may comforting for each discipline to claim that the Filter must surely lie in some other discipline of (in their eyes) lessor repute, such claims should surely be backed up by detailed analysis using our best understanding of that discipline. It will no more do for astronomers to simply claim, without further supporting analysis, that people will lose their tendency to colonize, than it would do for biologists to simply declare that astronomers could not possibly know that the universe is as big as they claim. 

Second, we must be wary of the "God of the Gaps" phenomena, where miracles are attributed to whatever we don't understand. Contrary to the famous drunk looking for his keys under the lamppost, here we are tempted to conclude that the keys must lie in whatever dark corners we have not searched, rather than face the unpleasant conclusion that the keys may be forever lost. 

Finally, we should remember that the Great Filter is so very large that it is not enough to just find some improbable steps; they must be improbable enough. Even if life only evolves once per galaxy, that still leaves the problem of explaining the rest of the filter: why we haven't seen an explosion arriving here from any other galaxies in our past universe? And if we can't find the Great Filter in our past, we'll have to fear it in our future. 

* * *

### Acknowledgements

I thank the following for their comments: [Curt][12] Adams, [Niklas][13] Bostrom, [Brandon][14] [Carter][15], [John][16] K. Clark, [Mark][17] Crosby, [Bradley][18] Felton, [Eric][19] Watt [Forste][20], [Sean][21], [Hastings][22], [Eugene][23] Leitl, [John][24] [ Leslie][25], [Sean][26] [Morgan][27], [Pat][28] Powers, [Hara][29] Ra, [Anders][30] [Sandberg][31], [Damien][32] R. [Sullivan][33], and [Michael][34] [Wiik][35]. 

### Technical Appendix

This appendix contains a more precise description of our one data point, and a derivation of the novel results regarding hard trial and error steps. 

Regarding the data point, consider the cumulative probability F(t,dv) that a given (cosmologically co-moving) volume of space dv will have contained the earliest origin of an evolutionary path that results in an explosion (arriving) there by time t since the big bang, and moving out to colonize and visibly alter most of the visible universe. (More precisely, let this probability be contingent on the universe surviving this long in its familiar physical state, rather than for example suffering a destructive transition to a lower vacuum ground state.) If these probabilities are independent for small volumes, the expected number of other explosions reaching here by T = the age of universe minus one million years ago is at least the integral of F(t,dv) across the surface of a past light cone starting from a million year old event in our history. Using a homogeneous space approximation (surely valid on cosmological scales), so that F(t,dv) = F(t)*dv, this is: 

> Integral from t = 0 to T of 4 pi F(T-t) t2 dt 

Our one data point gives strong probabilistic evidence that this integral is not much more than one. This implies that F(t) is very small! For example, if F is time-independent, so that F(t)=1-exp(-f*t) or approximately f*t for f*t small, then f*T*(ave-volume-per-star) is not much more than 1/(number of stars in the visible universe) or about 10-22. 

Now consider N hard trial and error steps which must be completed in a certain order within a time window W. If the probability that step i takes less than time ti is 1-exp(-fi*ti) or about fi*ti for fi*ti small, then assuming all fi*W are small, the joint probability density over the various hard step durations ti is about Producti fi, independent of all ti. Conditional on Sumi ti < W and all ti > 0, this distribution therefore treats all i the same, regardless of fi. Thus conditional on success, all hard steps have roughly the same distribution over durations, regardless of how hard they are. (For a more rigorous mathematical treatment, see [Hanson 96].) 

### References

M. Alcubierre (1994) "The warp drive: hyper-fast travel within general relativity", _Class. Quantum Grav._ 11:L73. 

John A. Ball (1973) "The Zoo Hypothesis", _Icarus_, 19:347. 

Michael Balter (1996) "Looking for Clues to the Mystery of Life on Earth" _Science_ August 16, 273:870-872. 

John D. Barrow, Frank J. Tipler (1986) _The Anthropic Cosmological Principle_ Oxford University Press, NY. 

Gregory Benford (1981) "Extraterrestrial Intelligence?" [_Q. Jl. R. astr. Soc._][36] 22:217. 

David Bennett, Kim Driest, Christopher Stubbs, Alex Rodgers, Kem Cook, Will Sutherland (1996) ["Researchers Determine Machos May Comprise Fifty Percent of Galactic Dark Matter"][37], Press Release, AAS Meeting, San Antonio, Texas, January 16\. 

Glen David Brin (1983) "The `Great Silence': The Controversy Concerning Extraterrestrial Intelligent Life, [_Q. Jl. R. astr. Soc._][36] 24:283-309. 

Brandon Carter (1983) "The Anthropic principle and its implications for biological evolution" _Phil. Trans. R. Soc. Lond._ A 310:347-363. 

Brandon Carter (1993) "The Anthropic Selection Principle and the Ultra-Darwinian Synthesis", in _The Anthropic Principle_, ed. F Bertola, U. Curi, Cambridge Univ. Press, 33-63. 

I. A. Crawford (1995) "Some Thoughts on the Implications of Faster-Than Light Interstellar Space Travel" [_Q. Jl. R. astr. Soc._][36] 36:205-218. 

Francis Crick, L.E. Orgel (1973) "Directed Panspermia" _Icarus_ 19:341. 

Francis Crick (1981) _Life Itself: its origin and nature_, Simon and Schuster, NY. 

David R. Criswell (1985), "Solar System Industrialization: Implications for Interstellar Migrations", in _Interstellar Migration and the Human Experience_, ed. Finney & Jones, 50-87. 

K. Eric Drexler (1992a) [_Nanosystems][38]_, John Wiley & Sons, Inc., NY. 

K. Eric Drexler (1992b) "Molecular Manufacturing for Space Systems: An Overview", _Journal of The British Interplanetary Society_, Vol. 45:401-405. 

Freeman Dyson (1966) "The Search for Extraterrestrial Technology" in _Perspectives in Modern Physics_, ed. R.E. Marshak, Wiley, NY, 641-655. 

Freeman Dyson (1979) ["Time without end: physics and biology in an open universe"][39] _Reviews of Modern Physics_, 51:3, July. 

Martyn J. Fogg (1987) "Temporal Aspects of the Interaction among the First Galactic Civilizations: The `Interdict Hypothesis'" _Icarus_ 69:370-384. 

Robert Forward (1985) "Starwisp: An Ultralight Interstellar Probe", _AIAA Journal of Spacecraft and Rockets_ 22:345-350. 

Robert Forward (1986) "Feasibility of Interstellar Travel: A Review" _Journal of the British Interplanetary Society_ 39:379-394.  Ben R. Finney, Eric M. Jones (1985) _Interstellar Migration and the Human Experience_, Univ. of Calif. Press. 

Ben R. Finney, Eric M. Jones (1985) "Fermi's Question" in _Interstellar Migration and the Human Experience_ ed. Finney & Jones, 298-300. 

Walter M. Fitch, Francisco J. Ayala (1995) _Tempo and Mode in Evolution, Genetics and Paleontology 50 Years After Simpson_, National Academy Press, Washington D.C. 

F. E. Freiheit (1993) "The Possibilities of FTL: Or Fermi's Paradox Reconsidered, 1993, [ _http://www-personal.engin.umich.edu/~fritx/Ftlessay/essay.html_][40]

Donald Goldsmith (1980) _The Quest for Extraterrestrial Life, A Book of Readings_, University Science Books. 

J. Richard Gott (1982) "Cosmology and Life in the Universe", in _Extraterrestrials, Where Are They?_, ed. M. Hart & B. Zuckerman, 122-134. 

J. Richard Gott (1993) ["Implications of the Copernican principle for our future prospects"][41] _Nature_ May 27, 363:315-319. Robin D. Hanson (1994) [If Uploads Come First: The Crack of a Future Dawn][4]. [_Extropy_][42] 6(2):10-15. 

Robin D. Hanson (1996) ["Given Early Success, Hard Tasks Look Easy"][43], Working Paper, September. 

Ingemar Hansson, Charles Stuart (1990) "Malthusian Selection of Preferences", _American Economic Review_, June 80(3):529-544. 

Michael H. Hart (1975) "An Explanation for the Absence of Extraterrestrials on Earth", [_Q. Jl. R. astr. Soc._][36] 16:128. 

Michael H. Hart, Ben Zuckerman (1982) _Extraterrestrials, Where Are They?_, Pergamon Press, New York. 

Sabastian von Hoerner (1978) "Where is Everybody?" _Naturwissenschaften_, 65:553. 

Harry J. Jerison (1991) _Brain Size and the Evolution of Mind_, American Museum of Natural History, New York. 

Andrew Knoll (1995) "Proteroic and Early Cambrian Protists: Evidence for Accelerating Evolutionary Tempo" in _Tempo and Mode in Evolution, Genetics and Paleontology 50 Years After Simpson_, ed. Fitch & Ayala, 63-83. 

Thomas Kuiper, Glen David Brin (1989) _Extraterrestrial Civilization_, Am. Assoc. Physics Teachers, College Park, MD. 

John Leslie (1996) _The End of the World: The Science and Ethics of Human Extinction_, Routledge, NY. 

Ernst Mayr (1985) "The probability of extraterrestrial intelligent life", in _Extraterrestrials, Science and alien intelligence_, ed. Regis, 23-30. 

Ernst Mayr (1995) ["Can SETI Succeed? Not Likely"][44], _Bioastronomy News_, 7:3. 

David S. McKay, Everett K Gibson Jr., Kathie L. Thomas-Keprta, Hojatollah Vali, Christopher S. Romanek, Simon J. Clemett, Xavier D.F. Chillier, Claude R. Maechling, Richard N. Xare (1996) "Search for Past Life on Mars: Possible Relic Biogenic Activity in Martian Meteorite ALH84001", _Science_, August 16, 273:?. 

Christopher Miller (1995) "Cosmic Hide and Seek: the Search for the Missing Mass" [ http://w3.gti.net/cmmiller/drkmttr.html][9]

John Ostrom (1992) "A History of Vertebrate Successes", in _Major Events in the History of Life_, ed. J.W. Schopf, 119-139. 

Michael D. Papagiannis (1978) "Are We Alone, or Could They be in the Asteroid Belt?" [_Q. Jl. R. astr. Soc._][36] 19:277. Michael D. Papagiannis (1984) "Natural Selection of Stellar Civilizations by the Limits of Growth", [_Q. Jl. R. astr. Soc._][36] 25:309-318. 

Edward Regis, Jr. (1985) _Extraterrestrials, Science and alien intelligence_, Cambridge University Press, NY. 

Mark Ridley (1993) _Evolution_, Blackwell Scientific Publications, Boston. 

Dale A. Russell (1983) "Exponential Evolution: Implications for Intelligent Extraterrestrial Life" _Adv. Space Res._ 3(9):95-103. 

Carl Sagan, William I. Newman (1983) "The Solipsist Approach to Extraterrestrial Intelligence", [_Q. Jl. R. astr. Soc._][36] 24:113-121. 

Don Savage, Jim Sahli, Ray Villard (1995) "Astronomers Announce First Clear Evidence of a Brown Dwarf", Space Telescope Press Release No. STScI-PR95-48, November 29. 

Louis K. Scheffer (1994) "Machine Intelligence, the Cost of Interstellar Travel and Fermi's Paradox" [_Q. Jl. R. astr. Soc._][36] 35:157-175. 

J. William Schopf (1992) "The Oldest Fossils and What They Mean", in _Major Events in the History of Life_, ed. J.W. Schopf, 29-63. 

J. William Schopf (1992) _Major Events in the History of Life_, Jones and Bartlett, Boston. 

J. William Schopf (1995) "Disparate Rates, Differing Fates: Tempo and Mode of Evolution Changed from the Precambrian to the Phanerozoic", in _Tempo and Mode in Evolution, Genetics and Paleontology 50 Years After Simpson_, ed. Fitch & Ayala, 41-61. 

Robert Shapiro, Gerald Feinberg (1982) "Possible Forms of Life in Environments Very Different from the Earth", in _Extraterrestrials, Where Are They?_, ed. M. Hart & B. Zuckerman, 113-121. 

George G. Simpson (1964) "The nonprevalence of humanoids" _Science_ 143:769. 

Peter Skelton (1993) _Evolution: A Biological and Palaeontological Approach_, Addison-Wesley, NY. David G. Stephenson (1979) "Extraterrestrial Cultures within the Solar System?", [_Q. Jl. R. astr. Soc._][36] 20:422. 

David G. Stephenson (1982) "Models of Interstellar Exploration" [_Q. Jl. R. astr. Soc._][36] 23:236-251. 

Frank J. Tipler (1980) "Extraterrestrial Intelligent Beings do not Exist", [_Q. Jl. R. astr. Soc._][36] 21:267-281. 

Frank J. Tipler (1981) "Additional Remarks on Extraterrestrial Intelligence", [_Q. Jl. R. astr. Soc._][36] 22:279-292. 

P. Weber, J.M. Greenberg (1985) "Can Spores Survive in Interstellar Space?" _Nature_ 316:403-407. 

Paul S. Wesson (1990) "Cosmology, Extraterrestrial Intelligence, and a Resolution of the Fermi-Hart Paradox", [_Q. Jl. R. astr. Soc._][36] 31:161-170. 

D.P. Whitmire, D.P. Wright (1980) "Nuclear Waste Spectrum as Evidence of Technological Extraterrestrial Civilizations" _Icarus_ 42:149-156. 

O.B. Zaslavskii (1996) "Generalized second law and the Bekenstein entropy bound in _Gedankenexperiments_ with black holes" _Class. Quantum Grav._ 13:L7-L11. 

B. Zuckerman (1985) "Stellar Evolution: Motivation for Mass Interstellar Migrations" [_Q. Jl. R. astr. Soc._][36] 26:56-59. 

* * *

[Robin Hanson][45] [hanson@hss.caltech.edu][46] September 15, 1996  known by [AltaVista][47] This page is translated to Belorussian [here][48], and to Irish here [here][49]. 

[1]: http://hanson.gmu.edu/
[2]: http://www.foresight.org/
[3]: http://www.speakeasy.org/%7Eforrestb/starseex.html
[4]: http://hanson.gmu.edu/uploads.html
[5]: http://hanson.gmu.edu/greatfilter.html#appendix
[6]: http://dekalb.dc.peachnet.edu/%7Epgore/students/w96/joshbond/symb.htm
[7]: http://mason.gmu.edu#zoo
[8]: http://www.seti-inst.edu/
[9]: http://w3.gti.net/cmmiller/drkmttr.html
[10]: http://wwwmacho.mcmaster.ca/
[11]: http://www.stsci.edu/pubinfo/press-releases/95-48.txt
[12]: mailto:CurtAdams%40aol.com
[13]: mailto:n.bostrom%40lse.ac.uk
[14]: mailto:carter%40obspm.fr
[15]: http://www.obspm.fr/departement/darc/activite.html
[16]: mailto:johnkc%40well.com
[17]: mailto:dgc%40shirenet.com%3EDan%3C/a%3E%20Clemmensen%2C%3Ca%20href%3D
[18]: mailto:Bradley.Felton%40eskimo.com
[19]: mailto:arkuat%40pobox.com
[20]: http://www.c2.org/%7Earkuat/
[21]: mailto:whysean%40earthlink.net
[22]: http://home.earthlink.net/%7Ewhysean
[23]: mailto:Eugene.Leitl%40lrz.uni-muenchen.de
[24]: mailto:johnlesl%40uoguelph.ca
[25]: http://www.uoguelph.ca/philosophy/leslie.html
[26]: mailto:sean%40lucifer.com
[27]: http://www.lucifer.com/%7Esean/
[28]: mailto:mrskin%40mindspring.com
[29]: mailto:harara%40shamanics.com
[30]: mailto:nv91-asa%40nada.kth.se
[31]: http://www.nada.kth.se/%7Env91-asa/main.html
[32]: mailto:phoenix%40ugcs.caltech.edu
[33]: http://www.ugcs.caltech.edu/%7Ephoenix/
[34]: mailto:mwiik%40netcom.com
[35]: http://messagenet.com/
[36]: http://www.blacksci.co.uk/products/journals/qjras.htm
[37]: http://wwwmacho.mcmaster.ca/Pubs/PressRelease/AAS96.html
[38]: ftp://ftp.parc.xerox.com/pub/nano/nanosystems.html
[39]: http://www.hia.com/pcr/dyson.html
[40]: http://www-personal.engin.umich.edu/%7Efritx/Ftlessay/essay.html
[41]: http://www.mit.edu/%7Ebelg4mit/services/grim.html
[42]: http://www.primenet.com/%7Emaxmore/extropy.htm
[43]: http://hanson.gmu.edu/HARDSTEP.PS
[44]: http://www.transatlantech.com/TPS/hot-top-d-mayr.html
[45]: http://www.hss.caltech.edu/%7Ehanson/
[46]: mailto:hanson%40hss.caltech.edu
[47]: http://altavista.digital.com/
[48]: http://phuongjewelry.org/greatfilter-be.html
[49]: http://www.travel-ticker.com/translations/greatfilter

