---
created_at: '2015-12-09T05:46:24.000Z'
title: 'How Airplanes Fly: A Physical Description of Lift (1999)'
url: http://www.allstar.fiu.edu/aero/airflylvl3.htm
author: Tomte
points: 95
story_text: 
comment_text: 
num_comments: 51
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1449639984
_tags:
- story
- author_Tomte
- story_10702131
objectID: '10702131'

---
[Source](http://www.allstar.fiu.edu/aero/airflylvl3.htm "Permalink to How Airplanes Fly")

# How Airplanes Fly

 

| -----         |  
| ------------- | -----------------  
| [**Home**][1] | [**Research**][2] | [**For Teachers**][3] | [**HISTORY    

][4][Level 1  
][5][Level 2  
][6][Level 3][7]** |  [**PRINCIPLES  
][8][Level 1  
][9][Level 2  
][10][Level 3][11]** |  [**CAREER  
][12][Level 1  
][13][Level 2  
][14][Level 3][15]** |  
|  [**Search**][16] |  [**Hot Links**][17] |  [**What's New!**][18] |   | | | 
|  [**Gallery**][19] |  [**Feedback**][20] |  [**Admin/Tools**][21] | 

_**Please let me remind all of you--this material is copyrighted. Though _partially_ funded by NASA, it is still a private site. Therefore, before using our materials in any form, electronic or otherwise, you need to ask permission.**_  
There are two ways to browse the site: (1) use the **_search_** button above to find specific materials using keywords; or,   
(2) go to specific headings like **_history_**, **_principles_** or **_careers_** at specific levels above and click on the button.    
Teachers may go directly to the Teachers' Guide from the _**For Teachers**_ button above or site browse as in (1) and  (2).

**

[_FAQ_][22]![newred.gif \(906 bytes\)][23]_          _

**

**How Airplanes Fly**

**by David F. Anderson  
  
Level 3**

![][24]

For every complicated problem there is a solution that is simple, direct, comprehensible and wrong. So it is with flight. Lift on a wing is simple, straight forward physics. Yet it is misunderstood by many people. When discussing a subject as full of “mythologies” and false assumptions as flight, the reader must be encouraged to address the subject with an open mind. To do this, we will start by discussing two facts.

The first fact is that the shape (profile) of the wing has nothing to do with lift. That alone explains why an airplane can fly upside down.

The second fact is a real wing in flight produces a force straight up (lift) by accelerating air straight down (_downwash_). This should seem reasonable when one considers the backwash of a propeller or the downwash of the rotors of a helicopter (Fig. 1). Both are rotating wings obeying the same physics as an airplane wing. 

![][25]

**Fig. 1. Downwash of a helicopter over water.**

**Shape of the Wing**

As stated above, the shape of the wing has nothing to do with lift. It does have everything to do with efficiency at cruise speeds and stall characteristics. Engineers put a lot of effort into designing wings that are light, strong and can contain all the necessary hardware; while maintaining efficiency and good stall characteristics. Lift depends on the wing area, aspect ratio and angle of attack; but not the shape of the airfoil. Let me explain.

We will first define the _effective angle of attack_. It is obvious that for any wing, one can find an angle into the wind where the wing has zero lift, just like when holding your hand out of the car window. We define that orientation as zero effective angle of attack and measure angles from there. Lift on the wing is exactly proportional to the effective angle of attack for all wings, for both positive and negative angles. This is shown in Fig. 2 for three different wings. (See Ref 1 for over 100 similar examples).  When corrected for wing area, all wings fall on the same line. The slope of the line for an ideal wing of any shape is 2*pi in some English engineering units. However, the wing’s stall characteristics vary with shape. In the figure the sharpest wing stalls at a smaller angle and more abruptly than the blunt wings. 

 

![][26]

**Fig. 2\. Lift as a function of effective and geometric angles of attack.**

 

Engineers define angle of attack in a geometrical way having nothing to do with lift. You might hear one argue that a wing can have lift with zero angle of attack.  That is the result of a different definition of angle of attack. This is illustrated by wing “**a**” in Fig.2. Here we see the wing has lift for a zero **geometric** angle of attack but not for zero **effective** angle of attack. Figure 3 is a visual illustration of the difference between effective and geometric angles of attack.

![][27]

**Fig. 3\. Illustration of difference between effective and geometric angles of attack**

 

The negative lift for negative angles is just the performance of the wing inverted. Thus we see why a wing can fly upside down. The wing lifts just as well inverted. Ever since WWII, most wing shapes (airfoil) are almost symmetrical. Since the shape of the wing has nothing to do with lift, **any description of lift that depends on the shape of the wing is clearly wrong.**

**Diversion of Air by a Wing**

Let us explore another eye opener in the form of a thought experiment. Picture a feather, lost by a high-flying goose, slowly drifting down. The wing of an airplane passes, say 1 foot, under it. This event is recorded by two cameras: one fixed to the wing of the airplane and another tied to a tethered balloon, as shown in Fig.4.

 

![][28] 

**Fig. 4. Wing flying under a feather and observed by two cameras**

 

So what do the cameras record? First, look at the wing camera recording, shown in Fig. 5. This is also the view the pilot would see. There is nothing surprising here. It is also what one would see in a wind tunnel and it is the way we are taught to think about air flowing over the wing. Here we have an _apparent_ flowing fluid and one could think of applying the Bernoulli description of lift. 

 

![][29]

**Fig. 5.  Track of the feather recorded by the wing camera**

 

The balloon camera recording is shown in Fig.6. Now, this is surprising. The feather went straight down. The air was accelerated perpendicular to the direction of motion of the wing. As stated before, this is also true for propellers and the rotors on a helicopter, which are both rotating wings. It is logical a vertical force up (lift) is produced by the acceleration of air straight down. This is a simple example of Newton’s third law of equal and opposite forces. Now we no longer have a flowing fluid over the wing.  This is the situation of real flight: still air and a moving wing. When a pilot looks at the wing in flight he sees flowing air. In fact, the air is standing still horizontally and the airplane is moving.

 

![][30]

**Fig.6. Track of the feather recorded by the balloon camera**

 

The relationship between the two tracks of the feather can be seen in Fig. 7\. The horizontal arrow represents the speed of the wing. The sloping arrow is the track that would be seen by the wing camera, the pilot, or in a wind tunnel. The arrow marked “Vv” is the track of the feather in the balloon’s rest frame. The wing’s angle of attack is represented by the Greek letter ** alpha**.

 

![][31]

 

**Fig.7. Relationship between the two tracks of the feather where the arrow labeled Vv is the track seen by the balloon camera**

 

Both cameras are recording the same event and thus the same physics. An observer moving half the speed of the wing would see yet another trajectory of the feather.  The physics of lift cannot depend on the motion of observer. Thus, any true understanding of lift must be valid in all reference frames – from the wing, the balloon or from a passing airplane. The Bernoulli equation cannot be applied in the balloon's rest frame, and any description of lift must be applicable in all rest frames.

To understand why the air pressure above the wing is lower and the air is accelerated down, refer to Fig. 8. The air is exposed to a descending upper surface, much like a piston being pulled down. This lowers the pressure and accelerates the air down, i.e., the reduced air pressure causes an increase in speed rather than increased speed causing lowered pressure.  This lowering of the pressure propagates up at the speed of sound. After the wing passes the momentum of the air continues down. The description of lift is the same in the rest frames of both cameras. The wing camera is looking at the same physics but with a large horizontal velocity added to all the velocities.

The lowered pressure above the wing also draws air from in front and below the height of the top of the wing. This is the _upwash_. Therefore, if the wing were to intercept the feather a little below the top of the wing, the feather would first rise before starting its decent as the wing passes.

The conventional descriptions of lift start out with the acceleration of the air causing a reduction in pressure. In fact, that is a “red herring”, starting one out on the wrong foot. The increase in speed of the air is a byproduct of lift, not the cause.

 

![][32]

**Fig. 8.  Air drawn down by descending surface**

 

If an airplane were to fly over a large scale, the weight of the airplane would be measured. The earth does not become lighter when an airplane takes off.  There is the old problem of an airplane filled with canaries in cages. The question is “if all the birds were made to fly would there be a reduced load on the wings?”  The answer is no. The weight of the canaries in flight is still felt by the floor of the airplane. 

To give a feeling for how much air is diverted, a back-of-the-envelope estimate was made of the amount of air diverted by a Cessna 172 weighing 2300 lb, and traveling at 140 mph. Assuming the air is accelerated down at about 6 mph, we calculate about 5 ton per second are diverted from up to about 20 feet above the wing [2]. It was also estimated that a jumbo jet at cruise is diverting about of its own weight of air per second.

 The answer to understanding lift is in Newton’s three laws. I know, like an old joke, you’ve heard this one before. But, there is a new twist. Until recently, in many people’s minds, the “Newtonian description of flight” referred to lift being created by air striking the bottom of the wing. Even Sir Isaac Newton believed in this explanation for the flight of birds. A little simple math shows the bottom of the wing does not intercept nearly enough air to produce the necessary force. An optimistic calculation estimates such lift to be only a few per cent of what is needed. Wings are designed to avoid the air striking the bottom because of the high drag produced. The lift is due to the reduction of pressure on the top of the wing with essentially no contribution by air interaction with the bottom of the wing. That is why fighter airplanes can hang so much ordinance on the bottom of the wings (Fig. 9), and why struts are fairly common on the bottom of wings (e.g. Cessna) but almost never seen on the tops. Note in the picture that the fighter jet certainly does not have a “Bernoulli wing”. This heavy aircraft is being held up by very thin wings.

 

![][33]

**Fig. 9\. Busy wing bottoms (US Air Force photo)**

**Newton’s Laws**

Before we go on with our discussion of the physics of flight, we should have a quick refresher of Newton’s three laws. Newton’s 1st law says an object at rest will remain at rest, or if in motion remain in straight-line motion unless acted on by an external force. Therefore, if one sees an object change its motion in speed or direction, there is a force acting on it. 

Newton’s 2nd law is more complicated but more useful to our understanding of flight. The law is most often written as force equals mass times acceleration (F = ma). There is another form of Newton’s 2rd law that says force is equal to the amount of mass accelerated per second times the velocity of that mass (F=(m/s)*v). This gives the thrust of a rocket, a jet engine or a propeller. As we will see, this also gives the lift of a wing.

Newton’s 3rd law says for every force there is an equal and opposite force. This is an easy one. When you sit on a chair the chair puts an equal force on you. When you shoot a rifle, the force on the bullet is felt by your shoulder.

We saw air is accelerated straight down by the wing. Newton’s first law says there must be a force on that air. Newton’s third law tells us there must be an equal and opposite force on the wing. Newton’s second law tells us the lift is equal to the rate air is accelerated down times the speed of that air.  So we have the simple fact that **the lift of a wing is equal to the rate air is diverted down times the speed of that air**.

To further understand real flight, we must look at what is known as the _ power curve_, which is the amount of power required for flight as a function of speed. To do this we will start with an understanding of the thrust of a jet engine.

**Thrust of a Jet Engine**

The thrust of a jet engine, a propeller or a rocket is given by the special form of Newton’s 2nd law which states: **the thrust is equal to the rate gas is expelled (e.g. kg/s) times the speed of that gas.** If the design of a jet engine (Fig.10a) is to be changed to double the thrust, the engineer has the amount of gas and the speed of the gas expelled with which to play. Thus, to double the thrust one can double the rate gas is expelled, double the speed of the gas expelled, or a combination of the two. The power consumed by the jet engine is the rate kinetic energy is given to the gas and is equal to the rate the gas is expelled times the speed of that gas squared, v2. If the design doubles the speed of the gas (Fig.10b) the power consumption is quadrupled. If the thrust is increased by doubling the amount of gas is expelled (Fig.10c) the power consumption is only doubled. This is done by putting a fan on the front of the engine.

 

![][34]

**Fig. 10\. Jet engines with changing speed and amount of gas expelled**

 

Figure 11 shows a cutaway drawing of a modern turbofan jet. Most of the air producing thrust does not go through the jet engine. This is basically an engine with a ducted propeller. The bypass ratio (the ratio of air from the fan compared to the amount of gas from the engine) is typically about 8:1. Ideally, to create an engine with the highest efficiency, energy is extracted from the exhaust to power the fan to the point the velocity of the exhaust is the same as the air from the fan. These large engines are more efficient, more powerful and much quieter. Figure 12 shows the new General Electric engine for the long range Boeing 777-200LR and 300ER. The cabin of the Boeing 737 shown is only 3% wider than the GE engine. The engine is wide enough to accommodate six seats and an aisle. 

 

![][35]

**Fig. 11 Turbofan engine (Photo courtesy of Pratt and Whitney)**

 

![][36]

**Fig.12 General Electric GE-90-115B turbofan and Boeing 737**

** **

**Power Curve - Introductory Comments**

To understand the power curve, one must use the rest frame of real flight, i.e., the wing is moving and the air is standing still. This is in contrast to the old way of thinking about flight which uses the wind tunnel rest frame where the wing is stationery and the air (wind) is moving

When I get an email from someone who insists that lift is due to Bernoulli or who has a new hypothesis of flight, I insist they first explain the situation of real flight. It saves me a lot of pointless effort. Be wary of descriptions of lift that start with “first the air accelerates over the wing”. It should be pointed out that this statement envisions acceleration without a force, and is a clear violation of Newton’s first law.  

Before going on to power, a few definitions are in order. _Induced power_ is the power needed to produce lift. _Parasite power_ is the power necessary to overcome the resistance of the air striking the airplane. _Total power_ is the sum of the induced and parasite powers, and is the power that must be provided by the engine or the potential energy of a descending glider. The total power is also known as the _power curve_ and represents power needed for flight as a function of speed.** **

**Induced Power**

As stated above, a wing in flight diverts air perpendicular to the direction of travel, that is, straight down producing lift straight up, or at an angle for a turn. So, like for the jet engine, the lift of a wing is equal to the rate air is diverted down times the speed of that air. Again, Induced power is the power to produce lift. It is the rate kinetic energy is left behind in the motion of the air. In this section we will discuss the _backside of the power curve _which is the low speed side from the point of minimum power required for flight (refer to Fig. 14). Here induced power dominates.

One needs to understand how the **rate** of air diverted and the **speed** of the diverted air vary in flight. The rate air is diverted is easy to understand. For a given airplane at a fixed altitude, it depends only on the speed of the wing. The faster the airplane flies the faster air is intercepted.

The vertical velocity of the diverted air, Vv, is only slightly more complicated. Referring to Fig.13, one can see that Vv is proportional to the speed of the wing, S, and to the angle of attack,  alpha. If the speed is doubled (i.e., S becomes 2S), the vertical velocity doubles. Also, if the angle of attack doubles, the vertical velocity doubles. So, we have the:

**_Rate of diverted air_ is proportional to speed**

**_Vertical velocity of diverted air_ is proportional to angle of attack and speed**

** **

![][37]** **

**Fig.13 Relationship of Vv with the speed of the wing and the angle of attack**

** **

If the speed of the airplane is reduced to half, the amount of air diverted and the Vv are both reduced by half. Thus the lift would be reduced to1/4. To continue level flight the angle of attack must be increased by 4 to maintain the necessary lift. This increase in the angle of attack doubles Vv thereby increasing lift by 4, back to the necessary lift. Induced power has doubled (rate air is diverted x Vv2 = 0.5x22 = 2). Halving the velocity doubles the induced power requirement. This yields the relationship that induced power = 1/S (see Fig.14). Taken together the angle of attack varies as 1/S2, whereas the induced power varies as 1/S. Thus, with reducing speed the angle of attack increases more rapidly than the induced power requirement. That is why the airplane stalls before it runs out of power. 

![][38]

**Fig. 14. Dependence of induced, parasite, and total power on speed**

 

To illustrate the affect of speed on flight, refer to Fig 15 which shows a wing in flight at three different speeds. Fig 15a shows a wing in flight, assuming the airplane is initially going 120 knots (kt), has an angle of attack of 4 and induced power of 25 horsepower (hp). At cruise speed the power requirement for flight is mostly parasite power which will be discussed below. 

 

![][39] 

**Fig. 15\. Airflow, angle of attack and induced power at three airspeeds**

 

If the speed is reduced to 90 kt (75% of its original value) (see Fig.15b), the angle of attack increases to 7, the diverted air reduces to 75% and its vertical speed increased to 133%. The induced power increases to 45 hp. As with the jet engine, the power necessary is proportional to the rate air is diverted times the speed of the air squared (0.75 x 1.332).  Figure 15c shows the wing at 60 kt. The angle of attack has increased to 16 and the induced power increased to 100 hp. This power can be provided by the engine but by this point the wing has either stalled or is about to stall. 

The slower one goes, the less air is diverted, and the greater the power needed and the greater the angle of attack. This is why a pilot is looking up into the sky when the airplane stalls in low-speed, straight-and-level flight.

It is not much beyond the scope of this work to show that induced power varies as the load squared [2]. Thus, the greater the load, the more power required and thus the shorter the range of an airplane. It also shows as passengers are added to a flight, each one will require slightly more fuel consumption than the passenger before them.

**Parasite Power **

The power to overcome the friction of the airplane moving through the air is called_ parasite power_. This is the energy lost due to air colliding with the fuselage, wheels, antennas, etc. It should be noted that wings are very efficient. The parasite power loss of the wing of a Boeing 747, having a wing root thick enough in which a man could stand, is the same as for a 1 inch cable of the same length.

The value of parasite power as a function of speed is easy to understand. The kinetic energy of a molecule hitting the airplane is proportional to the S2 (i.e. kinetic energy = 1/2 mv2).  The rate molecules strike the airplane is proportional to S. So, parasite power is proportional to the S3. This is also plotted on Fig.14 along with the total power which is the sum of induced power and parasite power. 

**Power Curve**

The total power is known as the _power curve._ In low speed flight the power required is dominated by induced power, which varies as 1/S. This is the _backside of the power curve_. At higher speeds the required power is dominated by parasite power. Since parasite power varies as S3 there are some significant consequences. To double the speed of an airplane the engine would have to be eight times larger. If the power of the airplane were doubled, the cruise speed would only increase by 25%, although the climb characteristics would be greatly enhanced. 

This increase in climb characteristics is because an airplane climbs on its _excess_ power, which is the power above the power for flight. Typically, non-jet powered airplane will slow to the minimum of the power curve to maximize the excess power for climb. A bigger engine means more excess power and a faster climb.

Total power = A/S + B x S3, where A and B are constants. In the flight test of a new airplane, the power at two speeds is all is necessary to determine the power curve. Though, certainly more than two measurements are made in flight test.   Once A and B are determined it is easy to make corrections for pressure and density altitude.  These are adjustments for differences in the amount of air diverted and to the rate of collisions. 

**Drag**

As a side note, we should consider drag, the aspect of flight on which engineers and many pilots fixate. Drag is just power divided by speed. Since induced power goes as 1/speed, _induced drag_ goes as (1/speed)2. Parasite power goes as (speed)3, so _parasite drag_ goes as (speed)2. The constants A and B discussed above are the same for the total power and total drag curves. If one measures the power curve of a new airplane the drag curve is also determined. In short:

Total power = A/speed +B (speed)3

Total drag = A/(speed)2 \+ B (speed)2.

**Step climb**

Small airplanes correct for changes in load by changing their angle of attack. The weight of a Boeing 747 at gross weight, making a long trans-oceanic flight, can weigh as much as 40% in fuel. Thus there is a substantial reduction in weight during the flight for which one must compensate.

The pilot of a jumbo jet would like to fly with a specific angle of attack since the huge fuselage must be aligned with the airflow for minimum drag. There is also a fairly narrow range of speed that provides maximum efficiency and range. Since the angle of attack and speed are defined with narrow limits that leaves only one variable to adjust: air density. Thus, as the fuel is burned off, the pilot would like to increase altitude to reduce the lift for a fixed speed and angle of attack. Higher altitude means lower air density and a reduced amount of air diverted. That is why the jumbo jets make 2,000 ft steps in flight when traveling long distances. This is called a _step climb_. Between steps the lift is controlled primarily with speed.  Ideally, it would be desirable to make a continuous increase in altitude, or a _cruise climb_. The only airplane that has been allowed to use the cruise climb is the Concord, because it flew high above the other traffic.

**Wrapping it Up**

On the back side of power curve, the slower the airplane goes, the less air is diverted but the air is diverted at a higher velocity.  This increases the induced power requirement which is proportional to 1/speed. The method employed to increase the vertical speed is increasing the angle of attack. At the high-speed side of the power curve, the power requirement is proportional to speed3, and thus the top speed of an airplane is primarily limited by the design of the airplane and not the size of the engine.

Understanding the true physics of flight allows questions to be answered that could not be answered by the common mythologies of flight. Some of these are:

         How can an airplane fly upside down?

         How do symmetrical wings fly?

         How does the wing adjust for changes in load, speed, or air density?

         Lift requires work. The range of a bomber depends on the payload. Where is the work done?

The common mythologies are plausible falsehoods that do not give one the power that comes with true understanding. The simple physics of flight does empower a person. In the end, that is the proof of the pudding. 

**References**

1        Ira H Abbott and Albert E. Doenhoff, _Theory of Wing Sections_, Dover Publishing, Inc. (1959). 

2        David F. Anderson and Scott Eberhardt, _Understanding Flight_, McGraw-Hill (2010).

  

* * *

The preceding is an article by [David Anderson][40], retired from Fermi National Accelerator Laboratory.  The author has given ALLSTAR permission to present this article on the ALLSTAR website.

  More can be found in his book _Understanding Flight_ with co-author Scott Eberhardt.  The book is listed as the 2nd reference in the reference section above.

  ALLSTAR retains the copyright to the format in which the article is presented.  

* * *

**Send all comments to ![][41] [allstar@fiu.edu][42]   
** 1995-2018 ALLSTAR Network. All rights reserved worldwide.

| ----- |
|  Funded in part by  |  ![][43] | 

**Updated: January 28, 2018**

[1]: http://www.allstar.fiu.edu/
[2]: http://www.allstar.fiu.edu/research.htm
[3]: http://www.allstar.fiu.edu/Teachers.html
[4]: http://www.allstar.fiu.edu/#history
[5]: http://www.allstar.fiu.edu/history1.htm
[6]: http://www.allstar.fiu.edu/history2.htm
[7]: http://www.allstar.fiu.edu/history3.htm
[8]: http://www.allstar.fiu.edu/#Principles
[9]: http://www.allstar.fiu.edu/princ1.htm
[10]: http://www.allstar.fiu.edu/princ2.htm
[11]: http://www.allstar.fiu.edu/princ3.htm
[12]: http://www.allstar.fiu.edu/#Careers
[13]: http://www.allstar.fiu.edu/career1.htm
[14]: http://www.allstar.fiu.edu/career2.htm
[15]: http://www.allstar.fiu.edu/career3.htm
[16]: http://www.allstar.fiu.edu/search.htm
[17]: http://www.allstar.fiu.edu/links.htm
[18]: http://www.allstar.fiu.edu/new.htm
[19]: http://www.allstar.fiu.edu/gallery.htm
[20]: http://www.allstar.fiu.edu/feedback.htm
[21]: http://www.allstar.fiu.edu/#Tools
[22]: http://www.allstar.fiu.edu/faq_general.htm
[23]: http://www.allstar.fiu.edu/images/newred.gif
[24]: http://www.allstar.fiu.edu/images/r_jet_ln.gif
[25]: http://www.allstar.fiu.edu/images/sav01b.gif
[26]: http://www.allstar.fiu.edu/images/sav02b.gif
[27]: http://www.allstar.fiu.edu/images/sav03b.gif
[28]: http://www.allstar.fiu.edu/images/sav04b.gif
[29]: http://www.allstar.fiu.edu/images/sav05b.gif
[30]: http://www.allstar.fiu.edu/images/sav06b.gif
[31]: http://www.allstar.fiu.edu/images/sav07b.gif
[32]: http://www.allstar.fiu.edu/images/sav08b.gif
[33]: http://www.allstar.fiu.edu/images/sav09b.gif
[34]: http://www.allstar.fiu.edu/images/sav10b.gif
[35]: http://www.allstar.fiu.edu/images/sav11b.gif
[36]: http://www.allstar.fiu.edu/images/sav12b.gif
[37]: http://www.allstar.fiu.edu/images/sav13b.gif
[38]: http://www.allstar.fiu.edu/images/sav14b.gif
[39]: http://www.allstar.fiu.edu/images/sav15b.gif
[40]: mailto:dfa180%40aol.com
[41]: http://www.allstar.fiu.edu/images/mail_cld.gif
[42]: mailto:allstar%40fiu.edu
[43]: http://www.allstar.fiu.edu/images/ltp.gif

