---
created_at: '2016-02-16T00:06:30.000Z'
title: Viking Ships (1999)
url: http://www.hurstwic.org/history/articles/manufacturing/text/norse_ships.htm
author: douche
points: 51
story_text: 
comment_text: 
num_comments: 0
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1455581190
_tags:
- story
- author_douche
- story_11107004
objectID: '11107004'

---
[Source](http://www.hurstwic.org/history/articles/manufacturing/text/norse_ships.htm "Permalink to Hurstwic: Viking Ships")

# Hurstwic: Viking Ships


| ----- |
|  ![logo][1]  | 

**Viking Ships**

| -----                                                                                                                                                                                                                                                               |  
|  

The Viking ship was perhaps the greatest technical and artistic achievement of the European dark ages. These fast ships had the strength to survive ocean crossings while having a draft of as little as 50cm (20 inches), allowing navigation in very shallow water. |  

![Viking ship \(c\) 2003 R. Becker][2]  
2003 [Robert Becker][3] | 

| ----- |
|  ![Viking ship on picture stone][4] | 

Ships were an important part of Viking society, not only as a means of transportation, but also for the prestige that it conferred on her owner and skipper. Their ships permitted the Vikings to embark on their voyages of trading, of raiding, and of exploration.

Images of ships show up on jewelry (right), on memorial stones (left), and on coins from the Viking age. Some people were buried in ships, or ship-like settings made of stones (below), during the Viking age.

![][5]

 |  ![Viking ship brooch][6] | 

| ----- |
|  ![Oseberg ship][7] | 

The picture to the left shows a sketch of the side view and hull section, and a photo of a 9th century ship that was recovered early in the 20th century in Oseberg. The ship was part of a very rich burial and is now on display near Oslo. 

The Oseberg ship was once thought to be more representative of a royal yacht, rather than a true war ship, but more recent research suggests she was quite capable of sailing in open ocean. 

In the 1970's, five 11th century ships were found and recovered from the Skuldelev narrows in Denmark, giving us more examples of the variety of ships used in the Viking age. These ships had been intentionally scuttled, probably to block the channel during a raid. | 

Two different [classes][8] of Viking era ships were found: warships called _langskip_ (left) and merchant ships called _knörr_ (right). 

![knorr and longship comparison][9]

Typically, a warship is narrower, longer, and shallower than a knörr, and is powered by oars, supplanted by sail. The warship is completely open and is built for speed and maneuverability. In contrast, a knörr is partially enclosed and powered primarily by sail. Cargo carrying capability is the primary concern.

| ----- |
| 

The two Skuldelev warships are narrower and less spacious than the Oseberg ship. A sketch of the smaller of the two ships is shown to the right. She is 17.4m long (57 ft) and 2.6m broad (8.5 ft). These ships are probably more typical of the kind of vessel that was used by the Vikings on their raids.

A typical warship might have had 16 rowers on each side. |  ![war ship sketch][10] | 

| ----- |
|  ![Islendingur shields][11] | 

The crew's shields may have been arrayed along the gunwales, held in place by a shield rack outboard of the ship. This kept them out of the way, but also provided some slight additional protection against wind and waves.

The photos show the _slendingur,_ a replica ship that sailed from Iceland to North America in the year 2000. |  ![Islendingur under sail][12] | 

| ----- |
|  ![Viking ship with shields on coin][13] | 

Both coins (left) and pictures stones (right) from the Viking age depict shields arrayed along the gunwale of a Viking ship. Additionally, the sagas say that shields were displayed. In _Brennu-Njls saga_ (ch. 84), Kri and his ten ships rowed hard to join a sea battle, with row after row of shields on display along the sides of the ships.

Several pieces of evidence suggest that shields were not routinely displayed while underway. On some ships, the shields interfere with the oarholes, preventing the oars from being used. Shield racks, to which the shields were fastened, were not robust, and probably were incapable of holding the shields securely in rough seas. Last, modern sailors of replica ships say they are very impractical.

 |  ![ship shields on picture stones][14] | 

| ----- |
|  ![viking ship shield rack][15] | 

The inboard side of the shield rack on the replica Viking ship _Vsteinn_ is shown to the left. In this interpretation, wedges hold the shield in place in the rack.

Perhaps shields were displayed only for battle, or to make the ship look especially fine when approaching land. _Landnmabk_ (S.156) tells of Hella-Bjrn Herfinnsson who sailed into Bjarnarfjrur with his ship lined with shields. Afterwards, he was called _Skjalda-Bjrn_ (Shield-Bjrn). |  ![Viking ship Vesteinn][16] | 

| ----- |
|  ![ship oars][17] | 

The oars of the Gokstad ship varied in length from 5.3 to 5.85 meters (about 17 to 19ft) according to where they were used on the ship. The oarholes were not a uniform distance above the waterline, and so the length of each oar was chosen so that the blades all hit the water in unison.

The oars were made of pine with a narrow blade, which makes for an efficient, lightweight oar. The photos show the oars for the _slendingur,_ which was no longer afloat when the photos were taken.

  |  ![ship oars][18] | 

| ----- |
|  ![Vikingaheimar][19] | 

The ship has been on display at an open air museum for several years, but in the fall of 2008, she was moved indoors to a new museum, [Vkingaheimar][20] at Reykjanesbr in Iceland. | 

| ----- |
|  ![oarhole covers][21] | 

The oarholes of the Gokstad ship were only 40cm (16 inches) above the deck. Most likely, each crewman's sea chest doubled as a rowing bench (right). 

Oarholes were sealed when not in use by covers that rotated in place to keep out water (left).

The slot cut into the oarhole that is visible in the upper photo to the left allowed the blade of the oar to pass through the oarhole so oars could be deployed entirely inboard of the ship  The slot was located in a position that received minimal stress while rowing, reducing the chance for wear or damage to the strakes or to the oars from the force of the stroke.

  |  ![rowing the ship][22] | 

| -----                                                                                                                                                                                                                                                                  |  
|  

Warships typically had minimal decking, with removable planks under the rowers laid on the crossbeams (right), and small raised platforms at the bow and stern. When anchored or in harbor, an awning was arrayed overhead to provide some protection from the elements. | ![][23] |  

The single square rigged sail allowed sailing close to the wind. This ability, combined with the capability to row during adverse wind conditions, allowed Norse sailors to run in to shore, engage the enemy on land, and escape retribution at will. 

The _Helge Ask_ is a modern replica of the smaller of the two Skuldelev warships. She is based at the Roskilde Ship Museum in Denmark. They report that with a full crew of 24 at the oars, she is capable of a speed of 4 knots. But only for about 15 minutes, which is when the crew collapses from exhaustion. For longer stretches, 2-3 knots is probably her top speed when being rowed. 

Another clue to the speed capabilities of these ships comes from linguistic studies. The term _víka sjóvar_ is the distance a man should work the oars before he should be released. The distance was set to 1000 strokes, about two hours work. The modern term is equivalent to about 4 nautical miles, implying that a speed of 2 knots was typical. The pace works out to one stroke every 5 to 7 seconds, depending on how one interprets the ancient texts.

| ----- |
|  ![Viking ship rowers][24] | 

When Hurstwic took our first voyage aboard the [Longship Company's][25] ship _Sae Hrafn_, our rowing pace was considerably faster, more than double what this linguistic study suggests. 

 |  ![Viking ship being rowed][26] | 

| ----- |
|  ![rowing a Viking ship][27] | 

This discrepancy inspired Hurstwic to conduct some rowing experiments aboard the _Sae Hrafn_ in 2015, comparing several different rowing styles. We started with the faster pace, which requires relatively short strokes. This stroke is used by the Longship Company as their standard, general-purpose stroke. We compared it to a slower stroke, suggested not only by the linguistic studies, but also by body mechanics considerations taken from our [combat training][28]. The long, slow strokes allowed us to fully utilize the powerful muscles in the lower part of the body that we use in our cutting, resulting in strokes that were familiar and comfortable. 

We created a [YouTube video][29] that shows our Viking ship rowing experiments and summarizes our results.

 |   | 

During the normal rowing, using fast, short strokes, we aimed for 40 minute shifts at the oars, but some shifts were longer. It is quite believable that Viking-age sailors could row for two hours without a break using the slower, longer strokes.

| -----                                                                                                                                                                                                                                                                                                                                                           |  
|  

One of the games enjoyed by Vikings was [ _toga hnk_ (tug-of-war)][30]. Unlike modern versions of the game, the old version uses muscle groups and movements similar to those used in rowing a ship when using slower, longer strokes. One wonders if the game was a way to sort out who might be a capable rower and thus a good addition to the ship's company. | ![Viking tug of war][31] |  

| ----- |
|  ![Long Serpent at Svolder][32] | 

Sagas tell of much larger warships, such as King Óláfr Tryggvasson's _Ormurinn langi_ (Long Serpent), which were much longer and carried far more rowers than typical warships. A ship of this class would be the king's flagship in dynastic wars, as when King Ólfr of Norway battled King Sveinn Forkbeard, King Ólfr, and Earl Eirkr at the Battle of Svlr (left).

Until recently, there has been no evidence to confirm that ships this large ever existed. But wrecks found at the end of the 20th century have confirmed the existence of these ships, which may have had 30 or more rowers on a side.

A [replica ship of this size][33] has recently been constructed in Norway, and is now sailing. | 

| ----- |
| 

Sea battles in the Viking age were fought on stationary ships and were more like land battles waged on floating islands. The battles had three parts. First, steersmen on each ship maneuvered for the most favorable position, relative to both friend and foe. Battles were fought in protected fjords, or in the lee of an island where marksmanship would not be spoiled by rocking decks. Missiles (such as arrows and spears) were fired as the ships closed and drew together. Sails were furled, and it is possible that masts were unstepped. Allied ships were tied together, creating floating islands. Clever ruses were used to draw enemy ships into vulnerable positions for an attack.

Opposing crews tried to board the outermost ships in the tied-together fleet, with the goal of clearing the deck of the enemy. Hand to hand fighting on the decks of the ships determined the outcome. When the outermost ship was cleared, it was cut loose and set adrift, to make it possible to board the next ship making up the "island". Small boats swarmed around the battle to kill any combatants that tried to save themselves by jumping overboard. 

A war ship was a valuable item, not only for the prestige and monetary value that went to her owner, but also for her utility in future battles. As a result, the intent in naval combat was to gain control of the ship (and any valuables she might be carrying) while minimizing any damage to the ship. This goal was achieved not by attacking the ship, but rather by attaching the ship's crew. The attackers attempted to sweep the decks free of the enemy without damaging the ship or her gear, and thus gain control of the ship.  |  ![sea battle sketch][34] | 

The sagas tell of battles involving large numbers of ships. Under these conditions, some ships were lashed together, while others were free to move to wherever they were most needed during the course of the battle. 

Recently, the accuracy of the descriptions of sea battles in the sagas has been called into question. It has been suggested that these descriptions are a confluence of battle tactics from when the sagas were written (13th century) and when the events took place (10th and 11th century). I remain skeptical of this revisionist suggestion.

Some sources suggest large Viking warships were equipped with catapults or other engines to hurl missiles such as rocks during a battle, or against a target on land. As discussed in more detail in the article on [miscellaneous Viking weapons][35], I am very skeptical of their existence. 

The shallow draft of Norse war ships had several advantages. The Norse could raid well inland by sailing far up rivers that were too shallow for typical sea-going vessels of the day. The Frankish kingdoms in present day France were shocked by Norse raids in unthinkable locations hundreds of kilometers (100+ miles) inland on rivers not thought to be navigable. In general, the Norse raided only those locations to which they could sail. Overland marches were avoided.

| ----- |
| ![Shelving beach at Dritvik][36] | 

The shallow draft of their ships allowed Vikings to set up impregnable bases deep within enemy territory. Viking ships could land anywhere there was a shelving beach; no harbor was necessary.

Chapter 4 of _Brar saga Snfellss_ tells how the beach shown to the left got its name: _ Dritvk_ (Shit Bay). After Brur Dumbsson beached his ship here, his men relieved themselves in the bay. The excrement washed up on the beach, thus the name.

Archaeological evidence supports the view that ships were beached regularly. The Skuldelev ships have wear on their keels consistent with sand and gravel landings. | 

Other European ships of the time required much deeper waters and were incapable of landing in such places. Norse raiders routinely landed on harborless islands, safe from attack by their enemies who were unable to land. Any small party of attackers who tried to land in boats would be cut down by the Norse raiders, making the Norsemen invincible on their island. When the Norse "Great Army" invaded the Frankish kingdoms, they routinely set up such bases on islands in rivers such as the Seine. Similarly, Norse raiders landed in England in places where the Anglo-Saxons, with their deeper draft ships, could not reach by sea.

| -----                                                                                                                                                                                                                                                                                            |  
|  

In addition, the shallow draft made for fast and easy disembarkation during a raid. When the ship was beached, a Viking could be certain that if he jumped out near the stem, the water would scarcely be over his knees. The crew could leave the ship and join the raid quickly and confidently. | ![disembark][37] |  

Under more normal conditions, conventional methods of boarding the ship were used. A gangplank was found on board the Oseberg ship.

| ----- |
|  ![cargo ship sketch][38] | 

Merchants and explorers used cargo ships called _knörr_. A sketch of one of the three 11th century knörr found near Skuldelev is shown to the left. This ship is a coastal trader and is 13.8m long (45 ft), 3.4m broad (11 ft), with a draft of 84cm (33 in). The loading capacity is approximately 4.1 tonnes (4.6 tons). A larger ocean-going trader found at Skuldelev was 16.3m long (53 ft) and 4.6m broad (15 ft) with a draft of 1.27m (50 in). However, she could carry nearly three times the cargo of the coastal trader: 13.6 tonnes (15 tons) filling over 30 cubic meters (more than 40 cubic yards). With a capacity this large, it is likely that she carried not only luxury goods, but also everyday objects in bulk quantities for trade. It's estimated that this ship's "effective" speed in regular ocean traffic was on the order of 3 to 6 knots.

  | 

However, greater speed may have been possible under good conditions. The saga literature suggests that the crossing from Norway to Iceland (a distance a bit less than 1000 nautical miles) was normally accomplished in a fortnight or so, but extraordinary crossings were accomplished in less than a week. _Landnmabk_ says that the voyage from Stad in Norway to Horn in eastern Iceland takes seven days. Regardless, merchants typically made only a single one-way trip to Iceland each year, waiting through the winter before making the return voyage. Some voyages to Iceland took much longer. _Gsla saga (chapter 4)_ says that [Gsli's][39] voyage from Norway out to Iceland took more than 60 days. rur emigrated from Norway with nineteen people on board, as is told in chapter 2 of _rar saga hreu_. They were at sea for a month before they made landfall at Vestmannaeyjar, off of Iceland's south coast. They continued sailing around Iceland to the west, arriving at Mifjrur in the north five months after leaving Norway. 

The knörr has half decks both fore and aft, each with a few oar-holes. (Oars were probably only used for maneuvering in preparation for landing.) A big open hole amidships comprised the cargo hold. Brushwood mats or straw under the cargo protected the ship from damage from the cargo. A crew of about six manned the coastal trader: a helmsman, a lookout, a bailer, and others sufficient to handle the sail. The ocean-going knörr probably had a crew of twelve who shared the profits.

Like the warships, the shallow draft of the cargo ships meant that they could easily be run up onto a beach for unloading, which was probably the usual way to land a ship. Ships were also sailed into shallow estuaries (_s_) at high tide for loading and unloading. As the tide ran out, the ship was gently deposited on the bed of the estuary, where the cargo could be easily unloaded. _Gsla saga Srssonar_ (chapter 4) says that orbjrn srr and his family arrived in Iceland and landed at Haukadalss, the estuary at Haukadalur, where they made their home. 

| ----- |
|  ![][40] | 

The estuary is shown near high tide in the photo to the left, with Drafjrur in the background, and near low tide on the right. The sand and gravel on the bed of the estuary would have comfortably held the ship's keel, allowing her to have been unloaded with dry feet. |  ![estuary at low tide][41] | 

To date, only the towns of Hedeby, Birka, and Kaupang show any evidence of harbors with jetties for docking a ship. The ships themselves give evidence that piers were not routinely used. Many ships have outboard gear, such as cleats and oarlocks, that would have been easily damaged by a pier. Finds of fenders made from withy, which would have protected the outboard gear, suggest that ships may have docked at piers, but finds of broken-off pieces of this outboard gear in Viking-age shipyards suggest that damage occurred regardless, and had to be repaired.

In some towns, small boats may have been used to carry cargo from ships anchored in the harbor to land. The harbor at Hedeby shows evidence of wooden poles in the harbor to which ships could be tied. Wagons may have been driven into the shallow water alongside the ship for unloading. Some harbors show evidence of stones laid from the beach into the water to facilitate driving a wagon into the water.

Voyages must have been very difficult for passengers and crew. The ships were completely open, and everyone was exposed to the elements. People slept wherever they could, probably between the thwarts. Travelers used a _húðfat_ (leather sleep sack) in which to sleep at night and to store their belongings during the day. Food was probably dried, salted, or smoked meat and fish. Drinks probably consisted of water (in skin bags), and ale or sour milk in tubs.

It appears that ships and lives were routinely lost during ocean crossings. _Landnmabk_ says that of the 25 ships that set out one summer from Iceland carrying settlers to Greenland, only 14 arrived.

| ----- |
| 

Smaller cargo ships were used on rivers, notably on Viking trade routes in Russia. These ships had larger crews (perhaps ten men) and more oars so as to be able to travel up river. These ships could be portaged if needed. (The illustration to the right is from Olaus Magnus' _Historia_ published in 1555.) 

Cargo ships were routinely carried overland as Viking traders traveled from the Baltic Sea (on the Lovat and Dvina Rivers) to the Black Sea (on the Dneipr and Volga Rivers) on their regular Asian and Arabian trade routes. Ships were also portaged around rapids on some of these trade routes in Russia. Large crews were required, not only for the physical labor required to carry the ship overland, but also to guard against attacks from bandits who waited near the portage sites to grab valuable cargo. |  ![portage][42] | 

| ----- |
|  ![rivets and washers][43] | 

Ships were built using the "clinker" technique (right), in which the lower edge of each hull plank overlaps the upper edge of the one below. Planks (strakes) were riveted together using iron rivets. An assortment of rivets and washers are shown to the left, before use. Rivets were typically about 75mm (3 in) long. The total weight of rivets and washers used in the construction of a typical ship was about 150kg (330 lb), a very substantial and expensive amount of iron in the Norse era.

 |  ![clinker construction][44] | 

| -----                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |  
|  

The value of the nails is apparent from an incident told in chapter 2 of _Grnlendinga ttur_. Sigurur and his party came upon two ships beached next to a hut in the Greenland wilderness. Everyone from the ships was dead, and one of the ships was badly damaged. Sigurur had the rivets pulled and collected, then he burned the wreck. He returned home with the valuables and the undamaged ship, as well as with the bones of the dead men, so they could be buried in the churchyard. | ![nail][45] |  

| ----- |
|  ![rivets][46] | 

Outboard and inboard views of the washers and rivets used on the _slendingur_ are shown to the left, and on _Draken Harald Hrfagre_ to the right.

Historical ships used much longer spacing between rivets than the modern reproductions shown in the photos on this page. Modern safety regulations require more closely spaced rivets for strength. Historical ships spaced the rivets as much as 60cm or more (24 inches) apart along the strakes, so the ship would be flexible in rough seas, bending and riding over the waves, rather than trying to resist them and taking the full impact of each swell. Thus thin-hulled Viking ships could survive the rough seas of the North Atlantic. |  ![rivets and washers][47] | 

| ----- |
|  ![Oseberg ship frame sketch][48] | 

On some ships, the strakes were lashed to the frame using flexible lashings, rather than being firmly fixed, another way to create an elastic structure that rode over the waves. To the right is a sketch of the cross section of the planking of the Gokstad ship, showing how each plank was fastened to the frame.

However, on other ships, the strakes were fastened to the frame with wooden trenails (wooden dowels held in place by wooden wedges), and in some cases, by iron spikes. The trenails were preferred, since after installation, they swelled and held better than iron.

The structural elements of the Oseberg ship are shown to the left, showing the keel (blue), strakes (light blue), rib (green), crossbrace (yellow), knees (light red), and stanchion (magenta). Where each strake crossed a rib, a cleat was fabricated on the inboard side of the strake that stood proud above the surface of the strake. The rib rested in the cleat, and the lashing that fixed the strake to the rib passed through the cleat. |  ![][49] | 

| ----- |
|  ![knorr under sail][50] | 

Even though cracks between the planks were sealed with moss or animal hair coated with tar, the elasticity of the ships made them prone to leaks, especially in rough seas. The sketch to the left shows (and probably with some accuracy) the cargo hold of a knörr knee-deep in water, despite the bailing by the crew. It's likely that one crew member bailed full time, with others helping when necessary.

In chapter 17 of _Grettis saga_, there's a description of bailing during rough seas. The crew was forced to bail round the clock. Two buckets were used, with a full one carried up while the empty one was passed back down to be refilled. When Grettir took over filling the buckets, eight men were needed to empty the buckets in order to keep up with him.

| 

A sketch of an 11th century bailer is shown to the right. The bailer is made of wood and is about 50cm (20 in) long. There is also evidence of drain plugs in some hulls, to empty the water when the ship was pulled up on shore.  |  ![bailer][51] | 

 | 

Oak was used throughout the ship. Tall, straight trees were selected for masts and planks. The archaeological evidence shows that the quality of ship timbers declined throughout the Norse era. Later ships were made with planks that were shorter and less broad, because fewer high-quality oak trees were available. Some ships were built with wood salvaged from earlier ships, as evidenced by the Skuldelev 5 ship (which has been described as a "coffin ship" because of its poor construction and low level of seaworthiness). By the end of the Norse age, pine was extensively used.

| ----- |
|  ![radial splits in log][52] | 

Oak planks were created from logs by _riving_: making thinner and thinner radial splits in the logs using wedges. The process is shown schematically to the left, and portions of a riven log are shown to the right.

From a typical 1m diameter trunk (40 inches), perhaps 20 planks, each about 30cm broad (1 foot) could be created. Compared to modern sawed boards, the radially split planks were stronger, with a smaller likelihood of splitting, warping, or shrinking, since the grain followed the plank. 

The planking used in the Gokstad ship is only 2.5cm thick (1 inch), remarkably thin considering the rugged seas these ships must have encountered on the open ocean.

Riving was used to create other wooden objects in the Viking age, and this [article details the use of riving][53] to create an axe haft.  |  ![sections of a log split by riving][54] | 

Ole Crumlin-Pedersen has estimated that for a typical 20m (65 ft) longship, approximately 58 cubic meters (2000 cu ft) of oak was required. This is equivalent to eleven oak tree trunks, each 1m in diameter and 5m long, along with a single 18m long trunk for the keel. Oaks of this size and of sufficient quality would be difficult or impossible to find today. The keel of the Gokstad ship required a tall, straight oak about 25m (80ft) tall.

Pine logs were typically split only once, and the strakes were cut down from the resulting two halves of the log.

| ----- |
|  ![knee][55] | 

Trees were sought that grew naturally in the forms needed to make floors, frames, knees, ribs, and other odd shapes (left). Since the grain of the wood naturally followed the required shape (right), these pieces were much stronger than if they had been cut from straight wood. 

A significant portion of the total time to build a ship was spent in the forest, finding trees of the right size, shape, and species for creating the parts of the ship. Small models of ship parts have been found in Bergen and other ship-building centers which have been interpreted as models used to select trees in the forest having the right shapes. Large branches were cut separately before the trunk was felled to avoid the damage to correctly shaped branches that would occur if the tree fell with the branches in place.

Long straight trees for planks were found in dense, old growth forests. Curved shapes for the frame were found in trees that grew along the edges of the woods, or in open land with free standing trees.

In order to avoid having to transport large pieces of wood from the forest to the shipyard, much of the rough processing took place in the forest, on the site where the wood was cut. Logs were rough split, probably into eighths, for transport. Curved timbers were rough worked to remove at least a portion of the unneeded volume of wood. For many of these curved shapes, only 20% of the original wood in the cut pieces was used, so removing the as much of the unneeded wood as possible before transport resulted in a significant reduction in the effort required to transport the rough worked pieces to the shipyard. Curved timbers were stored underwater to keep the timber green and workable until the piece was fabricated. |  ![grain in wood][56] | 

| ----- |
|  ![][57] | 

Due to the lack of suitable forests, it's unclear whether Iceland had a ship-building tradition during the Viking age. When the first settlers arrived, much of the land was forested, with birch predominating. However, it would seem that the tall, straight trees needed for keels and masts would be in short supply.

_Landnmabk_ (S.20) says that vangr settled in Botn and built an ocean-going ship from the woods in the forest there. _Svarfdla saga_ (ch.12) says that a large oak was cut above Svarfaardalur in north Iceland and floated down the creek to where it was used for the keel of an ocean-going ship built at Tunga. There are no oaks in that area today (left).

 | 

| ----- |
| 

|  ![][58] | 

Ships were built using simple tools. Long shafted axes were used to fell the trees. Tree trunks were split into planks using wedges driven by hammers. Planks were trimmed using short shafted T-shaped broad axes, as illustrated on the Bayeux tapestry, shown left. Saws, although known, were not used. 

Planes were not needed to smooth the planks; ship builders could make the surfaces of the planks sufficiently smooth using only their axes. However, the overlapping edges of the strakes were smoothed with a plane in order to obtain a tight fit. 

Where the strakes overlapped, a groove was cut with a mold scraper. Tarred woolen yarn or animal hair was forced into the groove to make the joint between strakes as watertight as possible. The mold scraper was also used to carve decorative patterns on the planks. Holes were made using a spoon-shaped bore pressed against the wooden surface by the builder's breastbone. |  ![ship building sketch][59] | 

| -----                                                                                                                                                                                                                                                                                                                                                                                 |  
|  

Each strake was different, shaped to fit into the curved three-dimensional space required to form the shape of the hull. A strake and the pine plank from which it was cut is shown schematically to the right for one of the strakes of a Skuldelev ship. The plank had to be much wider than the finished strake, due to the curved shape of the strake, resulting in a lot of waste. | ![strake shape][60] |  

| ----- |
| 

The keel, stem, and sternpost were by far the most critical components of the ship. Errors in the design or construction of these components resulted in a ship with poor sailing characteristics.

It's not known what, if any, measurement instruments were used. It's certain that ship-builders had a very clear mental picture of the completed ship during the construction process. In this illustration from the Bayeux tapestry, William gives instructions for the construction of his invasion fleet to his ship-builder, who holds a T-shaped broad axe in his hand.

 |  ![shipbuilder][61] | 

| ----- |
|  ![stem and strakes][62] | 

Chapter 88 of _lfs saga Trygvassonar_ tells of the construction of the _Ormr inn langi_, the _Long Serpent_. orbergr skaffhgg made the stem and stern, but was obliged to leave before the ship was completed. When he returned, he apparently was not pleased with what he saw. Secretly at night, he cut crossing diagonal incisions into the upper strakes on one side, ruining the ship. The next morning, King lfr, in a rage, vowed death to the man who had done the damage. orbergr freely admitted to it, and the king ordered him to repair the ship so that it was just as fine as before. orbergr didn't replace the damaged strakes, but rather, took yet more material off with his adze, until the damage disappeared. Everyone agreed the ship now looked better than before, and King lfr asked him to do the same to the other side of the ship. The _Ormr inn langi_ was considered to be the best ship ever built in Norway. 

There is little doubt that ship builders used plumb-lines together with staves and strings to lay out the ship. It's been suggested that a measuring stick called a boat ell was used to measure the angles between the runs of the strakes, and that master ship builders recorded the details of their designs with marks cut into this stick. Ship designs are based on segments of circles with different diameters based on the length of the keel. (The photo to the left shows the stem of the _slendingur_.)  | 

In one case mentioned in the stories, a ship was built from a model. In chapter 5 of _Krka-Refs saga_, Refur built a ship based on a toy model given to him as a child. Ref's ship was considered to be a fine, sea-worthy ship. 

It's unclear how many man-hours were required to build a ship. King Óláfr Tryggvasson's _Long Serpent_ was built in one winter by a team led by a master ship builder. The team members included four different kinds of specialists: tree fellers; laborers; plank-cutters; and stem-smiths. In contrast, the modern knörr replica _Roar Ege_ took several dozen people two years to build, in part because Norse era construction techniques had to be re-invented.

It's not clear how the wood was treated to prevent rot and attacks by other organisms. Evidence suggests that ships were painted, often elaborately. Pine resin may have been used to help protect the hull. However, the sagas suggest that ships could be attacked by marine borers. 

In chapter 13 of _Eirks saga raua_, Bjarni's ship became infested with sea worms while returning to Greenland from Vnland, so that the ship was no longer seaworthy. The ship's boat was in good condition, because it had been smeared with tar made of seal blubber (_seltjara_), which prevented the worms from infesting the wood. The crew drew lots, and those that could fit made their way back to Greenland in the boat. The rest of the crew perished. 

Saga evidence suggests that ships were routinely pulled up on shore and placed in covered shelters when not in use to protect them from damage. Chapter 19 of _Grettis saga_ tells of Viking raiders who arrived on the island in Norway where Grettir was staying as a guest of orfinnr. When they landed, the Vikings dragged orfinn's warship (_karfi_) our of the boatshed where it was stored, and put their own boat in its place.

For ships built in the later part of the Viking age, when inferior species had to substitute for oak, this kind of protection was not optional. Some of these ships had to have been kept out of water and under cover at all times, unless actually in use, to prevent rot in species such as ash that were used in place of oak.

| ----- |
|  ![stern of Oseberg ship][63] | 

As with other Norse objects, ships were highly decorated. The intricate carving on the stern of the Oseberg ship is shown to the left, and a weathervane from a Norse ship is shown to the right (above). 

Dragon heads may have decorated the prows (and occasionally, the sterns) of ships. The dragon head decoration of the _slendingur_ is shown to the right (below). Early Icelandic laws (as stated in _Landnmabk_ H.268) prohibited ships with dragon head prows from entering harbor, lest the frightening appearance of the ship threaten the tranquility of the _landvttir_ (land spirits). |  ![weathervane and prow][64] | 

| ----- |
| 

A ship's sail was a very precious item. It's quite possible that the sail cost as much to make as the hull. Typically, the sail was made from the finest grade of homespun wool, woven on the same vertical loom (right) in the home that was used for clothing. It has been suggested that it took several women several years to make the fabric needed for a single sail.

On the other hand, chapter 68 of _Egils saga_ says that while [Egill][65] stayed with Arinbjrn one winter in Norway, he had an elaborate sail made for Arinbjrn as a gift.

The sail for the Skuldelev 1 knrr was probably on the order of 90 sq m (950 sq ft). When completed, the sail was coated with animal fats and oils to protect it from the elements. Literary sources say that sails were often striped. 

Sails were square and had a low aspect ratio. The sail for the Skuldelev 1 knrr had a height of approximately 5.5m (18ft) and a length of approximately 16.5m (55ft), resulting in an aspect ratio of 0.33. |  ![loom][66] | 

| ----- |
|  ![keelson or mastfish][67] | 

The mast was stepped into a socket in the keelson, a longitudinal timber on top of the keel. The keelson rested on the keel, but was not fastened to the keel. Instead, it connected to multiple ribs on both sides.

The keelson transferred all of the forces of propulsion generated by the sail to the hull of the ship, and so it was a very substantial piece of oak.

In order to avoid having to lift the full weight of the mast to get the boot of the mast in and out of the keelson socket when stepping or unstepping the mast, the socket was rounded in the forward direction. As a result the boot of the mast slipped in and out without having to lift the entire mast up over a lip.

The mast partner (sometimes called a mastfish because its shape is reminiscent of that of a fish) is the portion of the mast support that is visible in the photo to the left. Some ships did not use a mast partner. However, when used, the mast partner spread out the forces transmitted from the sail to the hull, greatly relieving the stress on the socket in the keelson.

  | 

| ----- |
| 

A cross section of the mast support for the Gokstad ship is shown to the right (forward to the left, and aft to the right). The keelson rested on the keel, attached to four ribs. The mastfish rested on four crossbraces, and on a raised portion of the keelson. A wedge in the mastfish helped hold the mast in place, but could be removed when the mast was to be unstepped.

The Gokstad mast did not survive intact, but is estimated to have been 12m (40ft) high. The mastfish was the most substantial piece of wood on the ship. The Gokstad mastfish was a single piece of oak 5m (16ft) long, 1m (40in) wide, and 50cm (20in) thick.

Upright stanchions (described in more detail later) held the sail and yard when not in use. On the Gokstad ship, one of the uprights was mounted on the mastfish. No such uprights were used on the _slendingur_, seen in the photograph above. |  ![Gokstad mast support][68] | 

| ----- |
|  ![shrouds][69] | 

The details of the ship's rigging are obscure. Evidence indicates that a forestay was used, as well as shrouds from the mast to the sides of the ship aft. There is no evidence for a backstay, and probably none was needed because of the strong seating of the mast.

In some cases, the cleats for the shrouds were outboard, with the shroud attached to a willow ring fastened to the cleat to prevent rubbing. |  ![forestay][70] | 

| ----- |
| 

Some sources claim that ropes were made of hemp, or from walrus or seal skin. These skin ropes were highly prized, and were an important trade item. They were probably made by cutting the hide in a spiral around the body of the creature.

However, Crumlin-Pedersen claims that there is little evidence of hemp or animal skin ropes being used for nautical applications and suggests that bast fiber from oak, elm, or other trees was used for ropes. Bast is fiber obtained from the inner bark of the tree, which after _retting_ (which removes the desired soft fibers from the undesired woody fibers), is twisted into strands and then into rope.

One piece of evidence for animal skin ropes from after the Viking age comes from chapter 161 of _slendinga saga_, which describes a journey from Norway to Iceland in the 13th century. The ship was wrecked, and four men survived thirteen days by eating the walrus-hide tackle with butter, the only part of the cargo that was salvaged.

Chapter 18 of _Krka-Refs saga_ says that Refur was welcome when he arrived in Denmark because he brought with him walrus-hide ropes from Greenland, which were hard to obtain in Denmark.

 |  ![rigging][71] | 

| ----- |
|  ![ship detail][72] | 

The carvings of ships under sail made during the Viking age (left) show an interlace at the foot of the sail. It has been suggested that this was used to fine tune the curve of the sail to get the best speed possible as close to the wind as possible.

Another explanation is that the interlace was used to reef the sail in high winds. Pulling on the bottom of the interlace caused the sail to pucker, reducing its effectiveness. 

The carvings also show a cross-hatch pattern on the sail whose purpose is unknown. It has long been thought simply to be artistic license. Recently, it's been suggested that the cross-hatch was actually walrus-hide (or other leather) reinforcements. The homespun wool used for sails was probably not strong enough to hold its shape. As a result, the wind would blow the sail out of shape in time. Walrus-hide reinforcements created a more stable sail that set well. As far as I can tell, this idea is pure speculation, without any evidence to back it up. | 

The stories talk about a _beiti-ss_ (cruising pole), a spar used to hold one corner of the sail further forward, allowing the ship to sail closer to the wind. Nothing has been found in any of the Viking ship wrecks that can be identified as a beiti-ss, but some ships have notched timbers that are thought to have held one end of the beiti-ss when it was set. Chapter 46 of _Ynglinga saga_ says that King Eysteinn sat at the rudder of his ship when another ship sailed close by. There were some swells, and the beiti-ss of the other ship knocked the king overboard, and that was his death.

The ability to sail upwind was prized. While in Norway, King Haraldr gave Ingimundr a ship called _Stgandi_ (stepping), as told in chapter 16 of _Vatnsdla saga_. Though small, the king said that in sailing, the ship "bit" better (i.e., sailed upwind better) than any other ship and thus was fastest in a voyage. Ingimundr soon discovered what a fast ship _Stgandi_ was as she stepped through the waves.

| ----- |
| 

When the sail was furled, the sail and yard were stored on uprights located fore and aft. The photo right shows the yard and sail on the _Viking Saga_, a passenger carrying replica of a Skuldelev knörr at L'Anse aux Meadows in Newfoundland. If the mast needed to be unstepped, it, too, could be stored cradled in the uprights. It's possible that oars were stored here, as well.

 |  ![mast and yard][73] | 

| ----- |
|  ![anchor][74] | 

Anchors were usually made from stone lashed into a wooden frame (left). The anchor shown to the right (from Denmark) is made entirely of iron and is about 1.5m (5ft) in the long dimension. Some of the more elaborate anchors that have been found use an iron bound wooden shank and have iron rings to accommodate the cable.

The value of the anchor can be seen in an incident related in chapter 28 of _Ljsvetninga saga_. After waiting a long time for favorable weather, a cold wind from the northwest finally sprung up, so orvarur had the anchor raised on his ship. But as his crew pulled, the cable broke. orvarur asked for a volunteer to make a repair. Only Hallur stepped forward. Taking off his shirt, he dove into the cold water with the cable in his hand. He reattached it to the anchor so it could be raised. The anchor was too valuable to the ship for the skipper to allow it to be left behind.

 |  ![iron anchor][75] | 

| -----                                                                                                                                                                                  |  
|  

The tiller and a side rudder were located on the starboard side. The rudder was held away from the side of the ship by a wooden "boss" (sometimes called a _wart_, for obvious reasons). | ![tiller and rudder][76] |  

| ----- |
|  ![tiller and rudder][77] | 

The photos show the rudder and tiller (left) of the _slendingur_. In the photo to the right, the securing line was loosened and the rudder was pulled away from the hull, revealing the boss and the knotted line that passes inboard to secure the rudder to the ship using knots and wedges. Near the gunwale, the neck of the rudder is held in place against the hull by a leather strap or other means, visible in the photo on the left. The modern ship replicas use a "cradle" to help support the neck of the rudder.

Thus, the rudder is maintained at the proper depth in the water, typically 50cm (about 19in) deeper than the keel. It is secured to the hull in two places that are capable of resisting the forces generated by the rudder. 

Yet, the flexibility of the rope, and the smooth curves of the boss and cradle allow the rudder to be rotated over a wide range of angles, controlled by the tiller. |  ![ship rudder boss][78] | 

| ----- |
|  ![Viking ship steerboard][79] | 

The photo (left) shows the rudder of the Viking ship _ Sae Hrafn_ while under oar power and moving with a speed of about 2 knots relative to the water. The side rudder is not very effective for large course changes, but it is easily handled because of its balance. 

I have read in several sources that the side rudder makes the ship slow to respond. I consider myself a novice sailor, but my brief time at the helm of the Viking ship _Vsteinn_ suggests those published sources are incorrect. My sense was that the ship answered the helm with alacrity.

The tiller and rudder of the _Vsteinn_ are shown to the right. I was surprised by the strength required to work the rudder. That shouldn't have surprised me, given the limited mechanical advantage offered by the rudder. |  ![viking ship tiller][80] | 

Some rudders have multiple tiller holes which suggest that it was used in a "half-up" position to control the course of the ship even at the last minute before beaching, which was the normal method of loading, unloading, or stopping for the night. The strap or line that secured the neck of the rudder to the hull was loosened and released, allowing the rudder to rotate around the securing line and boss. The neck moved forward, decreasing the depth of the rudder in the water.

| ----- |
|  ![Viking Saga][81]  | 

The skipper of the _Viking Saga_ told me that the ship can easily capsize when the wind is from abeam. That explains how, on one hand, Viking-era ships can be described as performing well in adverse conditions, and how, on the other hand, the sagas describe ships being blown far off their intended course under adverse wind conditions. In stiff winds, a Viking ship would have to be steered in a direction to keep the wind off the beam.

The skipper also commented that the Viking ship sails very differently from a modern sailing vessels of similar size. He said some practice was needed to become familiar with the ship's idiosyncrasies, but once mastered, "the ship sails herself".

 | 

Estimates of the capabilities of Norse-era ships vary from one article to the next, and even amongst organizations operating modern replicas. Estimates of top speeds under ideal conditions are in the 20-25 knot range. It's unlikely, though, that speeds greater than 15 knots were common. A modern replica similar to one of the knörr found at Skuldelev is capable of 12.5 knots under sail using a conservative seagoing rig. At that speed, England was only a day and a night away from Denmark. However, "effective" speeds were certainly less, perhaps more like 3-6 knots. Because of the minimal freeboard, the maximum heel of these ships was on the order of 15 degrees. So for the Gokstad ship in a 16 knot (8.6m/s) wind at her most efficient, the ship had to traverse 3 miles in order to sail 1 mile to windward, implying a speed made good to windward of only 2 knots. 

It's still unclear how Norse ships can be so efficient under sail. One theory is that a "sausage" of air is trapped between the keel and the upper strakes, which reduces resistance to forward motion, and increases stability by decreasing the tendency of the ship to lean.

| ----- |
| 

It's unlikely that the Norse used any navigational instruments. The sun-compass and the sun-stone sometimes mentioned are most likely modern fabrications. 

The _slarsteinn_ (sun stone) is not mentioned in the _Sagas of Icelanders_, although the term appears in the contemporary sagas, which take place well after the end of the Viking age. There are no descriptions of its use for navigation in the stories. Even if the sun-stone were a polarizing stone, as some believe, the device would have only limited navigational use in northern latitudes.

The wooden fragment found at the site of a Norse Benedictine monastery in Greenland has been interpreted as a sun-compass, but that interpretation seems fanciful (right). The artifact is too small to make a useful navigational tool.

Some believe that portable sundials existed in the period, corrected by month, that allowed a navigator to determine time of day or latitude based on differences in the length of a shadow. Others doubt the existence of even this simple navigational tool.  |  ![][82] | 

| ----- |
|  ![astronomy text][83] | 

Regardless, there is evidence that skilled astronomical observations were made during the Norse era, necessary for keeping the calendar synchronized with the motions of the stars. _Ljsvetninga saga_ (ch.14) says that Einarr often went out at night to study with care the objects in the night sky. 

Several of the earliest surviving Icelandic textbooks (although dating from after the Norse era) cover astronomy (left). By the beginning of the 12th century, Stjrnu-Oddi Helgason (Star-Oddi) had created _Oddatala_, detailed charts of the sun's altitude at noon and its bearing at sunrise and sunset for every day of the year in Iceland. 

In addition, Norse navigators understood the relationship between latitude and the sun's height at noon. Chapter 2 of _Grnlendinga saga_ describes the motion of the sun in winter as observed in Vnland in an apparent attempt to fix the latitude of the site. Despite many attempts by modern enthusiasts to interpret the observations, little definitive can be said other than that the locations was considerably south of Iceland. | 

Typical Norse voyages were along the coast, at a safe distance offshore. Dead reckoning between known points was used to determine distance run. Sailing at night was avoided. Ships were beached at the end of the day, avoiding navigational hazards difficult to see at night, and allowing a cooking fire to be safely kindled.

| ----- |
| 

There is evidence that tents were carried on board ship. The tent shown to the right is a reproduction of the smaller of the two tents found in the Oseberg ship burial, a very rich burial site. It's unlikely that such tents were common, although tenting material, or even the sail, was put to use to create shelter on board ship when beached.

(Information and plans for this Oseberg tent reproduction are available at the [ Hurstwic library][84].) |  ![Oseberg tent reproduction][85] | 

Voyages were started only under the most favorable weather conditions. The are examples in the stories where ship captains waited weeks or months for just the right conditions before setting sail. It seems likely that the captains were waiting for good visibility, rather than favorable winds or calm seas. Good visibility was essential for navigation.

When the Norse needed to cross open ocean, they sailed along lines of constant latitude until they reached their destination. There is no evidence that charts were used, but texts indicate that navigators of the period had a clear mental picture of the layout of their world. For example, Iceland is "opposite" a specific point on the Norwegian coast. If one sailed west from this traditional departure point, and one maintained a constant latitude, one expected to see certain marine creatures and certain cloud formations and certain landmarks at certain times, and ultimately, to reach Iceland a certain time later.

| ----- |
|  ![Norse route to Greenland][86] | 

An example is shown on the chart to the left. The sailing directions for Greenland are listed in the _Landnámabók_, an account of the discovery and settlement of Iceland written in the 12th century. To get to Greenland, Norse navigators followed the Norwegian coast to Hernar (where the fjord on which Bergen lies opens to the sea). From there, they sailed due west, maintaining a constant latitude, shown by the yellow arrow. They passed north of the Shetlands, which were barely visible, and south of the Faeroes, such that the sea reached half way up the mountains. They passed so far south of Iceland that sailors were aware of its presence only by the birds and whales from it. Then, there was nothing but open ocean until reaching Greenland. No wonder that so few ships attempted the journey, and that fewer still arrived safely. 

The voyage is 1600km (850 nautical miles), yet the description shows that even in open ocean, navigation marks existed that could be used by Viking sailors. Whale feeding grounds, concentrations of nautical birds, and swells could all be used to help confirm that the ship was on course. | 

Even voyages that might seem like they'd be out of sight of land needn't be under good conditions. In sailing from Iceland to Greenland, departing ships used the highest mountain on Iceland's west coast, Snfell (1446m, about 4700ft), as a landmark. On approaching Greenland, they looked for the highest mountain on Greenland's east coast, which is called _Blserkr_ (black shirt) in some versions of the sagas, and _Hvtserkr_ (white shirt) in others (3360m, about 11,000ft). The voyage was about 560km (300 nautical miles), yet under conditions of good visibility, sailors were out of sight of one mountain or the other for less than a day. Once the destination mountain was spotted on the horizon, course corrections could easily be made.

| ----- |
| 

In order to maintain a constant latitude, some believe that Norse navigators employed a device that measured the sun's shadow at noon. This instrument used a wooden disc floating in a pail of water. (A modern reproduction is shown to the right.)

In the center of the disc is a vertical peg. At noon, the length of the peg's shadow was marked on the disc. On each subsequent day of the voyage, the navigator made certain that the sun's shadow fell on the mark at noon, ensuring that the ship maintained a constant latitude.

Because of the slow apparent vertical motion of the sun in high latitudes, it appears that this device could be effective and accurate. Large errors in the estimate of local noon, or of the date, would still allow a navigator to estimate his north-south position to within 30 nautical miles.

However, to my knowledge, there is no solid evidence that such devices were used by Norse navigators. |  ![][87] | 

While it appears that Norse sailors must have known the arts of dead reckoning, of using a line to measure depth, and of determining position from sun and stars, clearly one of the main qualifications of a Norse navigator was that he had been to the destination before.

* * *

| ----- |
|  ![film][88] | 

This low resolution video clip (1.5MB [Windows Media file][89] or 500KB [AVI file][90]) shows the _slendingur_ under sail across a calm sea. The _slendingur_ is an replica of a Viking-era warship and is now on display at a new museum, [Vkingaheimar][20] at Reykjanesbr in Iceland. | 

* * *

| ----- |
|  [ ![][91]][92] | 

[Back][92]

 | 

1999-2018 William R. Short  
[Contact us at Hurstwic, LLC][93]

 | 

[1]: http://www.hurstwic.org/logos/hlogo_neg.gif
[2]: http://www.hurstwic.org/pix/becker_viking_ship.jpg
[3]: http://www.robertbecker.com
[4]: http://www.hurstwic.org/pix/ship_picture_stone.jpg
[5]: http://www.hurstwic.org/pix/ship_grave.jpg
[6]: http://www.hurstwic.org/pix/ship_brooch.jpg
[7]: http://www.hurstwic.org/pix/ship_views.jpg
[8]: http://www.hurstwic.org/ship_types.htm
[9]: http://www.hurstwic.org/pix/ship_comparison.jpg
[10]: http://www.hurstwic.org/pix/war_ship_sketch.jpg
[11]: http://www.hurstwic.org/pix/islendingur_shields2.jpg
[12]: http://www.hurstwic.org/pix/islendingur_under_sail2.jpg
[13]: http://www.hurstwic.org/pix/viking_ship_coin.gif
[14]: http://www.hurstwic.org/pix/ship_shields_on_stone.jpg
[15]: http://www.hurstwic.org/pix/vesteinn_shield_rack.jpg
[16]: http://www.hurstwic.org/pix/viking_ship_at_mooring.jpg
[17]: http://www.hurstwic.org/pix/ship_oars_inboard.jpg
[18]: http://www.hurstwic.org/pix/ship_oars_outboard.jpg
[19]: http://www.hurstwic.org/pix/vikingaheimar.jpg
[20]: http://vikingaheimar.is/
[21]: http://www.hurstwic.org/pix/oar_covers.jpg
[22]: http://www.hurstwic.org/pix/rowing_the_ship.gif
[23]: http://www.hurstwic.org/pix/ship_decking.jpg
[24]: http://www.hurstwic.org/pix/sae_hrafn_rowers.jpg
[25]: http://longshipco.org/
[26]: http://www.hurstwic.org/pix/sae_hrafn_rowing.jpg
[27]: http://www.hurstwic.org/pix/ship_rowing.jpg
[28]: http://www.hurstwic.org/training/index.htm
[29]: https://www.youtube.com/watch?v=qhEX5oA6mWE
[30]: http://www.hurstwic.org/daily_living/text/games_and_sports.htm#togahonk
[31]: http://www.hurstwic.org/pix/tug_of_war.jpg
[32]: http://www.hurstwic.org/pix/long_serpent_svolder.jpg
[33]: http://www.vikingkings.com/
[34]: http://www.hurstwic.org/pix/norse_sea_battle_sketch.jpg
[35]: http://www.hurstwic.org/viking_misc_weapons.htm#catapult
[36]: http://www.hurstwic.org/pix/shelving_beach.jpg
[37]: http://www.hurstwic.org/pix/disembark.jpg
[38]: http://www.hurstwic.org/pix/Cargo_ship_sketch.jpg
[39]: http://www.hurstwic.org/library/heroes/text/gisli.htm
[40]: http://www.hurstwic.org/pix/haukadalsos.jpg
[41]: http://www.hurstwic.org/pix/haukadalsos_lowtide.jpg
[42]: http://www.hurstwic.org/pix/portage.gif
[43]: http://www.hurstwic.org/pix/rivets_and_washers.jpg
[44]: http://www.hurstwic.org/pix/clinker_construction.gif
[45]: http://www.hurstwic.org/pix/nail.jpg
[46]: http://www.hurstwic.org/pix/rivets.jpg
[47]: http://www.hurstwic.org/pix/rivets_harold_fairhair.jpg
[48]: http://www.hurstwic.org/pix/gokstad_structure.gif
[49]: http://www.hurstwic.org/pix/gokstad_planks.gif
[50]: http://www.hurstwic.org/pix/knorr_under_sail.jpg
[51]: http://www.hurstwic.org/pix/bailer.jpg
[52]: http://www.hurstwic.org/pix/radial_splits.gif
[53]: http://www.hurstwic.org/viking_woodworking_riving.htm
[54]: http://www.hurstwic.org/pix/riving_sections_of_log.jpg
[55]: http://www.hurstwic.org/pix/knee.jpg
[56]: http://www.hurstwic.org/pix/grain_in_wood.jpg
[57]: http://www.hurstwic.org/pix/svarfadardalur_tunga.jpg
[58]: http://www.hurstwic.org/pix/bayeux_t_axe.jpg
[59]: http://www.hurstwic.org/pix/ship_building.jpg
[60]: http://www.hurstwic.org/pix/strake_shape.gif
[61]: http://www.hurstwic.org/pix/william_and_shipbuilder.jpg
[62]: http://www.hurstwic.org/pix/stem.jpg
[63]: http://www.hurstwic.org/pix/oseberg_stern.jpg
[64]: http://www.hurstwic.org/pix/weathervane.jpg
[65]: http://www.hurstwic.org/library/heroes/text/egill.htm
[66]: http://www.hurstwic.org/pix/loom.jpg
[67]: http://www.hurstwic.org/pix/ship_mastfish.jpg
[68]: http://www.hurstwic.org/pix/gokstad_mast_support.gif
[69]: http://www.hurstwic.org/pix/ship_shrouds.jpg
[70]: http://www.hurstwic.org/pix/ship_forestay.jpg
[71]: http://www.hurstwic.org/pix/rigging.jpg
[72]: http://www.hurstwic.org/pix/ship_detail.gif
[73]: http://www.hurstwic.org/pix/mast_and_yard.jpg
[74]: http://www.hurstwic.org/pix/anchor_stone.jpg
[75]: http://www.hurstwic.org/pix/anchor.jpg
[76]: http://www.hurstwic.org/pix/steerboard.jpg
[77]: http://www.hurstwic.org/pix/rudder.jpg
[78]: http://www.hurstwic.org/pix/ship_rudder_nipple.jpg
[79]: http://www.hurstwic.org/pix/steerboard_in_water.jpg
[80]: http://www.hurstwic.org/pix/vesteinn_tiller.jpg
[81]: http://www.hurstwic.org/pix/viking_saga.jpg
[82]: http://www.hurstwic.org/pix/sun_compass.jpg
[83]: http://www.hurstwic.org/pix/star_chart.jpg
[84]: http://www.hurstwic.com/library/how_to/viking_tent.pdf
[85]: http://www.hurstwic.org/pix/oseberg_tent.jpg
[86]: http://www.hurstwic.org/pix/norse_voyage_to_Greenland.gif
[87]: http://www.hurstwic.org/pix/navigation_shadow_disk.jpg
[88]: http://www.hurstwic.org/logos/film_icon.gif
[89]: http://www.hurstwic.org/video/ship.wmv
[90]: http://www.hurstwic.org/video/ship.avi
[91]: http://www.hurstwic.org/logos/logo_mini.gif
[92]: http://www.hurstwic.org/text/history.htm#Manufacturing
[93]: http://www.hurstwic.com/text/contact_us.htm

