---
created_at: '2016-04-23T12:43:54.000Z'
title: Doom as a tool for system administration (1999)
url: https://www.cs.unm.edu/~dlchao/flake/doom/
author: CarolineW
points: 165
story_text: 
comment_text: 
num_comments: 39
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1461415434
_tags:
- story
- author_CarolineW
- story_11555310
objectID: '11555310'

---
[Source](https://www.cs.unm.edu/~dlchao/flake/doom/ "Permalink to Doom")

# Doom

![mediocre lab][1]   

## Doom as a tool for system administration

As I was listening to [Anil][2] talk about daemons spawning processes and sysadmins killing them, I thought, "What a great user interface!" Imagine running around with a shotgun blowing away your daemons and processes, never needing to type `kill -9` again.

![][3]  
Sneaking up on my processes. 

In 1981, [Vernor Vinge][4] introduced the concept of [cyberspace][5] to the reading public in his novella _True Names_,  in which characters could plug into a virtual universe where their actions in a fantasy world mapped to performing sophisticated actions on the network. For example, walking along a tricky path through a swamp would be the same as going through a firewall.

The mapping of abstract operations to an intuitive environment is a difficult problem. There are two distinct obstacles: the environment must be intuitive and the mapping must be accurate. If the environment is not intuitive, it can alienate users. In a good environment, the user would instinctively do the right thing. The quality of the environment is for naught if the mapping is not accurate. For instance, if certain natural actions lead to detrimental results or if desired results can only achieved by performing contrived acts, the mapping to the underlying processes must be learned.

The difficulty of the mapping is evidenced by the paucity of good user interfaces that use physical metaphors. The only widespread example is the "desktop" interface, where files are held in "folders" which may be "opened" or "thrown away". This is a fairly good mapping, but there are certainly problems. For example, the user must understand what "links" are to figure out why some folders are not always accessible. The user must also realize that one can close a folder and still see the contents of its sub-folders.

I am proposing a new mapping for managing system loads. As mentioned above, people frequently talk about "blowing processes away", and the Unix command to destroy a process is "kill". This suggests a metaphor for process management. Each process can be a monster, and the machines can be represented by a series of rooms.

[Id Software][6] has generously released the source for [Doom][7], which has been ported to [Linux][8]. I downloaded one of the [many versions][9] and added a few lines of code that would spawn a new soldier for each process, renice the process when it is wounded, and kill the process when it dies.

![][10]  
Help! I'm being attacked by csh (pid 18729)! 

Some of the potential benefits of using Doom as a tool for system administration: 

* The machine load is immediately apparent to the player, who can see how crowded a room is. The player can eyeball many machines from a high vantage point and go down to a room that needs maintenance. 
* There is a nice continuum for resource allocation. A user may choose to simply wound processes rather than killing them, which could naturally be translated to renicing them. 
* A new sysadmin can be given less power by providing her with a smaller weapon. A rank beginner may not be given a weapon at all and be forced to attack processes with her bare hands. It would take a foolhardy player to attack a room full of monsters, just as a newbie should not kill a bunch of important processes. A more experienced sysadmin would have time to stop a newbie who is trying to kill the wrong process. The real work could be left to those with the big guns. The truly great sysadmins could have BFGs. 
* Really crowded systems would regulate their own load because monsters occasionally kill each other. Once the population in a room goes down, the monsters will stop attacking each other. 
* Drastic action takes work. In a command line interface, all actions take approximately the same amount of effort. One can `ls` just as easily as `rm -rf *`, which is kind of unfortunate. In a cyberspace environment, the players are not omnipotent, so performing large actions takes time and effort. 
* Important processes can be instantiated as more powerful monsters. They can then defend themselves against inexperienced sysadmins. 
* Sysadmins could cooperate or compete. Doom is a natural environment for player-to-player interactions. A team of players can cooperate to take care of a heavily-loaded system, or they can even take out rogue sysadmins who are killing the wrong processes. 

A few of the problems of using Doom as a tool for system administration: 

* Certain processes are vital to the computer's operation and should not be killed. For example, after I took the screenshot of myself being attacked by `csh`, `csh` was shot by friendly fire from behind, possibly by `tcsh` or `xv`, and my session was abruptly terminated. 
* Mapping processes to appropriate monsters is difficult. Should large processes be mapped to large monsters? Should the monster type reflect the CPU as well as memory usage? Should processes and their children look alike? 
* It is difficult to tell if your employees are doing real work or just goofing off when tools and games have the same GUI. 

I'd like to thank the [Adaptive Computation Group][11] at [UNM][12] for providing a supportive environment in which one can claim one is doing research while playing Doom for two days. This work was funded by the [National Science Foundation][13] through a BIO Research Training Group in [Ecological Complexity][14] (NSF [9553623][15]). 

[Mail][16] me your insightful comments. I would especially be interested in hearing about implementation changes that you have tried and responses to my CHI 2001 [paper][17] or [talk][18] on PSDoom. 

_Dennis Chao  
[dlchao@cs.unm.edu][16]  
October 17, 1999_

[Click here to get the code, read the paper presented at the CHI 2001 Conference, follow links...][19]

  
[_back][20]_   
![][21]![][22]  

[1]: ../mediolink.png
[2]: http://www.cs.unm.edu/~soma
[3]: start.gif
[4]: http://www-rohan.sdsu.edu/faculty/vinge/
[5]: http://www.tuxedo.org/~esr/jargon/html/entry/cyberspace.html
[6]: http://www.idsoftware.com
[7]: http://www.idsoftware.com/killer/doomult.html
[8]: http://www.linux.org
[9]: http://www.doomworld.com/ports/linux_unix.shtml
[10]: attack.gif
[11]: http://www.cs.unm.edu/~immsec/adaptive-web/ac_main.htm
[12]: http://www.cs.unm.edu
[13]: http://www.nsf.gov
[14]: http://sevilleta.unm.edu/~ehdecker/complexity/99fall/
[15]: http://www.nsf.gov/cgi-bin/showaward?award=9553623
[16]: mailto:dlchao%40cs.unm.edu
[17]: chi/chi.html
[18]: chi/slides/html/index.html
[19]: https://www.cs.unm.edu/after.html
[20]: https://www.cs.unm.edu/begin.html
[21]: wc-03.gif
[22]: http://counter.digits.com/wc/psdoom

