---
created_at: '2016-08-20T07:01:22.000Z'
title: If English were written like Chinese (1999)
url: http://www.zompist.com/yingzi/yingzi.htm
author: rogerbraun
points: 228
story_text: 
comment_text: 
num_comments: 94
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1471676482
_tags:
- story
- author_rogerbraun
- story_12325540
objectID: '12325540'

---
[Source](http://www.zompist.com/yingzi/yingzi.htm "Permalink to Yingzi")

# Yingzi

![][1]

## If English was written like Chinese

* * *

_Also see the [Belorussian translation][2] provided by [Fatcow][3]._

* * *

The English spelling system is such a pain, we'd might as well switch to _hanzi_\-- Chinese characters. How should we go about it? 

### Japanese style

One way would be to use hanzi directly, asthe Japanese do. For instance, we'd write "work" as ![][4], and "ruler" as ![][5]. Chinese and Japanese borrowings could be written using the original hanzi, e.g. "gung-ho" would be ![][4]![][6], and "tycoon" as ![][7]![][5]. 

You can already see that this is going to be tricky. We've just given ![][4] two readings, for instance-- /wrk/ and /gûng/-- and ![][5] two as well-- /rulr/ and /kun/. 

Proper names will be a problem as well. Again, Chinese, Japanese, and Korean names already have hanzi forms-- e.g. ![][8] for the name of the bodaciously cute singer [Faye Wong][9]\-- but for English names we'd have no better recourse than to spell things out using the nearest Chinese syllables. For instance, Winston Churchill would be represented by hanzi that would be transliterated _Wensuteng Chuerqilu._

### Chinese style

Maybe there's a better approach. Instead of using hanzi directly, let's invent a new system-- we'll call it _yingzi_, "English characters"-- that would work for English exactly as hanzi works for Chinese. 

The basic principle will be, **one yingzi for a syllable with a particular meaning.** So _two_, _to_, and _too_ will each have their own yingzi. (If we were creating a syllabary, by contrast, we'd write all three with the same symbol, the one for /tu/.) 

Does that mean we need a completely separate symbol for each of the thousands of possible English syllables? Not at all. We can simplify the task enormously with one more principle: **syllables that rhyme can have yingzi that are variations on a theme**. 

### Little pictures

You've been reading for half a page and are probably wondering why I haven't yet talked about pictograms. When do we get to draw little pictures? 

Well, now's the time. Let's draw pictures. For instance: 

| ----- |
|  ![][10]  
_horse_ ![][11]  
_mount_ ![][12]  
_king_ ![][13]  
_man_ ![][14]  
_child_ ![][15]  
_bug_ ![][16]  
_sun_ ![][17]  
_moon_ ![][18]  
_tree_

When the pictures are abstract we can call them "ideograms", but they still represent particular English morphemes: 

| ----- |
|  ![][19]  
_one_ ![][20]  
_un-_ ![][21]  
_per_

Some of our pictures will be kind of clever. For instance, ![][22] _woods_ repeats the yingzi for _tree_, while ![][23] _east_ is a little picture of the sun rising through the trees. ![][24] _guilt_ is a picture of a man inside an enclosure. 

Let's not go crazy, however. We only need a thousand or so, and we'll restrict ourselves to fairly simple, one-syllable words. We'll derive the vast majority of our yingzi from this basic stock of pictures. 

### Phonetic classes

Basically each simple yingzi will be the basis for an open-ended set of yingzi, used for a set of **rhyming syllables**. For instance, the _king _character ![][12] will generate the family _king_, _thing, sing, sling, sting, shing(le)._

It would be awfully confusing to use ![][12] for all of these. Instead we'll use it only for _king_, which will be the **phonetic** for this set, and add little signs called **radicals** to distinguish the rest. Examples: 
* _sing_ will be ![][25], formed by adding the _mouth_ radical 
* _sting_ will be ![][26], formed by adding the _bug_ radical (since insects sting) 
* _shing_ (the first syllable in _shingle_) will be ![][27], formed using the _roof _radical 
* _sling_ ![][28] will be formed using the _spear_ radical.  When we add a radical, we scrunch up the yingzi so the whole thing still fits into a square. All characters, however complex, fit into the same size box. 

"Rhyming" isn't quite accurate. We don't want each family of words to get _too_ large; so we'll restrict a single family to either voiced or unvoiced initial consonants. 

So, _bring, ring, Bing, wing, zing_ will form a separate family of yingzi, based on the character ![][29] _wing._

### Overlaps and secondary derivations

The yingzi formed from a single phonetic will all rhyme; but not all syllables that rhyme will necessarily have the same yingzi. This is largely because we started with a set of pictograms chosen for their pictorial rather than phonetic qualities; but it also adds visual distinctions to the script, and thus aids the reader. (It rather burdens the writer; but heck, everyone does a lot more reading than writing.) 

For instance, the phonetic ![][20] _un- _will be used for _fun, ton, pun, thun(der), Hun,_ etc. But _sun_ will have its own yingzi, ![][16], and this will be used for _son, shun, stun, spun_. For instance, _sun_ plus the _man_ radical makes ![][30] _son_, and _sun _with the _fight_ radical is used for ![][31] _shun_. 

Moreover, a compound yingzi may itself be used as a phonetic with its own set of yingzi. The _shun_ character ![][31], for instance, will be used with the _work_ radical to form ![][32] _-tion_, used to spell this common suffix, as in ![][33]![][32] _section_. 

### Radicals

Where do the radicals come from? For the most part they are either simple characters (e.g _king, work_), or abbreviations of characters; for instance the character ![][34] _net_ is abbreviated to ![][35] when used as a radical. 

The set of radicals is not unlimited; there is in fact a **fixed set** of 214 of them. The total number of yingzi that belong to one phonetic set is thus absolutely limited to 214. No set will actually have this number of yingzi, though some will have a few dozen. 

(However, the potential number of yingzi is still unlimited, because we can always choose a compound yingzi as a new phonetic, and generate a new set of rhyming yingzi from it.) 

Because the set of radicals is limited, a really good radical will not always be available to distinguish the yingzi in a rhyming set. We'll just choose the best one we can. In addition, when choosing radicals we will rely on the **etymological** meaning of a word, which may not always match its current meaning. For instance, the word _villain_ originally meant _peasant_, and so the sign for _vill-_ ![][36] uses the _field_ radical (added to the phonetic _bill_). 

The yingzi that use a particular radical will form a class of their own-- a sort of **meaning class**. We can consider the entire English language to be divided into 214 meaning categories. For instance, every yingzi that uses the _bug_ radical will have something to do (at least etymologically) with insects or reptiles. However, since the number of radicals is so limited, and because the choice of radical is sometimes quirky, the resulting sets will be rather vague and eccentric. 

### Guessing at an unknown character

There will be tens of thousands of yingzi; but we must not let this frighten us. There are tens of thousands of conventional spellings, too, but despite what the wiseacres say, it would be absurd to say that there's no logic to English orthography at all. Likewise, the yingzi themselves are not the basic graphical units or **graphemes** of the writing system; the phonetics and radicals are. 

Readers can make use of this fact to guess the pronunciation of an unknown character. For instance, ![][37] is a straightforward combination of the ![][38] _speech _radical with the phonetic ![][39] _purse_. A type of speaking that rhymes with purse-- _curse_, of course. 

Or, ![][40], a combination of the _plant_ radical ![][41] with the _guilt _phonetic ![][24]. Something about plants that rhymes with guilt? This one is a bit harder-- _wilt_. 

![][42] \-- a plant (radical _ plant_) that rhymes with ![][38] _speech_\-- is easy: _peach_. But note that _speech_, which we used as a radical above, is used as a phonetic here. 

Since there are many more phonetics than radicals, the **information content** of the radical is much less than that of the phonetic. If you knew only the radical for an unknown character, you can only narrow down the meaning to 1/214 of the lexicon; if you knew only the phonetic, you could narrow it down much further, since there are more than a thousand phonetics. 

### Polysyllabic words

Where possible we will divide a word into morphemes. For instance _outsider_ breaks into _out + side + -er_; reshipment is _re- + ship + -ment_. 

How do we handle morphemes of more than one syllable? We simply create a yingzi for each syllable. For instance, _person_ would be expressed as ![][43]![][30]. The first character is based on ![][21] _per_, with the addition of the _man_ radical; the second is ![][16] _sun_ with the addition of the same radical. 

A polysyllabic morpheme, in fact, can generally be recognized because all the syllables have the same radical. For instance, ![][44] _insect_ consists of _in _and _ sect_, each with the addition of the _bug_ radical. (Note that _sect_ is itself a compound character, formed from the _rite_ radical with the _specked_ phonetic.) 

### Inflections

How about inflections that don't form a full syllable, such as plural _-s_? It would be pretty tiresome, even with the add-a-radical trick, to create thousands of yingzi for syllables that just happen to have a final _-s_. 

Note, however, that the plural morpheme sometimes takes up its own syllable, as in _grasses_, _rashes_. So why not use the yingzi for _is_, which is ![][45]? Of course, _is_ and _-s_ are both pretty common, so we should add a little dot to the character to represent final -s: ![][46] So _peach_ is ![][42], _peaches_ is ![][42]![][46]; _sun_ is ![][16], _suns_ is ![][16]![][46]. We can use a similar strategy for other inflections. 

### Foreign words

Very old borrowings (e.g. the mass of words borrowed in medieval and Renaissance times from French and Latin) will be treated like native words. We've already seen examples like _ peach,  villain,  insect, and  person._

Words borrowed more recently, however, won't get their own radical+phonetic compounds. Instead we'll represent them, syllable by syllable, using the nearest existing characters. For instance, _Peking_ will be represented as ![][47]![][12]. The first character is the first syllable of _pecan_ (that is, _pe-;_ phonetic _see_, radical _gourd_), and the second is the word _king. _The name _Fellini_ will be written ![][48]![][49]![][50], composed of the yinzi _fell, lean, knee_. (You may amuse yourself working out [what the phonetics and radicals are][51] for these three characters.) 

### Dictionaries

English dictionaries would no longer be arranged alphabetically, of course, since we're no longer using an alphabet. They'll be organized **by radical**. 

The 214 radicals are ordered according to the number of strokes needed to draw them. Radicals of one stroke (e.g. ![][19] _one_ or ![][21] _per_ ) come first, followed by radicals of two strokes (e.g. ![][20] _un-_), and so on, up to monstrosities like ![][52] _toad_, which has 20 strokes. 

The section for each radical is also organized by stroke number. Under the _plant_ radical, for instance, the first entry is ![][41] _plant_ itself, followed by characters with one extra stroke (like ![][53]_ dron_, the last character in rhododendron), then characters with two strokes, and so on (up to ![][54], the first character in _toadstool_). 

Note that there are no main entries for what we're used to calling **words** at all. There wouldn't be a main entry at all for a word like _person_, for instance. There would be an entry for the _man_ radical; under it a sub-entry for the  character_ per_, and _person_ would be listed as a sub-sub-entry under that. 

### Thinking in yingzi 

The nature of the writing system would encourage lexicographers (and English speakers) to think of everything in the language as **built out of yingzi**. There wouldn't seem to be a great difference between "words" like _storehouse_, _storage, restore _and "expressions" like _shoe store, store up, store detective, store manager_; or between _blackboard_ and _black eye_, or between _alphabet_ and _alpha male_. 

Many morphemes that now live out a shadowy existence, forever bound to other morphemes, would take on an **independent existence**; for instance the _volve_ in _revolve, evolve, involve, devolve_, which would have its own yingzi, and would seem as much a "word" or component of the language as the _match_ in _rematch, mismatch, unmatch_. There would be a tendency to describe the meanings, vague or miscellaneous as they might be, for such characters. 

This might seem sensible and even wise for a morpheme like _volve_, which after all derives from a real Latin root meaning _roll_; but there would be other, more **dubious applications**. For instance, the _son_ in _person _was represented by ![][30], which happens to be the yingzi for _son._ It will be almost impossible not to assume that _person_ derives from _son_; but historically it's just a coincidence; _person _derives from Latin and has nothing to do with _son_. 

Worse yet, the -_cuit_ of _biscuit_ and _circuit_ might be written with the same character (a derivative of _kit_), and a meaning sought for it-- perhaps 'round', since biscuits are round and circuits involve going round. Again, etymologically this is nonsense. 

Words, perceived as compounds, might lend themselves to **abbreviation**. After all, why write two yingzi when one will do, especially if it unmistakably implies its partner? For instance, _language_ would be a two-character word ![][55]![][56], each character defined only as part of this compound and used nowhere else in the language. If you've written  _lang_, you must write  _gwidge_ next. You might as well just write ![][55] _lang_ and leave it at that. Ultimately of course ![][55] will acquire a meaning of its own-- namely _language. _And for consistency's sake lexicographers might well give _gwidge_ a meaning of its own as well--namely, _language_. 

The complexities of the writing system, the inherent interest of the pictorial elements, the cleverness inherent in graphic compounds like _ woods_ and the radical-phonetic system, and even sociological facts such as the time it takes to learn the system, and the fact that English speakers of all nations can use it whatever their native dialect, would also combine to give the writing system an **overwhelming character** of its own. It would be seen as more important than speech; there would even be a tendency to think of **words as derived from characters** rather than the other way around. 

If someone asks where a word comes from, we (now) think of its original phonetic form; we say for instance that _language_ comes from French_ langage_, itself derived from Latin _lingua_ 'tongue', which in turn comes from Proto-Indo-European _dnghu_. With the yingzi system, people would be tempted instead to give what we might call the **graphic etymology**. They'd say that _lang_ derives from the _speech_ radical and the _gang _phonetic, and that the latter is actually a picture of a gang-- a reduplication of the _man_ character. That is indeed where ![][55] comes from, but not _lang_, which did not derive from it! (But it wouldn't even be easy to make this point in yingzi-- how do you distinguish _lang_ from ![][55] if you can't even write "lang" without writing the character?) 

### A word is a word is a word

Does all this mean that **words are cultural constructs** or that the concept of a word would no longer apply to English written in yingzi? Not at all. A **word** is still a useful linguistic concept-- or rather a series of overlapping concepts. By _word_ linguists may mean one or all of the following: 
* a phonological unit-- e.g. something with one stress accent or one pitch contour; or a unit within which intervocalic stops get voiced. 
* the abstraction underlying a set of morphological forms (e.g. _write_ underlying _write, writes, writing, written, wrote_). 
* an element which can stand alone (e.g. in response to a suitably chosen question), as suffixes or bound morphemes cannot. 
* a morphological unit you can't insert other morphemes into (e.g. _black dog_ is not a word since you can change it to _black, tired dog_; but you can't turn _blackbird_ into _blacktiredbird_) 
* an expression with a conventional meaning-- something that has to be defined in the mental lexicon (this sense is also called a **lexeme**). 

A moment's thought should show that these definitions **may or may not coincide** even in English; and that even where they do they may not coincide with the **typographical** or lexicographical notion of a word. The latter idea-- roughly 'something with spaces around it'-- is of little interest to linguists since it depends on the writing system. That makes it useless for describing most of the languages of the world; and even for written languages it's pretty arbitrary, as this page should show. (Everything you know about writing English would change if we adopted yingzi instead.) 

It's safe to say, however, that such definitions would seem fairly abstract in a yingzi system. _Word_ might become a technical term, like _morpheme_ or _lexeme_. Or it might be identified with a yingzi (a written character); or be abstracted into a more vaguely defined linguistic element, applicable to anything from a character to a compound to a whole phrase. 

* * *

### Hey, did I just learn something about Chinese?

I've attempted in this sketch to lay out, by analogy, the nature and structure of the Chinese writing system. All of the concepts apply: 

* the limited role of pictograms 
* the clever compound pictures (indeed all three examples are from Chinese) 
* the phonetic-and-radical system (97% of Chinese characters work this way) 
* the inclusion of radicals as part of the character (rather than as separate symbols, as in cuneiform or hieroglyphic writing) 
* the relative information content of radicals and phonetics 
* compounds used as secondary phonetics 
* the handling of multisyllabic and foreign words 
* the handling of subsyllabic morphemes (the model here is Mandarin _-r_, represented by _ér_) 
* the organization of dictionaries (in fact, the graphic at the top of the page shows part of the radical index for a Chinese dictionary, organized by stroke count) 
* the psychological effects. 

The **radicals** named are all also Chinese radicals. The **phonetics** are not, of course, since the phonetics in hanzi refer to the sounds of Chinese words, not English ones. But I tried to pick phonetics which would also be phonetics in Chinese (e.g. _sun, king, wing, tree, one, east, field, bill_). 

There are differences, too. For instance, I haven't made any attempt to make my yingzi look like hanzi. 

The phonetic sets of Chinese are not exactly based on rhymes. Karlgren explains that the hanzi belonging to one set had homorganic initial consonants (e.g. k, g), the same main vowel, and the same final consonant. 

I've also **underreported the complexity** (and arguably the inefficiency) of the Chinese script in several important ways: 
* The phonetic sets in Chinese, though still useful, are two thousand years out of date. It's as if my yingzi phonetics had to rhyme in Proto-Germanic, not in modern English. 
* The scribes who devised hanzi often went wild adding radicals, creating multiple characters for what are etymologically the same root. 
* Four milennia have reduced the pictorial content of the hanzi primitives almost to nil. What the "pictograms" are pictures of is often evident only to the scholar. 
* Clear and precise handwriting is by no means a virtue in Chinese; the most admired style, _câoshu_, is highly simplified, suggesting rather than delineating the characters intended. 
* The People's Republic has simplified many of the traditional hanzi; and this reform has been accepted in Singapore but not in Taiwan or Hong Kong. It's as if the US had its own versions of a large fraction of English yingzi. 

I also haven't gotten into the many additional complications engendered when hanzi were adopted by Japanese, Korean, or Vietnamese; for more on that see John DeFrancis's _The Chinese Language: Fact and Fantasy._

In some respects, however, yingzi are **harder** than hanzi. For instance, English has many more multisyllabic morphemes than Chinese. Only about 10% of Chinese morphemes are more than one syllable long. Also, English has borrowed so much that it often has five or six morphemes where Chinese would have just one-- compare _wáng_ vs. _king, regal, royal, regicide, Rex_, or _zì_ vs. _word, verb, logograph, bon mot._

_\--Mark Rosenfelder_

* * *

[[ Home ]][57]

* Check out this [marvelously interactive Chinese dictionary][58], a great way to explore how hanzi work. 
* * *

![][48]![][49]![][50] [**_Fellini:][59]_** _fell_ has the radical _vertical_ and the phonetic _sell_; _lean_ has the radical _stand_ and the phonetic _bean_; and _knee_ has the radical _body_ and phonetic _tree._

[1]: http://www.zompist.com/chinese.gif
[2]: http://www.fatcow.com/edu/yingzi-be/
[3]: http://www.fatcow.com/
[4]: http://www.zompist.com/gang.gif
[5]: http://www.zompist.com/jun.gif
[6]: http://www.zompist.com/he.gif
[7]: http://www.zompist.com/da.gif
[8]: http://www.zompist.com/fayename.gif
[9]: http://www.tezcat.com/~markrose/faye.html
[10]: http://www.zompist.com/horse.gif
[11]: http://www.zompist.com/mount.gif
[12]: http://www.zompist.com/king.gif
[13]: http://www.zompist.com/man.gif
[14]: http://www.zompist.com/child.gif
[15]: http://www.zompist.com/bug.gif
[16]: http://www.zompist.com/sun.gif
[17]: http://www.zompist.com/moon.gif
[18]: http://www.zompist.com/tree.gif
[19]: http://www.zompist.com/one.gif
[20]: http://www.zompist.com/not.gif
[21]: http://www.zompist.com/per.gif
[22]: http://www.zompist.com/woods.gif
[23]: http://www.zompist.com/east.gif
[24]: http://www.zompist.com/guilt.gif
[25]: http://www.zompist.com/sing.gif
[26]: http://www.zompist.com/sting.gif
[27]: http://www.zompist.com/shing.gif
[28]: http://www.zompist.com/sling.gif
[29]: http://www.zompist.com/wing.gif
[30]: http://www.zompist.com/son.gif
[31]: http://www.zompist.com/shun.gif
[32]: http://www.zompist.com/tion.gif
[33]: http://www.zompist.com/sect.gif
[34]: http://www.zompist.com/net.gif
[35]: http://www.zompist.com/netr.gif
[36]: http://www.zompist.com/vill.gif
[37]: http://www.zompist.com/curse.gif
[38]: http://www.zompist.com/speak.gif
[39]: http://www.zompist.com/purse.gif
[40]: http://www.zompist.com/wilt.gif
[41]: http://www.zompist.com/plant.gif
[42]: http://www.zompist.com/peach.gif
[43]: http://www.zompist.com/pers.gif
[44]: http://www.zompist.com/insect.gif
[45]: http://www.zompist.com/is.gif
[46]: http://www.zompist.com/s.gif
[47]: http://www.zompist.com/seeg.gif
[48]: http://www.zompist.com/fell.gif
[49]: http://www.zompist.com/bean.gif
[50]: http://www.zompist.com/knee.gif
[51]: http://www.zompist.com#answers
[52]: http://www.zompist.com/toad.gif
[53]: http://www.zompist.com/dron.gif
[54]: http://www.zompist.com/toads.gif
[55]: http://www.zompist.com/lang.gif
[56]: http://www.zompist.com/gwidge.gif
[57]: http://www.zompist.com/default.html
[58]: http://zhongwen.com/
[59]: http://www.zompist.com#fellini

