---
created_at: '2017-02-09T13:51:30.000Z'
title: How To Write With Style (1999)
url: http://www.novelr.com/2008/08/16/vonnegut-how-to-write-with-style
author: mrzool
points: 281
story_text: 
comment_text: 
num_comments: 79
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1486648290
_tags:
- story
- author_mrzool
- story_13606863
objectID: '13606863'

---
[Source](http://www.novelr.com/2008/08/16/vonnegut-how-to-write-with-style "Permalink to Vonnegut: How To Write With Style &#8211; Novelr")

# Vonnegut: How To Write With Style &#8211; Novelr

* [Home][1]
* [About][2]
* [Contact][3]
* [Archives][4]
* [Feed][5]

[Suggest A Link][6]

[Skip to content][7]

![][8]

![][9]

##### 

August 16, 2008 – 7:27 pm

## Vonnegut: How To Write With Style

![Kurt Vonnegut ][10]_This article orginally appeared in Palm Sunday (New York, Dial Press 1999) from pages 65 to 72, 9 years before Vonnegut’s death. I thought I’d share it here._

Newspaper reporters and technical writers are trained to reveal almost nothing about themselves in their writings. This makes them freaks in the world of writers, since almost all of the other ink-stained wretches in that world reveal a lot about themselves to readers. We call these revelations, accidental and intentional, elements of style.

These revelations tell us as readers what sort of person it is with whom we are spending time. Does the writer sound ignorant or informed, stupid or bright, crooked or honest, humorless or playful– ? And on and on.

Why should you examine your writing style with the idea of improving it? Do so as a mark of respect for your readers, whatever you’re writing. If you scribble your thoughts any which way, your readers will surely feel that you care nothing about them. They will mark you down as an egomaniac or a chowderhead — or, worse, they will stop reading you.

The most damning revelation you can make about yourself is that you do not know what is interesting and what is not. Don’t you yourself like or dislike writers mainly for what they choose to show you or make you think about? Did you ever admire an emptyheaded writer for his or her mastery of the language? No.

So your own winning style must begin with ideas in your head.

### 1\. Find a subject you care about

Find a subject you care about and which you in your heart feel others should care about. It is this genuine caring, and not your games with language, which will be the most compelling and seductive element in your style.

I am not urging you to write a novel, by the way — although I would not be sorry if you wrote one, provided you genuinely cared about something. A petition to the mayor about a pothole in front of your house or a love letter to the girl next door will do.

### 2\. Do not ramble, though

I won’t ramble on about that.

### 3\. Keep it simple

As for your use of language: Remember that two great masters of language, William Shakespeare and James Joyce, wrote sentences which were almost childlike when their subjects were most profound. “To be or not to be?” asks Shakespeare’s Hamlet. The longest word is three letters long. Joyce, when he was frisky, could put together a sentence as intricate and as glittering as a necklace for Cleopatra, but my favorite sentence in his short story “Eveline” is this one: “She was tired.” At that point in the story, no other words could break the heart of a reader as those three words do.

Simplicity of language is not only reputable, but perhaps even sacred. The Bible opens with a sentence well within the writing skills of a lively fourteen-year-old: “In the beginning God created the heaven and the earth.”

### 4\. Have guts to cut

It may be that you, too, are capable of making necklaces for Cleopatra, so to speak. But your eloquence should be the servant of the ideas in your head. Your rule might be this: If a sentence, no matter how excellent, does not illuminate your subject in some new and useful way, scratch it out.

### 5\. Sound like yourself

The writing style which is most natural for you is bound to echo the speech you heard when a child. English was Conrad’s third language, and much that seems piquant in his use of English was no doubt colored by his first language, which was Polish. And lucky indeed is the writer who has grown up in Ireland, for the English spoken there is so amusing and musical. I myself grew up in Indianapolis, where common speech sounds like a band saw cutting galvanized tin, and employs a vocabulary as unornamental as a monkey wrench.

In some of the more remote hollows of Appalachia, children still grow up hearing songs and locutions of Elizabethan times. Yes, and many Americans grow up hearing a language other than English, or an English dialect a majority of Americans cannot understand.

All these varieties of speech are beautiful, just as the varieties of butterflies are beautiful. No matter what your first language, you should treasure it all your life. If it happens to not be standard English, and if it shows itself when your write standard English, the result is usually delightful, like a very pretty girl with one eye that is green and one that is blue.

I myself find that I trust my own writing most, and others seem to trust it most, too, when I sound most like a person from Indianapolis, which is what I am. What alternatives do I have? The one most vehemently recommended by teachers has no doubt been pressed on you, as well: to write like cultivated Englishmen of a century or more ago.

### 6\. Say what you mean

I used to be exasperated by such teachers, but am no more. I understand now that all those antique essays and stories with which I was to compare my own work were not magnificent for their datedness or foreignness, but for saying precisely what their authors meant them to say. My teachers wished me to write accurately, always selecting the most effective words, and relating the words to one another unambiguously, rigidly, like parts of a machine. The teachers did not want to turn me into an Englishman after all. They hoped that I would become understandable — and therefore understood. And there went my dream of doing with words what Pablo Picasso did with paint or what any number of jazz idols did with music. If I broke all the rules of punctuation, had words mean whatever I wanted them to mean, and strung them together higgledy-piggledy, I would simply not be understood. So you, too, had better avoid Picasso-style or jazz-style writing, if you have something worth saying and wish to be understood.

Readers want our pages to look very much like pages they have seen before. Why? This is because they themselves have a tough job to do, and they need all the help they can get from us.

### 7\. Pity the readers

They have to identify thousands of little marks on paper, and make sense of them immediately. They have to read, an art so difficult that most people don’t really master it even after having studied it all through grade school and high school — twelve long years.

So this discussion must finally acknowledge that our stylistic options as writers are neither numerous nor glamorous, since our readers are bound to be such imperfect artists. Our audience requires us to be sympathetic and patient readers, ever willing to simplify and clarify — whereas we would rather soar high above the crowd, singing like nightingales.

That is the bad news. The good news is that we Americans are governed under a unique Constitution, which allows us to write whatever we please without fear of punishment. So the most meaningful aspect of our styles, which is what we choose to write about, is utterly unlimited.

### 8\. For really detailed advice

For a discussion of literary style in a narrower sense, in a more technical sense, I recommend to your attention The Elements of Style, by William Strunk, Jr. and E.B. White. E.B. White is, of course, one of the most admirable literary stylists this country has so far produced.

You should realize, too, that no one would care how well or badly Mr. White expressed himself, if he did not have perfectly enchanting things to say.

### In Sum:

1. Find a subject you care about
2. Do not ramble, though
3. Keep it simple
4. Have guts to cut
5. Sound like yourself
6. Say what you mean
7. Pity the readers

### Possibly Related Posts:

* [Top 10 ways to write an Anticlimax][11]
* [Good Writers, Bad Storytellers][12]
* [Kurt Vonnegut’s 8 Rules For Writing Fiction][13]
* [Are First Lines That Important?][14]
* [I Will Tell This Story In _ Hours][15]
* [Letting A Story Write Itself][16]

**Category:** [Learning To Write][17] · [Writing][18]

«[ Bookmarked! Free Books; Pirated Books][19]

[What Is The Classic .com Mistake? »][20]

  

* http://lethebashar.mypodcast.com Lethe Bashar

While we’re on the topic of writerly advice, I thought I would share a quote I came across the other day while reading Lin Yutang’s inestimable volume, “The Importance of Living.”

In a section called “The Art of Writing,” he begins:

“The art of writing is very much broader than the art of writing itself, or of the writing technique. In fact, it would be helpful to a beginner who aspires to be a writer first to dispel in him any over-concern with the technique of writing, and tell him to stop trifling with such superficial matters and get down to the depths of his soul, to the end of developing a genuine literary personality as the foundation of all authorship. When the foundation is properly laid and a genuine literary personality is cultivated, style follows as a natural consequence and the little points of technique will take care of themselves.”

* http://www.novelr.com Eli James

Wow, Lethe. Writing as a function of life is …. okay wow.

* http://www.themutantstory.com/?page_id=2 Sonja

Thanks for that quote, Lethe.

* http://lethebashar.mypodcast.com Lethe Bashar

Yes, it’s really quite profound when you think about it.

* Pingback: [The Litopia Writers’ Podcast » Litopia Daily 127: Why Do People Buy Books?][21]
* Joe

i’m a huge fan of mr. vonnegut.

i think i kind of cherish this advice if it is his.

“i’m not telling you to write a novel, though i won’t complain if you do, a letter to etc”

what advice! what a man who cares about what he does! what a teacher.

* Pingback: [Rules « All The Way Holloway][22]
* Pingback: [Writing with style, aka Why Kurt Vonnegut rocks - Kristan Hoffman - Writing Dreams Into Reality][23]
* Pingback: [Smrt Mama’s 10 Traits of a Good Writer » Smrt Lernins][24]
* Pingback: [In Triplicate – 3 Tips on Sustaining a Blog | Carbon Copy][25]
* Dianne Cowan

This was first published well before 1999. I first read it in the mid-80s. It was part of a packet of essays called “The Power of the Printed Word” that International Paper would send to people who sent in a coupon that was found in one of their products – a spiral-bound notebook or something.

I was delighted to find it here, however, because it made a huge impression on me – I still quote the parts about the bandsaw cutting galvanized tin and the pretty girl with two different colored eyes, about 25 years after I first read it. And of course, in 25 years I’ve had ample time to lose the original printed copy.

Thank you.

* Dianne Cowan

Ah, I found a scan of the original – ’twas published in 1980.

<http://kmh-lanl.hansonhub.com/pc-24-66-vonnegut.pdf>

* Pingback: [Important Links | My Web List of my hobby websites][26]
* Pingback: [Less is More | Tuesday2's Blog][27]
* Pingback: [Weekend Reading | signs of life][28]
* 764227318

we will learn this article next week!

* Zabbis

Thanks for the wise words

* Pingback: [Daily Briefing: 12.6.2011 « AngelSaint][29]
* Beckman Kyle

I love it.  It makes feel like I don’t have to strech a 3 page paper into 5 just for a grade.

* Mohamed

wonderful.

* Timmons-1001

Such good words of encouragement in writing! Definitely makes me feel more comfortable about this Composition class I am bout to embark on. 

* Mark Lindsey

After reading this article I feel like I won’t have a bit of trouble writing papers.  Straight forward and to the point. 

* 孙白云

strech？stretch!

* Pingback: [Links - ♥ davinia hamilton][30]
* Pingback: [Links | Blogosfera][31]
* Pingback: [Important advice for graduate students | My Critical Reflection][32]
* chelsea

I like it :)

* Dorcas baah

I like Vonnegut style of writing it really draws attention to how best one could write to appeal to readers

* asare baffour

Thanks. I think this idea will help us improve upon the way we write and the perception we have about a written paper. love it!!

* williams kwarteng

This is a wonderful advice which will assist me to choose words carefully,watch my grammar as well as my punctuation. I am not perfect in these matters,but I believe that there is always room for improvement.

* Pingback: [我为什么写博客 | miao][33]
* lollipop clan member

dis riting sucks

* Pingback: [How To Write With Style (1999) | ExtendTree][34]
* JimF

I earned my living at the typewriter (later, the computer) as a copywriter in the sometimes not fascinating world of advertising. Many people had said to me–oh, that’s not really working, just sitting there writing. So I put a sign over my desk: WRITING IS EASY! YOU JUST STARE AT A BLANK SHEET OF PAPER UNTIL DROPS OF BLOOD APPEAR ON YOUR FOREHEAD! But I thank Mr. Vonnegut for his brilliance (loved all his books) and his fine advice.

* Pingback: [Articles/Links I liked. | mEssy bYtes][35]

By Eli James  ![][36]   

Novelr is an idea blog and a community rally point for Internet fiction, produced regularly since 2006. [More?][37]

  

* * #### Must Reads

    * [The Novelr Primer: Everything You Need To Know About Web Fiction][38]
    * [Simple Rules for Writing Fulfilling Web Fiction][39]
    * [Making Money From Online Fiction - I've Done It, So Can You][40]
    * [The Novelr Guide To eBook Formats][41]
    * [How To Build Community Around Your Fiction][42]
    * [Picture Book Theory: Why Design is So Important To Web Fiction][43]
    * [1000 True Fans: Making Money Off Your Work][44]
    * [1000 True Fans And Online Fiction: The Truth][45]
    * [A Format For Online Fiction][46]
    * [Why Movie Bookcovers Suck][47]
    * [Top 10 Ways To Write An Anticlimax][11]
    * [(Series): Design: Improving Readability Without Lifting A Pencil][48]
* #### Recent Articles

    * [The Troubling Dual Nature of Books and Websites][49]
    * [Word Needs To Die][50]
    * [What We Have To Learn From Fashion’s Free Culture][51]
    * [Date A Girl Who Reads][52]
    * [Music, Books, and Formats][53]
    * [Be the Future?][54]
    * [The New Nook][55]
    * [Genre as Indicator][56]
    * [Writers Are The New Publishers][57]
    * [Disruption and that 99c eBook Thing][58]
* #### RSS Feeds

    * [All posts][59]
    * [All comments][60]
* #### Link Ads

    * [Web Fiction Guide][61]

![][62]

![][63]

Like what you see? Head to the [archives][64] for more, grab an [RSS feed][65] or [get in touch][66]. Some [rights reserved][67]. Googlebots, love me some [sitemap][68]. Humans [head up][7]! Novelr loves [WordPress][69] and [WFG][70]. Oh yeah. 

[1]: http://www.novelr.com/ "Front Page"
[2]: http://www.novelr.com/about "About this blog"
[3]: http://www.novelr.com/contact "Send Eli James an email!"
[4]: http://www.novelr.com/archives "Click here to visit the basement"
[5]: http://feeds.feedburner.com/novelr "Subscribe here!"
[6]: http://www.novelr.com/suggest-a-link "Click here to suggest a link"
[7]: http://www.novelr.com#content "Skip to content"
[8]: http://www.novelr.com/wp-content/themes/Novelr/images/novelrlogo.gif
[9]: http://www.novelr.com/wp-content/themes/Novelr/images/headertext8.gif
[10]: http://www.novelr.com/wp-content/uploads/2008/08/vonnegut2_1.jpg "Kurt Vonnegut "
[11]: http://www.novelr.com/2007/03/30/top-10-ways-to-write-an-anticlimax
[12]: http://www.novelr.com/2008/04/24/good-writers-bad-storytellers
[13]: http://www.novelr.com/2007/11/15/kurt-vonneguts-8-rules-for-writing-fiction
[14]: http://www.novelr.com/2007/04/03/are-first-lines-that-important
[15]: http://www.novelr.com/2007/07/14/i-will-tell-this-story-in-_-hours
[16]: http://www.novelr.com/2007/11/29/letting-a-story-write-itself
[17]: http://www.novelr.com/category/learning-to-write
[18]: http://www.novelr.com/category/writing
[19]: http://www.novelr.com/2008/08/16/bookmarked-15-august
[20]: http://www.novelr.com/2008/08/20/what-is-the-classic-com-mistake
[21]: http://podcast.litopia.com/2009/01/19/litopia-daily-127/
[22]: http://johnedwardholloway.wordpress.com/2009/09/13/rules/
[23]: http://kristanhoffman.com/2008/11/12/writing-with-style-aka-why-kurt-vonnegut-rocks/
[24]: http://smrtlernins.com/2010/08/23/smrt-mamas-10-traits-of-a-good-writer/
[25]: http://vaumc.wordpress.com/2010/09/11/in-triplicate-3-tips-on-sustaining-a-blog/
[26]: http://miteshlist.wordpress.com/2010/09/28/important-links/
[27]: http://tuesday2.wordpress.com/2011/02/05/less-is-more/
[28]: http://davidswanson.wordpress.com/2011/03/26/weekend-reading-11/
[29]: http://www.angelsaint.com/2011/12/13/daily-briefing-12-6-2011/
[30]: http://daviniahamilton.com/2012/12/07/links-33/
[31]: http://gozopix.accountsupport.com/wp/links/
[32]: http://mycriticalreflection.wordpress.com/2013/11/25/important-advice-for-graduate-students/
[33]: http://miao.li/p/2402
[34]: http://blog.extendtree.com/2017/02/09/how-to-write-with-style-1999/
[35]: https://messybytes.wordpress.com/2015/08/06/articleslinks-i-liked/
[36]: http://www.novelr.com/wp-content/themes/Novelr/images/twitter.png
[37]: http://www.novelr.com/about
[38]: http://www.novelr.com/2010/08/25/all-we-know-about-web-fiction
[39]: http://www.novelr.com/2010/08/27/simple-rules-for-writing-fulfilling-web-fiction
[40]: http://www.novelr.com/2009/07/21/making-money-online-fiction
[41]: http://www.novelr.com/2009/06/30/the-novelr-guide-to-ebook-formats
[42]: http://www.novelr.com/2008/07/27/how-to-build-community-around-your-fiction
[43]: http://www.novelr.com/2008/05/30/the-internet-is-a-picture-book
[44]: http://www.novelr.com/2008/03/18/1000-true-fans-making-money-off-your-blook
[45]: http://www.novelr.com/2009/04/28/rethinking-1000-true-fans
[46]: http://www.novelr.com/2009/08/20/a-format-for-online-fiction
[47]: http://www.novelr.com/2009/07/10/a-book-buyer-complains-about-books-to-movies
[48]: http://www.novelr.com/2007/10/25/design-improving-readibility-without-lifting-a-pencil-part-1
[49]: http://www.novelr.com/2012/03/31/the-troubling-dual-nature-of-books-and-websites "Permanent Link to “The Troubling Dual Nature of Books and Websites”"
[50]: http://www.novelr.com/2012/03/26/word-needs-to-die "Permanent Link to “Word Needs To Die”"
[51]: http://www.novelr.com/2011/12/21/what-we-have-to-learn-from-fashions-free-culture "Permanent Link to “What We Have To Learn From Fashion’s Free Culture”"
[52]: http://www.novelr.com/2011/12/15/date-a-girl-who-reads "Permanent Link to “Date A Girl Who Reads”"
[53]: http://www.novelr.com/2011/10/09/music-books-and-formats "Permanent Link to “Music, Books, and Formats”"
[54]: http://www.novelr.com/2011/09/04/be-the-future "Permanent Link to “Be the Future?”"
[55]: http://www.novelr.com/2011/08/04/the-new-nook "Permanent Link to “The New Nook”"
[56]: http://www.novelr.com/2011/08/03/genre-as-indicator "Permanent Link to “Genre as Indicator”"
[57]: http://www.novelr.com/2011/04/23/writers-are-the-new-publishers "Permanent Link to “Writers Are The New Publishers”"
[58]: http://www.novelr.com/2011/04/14/disruption-and-that-99c-ebook-thing "Permanent Link to “Disruption and that 99c eBook Thing”"
[59]: http://www.novelr.com/feed "Novelr latest posts"
[60]: https://novelr.disqus.com/latest.rss "Novelr latest comments"
[61]: http://webfictionguide.com "Web Fiction Guide"
[62]: http://www.novelr.com/wp-content/themes/Novelr/images/footerlogo.png
[63]: http://www.novelr.com/wp-content/themes/Novelr/images/9r_leaf_withstroke.png
[64]: http://www.novelr.com/archives
[65]: http://feeds.feedburner.com/novelr
[66]: http://www.novelr.com/contact
[67]: http://creativecommons.org/licenses/by-nc-nd/2.5/my/deed.en_CA
[68]: http://www.novelr.com/sitemap.xml
[69]: http://wordpress.org/ "WordPress"
[70]: http://webfictionguide.com

  [*August 16, 2008 – 7:27 pm]: 2008-08-16T19:27:26+0000

