---
created_at: '2017-10-30T16:19:48.000Z'
title: Golden Rules of Financial Safety (1999)
url: http://www.harrybrowne.org/articles/InvestmentRules.htm
author: Tomte
points: 140
story_text: 
comment_text: 
num_comments: 110
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1509380388
_tags:
- story
- author_Tomte
- story_15586230
objectID: '15586230'

---
[Source](http://www.harrybrowne.org/articles/InvestmentRules.htm "Permalink to Harry Browne: libertarian politics, articles, books, radio &amp; TV shows, 
speeches, and investments")

# Harry Browne: libertarian politics, articles, books, radio &amp; TV shows, 
speeches, and investments


| ----- |
| 

** [ ![][1]][2]  ![][3]**

**The 16 Golden Rules of Financial Safety  
****by Harry Browne**

_(Adapted from _ [ Fail-Safe Investing][4] _by Harry Browne)_

When you read that one of the richest people in the world someone like Bunker Hunt, John Connally, or Donald Trump has declared bankruptcy or is in financial trouble, it's easy to feel a sense of futility about managing your own money.

If such a personable to afford the best financial advice in the worldcan be brought low by a bad investment or decision, what chance do you have?

But the wealthy individual didn't fail because he received bad advice or picked a poor investment. His undoing was that he violated some basic rule of life. If he had managed his investments the same way he manages his business and personal life, he probably wouldn't have lost his money.

To assure that you never share his fate, I've developed what I call "The 16 Golden Rules of Financial Safety." There's nothing mysterious or shocking about these rules; they simply apply to investments the kind of advice your mother gave you when you were little the kind of advice you've most likely lived your life by.

If you abide by them, there's less than one chance in a million that you could lose all you have.

Here they are . . .

**

Your Career

**

Rule #1: _Your career provides your wealth_.

You most likely will make far more money from your business or profession than from your investments. Only very rarely does someone make a large fortune from investments.

Your investments can make your future more secure and your retirement more prosperous. But they can't take you from rags to riches. So don't take risks with complicated schemes in the hope of multiplying your capital quickly. Your investment plan should be aimed, first and foremost, at preserving what you havepreserving it from investment loss, government intervention, or mismanagement.

**

Your Wealth May Be Non-Replaceable

**

Rule #2: _Don't assume you can replace your wealth._

The fact that you earned what you have doesn't mean that you could earn it again if you lost it. Markets and opportunities change, technology changes, laws change. Conditions today may be considerably different from what they were when you built the estate you have now. And as time passes, increasing regulation makes it harder and harder to amass a fortune.

So treat what you have as though you could never earn it again. Don't take chances with your wealth on the assumption that you could always get it back.

**Investing vs. Speculating

**

Rule #3: _Recognize the difference between investing and speculating_.

When you invest, you accept the return the markets are paying investors in general. When you speculate, you attempt to beat that return to do better than other investors are doing through astute timing, forecasting, or stock selection, and with the implied belief that you're smarter than most other investors.

There's nothing wrong with speculating _provided you do it with money you can afford to lose_. But the money that's precious to you shouldn't be risked on a bet that you can outperform other investors.

**

Forecasting the Future

**

Rule #4: _No one can predict the future._

Events in the investment markets result from the decisions of millions of different people. Investor advisors have no more ability to predict the future actions of human beings than psychics and fortune-tellers do. And so events never unfold as we were so sure they would.

Yes, there have been forecasts that came true. But the only reason we notice them is because it's so exceptional for even one to come true. We forget about all the failed predictions because they're so commonplace.

No one can reliably tell you what stocks will do next year, whether we'll have more inflation, or how the economy will perform.

**

Investment Advice

**

Rule #5: _No one can move you in and out of investments consistently with precise and profitable timing._

You'll hear about many Wall Street wizards, but the investment advisor with the perfect record up to now most likely will lose his touch the moment you start acting on his advice.

Investment advisors can be very valuable. A good advisor can help you understand how to do the things you know you need to do. He can help call your attention to risks you may have overlooked. And he can make you aware of new alternatives.

But no one can guarantee to have you always in the right place at the right time. And worse, attempts to do so can sometimes be fatal to your portfolio.

**Trading Systems

**

Rule #6: _No trading system will work as well in the future as it did in the past._

You'll come across many trading systems or indicators that seem always to have signaled correctly where your money should have been, but somehow the systems never come through when _your_ money is on the line.

**Operate on a Cash Basis

**

Rule #7: _Don't use leverage_.

When someone goes completely broke, it's almost always because he used borrowed money. In many cases, the individual was already quite rich, but he wanted to pyramid his fortune with borrowed money.

Using margin accounts or mortgages (for other than your home) puts you at risk to lose more than your original investment. If you handle all your investments on a cash basis, it's virtually impossible to lose everythingno matter what might happen in the worldespecially if you follow the other rules given here.

**Make Your Own Decisions

**

Rule #8: _Don't let anyone make your decisions_.

Many people lost their fortunes because they gave someone (a financial advisor or attorney) the authority to make their decisions and handle their money. The advisor may have taken too many chances, been dishonest, or simply incompetent. But, most of all, no advisor can be expected to treat your money with the same respect you do.

You don't need a money manager. Investing is complicated and difficult to understand only if you're trying to beat the market. You can preserve what you have with only a minimum understanding of investing. You can set up a worry-proof portfolio for yourself in one day and then you need only one day a year to monitor it. Allowing the smartest person in the world to make your decisions for you isn't nearly as safe as setting up a safe portfolio for yourself.

_Above all_, never give anyone signature authority over money that's precious to you. If you should put money into an account for someone else to manage, it must be money you can afford to lose.

**Understand What You Do

**

Rule #9: _Don't ever do anything you don't understand._

Don't undertake any investment, speculation, or investment program that you don't understand. If you do, you may later discover risks you weren't aware of. Or your losses might turn out to be greater than the amount you invested.

It's better to leave your money in Treasury bills than to take chances with investments you don't fully comprehend. It doesn't matter that your brother-in-law, your best friend, or your favorite investment advisor understands some money-making scheme. It isn't _his_ money at risk. If you don't understand it, don't do it.

**Diversification

**

Rule #10: _Don't depend on any one investment, institution, or person for your safety._

Every investment has its time in the sun and its moment of shame. Precious metals ruled the roost in the 1970s while stocks and bonds were in disgrace. But then gold and silver became the losers of the 1980s and 1990s, while stocks and bonds multiplied their value. No one investment is good for all times. Even Treasury bills can lose real value during times of inflation.

And you can't rely on any single institution to protect your wealth for you. Old-line banks have failed and pension funds have folded. The company you think will keep your wealth safe might not be there when you're ready to withdraw your life savings. 

_We live in an uncertain world, and surprises are the norm_. You shouldn't risk the chance that a single surprise will wipe out a large part of your holdings.

**Balanced Portfolio

**

Rule #11: _Create a bulletproof portfolio for protection_.

For the money you need to take care of you for the rest of your life, set up a simple, balanced, diversified portfolio. I call this a "Permanent Portfolio" because once you set it up, you never need to rearrange the investment mix even if your outlook for the future changes.

The portfolio should assure that your wealth will survive any event including an event that would be devastating to any individual element within the portfolio. In other words, this portfolio should protect you _no matter what the future brings_. 

It isn't difficult or complicated to have such a portfolio this safe. You can achieve a great deal of diversification with a surprisingly simple portfolio. 

**Speculation

**

Rule #12: _Speculate only with money you can afford to lose._

If you want to try to beat the market, set up a second separate portfolio with which you can speculate to your heart's content. But make sure this portfolio contains no more of your wealth than you can afford to lose.

I call this second pool of money a "Variable Portfolio" because its investments will vary as your outlook for the future changes. It might be all or part in stocks or gold or something else whatever looks good at any time or just in cash. You can take chances with the Variable Portfolio because you know that, whatever happens, _no loss can be devastating_. You can lose only the money you've already decided isn't precious to you.

**

International Diversification

**

Rule #13: _Keep some assets outside the country in which you live._

Don't allow everything you own to be where your government can touch it. By having something outside the reach of your government, you'll be less vulnerable and you'll _feel_ less vulnerable. You'll no longer have to worry so much about what the government will do next.

For example, maintaining a foreign bank account is quite simple; it's little different from having a mail or Internet account with an American bank or broker. 

**

Tax Shelters

**

Rule #14: _Beware of tax-avoidance schemes_.

Tax rates are still low enough in the U.S. that you might gain very little from the risk and effort of constructing elaborate tax shelters. And a great deal of money has been lost by people who hoped to beat the tax system. The losses came from investments that provided special tax advantages but didn't make economic sense, and from tax shelters that were disallowed by the IRS incurring penalties and interest on top of the liabilities.

There are a number of simple ways available to minimize taxes through such things as IRAs and 401(k) plans. These plans are effective but non-controversial. They won't come back to haunt you.

**

Enjoyment

**

Rule #15: _Enjoy yourself with a budget for pleasure._

Your wealth is of no value if you can't enjoy it. But it's easy to spend too much while the money's flowing in. To enjoy your wealth, establish a budget of money that you can spend yearly without concern. If you stay within that amount, you can feel free to blow the money on cars, trips, anything you want knowing that you aren't blowing your future.

**

When in Doubt . . .

**

Rule #16: _Whenever you're in doubt about a course of action, it is always better to err on the side of safety._

If you pass up an opportunity to increase your fortune, another one will be along soon enough. But if you lose your life savings just once, you might never get a chance to replace it.

**

The Rules of Life

**

The rules of safe investing are little different from the rules of life: recognize that you live in an uncertain world, don't expect the impossible, and don't trust strangers. If you apply to your investments the same realistic attitude that produced your present wealth, you needn't fear that you'll ever go broke.

\-----

This article was excerpted from _ [Fail-Safe Investing][5]_, which explains the 16 rules in detail. For information regarding a telephone consultation to set up your bulletproof portfolio (rule #11), email HarryBrowne@HarryBrowne.org.

 | 

 

[1]: http://www.harrybrowne.org/IsWarN2.jpg
[2]: http://www.harrybrowne.org/index.htm
[3]: http://www.harrybrowne.org/IsWarN3.jpg
[4]: http://www.liamworks.com/hbworks.html
[5]: http://www.LibertyFree.com

