---
created_at: '2012-12-08T03:20:22.000Z'
title: The In-game Economics of Ultima Online (1999)
url: http://www.mine-control.com/zack/uoecon/uoecon.html
author: simonsarris
points: 120
story_text: ''
comment_text: 
num_comments: 43
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1354936822
_tags:
- story
- author_simonsarris
- story_4890481
objectID: '4890481'

---
[Source](http://www.mine-control.com/zack/uoecon/uoecon.html "Permalink to The In-game Economics of Ultima Online")

# The In-game Economics of Ultima Online

# The In-game Economics of _Ultima Online_

### Zachary Booth Simpson, Origin Research Fellow  
7 Apr 1999

#### Originally presented at _Computer Game Developer's Conference_, San Jose, CA; Mar 2000

#### (c)2002 ZBS. <http://www.mine-control.com/zack>  
Please [sign my guestbo0k][1] if you find this work useful.

#### Thanks to _Ultima Online_ team members:   
Raph Koster, Richard Vogel, Starr Long, Damion Schubert

#### Thanks also to:   
Andrew E. Stivers, Timothy O'Neill Dang, Steve Beeman,  
Jim Greer, and Prof. Jamie Galbraith

# Chapter 1. Introduction

| ----- |
|  ![][2] |    |  
|  **Screen-shot from _Ultima Online_.  
Four characters attacking a dragon.** |   |

Ultima Online (_UO_) is a popular online computer role-playing game created and maintained by Origin Systems (_http://www.owo.com_). Subscribers to _UO_ gather online and interact with one another in a medieval fantasy world. One very interesting aspect of this game is the inter-player economy which is analyzed in detail in this paper.

In many ways, the in-game economy is similar to a real world economy goods and services are traded to mutual advantage and are mediated in currency or barter. In other ways, the economy is very alien; for example, some commodity prices are determined by a robotic simulation of business profit motivation. These quirky rules will be described in Chapters 3 to ensure that the reader appreciates the entire economic environment of the game.

The economy is highly planned by the game designers; this includes everything from the possible items which can be manufactuered to the rules which govern supply and demand. However, the economy did not behave as expected in many ways. It is these failures and the resulting redesigns which are most interesting and which we will examine in detail in Chapter 5.

This paper begins with an introduction to the virtual universe for those that are unfamiliar. We then turn to the economy and describe the micro and macro elements of it in detail. This is followed by an analysis of the evolution of the economy what went wrong, and how it was fixed. Finally, the paper concludes with a proposal for several specific research topics. The ultimate goal of this research is to provide information for the design of new virtual worlds as well as use the virtual world as a platform for investigating real world economic phenomena. This is a particularly exciting research field as it will allow the researcher complete measurement and variable control while still operating in a non-trivial economy.

# Chapter 2. Description Of The World

## Characters

| ----- |
|  ![][3] |    |  
|  **Example character in full armor.** |   |

While playing in the virtual world of _Ultima Online_, a player takes on a persona or character sometimes referred to as an "Avatar" which they control by moving the mouse. They can communicate with others by typing on the keyboard text which appears in cartoon-like thought bubbles.

Subscribers may play and maintain a variety of characters. That is, for a single $10 per month fee, a subscriber may play more than one character within the virtual world.

Players often role-play their character as something totally different than their "real" selves; for example, they may switch genders or they may play with a devilish personality; this ability to fantasize is, of course, among the primary reasons why people play.

Characters are rated with certain attributes such as strength, health, and dexterity. There are, additionally, a large number of skills which can be learned and mastered. These allow the character to engage in specialized and interesting interactions. Table 1 summarizes a few of these; there are actually about 50 such skills. Mastering any particular skill involves either practicing it, watching a more advanced practitioner, or receiving instruction from special schools. Becoming a master of one skill automatically creates weakness in others; therefore, no character can be a master of all skills simultaneously.

| ----- |
|  **

Skill** |  **

What a player can do with the skill** |  **

Requirements** |  
| 

Alchemy | 

Create magical potions | 

Mortar, pestle, reagents |  
| 

Begging | 

Gain small amounts of gold from NPCs | 

Wealthy NPCs |  
| 

Blacksmithing | 

Create arms | 

Forge, tools, ingots |  
| 

Healing | 

Improve health of a character | 

Bandages |  
| 

Item Identification | 

Determine the quality of something | 

Objects with varying qualities |  
| 

Lumberjacking | 

Get wood from trees | 

Axe, trees |  
| 

Snooping | 

Covertly inspect what someone is carrying | 

Other players |  
| 

Stealing | 

Get items from PCs and NPCs | 

Other players with things worth stealing |  
| 

Tailoring | 

Make clothing, armor, bandages | 

cotton, flax, hides, sewing tools | 

Table 1. Example Skills

Characters can engage in combat with on another. Not surprisingly, these contests are one of the primary online past-times. Although characters can be "killed" as a result of combat, this fate is more akin to an annoyance than it is to true death. When ones character is killed, the characters "ghost" can be resurrected and the game continues with a penalty of reduced skill and/or possessions. The design motive for the impermanence of death is, of course, highly utilitarian: if characters could actually "die", subscribers would stop paying the $10/month fee!

## Non-Player Characters

| ----- |
|  ![][4] |    |  
|  **A monster  
on the prowl.** |   |

The medieval fantasy world of Ultima is filled with a zoo of non-player controlled ("NPC") animals and monsters. Many of these are inherited from Ultimas roots in _Dungeon and Dragons_ and Tolkein novels: orcs, dragons, ogres, etc. Monsters exists for the players to kill; they are a renewable resource to be exploited for their treasure and hides. This kind of "adventuring" is an important part of the game play and economy of _UO_.

In addition to creatures there are also non-player controlled human characters. While the appearance of human NPCs is similar to player characters their interactions are, of course, very different. NPCs are essentially robots which are programmed to do some action such as sell goods, "train" players in a skill, or provide services such as healing. Some NPCs can be hired to guard a premise or act as a companion in warfare.

Human NPCs serve an extremely important role within the economy of _UO_ because they are permanent. That is, real players disconnect to go to bed or (heaven forbid) to go to work and are therefore not online the majority of the time. NPCs provide stability an NPC shopkeeper will tend his store 24/7 and thus ensure players of a constant source of critical goods and services.

## Objects

There are hundreds of types of objects within the world of _UO_ ranging from the mundane (food & clothing) to the exotic (magical weapons & armor). Each item is represented in the server database as a record which includes information such as weight, size, and quality.

| ----- |
|  **

Category** |  **

# of Types** |  **

Examples** |  **

Notes** |  
| 

Armor | 

50 | 

Bronze Shield, Leather Gloves, Orc Helm, Plate Mail Leggings, Studded leather Sleeves | 

Includes separate pieces of a complete set. For example, there are five components of plate mail (helmet, legs, etc). |  
| 

Weapons & Ammo | 

44 | 

Bow/Arrow, Battle Axe, Dagger, Halberd, Mace, Spear | 

Weapons are among the most prized possessions. |  
| 

Clothing & Apparel | 

43 | 

Bonnet, Earrings, Fancy Shirt, Feathered Hat, Kilt, Skirt, Wizards Hat | 

There is a lot detail in clothing so that characters can be distinguished from one another. |  
| 

Food & Drink | 

69 | 

Bowl of Corn, Bowl of Peas, Bowl of Stew, Fish Steak Raw, Fish Steak Cooked, Pitcher of Ale, Pitcher of Wine, Small Fish, Wheel of Cheese | 

Food is needed only for healing. Many of these items are to create atmosphere. There are many variations on a theme. |  
| 

Magical Reagents | 

8 | 

Black Pearl, Garlic, Nightshade, Spiders Silk, Sulphurous Ash | 

Consumed to cast magical spells. |  
| 

Tools & Crafts | 

74 | 

Ball of Yarn, Cleaver, Dying Tub, Hammer, Iron Ingot, Lock-pick, Ore, Potion, Magical Scroll, Sextant, Tinkers Tools, Wooden Box | 

Tools used in trades as well as the components of production. |  
| 

Provisions | 

49 | 

Backpack, Bedroll, Fishing Pole, Lantern, Map, Torch | 

Items which are used for adventuring. |  
| 

Miscellaneous | 

170 | 

Barrel, Basket, Book, Broken Chair, Cards, Chess Piece, Fork, Horse Dung, Kettle, Mushroom, Painting, Pillow, Rope, Statue, Tribal Mask, Wooden Tray | 

Items used for utility, decorations and atmosphere. Many are oddities added for interest and may be quite rare. |  
|  **

Total** |  **

507** |    |    | 

**

Table 2. Summary of Items

**

Items are created through three primary mechanisms. 1) Players skilled in manufacturing can create them. 2) They can be created by NPC shopkeepers out of thin air. 3) They are created as "booty" carried by the monsters and become available when the monster is killed. This "loot" mechanic is the method by which the majority of items are created.

Items are also destroyed though various means. For example, using a sword slowly causes irreparable wear and it will eventually break, disappearing from the world. The most common way for an item to leave the world is through "garbage collection" when an item is left on the ground, it is deleted automatically by the server within a few minutes to ensure that the world does not accumulate junk.

Players are not online constantly and therefore need store items while offline. Several mechanism exist for this. For example, each player is given a "safety deposit box" and bank account which can hold a limited amount of items and gold. The goods placed in such banks are accessible from any banking outlet; this provides a sort of medieval version of an ATM machine. Players who have built houses can store items in the relative safety of their abode. Items on a players person are also stored securely when the player goes offline.

All items in the game are transferable from one player to another. A few special items such as homes can only be transferred if the owner agrees to the transaction; however, the vast majority of items can be transferred through theft, a common form of exchange in _UO_. There is also a great deal of player-to-player and NPC to player sales and bartering occurring which will be analyzed in detail in the following chapters.

## Aspects Of The Virtual

For those that have never played an online game it is difficult to imagine exactly how the world operates. For the uninitiated there are quite a few rules which seem counterintuitive. The reason for many of these idiosyncrasies is that while the virtual world of _UO_ is superficially similar to the real world in many respects, it is also extremely different in many non-obvious ways. The following is an attempt to summarize some of the most important aspects of the virtual world.

### Fun

There is one overriding design criteria in all game design. It is the cardinal rule: _players are there to have fun_.

Many rules which seem perfectly logical extensions of the real world will be rejected by players. For example, if the game designers create a rule that states: "you must eat to stay alive", the players will complain: "I dont want to worry about keeping my character fed! If I wanted to worry about that, I would play my real life!"

Game designers are therefore frequently confronted with the following dilemma:

1. All elements of the game need to be fun. 
2. Much of the real world is not fun.
3. Elements which are unrealistic are often counterintuitive.
4. Counterintuitive rules are difficult to learn and not fun, at least at first.

Therefore, fun and realism are frequently at odds. The game designers difficult job is to balance the two.

### Transient Play

Players can obviously not be online 24 hours a day, yet the game is always active. This presents a major challenge to the designers of "persistent" online worlds what happens when a player is not online? For example, can they be killed? On the one hand it does not seem fair to get killed when you arent there to defend yourself. On the other hand, if players are invulnerable when not online, what is to stop someone from just pulling the plug on their modem as soon as they start losing a battle? Similar issues are posed by a players property. Can my items be stolen when Im not around? If so, why dont I pull the plug when Im about to be mugged? Players who leave the game permanently pose a related problem: what happens to their accumulated wealth and real estate? Should these assets be taken away at some point?

### Anonymity

It is extremely important to understand that "players" the subscribers who pay to play the game do not necessarily play just one character. Each subscriber may own up to 5 characters per world (and there are about 14 worlds!). However, players can not actually control more than one avatar simultaneously unless they purchase additional subscriptions. In other words, there is a one-to-many relationship between subscribers and characters. This leads to one of the most interesting and non-obvious aspects of the virtual world, a phenomena known as "muling".

A "mule" is a character who is maintained for the sole economic gain of another character. For example, imagine that there is a dungeon filled with traps and treasure. Knowing that the cave holds unknown malice, a smart player will send his disposable mule character into the labyrinth first, thus revealing the traps and monsters at the cost of killing the disposal character several times. Once the optimal solution is discovered the player replays the adventure with their real character, who can now make it through unharmed.

Mules present a major complication to both game design and economic research. On the one hand it seems appropriate to consider all characters owned by a single subscriber to _be _that subscriber since they are all being controlled by and acting on behalf of that person. On the other hand, many people role-play their various characters with little thought given to the benefits of their other characters. This dichotomy is not easily resolved. Simply imposing a one-character-per-player rule would be politically difficult due to similar features in other games.

The problems of anonymity should not be misunderstood. The difficulty is not that a character can not be attached to a real-world person, but that the in-game reputation of a character may be absent as they may exist only for a brief time or may be acting on behalf of another character controlled by the same person.

### Server Limits

The items and characters of the world are all stored in a large database which is modified according to the game rules by a central computer known as the "server". While the servers are very high-end computers they still have finite resources. Each item in the world, each action that a player takes, and each decision that an NPC makes must be processed and stored on this machine with minimal delay. This is an extremely challenging problem for a game with hundreds of thousands of players such as _UO_ and practically every game design decision is impacted by these requirements.

For example, as will be discussed in Chapter 5, players tend to hoard items en masse. A favorite anecdote among the designers is of a character who had over ten thousand identical shirts in his house! This hoarding tendency leads to server failures when the database becomes too large and too slow.

These server limits create a requirement that the economic and social design of the game discourage hoarding. This is an interesting problem one which lacks precise real-world analogies. Unfortunately, the existing solutions in _UO_ have been less than successful as we will see.

### Newbies

The turnover rate of subscribers in _UO_ is fairly high. At any given time a significant fraction of the online population is new and is therefore at a significant disadvantage. "Newbies" dont understand the complex rules and their characters are weak. This presents another difficult design problem. On the one hand, it is necessary to give some sort of special advantage to newbies to help them quickly advance. On the other hand, special advantages given to an underdeveloped character are prone to abuse though muling.

Newbies have an especially difficult time integrating into the economy. A new character is granted a small amount of gold to purchase basic goods; however, these funds are very limited. More significantly, newbies have little to offer for trade. In the real world, most people advance in the beginning of their lives through relatively unskilled work. The institutions which provide this kind of work are highly developed in the real world and almost non-existent in _UO_.

### Cheating

In any computer system as complex as the _UO_ server, there are bound to be bugs. Hundreds of thousands of subscribers beat on the system 24 hours a day which ensures that they will find bugs quickly and exploit them for personal gain. For example, counterfeiting was rampant for the first several months due to an obscure bug which allowed gold to be cloned at will. The resulting inflationary effect was extremely damaging in the early months of _UO_ and will be examined in detail in Chapter 5.

Cheating is, of course, a significant problem in any game be it football, poker, or Super Mario. However, the effects are greatly amplified in online games because of the remarkable ability of players to organize their communications. For example, an AltaVista search for "Ultima Online" finds almost 8000 web pages, most of them built by fans. Many of these web pages document the inner workings of _UO_ in great detail1 (in fact, the developers sometimes refer to these user-created document because they are often more up-to-date than internal documents!). Thus, when an exploitable bug such as gold counterfeiting is discovered it is just a matter of hours before every subscriber is aware of the cheat. Unfortunately, the small team maintaining the server code is always out-manned theres 100,000 players and often only one programmer who understands the code well enough to fix it. Therefore the server can never be fixed as fast as it can be exploited. This is "Hackers Law" exploits will always be found faster than fixes.

# Chapter 3. Introduction To The _UO_ Economy

## Why Do People Play?

To understand the economy of _Ultima Online_, one should first consider why people engage in this economy at all. In other worlds, why do people play _Ultima Online_? The answers to this are, of course, complicated. Consider the disposition of at least four broad categories of players proposed by Bartle2.

**
* Socializers **enjoy talking and role-playing with other players. For them, the game is merely a setting; goods and services are just tools which help provide mood and context in role-playing.
**
* Killers **enjoy doing things to people. The game provides a world where their actions are legitimized. The goods and services available in the economy are tools used to increase their power and skill.
**
* Achievers** are interested in fame and glory. They want to achieve the highest status or overcome the latest challenge. The economy may not only provide needed goods and services to an achiever, but also provide goals such as becoming the richest character or owning the largest house.
**
* Explorers** want to discover the finer points of the game. They will explore every profession, skill, and items. To explorers, the economy is an impediment which prevents them from playing with all the toys.

## The Role of the Economy

On the one hand, the economy in _Ultima Online _is spontaneous; that is, players are free to trade between one another as they see fit. On the other hand, the economy is carefully designed. For example, features such as the NPC shopkeepers, vendors, and other details are all painstakingly planned by the designers. These and other features will be examined in the following chapters.

The following table examines some of the roles of the _UO_ economy, both planned and spontaneous. It is important to keep in mind that the economy is just one part of the solution to these design requirements; in other words, the economy is not necessarily the decisive instrument in achieving these goals.

**
* Ration power **Newbies shouldnt be weilding ultra-powerful armaments. A well functioning economy will limit access to powerful items.
**
* Support specialization ** An economy which limits what a player may possess though pricing will force players to choose their items carefully. For example, it tools-of-trade are expensive, then players will need to specialize in only one trade. This encourages individual players to find a niche.
**
* Encourage interaction ** A well functioning economy can motivate players to meet with each other for trade and work. 
**
* Provide goals ** There are many possible goals in a complex game, just as in real life. Acquiring wealth will generally help a player along the road towards any goal they select. In fact, acquiring wealth can serve as a default goal when the game setting or the players imagination temporarily fails.
**
* Support economic role-playing** some players will always enjoy taking on specific economic roles such as artisan, merchant, or trader. A well functioning economy is crucial to supporting these natural roles.

# Chapter 4. The Macroeconomic Design

![][5] **

Figure 1. Original Economic Flow**

* * *

![][6]

**

Figure 2. Revised Economic Flow**

 

## Virtual Resources (Box 1)

Every object in _UO_ is made from basic resources. For example, a sword might consist of two units of metal; a rabbit might consist of two units of fur and one unit of meat, etc.

When an object such as a sword is created it consumes its constituent resources which are now tied up within the sword. This association is two-way; when the sword is destroyed through decay or breakage the metal resources are liberated. In this way, resources circulate from abstract (like a bookkeepers ledger) to concrete and back again.

Box 1 represents all of the resources within the game which are not tied up in items. Think of it as a bank of resources ready to be distributed whenever necessary to create objects in the world. The method by which this bank gets refilled is one of the primary changes that has occurred to the _UO_ economy since its inception. We will return to this in Chapter 5 once the remainder of the economy is more fully understood. 

## The Supply of Raw Materials

### Natural Resources: Creatures & Mines

Path 1c represents the creation of items from natural resources. For example, there are mines in _UO_ which will occasionally produce chunks of ore when a player clicks in the right place while holding a pick. The amount they can extract in a given time is proportional to the ore remaining in the mine as well as their mining skill. A character can then take this ore and convert it to useful metal through smelting. There are many variations on this theme, all of which can be broadly called "mines". For example trees can be gathered from the forest and have their wood converted to lumber with the carpentry skill; rabbits can be hunted in the forest and have their pelts turned into leather boots through tailoring. Each of these is a "production path." It is important to understand that each of these production paths must be explicitly designed and implemented by the game creators; players can not make up new production paths on their own.

Probably the most important natural resources in terms of both quantity and fun are the monster NPCs which inhabit the forest and dungeons. Players spend a great deal of time (and have a lot of fun) hunting these monsters and collecting the loot they carry. These creatures can be very complicated resource collections. For example, an orc contains not only the fur and meat of its body, but may also carry goods such as weapons, armor, gold, and magical reagents.

### Raw Materials

Path 2a represents the gathering of raw materials such as pelts, wood, and meat. Players accumulate these raw materials through hunting and mining expeditions and may store this loot for future conversion into more useful goods through manufacturing (path 4a). Some raw materials are also available directly from certain shopkeepers (path 1b).

## The Supply Of Finished Goods

### Player Manufacturing

There is great demand in the game for finished goods such as weapons and armor (box 5). Many of these goods, as previously mentioned, are generated and distributed as booty belonging to monsters. However, many types of goods are additionally or exclusively distributed through NPC or PC manufacturing.

Player characters become manufacturers by mastering a skill such as smithing, tailoring, or alchemy. A manufacturing trade such as tailoring takes raw material inputs (box 4) such as wool and pelts and creates finished goods such as shirts, armor, and boots (box 5). It is important to understand that not all goods can be manufactured. The manufacturing paths require design and programming effort and are therefore bounded by development time constraints.

A character practicing a skill such as tailoring will improve that skill over time. When first practicing the skill, they tend to create a lot of waste which consumes the inputs but does not produce an output. This waste is carried away along path 4b. However, despite this waste, a great deal of finished product is created by players learning to craft. There is a major economic problem associated with player character manufacturing: players have a non-demand incentive to produce they improve by doing. In other words, a tailor may choose to produce clothing not because there is a demand for clothing, but because their abilities to produce clothing cheaply and efficiently tomorrow depends on producing extra shirts today. The resulting overproduction is very important and will be examined in detail in Chapter 5.

### Vendors

Players can sell the items they produce (or obtain through trades, etc.) via vendors. Vendors are NPC salesmen who hock wares on behalf of players. They are, in reality little more than automated vending machines. Players "own" vendors and can stock them full of inventory (Path 6d on Figure 2) which the vendor will then sell to player characters only at the set price. Vendors are a critical part of solving the "transient play" problem a player can not be online 24 hours a day, but their vendor can.

Although vendors were an original part of the game design, they were not implemented until about six months after the game was released. Their effect on the economy was drastic and will be examined in more detail in Chapter 5.

Vendors have several rules which are important to their usage:

1. They are secure containers. Inventory can be added and removed from them at will, but only by the owner.
2. They can not purchase goods, only sell. (There are currently plans in the works to allow this.)
3. They will not haggle; they sell only at the price assigned by the owner of the vendor. (Smart players give volume discounts by packaging large quantities into a bag and then putting a price on the bag which reduces the per item charge.)
4. They charge a fee for their service which they automatically extract from their receipts.
5. If they are not paid (there isnt enough cash in their receipts) they will quit, taking their inventory with them.
6. They must be attached to a house to provide realistic context. They can not move.

An interesting economic phenomenon occurred concerning the fee charged by vendors. When they were first implemented, vendors charged a fee based on the resource price of their inventory regardless of their sales. With this in mind, clever players realized that they could set the price for the goods to be extraordinarily high and thus prevent anyone from buying them. This, it turned out, was a very effective way of creating a safety-deposit box since the vendors can not be robbed. Players started buying vendors for the sole purpose of increasing their hoarding space. This exacerbated hoarding problems and also resulted in a form of suburban sprawl where people built tents and attached vendors consuming valuable land. The designers ultimately fixed these problems with an elegant economic solution: the vendors now charge a fee based on the value of the goods assigned by the player. Thus, players can still set the values too high, but they will be charged rent proportionately thus deterring this practice dramatically.

### NPC Manufacturing

_

UO_ towns are populated by many NPC shopkeepers. These shopkeepers provide goods such as weapons, clothing, and supplies (path 1a) as well as some raw materials such as wool and leather (path 1b). There are a few important commodities which only NPCs can sell, chief among these is magical reagents the ingredients which are needed for all magical spells, a very important part of the game.

The NPC shopkeepers help to provide continuity to the economy providing goods at a fixed location 24 hours a day. They also help create atmosphere, their shops and taverns form organized towns which give the newly formed worlds a lived-in feel. However, the NPC shopkeepers importance has been diminished by the creation of vendors which have moved the economy towards a more player-oriented supply chain.

The NPC shopkeepers run a very complicated artificial intelligence (AI) algorithm to simulate supply and demand; in essence, they are robotic businessmen seeking to create a profit for themselves by evaluating the situation around them. The NPCs can also create finished goods from thin air to sell. When they do so, they must withdraw the necessary resource components from the supply of virtual resources (path 1a). As before, if there are no resources available in box 1, the object can not be made. They can also purchase items for resale and, if necessary, destroy the item, returning its constituent resources back into the bank (Path 6c). 

## The Supply of Gold (Box 3)

Gold coins are the primary form of money in _UO_. NPC shopkeepers and vendors get paid in gold and big ticket items like houses can only be bought with it. Gold enters the economy through two legitimate means: from creatures loot (path 2b) and by NPC shopkeepers making purchases (path 1c). Player-to-player transactions dont add or remove gold from the economy, of course (path 3a).

### Counterfeiting

In the early stages of _UO_, players discovered an obscure server fault which allowed them to clone certain kinds of items, primarily gold and reagents. Although the programmers discovered this cheat quickly, it took them a long time to fix it (Hackers Law). In the interim, the existing _UO_ worlds became saturated with gold. Estimates of the inflation value range from multiples of hundreds of thousands to millions. The hyperinflation destroyed the gold economy and players resorted to bartering and just plain-old charity during this period. The results of this inflation are explored in Chapter 5.

### Alternate Currencies

As in the real world, players are free to barter between themselves and thus alternate player-to-player currencies are possible. However, it did not occur en masse in _UO_ once the counterfeiting cheats were corrected. Presumably, this is because there are a number of important commodities such as real-estate and reagents which are only priced in gold and players find it cumbersome to convert between more than one currency. 

## Drains

### Item Drains

There are five primary ways in which items are removed from the economy.

1. Botched manufacturing is the result of inexperienced player manufacturing. (Path 4b.)
2. Degradation is simple wear and tear; for example, as a character uses a sword it wears and eventually breaks. (Path 6d.)
3. Decay is garbage collection if items are left on the ground in an unprotected place (such as outside of a house), they will be reclaimed by the server within a few minutes to prevent the world becoming littered with junk. This is very common after someone is "killed". (Path 5b.)
4. Degradation (Path 6d again) also covers consumables such as reagents which are destroyed when used.
5. Selling to NPC shopkeepers can remove items from the world if they choose to destroy the item. (Path 6c.)

Players genrally dislike the first three of these drains because they seem to be artificial rules which take away their goods. But, without these rules, the game would become cluttered and pointless.

The forth drain consumption is very natural and players accept it. Perhaps making more items consumable would alleviate some of the hoarding problems. This will be examined in Chapter 5.

The firth drain selling items to NPC shopkeepers is very popular because it theoretically generates a profit for the players. This item drain is not a true sink of goods because it involves printing gold to pay for the goods. Thus, it is really a conversion from non-gold resources to gold. (See Chapter 5).

### Gold Drains

Gold leaves the economy in two principle ways:

1. NPC shopkeepers take gold when they sell goods to players. The large sums paid for house deeds are a very significant component of this. (Path 3b)
2. Rent charged by vendors. Note that this drain did not exist until vendors were added about six months after the initial release of the game. (Path 3c)

| ----- |
|  ![][7] |    |  
|  **A humble miller's shop including oven and mill.** |   |

## Land and Housing

Players may construct houses in _UO_. Much like the real-world, obtaining housing is considered a major sign of achievement and advancement. These houses range from humble abodes to grand castles. Some houses include tools utilities such as metal forges which make them more akin to small factories than houses.

The rules which govern land and housing are significantly different from real-world market economies. The following summarizes these rules:

* There is no trade in land. Any land which is not crossed by a road and is level can be taken on a first-come, first-serve basis.
* A house is constructed by purchasing a deed in gold from an NPC shopkeeper. This deed is then taken to the desired location where it is magically turned into a house.
* A character may own only one house. (Keep in mind that a subscriber may have more than one character.)
* Houses can be shared among several players by duplicating keys. For example, a mule character may be used to obtain more housing.
* While not guaranteed, houses are secure for all practical purposes. Players tend to fill them with items to make them more glamorous or may just treat them as a place to store junk. (See Hoarding Chapter 5.)
* Houses can be neither stolen nor damaged.
* If not regularly visited by their owners, houses will decay and eventually disappear.
* Houses are required to run a player-controlled vendor and are thus crucial to the supply side of player commerce.

Several of these rules are designed explicitly to constrain the supply of housing. Controlling the supply of housing is very important for several reasons.

* Unimproved land is extremely limited. Wilderness is required for adventuring a crucially fun aspect of the game which must be maintained.
* Houses serve as storage vessels and therefore promote hoarding and server congestion.

# Chapter 5. The Economic Evolution of _UO

_

Although the _Ultima Online_ economy is only a year old, it has evolved radically over its brief life. The preceding chapters described the economic elements of _UO_, but the most interesting aspects are how those elements were forced to change due to player reaction.

The original design focused heavily on macroeconomic rules: the closed resource flow, the mechanics of supply from NPCs, and the drain rules to name a few. With perfect hindsight, one can argue that these macro design elements came at the expense of microeconomic development. For example, there was little investigation of alternative price determination mechanisms for NPC shopkeepers; their prices are based on simulation instead of real world mechanics such as auctions. Also, vendors were not added until six months after release despite their pivotal significance to the micro-economy.

Early economic design decisions were further obscured by the effects of counterfeiting. One designer said: "We really have no idea how well the original simulation worked because counterfeiting destroyed the experiment."

The following sections examine specific problems within the economy, some of which are still major issues. The microeconomic aspects are examined first.

## Over-Production

As explained earlier, skills improve through use. For a manufacturing profession such as tailoring or smithing, players are motivated to improve skills because it will allow them to make better items for themselves on-demand in the future. Thus players, in the process of training, produce huge numbers of item regardless of whether there is a market for them. This, combined with the effects of macroing and the fact that some players create items for the shear fun of it, conspire to shift the supply curve to the right. This results overproduction and deflated prices of many basic goods. (Figure 3)

![][8]

**

Figure 3. Shifted supply curve

**

Complicating this oversupply problem in _UO_ is that the players expect to make a profit for their labor regardless of whether or not there is a market for it. A tailor may create a large number of shirts and then take them to an NPC shopkeeper to sell. The shopkeeper, already storing a pile of identical shirts which he cant sell, refuses to buy more. Many players will report this is a bug! They will claim (with some justification) that the game encouraged them to produce but they didnt make a profit! In other words, players expect a free ride.

The psychology of this is interesting. In the real world, these people would not expect a shopkeeper to buy goods which were in massive oversupply; and even if they did, who would they complain to? There are several explanations for this profit expectation

First, most players on _Ultima Online_ have played many hours of single-player games and in these single-player games player are at the center of the universe. Because _UO_ places a large emphasis on character development through production, players expect that this is a mechanism for the young character to develop and gain gold at the same time (which is, indeed, accurate). These two design goal at are odds with each other. On the one hand the game is trying to be a realistic economic environment, on the other hand it contrives economic elements such as character development which just don't fit within the simulation.

The second factor in the profit expectation is that in _UO_ almost all characters are forced to be entrepreneurs of some type, a fact which doesnt correspond well to these players real life. In other words, most people in real life generate their incomes from employment contracts and thus they understand these arrangements. Unfortunately, such employment contracts are not implemented in _UO_. Therefore, there is naturally disappointment when players are forced into being entrepreneurs and find that this job is not effortless.

Further exacerbating the over production problem is that many players use "macros" (a program which replays a series of mouse moves and clicks) to script the tedious functions of production. This creates even more junk that can not be sold and even more demand for the NPC shopkeepers to buy the goods back. Meanwhile, other players who dont cheat complain bitterly that others are getting ahead through cheating and then justify their own cheating on these grounds.

Eventually, the designers were forced to partially give in to these demands. They changed the shopkeeper code to buy goods such as shirts which were in massive oversupply regardless of the demand. However, to prevent abuse, the shopkeepers will only buy in limited quantities, say 10 an hour, so that players will not be able to write a macro which produces endless shirts and sells them for endless gold.

In order to facilitate these shopkeeper changes, the AI which required the shopkeepers to keep a positive cash flow had to be abandoned. Shopkeepers now effectively print gold in order to pay for the useless goods which are being created by the manufactures. The result is that the improve-by-doing system is inflating the gold supply. However, compared to the hyperinflation which occurred while counterfeiting was possible, the inflation is minimal and goes almost unnoticed.

## Failure of NPC Shopkeeper Economy

There are many miscellaneous items in the _UO_ world which, for thematic reasons, are not available as loot on monsters. For example, it doesnt make sense for an orc to be carrying a chair. As discussed above, many of these items are supplied by player manufacturing; however, not all items have player manufacturing paths. The remaining items have to be produced by NPCs who can simply create them out of thin air. The importance of NPCs was especially relevant during the early days of the game for three reasons: 1) characters were expected to be undeveloped and therefore unable to produce many goods efficiently 2) vendors didnt exist to streamline player-to-player transactions 3) not all player manufacturing paths had been implemented.

A large amount of work went into making the NPC act like intelligent shopkeepers. As described above, their AI involved a complicated set of values such as inventory, sell through, resource value, cash on hand, etc. to arrive at prices. In other words, they created a full-blown simulation of supply and demand.

As if this simulation wasnt complicated enough, the problem of price determination was compounded by the oversupply of certain player-manufactured goods as well as by hyperinflation through counterfeiting. With hindsight, a strong argument can be made that this complicated algorithm should have been abandoned in favor of some variation of an auction.

However, even creating an auction does not entirely solve the problem. As described above, players who are encouraged to produce because they improve-by-doing expect to make a profit for their labor. Obviously, no auction is going to provide such an external profit. Thus, unless the improve-by-doing scheme is fundamentally revised or a mass change of players expectations occurs, the NPCs have to buy back useless goods and print the gold to do it. Another problem with auctions is that it is hard to imagine that they could run efficiently without large marketplaces which are currently underdeveloped. However, if properly implemented, large organized markets could not only help price determination, but also create fun socialization events as they do in the real world.

Despite the work that went into providing NPCs as suppliers the truth is that, especially in the early days of the game, there was little that the NPCs provided that players wanted. Most of their demands were being fulfilled by loot on monsters or through the infantile (pre-vendors) player-manufacturing economy. There were two important exceptions to this: magical reagents (discussed in detail below) and raw materials.

Raw materials such as cotton and wood were sold by NPCs in order to help characters more quickly advance their skills in the improve-by-doing system. In other words, it is tedious enough repeat the skill over and over again without having to venture off into the potentially hostile woods to gather raw materials. The prices of these raw materials were kept artificially low (i.e. subsidized) for these developing characters. Due to the profit expectation, the shopkeepers would buy back the finished goods made out of these raw materials at a premium. The result was simple: the shopkeepers went broke they had piles of things no one wanted and no cash. Before abandoning the idea that the shopkeepers should be running realistic profit simulations (i.e. that the shopkeepers should track cash on hand), the designers first tried to create things for the shopkeepers to sell which people actually wanted. This, they thought, would attract cash and thus underwrite the oversupplied market in player-manufactured goods such as clothing. Furthermore, it was thought, this would help extract gold from the hyperinflating economy.

This scheme did not work. First, it was very difficult to come up with things that players wanted for which they were willing to pay very high prices. Second, the things they did think of generated player outcry as unfair competition by the NPCs. For example, they created a special blue plate armor pretty much the same thing as regular plate armor except it was blue! The players who specialized in making armor were outraged. "Thats not fair, why cant we make blue armor? The NPCs have an unfair advantage over us player manufacturers!"

An interesting analog can be drawn here between these virtual subsidization efforts and the efforts made in the real world to help developing nations.

Another major exception to the rule that NPCs did not supply things that players wanted is magical reagents. Shopkeepers are the only source of reagents. It was not long before a group of players realized that they could corner the market in this valuable commodity. (In fact, some of the first people to try this were actually employees at a rival computer game company.) This group became highly efficient at the process of buying up all the reagents available at every store. They had to devise secure warehousing as well as a scheme for dividing up the inventory for redistribution. On the one hand, this scheme created an very interesting player event, the kind of thing a game designer hopes will be possible within the rules. On the other hand, while it amused a minority, it annoyed the majority who demanded that Origin stop the Mafia.

![][9]

**

Figure 4. Simplified view of two parallel economies

**

In practice, there are really two economies within _UO_ as diagramed in figure 4. The NPC-to-player economy involves the flow of goods and services between NPCs, players, and resources. The second economy is the exchange between players. The NPC economy was intended only to augment the player-to-player economy to supply those things which it didnt make sense for the players to produce and to stimulate adventuring. One thing is clear: managing the non-player economy is extremely difficult. To put the matter in real world terms: _central planning doesnt work_.

The addition of vendors has significantly improved the player-to-player economy. This allows players to effectively trade through a proxy while they are not online. There is room for improvement, however. For example, the vendors can not auction or haggle to find ideal prices, they will sell only at the prices assigned by their owner. Vendors can not buy goods and thus players can not accumulate goods while offline. There is no such thing as an enforceable contract so futures and other agreements are impossible.

Perhaps more importantly, player-controlled vendors are scattered throughout the world attached to players houses. The search time and cost to find vendors is high (not to mention perilous). One good step in improving this was allowing players to place signs which labeled their houses as a certain kind of shop. The players also created advertising campaigns themselves. For example, they posted messages on public boards and gave away "recall runes" which allowed customers to teleport instantly to their shops.

## Hoarding and The Failure Of The Closed Economy

Figure 1 illustrates the original design of the macro-economy. Notice that all of the drain paths lead back up to the top, forming a closed loop. The impetus for this design was to prevent resource inflation; the theory being that a fixed quantity of resources would simply circulate from abstract to concrete and back again thus preventing the inflation that had plagued many similar on-line worlds. While this sounded good in theory, it was a failure in practice.

What the designers had not counted on was the deflationary effects of hoarding. What actually happened was that many of the resources accumulated as inventory (box 6) with little flowing back to the top via the drains. As the virtual resources in the "bank" (box 1) dried up, there were no longer resources available to spawn creatures and their loot. The result: the world became boring and the players began to complain loudly.

At first, the designers attempted to solve the deflation problem by pumping more resources into the world they simply increased the total quantity of resources in the bank. But, no matter how much they added, the resources always flowed into inventory and just sat there. The problem, they concluded, was the lack of drains not enough stuff was flowing out. However, players are (understandably) extremely resistant to rule changes which take things _away_ from them. Thus, significantly increasing the decay or degradation rates is politically unfeasible. New drains were proposed: taxes, maintenance fees on housing, etc. Unfortunately, many of these drains feel too much like real world "work" and are therefore politically unacceptable (see Fun Chapter 2).

After a few changes to hoarding rules, such as limits on the number of objects which can be practically kept inside of a house, the designers were forced to give in. It was clear that the drains were not going to be steady enough to count on so the answer was to disconnect the output from the input. This is demonstrated in the drain difference in figure 2. In this diagram, all outputs flow to the ultimate drain where they are simply destroyed. At the top, new resources are created out of thin air (the "faucet") and flow into the world at a more or less constant rate. While this solves the deflationary problem, it does not solve the server congestion problem; the server backups are still growing and some sort of improvement in the drains will have to be created sooner or later. This is a contentious topic because it is filled with politically sensitive solutions.

The first question that must be asked is, "Why do players hoard?" It is a difficult question to answer. Among the theories proposed are:

**
* Decoration. **People will line their houses with such things as helmets or cloth to make their space interesting and special.
**
* Laziness. **Why bother throwing things out if there is plenty of space and it doesnt cost anything to warehouse?
**
* Speculation. **If players think that the price will go up on an item, they will hold it in hopes of selling it for more later.
**
* Pack-rat syndrome. **"I might need this someday."
**
* Mementos. **Objects can serve as reminders of old adventures. "Remember when I got that from the dragon during"
**
* Status symbols. **Huge piles of wealth show how experienced the player is and can be used for bragging rights.
**
* Achievement. **Many games are filled with arbitrary goals, some players will create them even when they dont exist. "I have a million gold, I win!"

Regardless of the psychology, new drain mechanisms will ultimately have to be adopted to combat hoarding. There are as many ideas of how to do this as there are theories of why people hoard. Unfortunately, most of them suffer from the same political problem: players dont want new rules which take things away. Among the ideas:

**
* Taxes. **Charge fees for maintaining a character in proportion to their property, income, or purchases. Although this would be fairly easy to implement, it is politically explosive.
    * One corollary to this idea is to have imperfect tax enforcement. If players are randomly taxed (like an IRS audit) in proportion to their wealth there might be an interesting wealth gamble which takes place which reduces the overbearing perception of a tax.
**
* Maintenance on real-estate. **Make houses or other capital goods deteriorate in such a way that repairing them must be done by an NPC. Adding a similar PC repair skill would only help the hoarding problem if it consumed some resource however what that resource would be is unclear.
**
* Natural Disasters. **Clear out hoards with an occasional storm or quake.
**
* Lotteries. **Like any real-world lottery, rig the numbers so that it collects considerably more than it pays out.
**
* Consumables. **Currently, magical reagents are one of the few consumables. It is just a matter of design to think of more items which provide a useful function but which consume a resource. Increasing the consumables is by far the most politically feasible drain because the players feel they are getting something for their cost i.e. it isnt a tax.
**
* Indulgences. **Services such as red hair dye which players are willing to pay for but which dont cost server resources. Extreme examples might be titles; for example, 10,000 gold buys a character the title "lord".
**
* Recycle bins. **Provide places where players can dump old junk for cash. This will inflate the gold economy but reduce server overhead (since gold requires fewer server resources then non-gold items).
**
* Capital good depreciation. **Make items which are used to produce other items such as forges, houses, tools, etc. degrade more dramatically with use. This is slightly more politically acceptable than other degradation rules because these items are producing profit while they are functional.
**
* Housing auctions. **Sell houses though auctions instead of fixed prices. This would be particularly helpful in reducing gold inflation.
**
* Market fees. **Specialized taxes for places such as large marketplaces.
**

**

In addition to these direct approaches, there are several indirect methods to combat hoarding.

**
* Improve the inter-player micro-economy. **It can be argued that if the player-to-player economy were more robust, players might feel more willing to part with some goods because they know they can get them easily later. (Unfortunately, this only addresses the pack-rat syndrome.)
**
* Eliminate the improve-by-doing system; replace with pay-to-improve. **A major change in mindset would also effectively combat over-supply instead of improving skills through use, have at least some skills improve though training or magic which must be _paid for in gold_. This gold would be obtainable through item sales to NPCs and recycle bins both of which are politically acceptable item drains. This design has the added benefit of cycling more of the economy through gold, which makes the job of monitoring and regulating the economy easier and more realistic. Figure 5 demonstrates this.
**

![][10]

Figure 5. Alternative macro-economy.  
Skills purchased with gold instead of improve-by-doing.

**

## Counterfeiting

As mentioned earlier, the counterfeiting of gold and reagents was possible through various loopholes which took some time to fix. Because the bugs were found early, the resulting hyperinflation was limited to only the few worlds which existed at the time. Looking at those worlds now, there appears to be a higher "standard of living" in the form of castles, houses, and other expensive items (although one should be cautions with this analysis since should it may be simply because these worlds are older). An interesting observation is that players dont seem more attracted to these wealthier worlds. Most players seek challenges when it gets to the point where they can buy whatever they need at the corner vendor, whats the point? Thus, many people simply stop playing these maps and move on to other, newer and fresher worlds.

In the real world, we associate hyperinflation with the almost total devastation of a country and its population. In _UO_ this really did not happen because there was little that players wanted that was purchasable with gold. The one major exception was reagents which were also cloneable! The hyperinflation, while annoying, did not preclude players from having fun and, in the end, this is all that matters. This should perhaps introduce a bit of humility into the over-design of the economy for all its complications, it is not required to make the game fun.

After the inflation bugs were fixed, the designers attempted to extract gold from the inflated economies. While imposing a simple progressive tax might have sufficed, it was (as always) politically unfeasible. The designers tried to create unique items such as special suits of magical armor which would command huge prices and thus deflate the economy a little. They could not make a dent in it and ended up creating even more problems (see _Failure of NPC Shopkeeper Economy _above). The game masters even tried to create special events to extract the gold. For example, they auctioned off special red hair dye in a one-time-only special. Players literally queued up for hours, partitions had to be built to stop them from cutting in line and guards had to stop fights from breaking out. While the dye auction did fetch a lot of gold, it required too much effort on the part of the game masters to make it worthwhile.

# Chapter 6. Conclusion

## Lessons Learned

* Hoarding is rampant. (Failure of closed economy.)
* The economy must maintain liquidity; tying the input flow rate directly to the output flow rate was a bad idea because hoarding froze the input making the game uninteresting. (Failure of closed economy).
* Over emphasis on the macro-economy and under emphasis on the micro-economy made setting prices on NPC goods difficult and inefficient. (Failure of NPC Shopkeeper economy).
* Institutions and opportunities for player-to-player trade need to be thought out and provided but not overly developed. (Failure of the NPC Shopkeeper economy).
* Some design elements had unintended economic consequences (vendors used as storage). Economic motivations and incentives need to be considered on all design elements.
* Incentives to overproduce result in oversupply and devalued prices (improve-by-doing system).
* Players expect to make a profit for their labor if that labor is encouraged through game mechanics (improve-by-doing system). This profit expectation can cause significant disruption if the design does not allow for it.

Another way to look at this is to state what happens when a game economy fails. In a poorly functioning game economy:

* Advanced players give newbies high-powered items because the advanced players have more than they will ever need.
* Advanced players throw away items which a newbie would love to have because it is not worth the advanced players trouble to find a newbie to give it to.
* A newbie has nothing to offer a medium level player who in turn has nothing to offer an advanced player.
* Players continually hoard items increasing the size of the database.
* Players litter the world with old items which cannot be sold to free up space for new items.
* Players lose interest in the game because there is nothing left to acquire.
* Players resort to barter as the currency hyper-inflates or disappears.
* Prices fluctuate wildly due to inefficient microeconomic institutions.
* Players can find the items they want for sale and cant find buyers for the goods they have been encouraged to produce.
* Tragedy of the commons rules the public resources.

From these lessons, we propose several possible modifications to the economy. (This is by no means a complete list nor are many of these ideas original. Furthermore, some of these ideas may be mutually exclusive.)

**
* Create enforceable contracts. **For example, one could create a three-way contract where the third person acts as an arbitrator of the contract (perhaps earning a cut for his trouble). The third party would have enforcement rights granted by the system such as the ability to transfer assets to the victim. This would potentially allow for a more robust player-to-player economy with such elements as employment and futures agreements.
**
* Create auctions. **Auctions can be used to determine prices very efficiently, especially on identical commodities like many of the items _UO_. Auctions have the added benefit of creating a fun social event. One possible implementation would be to create an NPC auctioneer who presides over an auction at a specific time and place. The players would announce their ask and bid prices by typing, for example: "offer 100 pearls for 5 each" or "bid 10 on 50 shirts". The NPC auctioneer would check the bank accounts of the bidder and only consider it valid if the character has enough to pay. When the transaction is complete, the auctioneer transfers the items and money directly between accounts. (An alternative implementation would be to allow players to buy "seats" in the exchange which serve the same function as the inter-account transfers.) If the auctions work well, the prices derived from auction can be used to set NPC shopkeeper prices automatically.
**
* Allow vendors to buy.** Allow player who run vendors to set buy prices and quantities. This would promote significantly greater exchange. It is also fun as it creates the felling that "I have something that someone else wants."
**
* Deepen production paths.** The production paths for many objects are quite shallow. Add more intermediate steps to produce some common items and make the intermediate goods craftable via the same mechanism used to produce the final goods. Make skill increase on these intermediate goods faster for less skilled workers and negligible for master craftsmen. This will promote an apprentice system where newbies have an immediate role to fulfill in manufacturing and gain skill at the same time.
**
* Change from improve-by-doing to purchase-to-improve.** See "Eliminate the improve-by-doing system; replace with pay-to-improve" on page [*][11].

## Immediate Research Goals

Further research into the _UO_ environment is certainly warranted. Immediate research goals are to add code to the _UO_ servers to track the flow of goods and resources. This will help verify the theories presented in this paper and will help the designers of _UO_ and future persistent online worlds to design, measure, and manipulate their virtual economies.

Specifically, we intend to measure:

**
* Player-to-player, player-to-NPC, and player-to-vendor trades. **For each transaction, record the quantity, quality, and type of item traded.
**
* Stock in vendors, stock in accounts. **Track the total amount of goods stored in vendors, the number of vendors, and the goods stored in safety-deposit-boxes and bank accounts.
**
* Inflow, Outflow. **Record all resources which flow into the economy and ultimately drain out.
**
* Backup size. **Changes in the backup size should correlate with the differences observed between the outflow and the inflow.
**
* Player churn. **Record the number of hours that players are online.
**
* Housing.** Record the number of square feet of housing that is being built and destroyed.

## Long Term Research

Economist have long lamented the difficulties that social scientists face compared with physical scientists. Fifty years ago, Edward Chamberlain observed:

_It is commonplace that, in its choice of method, economics is limited by the fact that resort cannot be had to the laboratory techniques of the natural sciences The social scientistcannot observe the actual operation of a _real _model under controlled conditions.3

_

Since then, experimental economists have worked to address this problem by creating methodologies of laboratory experimentation. Many results have been achieved by paying subjects to induce preferences and controlling the institutions with which they interact.

There are, however, inherent limitations to laboratory economics as currently practiced. Two in particular are striking. First, one can only experiment with a small number of markets, in isolation from a whole economy. Second, the very control which makes laboratory experiments beneficial largely limits research to those subjects which are fully formalized.

_

Ultima Online_, and online games similar to it, offer a unique research platform because, while the commodities traded are virtual, the resulting economies are not simulations. This has several implications for research:

* Experimental subjects have real preferences, not just the ones they are paid to have.
* Subjects make their decisions in a long-term social environment. Notions like tragedy of the commons have real context and meaning.
* Experimenters can engage in experiments which would be too costly or unethical in the real world.

Because it is implemented on a computer and is so different from the real world, many may argue that this economy is not real; that it is merely a simulation. However, this misses the point. UO players are engaging in this commerce voluntarily; in fact, they are paying real money for the privilege! Proof of the reality of the economy can be obtained by observing the real-world prices fetched by players who auction off existing UO characters and property on the electronic auction house ebay.com. As of this writing, one character sold for $2000! It is this economic reality which makes _UO _a potentially very interesting research platform.

# Notes

1. Among the best of these web pages is: <http://uo.stratics.com>
2. Bartle, Richard. Hearts, Clubs, Diamonds, Spades: Players Who Suit MUDS. <http://journal.tinymush.org/v1n1/bartle.html>
3. Chamberlin, Edward H., 1948. An Experimental Imperfect Market. Journal of Political Economy 56(2):95-108 

# Acknowledgements

Thanks to the entire _Ultima Online_ team, especially: Raph Koster, Richard Vogel, Starr Long, Damion Schubert.  
Thanks also to: Andrew E. Stivers, Timothy O'Neill Dang, Steve Beeman, Jim Greer, and Prof. Jamie Galbraith. 

[1]: http://www.mine-control.com/cgi/gbook-mc.cgi
[2]: http://www.mine-control.com/image1.jpg
[3]: http://www.mine-control.com/image3.gif
[4]: http://www.mine-control.com/image4.jpg
[5]: http://www.mine-control.com/image5.gif
[6]: http://www.mine-control.com/image6.gif
[7]: http://www.mine-control.com/image7.jpg
[8]: http://www.mine-control.com/image8.gif
[9]: http://www.mine-control.com/image9.gif
[10]: http://www.mine-control.com/image10.gif
[11]: http://www.mine-control.com#improvebydoing

