---
created_at: '2015-08-31T02:49:31.000Z'
title: Well vs. Equal Temperament (2000)
url: http://www.math.uwaterloo.ca/~mrubinst/tuning/tuning.html
author: Phithagoras
points: 99
story_text: 
comment_text: 
num_comments: 62
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1440989371
_tags:
- story
- author_Phithagoras
- story_10145201
objectID: '10145201'

---
[Source](http://www.math.uwaterloo.ca/~mrubinst/tuning/tuning.html "Permalink to Well v.s. equal temperament")

# Well v.s. equal temperament

##  Well v.s. Equal Temperament 

Contrary to what you've been taught, Bach did not compose the Well Tempered Clavier to promote the equal tempered tuning system. Equal temperament actually did not come into use until the *20th* century. Bach's motivation for composing the WTC was to demonstrate the feasability of composing in well temperament and to demostrate the varying key colors in well tempered tuning as one progresses around the circle of fifths. The various well temperaments used in Bach's time are distinct from our equal temperament. Well temperament represented a departure from the various meantone tunings that were used in earlier music. 

In fact, western music from the time of Bach until the turn of the 20th century was not intended to be performed in equal temperament. Equal temperament is appropriate for some music of the 20th century, especially atonal music, and music based on the whole tone scale, but not for the works of the 18th and 19th centuries. 

Equal temperament, the modern and usually inappropriate system of tuning used in western music, is based on the twelfth root of 2. The ratio of frequencies for each semi tone is equal to the twelfth root of two. So, twelve semitones, one octave, gives a doubling of frequency. The uniformity that one gets by having each semitone equal allows one to freely modulate amongst the different keys. One main drawback to equal temperament is that all major thirds are quite a bit off from where they ought to be, roughly fourteen percent of a semitone. Perfect fifths are all pretty close. More importantly, though, other than pitch, nothing distinguishes the various keys. 

The well temperaments used throughout the 17 and 18 hundreds also allow one to modulate amongst different keys. However, the octave is not divided into equal steps. Rather, some semi tones are smaller and some are larger. Overall, perfect fifths tend to be pretty close, while the quality of major thirds varies around the circle of fifths, with the more unstable major thirds tending to fall on the black keys, giving the various keys different characteristics. 

Composers of the 17 and 18 hundreds used this in their music. When we listen to their music in our modern equal temperament, we are not hearing their harmonic intentions. Key color has been lost. 

Who's responsible for promoting this conspiracy? Books such as Grove's music dictionary which contain incorrect information regarding Bach's WTC. Music conservatories who have blindly been repeating the equal temperament dogma. Concert artists/halls that don't have the creativity or desire or, perhaps, musical awareness of intonation, to retune their pianos. The Piano Technician's Guild- modern piano tuners typically are only trained in tuning equal temperament. 

If you don't believe me, you can read more about it in Owen Jorgensen's 1991 encyclopedic work: 'Tuning. Containing The Perfection of Eighteenth Century Temperament, The Lost Art of Nineteenth Century Temperament, and The Science of Equal Temperament'. He provides ample historical and scientific evidence for these ideas. The library call number for this masterpiece is MT 165 J667 

What should you do if you want to play the music of Bach, Mozart, Beethoven, Chopin, etc the way it was intended? Find a competent piano tuner who knows how to tune historic well temperaments! This is what I am doing. I called over 20 tuners before I found one who could tune anything besides equal temperament. I recommend calling piano tuners that work for a university since they seem to be more knowledgeable about historic tunings. In Austin, I recommend Charles Ball. I will have my piano tuned to Thomas Young's 1799 well temperament. Owen Jorgesen regards it as an idealization of the various well temperaments used. Unfortunately I still have a few weeks to wait before he shows up. More to follow after the retuning! 

UPDATE: I finally had my piano was finally retuned ala Thomas Young. My simple piano is bursting with character. I've never had more fun playing through my favorite pieces. The new tuning is also a source of improvisational inspiration, with the character of the keys suggesting various musical possibilities. Note for note, there is not much difference between Thomas Young's temperament and equal temperament, at most 9% of a semitone. However, the effect of playing various note combinations is substantial. 

For example, major chords in the keys of C or F are very stable compared to in the keys of C# or F#. This is a result of the former having major thirds that are more in tune. One can hear this without being an expert. For instance, playing a C and an E two octaves higher, one gets a major third that sings for a long time. However, doing the same thing with F# and A#, the major third does not sing as richly. Rather, one gets a wavy texture, with the third pulsating in a manner that gives it a feeling of instability and excitability. Further, in Thomas Young's temperament, because there are several perfectly tuned 5ths and 4ths, and depending on which key, some other very close intervals, the piano resonates like a gorgeous chime when the sustain pedal is pressed thus freeing the other strings to resonate in sympathy with whatever sounds are present. 

One can spend hours just playing simple note combinations in Thomas Young and not get bored. 

Here is a table that compares the frequencies in Thomas Young's 1799 temperament to equal temperament. 

Table comparing Thomas Young's 1799 well temperament to equal temperament  
| ----- |
|  Note  | T.Y. ratio |  E.T. ratio |  
|  C  |  1  |  1  |  
|  C#  |  1.055730636  |  1.059463094  |  
|  D  |  1.119771437  |  1.122462048  |  
|  Eb  |  1.187696971  |  1.189207115  |  
|  E  |  1.253888072  |  1.259921050  |  
|  F  |  1.334745462  |  1.334839854  |  
|  F#  |  1.407640848  |  1.414213562  |  
|  G  |  1.496510232  |  1.498307077  |  
|  Ab  |  1.583595961  |  1.587401052  |  
|  A  |  1.675749414  |  1.681792831  |  
|  Bb  |  1.781545449  |  1.781797436  |  
|  B  |  1.878842233  |  1.887748625  |  
|  C  |  2  |  2  | 

In Thomas Young there are 3 kinds of perfect 5ths and 4ths, 7 kinds of major 3rds and minor 6ths, 5 kinds of major 2nds and minor 7ths, 6 kinds of minor 3rds and major 6ths, 5 kinds of minor 2nds and major 7ths, and 5 kinds of tritones. 

The table below depicts the various keys in Thomas Young, and how many percent of a semitone each interval is from the exact harmonic ratio intended. The exact ratio for the various intervals is given in the first column. So, for example, an exact 5th has a ratio of 3/2. For comparison, well temperament is given in the last column. Due to roundoff, the numbers might be a bit off in the last two decimals. 

For example, of the 3 kinds of 5th in Thomas Young's temperament, four are exact and so are off by 0%, four are off by 1.8326% of a semitone and four are off by 4.0325% of a semitone. One percent of a semitone has a ratio of 2^(1/1200). To get percentages, also called cents, from a ratio r, one takes log_2(r)*1200. 

Two features are the four exact 5ths and 4ths, and the progression of instability in the major 3rds (notice the symmetry too), the most stable being C-E, followed by G-B and F-A, etc. 

The other intervals also have a mirror symmetry, but about different positions in the circle of fifths. The most stable minor 3rds are those of the keys of A and E, while the most stable major seconds fall on the black keys. The best sounding chromatics, i.e. minor 2nds, are E-F and B-C, 

| -----|  
|  

     |  

C    |  

G    |  

D    |  

A    |  

E    |  

B    |  

F#   |  

C#   |  

Ab   |  

Eb   |  

Bb   |  

F    |  

E.T. |  
|  

Unison

1 | 

0.00000  | 

0.00000  | 

0.00000  | 

0.00000  | 

0.00000  | 

0.00000  | 

0.00000  | 

0.00000  | 

0.00000  | 

0.00000  | 

0.00000  | 

0.00000  | 

0.00000  |  
| 

minor 2nd

16/15 | 

-17.841 | 

-13.809  | 

-9.7763  | 

-5.7439  | 

-3.5441  | 

-3.5441 | 

-5.7439  | 

-9.7763  | 

-13.809  | 

-17.841  | 

-19.674  | 

-19.674  | 

-11.731  |  
| 

major 2nd

9/8 | 

-8.0649  | 

-8.0649  | 

-8.0649  | 

-5.8651  | 

-3.6652  | 

-1.8325  | 

0.00000  | 

0.00000  | 

0.00000  | 

-1.8325  | 

-3.6652  | 

-5.8651  | 

-3.9101  |  
| 

minor 3rd

6/5 | 

-17.841  | 

-13.809  | 

-11.609  | 

-9.4090  | 

-9.4090  | 

-11.609  | 

-13.809  | 

-17.841  | 

-19.674  | 

-21.506  | 

-21.506  | 

-19.674  | 

-15.641  |  
| 

major 3rd

5/4 | 

5.37661  | 

7.57645  | 

9.77627  | 

13.8088  | 

17.8411  | 

19.6737  | 

21.5063  | 

19.6737  | 

17.8411  | 

13.8088  | 

9.77627  | 

7.57645  | 

13.6862  |  
| 

4th

4/3 | 

1.83267  | 

4.03250  | 

4.03250  | 

4.03250  | 

4.03250  | 

1.83267  | 

1.83267  | 

0.00000  | 

0.00000  | 

0.00000  | 

0.00000  | 

1.83267  | 

1.95510  |  
| 

tritone

7/5 | 

9.42288  | 

13.4554  | 

17.4879  | 

21.5202  | 

25.5527  | 

25.5527  | 

25.5527  | 

21.5202  | 

17.4879  | 

13.4554  | 

9.42288  | 

9.42288  | 

17.4879  |  
| 

5th

3/2 | 

-4.0325  | 

-4.0325  | 

-4.0325  | 

-4.0325  | 

-1.8326  | 

-1.8326  | 

0.00000  | 

0.00000  | 

0.00000  | 

0.00000  | 

-1.8326  | 

-1.8326  | 

-1.9550  |  
| 

minor 6th

8/5 | 

-17.841  | 

-13.809  | 

-9.7762  | 

-7.5764  | 

-5.3766  | 

-7.5764  | 

-9.7762  | 

-13.809  | 

-17.841  | 

-19.674  | 

-21.506  | 

-19.674  | 

-13.686  |  
| 

major 6th

5/3 | 

9.40896  | 

9.40896  | 

11.6088  | 

13.8087  | 

17.8411  | 

19.6737  | 

21.5063  | 

21.5063  | 

19.6737  | 

17.8411  | 

13.8087  | 

11.6088  | 

15.6412  |  
| 

minor 7th

16/9 | 

3.66508  | 

5.86498  | 

8.06488  | 

8.06488  | 

8.06488  | 

5.86498  | 

3.66508  | 

1.83254  | 

0.00000  | 

0.00000  | 

0.00000  | 

1.83254  | 

3.90994  |  
| 

major 7th

15/8 | 

3.54400  | 

5.74390  | 

9.77630  | 

13.8087  | 

17.8411  | 

19.6737  | 

19.6737  | 

17.8411  | 

13.8087  | 

9.77630  | 

5.74390  | 

3.54400  | 

11.7313  | 

##  Notes for retuning an equally tempered piano into Thomas Young: 

In comparing two different tunings, the 'anchor point' is important. The ratio comparison of Thomas Young to equal temperament in the essay assumes that two C's have been tuned the same. When my piano tuner tuned my piano, it was A that was the anchor point. Basically, you need to transpose up everything by roughly 6 cents. This does not affect ratios between notes since each note is tranposed up by the same amount, namely by a factor of 2^(6/1200). The adjustment in cents from equal temperament is as follows, rounded to the nearest cent. I've been told that tuning any finer is too difficult. 

Adjustment to equal temperament  
| ----- |
|  Note  | adjustment |  
|  C  |  6  |  
|  C#  |  0  |  
|  D  |  2  |  
|  Eb  |  4  |  
|  E  |  -2  |  
|  F  |  6  |  
|  F#  |  -2  |  
|  G  |  4  |  
|  Ab  |  2  |  
|  A  |  0  |  
|  Bb  |  6 |  
|  B  |  -2  |  
| 

i.e. if you were to first tune in equal temperament, you could then adjust each note by the above number of cents to get the Thomas Young tuning. 

Copyright Michael Rubinstein 2000.    
[ Home ][1]

[1]: http://www.math.uwaterloo.ca/index.html

