---
created_at: '2016-08-07T22:43:11.000Z'
title: On Post-Modernist Philosophy of Science (2000)
url: https://www.uwgb.edu/dutchs/PSEUDOSC/Postmod.htm
author: iamjeff
points: 69
story_text: 
comment_text: 
num_comments: 70
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1470609791
_tags:
- story
- author_iamjeff
- story_12244144
objectID: '12244144'

---
[Source](https://www.uwgb.edu/dutchs/PSEUDOSC/Postmod.htm "Permalink to On Post-Modernist Philosophy of Science")

# On Post-Modernist Philosophy of Science

# On Post-Modernist Philosophy of Science

Steven Dutch, Natural and Applied Sciences, [University of Wisconsin - Green Bay][1]  
First-time Visitors: Please visit [Site Map and Disclaimer][2]. Use "Back" to return here. 

* * *

One of the most widely-cited modern comments on science is this one by Andrew Pickering: 

> On the view advocated in this chapter, there is no obligation upon anyone framing a view of the world to take account of what twentieth-century science has to say.

The quote is so widely cited because, first of all, if it didn't exist, scientists would be accused of constructing a straw man by stating that philosophers of science held any such views. Second, it neatly encapsulates a widespread view of science held by many philosophers. 

My response to Pickering is short and blunt. He pretty much mirrors my view of twentieth-century philosophy, so I am neither surprised, offended, or impressed. In a century that produced Stalin, Hitler, Pol Pot, Idi Amin and Slobo Milosevic, we still see philosophers and sociologists seeking the roots of evil in externals like family violence, poverty, television, even circumcision and lack of breast-feeding (and no, I am _not_ making those up!). Calling twentieth-century philosophy superficial gives it too much dignity; vacuous is the closest term.

This is a bit unfair to Pickering, who is actually paraphrasing a viewpoint that is not really stated so explicitly by its proponents. Pickering's own observations on the history of particle physics are, as far as I have seen, pretty moderate.

## Unfair to Postmodernists?

After a heated exchange with a sociologist of science, I looked a bit deeper into the "science wars." Post-modernist philosophers and sociologists of science do have some legitimate complaints. First of all, a large part of their work is, in the words of Douglas Adams' _Hitchhikers' Guide to the Galaxy_, "mostly harmless." There's nothing at all threatening to the legitimacy of science about attempting to unravel how personal interactions, group beliefs and prejudices, cultural biases, and unspoken assumptions have affected the process of scientific discovery; if anything, it makes the history of science a lot more interesting.

Also, and more seriously, they have a legitimate grievance about quotations being taken out of context, sometimes inaccurately, and quoted at second and third hand. For example, one of the most widely quoted remarks was an extemporaneous remark made in 1966 by Jacques Derrida who appears, on the face of things, to be denying the absoluteness of the speed of light.  What Derrida actually said was:

> The Einsteinian constant is not a constant, is not a center. It is the very concept of variability--it is, finally, the concept of the game [jeu - probably better translated as "play"]. In other words, it is not the concept of something--of a center starting from which an observer could master the field--but the very concept of the game which, after all, I was trying to elaborate.

More accurate and contextual quotations suggest that he was mostly speaking metaphorically. He seems to be saying that "the Einsteinian constant" (speed of light) is not a static physical frame of reference but a very different, dynamic frame of reference. Also, inaccuracies in several other quotations have been uncritically repeated by later writers. It's significant that a single paragraph out of forty years' work has generated so much notoriety. On the other hand, intellectually slovenly metaphysical extrapolations from modern physics clutter the intellectual landscape liked junked cars, so Derrida is being at the very least irresponsible.

So in an effort to clarify what bothers scientists about this field, here are excerpts and commentaries on a few recent articles. Brevity and copyright restrictions preclude my quoting the articles in their entirety. Readers are encouraged to consult the original articles to determine whether I have fairly quoted the authors (all the quotes come directly from full-text databases).

## Bruno Latour, _The Science Wars_

This article, from _Common Knowledge_ 8.1 (2002), pages 71-79, is in the form of a dialog between a sociologist (He) and an (astro)physicist (She). 

**She:** So you're a sociologist and you do research on scientists? Well, then you can explain something to me. People in my lab are forever talking about the "Science Wars." What's all the fuss about? 

**He:** If only I knew! I'd know what front to fight on, what equipment to carry, and what camouflage to wear. As things are, people are firing in all directions. It isn't easy to know what's going on. 

**She:** I've heard that the main thing is to avoid relativism. But I'm a physicist, and that presents a real difficulty. Without relativity there'd be no possibility of making measurements and we'd each be prisoners, to all eternity, in some single point of view. In my discipline, we need the relativity of frames of reference in order even to begin work. I have a special need for relativity because I work on events close to the Big Bang. You don't need relativity, too?

I reproduced the first three paragraphs verbatim to preclude any debate about quoting out of context. Anybody who would put words like this into the mouth of a scientist has no business complaining that scientists are uninformed! First of all, note the conflation between relativism and relativity. Science had no difficulty determining the size of the Earth and the distances to the planets and stars before relativity, so saying there would be no possibility of making measurements without relativity is simple gibberish. It's almost as if the author equates relativity with the ability to move from place to place. 

**He:** ...in the humanities and in ethics, [relativism] is an insult, implying: "you think that all points of view are valid, that all cultures are equal, that truth and error are on the same plane, that Rembrandt and graffiti have the same value, and that we can't distinguish between creationists and evolutionists because everything's valid and anything goes." .... The difference between departments of geology or geoscience and the curio cabinets of the creationists (I've visited some in San Diego--the "creationist research centers"!) is so huge that I don't see the point of adding an even more absolute distinction between true and false.

On the other hand, if the gulf is really that wide and clearly defined, is there any _harm_ in saying the distinction is absolute? What serious intellectual purpose is served here by denying the existence of an absolute framework? Admittedly there are profound problems in defining how we know a framework is absolute, but the fact that a problem is difficult doesn't justify avoiding the problem or asserting there is no solution.

The fundamental problem posed by Latour in this paragraph is this: _which of the two alternatives is more valid_? Without a defining direction for truth and falsity, what reason does Latour have for dismissing the creationist research as less valid? He can see there's a wide difference, but so what? 

On the one hand, there are those who, for the last two centuries, have constructed the history of a world several billion years old, and on the other, there are those obsessed by the Bible and at war with abortion. There's no connection between the two. They live in incommensurable worlds.  

There's enough here for a whole book. First of all, note the ideological slant: "obsessed by the Bible," and the wholly gratuitous injection of the abortion issue. Latour has obviously never studied the arguments and literature of creationism (I have). There could actually be no more perfect example of deconstruction and construction than the creationist attempt to redefine geology and biology in terms compatible with a literal interpretation of _Genesis_ . In fact, I would argue that the activities of creationists are such perfect examples that they raise grave doubts about the entire intellectual validity of "deconstruction" and "construction." And Biblical fundamentalists do not regard themselves as "obsessed" with the Bible. They regard the Bible as an accurate and scientifically legitimate record of events on a par with the Bayeux Tapestry's depiction of the Battle of Hastings and Halley's Comet. They regard their critics as "obsessed" by the Bible since they are unwilling to treat it as even potentially admissible evidence.

But let's deal with "construction." It bears an obvious similarity to the description of science as "myth." Both terms, users hasten to assert, are not meant to connote artificiality or unreality. But in that case, why use such semantically loaded words when equally neutral terms are readily available? Why not use "interpretation" in place of "myth," or  "generation" instead of "construction?" At the very least the use of semantically loaded terminology is sloppy, at worst it's intellectually dishonest.

And exactly what purpose is served by creating a category that lumps both the Periodic Table on the one hand, and Persephone and the seasons together on the other, under the single concept of "myth," or the development of the geologic time scale and creation of schools of literary criticism under the single rubric "construction?" Nobody, to my knowledge, ever attempted to test whether the seasons were linked to Persephone returning from the underworld, or ever built a technology around the idea. The two types of "myth" are different _in kind_ . So what value is there in lumping them into a single category? It's like lumping Notre Dame cathedral and a tin shed together because they're both "constructions." It's true, but trivial.

True story: I once had a discussion with a philosopher of science who said he had no trouble at all imagining science junking the Periodic Table and adopting some radically different conception. So I asked him if he thought it possible that, had Germany won World War II, _Mein Kampf_ might now be considered the definitive analysis of history with Marx relegated to the realm of crackpot literature. Oh no, he answered, that was inconceivable (this was before the end of the Soviet Union). But surely if any kind of idea is a "construction" it would be theories of history. On the other hand, asserting that it was in principle possible for science to junk the Periodic Table and go to something totally different, amounts to building a massive philosophical edifice on something _whose existence is entirely unproven_ . Despite the glib talk (more in popular discourse than formal literature) about "alternative realities," _nobody has ever demonstrated the existence of another reality_ . (If you're about to say "wave-particle duality," or "1+1 = 2 in decimal notation but 10 in binary," you're too illiterate to be reading this page.) 

**She:** So if I understand you correctly, you reject the accusation of relativism but claim there's no need for an absolute distinction between true and false in order to distinguish between this case and that. [but is there any positive value in denying an absolute distinction? - see above] In my field, if you reject absolute frames of reference, you're a relativist. But for us, that's a positive designation, and relativity's the only means of achieving commensurability.

This is such a garbled description of relativity I hardly know where to begin. Even before Einstein, there never was any "absolute framework" since we couldn't tell whether the entire universe itself might not be moving. Accepting relativity in science isn't "a positive designation," it's minimal literacy. What that final sentence means is open for conjecture since it has no discernible scientific meaning. And even with relativity we cannot be sure there is no absolute framework. We just haven't found one, nor does any theory require one, which is not at all the same thing as proving the nonexistence of such a framework. Nevertheless, the cosmic background radiation suggests that we are nearly stationary with respect to the large-scale universe as far out as we can see.

Actually, what Einstein showed was that the speed of light was invariant, not time or space. In relativity, there _is_ an absolute reference, the speed of light.

**He:** Very well, if you wish: I'm a relativist in the sense that I, like you, reject an absolute point of reference. I agree that this rejection permits me to establish relations and distinctions, and to measure the gaps between points of view. For me, being a relativist means being able to establish relations between frames of reference, and so, being able to pass from one framework to another in converting measurements (or, at least, explanations and descriptions). It's a positive term, I agree, to the extent that the opposite of relativist is absolutist.

I know a fair number of Biblical fundamentalists who are absolutists in any sense of the word, and they have no difficulty whatsoever "measuring the gaps between points of view." The more literate among them can even "pass from one framework to another" with some facility. They just don't believe that those other frameworks have any validity. So claiming you have to be a relativist to work with or evaluate other frameworks is flatly fallacious.

Incidentally, the sociological comments I've seen on creationism and fundamentalism have been simplistic and uninformed in the extreme. Most of the sociologists that have commented on creationism seem to have been so blinded by their own hostility to fundamentalism for its stance on issues like abortion or homosexuality that they fail utterly to "establish relations between frames of reference, and pass from one framework to another."

Ultimately though, what in the world is Latour talking about? How does rejecting an absolute framework allow him to "to establish relations and distinctions, and to measure the gaps between points of view" any better or any differently than having an absolute framework would? Given two maps, one with and one without grid coordinates, I would have no problem measuring the distance between points just as accurately on either map. Long before we designated Greenwich as zero longitude, we had no problem determining whether one point was east or west of the other. On the other hand, the grid coordinates would certainly help me measure my location relative to distant places much better, and an absolute framework in philosophy certainly helps measure the distance between ideas and truth or falsity much better than no framework. At bottom this paragraph is just gibberish.

[.....]

**He:** You see, this is what the Science Wars amount to: two intelligent academics posing stupid questions to each other. First of all, "social construction" doesn't mean a thing. And second, I'm not the one who uses the term--some of my colleagues do.  [Is this an admission that his field includes people who employ meaningless terminology? If so, why doesn't he address the issue straight on and admit that some sociologists of science are at the root of the problem, that the "Science Wars" are not entirely one-sided?] At any rate, it's not the term that's the problem, it's your perversity and your scandalous double standards. ... Look, when you use a radio telescope, when you do simulations on your computers, when you print your maps in "false colors," when you calculate the redshift, when you apply the theories of particle physicists--do these instruments, theories, methodologies play a role or not in the conclusions you reach? ... Picture, if you would, a ledger, consisting of a credit column and a debit column. If I understand you correctly, you'd place your instruments, radio telescopes, budgets, theories, etc., in the credit column.

**She:** Of course, because they allow me to have my say about quasars.

**He:** Then what would you place in the debit column?

**She:** I don't know. Whatever prevents me from talking about quasars: poor instruments, confused data, disputes among theoreticians--above all, an inadequate budget. 

[...]

**He:** .... I'm listening with great satisfaction as you entangle yourself in contradictions. ... What's wrong, my dear physicist, is that you change your accounts ledger depending on your audience--whether it's me or the general public. You always have two columns, one for credit and one for debit. But on the credit side, you now place the quasars, as if they're beyond discussion, and on the debit side you place your instruments, your budgets, theories, papers, colleagues--and you whine: "If only I didn't have all these machines and impediments, I could at last talk plainly and without obfuscation about my quasars."

If you have any doubts about the fairness of the quotations here, please consult the original article. The logic here is so tortured it defies belief. The physicist claims that her data and the facilities that aid her in acquiring them are assets, and insufficient funds, instrumental limitations, and poor data are impediments or debits. The sociologist puts the data (the quasars) on the asset side of the ledger and _all the human factors_ on the debit side. _But that is not what the physicist said!_ She very clearly put her instruments on the asset side as well, and most certainly she would place a healthy budget and many of her colleagues there as well. And Latour is perfectly well aware of it because he has the physicist respond:

**She**(coldly): I said ex-act-ly the opposite. I said that without radio telescopes we couldn't speak about quasars.

**He:** Why, then, did you pretend, in making fun of me, that there's a choice to be made between politics and reality? Either you play politics and arbitrarily decide, abracadabra, by consensus at a meeting of your lab colleagues, on the existence of the four quasars of the constellation of Betelgeuse or else the quasars determine what you say about them in print. You were the one who imposed this awkward choice on me, this choice of "language game" versus "reality." There are indeed two columns here: a debit column and a credit column; a column of language games, social construction, and discourse, a column of reality, truth, and exactitude. You have two languages, and your tongue is as forked as a viper's. When it suits you, when you're asking for money, you say, "The instruments permit quasars to speak." And on the other hand, when it suits you, you say, "We must choose between social constructions and reality." Personally, I think that's the epitome of fraud....  

No, the epitome of fraud is this paragraph. On the one hand Latour says "There are indeed two columns here: a debit column and a credit column; a column of language games, social construction, and discourse, a column of reality, truth, and exactitude." There could not be a more explicit opposition of social construction and reality. But he then criticizes the physicist for saying "We must choose between social constructions and reality" \-- _after_ he himself put the two in opposing columns! 

The real problem here is the creation of a simplistic false dichotomy, not by scientists critical of post-modernist thought, but by the post-modernists themselves. According to the paragraph above, we have data and external reality, and we have what people say about them. But that's an utterly meaningless dichotomy. It's as pointless as arranging books on a shelf by color instead of content. On the one hand, there is bad data masquerading as good, so not all data is an asset. On the other hand there are social constructs that lead toward improved understanding of reality and those that don't, so some are assets and others are debits. Studying social constructs in general makes as much sense as researching books with green covers.

[A fairly lengthy discussion follows leading to Alan Sokal's infamous hoax. Sokal submitted a paper consisting entirely of gibberish to a leading journal on philosophy of science and _got it published!_] 

**He:** Of course we represent a danger. We're the Sokalists' political adversaries.

**She:** So you admit, after all, that you want to politicize the sciences.

**He:** No, I attest I want to depoliticize the sciences so that they can't be used in this unsavory way as a tool for silencing political discussion.  

Okay, who are the "Sokalists?" How exactly are they attempting to silence political discussion? What's their agenda? Scientific journals are rife with political discussion as scientists debate falsification of evidence, curbs on DNA research, research ethics, implications of 9-11 security measures, depletion of energy resources, intellectual property rights, and so on. So exactly what political discussion are the Sokalists trying to silence?

I've never met a scientist who has a problem with studying the history of science, which certainly includes the social interactions within it. The account of how Darwin came to be aboard the _Beagle_ is fascinating. And nobody familiar with the story of how long it took to get from "a quantity of motion" to velocity, momentum, energy and acceleration can object to studying the role of language in clarifying or obscuring scientific thought. As I stated above, the vast majority of what post-modernists do poses no threat to science (though I reserve the right to debate its long-term contribution).

But lumping critics of post-modernism together as "Sokalists" and injecting the specter of "silencing political discussion" suggests that there is a hidden agenda here. Science, and rationalism in general, have been attacked on a number of fronts as means of supporting the hegemony of white male Europeans or justifying colonialism, war, economic exploitation, sexism, environmental injustice. The problem is there just doesn't seem to be any viable methodological alternative to science and rationalism. So the only alternative seems to be an ideological one: create a "feminist" or "Afrocentric" or "green" science and assert its validity by fiat, using the claim that traditional science is rooted in imperialistic language and thinking, and asserting the right (again by fiat) to reject traditional findings or accept unsubstantiated methods and data if they serve certain ideological ends.

Latour would never be that crass. But there's a fine line here between teasing out the real unspoken biases in terminology and practice (for example the naive assumption that IQ tests accurately measure intelligence, "validated" by the fact that white males outscored everyone else) and using language as a pretext for simply creating a parallel universe of your own. And if responsible post-modernists wouldn't do that, plenty of other people are doing it, and the responsible post-modernists are either unaware of it (which is ignorance) or silent while it happens (which is complicity).

I can't help recalling the gratuitous insertion of abortion near the start of the article and the remark about creationists being "obsessed" with the Bible. Is it possible that some post-modernists see criticism of their work as somehow tied to right-wing politics, or equate the existence of an absolute framework of reality with moral absolutism?

**He:** I'm using an image to show you the extent of their incomprehension. They haven't even begun to pose the question that we're trying to resolve in the history, sociology, and anthropology of science: how human beings can speak truly about events, about the irruption of new objects into the world. 

This statement goes beyond the realm of merely mistaken concepts of science into the domain of deliberate libel. If you believe this, no scientific critic of post-modernism has ever wondered about these things.

Also note the conflation of "speaking truly" and the "irruption of new objects." The two are simply not the same thing. Flying saucers and Immanuel Velikovsky "irrupted" into the world around 1950. Neither constituted speaking truly about events.

**He: **For the science warriors, there simply isn't a problem. They think that I'm playing the fiend, that I'm avoiding difficulties. Whereas I'm actually studying what they're scrupulously avoiding with their fraudulent accounts--and that is: how human beings imbue and fill the world with language.

"How human beings imbue and fill the world with language" is a long way removed from "speaking truly." Now a study of language and its uses would certainly include a study of the abuses as well, but a study of the uses of language that failed to take account of use and abuse strikes me as having no imaginable value.

**He: **How do you yourself, my dear, set about to speak the truth about quasars, which are scarcely a billion years younger than the Big Bang itself? But instead of listening, understanding, and reconstructing the difficulty involved, the science warriors deny the difficulty altogether. They arrive in the middle of the discussion in their clumsy clogs and shout, "The question shall not be posed! Over here we have the quasars of Betelgeuse and over there is Mme. X, the physicist. Those who wish to complicate this matter are dangerous relativists." For my part, I say, "Let us do our work. You go do your dirty business elsewhere. If you don't understand the problem we're posing, don't disturb those of us who do." 

My question is not "do scientists understand the problem sociologists are posing" but "do sociologists understand the problem sociologists are posing?" Not the local problems they seek to answer in their individual research, but the broader problems they create.

1\. If, as sociologists and philosophers of science claim to believe, it is possible to "speak truly," then that belief needs to be implicit in everything they do and write, and central to all their research. Nobody could read a scientific journal and come away with the impression that scientists doubt the objective reality of nature. The same needs to be true of everything that sociologists and philosophers of science write. People are quite capable of devising reasons to make literature say what they want it to say. Writing in a way that ignores, or worse yet, abets this process is not responsible scholarship.

2\. For people who claim to be fascinated with the use of language, sociologists and philosophers of science employ sloppy, semantically loaded language. If they do not mean to support relativism, then of all people it is absolutely inexcusable that their literature and discourse should create that impression. I could forgive an ordinary person for using inaccurate terminology, not someone who claims to make the study of language and its uses the entire focus of his work.

3\. For my entire professional career I have heard it said that scientists should accept responsibility for their work. I am not about to cut sociologists and philosophers of science any slack. Where is their equivalent of _Skeptical Enquirer_, a periodical for general readers wherein sociologists and philosophers of science deconstruct popular relativism? For that matter, where are the articles by sociologists and philosophers of science in _Skeptical Enquirer_ itself? Are these people such ivory tower elitists that they don't consider themselves as having any responsibility for popular misapplications of their ideas? 

* * *

## Jacques Derrida and Language

From A Discussion with Jacques Derrida, _Theory and Event _ 5:1 

"a culture is a colonisation, there is always someone else having more power than the other, who imposes his language, his force, his name and so on and so forth."

Jacques Derrida is a leading post-modernist philosopher and, if anyone is an expert in how language shapes ideas, it is he. So seeing him broaden the term "colonisation" to include every power differential casts serious doubt on the intellectual value of the whole enterprise.

I try to show or to affirm that a pure act of forgiveness should be totally dissociated from any horizon of reconciliation, salvation, or the economy of 'healing away' as they say in South Africa. We are reconciled or we forgive or declare amnesty and so on and so forth, we establish a commission of truth and reconciliation in view of 'healing away' or curing the traumatism, which is a good thing, but I wouldn't call this forgiveness. Of course we have to do whatever we can to reconcile, to heal away, to make the society work and so on and so forth, if it is possible, but we shouldn't call this forgiveness. A pure act of forgiveness should be totally free from any perspective or attempt or research of reconciliation or salvation, from any such form of benefit. It should be absolutely gratuitous, gracious.

"When I use a word, it means exactly what I choose it to mean, neither more, nor less." Some philosophers indeed argue that actions are devoid of merit unless there is no hint of self-advantage in them. If we extend this logic to its conclusion, you really can't claim to have forgiven someone unless you are simultaneously seething with violent hatred toward that person, because any lessening of hatred benefits the one who forgives and therefore lessens the value of the forgiveness.

If this is how one of _the leading thinkers_ in the field uses language, are scientists really to blame for not taking post-modernism seriously?

I have to concur with the critic who, responding to post-modernist criticisms that Derrida's words were taken out of context, replied "Derrida in context is worse than Derrida out of context."

One of Derrida's defenders is Arkady Plotnitsky, who wrote the following in "But It Is Above All Not True": Derrida, Relativity, and the "Science Wars" (_Postmodern Culture_ , Volume 7, Number 2, January 1997)

The accuracy of quotations from Derrida and others by their critics in the scientific community, such as Sokal or Gross and Levitt, has been stressed by many scientists involved in the debates at issue, and they are right to do so. As we have seen, not all of these quotations proved to be as accurate as these scientists believed. [true] However, even assuming that such quotations are accurate, their literal accuracy is meaningless if the reader is not provided with the meanings of the terms involved (such as "play/game" or "the Einsteinian constant"), is deprived of the possibility of establishing them from the quotation itself, or is free to construe them on the basis of other sources--say, one's general knowledge of physics, as opposed to the meaning given to these terms by Derrida's essay or by Hyppolite's question.

Horrors! Physicists interpret terms like "Einsteinian constant" based on their actual meanings in physics rather than how some non-physicist chooses to redefine the terms. This is about as close to "When I use a word, it means exactly what I choose it to mean, neither more, nor less" as one could ask for. 

Let me suggest an alternative: that responsible scholarship, especially by people who claim to be experts in deconstructing texts, requires the scholar to _find out_ what a term means and use the term correctly. If there's no suitable English term, find one from another language or coin one. If you do have a good reason to use an existing term in a novel or unconventional sense, define the usage rigorously. But don't throw out a phrase like "the Einsteinian constant is not a constant" and then complain when physicists blast you for it. 

Actually, this quote cuts to the central intellectual vacuity of "deconstruction." You can "deconstruct" a Ferrari and use the chassis for a hay wagon and the body panels to build an outhouse, but so what? You can sing _O Little Town of Bethlehem_ to the tune of _House of the Rising Sun_ (try it!) but that doesn't make _House of the Rising Sun_ a Christmas carol. And you can deconstruct relativity into a metaphor for relativism, but that doesn't make relativism scientifically or philosophically valid. And these analogies are dead on; deconstructionists _never_ build something more true or more beautiful from what they've deconstructed.

A few more comments by Plotnisky:

Derrida has commented more extensively and in more grounded ways on mathematics and science, and on the philosophical grounding of both. 

The footnote here references a grand total of two works.

He also makes use of mathematical and scientific theories, concepts, metaphors, and so forth (most famously, Gdel's concept of undecidability) in his work.

So what? If he doesn't make use of them in an accurate and informed manner, who cares?

In addition, his work is fundamentally linked to the question of technology via the question of writing, which defines his work throughout.

We can say this of everyone who writes about writing, or even uses a pencil. Why is Derrida's understanding of technology more worthy of serious consideration than that of Edward Constant (below), an actual technologist? The thing that unites Plotnitsky's remarks here are their utter banality and triviality. Derrida writes about writing, and writing is a form of technology, and therefore his work is "linked to the question of technology?" College freshmen write like this; scholars don't.

* * *

## Philip Scranton: A Defense of Sociology

This is from _Missing the Target? A Comment on Edward Constant's "Reliable Knowledge and Unreliable Stuff"  _ by Philip Scranton in _Technology and Culture_ 41.4 (2000) pages 752-764 .

### Introduction

In _ Technology and Culture_ 's April 1999 issue, Edward Constant offers an essay broadly critical of the social constructionist approach in the history of technology. ....In reflecting on his presentation, I have fashioned seven objections and comments, the last of which briefly treats its implications for future work in the field.

My analysis will deal with most but not all of Scranton's points. This essay is quite a bit more technical than Latour's dialog and doesn't lend itself as easily to condensation. I believe the quotes provide sufficient context to represent Scranton's thoughts accurately and fairly.

### Underspecification of a Core Concept

What "spatiotemporally universal knowledge" means is far from evident. Constant opposes it to "spatiotemporally particular" knowledge, which has an indeterminate relation to "local knowledge," but the parallel modifiers make for no little confusion. Are there different spatiotemporal shells or domains for particular and universal knowledge, and how are they differentiated? 

There may be shortcomings in Constant's terminology, but the confusion here strikes me as more tendentious than real. "Spatiotemporally universal" obviously means universal in space and time, and therefore not dependent on individual preference or cultural conditioning. To use a simpler term, objective. "Spatiotemporally particular" just as obviously means ideas that are true in particular situations ("it's raining") but not generally.

Jumping here to a footnote of Scranton's, he poses an example.

Consider these domains: nineteenth-century American engineering, nineteenth-century American mechanical engineering, nineteenth-century American locomotive engineering, nineteenth-century Philadelphia locomotive engineering, Philadelphia locomotive engineering from 1840 to 1900, Baldwin Company locomotive engineering from 1865 to 1900, Baldwin Company drawing room practice from 1865 to 1900. Where in this set of successively narrower domains do we shift from encountering spatiotemporally universal knowledge to finding spatiotemporally particular knowledge?  

Sounds reasonable, but it's so obviously asking a contrived question that it borders on willful obfuscation. At _every_ level here there is both universal knowledge and particular knowledge. Universal knowledge would be the physical properties of iron, the force of gravity, thermodynamic properties of steam, and so on. Even at the outermost level, nineteenth-century American engineering, there is also particular knowledge (use of English as opposed to metric units, for example)

At progressively more local levels, the knowledge would also become more local. "Follow these procedures when cutting a gear, make this part to such and such a tolerance, use a dotted line to indicate hidden lines on the blueprint, see George about getting drafting supplies," and so on. But some of this knowledge would be rooted in more universal knowledge. "We make gear teeth as involutes of circles because that shape allows smooth gear motion with less wear, and that property in turn is rooted in the geometry of the involute curve." Other knowledge is purely conventional. "We use 1/4-20 threads" because someone rather arbitrarily defined the inch centuries ago and someone else decided 20 threads to the inch on a 1/4 inch bolt would be a convenient thread size. "See George about getting drafting supplies" because he can be trusted to keep the supply room stocked and not tolerate pilferage.

In fact, probably the best definition of Constant's term "spatiotemporally universal" is knowledge that applies (or potentially can apply) at _every_ domain level. Suffice it to say here that we can consider everyday reality to be a special case of relativistic and quantum reality that applies at low velocities and large quantum numbers, just in case you were inclined to raise that objection. Returning to the main paper:

What is the relationship between spatiotemporally universal knowledge and other sorts of universal knowledge? Are there any other forms of universal knowledge--that is, knowledge that transcends historical and spatial contexts instead of generalizing across some set of them? 

More or less by definition, no. The extra qualifier "spatiotemporally" is needed because apparently straightforward terms like objective and universal have been so muddled by varied usage that they no longer serve in unadorned form.

Does that sort of universal knowledge, presumably of nature, apply in an immanent fashion before it is discovered, formalized, and disseminated, and if so, how so? Could it be knowledge before being known?

This could very well be one of the central issues between sociologists of science and scientists and bears an obvious relationship to the ancient question about a tree falling in the forest with no one to hear. (Yes, the tree does make a sound. It says "Oh $#!+"). To almost any scientist, the answer to the first question has to be yes. There are innumerable phenomena that acted indistinguishably from their present behavior before the physical processes underlying them were understood. People were killed by cannonballs long before the elements in gunpowder and the chemical reactions involved were known. Troy did not appear in the ground when Heinrich Schliemann decided to dig there.

As to the second question, if we define knowledge as "what people know", the answer is tautologically no. If we define knowledge as information about the universe that can be known, then yes. Here's a wonderfully and terribly bizarre example. Amazingly enough, it was not widely understood in the early 20th century that ammonium nitrate itself was explosive, despite its use as an ingredient in explosives. It was considered an inert material, often stored in piles or storage bins where it would absorb moisture and become hard as a rock. It was often broken up by pickaxes or even - this is not a misprint - blasting. Sooner or later, someone was bound to discover that ammonium nitrate was indeed explosive. It happened at the German town of Oppau in 1921. A solidified storage bin was attacked with pickaxes and then dynamite. As one of the German language sites puts it with sublime understatement, "das war keine gute Idee." The factory and town were leveled and nearly 600 people died. The crater was 100 meters across and 20 meters deep. I think that qualifies as "applying in an immanent fashion."

In this context, let me refer to a recent discussion on the Internet list H-Business, focused on the effort to fashion global accounting procedures and definitions and thus on the history of accounting. In the course of a series of exchanges, it became evident that national histories, legal traditions, divergent forms of business organization, and differing expectations of accountability influenced the creation of disparate, noncongruent systems of accounting. Reaching for a "universal"\--that is, global--model demands displacing national and, in some cases, cross-national, systems that have reached high levels of sophistication. Becoming universal here is a goal, fraught with political and economic implications, yet nations (and groups of nations following similar procedures) are certainly "translocal," absent a firmer definition of "local."

To push further, we need to appreciate how accounting practice is different from (or analogous to) technological practice....

This is actually an excellent example. Accounting is "constructed" in the sense that many of the conventions in use could be equally well replaced by a different choice of conventions. But underlying the conventions are more universal facts and principles. Any accounting system exists to provide its users with an accurate picture of the financial state of an institution. There are inputs and outputs. At the most basic level are the laws of thermodynamics (you can't create goods out of nothing) and the laws of mathematics. I suspect at a fairly trivial level, accountants wouldn't have too much trouble identifying universal unifying concepts. It's at the application level that things get sticky. And why would we expect otherwise? A system that works at a company whose efforts mostly deal with making inanimate objects wouldn't necessarily work at one that provides services.

Perhaps, given this article, Constant might argue for technological practice's rootedness in nature,... But this stance forces us toward a tough decision: drawing a line, somewhere, between the human and the natural.

Here again we have this false dichotomy: that belief in objectivity implies a dichotomy of human versus natural. Linguistics is human, but very much rooted in objectivity. It is objectively, historically true that French evolved from Latin, that English and German evolved from a common ancestor and that all evolved from Proto-Indo-European. History is also human, but rooted in objectivity. It is objectively true that Lee surrendered to Grant at Appomattox. It is objectively false that the myths collected by Immanuel Velikovsky are records of an early historical planetary catastrophe. The dichotomy is not between nature and human. Actually, it's not a dichotomy at all but a spectrum of spectra. It is first of all the spectrum from the ideas that can in some sense be confirmed by independent observers to those that hold only in the mind of the individual. Second, it is the spectrum from ideas that have been confirmed, through those that are indeterminate, to those that have been disconfirmed.

Structures may be more or less durable in planetary space; flows may accord more or less with our formulae. If spatiotemporally universal knowledge directly applies in space, then the claim for spatiotemporal universality does reach to plant its flag on the entire universe, and the modifier becomes weightless. 

This isn't the first time I've encountered a sociologist or philosopher of science who expressed doubts about whether terrestrial laws of science apply in space, and it bothers me. It points to a level of scientific literacy so low it beggars description. At least Alan Sokal knew enough about post-modernism to fashion a hoax that fooled reviewers.

* First, it's trivial. _Of course_ physical conditions are going to be different in space. "Wings generate lift" doesn't work in space. Constructs too flimsy to support their own weight on earth function nicely in space, and so on.
* Second, it reveals gross ignorance of what has actually been done in space. To get the _Cassini_ probe to Saturn, we used two flybys of Venus and Earth and one of Jupiter. This would hardly be possible if we didn't understand the laws of motion to extremely high precision. All the components on _Cassini_ are working exactly as designed. The mission may fail because of an equipment failure but it will not fail because knowledge in space applies differently than on earth. (That was written before _Cassini_ arrived - it has worked flawlessly.)
* Third, the very non-trivial question of whether the laws of nature apply on the largest scales of space and time has been researched in great depth by astrophysicists using a wide variety of observational tests. Scranton's comment suggests he's completely unaware of this work.

### Reliable Knowledge and Technological Practice

Throughout his exposition, Constant takes pains to show that reliable knowledge of technologies exists and is shared widely and utilized constantly. One can hardly object to this claim, but from the enthnomethodological perspectives he notes as related to social constructivism (but does not cite specifically) reliable knowledge is a condition of all human activity, a ground for language coherence, gestural understanding, and behavioral sequencing, within which knowledge about technologies can surely take its reliable place.

This is a comparison of apples and oranges. English and Japanese are reliable modes of communication with quite different ways of classifying words, and neither system is necessarily better than the other. But underlying the workability of English and Japanese are certain more universal requirements. They have to be capable of expressing a wide range of concepts with precision and without ambiguity (that's why dictionaries are even possible). They are objectively superior to languages with limited vocabulary for communication or ambiguous words and grammatical constructions. Even in the environment where the limited language developed, English and Japanese will probably be superior, capable of expressing ideas about the local environment not expressible in the local language. (Prove the Pythagorean Theorem in Ebonics) Most languages implicitly recognize that other languages express some things in an objectively better way; that's why languages borrow words.

The functionality of languages is rooted in underlying concepts of information theory and there is broad latitude for variation in practice. You can't go from the basics of information theory to conclude that "I saw" is more correct than "I seen." As long as the conventions are observed and preserved, the language will be a reliable mode of communication. But the conventions themselves can be quite arbitrary. Who decided that the sound "dog" was a logical sound to associate with the animal? 

Technology of course has its own conventions (line styles on blueprints; tying the meter to the dimensions of the earth is every bit as parochial as defining the yard in terms of the length of a king's arm span) but what makes the technology work is a dense layer of physical laws that do not depend on personal preference or cultural conditioning. You can express them in different terms, but once you know, say, the Japanese words for English concepts, or how to convert BTU's to joules, you can show that the different systems of expression are rooted in a common substrate. You can't go from the basics of information theory to conclude that "I saw" is more correct than "I seen." You _can_ go from the Second Law of Thermodynamics to conclude that a machine that purports to extract energy from ambient room air, without exchanging heat elsewhere, will not work.

If this is not the case, then what is the warrant for arguing that technology-based reliable knowledge is distinctive?  [See the preceding paragraph] What would constitute the significant differential in effectiveness and reliability of the knowledge we each use in communication, strategizing, and so on, in conversations, shopping, meetings, from what engineering scientists employ to sort signal from noise? Whence would come the metric that would gauge comparative reliability? Moreover, both shoppers and engineers misspecify situations and adjust practice, recursively, on the basis of outcomes. 

This isn't so much a matter of comparing apples and oranges as comparing Macintoshes with Delicious. The kind of knowledge Scranton describes here is essentially technological in the broad sense, in that it is geared toward achieving a concrete goal. "Adjusting practice, recursively, on the basis of outcomes" is a pretty good capsule definition of technology. Does anybody _not_ do this? Well, consider the aphorism that insanity consists of doing the same thing and expecting different results. Consider the people with strings of failed relationships, failed jobs, failed diets.

The questions about the standards or metrics that would be used are quite legitimate. But they do not _prove_ anything. The fact that standards are hard to define shows only that standards are hard to define; they do not show there are no standards or that one is free to ignore the issue. Indeed, we might term this The Fundamental Fallacy of Philosophy. Philosophers through the ages have been obsessed with the problems of human reasoning. The difficulties humans have in defining and identifying truth tell us a great deal about how our minds work. The one thing they do not and cannot do is tell us anything at all about the nature of reality.

### Oversocialized Versus Undersocialized Accounts

Constant objects to [sociological] analyses as being "almost purely social rather than material, which of course reflects the first axiom . . . of social constructivism, that material results--facts--must be explained by social processes"

Insofar as Constant scores  [sociology] as exemplifying an oversocialized mode of scholarship (the "social turn"), I must suggest that his exemplary cases are, by contrast, undersocialized. Beth, the figurative engineer working on "writing a computer program to simulate the behavior of a water desalinization system powered by photovoltaic cells" is a shadow person, a rational agent charged with a task. She relates to no deadline, no budget-conscious firm seeking results, no set of competitors working on analogous technological problems. We have instead a fine mind, a research apparatus, a foundational bundle of knowledges, and a decision framework that privileges, rightly it turns out, noise over signal. (sic) 

As much as any passage I've seen, this one cuts to the heart of the "Science Wars." To the scientist, even one as interested in the history of science as I am, the process of science is basically one of adding information and concepts to the existing body of scientific knowledge. As fascinating as the cooperation of Darwin and Wallace was, the important thing was natural selection.

Also, as fascinating as I personally find pseudoscience, it is an impediment to science, nothing more. Immanuel Velikovsky and creationism are fascinating sociological phenomena, and they have interesting things to tell us about how scientists differ from non-scientists in their reasoning, and how society and science interact. They do not, in any sense of the word, contribute constructively to science, any more than arson contributes to fire safety by giving firemen on-the-job practice. 

So from the perspective of many scientists these sociological phenomena are epiphenomena, side shows to the main event of increasing the knowledge base of science. Some, like Darwin and Wallace, are constructive, others, like creationism, are destructive. They may be fascinating, may even be capable of showing how to speed the process up or make it more reliable, but they are essentially peripheral.

To the sociologist, the established corpus of scientific knowledge is a substrate on which the interesting stuff happens. I don't have the slightest problem with this. The sociologist and I are examining two related parts of the same process; we even find some of the other's findings interesting. I start to see problems, though, when Scranton dismisses Constant's hypothetical engineer as "a shadow person." It smacks of tunnel vision and bears an obvious similarity to the way movie and literary critics frequently dismiss rational characters as "one-dimensional."

It's a bit like going to the reconstructed Globe Theater in London. An engineer might be fascinated by the reconstructed building without caring what was on stage. A drama student might focus on the play without caring about the building. Although I frankly find it hard to imagine anyone so one-dimensional as to be at either extreme.

The history of science as presented in science texts, especially older ones, is rightly unsatisfactory to sociologists. In the interests of providing students with a heuristic framework (frequently a historical approach is the best way to explain a complex concept) and a sense of historical orientation, the accounts were streamlined to the point where they presented a highly linear view of science devoid of false starts, blind alleys, and personality clashes. The reason textbooks do it perhaps a tad better than they used to, by the way, is partly due to the insights of sociologists. (But textbooks probably aren't that much better nowadays; my experience as a textbook author was that reviewers wanted history gutted entirely either to slim down the text or to make room for their own pet nanospecialties.)

Sociologists, on the other hand, need to realize that the way _they_ present the history of science can seem just as distorted. However honorable their intent, their language _seems_ at times to deny the existence of objective knowledge.

### Objectivity

The question of objectivity has been an animating element of what has been termed, perhaps too casually, the "science wars," a continuing, acid exchange between some humanities and social science scholars on one hand and a group of social science and physical science scholars on the other. Constant is concerned that "crosscurrents of doubt" about the objectivity (and other aspects) of "scientific and technological knowledge hold profound dangers." It is worth registering a request for a fuller discussion of what is endangered, why, and how, but that is not my aim. 

But it's worth answering. At the opposite end of the intellectual spectrum from the "Science Wars" (both camps), we have magic, a mode of thinking widespread in the world at large and even in American society. The magical thinker actually believes language can change reality; that wishing can make it so. Any mode of expressing ideas that encourages magical thinking is bad scholarship whatever its local academic merits might be.

Rather, I'd like to focus on what we mean by "objective knowledge." As I understand it, this refers to knowledge derived from observer-independent inquiry that also proves context-independent, hence reliable everywhere, transhistorical, and universal in the strong sense--at base, visions into the workings of nature. (In the strong model, humans are natural subjects.) 

That's as good a definition as I've ever seen. But notice all the descriptive terms from a writer who earlier complained about coupling "spatiotemporal" to "universal." It rather suggests that Scranton knew perfectly well what was meant. 

An undercurrent in this specification of objective knowledge is the question of whether "knowledge" is unitary or diverse. The unitary motif would count only the most fundamental of scientific findings as constituting knowledge, the rest as probabilistic, limited, and imperfect (though usually reliable) "information," some segments of which, with resolute efforts, might rise to the clarity and generality of mathematics, physics, and perhaps sections of engineering science. Referencing "diversity" instantly pluralizes "knowledge" into "knowledges," an array of situated information sets that describe environments and inform intentional actions, consistently but not uniformly. 

On the whole this is pretty sound. One major problem I see here is the total absence of _content_ . Science is pictured as fundamental laws or working principles. Where would we put the speed of light, the structure of table salt, the topography of Venus, cell mitosis and photosynthesis? These don't merely describe environments but are constant in all environments. And they inform intentional actions uniformly, not merely consistently. When I want to know how something works in biology, I don't go rediscover it myself; I go ask a biologist or read a book by one. If it's true for him it's true for me.

Earlier I described what I called The Fundamental Fallacy of Philosophy: the idea that the limitations of our minds tell us anything about the nature of reality. What we can call The Fundamental Fallacy of Modern Philosophy might be defined as the idea that it makes sense to study structure divorced from content. This is the idea that has given us businessmen who think they can "manage" without knowing anything about what they manage, critics who claim that only the technical excellence of a work of art matters, not its content, and sociologists of science like the one with whom I corresponded who think you can study the Velikovsky affair without regard to the scientific validity of Velikovsky's ideas.

In this frame, articulating a hierarchy from objective knowledge, "apprentice" objective knowledge (much of biology and medicine, mathematical economics), down to subjective information (our ways of going on in daily life, plus the rest of the academic disciplines) becomes irrelevant. Reliable knowledge exists in a variety of venues, each of which has linked values, expectations, and normative procedures for validating situated "truths." 

Whoa! Non-sequitur alert! **Huge non-sequitur!**

First of all, probably for reasons of space limitations in Scranton's paper, this classification is extremely simplistic. There isn't _a_ hierarchy - there are multiple ones all operating at once. First, there's the level of confirmation of ideas, with things like the Periodic Table at a very high level and, say, extraterrestrial intelligence at a very low level, and things like Immanuel Velikovsky at a negative level (that is, disconfirmed). Then there's the degree of completeness of theories, with again the Periodic Table very high, evolution and plate tectonics definitely less complete, and extrasolar planets way less complete. What Scranton terms "apprentice" fields are low on this hierarchy. This isn't the same as yet another hierarchy, the continuum from objective to subjective, with things like mathematics at one end and wholly personal tastes and preferences at the other. Nor is it true that "the rest of the academic disciplines" equate with "subjective." Historians certainly work with a fairly high degree of objectivity. Custer's Last Stand is certainly on a par with plate tectonics in terms of completeness, confirmation, and so on. Finally, there's the scope of applicability of ideas. Relativity and quantum mechanics apply to everything we know of in the physical world. Newtonian physics applies to low velocities and large quantum numbers. Plate tectonics applies to the Earth but not Venus. Photosynthesis applies only to plants, and so on.

The non-sequitur is in the jump from diversity to the assertion that hierarchies are irrelevant. If anything, the recognition of diversity _demands_ the recognition of hierarchy in order to avert the slide into solipsism that many scientists fear from sociologists.

Recognizing diversity of hierarchies even helps us address one of the problems posed by Thomas Kuhn in _Structure of Scientific Revolutions_ . Kuhn suggested that during a paradigm shift, the rules broke down and there was an interval during which there were no rules for deciding among rival paradigms. That might be true for people so close to the debate that nothing else mattered, but that would be only a tiny minority of scientists. The rest might not care about the specific debate but they would most assuredly care about its ramifications for their own disciplines. Oceanographers might not care about the distribution of fossil organisms or the distribution of earthquakes but they definitely were happy about the way plate tectonics did away with the need for vanished "land bridges" in the ocean basins. The rules might break down in a small area but that area is circumscribed by strict boundary conditions that must be satisfied.

A third perspective might be specified, wherein all claims to knowledge are equally immune to being certified or established as even "spatiotemporally" valid, much less objective--that is, knowledge as convention: arbitrary, grounded in exercises of power. It is this neo-sophist notion of knowledge as "whatever goes" against which, I think, Constant mounts his critique; but perhaps again he mistakes his target.

This is pretty disingenuous. Scranton knows perfectly well that this viewpoint exists or he wouldn't have mentioned it, and he describes it explicitly enough, using enough of the relevant buzzwords, that I think he knows perfectly well that this was the target Constant was critiquing. 

### Implications for Research

How do the arguments and principles Constant brings forward in his article provide a basis for research initiatives in the history of technology? 

This is a valid question but it's not the problem most scientists have with contemporary sociology and philosophy of science. We are not concerned with providing sociologists with a basis for a research program. Recall the end of Latour's dialog above:

> "Let us do our work. You go do your dirty business elsewhere. If you don't understand the problem we're posing, don't disturb those of us who do." 

This applies equally well against the extreme solipsist school of sociology and philosophy of science, as well as those in and out of academia who want to push an extreme relativist agenda for their own ideological reasons. These people are to sociology and philosophy of science what the "Sokalists" are to science. (Is it reasonably clear I'm not accusing sociology and philosophy of science in general?) To the extremists on the other side, science has a right to say:  "If you don't understand why science has a valid claim to objective knowledge, and why undermining the belief in objective reality is dangerous not just to science but to society at large, don't disturb those of us who do." 

* * *

[Return to Pseudoscience Index][3]  
[Return to Professor Dutch's Home Page][4]

_Created 4 May 2000, Last Update 05 April 2011_

Not an official UW Green Bay site

[1]: http://weba.uwgb.edu/
[2]: https://www.uwgb.edu/sitemap.htm
[3]: https://www.uwgb.edu/pscindx.htm
[4]: https://www.uwgb.edu/IdiotBox.htm

