---
created_at: '2017-08-18T16:30:25.000Z'
title: An Open Letter from Jeff Bezos on the Subject of Patents (2000)
url: http://archive.oreilly.com/pub/a/oreilly//news/amazon_patents.html
author: breck
points: 44
story_text: 
comment_text: 
num_comments: 11
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1503073825
_tags:
- story
- author_breck
- story_15047616
objectID: '15047616'

---
[Source](http://archive.oreilly.com/pub/a/oreilly//news/amazon_patents.html "Permalink to Bezos and O'Reilly Spearhead Call for Patent Reform - O'Reilly Media")

# Bezos and O'Reilly Spearhead Call for Patent Reform - O'Reilly Media


| ----- |
| 

![O'Reilly Media, Inc.][1]

[Your Account][2]

![Shopping Cart][3]

[Shopping Cart][4]

* [Home][5]
* [Shop][6]
* [News & Commentary][7]
    * [O'Reilly Radar][8]
    * [Strata][9]
    * [Tools of Change for Publishing][10]
* [Answers][11]
* [Safari Books Online][12]
* [Conferences][13]
* [School of Technology][14]
* [Community][15]

 |  
| 

[Print][16] [Subscribe to Newsletters][17]

## Bezos and O'Reilly Spearhead Call for Patent Reform

  
03/09/2000    
  

**AN OPEN LETTER FROM JEFF BEZOS ON THE SUBJECT OF PATENTS**  
  
I've received several hundred e-mail messages on the subject of our 1-Click ordering patent. Ninety-nine percent of them were polite and helpful. To the other one percent -- thanks for the passion and color! 

Before I go on, I'd like to thank Tim O'Reilly. Tim and I have had three long conversations about this issue, and they've been incredibly helpful to me as I've tried to clarify in my mind what is the right thing to do. I had previously known Tim as the publisher of the successful and excellent O'Reilly technical books. He off-handedly proved his narrative and editing skills when he took what was our first rambling hour-long conversation and somehow made sense of it all in a [posting on his site][18]. My thinking on the topic of business method and software patents has been strongly influenced by Tim's observations, and especially his ability to ask excellent questions. I also read the first four hundred or so responses to Tim's summary of our conversation -- these too were helpful. 

Now, while we've gotten substantially less e-mail on this issue than we have over several other lightning-rod issues in the past, I've spent a lot more time thinking about this one. Why? Because the more I thought about it, the more important I came to realize this issue is. I now believe it's possible that the current rules governing business method and software patents could end up harming all of us -- including Amazon.com and its many shareholders, the folks to whom I have a strong responsibility, not only ethical, but legal and fiduciary as well. 

Despite the call from many thoughtful folks for us to give up our patents unilaterally, I don't believe it would be right for us to do so. This is my belief even though the vast majority of our competitive advantage will continue to come not from patents, but from raising the bar on things like service, price, and selection -- and we **will** continue to raise that bar. We will also continue to be careful in how we use our patents. Unlike with trademark law, where you must continuously enforce your trademark or risk losing it, patent law allows you to enforce a patent on a case-by-case basis, only when there are important business reasons for doing so. 

I also strongly doubt whether our giving up our patents would really, in the end, provide much of a stepping stone to solving the bigger problem. 

But I do think we can help. As a company with some high-profile software patents, we're in a credible position to call for meaningful (perhaps even radical) patent reform. In fact, we may be uniquely positioned to do this. 

Much (much, much, much) remains to be worked out, but here's an outline of what I have in mind: 

1\. That the patent laws should recognize that business method and software patents are fundamentally different than other kinds of patents. 

2\. That business method and software patents should have a **much** shorter lifespan than the current 17 years -- I would propose 3 to 5 years. This isn't like drug companies, which need long patent windows because of clinical testing, or like complicated physical processes, where you might have to tool up and build factories. Especially in the age of the Internet, a good software innovation can catch a lot of wind in 3 or 5 years. 

3\. That when the law changes, this new lifespan should take effect retroactively so that we don't have to wait 17 years for the current patents to enter the public domain. 

4\. That for business method and software patents there be a short (maybe 1 month?) public comment period **before** the patent number is issued. This would give the Internet community the opportunity to provide prior art references to the patent examiners at a time when it could really help. (Thanks to my friend Brewster Kahle for this suggestion.) 

To this end, I've already contacted the offices of several Members of Congress from the committees with primary responsibility for patents to ask if they would be willing to meet with me on this issue. Since some of them have previously expressed an interest in similar issues, I have every expectation that at least some of them will want to talk about it. I've also invited Tim O'Reilly to attend any such meetings with me. Tim and I are also going to try to pull together some software industry leaders and other people with an interest in this issue and an ability to help. 

If done right -- and it could take 2 years or more -- we'll end up with a patent system that produces fewer patents (fewer people will bother to apply for 3 or 5 year patents, and fewer patents means less work for the overworked Patent and Trademark Office), fewer bad patents (because of the pre-issuance comment period), and even the good patents won't last longer than is necessary to give the innovator a reasonable return (at Internet speed, you don't need 17 years). 

Bottom line: fewer patents, of higher average quality, with shorter lifetimes. Fewer, better, shorter. A short name might be "fast patents." 

Many have noted, and I too would like to point out, that given the laws they operate under and the resources at their disposal, the Patent Office and examiners are doing a good job and it's unfair to criticize them. 

On a related issue, to further try to help with the prior art problem, I've also agreed to help fund a prior art database. This was Tim's idea, and I'm grateful for it. Tim is poking around to find the right people to run with that project. 

On an important meta-level, one thing to note is that this episode is a fascinating example of the new world, where companies can have conversations with their customers, and customers can have conversations with their companies. I've been saying for 4 years now that, online, the balance of power shifts away from the merchant and toward the customer. This is a good thing. If you haven't already, read the [cluetrain manifesto][19]. If you want the book, well...you can get it at several places online... 

Jeff  ![ ][20]  
  
  
 |  

|    |  
| 

| 

| 

Sign up today to receive special discounts,  
product alerts, and news from O'Reilly.

 |   |   | 

 |  [Privacy Policy >][21]  
[View Sample Newsletter >][22]  | 

* [Twitter][23]
* [YouTube][24]
* [Slideshare][25]
* [Facebook][26]
* [RSS][27]
* [View All RSS Feeds >][28]
 | 

![O'reilly][29]

© 2017, O’Reilly Media, Inc.

(707) 827-7019 (800) 889-8969

All trademarks and registered trademarks appearing on oreilly.com are the property of their respective owners.

### About O'Reilly

* : [Sign In][30]
* [Academic Solutions][31]
* [Jobs][32]
* [Contacts][33]
* [Corporate Information][34]
* [Press Room][35]
* [Privacy Policy][36]
* [Terms of Service][37]
* [Writing for O'Reilly][38]

### Community

* [Authors][39]
* [Community & Featured Users][40]
* [Forums][41]
* [Membership][42]
* [Newsletters][43]
* [O'Reilly Answers][44]
* [RSS Feeds][45]
* [User Groups][46]

### More O'Reilly Sites

* [igniteshow.com][47]
* [makerfaire.com][48]
* [makezine.com][49]
* [craftzine.com][50]
* [labs.oreilly.com][51]
* ## Partner Sites
* [PayPal Developer Zone][52]
* [O'Reilly Insights on Forbes.com][53]

### Shop O'Reilly

* [Customer Service][54]
* [Contact Us][54]
* [Shipping Information][55]
* [Ordering & Payment][56]
* [The O'Reilly Guarantee][57]

 | 

[1]: http://cdn.oreillystatic.com/images/sitewide-headers/ml-header-home-blinking.gif
[2]: http://members.oreilly.com
[3]: http://cdn.oreillystatic.com/images/sitewide-headers/basketicon.gif
[4]: http://shop.oreilly.com/basket.do
[5]: http://oreilly.com ""
[6]: http://shop.oreilly.com ""
[7]: http://radar.oreilly.com ""
[8]: http://radar.oreilly.com
[9]: http://strata.oreilly.com/
[10]: http://toc.oreilly.com/
[11]: http://answers.oreilly.com/ ""
[12]: http://safari.oreilly.com/?cid=orm-nav-global ""
[13]: http://oreilly.com/conferences/ ""
[14]: http://www.oreillyschool.com/ ""
[15]: http://people.oreilly.com/index.php?app=members&section=view&module=list ""
[16]: http://archive.oreilly.com/lpt/a/3699 "Go to a print-friendly version of this page."
[17]: http://www.oreillynet.com/cs/nl/home
[18]: http://www.oreillynet.com/pub/a/oreilly/ask_tim/2000/bezos_0300.html
[19]: http://www.cluetrain.com
[20]: http://archive.oreilly.com/images/trans.gif
[21]: http://oreilly.com/oreilly/privacy.html
[22]: http://oreilly.com/pdf/sample-newsletter.pdf
[23]: http://twitter.com/oreillymedia
[24]: http://youtube.com/oreillymedia
[25]: http://slideshare.net/oreillymedia
[26]: http://www.facebook.com/OReilly
[27]: http://feeds.feedburner.com/oreilly/news
[28]: http://oreilly.com/feeds
[29]: http://cdn.oreillystatic.com/images/sitewide-headers/logo02.gif
[30]: http://archive.oreilly.com#
[31]: http://oreilly.com/academic/
[32]: http://oreilly.com/jobs/
[33]: http://oreilly.com/contact.html
[34]: http://oreilly.com/about/
[35]: http://press.oreilly.com/index.html
[36]: http://oreilly.com/oreilly/privacy.csp
[37]: http://oreilly.com/terms/
[38]: http://oreilly.com/oreilly/author/intro.csp
[39]: http://oreilly.com/authors/
[40]: http://oreilly.com/community/
[41]: http://forums.oreilly.com/
[42]: https://members.oreilly.com/
[43]: http://elists.oreilly.com/
[44]: http://answers.oreilly.com/
[45]: http://oreilly.com/feeds/
[46]: http://ug.oreilly.com/
[47]: http://igniteshow.com/
[48]: http://makerfaire.com/
[49]: http://makezine.com/
[50]: http://craftzine.com/
[51]: http://labs.oreilly.com/
[52]: https://www.x.com/community/ppx/devzone
[53]: http://blogs.forbes.com/oreillymedia/
[54]: http://shop.oreilly.com/category/customer-service.do
[55]: http://shop.oreilly.com/category/customer-service/shipping-information.do
[56]: http://shop.oreilly.com/category/customer-service/ordering-payment.do
[57]: http://shop.oreilly.com/category/customer-service/oreilly-guarantee.do

