---
created_at: '2014-09-03T11:09:24.000Z'
title: Productivity and the Work Week (2000)
url: http://groups.csail.mit.edu/mac/users/rauch/worktime/
author: jacquesm
points: 62
story_text: ''
comment_text: 
num_comments: 41
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1409742564
_tags:
- story
- author_jacquesm
- story_8262381
objectID: '8262381'

---
[Source](http://groups.csail.mit.edu/mac/users/rauch/worktime/ "Permalink to Productivity and the Workweek - shorter hours")

# Productivity and the Workweek - shorter hours


| ----- |
| 

  

**Related:**  

[The Workweek Reduction Equivalent: a measure of potential economic progress][1]  
  
[Pre-industrial workers had a shorter workweek than today's][2]  
  
[Debate on workweek reduction][3]  
  
_Update: since this page was initially published in 2000, the number of hours needed to produce the 1990 worker's output has gone from 32 to 29. _  

 |    
 | 

# Productivity and the Workweek

[_Erik Rauch_][4]__

### What if, instead of using productivity increases to buy more possessions, we used them to get more time instead?  

Productivity has been increasing exponentially for more than a century. This is one of the most remarkable developments of all time. Until a few decades ago, this bounty has been used both for increased material comfort and for more time. However, in recent decades, the increase has been used exclusively to purchase more things; [ hours have actually increased in the US][5]. Meanwhile, [there has been little increase in subjective well-being in developed countries in recent decades][6].   

An average worker needs to work a mere 11 hours per week to produce as much as one working 40 hours per week in 1950. (The data here is from the US, but productivity increases in Europe and Japan have been of the same magnitude.) The conclusion is inescapable: if productivity means anything at all, a worker should be able to earn the same standard of living as a 1950 worker in only 11 hours per week. The following shows the number of hours per week needed to produce as much as a 1950 worker, using [data][7] from the [US Bureau of Labor Statistics][8], including both manufacuring and services:   
  
_![][9]   
_

_Number of hours per week needed to __produce as much as a__ 40-hour worker in 1950_  

  
In other words, the number of weekly hours needed to produce the 1950 worker's output declined by almost _one hour per year_ until the mid-1970's, and has been declining by about half an hour per year since then.  
  
Polls and surveys have shown that people in countries with the standard of living that the US enjoyed in the 1950's are no less satisfied than today's Americans. Indeed, many studies show that [income increases people's subjective well-being only up to the point where basic needs are met][6]. However, productivity has increased so much that we can have both the extra possessions and the extra time. Even since 1975, supposedly an era of low productivity growth and stagnation in living standards, officially measured productivity has increased almost 70%. The average worker would therefore need to work only 23 hours per week to produce as much as one working as recently as 1975:  

  
![][10]   

_Number of hours per week needed to produce as much as a 40-hour worker in 1975_  

  
And, if the productivity measures have any meaning, the average worker could have a 29-hour workweek if he were satisfied with producing as much as a 40-hour worker as recently as 1990.  

## Fast productivity growth is not necessary for reduced work time  

Much is made of the rate of productivity growth and its relationship to worker well-being. Overlooked is a much more important fact: because productivity has been growing for so long, it is now so high that it can enable us to sharply reduce working hours while maintaining a high material standard of living. The most important thing is not how fast productivity is growing, but that it is already high enough. We don't need to wait for future productivity increases: the necessary increases have already happened.  

## Shorter hours and the notion of progress

Interestingly, as [an article on labor history][11] notes, shorter hours were assumed to be a natural consequence of increased productivity in the US until the 1930's, appearing in the platforms of all major parties, and the above shows how the workweek would have evolved had the trend continued after World War II. In Europe, reduced worktime has [ continued to be an issue][12], and the workweek has been declining in recent times, unlike in the US. However, even in Europe, the decline in work time has fallen far behind the increase in productivity.

## Who benefits from productivity increases

According to official statistics, "labor's" share of national income in the US has remained constant over the last 50 years. "Labor", however, includes everyone up to Bill Gates. The [troubling increase in income inequality][13] in the United States means that many people do not share in the benefits of productivity increases. However, the potential is there. Furthermore, the increase in inequality is mainly an American phenomenon: it has not occurred, or has occurred on a much smaller scale, in other advanced countries. 

## Conclusion

The march of productivity is such that its increase in even as short a time span as a decade could be used to dramatically reduce working hours while living standards remained constant.   
 

## Postscript

How long can the growth continue? Even if the supposedly slow rate of increase in recent times were continued, productivity would increase 120% in the next 50 years, and a 2050 worker would need to work 15 hours to have the same real income as a 1990 worker (or less than 6 hours to have the same income as the 1950 worker):  
![][14]   
_Output per hour, projected based on 1975-2000 rate of increase; 1995 = 100  
_  
Of course, here we may have stretched the usefulness of the official definition of productivity much too far, and exponential growth cannot continue forever, but however productivity is measured, the increase and its relationship to the potential for workweek reduction is too big to ignore.   
  

### See also:

[The Workweek Reduction Equivalent: a measure of potential economic progress][1]

[A discussion on the value of productivity statistics ][15] from one perspective - that they have underestimated growth. 

[Statistics from the German Federation of Trade Unions showing how productivity has enabled shorter working time in Germany][16] (although only a minority of the increase has been taken in the form of shorter hours). The page is in German, but the four lines are, from top to bottom: productivity per hour, GDP, total number of workers, and annual number of hours worked per employee. 

[The chief of the German Confederation of Trade Unions calls for a 25-hour week][17] (translated into English).  

[Affluenza cure calls for political action: Different standard for workweek an opportunity][18]. By John de Graaf, The Denver Post, October 25, 2001.  
  

  
  
 |  
|    
 |    
 |    
 | 

  
  
  
  
  
  

[1]: http://swiss.csail.mit.edu/%7Erauch/worktime/wre.html
[2]: http://www.swiss.ai.mit.edu/%7Erauch/worktime/hours_workweek.html
[3]: http://www.swiss.ai.mit.edu/%7Erauch/misc/worktime/workweek_debate.html
[4]: http://swissnet.ai.mit.edu/%7Erauch
[5]: http://bigpicture.typepad.com/comments/2004/07/productivity_or.html
[6]: http://www.wcfia.harvard.edu/conferences/socialcapital/Happiness%20Readings/Diener_Biswas-Diener_2002.pdf
[7]: http://groups.csail.mit.edu/output_per_hour.pdf
[8]: http://www.bls.gov/opub/rtaw/stattab3.htm
[9]: http://groups.csail.mit.edu/1950_reduction.png
[10]: http://groups.csail.mit.edu/1975_reduction.png
[11]: http://www.uiowa.edu/%7Elsa/bkh/lla/eosh.htm
[12]: http://www.web.net/32hours/takingup.htm
[13]: http://www.pkarchive.org/economy/therich.html
[14]: http://groups.csail.mit.edu/projection.png
[15]: http://econ161.berkeley.edu/TCEH/2000/TCEH_2.html
[16]: http://www.einblick.dgb.de/archiv/9803/gf980307.htm
[17]: http://groups.csail.mit.edu/25_hour_week.html
[18]: http://groups.csail.mit.edu/Affluenza.html

