---
created_at: '2015-06-09T12:43:53.000Z'
title: The Birth of Algebra (2000)
url: http://cerebro.xu.edu/math/math147/02f/algebra/algebra.html
author: alphydan
points: 44
story_text: ''
comment_text: 
num_comments: 1
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1433853833
_tags:
- story
- author_alphydan
- story_9685538
objectID: '9685538'

---
[Source](http://cerebro.xu.edu/math/math147/02f/algebra/algebra.html "Permalink to The Birth of Algebra")

# The Birth of Algebra

##  The Birth of Algebra

 

####  Introduction: Bridging a millenium

  
    In the year AD 312, on the eve of a battle against would-be rivals for the Roman Imperial throne, [Constantine][1] had a dream that instructed him to place the _chi_-_rho_, the Christian symbol formed by superimposing the first two letters of the Greek name _Christos_, on the shields of his soldiers.  When he won the battle and became Emperor, he issued an edict of tolerance for Christian believers.  Later, on his deathbed, Constantine himself became a Christian, placing it in a position of prominence in the Empire from which it would influence the history of the Western world to this day.   
    In 324, Constantine moved the seat of the Empire to the Greek town of [Byzantium][2] in the east of the empire, renaming it [Constantinople][3] after himself.  His was one of the last strong governments of the Roman Empire.  The tenuous union of the eastern and western halves of the empire during the fourth century continued to fray, so that by the year 400 [it had split in two][4] for good.  The Goths entered [Rome in 476][5], bringing down the Western Empire.  This marks the start of the Middle Ages, when Greek culture was effectively cut off from the West.  Tribal governments held sway, giving way to feudal society and the slow development over centuries of what would eventually become the familiar nation-states of Europe.   
    Meanwhile in the East, the Byzantine Empire preserved Greek culture.  Alexandria was still home to the great Museum of antiquity; at the turn of the fifth century, this was where [Hypatia][6], the noted female philosopher, had written commentaries on Archimedes' _Measurement of the Circle_, Apollonius' _Conics_, and Ptolemy's _Almagest_.  But the Byzantine Empire was also a Christian empire, and the pagan Hypatia was to meet an untimely death in 415 at the hands of a Christian mob, who thought her a witch for her scholarship in philosophy, mathematics and astronomy.  At about this time, the Library at Alexandria was burned and many (though not all) texts were lost.  The great mathematical tradition of the Greeks had come to an end.   
    While mathematical inquiry languished in the European Middle Ages, it flourished in other parts of the world.  In [China][7], we find texts in which various types of problems in surveying and astronomy are solved that required the development of geometric and arithmetical methods.  In India, trigonometry was developed in order to deal with astronomical calcuations, the same motivation that drove Ptolemy to build his table of chords.  The tradition in India, however, was to tabulate half-chords of angles; it is from this that we inherited the basic idea of the sine.  Also in India, by around the year 600, we have evidence that a decimal place-value numeration system was in use.  This numeration scheme was eventually transmitted westward into Europe by Islamic scholars.   
    [Muhammad the Prophet][8] (570 - 632) founded Islam in the Arabian peninsula; by 661, the armies of the Muslim caliphs had already [spread][9] to Persia in the east and Egypt in the west, and would soon overrun all of North Africa and Spain.  Constantinople was taken and lost more than once over the next century, and Muslim armies were finally held back from further European conquests by their loss at the Battle of Tours to Frankish forces under Charles Martel in 732.  In the early 800's the caliph al-Ma'mun founded the _Bayt al-Hikma_ ([House of Wisdom][10]), an institute of higher learning and scholarship, in Baghdad, where Arabic translations of Greek and Indian works in natural philosophy, mathematics and astronomy were made.  Here and elsewhere throughout the Muslim empire, the mathematics of the ancients was studied and improved, and the Western world is indebted to these Arabic scholars for being largely responsible for the later transmission of this body of knowledge into Europe.   
    [Muhammad ibn-Musa al-Khwarizmi][11] (780? - 850?) was one of the earliest scholars at the _Bayt al-Hikma_; his most famous work was entitled _Al-kitab al-muhtasar fi hisab al-jabr w'al-muqabala_ (_The Condensed Book of Calclation by Restoration and Comparison_).  In it he describes rules for solving problems involving an unknown quantity, and it represents the first true work of **algebra** ever written.  In fact, Latin scholars who learned of this work centuries later identified the methods found in this book by the transliterated words in the title: _algebra_ and _almucabala_; eventually only the first of these terms was retained.  (Other scholars used the term _algorismus_, from the Latinized form of the author's name.  Today, the word "algorithm" is used to describe any well-defined procedure for calculation.)   
    Europe began to rouse itself from its cultural slumber by the beginning of the second millenium.  It was at this time that the first universities were established (in Bologna in 1088, Paris in 1150, Oxford in 1167) in the Scholastic tradition.  At these schools, students learned the curriculum of the [seven liberal arts][12]: the Greek **quadrivium** (four-fold way) of Plato's Academy, which consisted of geometry, arithmetic, music and astronomy; and the Roman **trivium** (three-fold way), which included the more practical disciplines of grammar, rhetoric and logic.  The schools gave degrees in theology and philosophy, in canon or Roman law, and in medicine.  While the universities modeled themselves on the monastic schools, they took students from amongst the families of the aristocrats and the burgeoning merchant class.  (After all, these were the only ones that could provide tuition-paying students!)   
    One member of this merchant class was [Leonardo of Pisa][13], whose father made a fortune in the shipping trades between ports throughout the Mediterranean basin.  Leonardo (most commonly known today by the nickname Fibonacci) is recognized as an important mathematician of the late Middle Ages, and he profited from having learned his mathematics from Arab scholars.  Upon returning to Pisa, he then wrote the _Liber Abbaci_(_The Book of Calculation_), a work in Latin that introduced these ideas to students in Europe, as well as a book titled _Practica Geometriae_ (_The Practice of Geometry_) that relates some Euclidean geometry, some Arabic algebra, and a little trigonometry (including a brief table of chords), and another titled _Liber Quadratorum_ (_The Book of Squares_), in which he solves some problems like "find a square number from which, when five is added or subtracted, always arises a square number".  Fibonacci was a man whose work provided a mathematical link between two cultures, the Muslim East and the Christian West, as well as an indirect link between European scholarship and the heritage of the Ancient Greeks that had been lost since the fall of Rome.

#### 

####  The beginnings of symbolic algebra

  
    Before the differential and integral calculus could be formalized, mathematicians developed a symbolic language in which to express it, the language of symbolic algebra.  It is important to note that before the fourtenth century this language did not exist.  The Islamic algebraists had begun to formulate algebraic rules for solving problems involving unknowns, but these rules were expressed entirely in rhetorical form.  Even early European algebraists followed this practice.  For instance, [Jordanus de Nemore][14] (1225 - 1260), a contemporary of Fibonacci's who taught at Paris in the thirteenth century, wrote an early work in algebra called _De numeris datis_ (_On Given Numbers_).  In it he poses and solves a simple problem:

> _If a number is divided into two parts whose difference is given, then each of the parts is determined._  Namely, the lesser part and the difference make the greater.  Thus the lesser part with itself and the difference make the whole.  Subtract therefore the difference from the whole and there will remain double the lesser given number.  When divided [by two], the lesser part will be determined; and therefore also the greater part.  For example, let 10 be divided in two parts of which the difference is 2.  When this is subtracted from 10 there remains 8, whose half is 4, which is thus the lesser part.  The other is 6.

This language is easily translated into modern symbolism: if 10 is divided into the parts _x_ and _y_, then _x_ \+ _y_ = 10; if _x_ is the greater then also _x_-_y_ = 2.  Jordanus observes that _y_ \+ 2 = _x_, so 2_y_ \+ 2 = _x_ \+ _y_ = 10, whence 2_y_ = 8 and dividing yields _y_ = 4, from which 4 + 2 = _x_, or _x_ = 6.  One should realize however that these steps were conceived by Jordanus without the benefitof _x_ or _y_, or the symbols +, - or =, or even Hindu-Arabic numerals (he employs Roman notation throughout).  On the other hand, in Jordanus' work some symbols do appear: in a few instances he uses letters to stand for numbers, and this practice will be repeated in algebraic work by other authors over the following 100 - 200 years.   
    In France, [Nicholas Chuquet][15] (1445 - 1488) exemplifies the movement to the inclusion of symbols in algebra.  In his _Triparty en la science des nombres_ (1484), the words for addition and subtraction are _plus_ and _moins_, and he abbreviates them by overscoring the letters _p_ and _m_.  The algebraic unknown and its powers in a given problem are denoted by exponent-like values and square and cube roots are indicated with the abbreviation _Rx_ (for _radix_).  Therefore he writes

![][16]

    In Germany, [Christoff Rudolff][17] (1499 - 1555) wrote a book in 1525 called simply _Coss_.  The Italian algebraists had identified the unknown value in a problem as _cosa_ (the thing), and Rudolff adopted the equivalent German word _coss_.  He employs a symbolic coding of the unknown quantity and its powers, but uses different symbols for each power.   
    In England, [Robert Recorde][18] (1510 - 1558) published _The Whetstone of Witte_ (1557), in which the [equal sign appears][19] for the first time: "_I will sette as I doe often in worke use, a paire of paralleles, or Gemow lines of one lengthe, thus ====, bicause noe 2 thynges can be moare equalle._"   
    In Italy, the most striking developments were not notational but mathematical: [Girolamo Cardano][20] (1501 - 1576), a Milanese physician, published a very influential algebra book in 1545, _Ars Magna, sive de regulis algebraicis_ (_The Great Art, or on the rules of algebra_).  In this book appears for the first time a general procedure for solving cubic and quartic equations; the solutions to linear and quadratic equations had been known since early antiquity, and partial solutions to certain kinds of cubic equations had been solved by Islamic mathematicians, but Cardano managed to study the cubic equation in great generality and extend these results to the case of the quartic.  The story of how he obtained these procedures is quite fascinating, but takes us far afield from our discussion here.  (An account of this story can be found [here][21].)   
    Finally, [François Viète][22] (1540 - 1603), a lawyer and member of the court of Kings Henry III and IV of France, and who later achieved fame as a cryptanalyst for the crown in its political stuggles against Philip II of Spain, composed a number of treatises which were collected in a work titled _The Analytic Art_.  Viète mastered most of the algebraic techniques of his predecessors, but to a degree not seen before, he lays out a recognizably modern language for operation with these techniques.  He adopted the convention of representing quantities with letters of the alphabet, which he called **symbolic logistic**, using vowels for the unknowns and consonants for the given quantities of the problem.  He used the German symbols \+ and -, but continued to use words to represent many operations: _in_ for multiplication, _quad_ for the square, _cub_ for the cube, etc.  (The translation of his work which follows has replaced most of this with more modern notation.)  He talks about the process of translating a geometric problem into algebraic notation (**zetetics**), manipulating the symbols according to algebraic rules (**poristics**), and obtaining a solution by these means (**exegetics**); these terms have not been retained.  By relying heavily on this symbolic notation, Viète was able to apply his algebraic explorations to a much wider class of problems simply by setting the variables equal to new values.  This marked a new level of mathematical analysis which would bear fruit far beyond the geometric problem solving in which he was interested.  Viète sees great promise in these approaches to analysis: he writes that "the analytic art...appropriates to itself by right the proud problem of problems, which is THERE IS NO PROBLEM THAT CANNOT BE SOLVED."   
 

Read the [text][23]   
Return to the [calendar][24]   

* * *

last modified 10/16/02   
Copyright (c) 2000. Daniel E. Otero

[1]: http://www.yahooligans.com/search/ligans_be?lb=t&p=url%3Ac/constantine_i
[2]: http://salve5.salve.edu/~romanemp/sest3.htm
[3]: http://salve5.salve.edu/~romanemp/sest4.htm
[4]: http://www.ucalgary.ca/applied_history/tutor/firsteuro/imgs/map16.html
[5]: http://fsmitha.com/h1/map21rm.htm
[6]: http://www-groups.dcs.st-and.ac.uk/~history/Mathematicians/Hypatia.html
[7]: http://saxakali.com/COLOR_ASP/developcm3.htm
[8]: http://www.yahooligans.com/search/ligans_be?lb=t&p=url%3Am/muhammad
[9]: http://wcw.emory.edu/ECIT/islam/lfirst_century.JPG
[10]: http://www.lib.virginia.edu/science/parshall/wisdom.html
[11]: http://www-groups.dcs.st-and.ac.uk/~history/Mathematicians/Al-Khwarizmi.html
[12]: http://cosmopolis.com/villa/liberal-arts.html
[13]: http://www-groups.dcs.st-and.ac.uk/~history/Mathematicians/Fibonacci.html
[14]: http://www-groups.dcs.st-and.ac.uk/~history/Mathematicians/Jordanus.html
[15]: http://www-groups.dcs.st-and.ac.uk/~history/Mathematicians/Chuquet.html
[16]: http://cerebro.xu.edu/vieteintroeq1.gif
[17]: http://www-groups.dcs.st-and.ac.uk/~history/Mathematicians/Rudolff.html
[18]: http://www-groups.dcs.st-and.ac.uk/~history/Mathematicians/Recorde.html
[19]: http://www-groups.dcs.st-and.ac.uk/~history/Bookpages/Recorde4.gif
[20]: http://www-groups.dcs.st-and.ac.uk/~history/Mathematicians/Cardan.html
[21]: http://www.vma.bme.hu/mathhist/HistTopics/Quadratic_etc_equations.html
[22]: http://www-groups.dcs.st-and.ac.uk/~history/Mathematicians/Viete.html
[23]: http://cerebro.xu.edu/vietetext.html
[24]: http://cerebro.xu.edu/math/math147/02f/02f147calendar.html#october

