---
created_at: '2015-08-29T05:13:23.000Z'
title: 'The End of Rationalism: An Interview with John Ralston Saul (2001)'
url: http://www.scottlondon.com/interviews/saul.html
author: walterbell
points: 67
story_text: 
comment_text: 
num_comments: 43
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1440825203
_tags:
- story
- author_walterbell
- story_10139144
objectID: '10139144'

---
[Source](http://www.scottlondon.com/interviews/saul.html "Permalink to The End of Rationalism - An Interview with John Ralston Saul")

# The End of Rationalism - An Interview with John Ralston Saul

![][1]

* [Home][2]
* [Blog][3]
* [Books][4]
* [Articles][5]
* [Interviews][6]
* [Reviews][7]
* [Radio][8]
* [Photography][9]
* [About][10]
* [Contact][11]
* [Site Index][12]

### The End of Rationalism:  
An Interview with John Ralston Saul

#### By Scott London

John Ralston Saul is perhaps best known for his international bestseller _Voltaire's Bastards_, a forceful and wide-ranging jeremiad on the decline of Western civilization. Published in 1992, the book is still at the center of a lively debate about the trouble with reason in contemporary Western culture. One critic aptly described it "a hand-grenade disguised as a book."

![John Ralston Saul][13]  
John Ralston Saul

When asked why he wrote it, Saul has said, "I thought I would write a book which would be the sort of book you're not supposed to write: an anti-expert book which will be hated by all the ideologues and all the beneficiaries of the system."

While Saul is articulate and persuasive as a cultural critic, I wondered after reading the book whether he is just a fussy intellectual or, as the _Utne Reader_ suggested, one of today's great visionaries. The magazine described him as "an erudite Toronto gadfly whose bête noire is the abuse of thought and language at the hands of arrogant elites."

I interviewed him in late 1996 following an academic conference we both attended in southern California. Our conversation began with the subject of his then newly published _The Doubter's Companion_.

![][14]

**Scott London:** The subtitle of your book _A Doubter's Companion_ is "A Dictionary of Aggressive Common Sense." Is there such a thing as _aggressive_ common sense?

**John Ralston Saul:** Oh, absolutely. The reason I put the word "aggressive" in there (apart from the fact that it was kind of fun), was that we tend to think that only reason can be aggressive because it has the truth, and that all the other things are kind of namby-pamby in some sense. But it can be extremely aggressive, and extremely rude, and have as sharp teeth as anything else.

**London:** What you are really out to attack, I gather, is the corruption — or you might say the bastardization — of reason.

**Saul:** Well, you could put it that way. But what I'm really attacking is the isolation of reason. In other words, the _obsession_ we have in the West with this idea that reason is the _great_ quality. We've replaced God the father with reason, basically. Reason is a wonderful human quality, but it's just one of the human qualities, and it's by putting it up on the throne all by itself that we've cause it to do the opposite of what it ought to be doing. We've turned it into _unreason_.

So we haven't actually corrupted it. By putting any human quality in power in isolation, you automatically make it do the opposite of what it's intended to do, because it isn't supposed to be in isolation, because we aren't people of only one quality — any more than in our normal lives. We don't have orgasms every three seconds. So you can't build a life around orgasms. We don't brush our teeth every three seconds. Well, why would we design our whole life around life around one single intellectual concept when there are lots of others?

**London:** Such as?

**Saul:** It seems to me we have about six qualities which are: common sense, creativity, ethics, intuition, memory, and reason.

**London:** So reason is just one of many faculties?

**Saul:** Yes. You'll notice that I gave them to you in alphabetical order, because I don't think that any one of them is any more important than any other. This number six seems to fit. I can't think of anything else that belongs there. There are lots of other things that are important, but it seems to me that they are the _results_ of those qualities. People say, "what about compassion?" But compassion is really what comes out of the proper balancing of these qualities.

**London:** What's the difference between the sort of reason Voltaire spoke of and the sort we're advancing today?

**Saul:** Well, I think that Voltaire and all his friends were caught up in a very close battle, and it was a battle against arbitrary power and superstition — the king and the Church. We have misinterpreted what they were saying. They weren't saying, "Go out there and build a society based on reason." They were saying, "Go out there and build a humanist society — but you have a couple of weapons that are particularly good for a public fight." There are a lot of weapons that are kind of hard to use in a public fight, whereas reason is something that you can walk out the door with everyday — you can pull it out of its scabbard and stab people with it. It's very, very effective. You can knock down archbishops and popes with reason and they can't figure out what to do. The trouble is, they can knock you down with reason too. This is what people like Voltaire forgot.

I think that what they imagined was that when the Revolution, so to speak, was over, everybody would relax and reason would withdraw into its proper role as just another one of the qualities. There would be room to use the other qualities. Instead of that, of course, reason went mad and took over — and eliminated, if you like, the other qualities.

**London:** There have been a lot of books questioning rationalism in recent years. Many of them take issue with what has been passed down from the Enlightenment. Descartes talked about the clockwork universe and Francis Bacon advanced the ideal of scientific neutrality, for example. These ideas have been enormously influential in shaping our Western worldview, for better and for worse.

**Saul:** I think the way I would put it is that reason has done as much evil as good in this century. But I could also say that reason has done as much evil as common sense has in this century, or intuition, or ethics, or memory. So, for example, now you are seeing governments being elected (as in Canada recently) on things like "common sense revolution." That's ideology! It's not common sense, it's ideology. They want to do away with reason and have common sense. It will be just as stupid as reason on its own, and just as non-commonsensical.

**London:** Our modern fixation with reason seems to be exemplified in the cult of expertise.

**Saul:** What people like Voltaire and his friends thought was that if people became experts in areas, you would gradually uncover all that was unknown. In a sense this expert knowledge would become part of a great field. We would all cooperate with our expertise. We would turn to each other and say, "Well, you know about sewers, tell us all about sewers," or "You know all about nuclear bombs, tell us all about nuclear bombs." In that sense, we would all be a part not of a fractured society, but of a single society that had many, many elements in it, and we would be much the richer for it.

Well, we've ended up with what they wanted, which is, we have our thousands and thousands of areas of expertise and we do know more than we have ever known and that is fabulous. But the result has been the exact opposite of what we expected because it's led to a fracturing of society. In other words, each bit of knowledge, each area of knowledge — the sewer experts — have gone away into their corporation of sewer experts and held that knowledge within.

One of the effects of the rational revolution has been that knowledge has become the currency of our society — much more important than money, if one were to return to the idea of the marketplace. The control of knowledge, in the full sense of that term, is the real currency of our society. It's power. Of course, because it's power, because it has a major effect on your career and what you are going to be able to do in your life, you hold it back. It's something you negotiate with.

So instead of knowledge coming together into a great whole, knowledge has been broken up into tens of thousands of isolated corporations or specialist groups. It's meant two things. It's meant, first of all, that society loses all sense of direction, because if everything is separated into little groups that don't really talk to each other in an honest manner, except to negotiate between each another for power, then there is no possibility to have any kind of directed conversation about society. The second thing is, of course, that it has been very, very bad for each of those areas. The fact of the matter is that sewers run next to autoroutes and hearts lie next to lungs.

**London:** The university has done a lot to foster this concept of expertise. You've talked a great deal about the whole managerial ethos and the rise of business management schools and so on.

**Saul:** Yes. When I talk about expertise, what I'm talking about is the way in which we approach education. We're clearly not following the humanist approach, which is a sort of integral view of human intelligence — putting together things. Our education system is a) based on the taking apart of things and the isolating of smaller and smaller elements of knowledge; and b) increasingly, whatever the area, it's essentially a management, rational approach toward education. So it's not the content that matters, it's the methodology that matters. It's not the content, it's the form. That's why you are seeing that the most admired and successful areas in education are things like business schools which are entirely based on form, no content at all. Or economics, which is imaginary form; it's totally imaginary. Suppose economists were doctors, they would be snowed under malpractice suits, because what economists have suggested over the last 30 years hasn't worked. But that doesn't seem to matter because you're dealing with abstract arguments over form, as opposed to real arguments over content and results.

**London:** You hold a Ph.D and in many ways you are a product of this "dictatorship of reason," as you call it, that you attack. How did somebody like you slip through the cracks?

**Saul:** I slipped through the cracks with some difficulty [laughs]. In the end, I did my Ph.D out of Kings College London, but I did it on de Gaulle and the reorganization of France, so I spent the whole time in Paris, and I didn't go near the university that I was supposedly a part of, except once a month for maybe two days. I would go back, have terrible arguments, and then leave town again. Certainly, by the time I had finished it, they weren't at all happy with my Ph.D. I had one of the most violent oral exams in modern history. It was two and a half hours of screaming basically [Laughs]. But the fact is, I stood up for what I believed in and they didn't have the guts to do anything about it.

**London:** Most cultural criticism today comes out of the universities. So you are an exception to the rule, in that sense.

**Saul:** Yes. I've chosen that odd life of the writer who isn't employed by anybody. I've managed to do that and that means that I can say what I want. But my argument has always been that because the quasi-totality of the elite belongs to structures, they are prevented from saying and doing what they believe. We have the appearance of freedom, but we have a very real lack of freedom. We have the appearance of freedom of speech, but we have a very real lack of freedom of speech, because almost all expertise is either locked up in an employment contract (either with a corporation or with a government department) and therefore that expertise can only be expressed as if you were a spokesman or a spokeswoman for that organization. That's not freedom of speech, that's propaganda. That's rhetoric. You don't hear nuclear engineers saying, "Well, I'm leaving my office at so-and- so company or government department and now I'm going to tell you what I think of nuclear engineering." They don't do that because they get fired if they do that.

**London:** What do you propose we do about these entrenched elites and the rise of technocratic language and all these other evils. Where does that leave the lonely individual?

**Saul:** I'm not in the business of suggesting solutions, by the way. I don't belong to the Platonic tradition, I belong to the Socratic tradition. But a lot of the sorts of things I'm talking about are things which are very, very simple. One of them is simply that if we are a democracy, how is it that we've highly structured our lives so that every free minute of our day is accounted for working, holidays, breaks, etc. and that the only time left over is the time to go home and have dinner with our families, go to bed, make love, get up, go to the bathroom, and go back to work — go back to the structured system. We have to sit back and say, "Wait a minute, we live in a democracy." We have structured everything in there — sick leave, pregnancy leave — but we haven't structured one minute in for citizen participation. The only way a citizen can participate is _voluntarily_, which means giving up going to the bathroom, give up making love, give up sleep, give up eating dinner with your family. In other words, we have structured citizen participation out of our society. For me, this is the simplest and most complete proof that we don't live in a democracy — that we live in a corporatist society.

So, why don't we structure it in? Let's play the rational game. Let's say we'll structure in four hours a week for every citizen, which is within their paid, covered, life, so that they can participate. It could easily be worked out how you could identify what participation was. Maybe 60 or 80 percent of the people wouldn't do it seriously. But if somewhere between 10 and 30 percent of the population gave four hours a week to disinterested citizen participation, you would have a real revolution in this country. You would have changed completely the dynamics of public affairs in this country, in a way that the elites would be unable to control because it would be simply too many people participating in small groups for them to be able to get a handle on how to control it. There would be all these groups everywhere that would be disinterested. They wouldn't be interested so you couldn't buy them off. You couldn't frighten them or make them do things. You would change the shape of Canadian or American society.

I could go on with lists of these things. They are very simple. They are not highly sophisticated and complex things that you have to hire consultants for.

**London:** Your works of non-fiction have a certain dark humor. Yet you're not a cynic, you do believe in something obviously.

**Saul:** I have enormous confidence in the individual as citizen. I don't think there is any proof in our 2,500 years of history that the elites do a good job without the close involvement of the citizenry. And I know that the way out of our problems is to reactivate the participation of the citizenry. I'm sure that's the way. In fact, I put it in a more pessimistic way — we do not have any _other_ way out. What are the other ways out? The elites proved they can't do it. We keep looking for these heroic leaders. Well, that's a return to the kings. The Camelot approach to leadership is garbage. It would be a return to the false heroes of dictatorship. Do we want to be in a democracy or not? We don't need heroic leaders. They don't work.

**London:** You once said, "There's no convincing evidence that writers can do their jobs by being nice."

**Saul:** There's a great unwillingness to be rude in intellectual debate. I'm afraid I belong to the seventeenth-eighteenth-century tradition in which if you're not rude in intellectual debate, then you're probably not debating — you're just patting each other on the back. The fact of the matter is that we're all in the business of working with words. As I put it, we're the devil: we're getting people to eat the apple.

Let me take us back to the question, How is knowledge perceived in the West. The original founding Judeo-Christian myth has two innocents being convinced to eat the apple of knowledge by the devil. So from the very beginning of society the definition of knowledge by those who have power (the people who wrote those books) was that innocence is good, knowledge is evil and comes from the devil, and only the devil would spread knowledge. It's not simply the eating of the apple, the getting of knowledge, it's the _spreading_ of knowledge — letting the secret of knowledge out. It sounds like the 20th century, doesn't it? It sounds like specialist elites holding on to their knowledge.

I'm not patting myself on the back by saying that, basically, like all other writers who try to be honest, I'm with the devil. I'm in the business of spreading knowledge.

_This interview was adapted from the public radio series "Insight & Outlook." It appeared in abbreviated form in the _Ottawa Citizen_, December 16, 2001._

© Copyright 2018 by Scott London. All rights reserved.

[1]: http://www.scottlondon.com/images/banner.gif
[2]: http://www.scottlondon.com/index2.html "Home Page"
[3]: http://www.scottlondon.com/blog/ "Blog"
[4]: http://www.scottlondon.com/books/index.html "Books & Publications"
[5]: http://www.scottlondon.com/articles/index.html "Articles & Essays"
[6]: http://www.scottlondon.com/index.html "Interviews"
[7]: http://www.scottlondon.com/reviews/index.html "Book Reviews"
[8]: http://www.scottlondon.com/radio/index.html "Radio Productions"
[9]: http://www.scottlondon.com/photo/index.html "Photography"
[10]: http://www.scottlondon.com/bio/index.html "About Scott London"
[11]: http://www.scottlondon.com/contact.html "Contact"
[12]: http://www.scottlondon.com/site/index.html "Site Index"
[13]: http://www.scottlondon.com/images/saul.jpg
[14]: http://www.scottlondon.com/images/flourish.jpg

