---
created_at: '2017-12-24T23:28:29.000Z'
title: The Area Under an ROC Curve (2001)
url: http://gim.unmc.edu/dxtests/roc3.htm
author: dedalus
points: 85
story_text: 
comment_text: 
num_comments: 19
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1514158109
_tags:
- story
- author_dedalus
- story_16001826
objectID: '16001826'

---
[Source](http://gim.unmc.edu/dxtests/roc3.htm "Permalink to The Area Under an ROC Curve")

# The Area Under an ROC Curve

##  The Area Under an ROC Curve

**|[ Previous Section][1] | [Main Menu][2] |[ Next Section][3] |**

![][4] The graph at right shows three ROC curves representing excellent, good, and worthless tests plotted on the same graph. The accuracy of the test depends on how well the test separates the group being tested into those with and without the disease in question. Accuracy is measured by the area under the ROC curve. An area of 1 represents a perfect test; an area of .5 represents a worthless test. A rough guide for classifying the accuracy of a diagnostic test is the traditional academic point system: 

* .90-1 = excellent (A) 
* .80-.90 = good (B) 
* .70-.80 = fair (C) 
* .60-.70 = poor (D) 
* .50-.60 = fail (F) Recall the T4 data from the [previous section][1]. The area under the T4 ROC curve is .86. The T4 would be considered to be "good" at separating hypothyroid from euthyroid patients. 

![][5] ROC curves can also be constructed from clinical prediction rules. The graphs at right come from a study of how clinical findings predict strep throat (Wigton RS, Connor JL, Centor RM. Transportability of a decision rule for the diagnosis of streptococcal pharyngitis. Arch Intern Med. 1986;146:81-83.) In that study, the presence of tonsillar exudate, fever, adenopathy and the absence of cough all predicted strep. The curves were constructed by computing the sensitivity and specificity of increasing numbers of clinical findings (from 0 to 4) in predicting strep. The study compared patients in Virginia and Nebraska and found that the rule performed more accurately in Virginia (area under the curve = .78) compared to Nebraska (area under the curve = .73). These differences turn out not to be statistically different, however. 

At this point, you may be wondering what this area number really means and how it is computed. The area measures **discrimination**, that is, the ability of the test to correctly classify those with and without the disease. Consider the situation in which patients are already correctly classified into two groups. You randomly pick on from the disease group and one from the no-disease group and do the test on both. The patient with the more abnormal test result should be the one from the disease group. The area under the curve is the percentage of randomly drawn pairs for which this is true (that is, the test correctly classifies the two patients in the random pair). 

Computing the area is more difficult to explain and beyond the scope of this introductory material. Two methods are commonly used: a non-parametric method based on constructing trapeziods under the curve as an approximation of area and a parametric method using a maximum likelihood estimator to fit a smooth curve to the data points. Both methods are available as computer programs and give an estimate of area and standard error that can be used to compare different tests or the same test in different patient populations. For more on quantitative ROC analysis, see Metz CE. Basic principles of ROC analysis. Sem Nuc Med. 1978;8:283-298. 

**A final note of historical interest**  
You may be wondering where the name "Reciever Operating Characteristic" came from. ROC analysis is part of a field called "Signal Dectection Theory" developed during World War II for the analysis of radar images. Radar operators had to decide whether a blip on the screen represented an enemy target, a friendly ship, or just noise. Signal detection theory measures the ability of radar receiver operators to make these important distinctions. Their ability to do so was called the Receiver Operating Characteristics. It was not until the 1970's that signal detection theory was recognized as useful for interpreting medical test results.   
. **|[ Previous Section][1] | [Main Menu][2] |[ Next Section][3] |**

[1]: http://gim.unmc.edu/roc2.htm
[2]: http://gim.unmc.edu/Default.htm
[3]: http://gim.unmc.edu/effect1.htm
[4]: http://gim.unmc.edu/roccomp.jpg
[5]: http://gim.unmc.edu/strep.jpg

