---
created_at: '2013-10-26T12:14:59.000Z'
title: 'Review of Disciplined Minds: A Critical Look at Salaried Professionals (2001)'
url: http://www.uow.edu.au/~bmartin/pubs/01BRrt.html
author: k1m
points: 61
story_text: ''
comment_text: 
num_comments: 26
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1382789699
_tags:
- story
- author_k1m
- story_6617137
objectID: '6617137'

---
[Source](https://www.uow.edu.au/~bmartin/pubs/01BRrt.html "Permalink to Review of Jeff
Schmidt's Disciplined Minds")

# Review of Jeff
Schmidt's Disciplined Minds

#  **Review of Jeff Schmidt's _Disciplined Minds: A Critical Look at Salaried Professionals and the Soul-Battering System that Shapes their Lives_**

 

Published in _Radical Teacher,_ No. 62, 2001, pp. 40-43, with the omission of the reference list.

 

### Reviewed by Brian Martin

> * * *
> 
> **email:** [bmartin@uow.edu.au ][1]

**Go to **

[**Brian Martin's book reviews**][2]

[**Brian Martin's publications on education**][3]

[**Brian Martin's publications**][4]

[**Brian Martin's website**][5]

* * *

Why arent there more radical teachers? Is it just the difficulty of being radical in a system built around compulsion, discipline, conformity, and reproduction of the class structure? Or is part of the problem the way that people become teachers? Indeed, why is it that so many educational radicals were never formally trained as teachers?

Jeff Schmidt provides an answer in his book _Disciplined Minds_: professionals, including teachers, are selected and molded to have politically and intellectually subordinate attitudes, thereby making their creative energies available to the system. In short, "professional education and employment push people to accept a role in which they do _not_ make a significant difference, a politically subordinate role." (p. 2). Schmidts critique covers all professionals and is worth examining before returning to the specific challenge facing radical teachers.

The first step in Schmidts argument is the claim that professionals - including police, doctors, lawyers, teachers and many others - think less independently than nonprofessionals. He cites opinion polls taken during the Vietnam war showing that support for the war was greater among those with more higher education. But what about the widespread perception that professionals have more progressive views on issues ranging from crime to capitalism? Schmidt says that professionals may have progressive views about _distant_ social issues, but in the workplace - and in the work itself - professional attitudes prevail, and they are uncritical. Specifically, they are against democratization in their own work. Indeed, do you know many lawyers who support free training for litigants to represent themselves, doctors who favor making it easier for people without medical qualifications (such as experienced nurses) to practice medicine or indeed many teachers who support opening jobs in schools to anyone, with or without degrees or teacher training - or letting students run classes without teachers?

Schmidt argues that what really makes an individual a professional is not technical knowledge, but rather "ideological discipline."

> "Those who employ teachers see them as more than workers who present the official curriculum to the students. A computer or television system could make such a presentation. An important role of the schools is socialization: the promulgation of an outlook, attitudes and values. ... The professional is one who can be trusted to extrapolate to new situations the ideology inherent in the official school curriculum that she teaches." (p. 32).

Professionals do "political work" but in a way that is not seen as political. Being "professional" is, in essence, accepting this hidden political role.

> "As a professional, the teacher is objective when presenting the school curriculum: She doesnt take sides, or get political. However, the ideology of the status quo is _built into_ the curriculum. The professionals objectivity, then, boils down to not challenging this built-in ideology." (p. 32).

When teachers are fired, it is seldom for being incompetent teachers. Usually, it is for challenging the system in some way, such as not teaching the curriculum. Schmidt provides examples of doctors and other professionals with fake credentials who are able to survive quite all right in their jobs, as long as they have the right attitudes.

A key to creating docile professionals is professional training. Through their training, budding professionals learn to orient their intellectual effort to tasks assigned to them. Schmidt has a wonderful expression for this: "assignable curiosity." Children are naturally curious about all sorts of things. Along the road to becoming a professional, they learn how to orient this curiosity to tasks assigned by others.

Consider, for example, a typical essay in a university class. The teacher sets the topic and the students write on it. To do really well, students need to figure out what will please the teacher. If the teacher had assigned a completely different topic, the conscientious student would have directed effort to that topic. Well-trained students do not even think about writing about topics that are not assigned. They wait to be told where to direct their curiosity.

Schmidt has a teaching credential and has taught junior high school math in Pasadena, California and in El Salvador. However, it is his experiences pursuing a PhD in physics that come through most strongly in _Disciplined Minds. _"Assignable curiosity" has a special significance for researchers. Military funding of science, for example, works well to direct research into military-relevant directions because scientists are willing to take up whatever project is offering. When scientists put in research proposals to military funders, they anticipate what will be most useful and attractive for military purposes, while maintaining the illusion that they are directing the research.

Nearly half of _Disciplined Minds_ is devoted to selection of professionals, a process that weeds out most of those whose attitudes are not appropriate and molds the survivors into a narrow political mindset. On entering professional training, Schmidt says, students are optimistic and idealistic. On leaving they are "pressured and troubled" because they have gradually submerged their ideals and become willing to join the occupational hierarchy. So different are they on completion of training that "the primary goal for many becomes, in essence, getting compensated sufficiently for sidelining their original goals" (p. 121).

What drives this transformation? One factor is discrimination. A nasty dimension is sexual and racial harassment in training for careers such as in the police and engineering. However, this type of "selection pressure" has the disadvantage of being widely recognized as inappropriately discriminatory. Far more accepted is the role of examinations, which are seen as neutral but which, Schmidt argues, are actually quite political.

Many students are terrified of exams, especially qualifying exams which can determine whether or not students can enter their occupation of choice. Failing is humiliating as well as representing a waste of enormous effort. So most students put plenty of effort into making sure they will pass. That means that they have to set aside what theyd really like to learn and instead to prepare intensively for likely questions. This is further training in assignable curiosity, but now the stakes are higher. Exams usually present tasks that are small components of the actual work of a professional. This, plus time pressures, encourages a narrow, instrumental approach to learning.

Students who prefer to follow their own curiosity are more likely to be put off by the exam system and drop out, or to do poorly. Those who are most eager to do well not only study likely questions intensively but also do what they can to ingratiate themselves with teachers and to better understand what is expected of them. Exams thus favor those least critical of the status quo. "The social framework imposed by the examination problems and by the rest of the qualification system maps out a domain of allowed activity that ultimately becomes the playpen of the nonradical credentialed expert and the cage of the individual working for progress in the social structure." (p. 178).

Exams are a powerful legitimating tool because they can discriminate while seeming to be neutral. Schmidt scrutinizes biases in standardized tests, showing how test makers remove gratuitous cultural biases, leaving the structural bias that picks out compliant workers.

The system raises the aspirations of many but provides winning tickets - coveted professional jobs - to only a few. What of the disgruntled losers? Why is there not more protest about the unfairness of hierarchy and privilege? Schmidt argues that the system, to reproduce itself effectively, has to "cool" losers off. One way to accomplish this is to give advice to students. A recalcitrant (namely, self-directed) student might be told that, to succeed, she will have to work harder at mastering the requirements set down for her: perhaps understanding key theories, solving standard problems or looking at things from a "balanced" viewpoint. A student given such advice may then "decide for herself" that she doesnt really want to pursue the grueling road of redirecting her interests in teacher-specified ways.

Schmidt notes that "cooling-out work," to be effective, needs to be hidden. The exam system works extremely well in this because it appears to be nonpartisan while actually imposing the values of the status quo.

Training is only the initial stage in producing compliant professionals. A few radicals slip through the training process, and others become radical on the job. But not that many. For a professional to argue for democratization at work, especially if it means undermining the privilege and status of professionals, is commonly seen as heresy, rather like a unionist arguing for lower pay.

Schmidt gives several examples of professional associations that have avoided "political" activity. For example, "the National Lesbian and Gay Journalists Association decided not to participate in the massive 25 April 1993 gay rights march on Washington, an event that drew several hundred thousand people, making it one of the largest civil rights demonstrations in American history. Leroy Aarons, the groups president, explained that members didnt want to endanger their credibility in the industry." (p. 206). Individual professionals who step out of line, or who simply take some sort of initiative, are regularly penalized. "Meanwhile, they see that coworkers with take-the-money-and-run attitudes are hassled less." (p. 210).

In developing his critique of professions, Schmidt draws on his own experiences and uses extensive quotes from correspondents, such as graduate students who became aware of the political nature of their training. This makes for an engaging account that feels authentic rather than remote in the conventional academic style.

Readers familiar with literature on the sociology of professions and the sociology of education may be surprised that Schmidt has few citations to it. He makes no mention of works on the professional-managerial class, such as Alvin Gouldners well known _The Future of Intellectuals and the Rise of the New Class _(1979), nor of critiques of professions such as Randall Collins _The Credential Society_ (1979). Actually, Schmidt knew about such works but decided not to mention them because he found that they were not necessary to his argument. This may reflect his physics training. A social scientist would naturally become familiar with "the literature" and refer extensively to it, in order to show how their contribution relates to it. A theoretical physicist, on the other hand, may start out with a theoretical framework, such as Schrödingers equation in quantum mechanics, and derive logical consequences from it, without having to cite prior or related work.

That is essentially what Schmidt has done in _Disciplined Minds._ The books analysis is quite rigorous in its own terms. Schmidt has set various challenging fundamental questions for himself, such as why theory is more prestigious than practical work, systematically examined possible answers and then made a conclusion based on logic and evidence. His intellectual framework for this task can generally be characterized as a critique of domination and inequality coupled with support for egalitarianism and democratization. The result is bold and refreshing. While _Disciplined Minds_ misses the more elaborate structural theories and empirical evidence from works in the sociology of education and professions, it redresses a key shortcoming in these works, namely a concern for analysis without ideas for change. Schmidts voice has the authenticity of experience and concern, and thus has a much more subversive quality.

So while there are some sections in the book where an engagement with other literatures, such as critiques of credential systems or analyses of hegemony, might have added insight or nuance, in other sections Schmidt tackles areas that are neglected elsewhere, such as "cooling-out work." Arguably, working out his own framework was what enabled him to make his most original contributions.

Another limitation of _Disciplined Minds_ is its restriction mainly to the US experience. While much of the analysis applies to other countries and cultures, there are also significant differences. For example, old-fashioned patronage plays a much larger role in some European countries, making an exam-based system seem egalitarian by comparison. (Schmidts analysis of exams becomes especially important in such circumstances.) The existence of powerful left-wing parties in many countries changes the situation for left-wing professionals, offering both opportunities and dangers that are not easily appreciated in the US. Cross-cultural assessments of themes covered in _Disciplined Minds_ are needed. My fear is that there are few individuals with the inclination or opportunity to write them!

Where the book most obviously goes beyond usual critical analyses of professions is in the final part, "Resistance." Schmidt begins by drawing an analogy between professional training and ideological indoctrination in cults. He recognizes that students have many more opportunities to organize and resist than typical cult members. Nevertheless, he argues that "life in graduate or professional school _can _be very much like life in a cult - and that for students who arent careful, it _will_ be." (p. 218). He then looks at the characteristic features of totalistic organizations, such as big promises, control of the milieu, no questioning of authority, and shaming. He gives examples from professional training reflecting each of these features.

For example, Schmidt says that the leaders of totalistic organizations "would rather have total control of a group that does a poor job of fulfilling its all-important mission than be rank-and-file members of a democratic but more effective organization" (p. 227) and then quotes a sociology graduate students experience of an intimidating faculty member.

How to survive? Well, how can captive soldiers survive what is commonly called "brainwashing"? The US Army has a manual on resisting indoctrination when a prisoner of war. As Schmidt amusingly notes, this manual wasnt written for students, but "students in graduate or professional school should be able to put such resistance techniques to good use." (p. 239). A person who maintains an independent, nonconforming outlook in any institution, including a prisoner-of-war camp, is seen as deviant and threatening. The keys to resistance are knowing what youre up against, preparing to take action, working with others (organization!), resisting at all levels, and dealing with collaborators by cutting them off from key information and attempting to win them over. Schmidt gives a revealing account of his own difficulties in graduate school and how he survived as a radical.

Finally, Schmidt describes what is involved in being a radical professional: identifying primarily as a radical, having a critical perspective on the profession and institution, and doing things that make a difference, by connecting to opposition groups and working on the inside. For most teachers, then, doing things that make a difference would mean working in radical ways within a mainstream school.

Schmidt gives a list of 33 suggestions for radical professionals working in establishment institutions, such as helping on politically progressive projects during working hours, exposing the organizations flaws to outsiders, and taking collective action to maintain the dignity of individuals. These are all eminently practical suggestions. Schmidt does not present a grand plan to transform professions or society. Rather, his suggestions, like his analysis, are grounded in day-to-day realities. That is what makes _Disciplined Minds_ a really subversive book, much more so than other books that may seem more radical in theoretical terms but lack a tight connection to practice.

How far to pursue any subversive step is a matter of judgment, and here Schmidt cannot provide much guidance since so much depends on an individuals circumstances, opportunities, understanding, skills and alternatives. It is usually safer to be an activist about distant issues than confront the local power structure. Is this a cop-out? Going too far means risking ones job and possibly the opportunity to pursue further change, but treading too softly is a prescription for gradually becoming a defender of the status quo. Schmidt encourages us to err on the side of action for change.

Schmidt worked for 19 years as an editor at _Physics Today, _doing work on _Disciplined Minds _on the side. In his provocative opening to the book, he states, "This book is stolen. Written in part on stolen time, that is." (p. 1). In other words, he spent part of his work time investigating and writing it. The book was too much for his employers to stomach: Schmidt was fired when it was published (Shea, 2000/01;<http://www.disciplined-minds.com>). However, his ordeal will be well worth it if others learn from his analysis.

While those who identify themselves as radical teachers will find much of _Disciplined Minds_ unsurprising, there are still many insights worth extracting. Some key ones for me are the subtle ways that make professional training an intensely conservatizing process and the point that professionals are more ideologically disciplined than nonprofessionals.

For a professional with progressive views, it can be hard to accept that the real ideological conformity is acceptance of standard ideas about professional behavior. An especially awkward role is that of academics who train professionals, including teachers. If selection and training is conservatizing, then academics are keys to this process. Schmidt recognizes and appreciates those individuals who offer support for nonconforming students. Mutual support is crucially important, and _Radical Teacher _plays an important role in this.

Is ideological disciplining of teachers getting more or less strict? Certainly there seems to be more of it, as higher degrees are expected for more teaching jobs and teachers seek extra qualifications as a means to get ahead. Mandatory continuing education might be seen as obligatory ideological discipline! Within universities, the trend towards managerialism and orientation to the market is imposing its own form of ideological discipline, with many faculty being quite willing to assign their curiosity to whichever projects offer the biggest bucks. On the job in schools, the pressures are ever greater, leaving less space for reflection and oppositional activity.

The path of the radical professional is not easy, but at least Schmidt makes it seem like a lot of fun. Revealing the processes of subordination is for him a playful expose. He would be delighted for others to join with him saying "The exam has no clothes!" His most important message, though, concerns resistance:

> "The system of education and employment works to redefine who you are in the deepest sense, pushing you away from developing and acting upon your own vision and guiding ideas. Hence, if you want to stand for something and avoid vanishing as an independent force in society, you have no choice but to resist." (p. 280). 
> 
>  

#### **Works cited**

Collins, Randall (1979). _The Credential Society: An Historical Sociology of Education and Stratification. _New York: Academic Press.

Schmidt, Jeff (2000). _Disciplined Minds: A Critical Look at Salaried Professionals and the Soul-Battering System that Shapes their Lives. _Lanham, MD: Rowman & Littlefield.

Gouldner, Alvin W. (1979). _The Future of Intellectuals and the Rise of the New Class. _London: Macmillan.

Shea, Christopher (2000/01). "Stealing Time." _Lingua Franca, _Vol. 10, No. 9, December/January, pp. 10-12.

[1]: mailto:bmartin%40uow.edu.au
[2]: http://www.bmartin.cc/pubs/reviews.html
[3]: http://www.bmartin.cc/pubs/edu.html
[4]: http://www.bmartin.cc/pubs/
[5]: http://www.bmartin.cc/

