---
created_at: '2014-09-01T19:07:23.000Z'
title: 'The Pentium 4 and the G4e: An Architectural Comparison (2001)'
url: http://arstechnica.com/features/2001/05/p4andg4e/
author: CoolGuySteve
points: 47
story_text: ''
comment_text: 
num_comments: 25
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1409598443
_tags:
- story
- author_CoolGuySteve
- story_8254254
objectID: '8254254'

---
[Source](https://arstechnica.com/features/2001/05/p4andg4e/ "Permalink to The Pentium 4 and the G4e: an Architectural Comparison: Part I | Ars Technica")

# The Pentium 4 and the G4e: an Architectural Comparison: Part I | Ars Technica

[ ][1]

* [Biz & IT][2]
* [Tech][3]
* [Science][4]
* [Policy][5]
* [Cars][6]
* [Gaming & Culture][7]
* [Forums][8]
[Subscriptions][9]

[ ][10]

Close

[ ][11]

###  Navigate 

* [Videos][12]
* [Features][13]
* [Reviews][14]
* [Ars Approved][15]
* [RSS Feeds][16]
* [Mobile Site][17]
* [About Ars][18]
* [Staff Directory][19]
* [Contact Us][20]
* [Advertise with Ars][21]
* [Reprints][22]

###  Filter by topic 

* [Biz & IT][2]
* [Tech][3]
* [Science][4]
* [Policy][5]
* [Cars][6]
* [Gaming & Culture][7]
* [Forums][8]

###  Settings 

Front page layout

[   
Grid 

][23]

[   
List 

][24]

[   
Wide 

][25]

Site theme

[ Black on white

][26]

[ White on black

][27]

[ Sign in  ][28]

###  Comment activity 

Sign up or login to join the discussions!

Stay logged in | [Having trouble?][29]

Sign up to comment and more [Sign up][30]

####  Features —

# The Pentium 4 and the G4e: an Architectural Comparison: Part I

## When the Pentium 4 hit the market in November of 2000, it was the first major …

[Jon Stokes][31] \- May 12, 2001 1:45 am UTC

[ reader comments ][32]

Share this story

## Introduction

When the Pentium 4 hit the market in November of 2000, it was the first major new x86 microarchitecture from Intel since the Pentium Pro. In the years prior to the P4's launch the P6 core dominated the market in its incarnations as the Pentium II and Pentium III, and anyone who was paying attention during that time learned at least one, major lesson: clock speed sells. Intel was _definitely_ paying attention, and as the Willamette team labored away in Hillsboro, Oregon they kept MHz foremost in their minds. This singular focus is evident in everything from Intel's Pentium 4 promotional and technical literature down to the very last detail of the processor's design. As this article will show, the successor to the most successful x86 microarchitecture of all time is a machine built from the ground up for stratospheric clock speed.

This article will examine the tradeoffs and design decisions that the P4's architects made in their effort to build a MHz monster, paying special attention to the innovative features that the P4 sports and the ways those features fit with the processor's overall design philosophy and target application domain. We'll cover the P4's ultra-deep pipeline, its trace cache, its double-pumped ALUs, and a host of other aspects of its design, all with an eye to their impact on performance.

One thing I've found in writing about technology is that it's never enough to just explain how something new works. Most of us need a point of reference from which to evaluate design decisions. When covering a new product, I always try to compare it to either a previous version of the same product or (even better) to a competitor's product. Such a comparison provides a context for understanding what's "new" about a new technology and why this technology matters. To this end, I'll be using Motorola's new MPC7450 (a.k.a. the G4e or G4+) as a basis from which to talk about the P4. Note that this article is not a performance comparison; performance comparisons are best done in the lab by testing and benchmarking with real-world applications. I will talk about performance quite a bit, but not in a manner that pits the two processors directly against each other. In the end, it's best to think of this article as an article about the P4 that uses the G4e as a point of reference. I'll be using the G4e as sort of a baseline processor that will give you a feel for how things are "normally" done. Then I'll talk about how and why the P4 does things differently. 

Before we talk about the two processors in detail, it might help to review a few basics of processor design. If you've read my previous work, especially my G4 vs. K7 article, then you're probably familiar most of what I'll cover in the following short review section. More advanced readers will want to skip to the next section. Still, if you haven't though about microarchitecture in a while you might want to give the section below a quick read.

## Basic instruction flow

One useful division that computer architects use when talking about CPUs is that of "front end" vs. "back end" or "execution engine." When instructions are fetched from the cache or main memory, they must be decoded and dispatched for execution. This fetching, decoding and dispatching takes place in the processor's front end. 

![][33]

**Figure 1.1: Basic CPU Instruction Flow**

Instructions make their way from the cache to the front end and down through the execution engine, which is where the actual work of number crunching gets done. Once they leave the execution engine, their results are written back to main memory. This process, in which you **FETCH** the instruction from the cache, **DECODE** it into a form that the internals of the processor can understand, **EXECUTE** it, and **WRITE** its results back to memory makes up the basic, four stage pipeline that all aspiring CPU architects learn in their undergraduate architecture courses. Each pipeline stage must take exactly **one clock cycle** to complete its business and send the instruction on to the next stage, so the more quickly all of the stages can do their thing the shorter the processor's clock cycle time (and the higher its clock speed or frequency) can be. 

(For a thorough explanation of all things pipelining--what it is, its relation to the CPU's clock speed, etc.--see my [first K7 article][34]. From here on out, I'll just assume that you understand the basic concepts of pipelined execution. If you don't, you should read up on it before proceeding further.) 

![][35]

**Figure 1.2: Basic 4-stage pipeline**

This basic pipeline represents the "normal" path that instructions take through the processor, and as I just noted it assumes that all instructions spend only one cycle being EXECUTEd. While most processors do have one-cycle instructions (the P4 even has 0.5-cycle instructions), they also have some really complicated instructions that need to spend multiple cycles in the EXECUTE stage. To accommodate these multi-cycle instructions, the different functional units their own EXECUTE pipelines (some with one stage, some with more), so they can add stages to the processor's basic pipeline.

![][36]

**Figure 1.3: 4-stage pipeline with pipelined execution units**

The take-home message here is that when we talk about how many pipeline stages a processor has we use an ideal number that pretends that each instruction spends only one cycle in the EXECUTE stage, but most instructions pass through multiple EXECUTE stages in the various functional units. 

Page: 1 [2][37] [3][38] [4][39] [5][40] [6][41] [7][42] [Next →][37]

[ reader comments ][32]

Share this story

You must [login or create an account][43] to comment.

←[ Previous story][44] [Next story →][45]

### Related Stories

### Sponsored Stories

[Powered by ][46]

### Today on Ars

* [RSS Feeds][16]
* [View Mobile Site][47]
* [About Us][18]
* [Subscribe][9]
* [Contact Us][20]
* [Staff][19]
* [Advertise with us][21]
* [Reprints][22]

CNMN Collection  
WIRED Media Group  
Use of this Site constitutes acceptance of our [User Agreement][48] (effective 1/2/14) and [Privacy Policy][49] (effective 1/2/14), and [Ars Technica Addendum (effective 5/17/2012)][50]. View our [Affiliate Link Policy][51]. [Your California Privacy Rights][52]. The material on this site may not be reproduced, distributed, transmitted, cached or otherwise used, except with the prior written [permission of Condé Nast][53]. 

[1]: https://arstechnica.com "Ars Technica Homepage"
[2]: https://arstechnica.com/information-technology/
[3]: https://arstechnica.com/gadgets/
[4]: https://arstechnica.com/science/
[5]: https://arstechnica.com/tech-policy/
[6]: https://arstechnica.com/cars/
[7]: https://arstechnica.com/gaming/
[8]: https://arstechnica.com/civis/
[9]: https://arstechnica.com/store/product/subscriptions/
[10]: https://arstechnica.com/search/
[11]: https://arstechnica.com#site-footer
[12]: http://video.arstechnica.com/
[13]: https://arstechnica.com/features/
[14]: https://arstechnica.com/reviews/
[15]: https://arstechnica.com/tag/ars-approved/
[16]: https://arstechnica.com/rss-feeds/
[17]: /?view=mobile
[18]: https://arstechnica.com/about-us/
[19]: https://arstechnica.com/staff-directory/
[20]: https://arstechnica.com/contact-us/
[21]: https://arstechnica.com/advertise-with-us/
[22]: https://arstechnica.com/reprints/
[23]: http://arstechnica.com/features/2001/05/p4andg4e/?view=grid
[24]: http://arstechnica.com/features/2001/05/p4andg4e/?view=archive
[25]: http://arstechnica.com/features/2001/05/p4andg4e/?view=full
[26]: http://arstechnica.com/features/2001/05/p4andg4e/?theme=light
[27]: http://arstechnica.com/features/2001/05/p4andg4e/?theme=dark
[28]: https://arstechnica.com/civis/ucp.php?mode=login&return_to=%2Ffeatures%2F2001%2F05%2Fp4andg4e%2F
[29]: https://arstechnica.com/civis/ucp.php?mode=sendpassword
[30]: https://arstechnica.com/civis/ucp.php?mode=register
[31]: https://arstechnica.com/author/hannibal/
[32]: https://arstechnica.com/features/2001/05/p4andg4e/?comments=1
[33]: https://arstechnica.com/cpu/01q2/p4andg4e/figure2.gif
[34]: https://arstechnica.com/3q99/k7_theory/k7-one-1.html
[35]: https://arstechnica.com/cpu/01q2/p4andg4e/figure9.jpg
[36]: https://arstechnica.com/cpu/01q2/p4andg4e/figure9b.jpg
[37]: https://arstechnica.com/features/2001/05/p4andg4e/2/
[38]: https://arstechnica.com/features/2001/05/p4andg4e/3/
[39]: https://arstechnica.com/features/2001/05/p4andg4e/4/
[40]: https://arstechnica.com/features/2001/05/p4andg4e/5/
[41]: https://arstechnica.com/features/2001/05/p4andg4e/6/
[42]: https://arstechnica.com/features/2001/05/p4andg4e/7/
[43]: https://arstechnica.com/civis/ucp.php?mode=login&return_to/features/2001/05/p4andg4e/
[44]: https://arstechnica.com/gaming/2001/04/undying/
[45]: https://arstechnica.com/gaming/2001/05/fallout-tactics/
[46]: http://www.outbrain.com/what-is/default/en
[47]: http://arstechnica.com/features/2001/05/p4andg4e/?view=mobile
[48]: http://www.condenast.com/privacy-policy
[49]: http://www.condenast.com/privacy-policy#privacypolicy
[50]: https://arstechnica.com/amendment-to-conde-nast-user-agreement-privacy-policy/
[51]: https://arstechnica.com/affiliate-link-policy/
[52]: http://www.condenast.com/privacy-policy#privacypolicy-california
[53]: https://www.condenast.com/reprints-permissions

