---
created_at: '2015-09-02T15:28:15.000Z'
title: India (2002)
url: http://www.jimrogers.com/content/stories/articles/india.html
author: jalan
points: 44
story_text: 
comment_text: 
num_comments: 52
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1441207695
_tags:
- story
- author_jalan
- story_10159872
objectID: '10159872'

---
[Source](http://www.jimrogers.com/content/stories/articles/india.html "Permalink to Untitled")

# Untitled


| ----- |
|  ![][1] |  
|  **BY JIM ROGERS** |  
|     
**India**  
  

India is a land of contradictions. The country produces some of the world's brightest minds and the single most successful immigrant community in the United States. Yet roughly 50 percent of its own population is illiterate. It's a country recognized by global leaders as a high-tech superpower. Still, I often couldn't make a local phone call. There's a lot of talk among those in power in India about how the Internet super-highway will speed them to prosperity. Meanwhile, endless traffic jams and a deteriorating national highway system kept us creeping along at a snail's pace as my wife and I traveled through countryside. Goods carrying trucks can only average about 10 miles an hour crossing the country and often can be held up for days by the bureaucracy just trying to cross state lines.

I came to India prepared to find a nation about to take over the world. China has long been my call as the coming superpower for the 21st century but I figured India might give it a run for it's money. There are, after all, many similarities. Both countries have emerged after decades of restrictive political and economic systems. Both have motivated and sizeable workforces. Both are leaders in the new high-tech world. More importantly, though, leaders in both countries talk a lot about change.

But while China has embraced economic reform and capitalism, rebuilding its infrastructure, India still hasn't quite made up its mind what it wants to be. As I drove through the cities and small villages and talked to politicians and local business people, I got the sense that it's a country thats still uncertain if it's ready to move beyond the protectionist and anti-foreign sentiment that drove it to the brink of bankruptcy just over a decade ago when it had only three weeks of foreign currency reserves in its coffers. We constantly ran into the holdover protectionist and anti-foreign practices during our trip.

Of course, China has always had a bit of a lead on India. China began embracing a more free-market economy as early as 1979 while leadership in New Delhi only began abandoning their socialist system back in 1991.

I last visited India in 1988 when the country was still following the protectionist and socialist policies. Communism around the world was collapsing and the Berlin Wall would fall the next year. Countries were opening up.

Today, India is still world's behind China. China's infrastructure is superior with speedy super highways and new construction every where. India's infrastructure is in a shambles. The road and rail system that the British put in over a century ago is falling apart. Nearly everywhere we went we had trouble finding continuous running water. Getting on the Internet was often nearly impossible.

Power shortages are an even bigger problem. Brown-outs and black-outs plague the country, creating havoc in the tech-centers. At the beginning of this year, power went down for as much as 16 hours in six states and the capital city of New Delhi. Such shortages are the bane of IT companies who must spend exorbitant amounts of money buying extra generators just in case one of their overloaded grids burns out. Jack Welch, CEO of General Electric, visited the country last year and was the first to tell the leaders that while, the country showed lots of promise they'd better do something about that power problem.

Physically, India is as imposing as any country we've driven through. Roughly a third of the size of the U.S., it's a diverse and ever changing landscape. We passed along the edge of the Northern region, an area dominated by the Himalayan mountains, and into the Indo-Gangetic Plain, a 1,500 mile stretch of land blessed by some of the most fertile soil in the world. Acres of rice fields, fed by the vast irrigation system surrounding the Ganges River, stretch as far as the eye can see. We visited extraordinary temples and caves that dated back thousands of years. The Kumbh Mela in January is the largest gathering of people in the history of the world as tens of millions -- including us -- washed themselves in the holy waters of the Ganges. India remains one of the most ethnically diverse countries in the world as well. While Hindi is the official language and English is widely spoken, there are 24 languages spoken by at least a million people or more as well as at least 1600 known minor languages and dialects.

We certainly fell in love with the country and its people. Not even the wildest imagination or most creative novelist could invent a complex and extraordinary place like India with its various ancient cultures, religions, monuments, holy men, the fashion and film industries of Bollywood, traditions, foods, sights, flora, fauna, geography, etc. We were constantly bowled over as we drove through the countryside and would strongly recommend it as a place to visit.

A federal republic, the country is divided into 25 states and seven territories. These states often vary greatly from one to the next in terms of infrastructure and the amount of revenue they produce for the country overall. That's resulted in tensions between states, as many people view certain states on drags on the overall country. The high-tech sectors often seen the more rural states as drains on the economy. It's as if the dot-comers in the U.S. were to get upset with our steel industry. Similarly, some states complain that certain ones get special treatment. The earthquake, for instance, that recently shook the state of Gujarat and killed thousands, garnered a great deal of attention and federal aid. Last year, though, when there was a typhoon in Orissa, the Eastern-state, little help was given. We discovered people from Orissa who were still deeply resentful.

The ongoing problems in Kashmir are well known, but the seven states of the far east are also torn by many insurgencies. We had to travel with a serious military convoy in Tripura and were saddened to hear 11 soldiers were killed on the convoy the next day. There were several political murders in Assam in the weeks after we left. We were held up for 4 days trying to enter Manipur state by a Sub Inspector of police who insisted our permission to enter as foreigners had to come from the Federal Capital in Delhi not from the local state capitals which we had. We were especially terrified as we drove through since the Superintendent of Police twice warned us not to take the road because of the insurgents and their "numerous sophisticated weapons".

We reached the other side of the state safely and were finally stamped out of India. Another Sub Inspector of Police came racing across the border insisting we could not leave Manipur "since we did not have permission to be here". He was adamant that our permission from Delhi was no good since it had to come from the state capital. He held us up another 5 hours even though we were already out of India. The bizarre Indian bureaucracy kept trying to hang on even after we were gone.

What has put the global economic country on the map over the past decade is its high-tech expertise. Bangalore, a city in Southern India, is the Silicon Valley of India, but other technology hubs are popping up all over the country. The software exports have grown from $50 million in 1993 to $6.3 billion last year. That number is expected to grow to $50 billion by 2008, according to the National Association of Software and Services Companies. The software industry now accounts for 11.5 percent of India's total exports. Eight Indian IT companies, including firms like Infosys and Wipro and Satyam are listed on North American exchanges. The country is a major supplier of skilled software engineers, who are wooed by high-tech corporations in every country around the world.

Despite such a bright spot, India's economy on the whole is less impressive. India's budget deficit remains sizeable, stuck at 10 percent of its gross domestic product of $475 billion. Inflation doubled in 2000. And despite the growth of the IT industry, the stock market has lost nearly half of its value over the past year. More important, the growth of its IT industry, though, means little to those who don't have enough water or power or struggle to feed themselves everyday. In fact, more than 400 million people live on less than $1 a day.

Such a contradiction within India's economy is the result of a lingering sentiment of protectionism that has remained in India for over half a century. Many of the leaders that ruled India after the British left in 1947, like Nehru and his daughter, Indira Gandhi, feared further influence of foreigners and established a practice of strict self-reliance, known as swadeshi. These governments subsidized many Indian industries, never allowing foreign companies to compete and thereby never allowing its own industries to excel. Such subsidies have long been a drain on the country's economy, accounting for as much as 14 percent of its GDP.

As a result of such protectionism and subsidies, many industries within India have remained stagnant. Indians are incredible farmers who could likely rival the U.S. in agricultural production. But the government doesn't allow people to own more than 18 acres. This is driving out many productive producers. Farmers from the Punjab have started buying huge spreads in Kazakhstan. In the eastern section of India, there is a company called Bengal Fertilizer, which was built in the early nineties. The government spent $1.2 billion on it and it took seven years to complete. It now employs 1550 people with complete work schedules, vacations, canteens, unions, etc. And yet they have never produced an ounce of fertilizer. I can't even figure out why.

Foreign investment has stymied just when it gets started. Last year, for instance, the government adopted liberal venture capital rules to encourage foreign firms to invest in the growing tech industry. Not long after, though, the foreign minister announced that such VCs had to liquidate their holdings 2 months after a company was listed on the stock exchange. Foreign direct investment tells the larger picture: In the first decade of its economic liberalization, India only managed to attract $23.7 billion, just slightly more than what China can attract in six months. And while foreign direct investment totaled $4.5 billion last year, that was still a tenth of what China is estimated to have received in 2000. Foreign companies must often get the approval of numerous government agencies before they can start businesses. Prohibitively high import tariffs---as high as 34 percent---discourage peddling their wares in India. And labor laws make it nearly impossible to fire anyone. Many complain of the massive corruption and red-tape.

We constantly ran into the holdover protectionist and anti-foreign practices during our trip. A computer cord we could not buy in India and which was useless to anyone in the country was held up in Customs for 5 days and then required a 50% fee even though we would be taking it out of the country in a few days. We had a replacement auto mirror -- again useless to anyone in India except us sent to us in Calcutta. We explained it would be in the country only a few hours as we were heading for Bangladesh. It was still there when we left as "an import license is required". Indian Customs inadvertently ruined a pop up tent sent to us for travel further east. Rather than telling me they had destroyed it, they charged me import fees before giving it to me to discard.

Such stories plague the Indian economy. Texas-based Enron arrived back in the early nineties when India was encouraging private energy companies to bid for licenses to build power plants on its soil. Enron built plants but had a terrible time getting the government to pay them for their electricity. The company ultimately spent years in legal battles just to get paid. It's a perfect example of how the India government has wanted to encourage foreign companies while at the same time they can't embrace them.

Such protectionism trickled down to our experience in the sub-continent as well. We had trouble finding many basic IT products such as Palm Pilot or Compaq and others which have been on the shelves for many, many months in other countries. We normally have to buy SIM cards for each nation we visit but in this IT dynamo we couldn't buy one card to cover the whole country. We could only buy them for small geographic areas. Nationwide prepaid SIM cards were even available in Tanzania and Pakistan. The cost for foreigners to enter the Taj Mahal in Agra was 96 times the fee for locals. That's the worst case but it was rarely less than 45 times the fee. It's chauvinism and anti-tourist arrogance at its worst. The Times of India was complaining that China earns 12 times as much annually as India and was questioning why while we were there. Perhaps they should start with the way tourists are treated. India has many, many more exciting tourist possibilities than China. The temple at Ellora and/or the Taj Mahal in Agra exceed everything China has put together yet India only earns 8% as much as China from tourism.

There's been a lot of talk from the current leadership, led by Atal Behari Vajpayee, about privatization, a positive step, if you ask me. When you are looking to raise the much needed revenue to deal with a budget deficit, privatization makes perfect sense. Last year, at the behest of the IT industry, the government broke up the state's monopoly on long-distance telephony and Internet bandwidth, an absolute necessity to rebuilding the country's telecommunications system. But very little progress has been made. So far, only one company has been privatized---a bakery.The government wants to privatize Air India and Indian Airlines, the country's two main carriers. Still, I was astonished to learn that Air India only has 23 planes, quite a small number for the flagship airline of the second largest country in the world. The airline industry has powerful unions allowing Air India to become overstaffed: there are roughly 700 employees for each aircraft, well above the typical ratio. Plus, the planes are old and need at least $1.5 billion to be modernized. Vajpayee must convince his population and government that it is in their best interest. And for a country that fears a new colonialism, such privatization only means further influence of foreign powers which is why they are limiting foreign ownership of the airlines to small percentages. Perhaps that is why only a couple of firms showed interest in investing in the privatizations.

More recently, the government has unveiled its new business-friendly budget, which would take such smart steps as further privatization, cut corporate taxes and interest rates. More importantly, the government plans to liberalize foreign exchange rules, which would make it easier for local companies to invest and raise capital abroad. That would allow the burgeoning IT industry to be even more competitive. But I've heard such talk before and the government hasn't always followed suit. It's important to remember that there are still many ethnic, religious, and linguistic divides in India, which prevent the country from unifying around one collective goal.

Education is also a problem. While India produces some of the best and brightest minds in the high-tech world, there are in fact relatively very few schools of higher education in India. If you are one of the fortunate ones to get in, school, like so many other institutions, is subsidized. You pay nothing. But only a minor fraction of the population actually goes to school. That's a waste of tremendous brain power.

Ultimately, I bought only one stock in India and only a few shares at that. But it wasn't shares in an Internet start-up or some high-flying software company. It was a hotel chain called India Hotels. They're doing exactly what I like to see in a company: Buying up other good quality hotels at depressed prices because they believe there will be a resurgence in India's hotel industry one day. That's an approach that takes into account the true beneficiaries of India's expanding economy: it's growing middle class. There are about 250 million people in India's middle class, nearly the population of the entire U.S.

For now, I wouldn't touch a tech company here. I've heard a lot of the same rhetoric we've heard in the U.S. Every company was a dot-com-er two years ago. Now everyone calls themselves software companies. You can't keep changing your name just to protect yourself. I spoke with a man who runs a software company and he told me that there were several profound reasons that the local IT industry was still stagnant.

First, revenues from software made by Indian companies is taxed while export revenues are tax-exempt. In other words, an Indian company has no incentive to do local business. All the businesses are then competing for overseas market share. Plus, doing business with locals often means dealing with meddling bureaucrats, who get involved in their business.

Second, there's a great incentive for smart Indians to leave. While a tech downturn in the U.S. might make companies there less attractive, there are other markets that are developing their IT industry that would be more than happy to have some smart programmers. Germany, for instance, is giving special visa exemptions to local Indians looking to migrate.

Third, American companies are much more familiar with outsourcing their work than local firms in India. And foreign companies pay better. As a result, the smarter engineers tend to go work for the foreign companies rather than locals.

Ultimately, the IT bubble, which is bursting in the U.S., will have profound ramifications in India. The Nasdaq is hitting new lows and I think the bubble still has a way to go. No bubble ends with two-year lows. Bubbles end with 10 or 15 year lows. By then, India may have learned to practice true economic reform, taking a lesson from their neighbors in China. Maybe then they will understand that a free-market economy isn't necessarily a new form of colonialism.

India today is very different from the India I experienced in 1988. Then there were no foreign goods and little outside media of any kind. I certainly notice the differences, but they are still disturbingly small compared to other countries. You can get just about anything in China or even in parts of Africa, but not here. We were amazed to discover that even small town shops in Myanmar had much more on offer than the same in India.

Yes, India is changing and growing. There will certainly be more opportunities and excitement of every kind as the middle class continues to develop. India will be fascinating over the next couple of decades, but be careful of the longer term. India really is not a rational country. The English mushed India together in the panic of independence in 1947, but little heed was given to ethnic, religious, linguistic, historic, national, or geographic considerations which is one reason India has had problems with every one of its neighbors since. India as we know it will not survive another 30 or 40 years. This of course does not have to end in disaster, but it probably will given the chauvinism of its government and the way history has always worked.

 | ![][1]

[1]: http://www.jimrogers.com/img/pixel.gif

