---
created_at: '2014-10-13T15:41:01.000Z'
title: Life in the Americas Before Columbus (2002)
url: http://www.theatlantic.com/magazine/archive/2002/03/1491/302445/?single_page=true
author: benbreen
points: 48
story_text: ''
comment_text: 
num_comments: 44
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1413214861
_tags:
- story
- author_benbreen
- story_8449134
objectID: '8449134'

---
[Source](https://www.theatlantic.com/magazine/archive/2002/03/1491/302445/?single_page=true "Permalink to 1491 - The Atlantic")

# 1491 - The Atlantic

* [Skip to content][1] [The Atlantic ][2]
* [ Popular][3]
* [ Latest][4]
* [ Sections][5]

**Sections **
    * [Politics & Policy][6]
    * [Culture][7]
    * [Business][8]
    * [Science][9]
    * [Technology][10]
    * [Health][11]
    * [Education][12]
    * [U.S.][13]
    * [Global][14]
    * [Notes][15]
    * [Letters][16]
    * [The Masthead][17]
    * [Photo][18]
    * [Video][19]
    * [Events][20]
    * [Writers][21]
    * [Projects][22]
* [ Magazine][5]

**Magazine **
    * [Current issue][23]
    * [All issues][24]
    * [Manage subscription][25]
    * [Subscribe][26]
* [ More][5]

**More **
    * [Create account][27] [Your account][25]
    * [Sign in][25] [Sign out][5]
    * [Newsletters][28]
    * [Audio][29]
    * [iOS App][30]
    * [Life Timeline][31]
    * [Events][20]
    * [Books][32]
    * [Shop][33]
[View all][34]

* [Subscribe][35]
* [Search ][5]

**Search ** **Quick Links**
    * [James Fallows][36]
    * [Ta Nehisi Coates][37]
    * [Manage subscription][25]

Search The Atlantic

**Quick Links**
    * [James Fallows][36]
    * [Ta Nehisi Coates][37]
    * [Manage subscription][25]

# 1491

Before it became the New World, the Western Hemisphere was vastly more populous and sophisticated than has been thought—an altogether more salubrious place to live at the time than, say, Europe. New evidence of both the extent of the population and its agricultural advancement leads to a remarkable conjecture: the Amazon rain forest may be largely a human artifact

![][38]

## Most Popular

1. ###  [ What I Saw Treating the Victims From Parkland Should Change the Debate on Guns ][39]

    * [Heather Sher][40]
    * Feb 22, 2018
2. ###  [ This Is What Life Without Retirement Savings Looks Like ][41]

    * [Alana Semuels][42]
    * Feb 22, 2018
3. ###  [ The Absurdity of Armed Educators ][43]

    * [Vann R. Newkirk II][44]
    * Feb 22, 2018
4. ###  [ The Power of the Parkland Town Hall ][45]

    * [Vann R. Newkirk II][44]
    * Feb 22, 2018
5. ###  [ The Tragedy of Erik Killmonger ][46]

    * [Adam Serwer][47]
    * Feb 21, 2018
* [Charles C. Mann][48]
* [March 2002 Issue][49]
* [ Technology][10]
* [Share][50]
* [Tweet][50]
* …

    * [LinkedIn][50]
    * [Email][51]
    * [Print][50]

Text Size

The plane took off in weather that was surprisingly cool for north-central Bolivia and flew east, toward the Brazilian border. In a few minutes the roads and houses disappeared, and the only evidence of human settlement was the cattle scattered over the savannah like jimmies on ice cream. Then they, too, disappeared. By that time the archaeologists had their cameras out and were clicking away in delight.

Below us was the Beni, a Bolivian province about the size of Illinois and Indiana put together, and nearly as flat. For almost half the year rain and snowmelt from the mountains to the south and west cover the land with an irregular, slowly moving skin of water that eventually ends up in the province's northern rivers, which are sub-subtributaries of the Amazon. The rest of the year the water dries up and the bright-green vastness turns into something that resembles a desert. This peculiar, remote, watery plain was what had drawn the researchers' attention, and not just because it was one of the few places on earth inhabited by people who might never have seen Westerners with cameras.

[Clark Erickson][52] and William Balée, the archaeologists, sat up front. Erickson is based at the University of Pennsylvania; he works in concert with a Bolivian archaeologist, whose seat in the plane I usurped that day. Balée is at Tulane University, in New Orleans. He is actually an anthropologist, but as native peoples have vanished, the distinction between anthropologists and archaeologists has blurred. The two men differ in build, temperament, and scholarly proclivity, but they pressed their faces to the windows with identical enthusiasm.

Dappled across the grasslands below was an archipelago of forest islands, many of them startlingly round and hundreds of acres across. Each island rose ten or thirty or sixty feet above the floodplain, allowing trees to grow that would otherwise never survive the water. The forests were linked by raised berms, as straight as a rifle shot and up to three miles long. It is Erickson's belief that this entire landscape—30,000 square miles of forest mounds surrounded by raised fields and linked by causeways—was constructed by a complex, populous society more than 2,000 years ago. Balée, newer to the Beni, leaned toward this view but was not yet ready to commit himself.

Erickson and Balée belong to a cohort of scholars that has radically challenged conventional notions of what the Western Hemisphere was like before Columbus. When I went to high school, in the 1970s, I was taught that Indians came to the Americas across the Bering Strait about 12,000 years ago, that they lived for the most part in small, isolated groups, and that they had so little impact on their environment that even after millennia of habitation it remained mostly wilderness. My son picked up the same ideas at his schools. One way to summarize the views of people like Erickson and Balée would be to say that in their opinion this picture of Indian life is wrong in almost every aspect. Indians were here far longer than previously thought, these researchers believe, and in much greater numbers. And they were so successful at imposing their will on the landscape that in 1492 Columbus set foot in a hemisphere thoroughly dominated by humankind.

Given the charged relations between white societies and native peoples, inquiry into Indian culture and history is inevitably contentious. But the recent scholarship is especially controversial. To begin with, some researchers—many but not all from an older generation—deride the new theories as fantasies arising from an almost willful misinterpretation of data and a perverse kind of political correctness. "I have seen no evidence that large numbers of people ever lived in the Beni," says [Betty J. Meggers][53], of the Smithsonian Institution. "Claiming otherwise is just wishful thinking." Similar criticisms apply to many of the new scholarly claims about Indians, according to Dean R. Snow, an anthropologist at Pennsylvania State University. The problem is that "you can make the meager evidence from the ethnohistorical record tell you anything you want," he says. "It's really easy to kid yourself."

More important are the implications of the new theories for today's ecological battles. Much of the environmental movement is animated, consciously or not, by what William Denevan, a geographer at the University of Wisconsin, calls, polemically, "the pristine myth"—the belief that the Americas in 1491 were an almost unmarked, even Edenic land, "untrammeled by man," in the words of the [Wilderness Act of 1964][54], one of the nation's first and most important environmental laws. As the University of Wisconsin historian William Cronon has written, restoring this long-ago, putatively natural state is, in the view of environmentalists, a task that society is morally bound to undertake. Yet if the new view is correct and the work of humankind was pervasive, where does that leave efforts to restore nature?

The Beni is a case in point. In addition to building up the Beni mounds for houses and gardens, Erickson says, the Indians trapped fish in the seasonally flooded grassland. Indeed, he says, they fashioned dense zigzagging networks of earthen fish weirs between the causeways. To keep the habitat clear of unwanted trees and undergrowth, they regularly set huge areas on fire. Over the centuries the burning created an intricate ecosystem of fire-adapted plant species dependent on native pyrophilia. The current inhabitants of the Beni still burn, although now it is to maintain the savannah for cattle. When we flew over the area, the dry season had just begun, but mile-long lines of flame were already on the march. In the charred areas behind the fires were the blackened spikes of trees—many of them, one assumes, of the varieties that activists fight to save in other parts of Amazonia.

After we landed, I asked Balée, Should we let people keep burning the Beni? Or should we let the trees invade and create a verdant tropical forest in the grasslands, even if one had not existed here for millennia?

Balée laughed. "You're trying to trap me, aren't you?" he said.

**Like a Club Between the Eyes**

According to family lore, my great-grandmother's great-grandmother's great-grandfather was the first white person hanged in America. His name was John Billington. He came on the _Mayflower_, which anchored off the coast of Massachusetts on November 9, 1620. Billington was not a Puritan; within six months of arrival he also became the first white person in America to be tried for complaining about the police. "He is a knave," William Bradford, the colony's governor, wrote of Billington, "and so will live and die." What one historian called Billington's "troublesome career" ended in 1630, when he was hanged for murder. My family has always said that he was framed—but we _would _say that, wouldn't we?

A few years ago it occurred to me that my ancestor and everyone else in the colony had voluntarily enlisted in a venture that brought them to New England without food or shelter six weeks before winter. Half the 102 people on the _Mayflower _made it through to spring, which to me was amazing. How, I wondered, did they survive?

In his history of Plymouth Colony, Bradford provided the answer: by robbing Indian houses and graves. The _Mayflower _first hove to at Cape Cod. An armed company staggered out. Eventually it found a recently deserted Indian settlement. The newcomers—hungry, cold, sick—dug up graves and ransacked houses, looking for underground stashes of corn. "And sure it was God's good providence that we found this corn," Bradford wrote, "for else we know not how we should have done." (He felt uneasy about the thievery, though.) When the colonists came to Plymouth, a month later, they set up shop in another deserted Indian village. All through the coastal forest the Indians had "died on heapes, as they lay in their houses," the English trader Thomas Morton noted. "And the bones and skulls upon the severall places of their habitations made such a spectacle" that to Morton the Massachusetts woods seemed to be "a new found Golgotha"—the hill of executions in Roman Jerusalem.

To the Pilgrims' astonishment, one of the corpses they exhumed on Cape Cod had blond hair. A French ship had been wrecked there several years earlier. The Patuxet Indians imprisoned a few survivors. One of them supposedly learned enough of the local language to inform his captors that God would destroy them for their misdeeds. The Patuxet scoffed at the threat. But the Europeans carried a disease, and they bequeathed it to their jailers. The epidemic (probably of viral hepatitis, according to a study by Arthur E. Spiess, an archaeologist at the Maine Historic Preservation Commission, and Bruce D. Spiess, the director of clinical research at the Medical College of Virginia) took years to exhaust itself and may have killed 90 percent of the people in coastal New England. It made a huge difference to American history. "The good hand of God favored our beginnings," Bradford mused, by "sweeping away great multitudes of the natives ... that he might make room for us."

By the time my ancestor set sail on the _Mayflower_, Europeans had been visiting New England for more than a hundred years. English, French, Italian, Spanish, and Portuguese mariners regularly plied the coastline, trading what they could, occasionally kidnapping the inhabitants for slaves. New England, the Europeans saw, was thickly settled and well defended. In 1605 and 1606 Samuel de Champlain visited Cape Cod, hoping to establish a French base. He abandoned the idea. Too many people already lived there. A year later Sir Ferdinando Gorges—British despite his name—tried to establish an English community in southern Maine. It had more founders than Plymouth and seems to have been better organized. Confronted by numerous well-armed local Indians, the settlers abandoned the project within months. The Indians at Plymouth would surely have been an equal obstacle to my ancestor and his ramshackle expedition had disease not intervened.

Faced with such stories, historians have long wondered how many people lived in the Americas at the time of contact. "Debated since Columbus attempted a partial census on Hispaniola in 1496," William Denevan has written, this "remains one of the great inquiries of history." (In 1976 Denevan assembled and edited an entire book on the subject, [_The Native Population of the Americas in 1492][55]_.) The first scholarly estimate of the indigenous population was made in 1910 by James Mooney, a distinguished ethnographer at the Smithsonian Institution. Combing through old documents, he concluded that in 1491 North America had 1.15 million inhabitants. Mooney's glittering reputation ensured that most subsequent researchers accepted his figure uncritically.

That changed in 1966, when Henry F. Dobyns published "Estimating Aboriginal American Population: An Appraisal of Techniques With a New Hemispheric Estimate," in the journal _Current Anthropology_. Despite the carefully neutral title, his argument was thunderous, its impact long-lasting. In the view of James Wilson, the author of [_The Earth Shall Weep][56]_ (1998), a history of indigenous Americans, Dobyns's colleagues "are still struggling to get out of the crater that paper left in anthropology." Not only anthropologists were affected. Dobyns's estimate proved to be one of the opening rounds in today's culture wars.

Dobyns began his exploration of pre-Columbian Indian demography in the early 1950s, when he was a graduate student. At the invitation of a friend, he spent a few months in northern Mexico, which is full of Spanish-era missions. There he poked through the crumbling leather-bound ledgers in which Jesuits recorded local births and deaths. Right away he noticed how many more deaths there were. The Spaniards arrived, and then Indians died—in huge numbers, at incredible rates. It hit him, Dobyns told me recently, "like a club right between the eyes."

It took Dobyns eleven years to obtain his Ph.D. Along the way he joined a rural-development project in Peru, which until colonial times was the seat of the Incan empire. Remembering what he had seen at the northern fringe of the Spanish conquest, Dobyns decided to compare it with figures for the south. He burrowed into the papers of the Lima cathedral and read apologetic Spanish histories. The Indians in Peru, Dobyns concluded, had faced plagues from the day the conquistadors showed up—in fact, before then: smallpox arrived around 1525, seven years ahead of the Spanish. Brought to Mexico apparently by a single sick Spaniard, it swept south and eliminated more than half the population of the Incan empire. Smallpox claimed the Incan dictator Huayna Capac and much of his family, setting off a calamitous war of succession. So complete was the chaos that Francisco Pizarro was able to seize an empire the size of Spain and Italy combined with a force of 168 men.

Smallpox was only the first epidemic. Typhus (probably) in 1546, influenza and smallpox together in 1558, smallpox again in 1589, diphtheria in 1614, measles in 1618—all ravaged the remains of Incan culture. Dobyns was the first social scientist to piece together this awful picture, and he naturally rushed his findings into print. Hardly anyone paid attention. But Dobyns was already working on a second, related question: If all those people died, how many had been living there to begin with? Before Columbus, Dobyns calculated, the Western Hemisphere held ninety to 112 million people. Another way of saying this is that in 1491 more people lived in the Americas than in Europe.

His argument was simple but horrific. It is well known that Native Americans had no experience with many European diseases and were therefore immunologically unprepared—"virgin soil," in the metaphor of epidemiologists. What Dobyns realized was that such diseases could have swept from the coastlines initially visited by Europeans to inland areas controlled by Indians who had never seen a white person. The first whites to explore many parts of the Americas may therefore have encountered places that were already depopulated. Indeed, Dobyns argued, they must have done so.

Peru was one example, the Pacific Northwest another. In 1792 the British navigator George Vancouver led the first European expedition to survey Puget Sound. He found a vast charnel house: human remains "promiscuously scattered about the beach, in great numbers." Smallpox, Vancouver's crew discovered, had preceded them. Its few survivors, second lieutenant Peter Puget noted, were "most terribly pitted ... indeed many have lost their Eyes." In [_Pox Americana,][57]_ (2001), Elizabeth Fenn, a historian at George Washington University, contends that the disaster on the northwest coast was but a small part of a continental pandemic that erupted near Boston in 1774 and cut down Indians from Mexico to Alaska.

Because smallpox was not endemic in the Americas, colonials, too, had not acquired any immunity. The virus, an equal-opportunity killer, swept through the Continental Army and stopped the drive into Quebec. The American Revolution would be lost, Washington and other rebel leaders feared, if the contagion did to the colonists what it had done to the Indians. "The small Pox! The small Pox!" John Adams wrote to his wife, Abigail. "What shall We do with it?" In retrospect, Fenn says, "One of George Washington's most brilliant moves was to inoculate the army against smallpox during the Valley Forge winter of '78." Without inoculation smallpox could easily have given the United States back to the British.

So many epidemics occurred in the Americas, Dobyns argued, that the old data used by Mooney and his successors represented population nadirs. From the few cases in which before-and-after totals are known with relative certainty, Dobyns estimated that in the first 130 years of contact about 95 percent of the people in the Americas died—the worst demographic calamity in recorded history.

Dobyns's ideas were quickly attacked as politically motivated, a push from the hate-America crowd to inflate the toll of imperialism. The attacks continue to this day. "No question about it, some people want those higher numbers," says Shepard Krech III, a Brown University anthropologist who is the author of [_The Ecological Indian][58]_ (1999). These people, he says, were thrilled when Dobyns revisited the subject in a book, _Their Numbers Become Thinned_ (1983)—and revised his own estimates upward. Perhaps Dobyns's most vehement critic is David Henige, a bibliographer of Africana at the University of Wisconsin, whose [_Numbers From Nowhere][59]_ (1998) is a landmark in the literature of demographic fulmination. "Suspect in 1966, it is no less suspect nowadays," Henige wrote of Dobyns's work. "If anything, it is worse."

When Henige wrote _Numbers From Nowhere_, the fight about pre-Columbian populations had already consumed forests' worth of trees; his bibliography is ninety pages long. And the dispute shows no sign of abating. More and more people have jumped in. This is partly because the subject is inherently fascinating. But more likely the increased interest in the debate is due to the growing realization of the high political and ecological stakes.

**Inventing by the Millions **

On May 30, 1539, Hernando de Soto landed his private army near Tampa Bay, in Florida. Soto, as he was called, was a novel figure: half warrior, half venture capitalist. He had grown very rich very young by becoming a market leader in the nascent trade for Indian slaves. The profits had helped to fund Pizarro's seizure of the Incan empire, which had made Soto wealthier still. Looking quite literally for new worlds to conquer, he persuaded the Spanish Crown to let him loose in North America. He spent one fortune to make another. He came to Florida with 200 horses, 600 soldiers, and 300 pigs.

From today's perspective, it is difficult to imagine the ethical system that would justify Soto's actions. For four years his force, looking for gold, wandered through what is now Florida, Georgia, North and South Carolina, Tennessee, Alabama, Mississippi, Arkansas, and Texas, wrecking almost everything it touched. The inhabitants often fought back vigorously, but they had never before encountered an army with horses and guns. Soto died of fever with his expedition in ruins; along the way his men had managed to rape, torture, enslave, and kill countless Indians. But the worst thing the Spaniards did, some researchers say, was entirely without malice—bring the pigs.

According to Charles Hudson, an anthropologist at the University of Georgia who spent fifteen years reconstructing the path of the expedition, Soto crossed the Mississippi a few miles downstream from the present site of Memphis. It was a nervous passage: the Spaniards were watched by several thousand Indian warriors. Utterly without fear, Soto brushed past the Indian force into what is now eastern Arkansas, through thickly settled land—"very well peopled with large towns," one of his men later recalled, "two or three of which were to be seen from one town." Eventually the Spaniards approached a cluster of small cities, each protected by earthen walls, sizeable moats, and deadeye archers. In his usual fashion, Soto brazenly marched in, stole food, and marched out.

After Soto left, no Europeans visited this part of the Mississippi Valley for more than a century. Early in 1682 whites appeared again, this time Frenchmen in canoes. One of them was Réné-Robert Cavelier, Sieur de la Salle. The French passed through the area where Soto had found cities cheek by jowl. It was deserted—La Salle didn't see an Indian village for 200 miles. About fifty settlements existed in this strip of the Mississippi when Soto showed up, according to Anne Ramenofsky, an anthropologist at the University of New Mexico. By La Salle's time the number had shrunk to perhaps ten, some probably inhabited by recent immigrants. Soto "had a privileged glimpse" of an Indian world, Hudson says. "The window opened and slammed shut. When the French came in and the record opened up again, it was a transformed reality. A civilization crumbled. The question is, how did this happen?"

The question is even more complex than it may seem. Disaster of this magnitude suggests epidemic disease. In the view of Ramenofsky and Patricia Galloway, an anthropologist at the University of Texas, the source of the contagion was very likely not Soto's army but its ambulatory meat locker: his 300 pigs. Soto's force itself was too small to be an effective biological weapon. Sicknesses like measles and smallpox would have burned through his 600 soldiers long before they reached the Mississippi. But the same would not have held true for the pigs, which multiplied rapidly and were able to transmit their diseases to wildlife in the surrounding forest. When human beings and domesticated animals live close together, they trade microbes with abandon. Over time mutation spawns new diseases: avian influenza becomes human influenza, bovine rinderpest becomes measles. Unlike Europeans, Indians did not live in close quarters with animals—they domesticated only the dog, the llama, the alpaca, the guinea pig, and, here and there, the turkey and the Muscovy duck. In some ways this is not surprising: the New World had fewer animal candidates for taming than the Old. Moreover, few Indians carry the gene that permits adults to digest lactose, a form of sugar abundant in milk. Non-milk-drinkers, one imagines, would be less likely to work at domesticating milk-giving animals. But this is guesswork. The fact is that what scientists call zoonotic disease was little known in the Americas. Swine alone can disseminate anthrax, brucellosis, leptospirosis, taeniasis, trichinosis, and tuberculosis. Pigs breed exuberantly and can transmit diseases to deer and turkeys. Only a few of Soto's pigs would have had to wander off to infect the forest.

Indeed, the calamity wrought by Soto apparently extended across the whole Southeast. The Coosa city-states, in western Georgia, and the Caddoan-speaking civilization, centered on the Texas-Arkansas border, disintegrated soon after Soto appeared. The Caddo had had a taste for monumental architecture: public plazas, ceremonial platforms, mausoleums. After Soto's army left, notes Timothy K. Perttula, an archaeological consultant in Austin, Texas, the Caddo stopped building community centers and began digging community cemeteries. Between Soto's and La Salle's visits, Perttula believes, the Caddoan population fell from about 200,000 to about 8,500—a drop of nearly 96 percent. In the eighteenth century the tally shrank further, to 1,400. An equivalent loss today in the population of New York City would reduce it to 56,000—not enough to fill Yankee Stadium. "That's one reason whites think of Indians as nomadic hunters," says Russell Thornton, an anthropologist at the University of California at Los Angeles. "Everything else—all the heavily populated urbanized societies—was wiped out."

Could a few pigs truly wreak this much destruction? Such apocalyptic scenarios invite skepticism. As a rule, viruses, microbes, and parasites are rarely lethal on so wide a scale—a pest that wipes out its host species does not have a bright evolutionary future. In its worst outbreak, from 1347 to 1351, the European Black Death claimed only a third of its victims. (The rest survived, though they were often disfigured or crippled by its effects.) The Indians in Soto's path, if Dobyns, Ramenofsky, and Perttula are correct, endured losses that were incomprehensibly greater.

One reason is that Indians were fresh territory for many plagues, not just one. Smallpox, typhoid, bubonic plague, influenza, mumps, measles, whooping cough—all rained down on the Americas in the century after Columbus. (Cholera, malaria, and scarlet fever came later.) Having little experience with epidemic diseases, Indians had no knowledge of how to combat them. In contrast, Europeans were well versed in the brutal logic of quarantine. They boarded up houses in which plague appeared and fled to the countryside. In Indian New England, Neal Salisbury, a historian at Smith College, wrote in [_Manitou and Providence][60]_ (1982), family and friends gathered with the shaman at the sufferer's bedside to wait out the illness—a practice that "could only have served to spread the disease more rapidly."

Indigenous biochemistry may also have played a role. The immune system constantly scans the body for molecules that it can recognize as foreign—molecules belonging to an invading virus, for instance. No one's immune system can identify all foreign presences. Roughly speaking, an individual's set of defensive tools is known as his MHC type. Because many bacteria and viruses mutate easily, they usually attack in the form of several slightly different strains. Pathogens win when MHC types miss some of the strains and the immune system is not stimulated to act. Most human groups contain many MHC types; a strain that slips by one person's defenses will be nailed by the defenses of the next. But, according to Francis L. Black, an epidemiologist at Yale University, Indians are characterized by unusually homogenous MHC types. One out of three South American Indians have similar MHC types; among Africans the corresponding figure is one in 200. The cause is a matter for Darwinian speculation, the effects less so.

In 1966 Dobyns's insistence on the role of disease was a shock to his colleagues. Today the impact of European pathogens on the New World is almost undisputed. Nonetheless, the fight over Indian numbers continues with undiminished fervor. Estimates of the population of North America in 1491 disagree by an order of magnitude—from 18 million, Dobyns's revised figure, to 1.8 million, calculated by Douglas H. Ubelaker, an anthropologist at the Smithsonian. To some "high counters," as David Henige calls them, the low counters' refusal to relinquish the vision of an empty continent is irrational or worse. "Non-Indian 'experts' always want to minimize the size of aboriginal populations," says Lenore Stiffarm, a Native American-education specialist at the University of Saskatchewan. The smaller the numbers of Indians, she believes, the easier it is to regard the continent as having been up for grabs. "It's perfectly acceptable to move into unoccupied land," Stiffarm says. "And land with only a few 'savages' is the next best thing."

"Most of the arguments for the very large numbers have been theoretical," Ubelaker says in defense of low counters. "When you try to marry the theoretical arguments to the data that are available on individual groups in different regions, it's hard to find support for those numbers." Archaeologists, he says, keep searching for the settlements in which those millions of people supposedly lived, with little success. "As more and more excavation is done, one would expect to see more evidence for dense populations than has thus far emerged." Dean Snow, the Pennsylvania State anthropologist, examined Colonial-era Mohawk Iroquois sites and found "no support for the notion that ubiquitous pandemics swept the region." In his view, asserting that the continent was filled with people who left no trace is like looking at an empty bank account and claiming that it must once have held millions of dollars.

The low counters are also troubled by the Dobynsian procedure for recovering original population numbers: applying an assumed death rate, usually 95 percent, to the observed population nadir. Ubelaker believes that the lowest point for Indians in North America was around 1900, when their numbers fell to about half a million. Assuming a 95 percent death rate, the pre-contact population would have been 10 million. Go up one percent, to a 96 percent death rate, and the figure jumps to 12.5 million—arithmetically creating more than two million people from a tiny increase in mortality rates. At 98 percent the number bounds to 25 million. Minute changes in baseline assumptions produce wildly different results.

"It's an absolutely unanswerable question on which tens of thousands of words have been spent to no purpose," Henige says. In 1976 he sat in on a seminar by William Denevan, the Wisconsin geographer. An "epiphanic moment" occurred when he read shortly afterward that scholars had "uncovered" the existence of eight million people in Hispaniola. _Can you just invent millions of people?_ he wondered. "We can make of the historical record that there was depopulation and movement of people from internecine warfare and diseases," he says. "But as for how much, who knows? When we start putting numbers to something like that—applying large figures like ninety-five percent—we're saying things we shouldn't say. The number implies a level of knowledge that's impossible."

Nonetheless, one must try—or so Denevan believes. In his estimation the high counters (though not the highest counters) seem to be winning the argument, at least for now. No definitive data exist, he says, but the majority of the extant evidentiary scraps support their side. Even Henige is no low counter. When I asked him what he thought the population of the Americas was before Columbus, he insisted that any answer would be speculation and made me promise not to print what he was going to say next. Then he named a figure that forty years ago would have caused a commotion.

To Elizabeth Fenn, the smallpox historian, the squabble over numbers obscures a central fact. Whether one million or 10 million or 100 million died, she believes, the pall of sorrow that engulfed the hemisphere was immeasurable. Languages, prayers, hopes, habits, and dreams—entire ways of life hissed away like steam. The Spanish and the Portuguese lacked the germ theory of disease and could not explain what was happening (let alone stop it). Nor can we explain it; the ruin was too long ago and too all-encompassing. In the long run, Fenn says, the consequential finding is not that many people died but that many people once lived. The Americas were filled with a stunningly diverse assortment of peoples who had knocked about the continents for millennia. "You have to wonder," Fenn says. "What were all those people _up _to in all that time?"

**Buffalo Farm**

In 1810 Henry Brackenridge came to Cahokia, in what is now southwest Illinois, just across the Mississippi from St. Louis. Born close to the frontier, Brackenridge was a budding adventure writer; his [_Views of Louisiana][61]_, published three years later, was a kind of nineteenth-century _Into Thin Air_, with terrific adventure but without tragedy. Brackenridge had an eye for archaeology, and he had heard that Cahokia was worth a visit. When he got there, trudging along the desolate Cahokia River, he was "struck with a degree of astonishment." Rising from the muddy bottomland was a "stupendous pile of earth," vaster than the Great Pyramid at Giza. Around it were more than a hundred smaller mounds, covering an area of five square miles. At the time, the area was almost uninhabited. One can only imagine what passed through Brackenridge's mind as he walked alone to the ruins of the biggest Indian city north of the Rio Grande.

To Brackenridge, it seemed clear that Cahokia and the many other ruins in the Midwest had been constructed by Indians. It was not so clear to everyone else. Nineteenth-century writers attributed them to, among others, the Vikings, the Chinese, the "Hindoos," the ancient Greeks, the ancient Egyptians, lost tribes of Israelites, and even straying bands of Welsh. (This last claim was surprisingly widespread; when Lewis and Clark surveyed the Missouri, Jefferson told them to keep an eye out for errant bands of Welsh-speaking white Indians.) The historian George Bancroft, dean of his profession, was a dissenter: the earthworks, he wrote in 1840, were purely natural formations.

Bancroft changed his mind about Cahokia, but not about Indians. To the end of his days he regarded them as "feeble barbarians, destitute of commerce and of political connection." His characterization lasted, largely unchanged, for more than a century. Samuel Eliot Morison, the winner of two Pulitzer Prizes, closed his monumental [_European Discovery of America][62]_ (1974) with the observation that Native Americans expected only "short and brutish lives, void of hope for any future." As late as 1987 _American History: A Survey_, a standard high school textbook by three well-known historians, described the Americas before Columbus as "empty of mankind and its works." The story of Europeans in the New World, the book explained, "is the story of the creation of a civilization where none existed."

Alfred Crosby, a historian at the University of Texas, came to other conclusions. Crosby's [_The Columbian Exchange: Biological Consequences of 1492][63]_ caused almost as much of a stir when it was published, in 1972, as Henry Dobyns's calculation of Indian numbers six years earlier, though in different circles. Crosby was a standard names-and-battles historian who became frustrated by the random contingency of political events. "Some trivial thing happens and you have this guy winning the presidency instead of that guy," he says. He decided to go deeper. After he finished his manuscript, it sat on his shelf—he couldn't find a publisher willing to be associated with his new ideas. It took him three years to persuade a small editorial house to put it out. _The Columbian Exchange _has been in print ever since; a companion, [_Ecological Imperialism: The Biological Expansion of Europe, 900-1900][64]_, appeared in 1986.

Human history, in Crosby's interpretation, is marked by two world-altering centers of invention: the Middle East and central Mexico, where Indian groups independently created nearly all of the Neolithic innovations, writing included. The Neolithic Revolution began in the Middle East about 10,000 years ago. In the next few millennia humankind invented the wheel, the metal tool, and agriculture. The Sumerians eventually put these inventions together, added writing, and became the world's first civilization. Afterward Sumeria's heirs in Europe and Asia frantically copied one another's happiest discoveries; innovations ricocheted from one corner of Eurasia to another, stimulating technological progress. Native Americans, who had crossed to Alaska before Sumeria, missed out on the bounty. "They had to do everything on their own," Crosby says. Remarkably, they succeeded.

When Columbus appeared in the Caribbean, the descendants of the world's two Neolithic civilizations collided, with overwhelming consequences for both. American Neolithic development occurred later than that of the Middle East, possibly because the Indians needed more time to build up the requisite population density. Without beasts of burden they could not capitalize on the wheel (for individual workers on uneven terrain skids are nearly as effective as carts for hauling), and they never developed steel. But in agriculture they handily outstripped the children of Sumeria. Every tomato in Italy, every potato in Ireland, and every hot pepper in Thailand came from this hemisphere. Worldwide, more than half the crops grown today were initially developed in the Americas.

Maize, as corn is called in the rest of the world, was a triumph with global implications. Indians developed an extraordinary number of maize varieties for different growing conditions, which meant that the crop could and did spread throughout the planet. Central and Southern Europeans became particularly dependent on it; maize was the staple of Serbia, Romania, and Moldavia by the nineteenth century. Indian crops dramatically reduced hunger, Crosby says, which led to an Old World population boom.

Along with peanuts and manioc, maize came to Africa and transformed agriculture there, too. "The probability is that the population of Africa was greatly increased because of maize and other American Indian crops," Crosby says. "Those extra people helped make the slave trade possible." Maize conquered Africa at the time when introduced diseases were leveling Indian societies. The Spanish, the Portuguese, and the British were alarmed by the death rate among Indians, because they wanted to exploit them as workers. Faced with a labor shortage, the Europeans turned their eyes to Africa. The continent's quarrelsome societies helped slave traders to siphon off millions of people. The maize-fed population boom, Crosby believes, let the awful trade continue without pumping the well dry.

Back home in the Americas, Indian agriculture long sustained some of the world's largest cities. The Aztec capital of [Tenochtitlán][65] dazzled Hernán Cortés in 1519; it was bigger than Paris, Europe's greatest metropolis. The Spaniards gawped like hayseeds at the wide streets, ornately carved buildings, and markets bright with goods from hundreds of miles away. They had never before seen a city with botanical gardens, for the excellent reason that none existed in Europe. The same novelty attended the force of a thousand men that kept the crowded streets immaculate. (Streets that weren't ankle-deep in sewage! The conquistadors had never heard of such a thing.) Central America was not the only locus of prosperity. Thousands of miles north, John Smith, of Pocahontas fame, visited Massachusetts in 1614, before it was emptied by disease, and declared that the land was "so planted with Gardens and Corne fields, and so well inhabited with a goodly, strong and well proportioned people ... [that] I would rather live here than any where."

Smith was promoting colonization, and so had reason to exaggerate. But he also knew the hunger, sickness, and oppression of European life. France—"by any standards a privileged country," according to its great historian, Fernand Braudel—experienced seven nationwide famines in the fifteenth century and thirteen in the sixteenth. Disease was hunger's constant companion. During epidemics in London the dead were heaped onto carts "like common dung" (the simile is Daniel Defoe's) and trundled through the streets. The infant death rate in London orphanages, according to one contemporary source, was 88 percent. Governments were harsh, the rule of law arbitrary. The gibbets poking up in the background of so many old paintings were, Braudel observed, "merely a realistic detail."

_The Earth Shall Weep_, James Wilson's history of Indian America, puts the comparison bluntly: "the western hemisphere was larger, richer, and more populous than Europe." Much of it was freer, too. Europeans, accustomed to the serfdom that thrived from Naples to the Baltic Sea, were puzzled and alarmed by the democratic spirit and respect for human rights in many Indian societies, especially those in North America. In theory, the sachems of New England Indian groups were absolute monarchs. In practice, the colonial leader Roger Williams wrote, "they will not conclude of ought ... unto which the people are averse."

Pre-1492 America wasn't a disease-free paradise, Dobyns says, although in his "exuberance as a writer," he told me recently, he once made that claim. Indians had ailments of their own, notably parasites, tuberculosis, and anemia. The daily grind was wearing; life-spans in America were only as long as or a little longer than those in Europe, if the evidence of indigenous graveyards is to be believed. Nor was it a political utopia—the Inca, for instance, invented refinements to totalitarian rule that would have intrigued Stalin. Inveterate practitioners of what the historian Francis Jennings described as "state terrorism practiced horrifically on a huge scale," the Inca ruled so cruelly that one can speculate that their surviving subjects might actually have been better off under Spanish rule.

I asked seven anthropologists, archaeologists, and historians if they would rather have been a typical Indian or a typical European in 1491. None was delighted by the question, because it required judging the past by the standards of today—a fallacy disparaged as "presentism" by social scientists. But every one chose to be an Indian. Some early colonists gave the same answer. Horrifying the leaders of Jamestown and Plymouth, scores of English ran off to live with the Indians. My ancestor shared their desire, which is what led to the trumped-up murder charges against him—or that's what my grandfather told me, anyway.

As for the Indians, evidence suggests that they often viewed Europeans with disdain. The Hurons, a chagrined missionary reported, thought the French possessed "little intelligence in comparison to themselves." Europeans, Indians said, were physically weak, sexually untrustworthy, atrociously ugly, and just plain dirty. (Spaniards, who seldom if ever bathed, were amazed by the Aztec desire for personal cleanliness.) A Jesuit reported that the "Savages" were disgusted by handkerchiefs: "They say, we place what is unclean in a fine white piece of linen, and put it away in our pockets as something very precious, while they throw it upon the ground." The Micmac scoffed at the notion of French superiority. If Christian civilization was so wonderful, why were its inhabitants leaving?

Like people everywhere, Indians survived by cleverly exploiting their environment. Europeans tended to manage land by breaking it into fragments for farmers and herders. Indians often worked on such a grand scale that the scope of their ambition can be hard to grasp. They created small plots, as Europeans did (about 1.5 million acres of terraces still exist in the Peruvian Andes), but they also reshaped entire landscapes to suit their purposes. A principal tool was fire, used to keep down underbrush and create the open, grassy conditions favorable for game. Rather than domesticating animals for meat, Indians retooled whole ecosystems to grow bumper crops of elk, deer, and bison. The first white settlers in Ohio found forests as open as English parks—they could drive carriages through the woods. Along the Hudson River the annual fall burning lit up the banks for miles on end; so flashy was the show that the Dutch in New Amsterdam boated upriver to goggle at the blaze like children at fireworks. In North America, Indian torches had their biggest impact on the Midwestern prairie, much or most of which was created and maintained by fire. Millennia of exuberant burning shaped the plains into vast buffalo farms. When Indian societies disintegrated, forest invaded savannah in Wisconsin, Illinois, Kansas, Nebraska, and the Texas Hill Country. Is it possible that the Indians changed the Americas more than the invading Europeans did? "The answer is probably yes for most regions for the next 250 years or so" after Columbus, William Denevan wrote, "and for some regions right up to the present time."

When scholars first began increasing their estimates of the ecological impact of Indian civilization, they met with considerable resistance from anthropologists and archaeologists. Over time the consensus in the human sciences changed. Under Denevan's direction, Oxford University Press has just issued the third volume of a huge catalogue of the "cultivated landscapes" of the Americas. This sort of phrase still provokes vehement objection—but the main dissenters are now ecologists and environmentalists. The disagreement is encapsulated by Amazonia, which has become _the_ emblem of vanishing wilderness—an admonitory image of untouched Nature. Yet recently a growing number of researchers have come to believe that Indian societies had an enormous environmental impact on the jungle. Indeed, some anthropologists have called the Amazon forest itself a cultural artifact—that is, an artificial object.

**Green Prisons**

Northern visitors' first reaction to the storied Amazon rain forest is often disappointment. Ecotourist brochures evoke the immensity of Amazonia but rarely dwell on its extreme flatness. In the river's first 2,900 miles the vertical drop is only 500 feet. The river oozes like a huge runnel of dirty metal through a landscape utterly devoid of the romantic crags, arroyos, and heights that signify wildness and natural spectacle to most North Americans. Even the animals are invisible, although sometimes one can hear the bellow of monkey choruses. To the untutored eye—mine, for instance—the forest seems to stretch out in a monstrous green tangle as flat and incomprehensible as a printed circuit board.

The area east of the lower-Amazon town of Santarém is an exception. A series of sandstone ridges several hundred feet high reach down from the north, halting almost at the water's edge. Their tops stand drunkenly above the jungle like old tombstones. Many of the caves in the buttes are splattered with ancient petroglyphs—renditions of hands, stars, frogs, and human figures, all reminiscent of Miró, in overlapping red and yellow and brown. In recent years one of these caves, La Caverna da Pedra Pintada (Painted Rock Cave), has drawn attention in archaeological circles.

Wide and shallow and well lit, Painted Rock Cave is less thronged with bats than some of the other caves. The arched entrance is twenty feet high and lined with rock paintings. Out front is a sunny natural patio suitable for picnicking, edged by a few big rocks. People lived in this cave more than 11,000 years ago. They had no agriculture yet, and instead ate fish and fruit and built fires. During a recent visit I ate a sandwich atop a particularly inviting rock and looked over the forest below. The first Amazonians, I thought, must have done more or less the same thing.

In college I took an introductory anthropology class in which I read [_Amazonia: Man and Culture in a Counterfeit Paradise][66]_ (1971), perhaps the most influential book ever written about the Amazon, and one that deeply impressed me at the time. Written by Betty J. Meggers, the Smithsonian archaeologist, _Amazonia_ says that the apparent lushness of the rain forest is a sham. The soils are poor and can't hold nutrients—the jungle flora exists only because it snatches up everything worthwhile before it leaches away in the rain. Agriculture, which depends on extracting the wealth of the soil, therefore faces inherent ecological limitations in the wet desert of Amazonia.

As a result, Meggers argued, Indian villages were forced to remain small—any report of "more than a few hundred" people in permanent settlements, she told me recently, "makes my alarm bells go off." Bigger, more complex societies would inevitably overtax the forest soils, laying waste to their own foundations. Beginning in 1948 Meggers and her late husband, Clifford Evans, excavated a chiefdom on Marajó, an island twice the size of New Jersey that sits like a gigantic stopper in the mouth of the Amazon. The Marajóara, they concluded, were failed offshoots of a sophisticated culture in the Andes. Transplanted to the lush trap of the Amazon, the culture choked and died.

Green activists saw the implication: development in tropical forests destroys both the forests and their developers. Meggers's account had enormous public impact—_Amazonia_ is one of the wellsprings of the campaign to save rain forests.

Then [Anna C. Roosevelt][67], the curator of archaeology at Chicago's [Field Museum of Natural History][68], re-excavated Marajó. Her complete report, [_Moundbuilders of the Amazon][69]_ (1991), was like the anti-matter version of _Amazonia_. Marajó, she argued, was "one of the outstanding indigenous cultural achievements of the New World," a powerhouse that lasted for more than a thousand years, had "possibly well over 100,000" inhabitants, and covered thousands of square miles. Rather than damaging the forest, Marajó's "earth construction" and "large, dense populations" had _improved_ it: the most luxuriant and diverse growth was on the mounds formerly occupied by the Marajóara. "If you listened to Meggers's theory, these places should have been ruined," Roosevelt says.

Meggers scoffed at Roosevelt's "extravagant claims," "polemical tone," and "defamatory remarks." Roosevelt, Meggers argued, had committed the beginner's error of mistaking a site that had been occupied many times by small, unstable groups for a single, long-lasting society. "[Archaeological remains] build up on areas of half a kilometer or so," she told me, "because [shifting Indian groups] don't land exactly on the same spot. The decorated types of pottery don't change much over time, so you can pick up a bunch of chips and say, 'Oh, look, it was all one big site!' Unless you know what you're doing, of course." Centuries after the conquistadors, "the myth of El Dorado is being revived by archaeologists," Meggers [wrote last fall][70] in the journal _Latin American Antiquity_, referring to the persistent Spanish delusion that cities of gold existed in the jungle.

The dispute grew bitter and personal; inevitable in a contemporary academic context, it has featured vituperative references to colonialism, elitism, and employment by the CIA. Meanwhile, Roosevelt's team investigated Painted Rock Cave. On the floor of the cave what looked to me like nothing in particular turned out to be an ancient midden: a refuse heap. The archaeologists slowly scraped away sediment, traveling backward in time with every inch. When the traces of human occupation vanished, they kept digging. ("You always go a meter past sterile," Roosevelt says.) A few inches below they struck the charcoal-rich dirt that signifies human habitation—a culture, Roosevelt said later, that wasn't supposed to be there.

For many millennia the cave's inhabitants hunted and gathered for food. But by about 4,000 years ago they were growing crops—perhaps as many as 140 of them, according to Charles R. Clement, an anthropological botanist at the Brazilian National Institute for Amazonian Research. Unlike Europeans, who planted mainly annual crops, the Indians, he says, centered their agriculture on the Amazon's unbelievably diverse assortment of trees: fruits, nuts, and palms. "It's tremendously difficult to clear fields with stone tools," Clement says. "If you can plant trees, you get twenty years of productivity out of your work instead of two or three."

Planting their orchards, the first Amazonians transformed large swaths of the river basin into something more pleasing to human beings. In a widely cited article from 1989, William Balée, the Tulane anthropologist, cautiously estimated that about 12 percent of the nonflooded Amazon forest was of anthropogenic origin—directly or indirectly created by human beings. In some circles this is now seen as a conservative position. "I basically think it's all human-created," Clement told me in Brazil. He argues that Indians changed the assortment and density of species throughout the region. So does Clark Erickson, the University of Pennsylvania archaeologist, who told me in Bolivia that the lowland tropical forests of South America are among the finest works of art on the planet. "Some of my colleagues would say that's pretty radical," he said, smiling mischievously. According to Peter Stahl, an anthropologist at the State University of New York at Binghamton, "lots" of botanists believe that "what the eco-imagery would like to picture as a pristine, untouched Urwelt [primeval world] in fact has been managed by people for millennia." The phrase "built environment," Erickson says, "applies to most, if not all, Neotropical landscapes."

"Landscape" in this case is meant exactly—Amazonian Indians literally created the ground beneath their feet. According to William I. Woods, a soil geographer at Southern Illinois University, ecologists' claims about terrible Amazonian land were based on very little data. In the late 1990s Woods and others began careful measurements in the lower Amazon. They indeed found lots of inhospitable terrain. But they also discovered swaths of _terra preta—_rich, fertile "black earth" that anthropologists increasingly believe was created by human beings.

_Terra preta_, Woods guesses, covers at least 10 percent of Amazonia, an area the size of France. It has amazing properties, he says. Tropical rain doesn't leach nutrients from _terra preta_ fields; instead the soil, so to speak, fights back. Not far from Painted Rock Cave is a 300-acre area with a two-foot layer of _terra preta_ quarried by locals for potting soil. The bottom third of the layer is never removed, workers there explain, because over time it will re-create the original soil layer in its initial thickness. The reason, scientists suspect, is that _terra preta_ is generated by a special suite of microorganisms that resists depletion. "Apparently," Woods and the Wisconsin geographer Joseph M. McCann argued in a presentation last summer, "at some threshold level ... dark earth attains the capacity to perpetuate—even _regenerate_ itself—thus behaving more like a living 'super'-organism than an inert material."

In as yet unpublished research the archaeologists Eduardo Neves, of the University of São Paulo; Michael Heckenberger, of the University of Florida; and their colleagues examined _terra preta_ in the upper Xingu, a huge southern tributary of the Amazon. Not all Xingu cultures left behind this living earth, they discovered. But the ones that did generated it rapidly—suggesting to Woods that _terra preta_ was created deliberately. In a process reminiscent of dropping microorganism-rich starter into plain dough to create sourdough bread, Amazonian peoples, he believes, inoculated bad soil with a transforming bacterial charge. Not every group of Indians there did this, but quite a few did, and over an extended period of time.

When Woods told me this, I was so amazed that I almost dropped the phone. I ceased to be articulate for a moment and said things like "wow" and "gosh." Woods chuckled at my reaction, probably because he understood what was passing through my mind. Faced with an ecological problem, I was thinking, the Indians _fixed_ it. They were in the process of terraforming the Amazon when Columbus showed up and ruined everything.

Scientists should study the microorganisms in _terra preta_, Woods told me, to find out how they work. If that could be learned, maybe some version of Amazonian dark earth could be used to improve the vast expanses of bad soil that cripple agriculture in Africa—a final gift from the people who brought us tomatoes, corn, and the immense grasslands of the Great Plains.

"Betty Meggers would just die if she heard me saying this," Woods told me. "Deep down her fear is that this data will be misused." Indeed, Meggers's recent _Latin American Antiquity_ article charged that archaeologists who say the Amazon can support agriculture are effectively telling "developers [that they] are entitled to operate without restraint." Resuscitating the myth of El Dorado, in her view, "makes us accomplices in the accelerating pace of environmental degradation." Doubtless there is something to this—although, as some of her critics responded in the same issue of the journal, it is difficult to imagine greedy plutocrats "perusing the pages of _Latin American Antiquity_ before deciding to rev up the chain saws." But the new picture doesn't automatically legitimize paving the forest. Instead it suggests that for a long time big chunks of Amazonia were used nondestructively by clever people who knew tricks we have yet to learn.

I visited Painted Rock Cave during the river's annual flood, when it wells up over its banks and creeps inland for miles. Farmers in the floodplain build houses and barns on stilts and watch pink dolphins sport from their doorsteps. Ecotourists take shortcuts by driving motorboats through the drowned forest. Guys in dories chase after them, trying to sell sacks of incredibly good fruit.

All of this is described as "wilderness" in the tourist brochures. It's not, if researchers like Roosevelt are correct. Indeed, they believe that fewer people may be living there now than in 1491. Yet when my boat glided into the trees, the forest shut out the sky like the closing of an umbrella. Within a few hundred yards the human presence seemed to vanish. I felt alone and small, but in a way that was curiously like feeling exalted. If that place was not wilderness, how should I think of it? Since the fate of the forest is in our hands, what should be our goal for its future?

**Novel Shores**

Hernando de Soto's expedition stomped through the Southeast for four years and apparently never saw bison. More than a century later, when French explorers came down the Mississippi, they saw "a solitude unrelieved by the faintest trace of man," the nineteenth-century historian Francis Parkman wrote. Instead the French encountered bison, "grazing in herds on the great prairies which then bordered the river."

To Charles Kay, the reason for the buffalo's sudden emergence is obvious. Kay is a wildlife ecologist in the political-science department at Utah State University. In ecological terms, he says, the Indians were the "keystone species" of American ecosystems. A keystone species, according to the Harvard biologist Edward O. Wilson, is a species "that affects the survival and abundance of many other species." Keystone species have a disproportionate impact on their ecosystems. Removing them, Wilson adds, "results in a relatively significant shift in the composition of the [ecological] community."

When disease swept Indians from the land, Kay says, what happened was exactly that. The ecological ancien régime collapsed, and strange new phenomena emerged. In a way this is unsurprising; for better or worse, humankind is a keystone species everywhere. Among these phenomena was a population explosion in the species that the Indians had kept down by hunting. After disease killed off the Indians, Kay believes, buffalo vastly extended their range. Their numbers more than sextupled. The same occurred with elk and mule deer. "If the elk were here in great numbers all this time, the archaeological sites should be chock-full of elk bones," Kay says. "But the archaeologists will tell you the elk weren't there." On the evidence of middens the number of elk jumped about 500 years ago.

Passenger pigeons may be another example. The epitome of natural American abundance, they flew in such great masses that the first colonists were stupefied by the sight. As a boy, the explorer Henry Brackenridge saw flocks "ten miles in width, by one hundred and twenty in length." For hours the birds darkened the sky from horizon to horizon. According to Thomas Neumann, a consulting archaeologist in Lilburn, Georgia, passenger pigeons "were incredibly dumb and always roosted in vast hordes, so they were very easy to harvest." Because they were readily caught and good to eat, Neumann says, archaeological digs should find many pigeon bones in the pre-Columbian strata of Indian middens. But they aren't there. The mobs of birds in the history books, he says, were "outbreak populations—always a symptom of an extraordinarily disrupted ecological system."

Throughout eastern North America the open landscape seen by the first Europeans quickly filled in with forest. According to William Cronon, of the University of Wisconsin, later colonists began complaining about how hard it was to get around. (Eventually, of course, they stripped New England almost bare of trees.) When Europeans moved west, they were preceded by two waves: one of disease, the other of ecological disturbance. The former crested with fearsome rapidity; the latter sometimes took more than a century to quiet down. Far from destroying pristine wilderness, European settlers bloodily _created_ it. By 1800 the hemisphere was chockablock with new wilderness. If "forest primeval" means a woodland unsullied by the human presence, William Denevan has written, there was much more of it in the late eighteenth century than in the early sixteenth.

Cronon's [_Changes in the Land: Indians, Colonists, and the Ecology of New England][71]_ (1983) belongs on the same shelf as works by Crosby and Dobyns. But it was not until one of his articles was excerpted in _The New York Times_ in 1995 that people outside the social sciences began to understand the implications of this view of Indian history. Environmentalists and ecologists vigorously attacked the anti-wilderness scenario, which they described as infected by postmodern philosophy. A small academic brouhaha ensued, complete with hundreds of footnotes. It precipitated [_Reinventing Nature?][72]_ (1995), one of the few academic critiques of postmodernist philosophy written largely by biologists. [_The Great New Wilderness Debate][73]_ (1998), another lengthy book on the subject, was edited by two philosophers who earnestly identified themselves as "Euro-American men [whose] cultural legacy is patriarchal Western civilization in its current postcolonial, globally hegemonic form."

It is easy to tweak academics for opaque, self-protective language like this. Nonetheless, their concerns were quite justified. Crediting Indians with the role of keystone species has implications for the way the current Euro-American members of that keystone species manage the forests, watersheds, and endangered species of America. Because a third of the United States is owned by the federal government, the issue inevitably has political ramifications. In Amazonia, fabled storehouse of biodiversity, the stakes are global.

Guided by the pristine myth, mainstream environmentalists want to preserve as much of the world's land as possible in a putatively intact state. But "intact," if the new research is correct, means "run by human beings for human purposes." Environmentalists dislike this, because it seems to mean that anything goes. In a sense they are correct. Native Americans managed the continent as they saw fit. Modern nations must do the same. If they want to return as much of the landscape as possible to its 1491 state, they will have to find it within themselves to create the world's largest garden.

* [Share][50]
* [Tweet][50]

##  [Latest Video][19]

## [When Gun Owners Become Like Hypocritical Hippies][74]

David Frum questions the "self-indulgent permissiveness" of Republican gun law. 

* [David Frum][75]
* Feb 22, 2018 

## About the Author

* ![Charles C. Mann][76]

[Charles C. Mann][77], an _Atlantic_ contributing editor, has been writing for the magazine since 1984. His books include _1491_, based on his [March 2002 cover story][78], and [_The Wizard and the Prophet][79]_. 

## Most Popular

Presented by 

* [ Lisa Marie Pane / AP

### [What I Saw Treating the Victims From Parkland Should Change the Debate on Guns][39]
    * [Heather Sher][40]

They weren't the first victims of a mass shooting the Florida radiologist had seen—but their wounds were radically different.

As I opened the CT scan last week to read the next case, I was baffled. The history simply read "gunshot wound." I have been a radiologist in one of the busiest trauma centers in the nation for 13 years, and have diagnosed thousands of handgun injuries to the brain, lung, liver, spleen, bowel, and other vital organs. I thought that I knew all that I needed to know about gunshot wounds, but the specific pattern of injury on my computer screen was one that I had seen only once before.

In a typical handgun injury that I diagnose almost daily, a bullet leaves a laceration through an organ like the liver. To a radiologist, it appears as a linear, thin, grey bullet track through the organ. There may be bleeding and some bullet fragments.

[ Continue Reading ][39]

* [ Lucy Nicholson / Reuters

### [This Is What Life Without Retirement Savings Looks Like][41]
    * [Alana Semuels][42]

Many seniors are stuck with lives of never-ending work—a fate that could befall millions in the coming decades.

CORONA, Calif.—Roberta Gordon never thought she'd still be alive at age 76. She definitely didn't think she'd still be working. But every Saturday, she goes down to the local grocery store and hands out samples, earning $50 a day, because she needs the money.

"I'm a working woman again," she told me, in the common room of the senior apartment complex where she now lives, here in California's Inland Empire. Gordon has worked dozens of odd jobs throughout her life—as a house cleaner, a home health aide, a telemarketer, a librarian, a fundraiser—but at many times in her life, she didn't have a steady job that paid into Social Security. She didn't receive a pension. And she definitely wasn't making enough to put aside money for retirement.

[ Continue Reading ][41]

* [ MediaPunch / AP

### [The Absurdity of Armed Educators][43]
    * [Vann R. Newkirk II][44]

The Second Amendment enshrined the principle of individual liberty—and extending a militarized state into the schools would only undermine it.

The Second Amendment is a remarkable piece of the Constitution. "A well regulated Militia, being necessary to the security of a free State, the right of the people to keep and bear Arms, shall not be infringed," it reads.

Set aside for the moment questions about its practical interpretations today and its usefulness as a legal tenet—the provision presents a starkly revolutionary moral and political theory. Written by the powerful men in charge of the nation, the amendment expressly preserves the right of individuals to protect themselves against the future tyranny of the powerful men in charge of the nation. In fact, it enshrines this as a moral obligation, mixing into the very core of American civics the expectation that uncivil disobedience might be a necessary patriotic duty should the government cease to serve the people.

[ Continue Reading ][43]

* [ Reuters

### [The Power of the Parkland Town Hall][45]
    * [Vann R. Newkirk II][44]

The CNN-hosted event highlighted the voices of student activists, and showed why the gun debate might actually be different this time around.

I was 10 years old when, in 1999, Eric Harris and Dylan Klebold murdered 12 students at Columbine High School, in what was then the most-deadly school shooting in American history. What I can recall most from my childhood mind from the time aren't the gruesome details in the news reports or even the sense of dread that gripped students and teachers across the country, but the feeling that something central about the country had changed. Something about America had shifted, and it was significant enough that even a child's understanding could grasp it.

Almost two decades later, after multiple mass shootings and dozens of slain children, it's clear that what changed wasn't the mobilization of a country to stop events like Columbine, but the beginning of the normalization of those events. Now, even the fervor of post-massacre gun debates has been fraught with fatalism. Every debate is the same, without any denouement. Advocates cry out for common-sense reforms, NRA-backed politicians decry those measures, donor lists are released, and people complain about the politicization of tragedy. But nothing ever really happens. The gun debate has become a [moribund ritual][80].

[ Continue Reading ][45]

* [ Marvel

### [The Tragedy of Erik Killmonger][46]
    * [Adam Serwer][47]

The revolutionary ideals of _Black Panther_'s profound and complex villain have been twisted into a desire for hegemony.

**_The following article contains major spoilers._**

_Black Panther_ is a love letter to people of African descent all over the world. Its actors, its costume design, its music, and countless other facets of the film are drawn from all over the continent and its diaspora, in a science-fiction celebration of the imaginary country of Wakanda, a high-tech utopia that is a fictive manifestation of African potential unfettered by slavery and colonialism.

But it is first and foremost an African American love letter, and as such it is consumed with The Void, the psychic and cultural wound caused by the Trans-Atlantic slave trade, the loss of life, culture, language, and history that could never be restored. It is the attempt to penetrate The Void that brought us [Alex Haley's _Roots_][81], that draws thousands of African Americans across the ocean to visit West Africa every year, that left me crumpled on the rocks outside the Door of No Return at Gorée Island's slave house as I stared out over a horizon that my ancestors might have traversed once and forever. Because all they have was lost to The Void, I can never know who they were, and neither can anyone else.

[ Continue Reading ][46]

* [ Adnan Abidi / Reuters 

### [Why Justin Trudeau Is Being Snubbed in India ][82]
    * [Krishnadev Calamur][83]

The Canadian prime minister's trip could nonetheless help him with a voting bloc he covets.

Indian Prime Minister Narendra Modi hasn't hidden his fondness for foreign leaders. He has [embraced them][84], [tweeted at them][85], and [sent them birthday wishes][86]—all in an effort to make India a global player in international affairs. So when Canadian Prime Minister Justin Trudeau, he of the perfect coiffure, high-voltage smile, and beautiful family arrived in New Delhi this week for a state visit, it should have been a perfect photo-op. Instead, neither Modi nor any of his senior ministers showed up to receive the Trudeaus.

Trudeau has smiled his way through India, however, meeting with [business executives][87], signing [billions of dollars][88] worth of business deals, [posing for photographs][89] with Bollywood actors, and [donning Indian attire][90] befitting his own Indian wedding reception. The Indians, for their part, have denied the Canadian prime minister is being snubbed (one unnamed official [went as far as][91] to call it "protocol"). But a snub it is—and the diplomatic brush-off has its roots in an Indian separatist movement from the 1980s and present-day Canadian domestic politics.

[ Continue Reading ][82]

* [ Mike Blake / Reuters

### [How Would People React to News That Aliens Exist?][92]
    * [Marina Koren][93]

The microscopic kind, not the scary, slimy monster type

On the night before Halloween in 1938, a strange story crackled over radios across the United States. An announcer interrupted the evening's regular programming for a "special bulletin," which went on to describe an alien invasion in a field in New Jersey, complete with panicked eyewitness accounts and sounds of gunfire. The story was, of course, fake, a dramatization of _[The War of The Worlds_][94], the science-fiction novel published by H. G. Wells in 1898. But not all listeners knew that. The intro to the segment was [quite vague][94], and those who tuned in a few minutes into the show found no suggestion that what they were hearing wasn't true.

The exact nature of the reaction of these unlucky listeners has been [debated in the decades since the broadcast][95]. Some say thousands of people dashed out of their homes and into the streets in terror, convinced the country was under attack by Martians. Others say there was no such mass panic. Regardless of the actual scale of the reaction, the event helped cement an understanding that would later be perpetuated in science-fiction television shows and films: Humans, if and when they encounter aliens, probably aren't going to react well.

[ Continue Reading ][92]

* [ Mark Peterson / Redux

### [The Plot Against America][96]
    * [Franklin Foer][97]

Decades before he ran the Trump campaign, Paul Manafort's pursuit of foreign cash and shady deals laid the groundwork for the corruption of Washington.

**The clinic permitted Paul Manafort** one 10-minute call each day. And each day, he would use it to ring his wife from Arizona, his voice often soaked in tears. "Apparently he sobs daily," his daughter Andrea, then 29, texted a friend. During the spring of 2015, Manafort's life had tipped into a deep trough. A few months earlier, he had intimated to his other daughter, Jessica, that suicide was a possibility. He would "be gone forever," she texted Andrea.

His work, the source of the status he cherished, had taken a devastating turn. For nearly a decade, he had counted primarily on a single client, albeit an exceedingly lucrative one. He'd been the chief political strategist to the man who became the president of Ukraine, Viktor Yanukovych, with whom he'd developed a highly personal relationship.

[ Continue Reading ][96]

* [ Young Money Entertainment/Cash Money Records

### [Drake and the Strange Spectacle of Charity][98]
    * [Spencer Kornhaber][99]

The rapper's charming "God's Plan" video shows him donating a million dollars around Miami—and earning something for himself.

Dip into the strangely hypnotic [film][100] [genre][101] that** **documents** **the Publishers Clearing House delivering jumbo checks to people, and** **you begin to notice a pattern. When the "Prize Patrol" first knocks on a door, the sweepstakes winner might gasp and hesitantly smile at the cameras and the balloons, recognizing the familiar** **script they've suddenly been inserted into. But it's when the money is actually presented, and the amount of the prize revealed, that the crying begins. As a viewer, you feel happy for the winner. You feel gratitude for the Clearing House. And you start wondering what that jumbo check could do for you.

Drake's new video for "God's Plan," the No. 1 song in the country, bottles and elevates that Publishers Clearing House feeling. In it, the Toronto superstar distributes his million-dollar production budget to people around Miami—by telling all the shoppers in a Sabor Tropical Supermarket that everything on the shelves are free, by presenting a scholarship check to an unsuspecting student, by giving gift cards to women at a shelter, and more. The double-takes are the best parts. In one moment, Drake sidles up to a family who's sitting on a ledge. One of the kids notices the rapper sitting next to her, and shrieks. Drake smiles and hands the family a wad of cash. Star-struck thrill melts into a more tender emotion. The family members cover their eyes, and they hug.

[ Continue Reading ][98]

* [ Jeff Roberson / AP

### [The Indictment of Eric Greitens][102]
    * [David A. Graham][103]

How did Missouri's Republican governor go from rising star to felony charges in barely one year?

It's customary to refer to a politician's quick rise as "meteoric." Overlooked in that cliché is a truth about what happens to meteorites: They strike the ground violently and destructively.

That's worth considering in light of the meteoric rise of Missouri Governor Eric Greitens, who [was arrested Thursday afternoon and charged][104] with felony invasion of privacy charges in connection with a 2015 extramarital affair. The first-term Republican has not resigned, but he'll face an uphill battle to hold onto his office, and his once-bright political career seems likely to, well, crater.

Greitens's troubles began in early January, when several outlets reported that he had engaged in an extramarital affair in 2015. The ex-husband of Greitens's former lover surreptitiously recorded her describing how Greitens had photographed her nude and indicated that the images would serve as blackmail material. "You're never going to mention my name, otherwise this picture will be everywhere," she quoted him as saying on the tape.

[ Continue Reading ][102]

* ### [The Problem With #MeToo's Agenda][105]
    * [Caitlin Flanagan][106]

Caitlin Flanagan argues that the #MeToo movement is becoming big enough to be rendered meaningless.

[ Watch Video ][105]

* ### [When Gun Owners Become Like Hypocritical Hippies][74]
    * [David Frum][75]

David Frum questions the "self-indulgent permissiveness" of Republican gun law.

[ Watch Video ][74]

* ### [How to Turn Anxiety Into Excitement ][107]
    * [Jeremy Raff][108] and [Olga Khazan][109]

It takes three words.

[ Watch Video ][107]

[More Popular Stories][3]

* [ Home ][2]
* [ Share ][5]
* [ Tweet ][5]
[Next story in **Technology**][110]

Subscribe

Support 160 years of independent journalism.

[

][111]

Name Address 1 Address 2 City

State State Alabama Alaska Alberta American Samoa APO/FPO-Africa APO/FPO-Canada APO/FPO-Europe APO/FPO-Middle East APO/FPO-Americas APO/FPO-Pacific Arizona Arkansas British Columbia California Colorado Connecticut Delaware District of Columbia Florida Georgia Guam Hawaii Idaho Illinois Indiana Iowa Kansas Kentucky Louisiana Maine Manitoba Marshall Islands Maryland Massachusetts Michigan Micronesia Minnesota Mississippi Missouri Montana Nebraska Nevada New Brunswick New Hampshire New Jersey New Mexico New York Newfoundland Newfoundland-Labrador North Carolina North Dakota Northern Mariana Isles Northwest Territories Nova Scotia Nunavut Ohio Oklahoma Ontario Oregon Palau Pennsylvania Prince Edward Island Puerto Rico Quebec Quebec Rhode Island Saskatchewan South Carolina South Dakota Tennessee Texas Utah Vermont Virgin Islands Virginia Washington West Virginia Wisconsin Wyoming Yukon Territories

Zip Code Country Email Address

[Fraud Alert regarding The Atlantic][112]

Newsletters+

The Atlantic

_The Atlantic_ Daily 

This Week 

This Month 

New Photo Galleries 

Top Videos This Week 

Politics & Policy Daily 

CityLab

Today's Top Stories 

This Week's Most Popular Stories 

_I want to receive updates from partners and sponsors._

Email Address

Follow+

* [Facebook][113]
* [Twitter][114]
* [LinkedIn][115]
* [Instagram][116]
* [Tumblr][117]
* [Pinterest][118]
* [RSS][119]
* [App Store][120]

About+

* [Masthead][121]
* [FAQ][122]
* [Press][123]
* [Jobs][124]
* [Shop][33]
* [Books][32]
* [Emporium][125]
* [Manage Subscription][126]
* [Contact Us][127]
* [Send a News Tip][128]
* [Privacy Policy][129]
* [Advertise][130]
* [Advertising Guidelines][131]
* [Terms and Conditions][132]
* [Responsible Disclosure][133]
* [Site Map][134]

TheAtlantic.com Copyright (c) 2018 by The Atlantic Monthly Group. All Rights Reserved.

Close

Close

![][135]

![][136]

[1]: https://www.theatlantic.com#main-content
[2]: https://www.theatlantic.com/
[3]: https://www.theatlantic.com/most-popular/
[4]: https://www.theatlantic.com/latest/
[5]: javascript:void(0)
[6]: https://www.theatlantic.com/politics/
[7]: https://www.theatlantic.com/entertainment/
[8]: https://www.theatlantic.com/business/
[9]: https://www.theatlantic.com/science/
[10]: https://www.theatlantic.com/technology/
[11]: https://www.theatlantic.com/health/
[12]: https://www.theatlantic.com/education/
[13]: https://www.theatlantic.com/national/
[14]: https://www.theatlantic.com/international/
[15]: https://www.theatlantic.com/notes/
[16]: https://www.theatlantic.com/letters/
[17]: https://www.theatlantic.com/membership/
[18]: https://www.theatlantic.com/photo/
[19]: https://www.theatlantic.com/video/
[20]: https://www.theatlantic.com/events/
[21]: https://www.theatlantic.com/writers/
[22]: https://www.theatlantic.com/projects/
[23]: https://www.theatlantic.com/magazine/
[24]: https://www.theatlantic.com/magazine/backissues/
[25]: https://accounts.theatlantic.com/
[26]: https://www.theatlantic.com/locator/navdropdown/
[27]: https://accounts.theatlantic.com/register/
[28]: https://www.theatlantic.com/newsletters/sign-up/
[29]: https://www.theatlantic.com/podcasts/
[30]: https://www.theatlantic.com/app/
[31]: https://www.theatlantic.com/timeline/
[32]: https://www.theatlantic.com/ebooks/
[33]: https://www.theatlantic.com/store/
[34]: https://www.theatlantic.com/follow-the-atlantic/
[35]: https://www.theatlantic.com/locator/subscribe-magazine/
[36]: https://www.theatlantic.com/author/james-fallows/
[37]: https://www.theatlantic.com/author/ta-nehisi-coates/
[38]: https://cdn.theatlantic.com/assets/media/img/2015/08/2002_03_l/lead_960.jpg?1438699278
[39]: https://www.theatlantic.com/politics/archive/2018/02/what-i-saw-treating-the-victims-from-parkland-should-change-the-debate-on-guns/553937/
[40]: https://www.theatlantic.com/author/heather-sher/ "Heather Sher"
[41]: https://www.theatlantic.com/business/archive/2018/02/pensions-safety-net-california/553970/
[42]: https://www.theatlantic.com/author/alana-semuels/ "Alana Semuels"
[43]: https://www.theatlantic.com/politics/archive/2018/02/the-absurdity-of-armed-educators/553961/
[44]: https://www.theatlantic.com/author/vann-newkirk/ "Vann R. Newkirk II"
[45]: https://www.theatlantic.com/politics/archive/2018/02/the-power-of-the-parkland-town-hall/553949/
[46]: https://www.theatlantic.com/entertainment/archive/2018/02/black-panther-erik-killmonger/553805/
[47]: https://www.theatlantic.com/author/adam-serwer/ "Adam Serwer"
[48]: https://www.theatlantic.com/author/charles-c-mann/ "Charles C. Mann"
[49]: https://www.theatlantic.com/magazine/toc/2002/03/
[50]: https://www.theatlantic.com#
[51]: mailto:?&subject=1491&body=Before it became the New World, the Western Hemisphere was vastly more populous and sophisticated than has been thought&mdash;an altogether more salubrious place to live at the time than, say, Europe. New evidence of both the extent of the population and its agricultural advancement leads to a remarkable conjecture: the Amazon rain forest may be largely a human artifact%0A%0ARead More:%0Ahttp://www.theatlantic.com/magazine/archive/2002/03/1491/302445/?utm_source=eb
[52]: http://www.sas.upenn.edu/~cerickso/
[53]: http://www.utexas.edu/courses/wilson/ant304/biography/arybios97/jojinbio.html
[54]: http://www.fs.fed.us/outernet/htnf/wildact.htm
[55]: http://www.amazon.com/exec/obidos/ISBN=0299134342/theatlanticmonthA/
[56]: http://www.amazon.com/exec/obidos/ISBN=080213680X/theatlanticmonthA/
[57]: http://www.amazon.com/exec/obidos/ISBN=0809078201/theatlanticmonthA/
[58]: http://www.amazon.com/exec/obidos/ISBN=0393321002/theatlanticmonthA/
[59]: http://www.amazon.com/exec/obidos/ISBN=080613044X/theatlanticmonthA/
[60]: http://www.amazon.com/exec/obidos/ISBN=0195034546/theatlanticmonthA/
[61]: http://www.amazon.com/exec/obidos/ISBN=0781220270/theatlanticmonthA/
[62]: http://www.amazon.com/exec/obidos/ISBN=0195082710/theatlanticmonthA/
[63]: http://www.amazon.com/exec/obidos/ISBN=0837172284/theatlanticmonthA/
[64]: http://www.amazon.com/exec/obidos/ISBN=0521456908/theatlanticmonthA/
[65]: http://www.mexicocity.com.mx/anc_city.html
[66]: http://www.amazon.com/exec/obidos/ISBN=0882956094/theatlanticmonthA/
[67]: http://fm1.fieldmuseum.org/aa/staff_page.cgi?staff=rosevelt
[68]: http://www.fmnh.org/
[69]: http://www.amazon.com/exec/obidos/ISBN=0125953488/theatlanticmonthA/
[70]: http://www.saa.org/Publications/Latamant/laqabstracts/laq12-3/meggers.html
[71]: http://www.amazon.com/exec/obidos/ISBN=0809001586/theatlanticmonthA/
[72]: http://www.amazon.com/exec/obidos/ISBN=1559633115/theatlanticmonthA/
[73]: http://www.amazon.com/exec/obidos/ISBN=0820319848/theatlanticmonthA/
[74]: https://www.theatlantic.com/video/index/553916/david-frum-gun-control/
[75]: https://www.theatlantic.com/author/david-frum/ "David Frum"
[76]: https://cdn.theatlantic.com/assets/media/img/authors/m/charles-c-mann/headshot/headshot.jpg?1431456340
[77]: https://www.theatlantic.com/author/charles-c-mann/
[78]: https://www.theatlantic.com/magazine/archive/2002/03/1491/302445/
[79]: http://www.amazon.com/exec/obidos/ISBN=0307961699/theatla05-20/
[80]: https://www.theatlantic.com/politics/archive/2018/02/deeply-saddened/553478/
[81]: https://www.buzzfeed.com/adamserwer/the-django-problem-and-the-tangled-history-of-roots?utm_term=.hcKZeWn37#.awaA4MYxJ
[82]: https://www.theatlantic.com/international/archive/2018/02/justin-trudeau-india-trip/553958/
[83]: https://www.theatlantic.com/author/krishnadev-calamur/ "Krishnadev Calamur"
[84]: https://www.washingtonpost.com/news/worldviews/wp/2016/01/25/narendra-modi-wont-stop-hugging-world-leaders-no-matter-how-awkward-it-is/
[85]: https://www.cnn.com/2017/06/26/politics/trump-modi-and-twitter/index.html
[86]: http://indianexpress.com/article/india/india-others/pm-narendra-modi-tweets-bithday-wishes-to-japanese-counterpart-shinzo-abe/
[87]: http://www.business-standard.com/article/current-affairs/justin-trudeau-meets-infy-tata-heads-10-key-canadian-pm-engagements-today-118022000226_1.html
[88]: https://scroll.in/article/869574/if-justin-trudeau-is-being-snubbed-in-india-the-canadian-media-is-not-perturbed
[89]: https://www.hindustantimes.com/bollywood/justin-trudeau-meets-shah-rukh-khan-aamir-khan-and-we-don-t-know-where-to-look-see-pics/story-D98McLK8SHknaHfxwIvpBM.html
[90]: http://www.bbc.com/news/world-asia-india-43151115
[91]: https://www.washingtonpost.com/news/worldviews/wp/2018/02/20/is-indias-government-snubbing-canadas-justin-trudeau/?utm_term=.9f50035f299e
[92]: https://www.theatlantic.com/science/archive/2018/02/alien-discovery-microbes/553919/
[93]: https://www.theatlantic.com/author/marina-koren/ "Marina Koren"
[94]: http://www.sacred-texts.com/ufo/mars/wow.htm
[95]: https://www.npr.org/sections/thetwo-way/2013/10/30/241797346/75-years-ago-war-of-the-worlds-started-a-panic-or-did-it
[96]: https://www.theatlantic.com/magazine/archive/2018/03/paul-manafort-american-hustler/550925/
[97]: https://www.theatlantic.com/author/franklin-foer/ "Franklin Foer"
[98]: https://www.theatlantic.com/entertainment/archive/2018/02/drake-gods-plan-charity/553790/
[99]: https://www.theatlantic.com/author/spencer-kornhaber/ "Spencer Kornhaber"
[100]: https://www.youtube.com/watch?v=r1foDLQdBbA
[101]: https://www.youtube.com/watch?v=BPY4uyF5m40
[102]: https://www.theatlantic.com/politics/archive/2018/02/eric-greitens-indictment-felony/554012/
[103]: https://www.theatlantic.com/author/david-a-graham/ "David A. Graham"
[104]: http://www.stltoday.com/news/local/govt-and-politics/missouri-gov-eric-greitens-indicted-for-felony-invasion-of-privacy/article_3599554f-fcc4-551e-a0ae-b83368208a30.html
[105]: https://www.theatlantic.com/video/index/553565/problem-with-me-too-agenda/
[106]: https://www.theatlantic.com/author/caitlin-flanagan/ "Caitlin Flanagan"
[107]: https://www.theatlantic.com/video/index/485297/turn-anxiety-into-excitement/
[108]: https://www.theatlantic.com/author/jeremy-raff/ "Jeremy Raff"
[109]: https://www.theatlantic.com/author/olga-khazan/ "Olga Khazan"
[110]: https://www.theatlantic.com/magazine/archive/2002/03/the-world-on-a-screen/303065/
[111]: https://www.theatlantic.com/subscribe/footer-cover
[112]: https://www.theatlantic.com/personal/archive/2013/10/fraud-alert-regarding-i-the-atlantic-i/280278/
[113]: https://www.facebook.com/TheAtlantic
[114]: https://twitter.com/TheAtlantic
[115]: https://www.linkedin.com/company/the-atlantic
[116]: https://www.instagram.com/theatlantic
[117]: http://theatlantic.tumblr.com/
[118]: https://www.pinterest.com/theatlantic/
[119]: https://www.theatlantic.com/follow-the-atlantic/#follow-rssfeeds
[120]: https://itunes.apple.com/app/id397599894
[121]: https://www.theatlantic.com/masthead/
[122]: https://www.theatlantic.com/faq/
[123]: https://www.theatlantic.com/press/
[124]: https://www.theatlantic.com/jobs/
[125]: https://www.theatlantic.com/emporium/
[126]: https://www.theatlantic.com/manage-subscription-footer/
[127]: https://www.theatlantic.com/contact/
[128]: https://www.theatlantic.com/tips/
[129]: https://www.theatlantic.com/privacy-policy/
[130]: https://www.theatlantic.com/advertise/
[131]: http://cdn.theatlantic.com/static/front/docs/ads/TheAtlanticAdvertisingGuidelines.pdf?v1
[132]: https://www.theatlantic.com/terms-and-conditions/
[133]: https://www.theatlantic.com/responsible-disclosure-policy/
[134]: https://www.theatlantic.com/site-map/
[135]: http://atlanticmedia.122.2o7.net/b/ss/atlanticprod/1/H.23.6--NS/0
[136]: https://atlanticmedia.122.2o7.net/b/ss/atlanticprod/1/H.22--NS/0

