---
created_at: '2016-08-01T10:35:27.000Z'
title: Misunderstanding Micropayments (2003)
url: http://www.scottmccloud.com/3-home/essays/2003-09-micros/micros.html
author: Tomte
points: 41
story_text: 
comment_text: 
num_comments: 21
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1470047727
_tags:
- story
- author_Tomte
- story_12201331
objectID: '12201331'

---
[Source](http://www.scottmccloud.com/3-home/essays/2003-09-micros/micros.html "Permalink to Misunderstanding Micropayments - Scott McCloud")

# Misunderstanding Micropayments - Scott McCloud

![webcomics][1]

![print comics][2]

![home][3]

![inventions][4]

![about][5]

![presentations][6]

![consulting][7]

![-][8]

| ----- |
| 

Archived Content from 2003. Most of this is woefully out of date, but I'm keeping it up for historical reference. Bitpass did indeed fail following Clay Shirky's prediction. Round to Shirky.

## Misunderstanding Micropayments

####   
  
BitPass, Shirky and The Good Idea that Refuses to Die****  
  
****  
**

| 

| 

The following is a response to Clay Shirky's new article [Fame versus Fortune][9] (a follow-up to his 2000 essay [The Case Against Micropayments][10]) which takes aim at the 9-week-old [BitPass][11] payment system. I'm a long-time advocate of micropayments, an advisor to BitPass, and my online comic [The Right Number][12] is mentioned in his first paragraph, so I'm hardly a disinterested party. Still, I hope my arguments will help illuminate why I think that Shirky's logic is flawed, and why his caricature of the idea of micropayments bears little resemblance to the reality being created right now. 

\--Scott McCloud September 11, 2003

 | 

 | 

**  
**"Micropayments" is a decades-old term with a flaky history. Over the years, the label has been hijacked by many elaborate schemes. Proposed changes in Web-wide protocols, invisible sub-cent metering, intrusive monitoring and weird new Internet currencies were all fed into the marketplace and rightfully spit out. In the process, micropayments gradually gained a reputation as being exotic and unworkableif not downright evil. 

In the year 2000, critics of micropayments could pick which version of the idea to attack. Needless to say, the most damning caricatures were the most useful for this purpose. Thus when [Clay Shirky][13] wrote [The Case Against Micropayments][10] late that year, his arguments rang true because the implementation of micropayments he described was every bit as ghastly as he claimed.

For years before that, however, advocates had already been using the term to describe something far more prosaic. Micropayments had come to mean any system by which small denominations could be quickly and easily exchanged over a network by willing sellers and willing buyers. The idea was good, the need was there, but implementation had proven difficult.

I heard from several companies thinking they'd cracked the problem in recent years, and had to tell each one why I thought their business model wouldn't work. Then I was contacted by two Stanford grads who had a system I couldn't find anything wrong with. I signed on as an advisor and began creating a new online comic for the launch.  
  
  
**Swinging Wide  
  
  
**Until recently, Clay Shirky seemed content to have killed the monster in its cradle. But when BitPass launched nine weeks ago, Shirky saw what he apparently thought was a credible new contender and quickly reached for the axe:  
  
  

| ----- |
| 

| 

"Micropayments, small digital payments of between a quarter and a fraction of a penny, made (yet another) appearance this summer with Scott McCloud's online comic, [The Right Number][12], accompanied by [predictions of a rosy future for micropayments][14].  
  
"To read The Right Number, you have to sign up for the [BitPass micropayment system][15]; once you have an account, the comic itself costs 25 cents.*  
  
"BitPass will fail, as FirstVirtual, Cybercoin, Millicent, Digicash, Internet Dollar, Pay2See, and many others have in the decade since [Digital Silk Road][16], the paper that helped launch interest in micropayments. These systems didn't fail because of poor implementation; they failed because the trend towards freely offered content is an epochal change, to which micropayments are a pointless response."  

 | 

 | 

  
  
_Of course_ "poor implementation" was among them. Efforts like the ones Shirky mentions were plagued with problems: Elaborate and intrusive sign-up forms, flaky business models, mandatory plug-ins, blood-sucking hook-ups to bank accounts, vendor start-up fees, greedy profit splits, etc. Some even claimed to offer "micropayments" while refusing to support transactions below 99¢.  
  
Another factor contributing to micropayments dismal first round was the simple fact that until very recently, few users were willing to pay for content while they still felt that they were paying with their _time._ Without broadband, the climate for paid content was hardly hospitable. Similarly, users who had just brushed away the styrofoam packing from their first home computer (and there were a lot of them in the '90s) were still factoring in the cost of that initial investment. Selling premium content to those users was as futile as selling pay channels to TV owners in 1952.  
  
Shirkys "epochal change" is real enough. Free content is here to stay, file-sharing is here to stay, and any attempt to completely wipe out either is doomed to failure (as it should be). But that in no way precludes the co-existence of markets based on the desires of willing sellers and willing buyers. To proclaim without a hint of doubt that such a market _will never exist_ for low cost digital content contradicts everything we know about the Webs inexhaustible capacity for variety and adaptation.  
  
_*"Signing up" for this particular system, it should be noted, involves buying a $3 virtual debit card; it takes about 30 seconds._  
  
  

| ----- |
| 

| 

"The people pushing micropayments believe that the dollar cost of goods is the thing most responsible for deflecting readers from buying content, and that a reduction in price to micropayment levels will allow creators to begin charging for their work without deflecting readers."

 | 

 | 

  
  
If paying is easy and fast, then yes, _of course_ the price matters. Were seeing right now how 99¢ a song looks next to 79¢ a song. Its not hard to imagine that well hit 49¢ before the dust settles. Audiences know instinctively that without the disks and trucks and cash registers, ten bucks an album is just too muchand theyll act accordingly.  
  
m collecting 85% using BitPass). If artists and users split those savings, which is only fair, a huge chunk of paid content would plunge into the sub $2 range, with a significant subset (including individual songs, short stories, short films and comics like mine) under $1.  
  
  
**The Mental Transaction Cost Argument  
**  
  
Shirky continues:  
  
  

| ----- |
| 

| 

"This strategy doesn't work, because the act of buying anything, even if the price is very small, creates what Nick Szabo calls [mental transaction costs][17], the energy required to decide whether something is worth buying or not, regardless of price. The only business model that delivers money from sender to receiver with no mental transaction costs is theft, and in many ways, theft is the unspoken inspiration for micropayment systems.  
  
"Like the salami [slicing exploit in computer crime][18], micropayment believers imagine that such tiny amounts of money can be extracted from the user that they will not notice, while the overall volume will cause these payments to add up to something significant for the recipient. But of course the users do notice, because they are being asked to buy something. Mental transaction costs create a minimum level of inconvenience that cannot be removed simply by lowering the dollar cost of goods.  
  
"Worse, beneath a certain threshold, mental transaction costs actually rise, a phenomenon is especially significant for information goods. It's easy to think a newspaper is worth a dollar, but is each article worth half a penny? Is each word worth a thousandth of a penny? A newspaper, exposed to the logic of micropayments, becomes impossible to value."

 | 

 | 

  
  
The mental cost argument was the centerpiece of "The Case Against Micropayments", and its one of two main points being made in this article. Its a persuasive argument if you accept a vision of micropayments as hundreds of tiny transactions each hour "extracted from the user" without their notice, yet not one of the "micropayment believers" that I know advocates such a system.  
  
Worse, Shirkys first two examples _have nothing to do with the business model of BitPass_the company hes trying to rhetorically obliterate! BitPass allows transactions down to a penny, not the "thousandth of a penny" trotted out in the newspaper example. In fact, the overwhelming majority of sellers are offering a small selection, in the 25¢ to 75¢ range. None of them are attempting anything even remotely like what Shirky describes.  
  
Furthermore, Shirkys use of Szabos theory as a weapon against all micropayment attempts relies on four basic assumptions, none of which have any basis in reality:  
  
**Assumption #1: That prices in online markets will be confusing and resistant to standardization.** Even at 9-weeks and with just a few Beta vendors, standard prices are starting to emerge for certain types of content. If you were to buy an hour-long mp3 of a radio show for 25¢, youre hardly going to suffer an anxiety attack deciding if another hour is also worth 25¢. Sellers have always had an incentive to keep pricing clear, intuitive and in line with users expectations. Micropayments markets will be no different.  
  
**Assumption #2:** **That the number of purchases made in the course of the day will be dramatically higher than in real-life situations like supermarkets and drugstores.** No one in their right mind is going to begin charging for every single page of a website. Most vendors will offer combinations of free and priced content if they have any sense, and the selection of items for sale will need to be easily accessed and understood. Unless youre a fanatic for a particular kind of file (out of print blues recordings, for example), youll probably be buying no more than a few items per day. For those you buy most often, you buy in bulk or you subscribe. (see #4)  
  
**Assumption #3: That Micropayments are an either/or proposition.** Shirky repeatedly offers examples in which aggregated content (like newspapers or site subscriptions) are more convenient for buyers than the sorts of a la carte purchases which micropayments could enable. Hes right_in some cases._ But who ever said that aggregation had to vanish for micros to work?! Ive always assumed that the two would go hand-in-hand.  
  
**Assumption #4: That users cant handle having too many choices.** I _am_ a user and I find this more than a little patronizing. I cant count the number of times that I have arrived at a site looking for a single music video, photograph, song or article only to be told that for my "convenience" I could receive a years worth of their content for $20-40, but otherwise I was out of luck. I wouldve been happy to shell out some pocket change to get what I came for and move on, but according to Shirky, offering per-item pricing in addition to subscriptions would somehow _paralyze us with confusion!_ If choices are poorly organized or inadequately explained, then yes, consumers can be put off. But suggesting we need fewer choices for our own good betrays a dim view of the user's intelligence.  
  
  
**Art is Not a Commodity  
  
  
**Next is this revealing passage:**  
  
  
**

| ----- |
| 

| 

"Analog publishing generates per-unit costs -- each book or magazine requires a certain amount of paper and ink, and creates storage and transportation costs. Digital publishing doesn't. Once you have a computer and internet access, you can post one weblog entry or one hundred, for ten readers or ten thousand, without paying anything per post or per reader. In fact, dividing up front costs by the number of readers means that content gets cheaper as it gets more popular, the opposite of analog regimes."

 | 

 | 

  
  
Throughout this article, Shirky is talking almost exclusively about writers of news and criticism like himself. Ironically, these are the very sorts of content most likely to remain free and most likely to be treated as a commodity ("This site has movie listings for 20¢ a month and this site has movie listings for free; which one should I pick?"); and yes, of course, blogging, the ultimate vanity press, isnt switching to pay-per-view any time soon.  
  
By ignoring music, movies, comics, radio shows, novels, software and gamesthe vast categories of content that are rarely interchangeableShirky is stacking the deck. This might have been just a forgivable oversight, but let's not forget that he's using these examples to publicly condemn a company with no such biases. Art is not a commodity and Shirky should know that.  
  
Think about it: If you wanted _Hail to the Thief_ and the whole album could be downloaded for $5.99, what difference does it make that theres a free album from _Hootie and the Blowfish_ somewhere else? If you want to download _Donnie Darko_, who cares if someone else is giving away _Dances with Wolves_? If you want old _Firesign Theatre_ recordings, why would the existence of a free _Henny Youngman_ collection influence your decision? Comparing these decisions to "Coke versus Pepsi" denigrates the creative process.  
  
[Of course, if _Hail to Thief_ was $5.99 directly from the band and free on _Kazaa_, now thats another question Ill get to shortly.]  
  
  
**Back to Reality****  
  
  
**Not all of Shirky's criticisms of BitPass are based on non-existent features. In the next bit, our critic is talking about the actual system in question at least, and the problem hes describing is real. Where I disagree is in Shirkys belief that the problem is insurmountable. I dont think it is.  
  
  

| ----- |
| 

| 

"If you want to feel mental transaction costs in action, sign up for the $3 version of BitPass, then survey [the content on offer][19]. Would you pay 25 cents to view a VR panorama of the Matterhorn? Are Powerpoint slides on "Ten reasons why now is a great time to start a company?" worth a dime? (and if so, would each individual reason be worth a penny?)"

 | 

 | 

  
  
The list of BitPass Beta vendors Shirky links to is exactly what you would expect it to be after a month or two of testing and the scattered manual additions (the system isn't doing open sign-ups just yet). As with any payment service, the people using it are going to be all over the map. Im sure a list of the first few dozen people using PayPal or Ebay would be every bit as flaky if not more so. Its not up to any kind of payment provider to decide what sort of products and services will fly, and what sorts will crash. In time, successes will breed successes, and failures will breed knowledge as they have for centuries.  
  
Shirky chooses his examples carefully, of course. Most items being sold on the list belong to considerably more familiar categories of content such as songs, books, and radio showseasily evaluated by users based on experience. (And as for Guy Kawasakis Powerpoint slides, those were as much demo as anything, though the audio for his speeches are actually pretty funny and worthwhile.)   
  
Shirky is also ignoring the role of free previews, samples and third party reviews in evaluating unfamiliar content. If the Web itself was as impotent when it came to developing home-grown solutions as Shirky is painting this new market, it never would have made it out of CERN.  
  
  
**Fame, Fortune and Free Will**  
  
  
on the surface:  
  
  

| ----- |
| 

| 

"The fact that digital content can be distributed for no additional cost does not explain the huge number of creative people who make their work available for free. After all, they are still investing their time without being paid back. Why?

"The answer is simple: creators are not publishers, and putting the power to publish directly into their hands does not make them publishers. It makes them artists with printing presses. This matters because creative people crave attention in a way publishers do not. Prior to the internet, this didn't make much difference. The expense of publishing and distributing printed material is too great for it to be given away freely and in unlimited quantities -- even vanity press books come with a price tag. Now, however, a single individual can serve an audience in the hundreds of thousands, as a hobby, with nary a publisher in sight.  
  
"This disrupts the old equation of "fame and fortune." For an author to be famous, many people had to have read, and therefore paid for, his or her books. Fortune was a side-effect of attaining fame. Now, with the power to publish directly in their hands, many creative people face a dilemma they've never had before: fame vs fortune."

 | 

 | 

  
  
"Fame vs. fortune" is right, but not in the way Shirky means. The effect of fame on the Web is often to rob the author of his or her fortune through excess bandwidth charges (a fact utterly glossed over in Shirky's sunny claim that "content gets cheaper as it gets more popular"). To accept any system that _punishes success_ in this way is to perpetuate an intolerable status quo.  
  
A little fame should make you a little fortune. A lot of fame should make you a lot of fortune. And at no point should fame drive you into bankruptcy and annihilate your livelihood. Only in a market where content is able to find its natural price level is such a balance possible.  
  
Until then, were left with a patchwork of hobbyists, bloggers, corporate promo, online mail-order and desperate screaming pop-up ads. The artists among us are relegated to noble failures and lovable martyrsgiving away their art for nothing til the rent is due and they have to go back to flipping burgers. I know far too many of these people to accept Shirky's placid scenario. They're tired, they're frustrated, and they're quitting in droves.  
  
In many cases, it's no longer a choice between getting it for a price or getting it for free. It's the choice between getting it for price or _not getting it at all._ Fortunately, the price doesn't have to be high.  
  
  

| ----- |
| 

| 

"Because information is hard to value in advance, for-fee content will almost invariably be sold on a subscription basis, rather than per piece, to smooth out the variability in value. Individual bits of content that are even moderately close in quality to what is available free, but wrapped in the mental transaction costs of micropayments, are doomed to be both obscure and unprofitable."

 | 

 | 

  
  
Nonsense. Lets suppose you found a site where you could watch your favorite videoyou know, that one you havent seen in five years that you still remember frame by frameand you have an easy way to pay them 50¢ to download it. Is there anyone reading this who would honestly refuse such an opportunity in favor of paying a $30 annual subscription fee? Even if there were thousands of videos at such a site, most users would probably go through dozens of single video downloads before deciding that it was worth it to pay the subscription. People try before they commit. Subscriptions without micropayments is like marriage without dating_._  
  
  

| ----- |
| 

| 

"The interesting questions regarding free content, in other words, have nothing to do with bland "End of Free" predictions, or unimaginative attempts at restoring user-pays regimes. The interesting questions are how far the power of the creator to publish their own work is going to go, how much those changes will be mirrored in group work, and how much better collaborative filters will become in locating freely offered material.

 | 

 | 

  
  
The shift in publishing powers is real. We dont disagree here. But these dynamics have nothing to do with a move towards free content. The empowerment of individuals to create and distribute content is just as relevant for those who sell as for those who give it away.  
  
  
**Who Said Anything About "The End of Free"?  
  
  
**For the most part, Shirky and I are both discussing why creators might offer their work for free or not and to what degree. But what if the choice is out of their hands? A 50¢ Coke versus a free Pepsi is one thing. But what about a 50¢ Coke versus a [_free_ _Coke?_][20]_ _File-sharing bypasses the Art/Commodity question entirely and poses serious challenges to paid content of all kinds. Can micropayments address such a phenomenon? This, I think is the _truly_ "interesting question", with an answer that sidesteps Shirky's false dichotomies entirely.**  
****  
**Nothing will ever wipe out file-sharing completely; not [DRM][21], not [lawsuits against 12 year-olds][22], and certainly not micropayments. When my readers paid 25¢ to read my webcomic, I encouraged them to download the file. I knew full well that once that happened, some readers could choose to share the comic with their friends. I hope they'll encourage their friends to _buy_ it instead, and so far the results of this little social experiment have been very encouraging, but it's still early in the game.  
  
File-sharing other people's IP may be a kind of "theft," but it's a kind the world has never seen before; one that has a strangely philanthropic component. It takes time and computational resources to offer those songs to others for free; an effort rationalized by high retail prices, disdain for record companies and the belief that musicians see very little of our dollars.  
  
Micros won't eliminate file-sharing (any more than they'll eliminate other forms of free content) but they could reduce the incentive. After all, if musicians did start selling their songs for small change directly to their listeners, why would those listeners still devote time and computational resources to stealing business from their favorite bandsjust for the privilege of giving free content to _total strangers?  
  
_Most users are neither Saints nor Sinners. If getting it legitimately is just a few more cents, while getting it for free is just a little more work (or even risk), a significant number will "do the right thing" at the drop of a hat. At a time when 1% of computer users (Mac owners running OS X) just bought 10 million songs in four monthsnearly all of which they probably could have found for free with a little effortit seems a little odd to be speaking of the collapse of paid content.  
  
Aggregators, free content, subscriptions, advertisements and even file-sharing have all gradually come together in recent years like pieces of a puzzle showing us a picture of what a mature Web economy may someday look like. But some of us knew there was an important piece of the puzzle missing.  
  
Now that we've found it, let's not sweep it under the rug.  
  
  

| ----- |
| 

| 

Additional responses to Shirky vs. BitPass & Micropayments: 

* [MIT Technology Review: "Selling Online Content25 Cents at a Time"  
][23](Free Registration Required)  
\- Henry Jenkins, Director Comparative Media Studies, MIT 
* [Discuss the Tech Review article.][24]
* "[Information Wants to be Valued"][25]  
\- Joey Manley, Editor/Publisher Modern Tales
* [The micro-nots (and the macro-maybes)][26]  
\- An analysis of the debate so far from ¡[Journalista!][27]'s Dirk Deppey. 
* An [interesting thread][28] on MetaFilter. 

 | 

 | 

 | 

  
  

[1]: http://www.scottmccloud.com/-navbar/buttons-mini/1-a.gif
[2]: http://www.scottmccloud.com/-navbar/buttons-mini/2-a.gif
[3]: http://www.scottmccloud.com/-navbar/buttons-mini/3-c.gif
[4]: http://www.scottmccloud.com/-navbar/buttons-mini/4-a.gif
[5]: http://www.scottmccloud.com/-navbar/buttons-mini/5-a.gif
[6]: http://www.scottmccloud.com/-navbar/buttons-mini/6-a.gif
[7]: http://www.scottmccloud.com/-navbar/buttons-mini/7-a.gif
[8]: http://www.scottmccloud.com/-navbar/divider-home.gif
[9]: http://shirky.com/writings/fame_vs_fortune.html
[10]: http://www.openp2p.com/pub/a/p2p/2000/12/19/micropayments.html
[11]: http://www.bitpass.com
[12]: http://www.scottmccloud.com/comics/trn/intro.html
[13]: http://www.shirky.com
[14]: http://www.google.com/search?q=mccloud+bitpass
[15]: http://www.bitpass.com/learn/
[16]: http://www.agorics.com/Library/dsr.html
[17]: http://szabo.best.vwh.net/micropayments.html
[18]: http://www.yourwindow.to/information-security/gl_salamislicing.htm
[19]: http://www.bitpass.com/share/sites/
[20]: http://www.kazaa.com
[21]: http://www.epic.org/privacy/drm/
[22]: http://www.riaa.com
[23]: http://www.technologyreview.com/articles/wo_jenkins091003.asp
[24]: http://www.technologyreview.com/forums/forum.asp?forumid=361
[25]: http://www.moderntales.com/series2.php?name=news&view=archive&seq=4999
[26]: http://www.tcj.com/journalista/zarch200309Ca.html
[27]: http://www.tcj.com/journalista/
[28]: http://www.metafilter.com/mefi/28280

