---
created_at: '2016-08-08T20:30:47.000Z'
title: Drawing Holograms by Hand (2003)
url: http://amasci.com/amateur/hand1.html
author: dcminter
points: 48
story_text: 
comment_text: 
num_comments: 18
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1470688247
_tags:
- story
- author_dcminter
- story_12250657
objectID: '12250657'

---
[Source](http://amasci.com/amateur/hand1.html "Permalink to SCIENCE HOBBYIST: Drawing holograms by hand")

# SCIENCE HOBBYIST: Drawing holograms by hand



| ----- |
| 

|  ** [SCIENCE HOBBYIST][1]  |  
 |  ** [SCRATCH HOLOGRAMS][2]  |  
 |  ** [GOOD STUFF][3]  |  
 |  ** [NEW STUFF][4]  |  
 |  ** [SEARCH][5]  
 | 

 | 

 | 

| ----- |
|  W. Beaty, "Drawing Holograms by Hand", _Proc. SPIE-IS&T; Electronic Imaging_, Tung H. Jeong, ed., SPIE Vol. 5005, 156-167, 2003.  

**Copyright 2003 SPIE and IS&T;  
This paper was published in Proc. of Electronic Imaging 2003 and is made available as an electronic preprint with permission of SPIE and IS&T.; One print or electronic copy may be made for personal use only. Systematic or multiple reproduction, distribution to multiple locations via electronic or other means, duplication of any material in this paper for a fee or for commercial purposes, or modification of the content of the paper are prohibited. **  |  | 

  

| ----- |
| 

# Drawing Holograms by Hand

William J. Beaty, Box 351700, University of Washington, Seattle WA 98195-1700

> #### **ABSTRACT**
> 
> 
|  Accidental abrasion of a specular surface sometimes produces real and virtual images of the abrading object. Investigation of this phenomenon in 1994 led to a simple technique which almost sounds like a joke: a method for creating white light holograms by scribing interference fringes one at a time onto a plastic plate by hand. The optics of these abrasion holograms is similar to Rainbow holography, and the similarities reveal techniques for controlling distortions, for producing images of opaque objects, as well as for producing animation effects and images that extend out through the film plane. As with any rainbow hologram, spatially coherent or point-source illumination is required, both a transmission mode and a reflection mode exist, and conjugate illumination produces pseudoscopic images. This abrasion holography highlights the fact that the zoneplates comprising a Rainbow hologram function independently not only of illumination frequency but also of fringe spacing. Size-independent fringes suggests that truly enormous holograms can be engraved on a wide variety of very crude everyday surfaces.  | 
> 
>   

> 
>   

> 
> ####  **1\. INTRODUCTION**
> 
> In inventing holography Dennis Gabor created a method where an object generates a complex zoneplate lens. This lens can distort a point light source image and reconstruct a three-dimensional image of the original object. Benton improved upon the technique with his Rainbow method. Under this method the monochromatic illumination requirement was removed and the zoneplate created by each point on the object no longer covered the entire hologram. Several other non-holographic techniques for producing freely observed 3D images also exist. These employ arrays of tiny cylinder lenses or slotted aperture plates, but these "Lenticular" devices do not involve optical wave interference and they lack most of the unique behaviors of holograms.  

> 
> There is another method for 3D image reconstruction that lies halfway between the diffraction optics of holography and the geometrical optics of lenticulars. This third method sometimes appears in nature, and so it has been repeatedly discovered by observant researchers. I call the plates produced by this third method "scratch holograms", while Liebermann [1] calls them "holographic engravings," and Plummer and Gardner [2] name them "mechanical holograms." Abramson [3] calls them scratchograms or "Poor man's holograms" and also refers to the technique as Incoherent Holography. The physics itself suggests the terms "single-fringe holography" or "giant-fringe holography." Since the required materials were available to humans ever since we started using tools, with tongue in cheek I also call them "prehistoric" holograms. All these terms refer to the same phenomenon and the same techniques.   

> 
> ##### 1.1 A Chance Observation
> 
> In a sunny parking lot its easy to observe strange patterns of highlights apparently moving across the car hoods. Rows of tiny parallel scratches in the paint behave as specular line-scatterers. If the angle between the observer and the surface is changing, these scratches produce patterns of reflected sunlight that appear to move across the hood. On one occasion I noticed a particularly striking example. The highlights on a black car hood were not just highlights, they were large images, and they appeared deep within the surface. They also had a distinct structure: close-spaced radial filaments surrounding an array of whitish patches. After some time in observing these, the nature of the shapes suddenly became clear. They were images of a lambs wool polishing mitt, complete with matted fibers in the center, straighter fibers forming a radial halo, and with the glowing shape of a human hand visible in the matted fibers. Even more intriguing, most of these patterns appeared to float many centimeters deep within the car hood. Apparently they were created as the hood was polished by a gritty polishing-mitt, and the mitt produced a large number of microscopic, curved, and somewhat parallel scratches in the paint.   

> 
> 
| ----- |
|  |  ![Photo: dark car hood with numerous white handprint patterns floating down within it][6] |  
|  |  **Figure 1 ** Car hood after careful "polishing" by a dry paper towel  |  | 
> 
>   

> 
> The phenomenon was easily reproduced by rubbing a very dirty car hood with a dry paper towel. Figure 1 shows the results. The hand that holds the towel must not rotate, and its overall trajectory must be a circular arc of ~90deg with radius < 30cm. The resulting scratch patterns were observed under sunlight. Images of handprints were clearly being reconstructed, with the images appearing deep within the painted hood rather than upon its surface. The depth of each image was somehow proportional to the radius of the curved scratches and to the angle of illumination. At some observing angles the images would even appear to float above the surface rather than below. Some handprint images were quite sharp, with the surface texture of the paper towel clearly visible as in Fig. 2 below.   

> 
> 
| ----- |
|  |  ![Photo: a white handprint with fine square hatching pattern][7] |  
|  |  **Figure 2 ** Close-up photo of a "virtual image" handprint pattern  |  | 
> 
>   

> 
> ##### 1.2 Independent Re-invention
> 
> Although the greater optics community may not be familiar with the above phenomenon, it is actually somewhat well known. Plummer and Gardner [[2]][8]] analyzed a similar effect in 1992 after noticing 3D images during inspection of metal mirrors subjected to an automated lapping process. Artist Gabriel Liebermann harnessed the effect even earlier in 1981 to produce 3D images in abraded metal, such as his work entitled World Brain described by Garfield [[1]][8]. Apparently Liebermann kept his technique proprietary, although Garfield mentions that it was based on an NC milling machine. And as Abramson [[3]][8] points out, the inventor Hans Weil created a version in the mid 1930s that encoded stereo pairs of 2D photographic images in the form of angled parallel abrasions with two different angles, a sort of "multiplex stereogram" version of the above technique. The present paper is based on work from 1994.   

> 
> * * *
> 
> #### ** 2\. CURVED LINE-SCATTERERS PRODUCE IMAGES **
> 
> Plummer and Gardner [2] show that the scratches producing the above images act as curved line-scatterers. (Their paper delves into the geometry far more rigorously than below, so please refer to ref [2] for a full treatment.) For simplicity the dipole pattern of light reflected from a line-scatterer of thickness << wavelength is ignored. Also assume that these scratches lack a blaze angle and reflect the incoming light equally in all radial directions, where each incoming ray is scattered as a hollow cone of rays. In following diagrams I symbolize the scatterer as a bent rod, although in reality it may have internal structure.  

> 
> A curved line-scatterer formed from a segment of a circle can act as a convex or concave spherical mirror, producing either an astigmatic real or virtual image of the distant point source. In figure 3, we have a curved line-scatterer in the XY plane of radius r and center of curvature C. Light from a distant point source PS shines downwards and reflects from the scatterer. Each ray from PS scatters into a hollow cone of rays where the angle of the cone depends on the position of the cone's vertex along the length of the curved scatterer. The cones' angles depend on the angle **a**. The axis of the cone is tangent to the curved scatterer.   

> 
> 
| ----- |
|   |  ![a ray striking the curved scratch from above is scattered into a cone of rays with the cone axis perpendicular to the scratch][9] |  
|  |  **Figure 3 ** Light from a distant point source scatters off a curved line-scatterer, where each ray from the point source produces conical sets of scattered rays.   |  | 
> 
>   

> 
> In fig. 3, other parallel rays from PS striking the scatterer at different locations produce other cones. The rays from all these cones taken together, if extended through the cone vertices to locate virtual image points, intersect to form two separate astigmatic virtual image loci. One virtual image locus is positioned at the vertices of the cones: it is distributed along the core of the line-scatterer itself. A second virtual image is shown in fig. 4.   

> 
> 
| ----- |
|   |  ![Diagram: the rays from each cone of light scattered from the scratch can be cast backwards to locate an ellipse-shaped virtual image floating in space and perpendicular to the plane of the curved scratch][10] |  
|  |  **Figure 4 ** The intersection of lines extended from sets of cones of rays produces an astigmatic virtual image of the light source: an ellipse-shaped locus of points in the YZ plane   |  | 
> 
>   

> 
> When the scatterer in fig. 4 is lit from above, and for small values of angle **a**, the intersection of the rays cast backwards from the cones forms a virtual image in space. Rays a1, a2, etc. from each cone are projected backwards as a1', a2', etc. They intersect with corresponding rays from other cones, and the intersection takes the form of a U-shaped locus in the YZ plane. The rays form a tilted cone intersecting a plane, so the locus is a conic section, and for finite illuminator distances the locus should be an ellipse. The major axis of this ellipse-shaped virtual image is aligned with the rays from the distant source PS, with the nearer focus coincident with the center of the line-scatterer, while the distant focus coincides with the location of the illuminator.   

> 
> 
| ----- |
|   |  ![Diagram: a curved scratch is illuminated from above.  Rays from the scattering cones which strike the eyes can be extended backwards to a virtual image point.  Image depth is the same as the scratch radius][11] |  
|  |  **Figure 5 ** Light from a distant source creates a virtual image point P when observed by eyes positioned at O1 and O2   |  | 
> 
>   

> 
> Human stereopsis lets observers perceive either of the two virtual images. In figure 5 an observer's eyes are positioned at O1 and O2, and they observe the ellipse virtual image described in figure 4. However, the observer is able to see only a tiny segment of this ellipse by looking _through_ the curved scatterer, as if the scatterer behaves as a slit-aperture. This slit masks the vertical extent of the ellipse virtual image locus, so the observer's eyes at O1 and O2 perceive only a single bright point P positioned somewhere behind the curved scatterer. A second point lying on the ellipse-image in the positive half of the Z plane is not seen. This second point can be observed only if the eyes are moved to the opposite side of the XY plane. Or in other words, the line-scatterer produces both a reflection-mode image sent to one side of the XY plane, and a transmission-mode image sent to the other. This resembles conventional hologram optics.   

> 
> The source of illumination in fig. 5 is required to have very limited extension, otherwise the observed image point becomes a horizontal line segment and the image suffers an astigmatic blur effect. This blur is similar to that observed in Rainbow holograms [[4]][8]. The blur is reduced when radius r is made shorter (less blur when the virtual image P is very close to the film plane.) Thus we see another similarity to conventional holography.   

> 
> Note that the curved scratch scatters light in the vertical Y dimension as well, so if human eyes are positioned at points O3 and O4 in figure 5, stereopsis would force them to perceive the light as coming _not_ from point P, but instead from the vertices of the cones of rays located within the curved scatterer itself. For this reason the image produced by the curved scatterer can have horizontal parallax only. If viewed with eyes turned 90 degrees, the image lacks depth: it appears at the location of the scratches on the surface of the plate. Obviously this is a major similarity to Rainbow holography.  

> 
> What is the depth (focal length f) of point P in figure 5? Knowing that P lies on the ellipse-shaped locus in figure 4, the value for f must vary with the position of the observer and with the angle of the rays from the distant point source. In figure 5 we have an observer positioned broadside to the curved scatterer, with eyes at O1 and O2. Inspecting the diagram from a position above it, we find that certain rays from each cone described in fig 4 can be extended through the cone vertex to converge on the virtual image point P in figure 5. Angle **b** is equal to angle **a** since the lines forming them are both part of the same cone of rays. Since the side of the triangle opposite to angle **b** is also shared by the side of a second triangle opposite to angle **a**, we have identical triangles, therefore focal length f simply equals radius of curvature r of the scatterer. This is only true for vertically-illuminated "broadside" views of the scatterer under vertical illumination and for small angles **a** (i.e. for observer distance >> interocular spacing.) . For example, if the light from the scratch was viewed from above (i.e. looking down from the location of point source PS), the curved scatterer would act instead like a spherical mirror, and the focal length measured from the scatterer to the virtual image point would then lie between the scatterer and point C. Focal length f would then have the usual value of 0.5r. On the other hand, if the observer's eyes O1, O2 are moved downward in the negative Y direction, the image point P migrates upwards along the ellipse, and the image depth increases (it eventually becomes nearly the same as the distance to point source PS.) But for viewing angles close to those shown in figure 5, the virtual depth remains close to the value for r.   

> 
> Virtual depth of a point approximates the scratch radius r. This is a useful result. Suppose we were to employ a double-pointed compass (a dividers) to scribe a curved scratch onto a plastic plate. Make the scratch resemble a circular arc as shown in figure 5. We could hang this plate on a wall, illuminate it with a distant point source placed vertically above the plate, then observe the plate with two eyes oriented horizontally. Wed see a glowing spark of light shining from within the curved scratch. The virtual depth of the glowing spot would be the same as the radius of the scratch. Now suppose we lay down several hundred similar scratches, each with a different XY position, plus a Z position as set by the spacing of the dividers. Could we not draw arbitrary objects or scenes in 3D as sets of glowing points? This actually works very well.   

 |   | 

| ----- |
| 

> 
|   |  ![Photo: black plate in the sun, a black cube with glowing white 
edges floats within its surface][12]  |  
|  |  **Figure 6 ** A hand-scribed 3D image of a cube.   
[STEREO PAIR, CROSSEYED VIEWING]   |  | 
> 
>   

> 
> * * *
> 
> #### ** 3\. PRODUCING 3D FIGURES USING ABRASION OPTICS**
> 
> Here in figure 6 is a simple cube-image. It was scribed into a piece of black acrylic one point at a time. The plastic is colored black only for contrast. Reflection-mode illumination with a dark plastic background gives images that are very easy to view. The abrasion pattern is composed of several hundred curved scratches that reconstruct several hundred glowing points. Each scratch has a different radius and each glowing point has a different depth. It took about 30 minutes of work to create. Commonly available acrylic plastic was used here, but softer polycarbonate or styrene seems to work better. The scriber point cannot be excessively sharp, since ideally it should create a round-bottomed scratch having a mirrorlike inner surface.   

> 
> When lit by an extended source, the overall result looks like the plastic was abraded by sandpaper. A point source illuminator is required. In this photo the sun is used as the light source, but a 200-watt spotlight in a ceiling fixture will also work. The entire collection of hologram-generation equipment is visible in the photograph: a simple drafting compass with the graphite pencil point replaced with a small iron nail.   

> 
> 
| ----- |
|   |  ![Photo: black plates in the sun outdoors, each with glowing white images floating within them][13]  |  
|  |  **Figure 7 ** Various "abrasion holograms"   |  | 
> 
>   

> 
> Figure 7 shows examples of various effects that can be achieved. At the top of the photo is a hologram of a deep plane of random stars with an opaque square floating in the foreground. At the bottom is a tetrahedron with one vertex penetrating the film plane and extending out into the air as a real image (the scratch radii decrease to zero, then increase again but with the scratches drawn upside down in order to produce a glowing real-image line.) To the left is a cylindrical distribution of random stars plotted by hand using trig tables. The cylinder also has a 3D curvy line extending above which was sketched entirely freehand with little effort. To the right is a 3D random starfield with a tiny galaxy in the center, complete with axial plasma streams. In the center is a square grid tilted in space (this grid was my first attempt at generating a fully 3D image rather than only creating flat image planes with constant depth.)   

> 
> ** 3.1 Speeding the production of arbitrary straight-line images **  
When generating virtual images composed entirely of straight lines (such as the edges of the above cube), a simple method exists which greatly speeds the process. First calculate the position and radii of the scratches that produce the endpoints of the glowing line. Scribe these scratches on the plastic. Next place the fulcrum point of your compass exactly midway along a line drawn through the two fulcrum points previously used to create the endpoint-scratches. Then set your compass radius so it generates a scratch that is positioned exactly midway between the two scratches forming the endpoints. Now scribe this "midpoint" scratch. Next, repeat the process of finding midpoints between the three existing scratches. You simply lay down the image points which divide the line into 1/2, 1/4, 1/8, 1/16, etc. The scratches resemble the markings on an English ruler, where new scratches are repeatedly placed between existing scratches. When the scratches are dense enough (say 1mm or 0.5mm apart) you're done. Observe the hologram under bright point source illumination and you'll see a glowing line connecting the two endpoints you initially calculated. Many additional hints and tricks can be found on my website [[8]][2].   

> 
> ** 3.2 Pseudoscopic images **  
In figures 3 through 5 the illumination comes from a source positioned vertically above the line-scatterer. If we instead illuminate the same scatterer from below, the scattered rays focus together rather than converging, and we obtain real images in front of the "film plane" rather than virtual images located behind it. If the "cube hologram" in figure 6 is illuminated from below, the cube is brightly visible and still maintains its general shape, but it turns inside-out and moves into the air in front of the plastic plate. It resembles the upper corner of a room rather than the projecting corner of a solid cube. In other words, using a conjugate illumination beam will change virtual images into real images, producing an effect that greatly resembles the pseudoscopic images of conventional holography. This probably explains why some of the images seen in car hoods appear to float in space above the abraded surface.   

> 
>   

> 
> 
| ----- |
|   |  ![Diagram: a curved scratch with a much shorter arc.  The angular extent of the arc is the same as the horizontal angular extent of the rays visible to the eyes.  Short scratches only 'light up' over a very narrow range of viewing angle][14]  |  
|  |  **Figure 8 ** The angle 'gamma' of a short circular-arc scatterer sets the horizontal limits on the viewing angle   |  | 
> 
>   

> 
> ** 3.3 Controlling the horizontal limits of allowed viewing angles  **  
Since the virtual image depth is the same as the radius of the scratch, then the angle of the circular arc is the same as the limits to the viewing angle. See figure 8 and note the angles ? and ?'. Suppose we want to produce an animation effect where a particular image "turns on" and only becomes visible at certain viewing angles. To achieve this, simply chose the appropriate angle ??when creating your curved scratches. Images which are composed of short line-segment scratches of different angles will "flash on" at different times as observers walk past. This effect produces animation, but if it was used to encode a film of a rotating object as "scratch holograms", it could also be used to change a piece of cinema film into a "scratch multiplex hologram."   

> 
> ** 3.3.1 Reconstructing images of opaque objects  **  
The hologram technique described in section 3 is based on the creation of 3D objects as collections of glowing spots. How can we reconstruct an image of an opaque object which occludes deeper objects? Rainbow holograms do this, so Scratch holograms should have that ability too. Rainbow holograms produce opacity naturally because a shallower object blocks the light from a deeper object, and the hologram of that portion of the deeper object is never formed at the film plane. Therefore the key to this effect is in section 3.3 above. When a shallow image of an opaque object occludes a deeper object, we want the deeper image to "turn off." To achieve this, we simply need to limit the angular extent of the scratches which constitute the hologram of the deeper object. If a deep image is created by a set of sandpaper marks on plastic, a shallower opaque image needs to "erase" portions of those sandpaper marks. Note that opacity issues are only relevant for scratches located in the same horizontal band. The scratches are "holograms" of single points and they act like horizontal stripes. A scratch on the left side might reconstruct part of an opaque object which occludes a scratch on the right side. But a scratch located near the middle can never create opacity for scratches located higher or lower.   

> 
> For two adjacent scratches at the same vertical location (both scratches part of the same horizontal band), if their radii are unequal, then if a single point on each scratch gives the same viewing angle and also has the same horizontal location, then that point on the scratch of larger radius is the place where the occluded scratch should start (or should end). Find the point that satisfies these conditions, and that is the proper location for the end of the scratch. This recipe for producing opacity by "early termination" of scratches is actually much easier than it sounds. Some hands-on work with "scratch holography" will rapidly reveal how the process works.   

> 
> ** 3.4 Image Distortions **  
As Abramson discovers [[3][8]], illumination which is significantly off-vertical will cause the reconstructed image to become severely distorted. I suspect that Rainbow holograms would display just such distortions if they could produce visible images when the illumination angle is changed enormously. To solve this problem just do as the genuine rainbow holograms do automatically: pre-distort the scratch positions, so the resulting hologram is "programmed" to produce an accurate image only for a particular angle of illumination. In addition, distortion arises because the scratches ideally should take the form of extremely narrow horizontal bands, yet instead they curve downwards at the ends, and this produces unwanted vertical shifts at large horizontal viewing angles. Again take a hint from rainbow holography: rather than drawing continuous arc-scratches, instead break the scratches up into short line segments, then move them vertically until they resemble a cross section taken through a Fresnel lens. (Each scratch begins to resemble a horizontal array of pixels.) A third form of distortion arises because the scratches don't superpose linearly as light waves do, instead the overlapping scratches obliterate each other. We could eliminate this problem as before: by breaking each curved scratch up into "pixels", into numerous short line segments distributed in a straight horizontal band... but always moving the short scratches as necessary whenever two threaten to collide. (We might now have visions of mechanical non-diffractive "hologram printers" where the print head embosses a great number of narrow short lines with specular surfaces into plastic or metal. Or have visions of MEMS-based scratch-hologram plates covered with tiny reflective fibers which can be deflected to various angles by electrodes adjacent to each fiber.)   

> 
> * * *
> 
> ####  **4\. CONNECTIONS WITH RAINBOW HOLOGRAMS**
> 
>   

> 
> A question arises regarding the reason for numerous similarities between abrasion patterns and Rainbow Holograms. The answer is fairly simple. Any diffraction grating made up of line-like fringes also behaves as a parallel array of line-scatterers. Each scatterer in the array produces astigmatic reflection, and it scatters a cone of rays. The cones from all the scatterers overlap, and because of wave interference, most of the scattered rays cancel. For reflection gratings, a zero-order ray still reflects from the flat surface with equal angles, and the higher order rays appear at angles where the many superposed cones of scattered light all have relative phase of zero. Yet all the diffracted rays must also lie upon the surface of the "scattering cone," since the diffracted light is really just a superposed set of these "scattering cones."   

> 
> 
| ----- |
|   |  ![Diagram: a ray strikes a line-scatter, and a ray also strikes a diffraction grating.  Both produce scattering cones, but the grating only reflects certain rays along those cones \(the first-order rays\)][15]  |  
|  |  **Figure 9 ** A diffraction grating acts as a line-scatterer. It produces a scattering cone, but interference extinguishes all but certain rays   |  | 
> 
>   

> 
> Figure 9 shows the similarity between a line scatterer and a reflection grating. A ray from a pointsource PS is reflected from these two optical devices. In the grating diagram, the first order rays r1 and r1' lie on a conical surface. Suppose the diffraction grating in Figure 9 was illuminated by broadband white light. Each wavelength would produce zero-order rays at a different angle, and the large number of rays would tend to fill in the entire scattering cone. When a Rainbow hologram is illuminated with white light, just such an effect occurs. When a white-illuminated Rainbow hologram reconstructs an image, the hologram fringe structure produces a set of these scattering cones, just as if the hologram was actually composed of independent line-scatterers. In other words, Rainbow holograms do not employ optical interference in order to reconstruct an image. Instead they rely upon the optics of line-scatterer arrays. Obviously some interference effects are present in a Rainbow hologram, but they only impact the viewing angle, as well as producing the familiar rainbow-colored artifact. The structure of the image is produced only by the angle of the fringes, not by interference which critically relies on fringe spacing.   

> 
> 
| ----- |
|   |  ![Diagram: light from a laser-illuminated object is sent through a horizontal slit and a lens, combines with the reference beam, and produces a narrow horizontal band of interference patterns on the film][16] 
|  |  **Figure 10 ** Rainbow hologram recording by the one-step method   |  | 
> 
>   

> 
> In figure 10 we have a typical Rainbow hologram recording setup [[5][8]]. A parallel reference beam REF illuminates the hologram plane H from below. Light from the same laser illuminates object O. Object O sends an object beam through a narrow horizontal slit in aperture plate AP, and this object beam is focused at the location of real image I. The object beam then continues on to the hologram plane H, where it illuminates a long narrow horizontal region. Optical interference produces a fringe pattern in this region. This fringe pattern is identical to that of a zoneplate lens, but it's a zoneplate lens which is masked down into the shape determined by aperture plate AP. The "horizontal band" shape of the interference pattern recorded on hologram H is critical to the operation of Rainbow holograms.   

> 
> Essentially Figure 10 depicts the recording of a single-point rainbow hologram. As Siemens-Wapniarski and Givens [[6][8]] point out, such a process can be repeated sequentially, object-point by object-point, in order to "stamp" numerous zoneplate patterns onto hologram H. The result is nearly identical to conventional holography; only an undesirable phenomenon involving object-beam self-interference will be lacking. Alternatively the entire object O can be illuminated simultaneously to produce the usual rainbow hologram.   

> 
> 
| ----- |
|   |  ![Diagram: three interference patterns: the nested parabolic fringes of a one-point rainbow hologram, the same with widely-spaced fringes, and a single curved scratch][17] |  
|  |  **Figure 11 ** Single-point rainbow hologram fringe patterns   |  | 
> 
>   

> 
> In figure 10 an interference pattern is recorded, and an enlarged view of this pattern is shown in figure 11a. (To produce an erect image, the hologram pattern from figure 10 has been rotated 180deg.) This pattern has an obvious similarity to the curved scratches of "abrasion holograms." Because Rainbow holograms reconstruct images via line-scatterer optics, the optical interference produced between neighboring fringes can be neglected. If we delete some fringes to increase the fringe-spacing in figure 11a to resemble figure 11b, the hologram will still reconstruct the same image point. If some distortion is tolerable, the fringe pattern can even be changed to resemble figure 11c. This concept explains why "abrasion holograms" have so many of the features of Rainbow holograms.   

> 
> Rather than seeing these abrasion holograms as being crude stepchildren of rainbow holography, we could reverse our perspective... Rainbow holography is a unique method for harnessing coherent optics to conveniently produce all the line-scatterers required by any arbitrary "abrasion hologram."   

> 
> If a Rainbow hologram is wavelength-independent, then it follows that the spacing of the fringes in its zone plate are size-independent. If we could blow up a rainbow hologram to an enormous size, so its fringe spacing was on the order of millimeters (or centimeters. or even meters!) the hologram would continue to function. We could even replace the hologram with an array of hand-drawn scratches forming the conic-section shape of the fringes on the hologram. As long as the angles of those scratches on the film plane were the same as the angles of the fringes in the original hologram, the rainbow hologram would still be a rainbow hologram. It would still reconstruct the same image. The rainbow-colored artifact would vanish, and the allowed vertical viewing angle would increase, but the shape of the virtual image would remain the same.   

> 
> Doesn't this mean that we can readily produce Rainbow holograms the size of roadside billboards using crude mechanical methods? I don't know. I haven't tried it. (I don't see why it wouldn't work!) Also note that the line scatterers only require a surface that produces specular reflection in the dimension along the scratch; they don't have the far stricter surface (or emulsion) requirements needed to produce optical interference fringes. They can be scribed onto crude surfaces, and in theory they can be made extremely large. Or we could even abandon scratches entirely, and create Rainbow Holograms where the individual "fringes" take the form of curved, polished metal wires or rods.   

> 
>   

> 
> 
| ----- |
|   |  ![Diagram: scratch-hologram camera: light from a spot on the object is sent through a curved slit and a lens, and it creates a curved line on the film with the radius equal to the depth of the point][18]  |  
|  |  **Figure 12 ** An optical system for recording "giant fringe" holograms   |  | 
> 
>   

> 
> * * *
> 
> #### ** 5\. A POSSIBLE "SINGLE FRINGE" HOLOGRAPHIC CAMERA**
> 
>   

> 
> Taking yet another cue from Rainbow holography, we can alter a one-step hologram setup [[5][8]] and create something which incoherently records white-light holograms without employing coherent optics. In figure 12 the object O is illuminated by a source of structured light SL. SL might be a conventional slide projector with a multi-aperture plate. SL must project tiny spots of illumination onto object O, therefore the depth of field and diffraction limits of the SL device are important. Light from one of these spots on object O is focused by lens L to proudce real image I positioned in front of the hologram recording emulsion H. Aperture plate AP contains a narrow, curved slit with radius 2f; with radius of twice the lens L focal length. As a result, a narrow curved line of light is projected onto the hologram emulsion. The radius of the curve is proportional to the distance between image I and hologram H. Each bright point projected by SL onto object O produces a separate "curved scratch" pattern on H. Note that the illumination might be incoherent white light, and there is no reference beam involved. The resulting "abrasion hologram" pattern could be etched into a metal plate in order to convert the recorded lines into surface scratches (we might paint the etched scratches with gloss black paint, so the paint's meniscus smoothes the square-bottom etched cavities.) Rather than using a single curved slit in plate AP, a series of vertically nested slits could be used. Or instead the slit could be replaced by an aperture pattern resembling the "fresnel-lens-like" scratch-segment pattern mentioned in section 3.4 and depicted in figure 11b. The slit or slits are intended to project a curved-line pattern onto H, so they must not be so narrow that they produce significant interference effects. The aperture plate behaves as a "single-point hologram", and the optical system "rubber stamps" numerous copies of this pattern onto the film plane. The radius of curvature of the recorded patterns is different for different depths of real image point. This last aperture-plate idea is partly inspired by Siemens-Wapniarski and Givens' paper[[6][8]], where they justify the practice of producing synthetic holograms by recording single-point holograms on an emulsion; recording one zoneplate at a time. Note that all of the above description of a camera-device is only theory-informed speculation, and this technique hasn't yet been explored empirically.  

> 
> * * *
> 
> **
> 
> #### ** 6\. CONCLUSION** **
> 
>   

> 
> At present the main use for "abrasion holograms" is educational. Students can easily produce them at almost no cost. Contrast this with the complexity and expense of even the simplest holographic recording method. In addition, the macroscopic size of the "fringes" in these holograms gives students direct clues as to how Rainbow holograms function. The concepts are no longer buried in the mathematics of 3D wave interference. Also, scratch-holograms communicate some new insights as to the nature of holography, they supply an "alternate mental model" which in some situations might be useful in research. Finally, they provide an interesting hobby where one can sit outdoors on a sunny day with a stack of plastic plates and a set of dividers, while doing simple physics and exploring a strange little niche in optical science.  

> 
> ** REFERENCES**   

> 
> 1. E. Garfield, "ISI's 'World Brain' by Gabriel Liebermann: The World's First Holographic Engraving," Essays of an Information Scientist, **5**, pp348-354, 1981. 
> 2. L. Plummer and W. Gardner, "A mechanically generated hologram?" Applied Optics, **31**, 6585-6588, 1992. 
> 3. N. Abramson, "Incoherent Holography", Proc. SPIE, T. Jeong; W. Sobotka eds., vol 4149, 153-164, 2000. 
> 4. J. Wyant, "Image blur for rainbow holograms", Opt. Let., **1**, 130-132, 1977. 
> 5. F. Yu, A. Tal, H. Chen, "One-step rainbow holography: recent development and application", **19**, Opt. Eng. , 666-678, 1980. 
> 6. W. Siemens-Wapniarski and M. Givens, "The Experimental Production of Synthetic Holograms," Appl. Opt. **7**, 535-538, 1968. 
> 7. J. Walker, "What do phonograph records have in common with windshield wipers?", Scientific American, **261** #1 106-109, 1989. 
> 8. W. Beaty, "Hand-drawn Holograms", internet article [/amateur/holo1.html][2], 1995.   |   | 
>     
>     
>     
>     
>     
>     
>     
>     
> 
> [ http://amasci.com/amateur/hand1.html][19]  
Created and maintained by [Bill Beaty][20]. Mail me at: [ ![][21]][22].   

> 
> [ ![shopify stats][23]][24]
> 
> [View My Stats][25] **

[1]: http://amasci.com/
[2]: http://amasci.com/amateur/holo1.html
[3]: http://amasci.com/unew.html
[4]: http://amasci.com/news.html
[5]: http://amasci.com/search.html
[6]: http://amasci.com/graphics/holo/hood1a.jpg
[7]: http://amasci.com/grapics/holo/hoodzm1b.jpg
[8]: http://amasci.com#1
[9]: http://amasci.com/graphics/holo/curvscr3.gif
[10]: http://amasci.com/graphics/holo/curvscr4.gif
[11]: http://amasci.com/graphics/holo/curvscr2.gif
[12]: http://amasci.com/graphics/holo/stereo2d.jpg
[13]: http://amasci.com/grapics/holo/holos1a.jpg
[14]: http://amasci.com/graphics/holo/curvscr8.gif
[15]: http://amasci.com/graphics/holo/curvscr5.gif
[16]: http://amasci.com/graphics/holo/onestp.gif
[17]: http://amasci.com/graphics/holo/onestp2.gif
[18]: http://amasci.com/graphics/holo/curvscr7.gif
[19]: http://amasci.com/amateur/hand1.html
[20]: http://amasci.com/billb.html
[21]: http://amasci.com/graphics/abc.gif
[22]: http://amasci.com/amfrm/
[23]: http://c.statcounter.com/10408414/0/00267183/0/
[24]: http://statcounter.com/shopify/ "shopify stats"
[25]: http://statcounter.com/p10408414/?guest=1

