---
created_at: '2016-10-22T03:43:38.000Z'
title: Programmable Water (2003)
url: http://www.blikstein.com/paulo/projects/project_water.html
author: Phithagoras
points: 42
story_text: 
comment_text: 
num_comments: 15
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1477107818
_tags:
- story
- author_Phithagoras
- story_12767038
objectID: '12767038'

---
[Source](http://www.blikstein.com/paulo/projects/project_water.html "Permalink to Projects and Research: Education - Programmable Water")

# Projects and Research: Education - Programmable Water


| ----- |
|  [ ![][1]][2] |   |  [ ![][3]][4] |  [ ![][5]][6] |  [ ![][7]][8] |   |  
|  ![][9] |   | | | | | 

|   |   | ![][10] | [ ![][11]][12] | [ ![][13]][14] |   |  
|  

|  ![][15] |   | | | | 
|  ![][16] |  ![][17]  

  
**_education**  
[ _media][18] | 

 |    
  
<[ back to all projects][19]  
  
Programmable Water   
_Computation is not just about electronics._  
  
[Photos by [Arnan Sipitakiat][20]] 

This was my final project for the "How to make (almost) anything" class at the [MIT Media Lab][21], when I was a first-year MSc. student. As my field of research is technologies for learning, I am interested in ways to make the opaque transparent, to make people understand what is "under-the-hood". Computers are everywhere, but we hardly know how they work. So this was the motivation for this project (if you are interested in this topic, I also wrote and directed a documentary on how microchips and computers work - have a look [here][18] and email me if you want a copy). If you are interested in education and new technologies, please check out these [cool videos][22], other projects on my [website][23], the [Gogo Board][24] website, or the [NetLogo][25] website. 

The idea of the project was to build a device that could do computation without electrons (well, not considering the electrons in water itself). Water was a interesting choice, in fact, _Fluidics _is a very important field of study that is widely used in aerospace or mission-critical applications, where electronic control devices don't offer the needed reliability or cannot support the environment. Also, Fluidics has been use in military equipment in order to prevent malfunction in a nuclear war, when electric devices cease to work.

However, the idea was not to send people to space or to control missiles, but rather make a device that could help people build computation with their own hands, demystifing the computer. To do computation, a great thing to have are obviously boolean operations: but how to implement them with water?

After many hours of research on binary logic, a lot of sketching and unsuccessful attempts, I decided to try this to use the laser cutter and build something with multiple layers. A simple logic gate looks simple on paper, but water is a messy media to work with... The final assembled adder looked like this:   
![][26]  
  
This a zoom-in of one of the modules:  
  
![][27]  
  
It works based on one very simple principle: there are two inputs of water on the top.   
  

| ----- |
|  When just one of them is "on"... |  When both are "on", the two jets collide, going vertically down to the "U" piece, that collects the water. |  
|  ![][28] |  ![][29] |   | 
|  In other words, it's a XOR gate.  
 |  In other words, an AND gate.  
 | 

  
So, we have two Boolean operations in just one device: AND and XOR. So, that's a half-adder!  
  
![][30]  
  
But it was a long way to get there. My first trial looked like this:  
  
![][31]  
  
There was leakage all over, so I tried a new design:  
  
![][32]  
  
It worked better, but its size could not cope with the flow of water. However, the principle worked very well.  
  
![][33]![][34]![][35]  
  
This was the third trial, and it worked fine.   
  

Then I fabricated many of them, using the laser cutter and acrylic of various colors. I glued a Lego piece under the device, so that it would be easier to assemble small "computers". This is how the 4-bit adder looked like, after many (I mean, many!) hours of wet work. If you think programming a computer is hard, just imagine what it would be if your bits were leaking all over the place.   
  
![][36]  
  
![][37]  
  
![][38]![][34]![][39]  
[Just a quick note: I'm well aware that there has been tons of research on Fluidics. But this was just a class project, and it was never published, so that's why you will see no references. This is an [old version][40] of this page]   
<[ back to all projects  
][19]  

 |  ![][34] |  
|  ![][34] |  
|    
[home][2] | [projects][19] | [courses][6] | [contact][8] | [webmaster][41]  
  
Copyright © 2003  
Designed by [Tatiana Chapira][42]  
  
 |  
|  ![][34] |  ![][34] |  ![][34] |  ![][34] |  ![][34] |  ![][34] | 

[1]: http://www.blikstein.com/images/paulo_int.gif
[2]: http://www.blikstein.com/index.html
[3]: http://www.blikstein.com/images/resume_int.gif
[4]: http://www.blikstein.com/resume.html
[5]: http://www.blikstein.com/images/education_int.gif
[6]: http://www.blikstein.com/education.html
[7]: http://www.blikstein.com/images/contact_int.gif
[8]: http://www.blikstein.com/contact.html
[9]: http://www.blikstein.com/images/linhahorizontal.gif
[10]: http://www.blikstein.com/images/project_inton.gif
[11]: http://www.blikstein.com/images/publication_int.gif
[12]: http://www.blikstein.com/publication.html
[13]: http://www.blikstein.com/images/photo_int.gif
[14]: http://www.blikstein.com/photo.html
[15]: http://www.blikstein.com/images/project_int.jpg
[16]: http://www.blikstein.com/images/linhavertical.gif
[17]: http://www.blikstein.com/images/project_tit.gif
[18]: http://www.blikstein.com/media.html
[19]: http://www.blikstein.com/project.html
[20]: http://www.media.mit.edu/~arnans
[21]: http://www.media.mit.edu
[22]: http://www.blikstein.com/cidade/cidade_videos.html
[23]: http://www.blikstein.com/paulo
[24]: http://www.gogoboard.org
[25]: http://ccl.northwestern.edu/netlogo
[26]: http://www.blikstein.com/images/mlfabpauloandadder1.jpg
[27]: http://www.blikstein.com/images/mlfabbricktop.jpg
[28]: http://www.blikstein.com/images/mlfab4bitaddertopXOR.jpg
[29]: http://www.blikstein.com/images/mlfabbricktopAND.jpg
[30]: http://www.blikstein.com/images/mlfab4bitadderxorand.jpg
[31]: http://www.blikstein.com/images/mlfabfirstbrick.jpg
[32]: http://www.blikstein.com/images/mlfabsquarebrick.jpg
[33]: http://www.blikstein.com/images/mlfabtransparentbrick1.jpg
[34]: http://www.blikstein.com/images/spacer.gif
[35]: http://www.blikstein.com/images/mlfabtransparentbrick2.jpg
[36]: http://www.blikstein.com/images/mlfab4bitadder2.jpg
[37]: http://www.blikstein.com/images/mlfab4bitaddertop.jpg
[38]: http://www.blikstein.com/images/mlfabpauloandadder2.jpg
[39]: http://www.blikstein.com/images/mlfab4bitadder.jpg
[40]: http://alumni.media.mit.edu/~paulo/courses/howmake/mlfabfinalproject.htm
[41]: mailto:paulo%40blikstein.com
[42]: mailto:%20designer%40tatichapira.com

