---
created_at: '2016-11-27T20:00:37.000Z'
title: Best Practices for Time Travelers (2003)
url: http://idlewords.com/2003/09/best_practices_for_time_travelers.htm
author: swatkat
points: 189
story_text: 
comment_text: 
num_comments: 76
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1480276837
_tags:
- story
- author_swatkat
- story_13051116
objectID: '13051116'

---
[Source](http://idlewords.com/2003/09/best_practices_for_time_travelers.htm "Permalink to Best Practices for Time Travelers (Idle Words)")

# Best Practices for Time Travelers (Idle Words)

![][1]   

| ----- |
|  [ « Show Me Your Tears][2] | "[French Rockets In Iraq" Story Discredited »][3] | 

**09.29.[2003][4]**

[Best Practices for Time Travelers][5]

When John Titor [first showed up][6] on IRC chat in October of 2000, he was enjoying a neat kind of double billing - as his 38-year-old self sat downstairs in the kitchen, typing away, a two-year-old version of himself lay sound asleep upstairs in bed. The elder Titor had been sent back in time by the U.S. Army, which needed him to fetch some legacy computer hardware from the 1970's, and he had a sort of layover in the year 2000. So like anyone with time to kill, he went online. 

Titor arrived in Florida in a 2036 model Corvette (later sold off) outfitted with a 500 pound military-grade time travel device that he [photographed][7] and posted online, complete with manual. The reason for his visit was utilitarian - he had been sent back to the 1970's to fetch a model IBM 5100 computer, "because Unix has problems in 2038", and the 5100 had an undocumented feature that made it highly desirable to programmers working on the Unix bug. Apparently the Army of 2036 knew enough to build a time machine, but wasn't able to fix a word-size error in a legacy operating system. 

That bit actually made the whole story sound plausible to me. 

While waiting for his connection to the 1970's, Titor paid a [number][8] of [visits][9] to IRC and message boards, answering questions and giving people an idea of [what][10] the [future][11] held in store. Because he kept his story internally consistent, offered a high level of detail, and didn't much seem to care if anyone believed him, Titor naturally convinced boatloads of people that he was the real deal. 

The world of 2036, as Titor describes it, will be a strange place (and you don't want to drink the water). The capital of the United States is in Omaha. The whole world has been through a nuclear war, part of an agrarian/urban conflict that dates all the way back to 2004 (Titor calls it the Second Civil War). People are living in smaller communities, and have moved back to the land. Today's libertarians are all proven right. In many respects, the pace of technological change has regressed. Except, of course, for the bit about the time machine. 

Titor moved along in his travels in 2001, leaving behind a videotape of his departure that is regrettably lost, as well as a thriving communitiy of true believers who are eagerly waiting for 2004 to see if his prophecy of a string of Waco-like crises pans out. There's presumably a five-year-old John Titor growing up somewhere in Florida, and some deliriously happy car nut tooling around in a used 2036 Corvette. 

Titor's courage in telling his story seems to have opened the floodgates, encouraging [other time travellers][12] to come forward and tell their own stories. This makes sense - after all, if time travel is possible, then the present should be roiling with visitors from the future. Their silence suggests a certain bashfulness and a lack of certainty about how to reveal themselves online. So taking inspiration from John Titor, I would suggest the following set of best practices for the online time traveller. (If you've already made your Internet debut before reading these guidelines, don't fret - simply travel back in time and make the appropriate changes!): 

1. **Act like you don't care whether people believe you**  
  
A real time traveler would be crazy to try and prove his identity - you'll either end up somewhere in a Pentagon sub-sub-basement, or drugged out of your gourd in a mental health facility. Much better to say you've come to a paranormal discussion board because you know there's no risk of people taking you seriously. Play hard to get! 
  

2. **Don't be afraid to make wooly predictions**  
  
So maybe you don't remember your early 21st century history too well. Or maybe you've ended up in a parallel universe that doesn't quite match what you know of your own world's past. You can still make predictions - just don't tie yourself down! For example, Titor predicted that something interesting was about to happen at CERN: "The breakthrough that will allow for [time travel] technology will occur within a year or so [2001] when CERN brings their larger facility online". But when a giddy speculative [article][13] about miniature black holes appeared in 2001, did people nitpick and point out that no breakthrough had actually occurred? Of course not - they were impressed by Titor's spooky prescience. That's the effect you want. 
  

3. **Read up on your physics**  
  
Tensors, closed time-like curves, manifolds, shmanifolds - it's a lot to keep straight. After all, you just push the button, why should you know how the thing works? But if you want to be believed, you'll have to sound convincing about the underlying physics. Here again, Titor is your model. Instead of spouting voodoo about flux capacitors, tachyons, or the fifth dimension, he grounds himself firmly in general relativity with talk about electrically charged microsingularities (mini-black holes). Don't forget that quantum gravity isn't understood until... well, you know when. In the early 21st century, time travel through black holes is still an open question.  
  
But do be careful if you start offering too many specifics. Not only might someone steal your plans and build a time machine decades too soon, but you might even slip up and end up with egg on your face. Just look at John Titor, who completely forgot to read up on Hawking radiation. His two-black-hole time machine was supposed to weigh 500 pounds. But even assuming that each of the black holes weighed 100 kg (220 lbs) - leaving only 60 lbs for the rest of the device - both of those puppies would have had to have been radiating energy at about 3 x 10e29 Watts (the equivalent of over a thousand suns), at a temperature of 1.2 x 10e21 Kelvin (twelve orders of magnitude more than the core of a supernova). And their lifetime would have been just eight trillionths of a second.   
  
Whoops! Not a lot of time to hit the big red button.   
  
So don't go all crazy on the details, or you're bound to misremember something. "Black holes" is plenty, you don't get hung up on weights and measures. 
  

4. **Cover Your Ass**  
  
What do you do when the harmonic convergence of 2004 turns out to be a wash? Or when Clark fails to win the nomination, as you predicted?   
  
Well, the first rule of making non-wooly predictions is not to make predictions if you can help it. "I can't tell you, because it would change the future" is always a useful old standby. So is "telling you would take away your free will".   
  
If you do have to get all specific, take your lead from Titor and insist on an infinite number of near-identical, parallel universes, so you can never travel quite to the same universe you came from. In Titor's case, our 'worldline' is within 2% of his own worldline, so things like sports scores or stock prices might not match up, even if major historical events do. Nicely done!  
  
Whether or not the many-worlds theory corresponds to what you know of physical reality, it will make a good cover for accidentally leaving those 2003 stock quotes at the library. 
  

5. **Apocalypse, baby!**  
  
No one wants to hear about the Social Security Reform Act of 2027, or Byelorussia's triumphal entry into the European Union. We want nukes! We want plague! We want [civil war][14]! If the real future is boring, we'll find out about it soon enough without you. 
  

6. **Dazzle 'em with details**  
  
Every moment people devote to arguing an obscure part of your story is a moment they're not thinking "wait a minute, why should I believe that a bozo on the Internet is a time traveller?". Be sure to pepper your story with verifiable details to help establish your credibility. If possible, allude to things in passing, so readers can do their own sleuth work and create an illusion of corroborated evidence.   
  
Here again John Titor leads by example. To take one example, he alludes to a "problem with Unix in 2038", which a little investigation will show is real. All Unix clocks on 32-bit architectures roll over in 2038, when the number of seconds since 1970 (Year One for all Unix clocks) exceeds 231. Some of us estimate that this Y2K38 problem will cause global devastation of the same magnitude as Y2K.  
  
Entire megabytes of Titor discussion thread are devoted to parsing out the plausibility of the Unix motive - is an ancient IBM computer really so hard to emulate in 2036? Is Titor lying about the real reason for his return? People get so caught up in the fine points that they forget to question the original premise. And someone out there is bound to think "This Unix thing checks out - so he MUST be telling the truth!".   
  
Don't skimp on the details! 
  

7. **Know your audience**  
  
Do you really want to face down a discussion board full of paranoid libertarians and tell them that 2025 will see the birth of world government, universal health care for everyone, clean energy and a reduction in Third World debt? Zzzz... Or do you want to tell them to stockpile water, learn to clean their guns, not trust the government, and stay away from cities? 
  

8. **Watch out for paradox**  
  
We all know that the first thing people think of when you say "time travel" is going back in time to kill their grandparents. So be prepared - the theory of multiple universes (or worldlines) will help you there. But do you have a good rebuttal to Hawking's empirical argument? Are you comfortable with violations of causality? Have you been adequately briefed by your commanding officer, pan-Galactic Intelligence, hive mind of Excedrin Theta, or whatever other entity sent you hurtling back into the past? If not, a good place to start is the University of Tasmania's excellent online [lecture series][15] on time travel, which helps you deal with those pesky paradoxes and the annoying skeptics who ask about them. 

If you're not a temporal visitor, but still find yourself inspired by these best practices, why not pick up a copy of [Time Travel: A How-To Insider's Guide][16] to help you with all the technical bits? Or better yet, avoid all the hassle by ordering a ready-made [Hyper Dimensional Resonator][17]? 

> THIS IS A TWO DIAL, ONE BANK TREATMENT INSTRUMENT, WHICH PLUGS INTO A NORMAL 110V OUTLET. THIS DEVICE GENERATES AN AC/DC, 60-CYCLE, ALTERNATING FREQUENCY WHICH GENERATES AN UNLIMITED AMOUNT OF PURE TECYON ENERGY. THIS DEVICE COMES EQUIPPED WITH A WITNESS WELL, PHENOLIC RUBBING PLATE, MULTI- DIMENSIONAL STABILIZER, CLEAR SWITCH, POWER SWITCH, TIME COILS, AND ONE ELECTROMAGNET. 

Aailable in navy, chrome, or midnight blue; a steal at $360. European readers may need an adapter. 

You too can become a time traveller! 

Incidentally, that link to the book above is worth following just to read the reader reviews, which include this gem: 

> I wish this book really taught me how to travel through time because if it did, I would go back in time and tell myself not to buy this book. 

So I would go with the Hyper Dimensional Resonator. Bon Voyage! 

| ----- |
|  [ « Show Me Your Tears][2] | "[French Rockets In Iraq" Story Discredited »][3] | 

Idle Words  
  
brevity is for the weak   
  
  
  
  

Frequent Topics

[argentina][18] [art][19] [aviation][20] [bio][21] [blogs][22] [canada][23] [china][24] [food][25] [france][26] [iraq][27] [meta][28] [nyc][29] [poland][30] [politics][31] [rant][32] [space][33] [tech][34] [travel][35] [vermont][36] [web][37] [work][38]

Greatest Hits

[The Alameda-Weehawken Burrito Tunnel][39]  
The story of America's most awesome infrastructure project.  
  
[Argentina on Two Steaks A Day][40]   
Eating the happiest cows in the world  
  
[Scott and Scurvy][41]   
Why did 19th century explorers forget the simple cure for scurvy?  
  
[No Evidence of Disease][42]   
A cancer story with an unfortunate complication.  
  
[Controlled Tango Into Terrain][43]   
Trying to learn how to dance in Argentina  
  
[Dabblers and Blowhards][44]   
Calling out Paul Graham for a silly essay about painting  
  
[Attacked By Thugs][45]  
Warsaw police hijinks  
  
[Dating Without Kundera][46]  
Practical alternatives to the Slavic Dave Matthews  
  
[A Rocket To Nowhere][47]   
A Space Shuttle rant  
  
[Best Practices For Time Travelers][5]  
The story of John Titor, visitor from the future  
  
[100 Years Of Turbulence][48]  
The Wright Brothers and the harmful effects of patent law  
  

Every Damn Thing

| -----|  
| ---- | ----------------------------------------------------------------------------------------------------------------------------------- |  
| 2015 | [May][49] [Jul][50]                                                                                                                 |  
| 2014 | [Jul][51] [Aug][52]                                                                                                                 |  
| 2013 | [Feb][53] [Dec][54]                                                                                                                 |  
| 2012 | [Feb][55] [Sep][56] [Nov][57] [Dec][58]                                                                                             |  
| 2011 | [Aug][59]                                                                                                                           |  
| 2010 | [Mar][60] [May][61] [Jun][62] [Jul][63]                                                                                             |  
| 2009 | [Jan][64] [Feb][65] [Mar][66] [Apr][67] [May][68] [Jun][69] [Jul][70] [Aug][71] [Sep][72]                                           |  
| 2008 | [Jan][73] [Apr][74] [May][75] [Aug][76] [Nov][77]                                                                                   |  
| 2007 | [Jan][78] [Mar][79] [Apr][80] [May][81] [Jul][82] [Dec][83]                                                                         |  
| 2006 | [Feb][84] [Mar][85] [Apr][86] [May][87] [Jun][88] [Jul][89] [Aug][90] [Sep][91] [Oct][92] [Nov][93]                                 |  
| 2005 | [Jan][94] [Feb][95] [Mar][96] [Apr][97] [Jul][98] [Aug][99] [Sep][100] [Oct][101] [Nov][102] [Dec][103]                             |  
| 2004 | [Jan][104] [Feb][105] [Mar][106] [Apr][107] [May][108] [Jun][109] [Jul][110] [Aug][111] [Oct][112] [Nov][113] [Dec][114]            |  
| 2003 | [Jan][115] [Feb][116] [Mar][117] [Apr][118] [May][119] [Jun][120] [Jul][121] [Aug][122] [Sep][123] [Oct][124] [Nov][125] [Dec][126] |  
| 2002 | [May][127] [Jun][128] [Jul][129] [Aug][130] [Sep][131] [Oct][132] [Nov][133] [Dec][134]                                             |  

Your Host

[Maciej Cegłowski][135]  
maciej @ ceglowski.com

  

Threat

Please ask permission before reprinting full-text posts or I will crush you.

This is where a douchier person would write 'colophon' 

[1]: http://idlewords.com/images/ocean_pout.gif
[2]: http://idlewords.com/2003/09/show_me_your_tears.htm
[3]: http://idlewords.com/2003/10/french_rockets_in_iraq_story_discredited.htm
[4]: http://idlewords.com/2003/
[5]: http://idlewords.com/2003/09/best_practices_for_time_travelers.htm
[6]: http://www.anomalies.net/time_traveler/irc.html
[7]: http://www.anomalies.net/time_travel/john.html
[8]: http://www.timetravelinstitute.com/ttiforum/showflat.php?Cat=&Board=time_travel&Number=9086&page=&view=&sb=&o=&fpart=1&vc=1
[9]: http://www.timetravelinstitute.com/ttiforum/showflat.php?Cat=&Board=time_travel&Number=9237&page=&view=&sb=&o=&fpart=1&vc=1
[10]: http://www.johntitor.com/Nov2000P.htm
[11]: http://www.johntitor.com/Dec2000P.htm
[12]: http://www.anomalies.net/cgi-bin/bbs/ultimatebb.cgi?ubb=get_topic;f=9;t=000552
[13]: http://unisci.com/stories/20014/1001012.htm
[14]: http://johntitor.com/JohnsWar.htm
[15]: http://www.utas.edu.au/docs/humsoc/philosophy/Time_Travel/lectures.htm
[16]: http://www.amazon.com/exec/obidos/tg/detail/-/1892062046/102-7438876-1546541?v=glance
[17]: http://home.inreach.com/dov/tthdr.htm
[18]: http://idlewords.com/argentina/
[19]: http://idlewords.com/art/
[20]: http://idlewords.com/aviation/
[21]: http://idlewords.com/bio/
[22]: http://idlewords.com/blogs/
[23]: http://idlewords.com/canada/
[24]: http://idlewords.com/china/
[25]: http://idlewords.com/food/
[26]: http://idlewords.com/france/
[27]: http://idlewords.com/iraq/
[28]: http://idlewords.com/meta/
[29]: http://idlewords.com/nyc/
[30]: http://idlewords.com/poland/
[31]: http://idlewords.com/politics/
[32]: http://idlewords.com/rant/
[33]: http://idlewords.com/space/
[34]: http://idlewords.com/tech/
[35]: http://idlewords.com/travel/
[36]: http://idlewords.com/vermont/
[37]: http://idlewords.com/web/
[38]: http://idlewords.com/work/
[39]: http://idlewords.com/2007/04/the_alameda_weehawken_burrito_tunnel.htm
[40]: http://idlewords.com/2006/04/argentina_on_two_steaks_a_day.htm
[41]: http://idlewords.com/2010/03/scott_and_scurvy.htm
[42]: http://idlewords.com/2012/09/no_evidence_of_disease.htm
[43]: http://idlewords.com/2008/04/controlled_tango_into_terrain.htm
[44]: http://idlewords.com/2005/04/dabblers_and_blowhards.htm
[45]: http://idlewords.com/2004/05/attacked_by_thugs.htm
[46]: http://idlewords.com/2005/11/dating_without_kundera.htm
[47]: http://idlewords.com/2005/08/a_rocket_to_nowhere.htm
[48]: http://idlewords.com/2003/12/100_years_of_turbulence.htm
[49]: http://idlewords.com/2015/5/
[50]: http://idlewords.com/2015/7/
[51]: http://idlewords.com/2014/7/
[52]: http://idlewords.com/2014/8/
[53]: http://idlewords.com/2013/2/
[54]: http://idlewords.com/2013/12/
[55]: http://idlewords.com/2012/2/
[56]: http://idlewords.com/2012/9/
[57]: http://idlewords.com/2012/11/
[58]: http://idlewords.com/2012/12/
[59]: http://idlewords.com/2011/8/
[60]: http://idlewords.com/2010/3/
[61]: http://idlewords.com/2010/5/
[62]: http://idlewords.com/2010/6/
[63]: http://idlewords.com/2010/7/
[64]: http://idlewords.com/2009/1/
[65]: http://idlewords.com/2009/2/
[66]: http://idlewords.com/2009/3/
[67]: http://idlewords.com/2009/4/
[68]: http://idlewords.com/2009/5/
[69]: http://idlewords.com/2009/6/
[70]: http://idlewords.com/2009/7/
[71]: http://idlewords.com/2009/8/
[72]: http://idlewords.com/2009/9/
[73]: http://idlewords.com/2008/1/
[74]: http://idlewords.com/2008/4/
[75]: http://idlewords.com/2008/5/
[76]: http://idlewords.com/2008/8/
[77]: http://idlewords.com/2008/11/
[78]: http://idlewords.com/2007/1/
[79]: http://idlewords.com/2007/3/
[80]: http://idlewords.com/2007/4/
[81]: http://idlewords.com/2007/5/
[82]: http://idlewords.com/2007/7/
[83]: http://idlewords.com/2007/12/
[84]: http://idlewords.com/2006/2/
[85]: http://idlewords.com/2006/3/
[86]: http://idlewords.com/2006/4/
[87]: http://idlewords.com/2006/5/
[88]: http://idlewords.com/2006/6/
[89]: http://idlewords.com/2006/7/
[90]: http://idlewords.com/2006/8/
[91]: http://idlewords.com/2006/9/
[92]: http://idlewords.com/2006/10/
[93]: http://idlewords.com/2006/11/
[94]: http://idlewords.com/2005/1/
[95]: http://idlewords.com/2005/2/
[96]: http://idlewords.com/2005/3/
[97]: http://idlewords.com/2005/4/
[98]: http://idlewords.com/2005/7/
[99]: http://idlewords.com/2005/8/
[100]: http://idlewords.com/2005/9/
[101]: http://idlewords.com/2005/10/
[102]: http://idlewords.com/2005/11/
[103]: http://idlewords.com/2005/12/
[104]: http://idlewords.com/2004/1/
[105]: http://idlewords.com/2004/2/
[106]: http://idlewords.com/2004/3/
[107]: http://idlewords.com/2004/4/
[108]: http://idlewords.com/2004/5/
[109]: http://idlewords.com/2004/6/
[110]: http://idlewords.com/2004/7/
[111]: http://idlewords.com/2004/8/
[112]: http://idlewords.com/2004/10/
[113]: http://idlewords.com/2004/11/
[114]: http://idlewords.com/2004/12/
[115]: http://idlewords.com/2003/1/
[116]: http://idlewords.com/2003/2/
[117]: http://idlewords.com/2003/3/
[118]: http://idlewords.com/2003/4/
[119]: http://idlewords.com/2003/5/
[120]: http://idlewords.com/2003/6/
[121]: http://idlewords.com/2003/7/
[122]: http://idlewords.com/2003/8/
[123]: http://idlewords.com/2003/9/
[124]: http://idlewords.com/2003/10/
[125]: http://idlewords.com/2003/11/
[126]: http://idlewords.com/2003/12/
[127]: http://idlewords.com/2002/5/
[128]: http://idlewords.com/2002/6/
[129]: http://idlewords.com/2002/7/
[130]: http://idlewords.com/2002/8/
[131]: http://idlewords.com/2002/9/
[132]: http://idlewords.com/2002/10/
[133]: http://idlewords.com/2002/11/
[134]: http://idlewords.com/2002/12/
[135]: http://idlewords.com/about.htm

