---
created_at: '2017-03-26T17:50:03.000Z'
title: Why doesn’t the clock in the taskbar display seconds? (2003)
url: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203
author: breadtk
points: 123
story_text: 
comment_text: 
num_comments: 116
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1490550603
_tags:
- story
- author_breadtk
- story_13962004
objectID: '13962004'

---
[Source](https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203 "Permalink to Why doesn&#8217;t the clock in the taskbar display seconds? &#8211; The Old New Thing")

# Why doesn&#8217;t the clock in the taskbar display seconds? &#8211; The Old New Thing

[ ![Microsoft logo][2] | ][3]

__

Search MSDN

Search all blogs

Search this blog

[Sign in][4]

#  [ The Old New Thing ][5] [ The Old New Thing ][5]

# Why doesn’t the clock in the taskbar display seconds?

★★★★★

★★★★

★★★

★★

★

![avatar of oldnewthing][6][Raymond Chen - MSFT][7]October 10, 2003[27][8]
* [Share][9]
* [0][10]
* [0][10]
* * *

Early beta versions of the taskbar clock did display seconds, and it even blinked the colon like some clocks do. But we had to remove it. 

Why? 

Because that blinking colon and the constantly-updating time were killing our benchmark numbers. 

On machines with only 4MB of memory (which was the minimum memory requirement for Windows 95), saving even 4K of memory had a perceptible impact on benchmarks. By blinking the clock every second, this prevented not only the codepaths related to text rendering from ever being paged out, it also prevented the taskbar's window procedure from being paged out, plus the memory for stacks and data, plus all the context structures related to the Explorer process. Add up all the memory that was being forced continuously present, and you had significantly more than 4K. 

So out it went, and our benchmark numbers improved. The fastest code is code that doesn't run. 

Tags  [History][11]

* * *

Comments (27) 

1. ![][12] Israel says:

[ October 10, 2003 at 1:30 pm][13]

Damn! It’s like you’ve got a direct connection to all the forgotten, unanswered questions in my mind from the Windows 95 introduction.

2. ![][12] runtime says:

[ October 10, 2003 at 1:46 pm][14]

I would go crazy if the clock updated every second and the colon flashed. Too visually distracting..

3. ![][12] Joe says:

[ October 10, 2003 at 2:28 pm][15]

I actually like it. I even set up my own clock in the taskbar. Using the cool feature of "New Toolbar…" I point the New Toolbar at a URL not unlike <http://jwasson.bitfield.org/clock.html> . It’s a DHTML clock that supports seconds and also has a roll-over that shows the date. You can see how it looks in context at <http://jwasson.bitfield.org/desktop.jpg> (461KB).

4. ![][12] [Mike Dunn][16] says:

[ October 10, 2003 at 2:34 pm][17]

I agree, runtime. Motion attracts the eye, and if the clock were always blinking or changing text, that would get annoying fast.

And BTW, I actually did install Win 95 on the min requirements once: a 386 with 4MB. I think that’s what hell is like. ;)

5. ![][12] Troy Goode says:

[ October 10, 2003 at 2:56 pm][18]

Joe, how did you get your address bar and quick launch bars to dock outside of the taskbar? I’ve tried dragging them around and they don’t seem to want to leave…

6. ![][12] Joe says:

[ October 10, 2003 at 3:39 pm][19]

Troy: It seems that you need to make an intermediate step of dragging them "onto the desktop." They then float, and you can then dock them on a different edge.

Mike: Motion attracts my eye as well, but I must be used to it, or something, because I don’t notice the seconds ticking away, unless I’m looking at something within a couple of inches and purposefully looking in my peripheral vision for the movement.

7. ![][12] [Ryan Eibling][20] says:

[ October 10, 2003 at 5:04 pm][21]

My problem with the clock has always been the lack of control over the display format. I’ve been running a freeware third-party clock just so I can get a date and time in there without making my taskbar huge. I have no idea why they couldn’t have allowed you some choices over how it displays by now. Except for internet sync the clock doesn’t seem to have improved since Win95.

8. ![][12] [Mike Dimmick][22] says:

[ October 10, 2003 at 6:10 pm][23]

Funny, I’ve noticed a difference between Windows 2000 and XP on this score. I usually resize my taskbar to two units high – I tend to keep a lot of windows open (currently I only have three, but then I’m at home browsing – Outlook, Scobleizer and this site). I don’t use XP’s ‘group taskbar buttons’ because to me that’s fundamentally broken – a taskbar button represents a document, not an application. If I could only group documents together…

Sorry, I digress. Anyway, on Windows 2000 (en-GB locale), a two-unit taskbar shows just the time above the notification icons (if fewer than six, otherwise the notification icons appear to the left of the time). On Windows XP, I get the day name above the time (e.g. ‘Friday<br>23:08’).

Any ideas why this was changed? I assume something to do with the ‘hide inactive notification icons’ function.

9. ![][12] [Raymond Chen][24] says:

[ October 10, 2003 at 7:41 pm][25]

If there is extra space in the taskbar for it (e.g., you resized the taskbar to two rows), then XP will show the day of the week.

The clock uses your preferred time and date formats as set in the Regional Settings. Not sure why that’s not good enough. Letting you customize the clock time/date format separately from the other time/date formats is a "little feature". A previous blog discussed <[http://blogs.gotdotnet.com/raymondc/PermaLink.aspx/4a65f700-ee90-43be-9676-bc33e0f8dfbf&gt][26]; the cost of "little features". (For this one, there would have to be another customization dialog box – more code and more work for the translators – the setting would have to be saved somewhere – more work for testers to run the dialog through all its variations, and now what do you do if that setting gets corrupted? Or the people who call product support asking how come their date looks good everywhere except the taskbar…)

10. ![][12] [Ryan Eibling][20] says:

[ October 10, 2003 at 8:23 pm][27]

I don’t care much about the specific format of the date string as much as the fact that I can’t even have the date shown at all on a single-height taskbar on the same line as the time. The TClockEx app I use replaces the Windows clock and allows me to specify exactly what appears in that space with a format string. I use "ddd MM-dd HH:mm", which gives me a nice, compact, one-line representation of everything I need.

11. ![][12] Yeep says:

[ October 10, 2003 at 8:38 pm][28]

The time in the notification area even shows the date on my home PC. I don’t recall setting this up specifically. My work PC does not show the date. Both PC’s have their taskbars 2 units high. I can’t find any setting to change this.

12. ![][12] Shane King says:

[ October 10, 2003 at 10:06 pm][29]

I just wish it had an option for an analogue style clock. You can fit one of those onto the taskbar when it’s docked to the left of the screen, which you can’t do for a digital readout.

13. ![][12] [Raymond Chen][24] says:

[ October 11, 2003 at 1:07 am][30]

Believe it or not, we actually did studies on the possibility of having an analog clock. Problem is, some disturbingly large percentage of people can’t read an analog clock (30%? 60% I forget but it was a lot).

But the main reason for not having an analog clock was that it would be yet more code to be written, tested, and documented. You have to draw the line somewhere or you’ll be constantly adding features and never ship. Windows 95 was originally Windows 93, after all.

14. ![][12] RJ says:

[ October 11, 2003 at 5:21 am][31]

30%-60% can’t read an analogue clock? Surely not, I certainly don’t believe this figure true of the UK.

Do/Did Microsoft do all their studies just in the US? or did they ever ask users abroad ?

15. ![][12] [Myron A. Semack][32] says:

[ October 11, 2003 at 9:07 am][33]

I hate analag clocks, despise them with a passion. I don’t want to have to "figure out" what time it is based on the hands. I just want to read the damn thing and know exactly what time it is.

Also, most analog clocks/watches are these ornate decorative things that don’t even have numbers, or minute marks on them. God forbid they should have something useful on them.

You’re more prone to make a mistake reading an analog clock.

It’s not that I can’t read an analog, but I really don’t want to.

16. ![][12] Israel says:

[ October 12, 2003 at 3:29 pm][34]

You are now the top Chen in Google!!!

17. ![][12] [Raymond Chen][24] says:

[ October 13, 2003 at 12:36 pm][35]

Windows is a worldwide product. If 30%-60% of users in a single market can’t read an analog clock – it doesn’t matter whether the market is the US, UK, Germany, Japan – then we can’t do it.

Personally I prefer analog clocks. How often do you really need to know EXACTLY what time it is? You are really interested in deltas. "How long before the bus arrives?" With an analog clock, "Hm, a little less than a half-circle, so I’ve got a little less than a half hour."

With a digital clock you have to do math (carry the 60…) If the bus comes at 12:04 and it is now 11:38, how much time do you have, roughly? You know how I solve this? I imagine an analog clock!

18. ![][12] [Raymond Chen][24] says:

[ October 13, 2003 at 12:37 pm][36]

For a while, I watched myself gradually become the top Raymond Chen. (There are lots of us out there, and I was #3 or so at the start.) What is scarier is that I’m also the top hit for "interesting articles". Talk about pressure!

19. ![][12] Israel says:

[ October 13, 2003 at 3:16 pm][37]

Your competition for the top ten in "Interesting Articles" search aren’t exactly exciting-I would venture to say that your spot is secure for now!

20. ![][12] [Mike Dunn][16] says:

[ October 13, 2003 at 9:56 pm][38]

"If 30%-60% of users in a single market can’t read an analog clock… then we can’t do it."

Can I infer from that that the alleged Longhorn shell screen shots with a big silver analog clock in the side bar are bogus? :)

21. ![][12] [Mark Hurd][39] says:

[ October 19, 2003 at 10:49 pm][40]

The analog clock available in the Date/Time control panel looks nice enough that it would be nice if a) it could have an option to hide all the rest of the dialog and b) people without permission to change the time/timezone can still open the applet to view it.

22. ![][12] Tony Coates says:

[ November 15, 2003 at 2:25 am][41]

Need Help changing timezone/WinXP…..the only timezone available in the drop down is Pacific Time (US&Tijuana)……I have moved to the Central time, now I can’t change…..wtfo?

How do I fix?

23. ![][12] [Andy Glover][42] says:

[ May 14, 2004 at 10:58 am][43]

Recently my clock on Windows XP home has been running fast, gaining quite a few seconds per minute. Is there a way to remedy this?

24. ![][12] [Dean Jones][44] says:

[ May 28, 2004 at 10:03 am][45]

If your WindowsXP clock is running fast, try using the built in time sync feature. Open the clocks properties, click on the Internet Time tab, set the server for 128.138.140.44 and check the Automatically sync check box. If you click the Update Now box, your clock will sync with the time server. This will be automatically repeated once per week. Another alternative (for those without WindowsXP and the Internet Time tab) is to use a third party program like Atomic Clock Sync available from <http://www.worldtimeserver.com> which has a listing of several time servers built into their program.

25. ![][12] [Raymond Chen][46] says:

[ June 7, 2004 at 7:52 am][47]

Comments on this entry have been closed.

26. ![][12] [The Old New Thing][48] says:

[ July 5, 2004 at 10:01 am][49]

There isn’t any difference any more.

27. ![][12] [The Old New Thing][50] says:

[ July 5, 2004 at 3:05 pm][51]

There isn’t any difference any more.

Comments are closed.

[Skip to main content][52]

## Follow Us

## News

Holy cow, [I wrote a book][53]

![][54]

## Basics

* [Archives][55]
* [Ground Rules][56]
* [Suggestion Box][57]
* [Contact Me][58]
* [Disclaimers and such][59]

## Categories

* [Code][60]
* [Non-Computer][61]
* [Other][62]
* [History][11]
* [Tips/Support][63]

## Archives

* [February 2018][64] (16)
* [January 2018][65] (29)
* [All of 2018][66] (45)
* [All of 2017][67] (285)
* [All of 2016][68] (276)
* [All of 2015][69] (276)
* [All of 2014][70] (304)
* [All of 2013][71] (348)
* [All of 2012][72] (307)
* [All of 2011][73] (310)
* [All of 2010][74] (360)
* [All of 2009][75] (420)
* [All of 2008][76] (431)
* [All of 2007][77] (460)
* [All of 2006][78] (430)
* [All of 2005][79] (396)
* [All of 2004][80] (440)
* [All of 2003][81] (189)

[Privacy & Cookies][82] [Terms of Use][83] [Trademarks][84]

[ ][85]

© 2018 Microsoft 

[1]: https://go.microsoft.com/fwlink/?linkid=845480
[2]: https://blogs.msdn.microsoft.com/oldnewthing/wp-content/themes/microsoft/images/ms-logo-gray.svg
[3]: https://www.microsoft.com/
[4]: https://blogs.msdn.microsoft.com/wp-login.php?aadsso_action=login
[5]: https://blogs.msdn.microsoft.com/oldnewthing
[6]: https://i1.social.s-msft.com/profile/u/avatar.jpg?displayname=Raymond+Chen+-+MSFT&size=extralarge&version=00000000-0000-0000-0000-000000000000
[7]: https://social.msdn.microsoft.com/profile/Raymond+Chen+-+MSFT
[8]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comments
[9]: https://www.facebook.com/sharer/sharer.php?u=https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203&src=sdkpreparse
[10]: https://blogs.msdn.microsoft.com#
[11]: https://blogs.msdn.microsoft.com/oldnewthing/tag/history
[12]: https://secure.gravatar.com/avatar/3651e719491c63d4424134d66fe53db9?s=56&d=mm&r=g
[13]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127433
[14]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127443
[15]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127453
[16]: http://www.codeproject.com/script/articles/list_articles.asp?userid=152
[17]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127463
[18]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127473
[19]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127483
[20]: http://aisle4.com/personal
[21]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127493
[22]: http://www.dimmick.demon.co.uk/
[23]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127503
[24]: http://blogs.gotdotnet.com/raymondc/
[25]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127513
[26]: http://blogs.gotdotnet.com/raymondc/PermaLink.aspx/4a65f700-ee90-43be-9676-bc33e0f8dfbf&gt
[27]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127523
[28]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127533
[29]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127543
[30]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127553
[31]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127563
[32]: http://www.semack.net
[33]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127573
[34]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127583
[35]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127593
[36]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127603
[37]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127613
[38]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127623
[39]: http://www.ozemail.com.au/~markhurd/
[40]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127633
[41]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-127643
[42]: http://www.livejournal.com/~kamikaze_egg
[43]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-174263
[44]: http://www.ComputerJones.com
[45]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-178493
[46]: http://weblogs.asp.net/oldnewthing/
[47]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-181363
[48]: http://weblogs.asp.net/oldnewthing/archive/2004/07/05/173226.aspx
[49]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-190513
[50]: http://weblogs.asp.net/oldnewthing/archive/0001/01/01/173226.aspx
[51]: https://blogs.msdn.microsoft.com/oldnewthing/20031010-00/?p=42203#comment-190693
[52]: https://blogs.msdn.microsoft.com#primary
[53]: https://blogs.msdn.microsoft.com/oldnewthing/archive/2006/12/07/1233002.aspx
[54]: https://msdnshared.blob.core.windows.net/media/2017/06/cover.jpg
[55]: https://blogs.msdn.microsoft.com/b/oldnewthing/p/archives.aspx
[56]: https://blogs.msdn.microsoft.com/b/oldnewthing/archive/2004/02/21/77681.aspx
[57]: https://blogs.msdn.microsoft.com/b/oldnewthing/archive/2010/07/20/10040074.aspx
[58]: https://blogs.msdn.microsoft.com/b/oldnewthing/pages/232903.aspx
[59]: https://blogs.msdn.microsoft.com/b/oldnewthing/pages/4520252.aspx
[60]: https://blogs.msdn.microsoft.com/oldnewthing/tag/code
[61]: https://blogs.msdn.microsoft.com/oldnewthing/tag/non-computer
[62]: https://blogs.msdn.microsoft.com/oldnewthing/tag/other
[63]: https://blogs.msdn.microsoft.com/oldnewthing/tag/tipssupport
[64]: https://blogs.msdn.microsoft.com/oldnewthing/2018/02
[65]: https://blogs.msdn.microsoft.com/oldnewthing/2018/01
[66]: https://blogs.msdn.microsoft.com/oldnewthing/2018
[67]: https://blogs.msdn.microsoft.com/oldnewthing/2017
[68]: https://blogs.msdn.microsoft.com/oldnewthing/2016
[69]: https://blogs.msdn.microsoft.com/oldnewthing/2015
[70]: https://blogs.msdn.microsoft.com/oldnewthing/2014
[71]: https://blogs.msdn.microsoft.com/oldnewthing/2013
[72]: https://blogs.msdn.microsoft.com/oldnewthing/2012
[73]: https://blogs.msdn.microsoft.com/oldnewthing/2011
[74]: https://blogs.msdn.microsoft.com/oldnewthing/2010
[75]: https://blogs.msdn.microsoft.com/oldnewthing/2009
[76]: https://blogs.msdn.microsoft.com/oldnewthing/2008
[77]: https://blogs.msdn.microsoft.com/oldnewthing/2007
[78]: https://blogs.msdn.microsoft.com/oldnewthing/2006
[79]: https://blogs.msdn.microsoft.com/oldnewthing/2005
[80]: https://blogs.msdn.microsoft.com/oldnewthing/2004
[81]: https://blogs.msdn.microsoft.com/oldnewthing/2003
[82]: https://msdn.microsoft.com/dn529288
[83]: https://msdn.microsoft.com/cc300389
[84]: https://www.microsoft.com/en-us/legal/intellectualproperty/Trademarks/EN-US.aspx
[85]: https://www.microsoft.com

