---
created_at: '2018-01-23T15:27:39.000Z'
title: Printing and binding your own books and manuals (2003)
url: https://uazu.net/notes/binding.html
author: clishem
points: 129
story_text: 
comment_text: 
num_comments: 31
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1516721259
_tags:
- story
- author_clishem
- story_16214279
objectID: '16214279'

---
[Source](https://uazu.net/notes/binding.html "Permalink to Printing and binding your own books and manuals")

# Printing and binding your own books and manuals

![UAZU][1]![Next][2]![Up][3]![Prev][4]  

# Printing and binding your own books and manuals

Despite the wealth of on-screen documentation available, like many people I still feel the need to print things out for reference or study. For most people, printing out a manual means putting up with a bunch of A4 or Letter-sized pages with a staple through the corner, which doesn't seem much good to me. Instead I used to print documents two-up onto A4 to create an A5 booklet by stapling and folding it. However, this never worked well for more than a handful of pages. So, I was very happy when I came across techniques for **do-it-yourself bookbinding**.

![Finished book][5]

I don't approach bookbinding as an art form, rather simply as a practical way of getting documentation into a form which I can enjoy using. Once you've got the hang of the technique, it doesn't take too long to get something printed up and bound. In fact the biggest problem (for me, anyway) is resisting reading the book before the glue has finished drying! I've modified the original techniques quite a bit, so I thought I'd get it all properly documented on this page for my own benefit as well as everyone else's.

### Things you will need

* Computer, printer, printing software
* A5-sized paper (or similar) to print on
* A bookbinding press (easy to build, see below)
* Contact adhesive (also called "contact cement")
* Tissue, scissors, optional coloured A4 paper, etc

### Printing

The first thing to do is to get the document formatted in the computer and printed out. This depends on your operating system and the format that the document arrived in. I use Linux, and find these tools invaluable: GhostScript (`gs`/`pdf2ps`), `gv`, `xpdf` (`pdftops`), and psutils (`psselect`/etc). Most documents to print come in PS (PostScript) format, or as a PDF file which I convert to PS with `pdftops` or `pdf2ps`.

For HTML documents I've tried various methods to convert to PS, including using `html2ps`, printing to PS directly from Linux browsers, printing via a PS printer driver to a file using IE/Windows, and so on. None of these solutions for HTML is perfect, but you can get some usable output at least.

I print directly onto A5-sized paper, which saves any extra cutting or folding later on. For those who don't know European paper sizes, A5 paper (149mm x 210mm) is the size of A4 paper (297mm x 210mm) folded in half. You can buy it in reams in some places (including Osborne Office in the UK), and some places will cut A4 reams in half for you. One of the great things about printing to A5 is that as soon as it has come out of the printer, it is already starting to look like a book:

![Stack of printed A5 pages][6]

I have written my own script for printing that resizes the original A4 or Letter-sized documents down to A5 size to fit onto the printed A5 pages. The script reorders the pages for printing and sends them out in batches to avoid having to reprint too much if you make a mistake or something goes wrong. The script also helps with reprinting certain pages if you need to. The page-reordering part is customized for the way that my Brother HL-760 printer handles the paper, but it probably wouldn't be too hard to adjust this for other printers with some trial and error. The script is [available here][7].

![HL-760 printer][8]

Since the printing part depends so much on the OS you're using, and your specific printer and so on, I'm not going to spend any more time on that, and I'll assume from here on that you've managed to get one or more documents printed out onto A5 paper as pictured above.

###  The press 

The next thing you will need is some kind of a bookbinding press. Mine was made for me by my grandfather out of some odd bits of hardwood he had left over. Originally I made myself one out of softwood, but I found that the wood bent too much and didn't give an even pressure over the spine when the nuts were tightened down. So, a dense wood is useful, at least for the part of the press that holds the spine of the book. Some people also use presses made out of synthetic materials, which is an option I haven't tried.

![Bookbinding press][9]

In the picture above, I've stuck a bottle top in there so you can see how the press looks when it is open. The important features are: a flat base to rest the book on, two flat guides (below and to the right of the book) to allow you to jiggle and tap all the pages until they are all lined up together, and a bar on the left to press down on the spine of the book to hold all the pages together so that you can glue them. A single A5 sheet placed in the press should touch the guides to the right and below, and meet the outside left edge beneath the pressing bar. If you're going to use bolts to hold the bar, then wing nuts are a good idea as they can be spun down quicker.

### Preparing the cover of the book

You don't actually need to print a cover -- you could just use some A4 paper with something scribbled on it, but I prefer to have a cover that makes the book a little more recognisable. I have a script which prints an A4 piece of paper with text positioned to cover the front page and the spine of the book. The first thing to do is to put the pages into the press and measure the thickness of them:

![Book binding press; measuring spine thickness][10]

This can then be fed to the script along with the text to print in order to generate the PS file, which I then print onto some coloured paper. The script is very much a custom job ([see here for source][11]), but you can probably do something similar using your favourite DTP package.

In any case, you need two sheets. One will form the front of the book, the outside spine and an overlap onto the back of the book, and the other will form the back of the book and a small flap over the spine on the inside. Notice how I've cut off some of the green sheet and all but a spine's-width to the right of the fold in the white sheet to give the result below. (It is better to cut too much off the white sheet than too little, but I'm sure you'll discover this later on anyway.)

![Front and back cover preparation][12]

### Gluing the spine

Now you have the book contents and the front and back covers, you can assemble the book in the press. It is a good idea to put the main part of the book in first, and make sure that you've tapped all the pages down so that they are all as even as they can be. This will give a smooth outside edge and bottom edge to the book. The spine edge may be quite uneven because of the slight variations in the paper size, but this doesn't matter much.

Finally put in the front and back covers, make sure everything is lined up together, and screw the pressing bar down to hold it all in place. You should end up with something like this:

![Book in binding clamp ready for gluing][13]

The next thing to do is to apply glue to the spine. The recommended type of glue is a "contact adhesive" or "contact cement". In the UK I've been buying "Evostik IMPACT Instant Contact Adhesive", which works fine for me: [[1]][14]

![Evo-stik contact adhesive][15]

Apply the glue to the exposed spine. The two covers make a channel which keeps the glue from spreading too far. Also, there is no need to apply glue right to the ends of the spine and risk the glue going over the edge. When you apply the glue, try to make sure that the whole area of the spine is covered, including all the corners. You should end up with it looking like this:

![Book spine with glue applied][16]

Now let the glue dry for a while. You will need to prop the press up so that the spine is kept level, or else all the glue will flow to one side/end of the spine. Leave it for 10-15 minutes. When the glue has mostly dried, but is still a little wet, apply some very thin pieces of tissue on top of it. I use toilet tissue, just one of the two layers:

![Applying tissue to the book spine][17]

Apply just one layer of the thin tissue to the whole length of the spine. Once the glue has dried a little more, gently use an implement or your finger nail to make sure that the tissue follows most of the ups and downs of the paper-edges on the spine. Using a layer of tissue like this isn't vital (I've forgotten it before now, and still ended up with quite usable books), but it does help to give the book a stronger spine:

![Making sure the gaps are filled][18]

Leave all this for a while to let the glue dry a bit more. Then you can fold the front and back cover edges over. First the back cover is folded over, and then the front cover. (This is where you discover if you didn't cut the back cover overlap narrow enough.) Next release the pressure on the spine from the bar, and carefully slide the book out a couple of inches before tightening the bar down again. Contact adhesive can now be applied to the part of the front cover that will overlap the back cover (using just thin stripes of glue -- no need to cover it), and the front cover can be folded over to stick to the back:

![Glue pattern for front cover overlap][19]

![Cover overlap glued down][20]

Once this is in place, release the bar again, slide the book back in, and reapply pressure. You can now leave the book for a while like this until the glue has all become a bit firmer:

![Finished book in bookbinding vise][21]

Actually, you can leave the book in the press like this until it is fully dry, but if you have other books to do, you can take it out and put it somewhere safe to finish its drying, perhaps under a pile of other books if necessary. According to my glue packaging, the adhesive takes 24 hours to achieve full strength. The end result looks like this:

![Finished book][5]

One very good thing about this type of glue and binding method is that it is flexible as well as strong, which means that you can open the book out flat without damaging the spine or weakening it. Here is my 'serving suggestion', making full use of the props available at the photography location:

![Serving suggestion][22]

### Outstanding issues

There is just one outstanding issue I've found with this type of glue, and that is that the solvent seeps into the pages as it dries and can cause print that is very close to the spine-edge of the page (within 10-20mm) to partially transfer to the opposite page. I think this is worse if you try and encourage drying by putting the book in warm place. Really, you want the solvent to dry off to the atmosphere without going too far into the pages. This hasn't been a huge problem for me, just a niggle.

### Conclusion

I hope this has been useful to you. Thanks to the people who created the original sites that put me onto this technique.

`\-- Jim`

_(7-Jun-2003)_

* * *

### Useful links

The following pages may be interesting:

* [Linux Gazette's micropublishing article][23], with links to a whole bunch of other related pages.
* [A company doing on-demand printing of a few open-source titles.][24] However, the setup costs for a new manual for this kind of printing are in the hundreds of pounds (I can't remember the exact figure), so getting someone else to print your manuals like this isn't a viable alternative unless you plan on producing a reasonable number (or a company like the one linked to is willing to fund the setup costs themselves).

Other people's presses made to similar designs:

* [Dale Anderson's book press][25]
* * *

### Footnotes

[**1]**  Here are some more suggested glues: Douglas McCue Jr wrote to say that "Tombo Mono Aqua Liquid Glue" works really well for him. Florian Hofmann wrote from Germany to say that normal "wood glue" gave him good results. Both common wood glue and common white craft glues are PVA glues. Linda Dawson wrote to say that PVA glue is recommended for book repair because it doesn't damage the paper long-term; there appear to be PVA glues packaged specifically for bookbinding. John Fowler also wrote to report some success using a glue gun on a half-ream-thick A5 book. He writes: "I applied the glue, in a zigzag pattern, and then used an old iron to smooth it out evenly." I've not tried these other glues myself. If they work reliably, they could avoid the solvent problem with the Evostik adhesive. However, I really do like the strength and flexibility of the spine that I get with the Evostik contact adhesive, much better than traditional paperback book spines which can be broken so easily.

  

* * *

![UAZU][1]![Next][2]![Up][3]![Prev][4] These pages and files, including applets and artwork, are Copyright (c) 1997-2017 [Jim Peters][26] unless otherwise stated. Please [contact me][26] if you'd like to use anything not explicitly released, or if you have something interesting to discuss. 

[1]: https://uazu.net/img/uazu16.gif
[2]: https://uazu.net/img/arrR1.gif
[3]: https://uazu.net/img/arrU1.gif
[4]: https://uazu.net/img/arrL1.gif
[5]: https://uazu.net/binding/23.jpg
[6]: https://uazu.net/binding/04.jpg
[7]: https://uazu.net/binding/book-a5.html
[8]: https://uazu.net/binding/03.jpg
[9]: https://uazu.net/binding/08.jpg
[10]: https://uazu.net/binding/09.jpg
[11]: https://uazu.net/binding/book-jacket.html
[12]: https://uazu.net/binding/10.jpg
[13]: https://uazu.net/binding/11.jpg
[14]: https://uazu.net#note1
[15]: https://uazu.net/binding/15.jpg
[16]: https://uazu.net/binding/14.jpg
[17]: https://uazu.net/binding/16.jpg
[18]: https://uazu.net/binding/18.jpg
[19]: https://uazu.net/binding/19.jpg
[20]: https://uazu.net/binding/20.jpg
[21]: https://uazu.net/binding/21.jpg
[22]: https://uazu.net/binding/27.jpg
[23]: http://www.linuxgazette.net/issue47/nielsen.html
[24]: http://www.network-theory.co.uk/
[25]: http://flickr.com/photos/andercute/sets/72157614230195989/
[26]: https://uazu.net/contact/

