---
created_at: '2018-01-31T12:44:18.000Z'
title: Twenty years of speedcubing (2003)
url: http://www.ws.binghamton.edu/fridrich/history.html#last
author: weinzierl
points: 86
story_text: 
comment_text: 
num_comments: 22
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1517402658
_tags:
- story
- author_weinzierl
- story_16273411
objectID: '16273411'

---
[Source](http://www.ws.binghamton.edu/fridrich/history.html "Permalink to ")

**20 years of speedcubing**

Dear visitor, I am sure my narrative will occassionally bring a smile of disbelief to your faces today, but I want to truthfully describe the atmosphere of excitement and mystery as we, the old-timers, lived through the "good ol' days" of the early eighties when Rubik's cube was making headlines around the world.

The first time I met the cube "face-to-face" was when I was 16 years old in March 1981. I was hooked since the first moment I saw this absolutely unique combination of simplicity and ingenuity. There was no need to explain what needs to be done with it - a self-explanatory, remarkably difficult puzzle with a devilishly mysterious mechanism inside - a fascinating silent challenge. The owner of the cube was a 14-year old boy who could solve the cube in about a minute. He lent it to me for a few minutes just enough to assemble one face.

Although in March 1981 the cube was being sold by thousands in other countries and despite the fact that the invention took place in the neighboring country, it was impossible to buy the cube in Czech Republic. A classical example of how inefficient and impotent the Eastern Block economies were. I got my hands on a primitive solving system from a Russian magazine [ Kvant ][1] long before I actually owned the cube. I would analyze simple moves and their action on a piece of paper, trying to figure out algorithms based on the [ commutator principle][2]. Then later in the spring, our local astronomy club leader bought the cube during his trip to Hungary. He was unable to solve it and could not find anybody who would put the cube back into its original state. With the help of the commutator principle and those "Russian" moves, I solved the cube for the first time. It took me several hours.

I desperately wanted to get my own cube but whoever was lucky enough to own it, would never sell it. So, I had to wait a little longer and finally got my first cube in July 1981. A French family was visiting my sister and their two teenage boys brought the cube with them. When they saw how attached I quickly became to the piece of plastic, they did not have the heart to take the cube with them back to France. That meant that I could finally start working on my system! During the Summer, I persuaded my parents to visit Hungary, where I bought three more cubes. It was still a challenge to get the cubes because they were not available in stores. I bought the cubes from an old lady who was selling magazines and souvenirs in the street. When I mentioned "Buvos Kocka" to her, she smiled, quickly looked left and right and handed it to me in a brown lunch bag, put her index finger across her mouth, and said "Shhh, one hundred and fifty Forints". I know all this sounds funny now, especially to those from Western countries where it was a no-brainer to buy the cube. But this is how I really started.

At first, I was using the layer-by-layer system that I learned from a Czech magazine. It was actually already quite advanced. First the first layer, then the four middle edges (just one algorithm), then flipping the edges, moving the edges, flipping the corners, moving the corners. These were my basic algorithms that I started using and I quickly got my average to about 1 minute. It was September 1981, three months after I started playing with the cube.

My last year of high school was a strange and exciting time. A kid solving the cube in public was a head-turner. Cube was a good conversation starter, although later it was termed by many as a conversation _ killer _. It was normal for two cubers who met on a bus to start the conversation without looking at each others eyes, saying: "How do you this?" "Hmmm, could you do it slowly?" "Thanks". This is how we built our first primitive systems. I had one schoolmate from high school who had the same disease - an unconditional love for the Rubik's cube. His name was Ludek Marek. He was using the same system as me, but for some reason he was always trailing about 20 seconds behind me. He once noted while I was solving the cube pointing to my cube: "Oh, I like this "T" pattern, because when you turn the edges, the whole last layer will actually flip correctly." It was the shortest 6-move that influences only the last layer - the move that perhaps all cubers know. And that sentence stuck in my mind. It was the germ that later blossomed into the current system. I realized that in the system I was using it was possible to first flip the edges, then the corners, then position edges and position corners. This is because the moves commuted. So, what if I had an algorithm for all flipping patterns and all permutations? Then I could solve the last layer always in just two algorithms. Also, the number of patterns was not that big and they were easy to recognize fast. But where to get the algorithms? I already knew some portion of them and I gradually started adding more. Whenever I encountered an orientation that I did not know, I did it the old way - flip edges and then flip corners. And whenever I encountered a permutation for which I did not have an algorithm, I would combine the permutation from the algorithms I already knew. I began improving very steadily as I improved my system and my ability to recognize positions quickly. In December 1981, 6 months since time zero, I was averaging about 35. Occasionally, I would read an article about a student from Great Britan who solved the cube in 28 seconds, then about a guy from USA who did it in 24, etc. I was always chasing the world, trying to catch up. I often felt like it was not possible to squeeze my times anymore, as if I was already at the limits of what I can do with my system, but nevertheless, with time, I was able to get to those magic numbers I previously read in the newspaper. At that time, I was getting ready for my final examination to finish my high school. I was combining test preparation with cubing. When I was messing up the cube, I was staring into the text, learning the subject, then pausing for a while and solving the cube. And I could go like this for hours and hours. Surprisingly, during the late Summer and Fall 1981, the cubes became finally available in Czech Republic as well. The cube crazy has officially began. Local championships popped up at high schools and universities. I always participated in them often with my friend Ludek. Both of us always left the competition _far_ behind. There was nobody I knew with whom I could compete. I was thus chasing the clock and the world.

In the Winter 1981/82, the Czech magazine Mlady Svet called for a national championship and people started submitting their times. In February 1982, the magazine printed a preliminary table showing the best ten times submitted. And I could not believe my eyes to see my name on the first place. I also noticed the name Mirek Goljan who was literallily "breathing on my back". That gave me more energy for my practicing and I went into the national championship on May 11, 1982 averaging about 25 seconds with my personal best of 18. Ten months from time zero.

I won the semifinals and 5 best advanced into the finals. Among them, Mirek Goljan and my friend Ludek Marek. The finals were in front of TV cameras. We were allowed to use our own cubes. The best-of-three time determined the winner. We all solved the cube at the same time. I won the first and second rounds and Mirek won the last third round. My second time of 23.55 got me the first place, Mirek was the second, trailing about 2 seconds, and Ludek ended on the third place. The first prize was a plane ticket to Budapest to the first [ World Championship][3].

I became a "celebrity" for a few weeks receiving a lot of letters all asking for one thing - the description of my system. The letters actually did not have my proper address, just the name and city, no street address or zip code. They all were delivered. I decided to publish my system in Mlady Svet. It contained all algorithms for permutations and orientations and a few moves for the F2L. Most people were disappointed to learn that the method is actually quite "complex" requiring a lot of practicing and memorization. Most expected a simple trick that one can explain in a few minutes. What did you say about the free lunch? I remember one really funny story that happened to me on a train when I commuted to college from my home town. A guy was sitting next to me playing with the cube. I asked him about his system. He said: "I am using the Fridrich method." I asked with a surprise in my voice: "You actually memorized ALL algorithms?" His answer was: "No, that's too much. I know only some of them." I replied with: "Well, you need to memorize all of them otherwise you are not really utilizing its strength." He looked at me frawning and said with his mouth half open: "Yeah, so what's your system?" I answered with a big smile: "I use the Fridrich method, too, because I am Fridrich." He did not blink an eye, did not say anything and handed me his messed-up cube. I solved the cube in about 20 seconds to prove my words and we both laughed at the coincidence.

I was acepted to college and still kept on improving. Later in 1982, I changed my F2L system to the current system. Before, I would do the first layer and then insert two cubies from the last layer into the middle layer. I developed the algorithms and also algorithms that moved / flipped the cubies in the middle layer. When I switched to the current system for the F2L, I instantly improved by several seconds and got my average to around 20 (15 months from time zero). By 1983, I was consistently averaging 17 seconds. I knew three more cubers capable of achieving sub-20 averages consistently. We practiced together. As the cube rage cooled down, I stopped working on my system. The second Czech Championship took place in March 1983. Robert Pergl won all three rounds (if I remember correctly) with a best of 17.04. He was using basically my system but he knew more than 600 algorithms (I was actively using about 120-150) and one could say that he was using a "multi-system". From time to time, he was able to solve the last layer in just one algorithm, perhaps due to preparing the LL a little before finishing the F2L. And he stayed cool and psychologically stable during the whole event. Psyche is a very important factor in championships. There is little value in being able to solve the cube in 16 seconds on average if the nerves slow you down to 20 during the competition. You can't win a big event unless you work on the psychological factor as well. And Robert indeed was consulting with a psychologist, preparing very carefully for the whole year. What can I say - it paid off.

I would dare to say that nothing important happened in speed cubing and cubing in general over the next decade. Then, in 1992 [ Herbert Kociemba ][4] developed a computer algorithm with a performance very close to the God's Algorithm (the shortest moves from any position). It was, in my opinion, the biggest event in cubing in general. Suddenly, we could obtain the shortest moves for any position and any pattern. Surprisingly, Kociemba's algorithm always seemed to find a solution within 20 face moves. The famous cube-in-cube pattern turned out to have an elegant short solution L F L D'B D L² F² D'F'R U'R'F² D as we suspected for a long time but never found it. Progress has been made in identifying the farthest positions on the cube (superflip and supertwist). To give you an idea how revolutionary Kociemba's discovery was, the previous best computer solution was always able to solve the cube within 38 moves, but could not guarantee better (Thistlewaite's algorithm). Even though Kociemba's algorithm did not provide a proof that the diameter of the cube group is indeed 20 in face counting, it has been an impressive piece of work, indeed. As the computer speed and memory increased, [optimal solvers][5] came to life, and suddenly, to my opinion, the cube lost much of its enigma.

I put my system in electronic form on the Internet in January 1997 after I had discussions with Mike Pugh on the [ Cube Lovers mailing list ][6] (one of the oldest mailing lists ever, established in 1980). He persuaded me that making my system available in electronic form would be useful for other cubers. I made copies of my old, now yellowish, notebook and he made those small pictures you now see on my pages. I included the patter and set up the site. I never put a counter on my page, so little did I know how popular the system became. Actually, to be completely honest, I was convinced that nobody in their right mind will have the energy and will to learn the system in its entirety. I thought that speedcubing was inactive and not popular enough for anybody to have the motivation to go through the pain of memorizing the algorithms. I know now how wrong I was. One should never underestimate the power of the cube. I still admire those of you who entered the speedcubing now. Back in 1981, the cube was mysterious. We did not have computers powerful enough to develop the shortest moves for us. We did not know if those algorithms we found by trial and error were the best or shortest. The unknown and unanswered questions were an important ingredient for many cubers. They were the engine that powered us forward. I do not intend to sound as an old lady complaining while recalling the old good days, but I am trying to convey what most of us, if not all, felt as we were trying to uncover the curtain of secrecy of the cube.

At the end of 1996, I sent a postcard to Mirek Goljan and I typed the 14-move algorithm for cube-in-cube and nothing else on it. Mirek and I have not seen each other for at least 12 years and I was already pursuing my PhD in the US by that time. We got in touch again via phone and later via e-mail. In 1997 I visited Czech Republic and after almost 14 years, we started cubing together, admiring Kociemba's algorithm, and sharing our personal stories. Mirek later joined SUNY Binghamton and pursued his PhD degree in the same field as me - steganography and digital watermarking. We became professional colleagues and today we work together on puzzles of data hiding and discovering them in digital images. After 14 years, our journeys joined again - two top Czech speed cubers uncovering the secrets of images.

That's all folks. Thanks for reading!  

![Home page ][7][ ][8][ ![Cube page ][9]][10]  

[1]: http://www.nsta.org/quantum/foreign.asp
[2]: http://remus.rutgers.edu/~rhoads/Fun/Rubik.hints
[3]: http://www.ws.binghamton.edu/cubewrld.html
[4]: http://kociemba.org/cube.htm
[5]: http://www.math.ucf.edu/~reid/Rubik/optimal_solver.html
[6]: http://www.math.rwth-aachen.de/~Martin.Schoenert/Cube-Lovers/
[7]: http://www.ws.binghamton.edu/images/back.gif
[8]: http://www.ws.binghamton.edu/
[9]: http://www.ws.binghamton.edu/images/cubepg.gif
[10]: http://www.ws.binghamton.edu/cube.html

