---
created_at: '2013-02-24T12:33:33.000Z'
title: Almost Too Beautiful (2003)
url: http://www.cnvill.net/mfkgann2.htm
author: quesebifurcan
points: 93
story_text: ''
comment_text: 
num_comments: 47
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1361709213
_tags:
- story
- author_quesebifurcan
- story_5273983
objectID: '5273983'

---
[Source](http://www.cnvill.net/mfkgann2.htm "Permalink to Almost Too Beautiful by Kyle Gann")

# Almost Too Beautiful by Kyle Gann


| ----- |
|  [[Morton Feldman Page]][1] [[List of Texts]][2] | 

# Almost Too Beautiful

## by Kyle Gann

_On 25th October 2003, as part of the _When Morty Met John: John Cage/Morton Feldman Festival_ at Carnegie Hall, New York, USA, the Flux Quartet played Feldman's _String Quartet 2_. The next day, Kyle Gann wrote the following review of the event, originally published in his online web log._

Is it really necessary for a string quartet to be six hours long? Of course not - it would be an easy matter for someone to take a pair of scissors to Morton Feldman's String Quartet No. 2 and cut it down to a far more efficient, concise, nonredundant piece of three hours or less. But one of the points Feldman made with his usual breathtaking eloquence is that art is one of those areas of human life in which efficiency is not an asset. As author John Ralston Saul has argued, efficiency is not a good thing in itself, but something we should apply only to aspects of life we don't care about. It's the opposite of love. We want our garbage taken out efficiently, we want our driver's license renewed efficiently, but someone who advocated efficient child-rearing - eliciting maximum good behavior in return for a minimum of parental attention - would be a heartless brute. Likewise, it would be brutish to want efficiency in our artistic experience, and Feldman's panoramic quartet is a celebration of inefficiency, of what art could become had we only world enough and time. 

Just in case you've missed out on the last 25 years of contemporary music - and I could hardly blame you, so little attention is drawn to it - Morton Feldman was the greatest composer of the late 20th century. Or at least he looks that way. More significant than the accuracy or prematurity of the assessment is the fact that a remarkable percentage of young composers would concur with it. In the current Babel of musical styles, Feldman is almost the only composer (another might be Nancarrow, whose mechanical methods of writing for player piano, however, have not been as widely assimilated) whose music appeals across stylistic boundaries, among minimalists, postserialists, 12-tone holdouts, electronic composers, academics, Downtowners, MAX programmers, DJ artists, and other miscellaneous wastrels. His cross-cultural appeal comes from the fact that he created a postmodern sense of form - long, slow musical continua played in uniformly quiet dynamics - while holding onto the basic modernist pitch vocabulary of dissonant intervals. In other words, he deftly sidestepped the crisis of ever-increasing modernist complexity without giving in to what was seen as the vapid anti-intellectualism of minimalist consonance and tonality. Even more than that, by writing in his late years works of a continuous 90 minutes, three hours, four hours, even six hours in length, he reclaimed for the dispirited modern composer a sustainable measure of magnificent ambition, a pride in occupying an audience's time. Quietly but vehemently he asserted for all of us that new music is worth sitting still for, practicalities be damned. In addition to which, as his friend John Cage said, his music is "almost too beautiful." 

The Second Quartet, dating from 1983, is a vast musical quilt of recurring sonic objects - ostinatos (repeating melodic snippets) of four chromatic notes over and over; brief, returning atonal melodies; rotating progressions of three chords with a waltz-like feel; Webernesque motives that cancel each other out in quiet arguments; quick, rustling pizzicato textures; even one extended moment of jazzy syncopation. The work was given a truncated, hurried runthrough by the Kronos Quartet at New Music America in Miami in 1988 (the full piece was beyond their physical stamina), but received its real full-scale premiere in recent years from Manhattan's fearless Flux Quartet, who were brought back to recap the achievement in Zankel Hall October 25 as part of the festival "When Morty Met John" (as in Feldman and Cage). The instantaneous standing ovation and outburst of bravos that greeted the Flux players after six hours of pianissimo intensity was as rousing a recognition of heroism as I've ever heard at a concert. Violinists Tom Chiu and Jesse Mills, violist Max Mandel, and cellist Dave Eggar played from 6:12 to 12:05 without any but the most momentary break, yet if they were any more tired during the last hour than during the first there was no audible sign of it, just an occasional neck or shoulder stretch. Hour after hour they played harmonies and little fragments of counterpoint in exact rhythmic unison, as with one heart, and with the extraordinarily sustained tension that Feldman's music requires. Through this and other recent feats, the Flux - if they can only keep their personnel together - have proved themselves an American Arditti Quartet: not as hip, pop, or vernacular as the quartet Ethel, perhaps, but the people you need to bring in when someone's given the quartet repertoire a particularly difficult nut to crack. 

A couple years ago I wrote an article about the String Quartet II for the _New York Times_ \- about the best thing I've ever written for them, I think - which can be found [here][3] (for a small charge via Qpass), and I refer the reader to that for a fuller description of the piece. [...] What interests me more today, finally having heard the Second Quartet live, is the strange social situation of being psychically trapped in a hall with dozens of other audience members and a six-hour sonic boa constrictor. Before beginning, cellist Eggar invited the audience to move around, and even to come up onstage and occupy the rugs and extra chairs that had been provided. When he was done, an audience member shouted "Good luck!", and Eggar responded, "Good luck to you too. You have to work as hard as we do, or it isn't fair." There were those (besides the quartet, I mean) who sat in one place for the whole 353 minutes, but most seemed to enjoy the freedom to move, and as soon as someone left a position on those rugs, it was quickly filled again. I doubt that anyone scoped out more acoustic vantage points than _Times_ critic John Rockwell, who's had a long history with the piece (he tried to bring the Kronos to play it at Lincoln Center, and they reneged), and who checked out Zankel Hall from every angle. Me, I value comfort over acoustics, and I moved only once, to a side seat that offered leg room. 

You enter into any concert with some expectation of when you'll be getting up again, but there's a special kind of crisis in knowing that the music is going to last six hours, nonstop. Such music mandates more informality than the general classical concert: the fact that I _could_ have laid down was comforting, even if I didn't avail myself of it. At any given moment a few audience members were in motion, but everyone was as quiet and reverent as a room of typically clumsy homo sapiens could possibly be. For me the most difficult point was around 8 PM, the point at which a normal concert would have ended. I took a restroom break, and a longer one around 9:45. At 9 I counted the audience members: there were 149, not counting the people I couldn't see in the balcony above me, in a hall that seated (I was told) 750. That was a slightly smaller crowd than we had started with, I think, though in the evening's final two hours it appeared to me that we didn't lose a soul. Everyone in that hall knew what they had come for, and even for the one or two people who read the _Times_ and _Village Voice_ while listening, staying to the end was patently a badge of honor. (Not at all like the New York premiere of the hour-long Feldman _First Quartet_ in 1979, which, according to Sandow's _Voice_ review, lost much of its audience.) I really wasn't bothered by Zankel Hall's soft rumble of subway trains that's been so widely written about - I'm used to that from lots of New York venues - but there was one bad, long moment in which a booming bass line from the Emmylou Harris concert upstairs imposed a tonality on Feldman's texture that he never intended. I like Emmylou Harris as much as anyone (that's a bald-faced lie, actually), but "no C&W during Feldman festivals" might be a sane policy for Carnegie to pursue. 

By 10:30 something interesting had definitely happened to the audience. Fidgeting stopped, and focus had palpably increased. Sleepiness was very little in evidence; my only bout with it came in the first half-hour, I having just finished dinner. In that last 90 minutes the audience was reduced, or elevated, to a kind of religious awe, or freed from the usual need for action, as if resigned to some fate. Musical ideas repeated, but there was no way to keep track of chronology. Was that melody one from the beginning of the work, or had it only occurred a few moments ago? Like walking though a vast, undulating prairie landscape, we had only the vaguest and contradictory notion about where we were - until about 11:55, when suddenly the music switched to quiet chords that had an indistinct air of finality about them. Intermittent silences grew longer, and finally one arrived that seemed endless, until we broke it with a fortissimo of applause. 

Unlike Feldman's music for piano, percussion, voices, and other things (_For Philip Guston, Three Voices, Triadic Memories, Palais de Mari, Why Patterns?, Crippled Symmetry_), his music for string quartet isn't pretty - it's grainy, rough, scratchy with harmonics and occasionally even harsh. It's phenomenal how little his conception of string quartet changed over a lifetime: so many passages in String Quartet II echo images from _Structures_, the repetitive little quartet he wrote in 1951 and which establishes his claim as a precursor of the minimalists. There are early passages in SQII that just wave back and forth on a whole-step for many seconds at a time, and several times in the first couple of hours I couldn't concentrate well, and started wondering what I was doing trapped in Zankel Hall on a lovely, crisp evening. But by that final two hours I was, however, not exactly caught up in the music, but surrounded by it, subdued by it, quelled. If I could have the magical experience of that final two hours without going through the first four, I would, but how would that be possible? The music's effect is cumulative, creeping into your soul as it hardly deigns to notice you exist. And by the time those final chords come, filling you with an unexpected panic that the music is about to end, the sonic images you remember have become - almost too beautiful... almost too beautiful. 

| ----- |
|  [[Morton Feldman Page]][1] [[List of Texts]][2] | 

[1]: http://www.cnvill.net/mfhome.htm
[2]: http://www.cnvill.net/mftexts.htm
[3]: http://query.nytimes.com/gst/abstract.html?res=F40811FF34580C748DDDAB0894DA404482

