---
created_at: '2014-02-02T14:35:43.000Z'
title: Is Math a Young Man's Game? (2003)
url: http://www.slate.com/articles/life/do_the_math/2003/05/is_math_a_young_mans_game.html
author: danso
points: 54
story_text: ''
comment_text: 
num_comments: 84
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1391351743
_tags:
- story
- author_danso
- story_7166094
objectID: '7166094'

---
[Source](http://www.slate.com/articles/life/do_the_math/2003/05/is_math_a_young_mans_game.html "Permalink to Is math a young man's game?")

# Is math a young man's game?

[ Slate logo ][3]

[Sign In][4] [Sign Up][4]

# Is math a young man's game?

# Is math a young man's game?

[ ][4]

[ ][4]

[ ][5] [ ][6]

[ Slate logo ][3]

[Sign In][4] [Sign Up][4]

[Slate][7]

[Do The Math][8]

A mathematician's guide to the news.

May 16 2003 10:39 AM

# Is Math a Young Man's Game?

[ ][4]

[ ][4]

[ ][5]

## No. Not every mathematician is washed up at 30.

By [Jordan Ellenberg][9]

[ ][5]

[ ][4]

[ ][4]

[ ][10]

[   ][11]

![Illustration by Mark Alan Stamaty][12]

Last month at MIT, mathematician Grigori Perelman delivered a series of lectures with the innocuous title "Ricci Flow and Geometrization of Three-Manifolds." In the unassuming social universe of mathematics, the equally apt title "I Claim To Be the Winner of a Million-Dollar Prize" would have been considered a bit much. Perelman claims to have proved Thurston's geometrization conjecture, a daring assertion about three-dimensional spaces that implies, among other things, the truth of the century-old Poincaré conjecture. And it's the Poincaré conjecture that, courtesy of the Clay Foundation, carries a [million-dollar bounty][13]. If Perelman is correct—and many in the field would bet his way—he's made a major and unexpected breakthrough, brilliantly using the tools of one field to attack a problem in another.

Advertisement    

There's only one problem with this story. Perelman is almost 40 years old.

In most people's minds, a 40-year-old man is as likely to be a productive mathematician as he is to be a major league center fielder or an interesting rock musician. Mathematical progress is supposed to occur not through decades of experience and toil but all at once, in a numinous blaze, to a born genius. Think of the young John Nash in _A Beautiful Mind_, discovering the Nash equilibrium in a smoky bar where his less precocious classmates think they're just picking up coeds, or the aged mathematician in _Proof_ who "revolutionized the field twice before he was twenty-two."

It's not hard to see where the stereotype comes from; the history of mathematics is strewn with brilliant young corpses. Evariste Galois, Gotthold Eisenstein, and Niels Abel—mathematicians of such rare importance that their names, like Kafka's, have become adjectives—were all dead by 30. [Galois][14] laid down the foundations of modern algebra as a teenager, with enough spare time left over to become a well-known political radical, serve a nine-month jail sentence, and launch an affair with the prison medic's daughter; in connection with this last, he was killed in a duel at the age of 21. The British number theorist G.H. Hardy, in _ [_A Mathematician's Apology_][15]_, one of the most widely read books about the nature and practice of mathematics, famously wrote: "No mathematician should ever allow himself to forget that mathematics, more than any other art or science, is a [young man's game][16]."

For the notion of the inspired moment of mathematical creation, we have Henri Poincaré himself partially to thank. [Poincaré][17]  was not only a monumental figure in the mathematics of the late 19th century but a popular writer on science, creativity, and philosophy. In a famous 1908 lecture at the Société de Psychologie in Paris, he recounted his discovery, at the age of 28, of a principle underlying the theory of automorphic functions.

> Just at this time I left Caen, where I was then living, to go on a geological excursion under the auspices of the school of mines. The changes of travel made me forget my mathematical work. Having reached Countances, we entered an omnibus to go some place or other. At the moment when I put my foot on the step the idea came to me, without anything in my former thoughts seeming to have paved the way for it, that the transformations I had used to define the Fuchsian functions were identical with those of non-Euclidean geometry. I did not verify the idea; I should not have had time, as, upon taking my seat in the omnibus, I went on with a conversation already commenced, but I felt a perfect certainty. On my return to Caen, for conscience's sake I verified the result at my leisure.

Advertisement    

Poincaré's story is the most famous contemporary account of mathematical creation. (If we throw open the competition to all time periods, it must take second place to Newton's apple and [Archimedes in the tub][18], which speak to approximately the same theme.) Poincaré recognizes that mathematics requires both moments of illumination and months of careful deduction. "[L]ogic and intuition," he writes, "have each their necessary role. Each is indispensable." But he can't quite conceal his preference for the intuitive leap over the logical slog.

The youthful genius, the instant of insight: The pictures fuse into a romantic vision of the mathematician as a passive conduit for inspiration. As Carl Friedrich Gauss wrote of one of his own triumphs, "I succeeded, not on account of my painful efforts, but by the grace of God. Like a sudden flash of lightning, the riddle happened to be solved."

Every working mathematician feels the truth of the stories Hardy, Poincaré, and Gauss tell. And yet: There's Perelman, pushing 40, and Andrew Wiles, 41 at the time of the final resolution of [Fermat's Last Theorem][19]. Today one doesn't find mathematicians who revolutionize their field—even once—before the age of 22.

What's changed? For one thing, there's simply much more mathematics to learn than there was 100 years ago. The undergraduate curriculum at Princeton brings students to the state of the art in research—as it was around the time of Poincaré's death in 1912. A year of backbreaking work in graduate school suffices to turn the clock forward to 1950 or so. At the age when a contemporary student first opens a current research journal, Galois had already been dead for two years (footnote: apologies to Tom Lehrer). In literature, _pace_ Harold Bloom, it's possible to produce a great work without a deep knowledge of the work that went before. Not so in mathematics, not any more; maybe, in fact, not ever.

Poincaré's conjecture is an assertion about certain three-dimensional shapes. We say a shape is _simply connected_ if any loop drawn in the shape can be pulled closed to a point without leaving the shape. The surface of a sphere, for instance, is simply connected, but the surface of a doughnut is not; a loop along the outer "equator" of the doughnut can't be contracted to a point unless it departs, at some moment, from the doughnut's surface. The property of being simply connected, the reader will note, doesn't depend on how big or small the shape is; and it doesn't change if the shape is bent, twisted, or otherwise deformed. You might say the property is quite robust; and the study of such robust properties of shapes is the mathematical field of [topology][20], which Poincaré more or less invented in the late 19th century. (The reader who's seen other nontechnical accounts of the subject will forgive me, I hope, for perpetuating the fiction that the whole field of topology is actually confined to the study of spheres and doughnuts. There are other shapes, I promise: They're just harder to describe.)

Poincaré was able to prove that if a two-dimensional surface was simply connected, it was _automatically_ some bent, twisted, and deformed version of the sphere. His conjecture—phrased so loosely that I don't advise you to think about it yourself without further reading—is that the same is true for three-dimensional shapes. Poincaré couldn't have made this conjecture absent his years of study of topology, or the earlier theorems he'd carefully proved, or the earlier conjectures on the same theme he'd tried out and found to be false. But neither could he have made such a bold guess without the kind of wild intuition he valued above all. It's only in the presence of both conditions—deduction and inspiration, long experience and youthful audacity—that new math gets made, as it was made by Perelman, and as it was made on the day Poincaré wrote down his conjecture. He was 50 years old.

[SINGLE PAGE][21]

* [1][4]
* [2][22]
* [NEXT][22]

[ ][4]

[ ][4]

[ ][5]

[ ][5]

[ ][4]

[ ][4]

[ ][23]

[   ][24]

Load Comments

[Powered by Livefyre][25]

[ Slate logo ][3]

[Sign In][4] [Sign Up][4]

FOLLOW SLATE

* [Twitter][26]
* [Facebook][27]
* [Instagram][28]

SLATE ON

* [IPHONE][29]
* [ANDROID][30]
* [KINDLE][31]
* [Reprints][32]
* [Advertise with us][33]
* [ABOUT US][34]
* [CONTACT US][35]
* [WORK WITH US][36]
* [USER AGREEMENT][37]
* [PRIVACY POLICY][38]
* [FAQ][39]
* [FEEDBACK][40]
* [CORRECTIONS][41]

Slate Group logo

Slate is published by The Slate Group, a Graham Holdings Company. All contents © 2018 The Slate Group LLC. All rights reserved.

[Slate][3]

[ Slate logo ][3]

[Sign In][4] [Sign Up][4]

[ ][4] [ ][4] [ ][5]

[1]: http://b.scorecardresearch.com/p?c1=2&c2=18406752&c3=&c4=http://www.slate.com/articles/life/do_the_math/2003/05/is_math_a_young_mans_game.html&c5=&c6=&c15=&cj=1
[2]: http://pixel.quantserve.com/pixel/p-fw53_-Tq3MNK1.gif
[3]: http://www.slate.com/
[4]: http://www.slate.com#
[5]: http://www.slate.com#comments
[6]: mailto:?subject=Check%20out%20this%20piece%20on%20Slate&body=I%20thought%20you%20might%20like%20this%20article%20on%20Slate:%0AIs%20math%20a%20young%20man%27s%20game%3F%0Ahttp://www.slate.com/articles/life/do_the_math/2003/05/is_math_a_young_mans_game.html?wpsrc=sh_all_dt_em_ru
[7]: http://www.slate.com
[8]: http://www.slate.com/articles/life/do_the_math.html
[9]: http://www.slate.com/authors.jordan_ellenberg.html
[10]: whatsapp://send?text=Is%20math%20a%20young%20man%27s%20game%3F%20http%3A%2F%2Fwww.slate.com%2Farticles%2Flife%2Fdo_the_math%2F2003%2F05%2Fis_math_a_young_mans_game.html%3Fwpsrc%3Dsh_all_mob_wa_top
[11]: mailto:?subject=Check%20out%20this%20piece%20on%20Slate&body=I%20thought%20you%20might%20like%20this%20article%20on%20Slate:%0AIs%20math%20a%20young%20man%27s%20game%3F%0Ahttp://www.slate.com/articles/life/do_the_math/2003/05/is_math_a_young_mans_game.html?wpsrc=sh_all_mob_em_top
[12]: http://www.slate.com/content/dam/slate/archive/2003/05/71_030414_mathyoungmen.jpg.CROP.original-original.jpg "71_030414_mathyoungmen"
[13]: http://www.claymath.org/Millennium_Prize_Problems
[14]: http://www-gap.dcs.st-and.ac.uk/~history/Mathematicians/Galois.html
[15]: http://search.barnesandnoble.com/textbooks/booksearch/isbnInquiry.asp?userid=2VXL2BZ3NV&isbn=0521427061&TXT=Y&itm=1
[16]: http://www.slate.com/id/2082962
[17]: http://www-gap.dcs.st-and.ac.uk/~history/Mathematicians/Poincare.html
[18]: http://www.sciencenet.org.uk/Origins/eureka.html
[19]: http://www.pbs.org/wgbh/nova/proof/
[20]: http://www.math.wayne.edu/~rrb/topology.html
[21]: http://www.slate.com/articles/life/do_the_math/2003/05/is_math_a_young_mans_game.single.html
[22]: http://www.slate.com/articles/life/do_the_math/2003/05/is_math_a_young_mans_game.2.html
[23]: whatsapp://send?text=Is%20math%20a%20young%20man%27s%20game%3F%20http%3A%2F%2Fwww.slate.com%2Farticles%2Flife%2Fdo_the_math%2F2003%2F05%2Fis_math_a_young_mans_game.html%3Fwpsrc%3Dsh_all_mob_wa_bot
[24]: mailto:?subject=Check%20out%20this%20piece%20on%20Slate&body=I%20thought%20you%20might%20like%20this%20article%20on%20Slate:%0AIs%20math%20a%20young%20man%27s%20game%3F%0Ahttp://www.slate.com/articles/life/do_the_math/2003/05/is_math_a_young_mans_game.html?wpsrc=sh_all_mob_em_bot
[25]: http://livefyre.com
[26]: https://twitter.com/slate
[27]: http://www.facebook.com/Slate
[28]: https://instagram.com/slate
[29]: http://itunes.apple.com/us/app/slate-com/id357555242?mt=8
[30]: https://market.android.com/details?id=com.wapo.slate.android
[31]: http://www.amazon.com/gp/product/B000IOMTC0?ie=UTF8&tag=slatmaga-20&link_code=as3&camp=211189&creative=373489&creativeASIN=B000IOMTC0/
[32]: http://www.slatereprints.com
[33]: mailto:advertise%40slate.com
[34]: http://www.slate.com/articles/news_and_politics/slate_fare/2006/08/about_us.html
[35]: http://www.slate.com/articles/briefing/contact_us/2006/08/whereto_find_slate_staff.html
[36]: http://www.slate.com/articles/news_and_politics/slate_fare/2008/04/a_job_for_you_at_slate.html
[37]: http://www.slate.com/articles/briefing/slate_user_agreement_and_privacy_policy/2012/12/slate_s_terms_of_service.html
[38]: http://www.slate.com/articles/briefing/slate_user_agreement_and_privacy_policy/2012/12/slate_s_privacy_policy.html
[39]: http://www.slate.com/articles/briefing/slate_fare/2011/12/commenting_on_slate_frequently_asked_questions.html
[40]: mailto:feedback%40slate.com
[41]: http://www.slate.com/articles/news_and_politics/corrections.html

