---
created_at: '2016-02-07T17:51:24.000Z'
title: Pixel interpolation methods in ImageMagick (2004)
url: http://www.imagemagick.org/Usage/misc/#interpolate
author: networked
points: 48
story_text: 
comment_text: 
num_comments: 5
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1454867484
_tags:
- story
- author_networked
- story_11053823
objectID: '11053823'

---
[Source](http://www.imagemagick.org/Usage/misc/ "Permalink to Miscellaneous -- IM v6 Examples")

# Miscellaneous -- IM v6 Examples

# ImageMagick v6 Examples --   
![][1] Miscellaneous

**Index** ![][2][ ImageMagick Examples Preface and Index][3] : ![][4][ Interpolation][5] (Inter-pixel Color Lookups)
* [Simple Interpolation Methods][6]
* [Bilinear][7],  [Mesh][8],  [Catrom][9],  [Spline][10]
* [Interpolate on a Background][11]
* [Interpolate of a Rotated Line][12]
* [Interpolate of a Rotate Edge][13] : ![][4][ Virtual Pixels][14] (Missed-Image Color Lookups)
* [Edge][15],  [Tile][16],  [Mirror][17],  [Transparent][18],  [Black][19],  [Gray][20],  [White][21],  [Background][22],   
[HoriziontalTile][23],  [HoriziontalTileEdge][24],  [VerticalTile][25],  [VerticalTileEdge][26],   
[CheckerTile][27],  [Random][28],  [Dither][29]
* [Virtual Pixel and Infinities][30]
* [Virtual Pixel Colors][31]
* [Virtual Pixel Examples][32]
* [Implosion Effects on Virtual Pixels][33] : ![][4][ Random Spots of Solid Color][34] : ![][4][ Annotate Argument Usage][35] ![][1] : ![][4][ Splice: Creating a New Image Operator][36] : ![][4][ Border, Frame, and the use of BorderColor][37] : ![][4][ List Operator Testing][38]

This page consists of examples which test various aspects of ImageMagick. But which do not properly fit into the discussions on the other example pages (at least not formally). 

Also included on this page are some tables demonstrating the results of versions argument with specific IM operators. However other people have also done this, which unless I have something to add, I will not deal with further. 

* * *

## Pixel Interpolation  or Inter-pixel Color Lookup

The "[`-interpolate][39]`" setting is used when looking up a color in a source image, but that 'lookup point' falls between the pixels of the source image. 

This is done in various image operations, such as the "[`-fx][40]`" ([DIY Special Effects Operator][41]), and "[`-distort][42]`" ([Generalized Image Distortion Operator][43]), as well as other related operators like the [Circular Distortions][44]. 

Basically 'interpolation' tells IM how to interpret a [Direct Color Lookup][45] from an image, when the point does not exactly match a actual pixel in an image, but falls in the space between pixels. 

For example if you look up the color at pixel location `3,4` you should get the exact pixel color. But what should IM return if you looked up the color of an image at the point `3.23,4.75`? Should you get the pixel color at `3,4` or `3,5`? or perhaps some a mix of the surrounding pixels colors, and if so how should the colors be merged together? 

**_Pixel Interpolation_ defines what ImageMagick should do when looking up a single color at a floating point position (in pixel coordinates). **

Interpolation is in some ways similar to pixel resampling, such as provided by [Resampling Filters][46]. The essentual difference is that resampling has a 'scale', 'area' or variable 'window' from which a color that represents all the pixels in the area is returned. Interpolation does not have a 'scale' involved, only a single 'point' of lookup, and only a fixed sized 'area' around that point from which to determine the color to use at that point. 

Of course most area resampling algorithms tend to devolve to a interpolative method when the area of resampling reaches a minimim working 'window', and this naturally happens when images are being enlarged, or upsampled. This is why [Interpolated Filters][47] and [Gaussian Blurring Filters][48] tend to work better for enlarging images. 

Interpolation is basically a lower form of sampling, and is basically used when you want a simple and fast answer to the 'what color' question. 

### Simple Interpolation Methods

These are straight forward, simple methods, that try to do as lettl as posible to return a color to use from a 'point interpolation' 

The simplest is '**`Nearest`**' and '**`Integer`**', will just pick a single pixel color from the source image, as it without any mixing or other blending effects. This preserves original color values of the image but at a cost of aliasing effects, and typically a less than smooth look to images. 

| ----- |
|  ![][49]![][1] |  _ As of IM v6.7.6-2 you can use '`Nearest`' as a short hand for the '`Nearest-Neighbour`' interpolation setting. _ | 

The two are very similar, only differing in which pixel the lookup coordinate extracts from the source image. Specifically '`Integer`' will simply round down the lookup point to select the pixel, which results in a general translation half a pixel right and downward. It is typically only used in simplified 'scaling' of the source image. On the other hand '`Nearest`' will select the closest pixel to the floating point lookup coordinate, and as such produces a more correct result.

'**`Blend`**' Will blend together (average) the nearest 1, 2 or 4 pixels, depending on their distance from the sampling point. The result is that the original pixel color is still present, but halved in size, while a checkerboard of blended colors fills space between. (see example below) 

'**`Average`**', will never actually produce an exact color match, but will always mix the 4 surrounding pixels to produce a local average. This can be useful for color lookup situations. '`Average4`' can also be used an an alias for this interpolation method. 

'**`Average9`**' is similar but will average the nearest 9 pixels around the sampling point, producing a blurry result. 

'**`Average16`**' will average the nearest 16 pixels around the sampling point, producing an extrememly blurry result. 

Here is a summery of the various simple interpolation methods, when enlarging a small group of colored pixels, or a single white pixel. The original image looks like the "Nearest" result, but much smaller. 

| ----- |
| 
    
    
      for method in  integer nearest blend average average9 average16 ; do
        convert ( xc:red xc:blue +append ) 
                ( xc:yellow xc:cyan +append ) -append 
                -bordercolor black -border 1 
                -filter point -interpolate $method 
                +distort SRT 20,0 ip_color_${method}.jpg
        convert xc: -bordercolor black -border 2 
                -filter point -interpolate $method 
                +distort SRT 16,0 ip_pixel_${method}.jpg
      done
    

 | 

| ----- |
|  ![\[IM Output\]][50] ![\[IM Output\]][51] ![\[IM Output\]][52] ![\[IM Output\]][53] ![\[IM Output\]][54] ![\[IM Output\]][55] 
|  ![\[IM Output\]][56] ![\[IM Output\]][57] ![\[IM Output\]][58] ![\[IM Output\]][59] ![\[IM Output\]][60] ![\[IM Output\]][61] 
|  Integer Nearest Blend Average Average9 Average16 

| ----- |
|  ![][49]![][1] |  _ Before IM v6.7.7-6 '`Average`' was actually equivalent to which is now '`Average16`'. The other two averging interpolators as well as '`Blend`', and '`Background`' was added at this time. _ | 

One other simple interpolation method is also provided, '**`Background`**' which simply returns the current background color for any 'sampling' of the source image. In many ways this is rather usless, as typically you will just end up with a blank solid colored image. 

Its primary use is as a check of more complex resampling functions, such as a [Resampling Failure][62], where the EWA resampling filter (typically used from the [General Distortion Operator][43]) will fall back to a interpolated lookup when resampling fails to find any pixels in its 'support' or resampling area. 

By setting interpolation to '`Background`', and setting a background color to something that stands out (like '`red`') you can then look for pixels in the resulting image to see where resampling 'failed' or 'missed all source image pixels' for some reason or another. Typically due to too small a support setting, or from playing with expert filter options. 

_FUTURE: Posible future interpolation option of "random" selection over the interpolated area. Could be useful for fancy interpolated effects!_

### Bilinear

'**`Bilinear`**' (or linear interpolation) is the **default interpolation method**, and probably one of the simplest ways of getting a real interpolated result, from combining colors of the pixels around the lookup or sampling point. 

Here is a diagram explaining how a bilinear interpolation works. 

![\[diagram\]][63]

That is to say, it simply connects striaght lines in the orthogonal directions to locate the color of the given sampling point. The result is also equivelent to a [Triangle Resampling Filter][64], when used with resize. 

| ----- |
| 

| 

    
    
      convert ( xc:red xc:blue +append ) 
              ( xc:yellow xc:cyan +append ) -append 
              -size 100x100 xc: +swap  -fx 'v.p{i/(w-1),j/(h-1)}' 
              interpolate_bilinear.jpg
    

 | 

 |  ![\[IM Output\]][65]  | 

| ----- |
| 

| 

    
    
      convert ( xc:white xc:black +append ) 
              ( xc:black xc:white +append ) -append 
              -size 100x100 xc: +swap -fx 'v.p{i/(w-1),j/(h-1)}' 
              interpolate_saddle.jpg
    

 | 

 |  ![\[IM Output\]][66]  | 

This last image shows how a linear gradient is formed along the edges between the four known points, and then a second linear gradient is formed between those edges. That is the colors between the surrounding pixels is generated using a horizontal and vertical linear gradients. 

This inturn produces a curved 2 dimensional gradient that is typically known as a 'saddle', in that it is rasied on two oppisite corners and lowered on the other two corners. 

You can even use this method to more directly generate a 45 degree angled linear gradient, but requires you to specify the middle color for the diagonally opposite corners. 

| ----- |
| 

| 

    
    
      convert ( xc:blue xc:navy +append ) 
              ( xc:navy xc:black +append ) -append 
              -size 100x100 xc: +swap -fx 'v.p{i/(w-1),j/(h-1)}' 
              interpolate_45linear.jpg
    

 | 

 |  ![\[IM Output\]][67]  | 

The most important aspect of this default interpolation method, is that the very center pixel of the image will always be an average of all four corner colors, with perfect linear gradients at the edges, and exact color matching at the corners. 

### Mesh

The "[`-interpolate][39]`" setting of '`Mesh`' is a variation of the '[`Bilinear][7]`' interpolation. Where as '`Bilinear`' will produce a 3 dimensional curved surface, '`Mesh`' was designed to split the inter-pixel area into two flat triangular surfaces. 

The division of the area into two triangles is based on the diagonal with the two 'closest' corner colors. 

| ----- |
|  ![][68]![][1] |  _ For details of the '`Mesh`' algorithm, see the paper [Image Interpolation by Pixel-Level Data-Dependent Triangulation][69]. _ | 

For example lets use the same set of corner colors we used above. 

| ----- |
| 

| 

    
    
      convert ( xc:red xc:blue +append ) 
              ( xc:yellow xc:cyan +append ) -append 
              -size 100x100 xc: +swap   -interpolate Mesh 
              -fx 'v.p{i/(w-1),j/(h-1)}'    interpolate_tri-mesh.jpg
    

 | 

 |  ![\[IM Output\]][70]  | 

As you can see the '`Mesh`' algorithm produced almost exactly the same set of color interpolations as '[`Bilinear][7]`'. 

However if we reverse the yellow and cyan colors.. 

| ----- |
| 

| 

    
    
      convert ( xc:red xc:blue +append ) 
              ( xc:cyan xc:yellow +append ) -append 
              -size 100x100 xc: +swap   -interpolate Mesh 
              -fx 'v.p{i/(w-1),j/(h-1)}'    interpolate_tri-mesh2.jpg
    

 | 

 |  ![\[IM Output\]][71]  | 

This time the '`Mesh`' algorithm decided that the '`blue`' and '`cyan`' colors were the two closest corners, and created a linear gradient diagonally between these two corners. The rest of the colors then form a simple flat triangular gradient from this line to the other two corners. 

This may seem like a unusual interpolation, but the method ensures that sharp borders, remain quite sharp, when color images are only slightly resized, rotated or sheared. In fact a [Adaptive Resize][72] operation ("[`-adaptive-resize][73]`") uses this fact for small image resizes to reduce excessive blurring of the result. 

For example if we have a single 'white' corner, '`mesh`' assumes that an edge has been found and adjusts the interpolated colors to highlight this edge. 

| ----- |
| 

| 

    
    
      convert ( xc:black xc:black +append ) 
              ( xc:white xc:black +append ) -append 
              -size 100x100 xc: +swap    -interpolate Mesh 
              -fx 'v.p{i/(w-1),j/(h-1)}'    interpolate_tri-mesh3.jpg
    

 | 

 |  ![\[IM Output\]][74]  | 

Of course if the colors produce reasonably consistent gradient the 'mesh' interpolation also produces a reasonably consistent gradient. 

| ----- |
| 

| 

    
    
      convert ( xc:blue xc:navy +append ) 
              ( xc:black xc:black +append ) -append 
              -size 100x100 xc: +swap    -interpolate Mesh 
              -fx 'v.p{i/(w-1),j/(h-1)}'    interpolate_tri-mesh4.jpg
    

 | 

 |  ![\[IM Output\]][75]  | 

As you can see the result quite a reasonable gradient, though if you look hard you can see the diagonal join of the two separate triangles. The change isn't as smooth as bi-linear (which isn't exactly smooth either) but these do not try to preserve the sharp edges in resized or distorted images either. 

### Catrom (Catmull-Rom)

The "[`-interpolate][39]`" setting of '`Catrom`' (generally imprecisely known as '`BiCubic`' interpolation), is more complex, in the determination of the colors of a point lookup. Basically it does not just look at the colors in the corners of the inter-pixel area, but goes further to look at the colors beyond those nearest-neighbour pixels. A total of 16 pixels in a 4x4 area around the sampling point. 

Basically it fits a curve to the whole area involved, so as to determine the best overall color to use. 

Here is a diagram which probably explains the process better... 

![\[diagram\]][76]

And here is the interpolated colors for our standard four colors. 

| ----- |
| 

| 

    
    
      convert ( xc:red xc:blue +append ) 
              ( xc:yellow xc:cyan +append ) -append 
              -size 100x100 xc: +swap   -interpolate Catrom 
              -fx 'v.p{i/(w-1),j/(h-1)}'    interpolate_catrom.jpg
    

 | 

 |  ![\[IM Output\]][77]  | 

The above image may look very similar to a '[`Bilinear][7]`' interpolation, however the result has a smoother blending curve rather than straight lines to produce the interpolated color. 

What this image does not show however is the effect of the other pixels surrounding our four near neighbours. For that we need to look at a slightly larger area. For this specific (very small) example the surrounding pixels are controled by the [Virtual Pixel][78] setting. 

| ----- |
| 
    
    
      convert ( xc:red xc:blue +append ) 
              ( xc:yellow xc:cyan +append ) -append 
              -size 100x100 xc: +swap -interpolate Catrom -virtual-pixel edge 
              -fx 'v.p{3*i/(w-1)-1, 3*j/(h-1)-1}'   interpolate_catrom_edge.jpg
      convert ( xc:red xc:blue +append ) 
              ( xc:yellow xc:cyan +append ) -append 
              -size 100x100 xc: +swap -interpolate Catrom -virtual-pixel White 
              -fx 'v.p{3*i/(w-1)-1, 3*j/(h-1)-1}'   interpolate_catrom_white.jpg
      convert ( xc:red xc:blue +append ) 
              ( xc:yellow xc:cyan +append ) -append 
              -size 100x100 xc: +swap -interpolate Catrom -virtual-pixel Black 
              -fx 'v.p{3*i/(w-1)-1, 3*j/(h-1)-1}'   interpolate_catrom_black.jpg
    

 | 

![\[IM Output\]][79] ![\[IM Output\]][80] ![\[IM Output\]][81]

| ----- |
|  ![][82]![][1] |  _ In a real image the effects of the [Virtual Pixels][78] usually only effects results near the very edges of the image. As this image is only 2 pixels wide, the above example is strongly effected. This is not the case in larger more typical images. _ | 

As you can see the curve is strongly influenced by the surrounding colors, resulting in either a very tight sharp color change, or a more blended color change as defined by the surrounding colors. 

However you can also see that strong changes in the surrounding pixel colors, can produce a small areas of that colors inverse or negative. This is a [Ringing Artefact][83] and is typically only seen on extremely sharp edges of complementary colors in a real image. 

| ----- |
|  ![][68]![][1] |  _ This ringing effect on very very strong color edges can become clipped resulting in a line of horrible pixels. This problem can be prevented by doing resizes and interpolation in a different colorspace than '`RGB`', such as '`Lab`' or '`Luv`' colorspaces. 

For more information and examples of this problem see [Resizing in LAB colorspace][84]. 

_ | 

| ----- |
|  ![][49]![][1] |  _ Note that '`BiCubic`' (interpolated [Cubic Filter][85]), refers to a very large family of filters, and as such is very inexact in its meaning. It is however still available, but its use is depreciated, in favor of more exact names. 

After IM v6.7.7-7 '`BiCubic`' is simply an alias to '`Catrom`', which is typically regarded as a good 'cubic interpolator' (b=0, c=1/2). You should use the name '`Catrom`' rather than '`BiCubic`' so as to be clear what you are using for interpolation. 

Before IM v6.7.7-7 '`BiCubic`' actually used an extreme 'Cardinal Cubic' filter (b=0, c=1) which has a overly strong negative ringing effect. This have been completely replaced by '`Catrom`', and is no longer available as a interpolative function. 

Before IM v6.3.5-3 '`BiCubic`' was implemented as a very blurry '`Spline`' cubic interpolator. That filter was renamed with this version of ImageMagick. (see next) 

_ | 

### Spline

The '`Spline`' interpolation method, like '[`Catrom][9]`' above, also uses the nearest 16 pixels. However this is a very blurry, Gaussian-like, interpolation. 

| ----- |
| 

| 

    
    
      convert ( xc:red xc:blue +append ) 
              ( xc:yellow xc:cyan +append ) -append 
              -size 100x100 xc: +swap   -interpolate spline 
              -fx 'v.p{i/(w-1),j/(h-1)}'    interpolate_spline.jpg
    

 | 

 |  ![\[IM Output\]][86]  | 

As you can see the colors in the very corners of the above '`Spline`' interpolation are muted, as the interpolated surface does not actually go through the original color of those pixels. Essentially it is overly 'blurred', and is more correctly known as a 'B-Spline' surface. 

The surface is still a type of [Cubic Filter][85] (b=1, c=0) as it generated using a technique of a piece-wise cubic curves. However this curve only approaches the original pixel colors, especially in areas of strong color changes. 

That is a interpolated lookup of an exact integer pixel position, will not return that actual pixels color, but a blurring of the color with the surrounding pixels. This is often thought of as bad, but can be used as a general smoothing function. 

Like '[`Catrom][9]`' it is also effected by the surrounding pixels. 

| ----- |
| 
    
    
      convert ( xc:red xc:blue +append ) 
              ( xc:yellow xc:cyan +append ) -append 
              -size 100x100 xc: +swap -interpolate Spline -virtual-pixel edge 
              -fx 'v.p{3*i/(w-1)-1, 3*j/(h-1)-1}'   interpolate_spline_edge.jpg
      convert ( xc:red xc:blue +append ) 
              ( xc:yellow xc:cyan +append ) -append 
              -size 100x100 xc: +swap -interpolate Spline -virtual-pixel White 
              -fx 'v.p{3*i/(w-1)-1, 3*j/(h-1)-1}'   interpolate_spline_white.jpg
      convert ( xc:red xc:blue +append ) 
              ( xc:yellow xc:cyan +append ) -append 
              -size 100x100 xc: +swap -interpolate Spline -virtual-pixel Black 
              -fx 'v.p{3*i/(w-1)-1, 3*j/(h-1)-1}'   interpolate_spline_black.jpg
    

 | 

![\[IM Output\]][87] ![\[IM Output\]][88] ![\[IM Output\]][89]

| ----- |
|  ![][82]![][1] |  _ In a real image the effects of the [Virtual Pixels][78] is only at the edges of the image. With real pixels surrounding the inter-pixel area from which the lookup is being made. _ | 

Here you can see the effects of the color muting that results from the badly fitting 'spline' curves to the pixel colors. The results is generally fuzzier edges to colored areas, and thin lines. However they also will never exhibit any negative 'ringing' effect that you may get with a '[`Catrom][9]`' interpolation. 

### Interpolation Background

As the effects of interpolation are often over larger areas, here is an enlargement of the four main interpolation methods with white or black surrounding pixels. 

| ----- |
| 
    
    
      for method in   bilinear mesh catrom spline  ; do
        for vpixel in   white black  ; do
          convert ( xc:red xc:blue +append ) 
                  ( xc:yellow xc:cyan +append ) -append 
             -size 100x100 xc: +swap -interpolate $method -virtual-pixel $vpixel 
             -fx 'v.p{3*i/(w-1)-1, 3*j/(h-1)-1}' ip_area_${method}_$vpixel.jpg
        done
      done
    

 | 

| ----- |
|  ![\[IM Output\]][90] ![\[IM Output\]][91] ![\[IM Output\]][92] ![\[IM Output\]][93] 
|  ![\[IM Output\]][94] ![\[IM Output\]][95] ![\[IM Output\]][96] ![\[IM Output\]][97] 
|  Bilinear Mesh Catrom Spline 

As you can see the surrounding background color has no real effect for '[`bilinear][7]`' interpolated colors. It looks like it is just overlaid onto whatever background color is present. 

You can however see how '[`mesh][8]`' generates stronger sharper edges, but can decide to flip the diagonal depending on the surrounding color, when it is involved at the image edges. Look at the join between red and blue, between the white and black backgrounds to see this 'flip'. 

The interpolated curve for '[`catrom][9]`' and '[`spline][10]`' is effected by the surrounding pixels. Particularly in the test cases involving absolute colors. 

And finally '`[spline][10]`' interpolation is really just gussian-like blurring of the image (using a sigma of 0.65). Enough blurring to eliminate any 'ringing' or aliasing effect, though typically it is too blurry for most uses. See [Gaussian Filters][48]. 

### Interpolation of a Rotated Line

Here I demonstrate the various interpolation methods by creating an image of a vertical line, and using a affine distortion to rotate the line by 17 degrees, then enlarging the view so you can see the anti-aliasing pixels generated. 

| ----- |
| 
    
    
      convert -size 10x20 xc: -draw 'line 4,0 4,20' 
              -scale 50x100 ip_line_none.gif
      for method in integer nearest bilinear mesh catrom spline;  do
        convert -size 10x20 xc: -draw 'line 5,0 5,20' 
                -interpolate $method -filter point -distort SRT 17 
                -scale 50x100 ip_line_${method}.gif
      done
    

 | 

| ----- |
|  ![\[IM Output\]][98]   
Un-Rotated |  ![==>][99] |  ![\[IM Output\]][100]   
Integer |  ![\[IM Output\]][101]   
Nearest |  ![\[IM Output\]][102]   
Bilinear |  ![\[IM Output\]][103]   
Mesh |  ![\[IM Output\]][104]   
Catrom |  ![\[IM Output\]][105]   
Spline | 

As you can see the direct color lookup methods '`Interger`' and '`NearestNeighbor`' produces a highly aliased result, but only use the original colors found in the image. The main difference between the two is that '`Interger`' tends to push the resulting image down and left by half a pixel. 

The '`Bilinear`', '`Mesh`' and '`Catrom`' generally produce very good and simular results (more on that later), with the latter producing a very sharp rotated line. Any of these is generally regarded as a good solution. 

The '`Spline`' interpolation methods, produces a distinct blurring of thin lines, so as to remove aliasing effects. However '`Spline`' tends to over blur the results, and really more suited to smoothing gradients, rather than rotated lines. 

| ----- |
|  ![][82]![][1] |  _ The special setting "`[-filter][106] point`" is in the above example is used to ensure that [Distort Operator][107] only uses single 'point' interpolation in determining the final pixel color. Without it an [Area Resampling][108] be used instead of [Interpolated Lookup][45], though that also produces very good results. _ | 

| ----- |
|  ![][82]![][1] |  _ Note that I did not use the "`[-rotate][109]`" operator for these examples, as that operator uses a Pixel Shearing method to [Rotate][110] Images. As a result pixel interpolation is not used. 

See [Rotating a Thin Line][111] for an example of using the `[-rotate][109]`" operator in this way, and the resulting pixel level effects. 

Update: As of IMv6.7.3-4 the rotate operator is now internally using [Distort Operator][107], so the above many no longer be true. 

_ | 

### Interpolation of a Rotated Edge

The results have a slight difference when the edge of an area is being distorted, compared to that of a single line of pixels. 

| ----- |
| 
    
    
      convert -size 10x20 xc: -draw 'rectangle 0,0 4,19' 
              -scale 50x100 ip_edge_none.gif
      for method in  integer nearest bilinear mesh catrom spline; do
        convert -size 10x20 xc: -draw 'rectangle 0,0 4,19' 
                -interpolate $method -filter point  -distort SRT -17 
                -scale 50x100 ip_edge_${method}.gif
      done
    

 | 

| ----- |
|  ![\[IM Output\]][112]   
Un-Rotated |  ![==>][99] |  ![\[IM Output\]][113]   
Integer |  ![\[IM Output\]][114]   
Nearest |  ![\[IM Output\]][115]   
Bilinear |  ![\[IM Output\]][116]   
Mesh |  ![\[IM Output\]][117]   
Catrom |  ![\[IM Output\]][118]   
Spline | 

The above generally speaks for itself. '`Bilinear`' and '`Mesh`' produce reasonably sharp edges for general rotates, while '`Catrom`' will produce a sharper edge in the distorted image. '`Spline`' however will produce fuzzier edges. 

The difference between '`Bilinear`' and '`Mesh`' is extremely minor in the above cases. The two methods only really generate visible differences in cases of extreme enlargement during the distortion operation. Otherwise you will only see slight barely noticeable changes in pixel intensity. 

  

* * *

## Virtual Pixels  Missed Image Color Lookup

Many operators often need to look-up colors which fall outside the boundaries of the image proper. This includes the operators for [Blurring Images][119], [General Image Distortion][43], [Morphological and Convolution Operators][120], the [General Distortion Operator][43], and even the very old [Implosion Operator][121]. 

So what color should be returned if you ask for a pixel at `-22,-3`? Such a pixel does not actually exist, but the color value returned can have far reaching effects on the overall effect on your image processing, especially the resulting colors of pixels close to the actual edge of the image. 

The "`[-virtual-pixel][122]`" setting defines what IM should return when accessing a pixel outside the normal bounds of the image. 

![\[IM Output\]][123] For example, here we use the [FX DIY Operator][41] "`[-fx][40]`" to 'lookup' and display all the pixels in and surrounding the small image so we can see what the **default** "`[-virtual-pixel][122]`" setting returned. 

| ----- |
| 

| 

    
    
      convert -size 70x70 xc:  tree.gif 
                      -fx 'v.p[-19,-19]'  virtual_default.gif
    

 | 

 |  ![\[IM Output\]][124]  | 

'**`Edge`**' "`[-virtual-pixel][122]`" setting return the color of the the closest real pixel to the 'virtual' location requested. That is theneaered 'edge' color. 

This time I'll use a faster [Image Distortion with viewport][125] to show the surrounding virtual pixels, instead of the much slower [FX Operator][41]. The distort method "SRT 0" does not actually distort the image result, it just looks at what pixels the image operator actual sees, especially the 'virtual' ones surrounding the source image. 

| ----- |
| 

| 

    
    
      convert tree.gif  -set option:distort:viewport 70x70-19-19 
              -virtual-pixel Edge -filter point   -distort SRT 0 
              +repage  virtual_edge.gif
    

 | 

 |  ![\[IM Output\]][126]  | 

An '`Edge`' virtual pixel setting is the default setting, so the above should be the same as the previous example. 

This setting generally has the most minimal impact (in terms of edge effects) when processing images. Which is also why it was chosen as the default setting. This is especially important when using [Blur][119], or other [Morphological and Convolution][120] operators that use a 'neighbourhood' or pixels for processing. 

It is important to note how the color of the corner pixel, will end up completely filling the diagonally adjacent areas surrounding the actual image. This can result in the single corner pixel having a large effect on various image transformations. This 'corner' effect is especially noticeable when blurring images. 

'**`Tile`**' VP setting is very useful for generating and ensuring the image processing edge effects are wrapped around the boundaries of the image. 

| ----- |
| 

| 

    
    
      convert tree.gif  -set option:distort:viewport 70x70-19-19 
              -virtual-pixel Tile  -filter point  -distort SRT 0 
              +repage virtual_tile.gif
    

 | 

 |  ![\[IM Output\]][127]  | 

This lets you ensure that images being worked on remain 'tileable', or become more 'tileable' as the image is modified. For further examples see [Modifying Tile Images][128]. 

'**`Mirror`**' is very similar to '`[tile][16]`' and may be better for some effects that the default '`[edge][15]`'. 

| ----- |
| 

| 

    
    
      convert tree.gif  -set option:distort:viewport 70x70-19-19 
              -virtual-pixel Mirror -filter point   -distort SRT 0 
              +repage virtual_mirror.gif
    

 | 

 |  ![\[IM Output\]][129]  | 

This is particularly useful to reduce the edge and corner effect of images that are being blurred. However it can also generate other effects. 

| ----- |
|  ![][49]![][1] |  _ Up until IM v6.5.0-1 only the images directly attached to the original image was mirrored. Other virtual copies, further away from the original remained un-mirrored (normal tile pattern). This was fixed so the whole virtual canvas space is now correctly mirror tiled, not just the neighbouring virtual copies. 

It only becomes important when using mirror tile with [General Distortion Operator][43] to mirror tile a very large area, such as when [Viewing Distant Horizons][130] _ | 

'**`Transparent`**' just returns the transparent color for pixels outside the real image bounds. 

| ----- |
| 

| 

    
    
      convert tree.gif -alpha set  -set option:distort:viewport 70x70-19-19 
              -virtual-pixel Transparent  -filter point  -distort SRT 0 
              +repage virtual_trans.gif
    

 | 

 |  ![\[IM Output\]][131]  | 

The [Alpha 'set' Operator][132] in the above is required to ensure the image has a matte or alpha channel for the transparent color to fill in correctly. Without this setting the above could return a 'black' color instead of transparent, as the color '`none`' or 'fully-transparent black' is the default transparent color. 

For example here I mistakenly turn off transparency... 

| ----- |
| 

| 

    
    
      convert tree.gif  -alpha off  -set option:distort:viewport 70x70-19-19 
              -virtual-pixel Transparent -filter point  -distort SRT 0 
              +repage virtual_trans2.gif
    

 | 

 |  ![\[IM Output\]][133]  | 

The '`Transparent`' setting is particularly useful for image distortions, where the distorted image will later be 'layered' to build up larger images. For example, [3d Affine Cubes][134], and [3d Perspective Boxes][134]. 

The '**`white`**', '**`gray`**', and '**`black`**', settings are similar to the previous '`Transparent`' setting above. They just return that specific color for any pixel that falls out of bounds. 

| ----- |
| 

| 

    
    
      convert tree.gif  -alpha off  -set option:distort:viewport 70x70-19-19 
              -virtual-pixel White -filter point  -distort SRT 0 
              +repage virtual_white.gif
    

 | 

 |  ![\[IM Output\]][135]  | 

| ----- |
| 

| 

    
    
      convert tree.gif  -alpha off  -set option:distort:viewport 70x70-19-19 
              -virtual-pixel Gray -filter point  -distort SRT 0 
              +repage virtual_gray.gif
    

 | 

 |  ![\[IM Output\]][136]  | 

| ----- |
| 

| 

    
    
      convert tree.gif  -alpha off  -set option:distort:viewport 70x70-19-19 
              -virtual-pixel Black -filter point  -distort SRT 0 
              +repage virtual_black.gif
    

 | 

 |  ![\[IM Output\]][137]  | 

If you want any other simple color , then you must define that color in the "`[-background][138]`" setting, and use a '**`Background`**' "`[-virtual-pixel][122]`" setting. 

| ----- |
| 

| 

    
    
      convert tree.gif  -set option:distort:viewport 70x70-19-19 
              -virtual-pixel Background -background coral 
              -filter point -distort SRT 0     +repage virtual_bgnd.gif
    

 | 

 |  ![\[IM Output\]][139]  | 

  
'**`HorizontalTile`**' VP setting was added to IM v6.4.2-6 as a special form of tiling that is useful for full 360 degree "`[Arc][140]`" and "`[Polar][141]`" distortions. The image is only tiled horizontally, while the virtual pixels above and below the tiles are set from the current "`[-background][138]`" color. 

| ----- |
| 

| 

    
    
      convert tree.gif  -set option:distort:viewport 70x70-19-19 
              -virtual-pixel HorizontalTile  -background coral 
              -filter point -distort SRT 0     +repage virtual_horizontal.gif
    

 | 

 |  ![\[IM Output\]][142]  | 

This lets you ensure that images being transformed remain 'tileable' horizontally. For further examples see [Modifying Tile Images][128]. 

The '**`HorizontalTileEdge`**' (added in IM v6.5.0-1) also tiles the image horizontally across the virtual space, but replicates the side edge pixels across the other parts of the virtual canvas space. 

| ----- |
| 

| 

    
    
      convert tree.gif  -set option:distort:viewport 70x70-19-19 
              -virtual-pixel HorizontalTileEdge  -background coral 
              -filter point -distort SRT 0     +repage virtual_horizontal_edge.gif
    

 | 

 |  ![\[IM Output\]][143]  | 

These two VP methods were added for better handling of full circle '`[Arc][144]`' and '`[Polar][145]`' distortions where the en-circled image 'wraps around' and joins together end to end. 

  
Simularly the '**`VerticalTile`**' VP setting (also added IM v6.4.2-6, for completeness) as a tiles the image vertially only, with the current "`[-background][138]`" color used to fill in the sides of the image. 

| ----- |
| 

| 

    
    
      convert tree.gif  -set option:distort:viewport 70x70-19-19 
              -virtual-pixel VerticalTile  -background coral 
              -filter point -distort SRT 0     +repage virtual_vertical.gif
    

 | 

 |  ![\[IM Output\]][146]  | 

The '**`VerticalTileEdge`**' was added in IM v6.5.0-1, and replicates the side edge pixels across the rest of the virtual canvas space. 

| ----- |
| 

| 

    
    
      convert tree.gif  -set option:distort:viewport 70x70-19-19 
              -virtual-pixel VerticalTileEdge  -background coral 
              -filter point -distort SRT 0     +repage virtual_vertical_edge.gif
    

 | 

 |  ![\[IM Output\]][147]  | 

In IM v6.5.0-1 '**`CheckerTile`**' was added to tile an image as if filling in a checkerboard pattern. The other squares are simply filled with the background color (which may be transparent). 

| ----- |
| 

| 

    
    
      convert tree.gif  -set option:distort:viewport 70x70-19-19 
              -virtual-pixel CheckerTile  -background coral 
              -filter point -distort SRT 0     +repage virtual_checker.gif
    

 | 

 |  ![\[IM Output\]][148]  | 

By making background transparent and overlaying that image over a another fully-tiled image same size you can layer the two tilings to produce an interleaved checkerboard pattern of the two images. 

| ----- |
| 

| 

    
    
      convert -size 96x96 tile:balloon.gif 
              ( tree.gif -alpha set  -set option:distort:viewport 96x96 
                 -virtual-pixel CheckerTile  -background none 
                 -filter point -distort SRT 0 ) 
              -flatten  virtual_checker_2.gif
    

 | 

 |  ![\[IM Output\]][149]  | 

  
There also a couple of more unusual "`[-virtual-pixel][122]`" settings. 

'**`random`**', just picks a random pixel from the image to use. 

| ----- |
| 

| 

    
    
      convert tree.gif  -set option:distort:viewport 70x70-19-19 
              -virtual-pixel Random -filter point   -distort SRT 0 
              +repage virtual_random.gif
    

 | 

 |  ![\[IM Output\]][150]  | 

This is often used with "`[-blur][151]`" to generate rough mottled average image color in the resulting edge effects it produces. 

Note that the pixel value is not consistant, and will produce a different effect for each lookup, and even each run of the operation, unless the random number generator is given an initial "`[-seed][152]`". 

This is especially bad when used with [Convolution][153] or [Morphology][154] image processing, as the each lookup along the edge of the image will contribute a different value even though the same pixel lookup was used. 

I have however found the random pattern to be very good when generating a [Perspective Horizion][130] as the pattern shows a more blurred result as you get closer to the horizon. The bluring gives the the resulting random texture a depth that would otherwise not be visible if using a simple solid color. 

  
'**`dither`**' however returns a ordered dithered pattern of colors basied on pixels within 32x32 pixels of the requested position. 

| ----- |
|  That means that once you have progressed beyond 32 pixels from the image, the result will be again just the corner pixel color of the image. It is a bit like a merger of '`[edge][15]`' and '`[random][28]`'. 

| 
    
    
      convert tree.gif  -set option:distort:viewport 120x120-44-44 
              -virtual-pixel Dither -filter point  -distort SRT 0 
              +repage virtual_dither.gif
    

 | 

 |  ![\[IM Output\]][155]  | 

In the above you can see that the yellow from the sun in one corner of this 32x32 pixel image manages to be selected all the way up the far lower-right corner, but no further. That is the limit of the 32 pixel 'neighbourhood' for the ordered dither color selection. If this image was larger, the yellow sun color would not reach the other corners. 

This pattern is not 'random' and will always generate the same result for the same image. You could think of it as a more ordered form of '`[random][28]`' VP close into the image, but becomes more like '`[edge][15]`' like in effect once you process further than 32 pixels from the image proper. 

  

#### Virtual Pixel and Infinities

You can see the effects of "`[-virtual-pixel][122]`" much more clearly in the results the [General Distortion Operator][43], and especially with a [Perspective][156] distortion, allowing you to create a distorted view out toward an infinite distance. 

For example here I show the results of a "`[-virtual-pixel][122] dither`" settings, on a perspective view of the tree. This shows how this setting can effect the pixels returned all the way out to infinity. 

| ----- |
| 
    
    
      convert tree.gif -mattecolor DodgerBlue   -virtual-pixel dither 
              -set option:distort:viewport  150x100-50-50 
              -distort perspective '0,0 9,0  31,0 38,0  0,31 0,18  31,31, 40,18' 
              perspective_dither.gif
    

 | 

![\[IM Output\]][157]

Try the above with other "`[-virtual-pixel][122]`" settings to get a better idea of how they work. Some other examples can also be seen in [Viewing Distant Horizons][130]. 

Note that the 'sky' in the above view is actually generated from the "`[-mattecolor][158]`" setting, which is used by distort to prepresent areas that are 'Invalid', in this case the 'sky' of a perspective distortion. It did not come from the "`[-virtual-pixel][122]`" setting. 

#### Virtual Pixel Colors

None of the "`[-virtual-pixel][122]`" methods actually return a different or composite color to what is already present within the image, unless that color was specifically requested via one of the solid color methods: '`[background][22]`', '`[transparent][18]`', '`[background][22]`', '`[black][19]`', '`[white][21]`', '`[gray][20]`'; That is no new colors are ever generated, though one specific color could be added (two for the [General Distortion Operator][43]). 

Of course if the requested pixels are being [Pixel Interpolated][5], or [Area Resampled][108], such as in the perspective distorted view above, then those methods may merge the colors returned according ot the "`[-virtual-pixel][122]`" setting chosen. 

#### Virtual Pixel Effects on Operators

Here I explore the effects of the effects of "`[-virtual-pixel][122]`" setting with various operators. 

"`[-blur][151]`"... 

| ----- |
| 

| 

    
    
      convert -size 70x70 xc:lightblue  -fill black -draw 'circle 35,65 25,55' 
              -virtual-pixel edge   -blur 0x8     vp_blur.png
    

 | 

 |  ![\[IM Output\]][159]  | 

| ----- |
| 

| 

    
    
        convert -size 70x70 xc:lightblue  -fill black -draw 'circle 35,65 25,55' 
                -virtual-pixel mirror  -blur 0x8  vp_blur_2.png
    

 | 

 |  ![\[IM Output\]][160]  | 

Note in the following how the image can be cross contaminated using "`[-blur][151]`" with the "`[-virtual-pixel][122]`" setting of '`tile`'. Of course if the image was tilable to start with this may be desired. 

| ----- |
| 

| 

    
    
      convert -size 70x70 xc:lightblue  -fill black -draw 'circle 35,65 25,55' 
              -virtual-pixel tile  -blur 0x8  vp_blur_3.png
    

 | 

 |  ![\[IM Output\]][161]  | 

Setting a specific color for the "`[-virtual-pixel][122]`" in the image has some very interesting effects and posibilities. 

| ----- |
| 

| 

    
    
      convert -size 70x70 xc:lightblue  -fill black -draw 'circle 35,65 25,55' 
              -virtual-pixel background  -background blue 
              -blur 0x8     vp_blur_4.png
    

 | 

 |  ![\[IM Output\]][162]  | 

| ----- |
| 

| 

    
    
      convert -size 70x70 xc:lightblue  -fill black -draw 'circle 35,65 25,55' 
              -virtual-pixel transparent  -channel RGBA  -blur 0x8 
              -background red  -flatten       vp_blur_5.png
    

 | 

 |  ![\[IM Output\]][163]  | 

Note how the '`red`' background I placed behind the image is visible around the edges where the resulting blurred image has made use of the virtual pixels that surround the real pixels of the image. 

"`[-gaussian][164]`" has the same basic results as "`[-blur][151]`", which is understandable as they are mathematically identical. 

| ----- |
| 

| 

    
    
      convert -size 70x70 xc:lightblue  -fill black -draw 'circle 35,65 25,55' 
              -virtual-pixel background   -background blue 
              -gaussian 0x8     vp_gaussian.png
    

 | 

 |  ![\[IM Output\]][165]  | 

However "`[-radial-blur][166]`" (really a rotational blur), produces more interesting border effects... 

| ----- |
| 

| 

    
    
      convert -size 70x70 xc:lightblue 
         -virtual-pixel background  -background blue 
         -radial-blur 0x30    vp_radial.png
    

 | 

 |  ![\[IM Output\]][167]  | 

This last with the default 'transparent edge' will probably generate a smooth edge, when used with larger radial blur angles. It may produce a cleaner 'vignette' or soft edging overlay image, than other techniques. See [Soft and Blurred Edges][168] for examples of using this effect. 

Note that "`[-motion-blur][169]`" can be very badly effected by edge effects. 

| ----- |
|  ![][82]![][1] |  _ It is made worse by the fact that "`[-motion-blur][169]`" does not current understand the use of "`[-channel][170]`" for limited its effects to specific channels. _ | 

| ----- |
| 

| 

    
    
      convert -size 70x70 xc:none  -virtual-pixel edge 
         -fill yellow  -stroke red  -strokewidth 3 -draw 'circle 45,55 35,45' 
         -channel RGBA -motion-blur 0x12+65  vp_motion.png
    

 | 

 |  ![\[IM Output\]][171]  | 

| ----- |
| 

| 

    
    
      convert -size 70x70 xc:none  -virtual-pixel transparent  
         -fill yellow  -stroke red  -strokewidth 3  -draw 'circle 45,55 35,45' 
         -channel RGBA -motion-blur 0x12+65  vp_motion_2.png
    

 | 

 |  ![\[IM Output\]][172]  | 

| ----- |
| 

| 

    
    
      convert -size 70x70 xc:none  -virtual-pixel background -background blue 
         -fill yellow  -stroke red  -strokewidth 3  -draw 'circle 45,55 35,45' 
         -channel RGBA -motion-blur 0x12+65  vp_motion_3.png
    

 | 

 |  ![\[IM Output\]][173]  | 

### Implosion Effects of Virtual Pixels

Here are some more interesting examples of various large value (>1.0) implosions using various "`[-virtual-pixel`][122]" settings. 

| ----- |
| 
    
    
      for v in edge tile mirror dither random gray; do
        for i in 2 5 10 50 500; do 
          convert koala.gif -virtual-pixel $v 
                  -implode $i  implode_${v}_${i}.gif
        done
      done
    

 | 

| ----- |
| Implode |  Edge | Tile | Mirror |  Dither | Random | Gray |  
| 2 |  ![\[IM Output\]][174] ![\[IM Output\]][175] ![\[IM Output\]][176] ![\[IM Output\]][177] ![\[IM Output\]][178] ![\[IM Output\]][179] 
| 5 |  ![\[IM Output\]][180] ![\[IM Output\]][181] ![\[IM Output\]][182] ![\[IM Output\]][183] ![\[IM Output\]][184] ![\[IM Output\]][185] 
| 10 |  ![\[IM Output\]][186] ![\[IM Output\]][187] ![\[IM Output\]][188] ![\[IM Output\]][189] ![\[IM Output\]][190] ![\[IM Output\]][191] 
| 50 |  ![\[IM Output\]][192] ![\[IM Output\]][193] ![\[IM Output\]][194] ![\[IM Output\]][195] ![\[IM Output\]][196] ![\[IM Output\]][197] 
| 500 |  ![\[IM Output\]][198] ![\[IM Output\]][199] ![\[IM Output\]][200] ![\[IM Output\]][201] ![\[IM Output\]][202] ![\[IM Output\]][203]

The 'dotty' nature of the above results is a direct result of the direct 'interpolated sampling' used by the "`[-implode`][204]" operator. See [Direct Interpolated Lookup][45]. This may change in a future version of IM, using [Area Resampling][108]. For now you will need to use a [Super Sampling][205] technique to improve results. 

The '`edge`' setting is the more usual and default setting that is use, to avoid most of the weird effects. The others (exept for '`background`' essentually produce a replicated pattern from the existing pixels in the image, and effects are highly variable. 

Also note how the argument requires a expotential increase in size for simular increases in effects. 

Also for arguments larger than about 200 a black circle may appear in the center of the resulting image. This is caused by the computers mathematical limit being reached. Using such large values is an effect we do not recommend you use. 

* * *

## Random Spots of Solid Color

By blurring a "`plasma:fractal`" canvas, then reducing the colors to very low values you can produce simple images containing random areas of different colors. However the results are highly variable depending on the final number of colors requested and the [Virtual Pixel][78] setting (see above). 

I had two choices for the initial random image in this experiment. A [Fractal Plasma Image][206], and a [Random Noise Image][207]. 

The [Random Image][207] will by its nature produce a image which can (with a 'tile "`[-virtual-pixel][122]`" setting) create a better tilable image. Where as the [Plasma Image][206] tends to create rectangular like edges to its spots of color. 

On the other hand the [Plasma Image][206] produces fairly nice pastel colored spots, or blobs. While the [Random Image][207] tends to produce horrible shades of mid-tone gray. because of this I chose to use the [Plasma Image][206] for these experiments. 

| ----- |
| 
    
    
      convert -size 80x80 plasma:fractal -normalize   spot_start.gif
      #convert -size 80x80 xc: +noise Random  
      #        -virtual-pixel tile  -blur 0x5  -normalize  spot_start.gif
    
      for n in 2 3 4 5; do
        for v in  edge mirror tile white black; do
          convert spot_start.gif -virtual-pixel $v -blur 0x10 
                  +dither -colors $n  spot${n}_${v}.gif
        done
      done
    

 | 

| ----- |
| Num Colors |  Edge | Mirror | Tile | White | Black |  
| 2 |  ![\[IM Output\]][208] |  ![\[IM Output\]][209] |  ![\[IM Output\]][210] |  ![\[IM Output\]][211] |  ![\[IM Output\]][212] |  
| 3 |  ![\[IM Output\]][213] |  ![\[IM Output\]][214] |  ![\[IM Output\]][215] |  ![\[IM Output\]][216] |  ![\[IM Output\]][217] |  
| 4 |  ![\[IM Output\]][218] |  ![\[IM Output\]][219] |  ![\[IM Output\]][220] |  ![\[IM Output\]][221] |  ![\[IM Output\]][222] |  
| 5 |  ![\[IM Output\]][223] |  ![\[IM Output\]][224] |  ![\[IM Output\]][225] |  ![\[IM Output\]][226] |  ![\[IM Output\]][227] | 

The first three images has very specific effects on how the color 'spots' interact with the edges of the image. '`Edge`' and '`Mirror`' tends to cause the colors to join the edges at 90 degree angles. 

A '`Random`' or '`Dither`' setting has simular but stronger attachments of the color blobs to the edges of the image, though both also introduces some sharp edge effects close to the image edges. A second blur-quantize cycle may be needed to clean up and smooth the edges of the spots. 

The '`Tile`' setting tends to allow the spots to wrap around the image. However as the source [Plasma][206] image is not itself tilable, the result is a general color change near the rectangular edge. If the tilable [Random][207] image was used as the source, then the spots of colors would completely disregard the borders of the image. 

By using a '`White`' or '`Black`' background virtual-pixel setting, the spots of color tend to be centered in the image proper. How well this 'centering' occurs depends on just how different original random image was relative to the 'background color' used. 

The size of the "`[-blur][151]`" basically effects the size and smoothness of the blobs. A small blur producing lots of small spots, a large blur, such as we used in the above, producing a single more circular spot of color. 

  
You can also produce a completely different set of colors and interactions by using a different color quantization color space. For example here I repeat the last example (reducing to 5 colors) from above but use some more unusal "`[-quantize][228]`" color spaces for color selection. (See [Color Quantization and ColorSpace][229]) 

| ----- |
| Color Space |  Edge | Mirror | Tile | White | Black |  
| RGB |  ![\[IM Output\]][230] |  ![\[IM Output\]][231] |  ![\[IM Output\]][232] |  ![\[IM Output\]][233] |  ![\[IM Output\]][234] |  
| YIQ |  ![\[IM Output\]][235] |  ![\[IM Output\]][236] |  ![\[IM Output\]][237] |  ![\[IM Output\]][238] |  ![\[IM Output\]][239] |  
| HSL |  ![\[IM Output\]][240] |  ![\[IM Output\]][241] |  ![\[IM Output\]][242] |  ![\[IM Output\]][243] |  ![\[IM Output\]][244] |  
| XYZ |  ![\[IM Output\]][245] |  ![\[IM Output\]][246] |  ![\[IM Output\]][247] |  ![\[IM Output\]][248] |  ![\[IM Output\]][249] |  
| OHTA |  ![\[IM Output\]][250] |  ![\[IM Output\]][251] |  ![\[IM Output\]][252] |  ![\[IM Output\]][253] |  ![\[IM Output\]][254] | 

Remember all the above images were all generated from the same randomized source image. The different effects you see are the results of different ways reducing the number of colors in the image. 

You can see how the "`[-virtual-pixel][122]`" setting defining what pixel colors blur sees the areas beyond the image bounds has a strong influence on shapes of the color areas. 

* * *

## Annotate Argument Usage

IM Version 6 provided a new command line option for text drawing "`[-annotate][255]`" which bypasses the older "`[-draw][256]`" method to use the `Annotate()` API directly. This provides some new features to command line users. 

For this example I choose Arial Black font, for its straight lettering so that the rotation should be quite clear. 

| ----- |
| 

| 

    
    
        convert -font ArialB -pointsize 24 -gravity center 
                -size 55x55 xc:white -annotate 0x0+0+0 'Text' 
                annotate_source.jpg
    

 | 

 |  ![\[IM Output\]][257]  | 

The format of this option is... 
    
    
    **  -annotate {_SlewX_}x{_SlewY_}+{_X_}+{_Y_} 'Text String' **

The _X_ and _Y_ offset of the above is the gravity effected position of the annotated text that is to be drawn. 

However the _SlewX_ and _SlewY_ represents a form of rotation. If both of these values are the same then a normal rotation is performed. But if they differ, some very interesting effects can result.. 

| ----- |
|  ![\[IM Output\]][258]  | 

As you can see some of the arguments resulted in no text being drawn, basically when the text would have been drawn all in a single line. This is to be expected. 

However you can see that we can draw the text flipped, flopped, rotated, italicized, in all manner of ways. A most useful image operator. 

* * *

## Splice: Creating a New Image Operator

Just after the first release of ImageMagick version 6, a discussion developed in response to a question on the [ImageMagick Mailing List][259]. The question involved adding extra space (rows and columns) into the middle of an image. 

The example below is the complex set of commands that resulted from this discussion, using the heavy magic of IM version 6, and detailed exactly what should be done. 

From this example the "`[-splice][260]`" operator was created (for details see examples in [Splicing and Chopping Rows and Columns into Images][261]). As such this command line is the defining operations of this new command, and both should work in exactly the same way. 

| ----- |
| 

| 

    
    
      convert rose:  -size 20x10 xc:blue   -background blue 
              ( -clone 0  -crop 40x0 +repage +clone -insert 1 +append ) 
              -swap 0,-1 +delete +repage 
              ( -clone 0  -crop 0x30 +repage +clone -insert 1 -append ) 
              -delete 0 -delete 0 +repage  splice_rose_seq.gif
    

 | 

 |  ![\[IM Output\]][262]  | 

In the above we split up the rose into lots of vertical slices, then insert a spacing image into that sequence, before appending them all together again. Basically we added a vertical column of pixels into the rose image. 

Then replacing our original image with the modified one, we repeated the same operations, but horizontally. A little clean up of working images and we are done. 

This example also highlighted to the mailing list the usefulness of the new ordered command line handling and the image sequence operations of version 6 ImageMagick. In older releases of IM, this would have required a large number of separate commands and temporary images to achieve the same result. 

* * *

## Border, Frame, and the use of BorderColor

There is a debate, that "`[-bordercolor][263]`" should only be used to only add a border to images with the "`[-border][264]`" or "`[-frame][260]`". That is many users think it should _not_ be used to set the background behind images with transparency. 

For example, under IM this sets the transparent areas of the star image to the "`[-bordercolor][263]`" and completely ignores the "`[-background][138]`" color setting. 

| ----- |
| 

| 

    
    
      convert star.gif -bordercolor LimeGreen   -background Gold 
                       -border 10       star_border.gif
    

 | 

 |  ![\[IM Output\]][265]  | 

| ----- |
|  The main reason "`[-bordercolor][263]`" is used to set the background of transparenent images is because this makes "`montage`" come out in a nice way when given a random set of images which could contain transparencies, with minimal settings from the user. 

| 
    
    
        montage star.gif  -frame 6  -geometry '64x64+5+5>' star_montage.gif
    

 | 

 |  ![\[IM Output\]][266]  | 

If the transparency was preserved then the "`montage`" results above would not look nearly as good. 

| ----- |
|  That does not mean that you can't preserve the transparency of images when using "`[-border][264]`" or "`[-frame][260]`" operators. It just means you need to supply a extra "`[-compose][267]`" setting to tell IM to preserve the transparency. 

| 
    
    
      convert star.gif  -bordercolor LimeGreen 
              -compose Copy  -border 10   star_border_copy.gif
      montage star.gif  -bordercolor LimeGreen 
              -compose Copy -background None    -frame 6 
              -geometry '64x64+0+0>'   star_montage_copy.gif
    

 | 

 |  ![\[IM Output\]][268]   
![\[IM Output\]][269]  | 

For more information on preserving a images transparent background, while adding a "`[-border][264]`" or "`[-frame][260]`", see [adding borders][270]. and for "`montage`", see [montage background and transparency handling examples][271]. 

One alturnative that has been suggested was to set image area background in these operators to the "`[-background][138]`" color, but this will interfer with its use in "`montage`". 

You can of course always [Remove the Transparency][272] of the image yourself, before any extra frame or border is added. In that case the use of "`-compose Copy`" becomes irrelevent. 

| ----- |
| 

| 

    
    
      montage star.gif -background Gold -alpha remove 
              -frame 6  -geometry '64x64+5+5>' -size 16x16 
              -bordercolor LimeGreen  -background SeaGreen 
              star_montage_texture.gif
    

 | 

 |  ![\[IM Output\]][273]  | 

It is just a lot easier to use a "`[-compose][267]`" setting, to preserve the transparency, rather that have border preserve it and cause other problems. It may not be obvious to new users, but then that is what these example pages are all about. 

* * *

##  List Operator Testing

All the following commands should produce exactly the same image, but all images are produced in slightly different ways, demonstrating the new, IM version 6, [Image List Operators][274]. 

| ----- |
| 

| 

    
    
      convert eye.gif news.gif  storm.gif  +append  list_test_01.gif
    

 | 

 |  ![\[IM Output\]][275]  |  
| 

| 

    
    
      convert ( ) eye.gif news.gif  storm.gif  +append  list_test_02.gif
    

 | 

 |  ![\[IM Output\]][276]  |  
| 

| 

    
    
      convert eye.gif news.gif  storm.gif ( ) +append  list_test_03.gif
    

 | 

 |  ![\[IM Output\]][277]  |  
| 

| 

    
    
      convert ( eye.gif news.gif  storm.gif ) +append  list_test_04.gif
    

 | 

 |  ![\[IM Output\]][278]  |  
| 

| 

    
    
      convert ( eye.gif news.gif  storm.gif  +append ) list_test_05.gif
    

 | 

 |  ![\[IM Output\]][279]  |  
| 

| 

    
    
      convert eye.gif ( news.gif storm.gif +append ) +append list_test_06.gif
    

 | 

 |  ![\[IM Output\]][280]  |  
| 

| 

    
    
      convert ( eye.gif news.gif +append ) storm.gif +append  list_test_07.gif
    

 | 

 |  ![\[IM Output\]][281]  |  
| 

| 

    
    
      convert ( storm.gif -flop ) ( news.gif -flop ) ( eye.gif -flop ) 
              +append -flop  list_test_08.gif
    

 | 

 |  ![\[IM Output\]][282]  |  
| 

| 

    
    
      convert ( eye.gif -rotate 90 ) ( news.gif  -rotate 90 ) 
              ( storm.gif -rotate 90 ) -append  -rotate -90   list_test_09.gif
    

 | 

 |  ![\[IM Output\]][283]  |  
| 

| 

    
    
      convert eye.gif tree.gif news.gif storm.gif   -delete 1 
              +append list_test_10.gif
    

 | 

 |  ![\[IM Output\]][284]  |  
| 

| 

    
    
      convert eye.gif tree.gif news.gif storm.gif  -delete -3 
              +append list_test_11.gif
    

 | 

 |  ![\[IM Output\]][285]  |  
| 

| 

    
    
      convert eye.gif news.gif storm.gif tree.gif   +delete 
              +append list_test_12.gif
    

 | 

 |  ![\[IM Output\]][286]  |  
| 

| 

    
    
      convert news.gif storm.gif eye.gif  +insert  +append list_test_13.gif
    

 | 

 |  ![\[IM Output\]][287]  |  
| 

| 

    
    
      convert eye.gif storm.gif news.gif  -insert 1  +append list_test_14.gif
    

 | 

 |  ![\[IM Output\]][288]  |  
| 

| 

    
    
      convert news.gif eye.gif storm.gif   -swap 0,1  +append list_test_15.gif
    

 | 

 |  ![\[IM Output\]][289]  |  
| 

| 

    
    
      convert storm.gif news.gif eye.gif   -swap 0  +append list_test_16.gif
    

 | 

 |  ![\[IM Output\]][290]  |  
| 

| 

    
    
      convert eye.gif storm.gif news.gif   +swap  +append list_test_17.gif
    

 | 

 |  ![\[IM Output\]][291]  |  
| 

| 

    
    
      convert eye.gif storm.gif news.gif   ( -clone 1 ) 
              -delete 1   +append list_test_18.gif
    

 | 

 |  ![\[IM Output\]][292]  |  
| 

| 

    
    
      convert eye.gif -negate ( +clone -negate ) news.gif  storm.gif 
              -delete 0   +append list_test_19.gif
    

 | 

 |  ![\[IM Output\]][293]  |  
| 

| 

    
    
      convert storm.gif news.gif eye.gif ( -clone 2,1,0 ) 
              -delete 2,1,0   +append  list_test_20.gif
    

 | 

 |  ![\[IM Output\]][294]  |  
| 

| 

    
    
      convert storm.gif news.gif eye.gif ( -clone 2-0 ) 
              -delete 0-2   +append  list_test_21.gif
    

 | 

 |  ![\[IM Output\]][295]  |  
| 

| 

    
    
      convert {balloon,medical,present,shading}.gif  -delete 0--1 
              {eye,news,storm}.gif   +append  list_test_22.gif
    

 | 

 |  ![\[IM Output\]][296]  |  
| 

| 

    
    
      convert balloon.gif -delete 0,0,0,0,0,0,0,0,0 
              eye.gif news.gif  storm.gif  +append  list_test_23.gif
    

 | 

 |  ![\[IM Output\]][297]  |  
| 

| 

    
    
      convert eye.gif balloon.gif news.gif storm.gif 
              -delete 1,1,1,1,1   +append  list_test_24.gif
    

 | 

 |  ![\[IM Output\]][298]  |  
| 

| 

    
    
      convert {balloon,medical,present,shading}.gif {eye,news,storm}.gif 
              -delete 0--4   +append   list_test_25.gif
    

 | 

 |  ![\[IM Output\]][299]  |  
| 

| 

    
    
      convert eye.gif news.gif storm.gif 
              -delete 0--4   +append   list_test_26.gif
    

 | 

 |  ![\[IM Output\]][300]  |  
| 

| 

    
    
      convert storm.gif news.gif eye.gif -reverse +append  list_test_27.gif
    

 | 

 |  ![\[IM Output\]][301]  | 

* * *

Created: 6 November 2004   
Updated: 13 March 2008   
Author: [Anthony Thyssen][302], <[A.Thyssen@griffith.edu.au][303]>  
Examples Generated with: ![\[version image\]][304]  
URL: `http://www.imagemagick.org/Usage/misc/`

[1]: http://www.imagemagick.org/img_www/space.gif
[2]: http://www.imagemagick.org/img_www/granitesm_left.gif
[3]: http://www.imagemagick.org/
[4]: http://www.imagemagick.org/img_www/granitesm_right.gif
[5]: http://www.imagemagick.org#interpolate
[6]: http://www.imagemagick.org#interpolate_simple
[7]: http://www.imagemagick.org#bilinear
[8]: http://www.imagemagick.org#mesh
[9]: http://www.imagemagick.org#catrom
[10]: http://www.imagemagick.org#spline
[11]: http://www.imagemagick.org#interpolate_bgnd
[12]: http://www.imagemagick.org#interpolate_line
[13]: http://www.imagemagick.org#interpolate_edge
[14]: http://www.imagemagick.org#virtual-pixel
[15]: http://www.imagemagick.org#edge
[16]: http://www.imagemagick.org#tile
[17]: http://www.imagemagick.org#mirror
[18]: http://www.imagemagick.org#transparent
[19]: http://www.imagemagick.org#black
[20]: http://www.imagemagick.org#gray
[21]: http://www.imagemagick.org#white
[22]: http://www.imagemagick.org#background
[23]: http://www.imagemagick.org#horizontal_tile
[24]: http://www.imagemagick.org#horizontal_edge
[25]: http://www.imagemagick.org#vertical_tile
[26]: http://www.imagemagick.org#vertical_edge
[27]: http://www.imagemagick.org#checker_tile
[28]: http://www.imagemagick.org#random
[29]: http://www.imagemagick.org#dither
[30]: http://www.imagemagick.org#virtual_infinities
[31]: http://www.imagemagick.org#virtual_colors
[32]: http://www.imagemagick.org#virtual_examples
[33]: http://www.imagemagick.org#virtual_implode
[34]: http://www.imagemagick.org#spots
[35]: http://www.imagemagick.org#annotate
[36]: http://www.imagemagick.org#splice
[37]: http://www.imagemagick.org#border
[38]: http://www.imagemagick.org#list_test
[39]: http://www.imagemagick.org/option_link.cgi?interpolate
[40]: http://www.imagemagick.org/option_link.cgi?fx
[41]: http://www.imagemagick.org/transform/#fx
[42]: http://www.imagemagick.org/option_link.cgi?distort
[43]: http://www.imagemagick.org/distorts/#distort
[44]: http://www.imagemagick.org/warping/#circular
[45]: http://www.imagemagick.org/distorts/#lookup
[46]: http://www.imagemagick.org/filter/#filter
[47]: http://www.imagemagick.org/filter/#interpolated
[48]: http://www.imagemagick.org/filter/#gaussian
[49]: http://www.imagemagick.org/img_www/warning.gif
[50]: http://www.imagemagick.org/ip_color_integer.jpg
[51]: http://www.imagemagick.org/ip_color_nearest.jpg
[52]: http://www.imagemagick.org/ip_color_blend.jpg
[53]: http://www.imagemagick.org/ip_color_average.jpg
[54]: http://www.imagemagick.org/ip_color_average9.jpg
[55]: http://www.imagemagick.org/ip_color_average16.jpg
[56]: http://www.imagemagick.org/ip_pixel_integer.jpg
[57]: http://www.imagemagick.org/ip_pixel_nearest.jpg
[58]: http://www.imagemagick.org/ip_pixel_blend.jpg
[59]: http://www.imagemagick.org/ip_pixel_average.jpg
[60]: http://www.imagemagick.org/ip_pixel_average9.jpg
[61]: http://www.imagemagick.org/ip_pixel_average16.jpg
[62]: http://www.imagemagick.org/distorts/#distort_failure
[63]: http://www.imagemagick.org/img_diagrams/bilinear_interpolation.jpg
[64]: http://www.imagemagick.org/filter/#triangle
[65]: http://www.imagemagick.org/interpolate_bilinear.jpg
[66]: http://www.imagemagick.org/interpolate_saddle.jpg
[67]: http://www.imagemagick.org/interpolate_45linear.jpg
[68]: http://www.imagemagick.org/img_www/expert.gif
[69]: http://www.cs.bath.ac.uk/~pjw/Q3D/forum-ddt.pdf
[70]: http://www.imagemagick.org/interpolate_tri-mesh.jpg
[71]: http://www.imagemagick.org/interpolate_tri-mesh2.jpg
[72]: http://www.imagemagick.org/resize/#adaptive-resize
[73]: http://www.imagemagick.org/option_link.cgi?adaptive-resize
[74]: http://www.imagemagick.org/interpolate_tri-mesh3.jpg
[75]: http://www.imagemagick.org/interpolate_tri-mesh4.jpg
[76]: http://www.imagemagick.org/img_diagrams/bicubic_interpolation.jpg
[77]: http://www.imagemagick.org/interpolate_catrom.jpg
[78]: http://www.imagemagick.org#virtual
[79]: http://www.imagemagick.org/interpolate_catrom_edge.jpg
[80]: http://www.imagemagick.org/interpolate_catrom_white.jpg
[81]: http://www.imagemagick.org/interpolate_catrom_black.jpg
[82]: http://www.imagemagick.org/img_www/reminder.gif
[83]: http://www.imagemagick.org/filter/#ringing
[84]: http://www.imagemagick.org/resize/#resize_lab
[85]: http://www.imagemagick.org/filter/#cubics
[86]: http://www.imagemagick.org/interpolate_spline.jpg
[87]: http://www.imagemagick.org/interpolate_spline_edge.jpg
[88]: http://www.imagemagick.org/interpolate_spline_white.jpg
[89]: http://www.imagemagick.org/interpolate_spline_black.jpg
[90]: http://www.imagemagick.org/ip_area_bilinear_white.jpg
[91]: http://www.imagemagick.org/ip_area_mesh_white.jpg
[92]: http://www.imagemagick.org/ip_area_catrom_white.jpg
[93]: http://www.imagemagick.org/ip_area_spline_white.jpg
[94]: http://www.imagemagick.org/ip_area_bilinear_black.jpg
[95]: http://www.imagemagick.org/ip_area_mesh_black.jpg
[96]: http://www.imagemagick.org/ip_area_catrom_black.jpg
[97]: http://www.imagemagick.org/ip_area_spline_black.jpg
[98]: http://www.imagemagick.org/ip_line_none.gif
[99]: http://www.imagemagick.org/img_www/right.gif
[100]: http://www.imagemagick.org/ip_line_integer.gif
[101]: http://www.imagemagick.org/ip_line_nearestneighbor.gif
[102]: http://www.imagemagick.org/ip_line_bilinear.gif
[103]: http://www.imagemagick.org/ip_line_mesh.gif
[104]: http://www.imagemagick.org/ip_line_catrom.gif
[105]: http://www.imagemagick.org/ip_line_spline.gif
[106]: http://www.imagemagick.org#filter
[107]: http://www.imagemagick.org/distort/#distort
[108]: http://www.imagemagick.org/distorts/#area_resample
[109]: http://www.imagemagick.org/option_link.cgi?rotate
[110]: http://www.imagemagick.org/warping/#rotate
[111]: http://www.imagemagick.org/warping/#rotate_line
[112]: http://www.imagemagick.org/ip_edge_none.gif
[113]: http://www.imagemagick.org/ip_edge_integer.gif
[114]: http://www.imagemagick.org/ip_edge_nearestneighbor.gif
[115]: http://www.imagemagick.org/ip_edge_bilinear.gif
[116]: http://www.imagemagick.org/ip_edge_mesh.gif
[117]: http://www.imagemagick.org/ip_edge_catrom.gif
[118]: http://www.imagemagick.org/ip_edge_spline.gif
[119]: http://www.imagemagick.org/blur/#blur
[120]: http://www.imagemagick.org/morphology/
[121]: http://www.imagemagick.org/warping/#implode
[122]: http://www.imagemagick.org/option_link.cgi?virtual-pixel
[123]: http://www.imagemagick.org/tree.gif
[124]: http://www.imagemagick.org/virtual_default.gif
[125]: http://www.imagemagick.org/distorts/#distort_viewport
[126]: http://www.imagemagick.org/virtual_edge.gif
[127]: http://www.imagemagick.org/virtual_tile.gif
[128]: http://www.imagemagick.org/canvas/#tile_mod
[129]: http://www.imagemagick.org/virtual_mirror.gif
[130]: http://www.imagemagick.org/distorts/#horizon
[131]: http://www.imagemagick.org/virtual_trans.gif
[132]: http://www.imagemagick.org/basics/#alpha
[133]: http://www.imagemagick.org/virtual_trans2.gif
[134]: http://www.imagemagick.org/distorts/#cube3d
[135]: http://www.imagemagick.org/virtual_white.gif
[136]: http://www.imagemagick.org/virtual_gray.gif
[137]: http://www.imagemagick.org/virtual_black.gif
[138]: http://www.imagemagick.org/option_link.cgi?background
[139]: http://www.imagemagick.org/virtual_bgnd.gif
[140]: http://www.imagemagick.org/distorts/#arc
[141]: http://www.imagemagick.org/distorts/#polar
[142]: http://www.imagemagick.org/virtual_horizontal.gif
[143]: http://www.imagemagick.org/virtual_horizontal_edge.gif
[144]: http://www.imagemagick.org/distorts#arc
[145]: http://www.imagemagick.org/distorts#polar
[146]: http://www.imagemagick.org/virtual_vertical.gif
[147]: http://www.imagemagick.org/virtual_vertical_edge.gif
[148]: http://www.imagemagick.org/virtual_checker.gif
[149]: http://www.imagemagick.org/virtual_checker_2.gif
[150]: http://www.imagemagick.org/virtual_random.gif
[151]: http://www.imagemagick.org/option_link.cgi?blur
[152]: http://www.imagemagick.org/option_link.cgi?seed
[153]: http://www.imagemagick.org/convolve
[154]: http://www.imagemagick.org/morphology
[155]: http://www.imagemagick.org/virtual_dither.gif
[156]: http://www.imagemagick.org/distorts/#perspective
[157]: http://www.imagemagick.org/perspective_dither.gif
[158]: http://www.imagemagick.org/option_link.cgi?mattecolor
[159]: http://www.imagemagick.org/vp_blur.png
[160]: http://www.imagemagick.org/vp_blur_2.png
[161]: http://www.imagemagick.org/vp_blur_3.png
[162]: http://www.imagemagick.org/vp_blur_4.png
[163]: http://www.imagemagick.org/vp_blur_5.png
[164]: http://www.imagemagick.org/option_link.cgi?gaussian
[165]: http://www.imagemagick.org/vp_gaussian.png
[166]: http://www.imagemagick.org/option_link.cgi?radial-blur
[167]: http://www.imagemagick.org/vp_radial.png
[168]: http://www.imagemagick.org/thumbnails/#soft_edges
[169]: http://www.imagemagick.org/option_link.cgi?motion-blur
[170]: http://www.imagemagick.org/option_link.cgi?channel
[171]: http://www.imagemagick.org/vp_motion.png
[172]: http://www.imagemagick.org/vp_motion_2.png
[173]: http://www.imagemagick.org/vp_motion_3.png
[174]: http://www.imagemagick.org/implode_edge_2.gif
[175]: http://www.imagemagick.org/implode_tile_2.gif
[176]: http://www.imagemagick.org/implode_mirror_2.gif
[177]: http://www.imagemagick.org/implode_dither_2.gif
[178]: http://www.imagemagick.org/implode_random_2.gif
[179]: http://www.imagemagick.org/implode_gray_2.gif
[180]: http://www.imagemagick.org/implode_edge_5.gif
[181]: http://www.imagemagick.org/implode_tile_5.gif
[182]: http://www.imagemagick.org/implode_mirror_5.gif
[183]: http://www.imagemagick.org/implode_dither_5.gif
[184]: http://www.imagemagick.org/implode_random_5.gif
[185]: http://www.imagemagick.org/implode_gray_5.gif
[186]: http://www.imagemagick.org/implode_edge_10.gif
[187]: http://www.imagemagick.org/implode_tile_10.gif
[188]: http://www.imagemagick.org/implode_mirror_10.gif
[189]: http://www.imagemagick.org/implode_dither_10.gif
[190]: http://www.imagemagick.org/implode_random_10.gif
[191]: http://www.imagemagick.org/implode_gray_10.gif
[192]: http://www.imagemagick.org/implode_edge_50.gif
[193]: http://www.imagemagick.org/implode_tile_50.gif
[194]: http://www.imagemagick.org/implode_mirror_50.gif
[195]: http://www.imagemagick.org/implode_dither_50.gif
[196]: http://www.imagemagick.org/implode_random_50.gif
[197]: http://www.imagemagick.org/implode_gray_50.gif
[198]: http://www.imagemagick.org/implode_edge_500.gif
[199]: http://www.imagemagick.org/implode_tile_500.gif
[200]: http://www.imagemagick.org/implode_mirror_500.gif
[201]: http://www.imagemagick.org/implode_dither_500.gif
[202]: http://www.imagemagick.org/implode_random_500.gif
[203]: http://www.imagemagick.org/implode_gray_500.gif
[204]: http://www.imagemagick.org/option_link.cgi?implode
[205]: http://www.imagemagick.org/distorts/#super_sample
[206]: http://www.imagemagick.org/canvas/#plasma_fractal
[207]: http://www.imagemagick.org/canvas/#random
[208]: http://www.imagemagick.org/spot2_edge.gif
[209]: http://www.imagemagick.org/spot2_mirror.gif
[210]: http://www.imagemagick.org/spot2_tile.gif
[211]: http://www.imagemagick.org/spot2_white.gif
[212]: http://www.imagemagick.org/spot2_black.gif
[213]: http://www.imagemagick.org/spot3_edge.gif
[214]: http://www.imagemagick.org/spot3_mirror.gif
[215]: http://www.imagemagick.org/spot3_tile.gif
[216]: http://www.imagemagick.org/spot3_white.gif
[217]: http://www.imagemagick.org/spot3_black.gif
[218]: http://www.imagemagick.org/spot4_edge.gif
[219]: http://www.imagemagick.org/spot4_mirror.gif
[220]: http://www.imagemagick.org/spot4_tile.gif
[221]: http://www.imagemagick.org/spot4_white.gif
[222]: http://www.imagemagick.org/spot4_black.gif
[223]: http://www.imagemagick.org/spot5_edge.gif
[224]: http://www.imagemagick.org/spot5_mirror.gif
[225]: http://www.imagemagick.org/spot5_tile.gif
[226]: http://www.imagemagick.org/spot5_white.gif
[227]: http://www.imagemagick.org/spot5_black.gif
[228]: http://www.imagemagick.org/option_link.cgi?quantize
[229]: http://www.imagemagick.org/quantize/#quantize
[230]: http://www.imagemagick.org/spot_RGB_edge.gif
[231]: http://www.imagemagick.org/spot_RGB_mirror.gif
[232]: http://www.imagemagick.org/spot_RGB_tile.gif
[233]: http://www.imagemagick.org/spot_RGB_white.gif
[234]: http://www.imagemagick.org/spot_RGB_black.gif
[235]: http://www.imagemagick.org/spot_YIQ_edge.gif
[236]: http://www.imagemagick.org/spot_YIQ_mirror.gif
[237]: http://www.imagemagick.org/spot_YIQ_tile.gif
[238]: http://www.imagemagick.org/spot_YIQ_white.gif
[239]: http://www.imagemagick.org/spot_YIQ_black.gif
[240]: http://www.imagemagick.org/spot_HSL_edge.gif
[241]: http://www.imagemagick.org/spot_HSL_mirror.gif
[242]: http://www.imagemagick.org/spot_HSL_tile.gif
[243]: http://www.imagemagick.org/spot_HSL_white.gif
[244]: http://www.imagemagick.org/spot_HSL_black.gif
[245]: http://www.imagemagick.org/spot_XYZ_edge.gif
[246]: http://www.imagemagick.org/spot_XYZ_mirror.gif
[247]: http://www.imagemagick.org/spot_XYZ_tile.gif
[248]: http://www.imagemagick.org/spot_XYZ_white.gif
[249]: http://www.imagemagick.org/spot_XYZ_black.gif
[250]: http://www.imagemagick.org/spot_OHTA_edge.gif
[251]: http://www.imagemagick.org/spot_OHTA_mirror.gif
[252]: http://www.imagemagick.org/spot_OHTA_tile.gif
[253]: http://www.imagemagick.org/spot_OHTA_white.gif
[254]: http://www.imagemagick.org/spot_OHTA_black.gif
[255]: http://www.imagemagick.org/option_link.cgi?annotate
[256]: http://www.imagemagick.org/option_link.cgi?draw
[257]: http://www.imagemagick.org/annotate_source.jpg
[258]: http://www.imagemagick.org/annotate_montage.jpg
[259]: http://www.imagemagick.org/script/mailing-list.php
[260]: http://www.imagemagick.org/option_link.cgi?splice
[261]: http://www.imagemagick.org/crop/#splice
[262]: http://www.imagemagick.org/splice_rose_seq.gif
[263]: http://www.imagemagick.org/option_link.cgi?bordercolor
[264]: http://www.imagemagick.org/option_link.cgi?border
[265]: http://www.imagemagick.org/star_border.gif
[266]: http://www.imagemagick.org/star_montage.gif
[267]: http://www.imagemagick.org/option_link.cgi?compose
[268]: http://www.imagemagick.org/star_border_copy.gif
[269]: http://www.imagemagick.org/star_montage_copy.gif
[270]: http://www.imagemagick.org/crop/#border
[271]: http://www.imagemagick.org/montage/#bg
[272]: http://www.imagemagick.org/masking/#remove
[273]: http://www.imagemagick.org/star_montage_texture.gif
[274]: http://www.imagemagick.org/basics/#image_list
[275]: http://www.imagemagick.org/list_test_01.gif
[276]: http://www.imagemagick.org/list_test_02.gif
[277]: http://www.imagemagick.org/list_test_03.gif
[278]: http://www.imagemagick.org/list_test_04.gif
[279]: http://www.imagemagick.org/list_test_05.gif
[280]: http://www.imagemagick.org/list_test_06.gif
[281]: http://www.imagemagick.org/list_test_07.gif
[282]: http://www.imagemagick.org/list_test_08.gif
[283]: http://www.imagemagick.org/list_test_09.gif
[284]: http://www.imagemagick.org/list_test_10.gif
[285]: http://www.imagemagick.org/list_test_11.gif
[286]: http://www.imagemagick.org/list_test_12.gif
[287]: http://www.imagemagick.org/list_test_13.gif
[288]: http://www.imagemagick.org/list_test_14.gif
[289]: http://www.imagemagick.org/list_test_15.gif
[290]: http://www.imagemagick.org/list_test_16.gif
[291]: http://www.imagemagick.org/list_test_17.gif
[292]: http://www.imagemagick.org/list_test_18.gif
[293]: http://www.imagemagick.org/list_test_19.gif
[294]: http://www.imagemagick.org/list_test_20.gif
[295]: http://www.imagemagick.org/list_test_21.gif
[296]: http://www.imagemagick.org/list_test_22.gif
[297]: http://www.imagemagick.org/list_test_23.gif
[298]: http://www.imagemagick.org/list_test_24.gif
[299]: http://www.imagemagick.org/list_test_25.gif
[300]: http://www.imagemagick.org/list_test_26.gif
[301]: http://www.imagemagick.org/list_test_27.gif
[302]: http://www.ict.griffith.edu.au/anthony/anthony.html
[303]: http://www.ict.griffith.edu.au/anthony/mail.shtml
[304]: http://www.imagemagick.org/version.gif

