---
created_at: '2016-04-12T12:38:39.000Z'
title: Why don't I take military funding? (2004)
url: https://web.eecs.umich.edu/~kuipers/opinions/no-military-funding.html
author: altotrees
points: 134
story_text: 
comment_text: 
num_comments: 116
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1460464719
_tags:
- story
- author_altotrees
- story_11478951
objectID: '11478951'

---
[Source](https://web.eecs.umich.edu/~kuipers/opinions/no-military-funding.html "Permalink to No Military Funding")

# No Military Funding

# Why don't I take military funding?

## Benjamin Kuipers

I don't take funding from military agencies. Why not? 

Mostly it's a testimony that it's possible to have a successful career in computer science without taking military funding. My position has its roots in the Vietnam War, when I was a conscientious objector, did alternative service instead of submitting to the draft, and joined the Society of Friends (Quakers). During the 1980s and 90s, the position seemed to lose some of its urgency, so it became more of a testimony about career paths. 

Since September 11, 2001, all the urgency is back. The defense of our country is at stake, so this testimony becomes critical. In short, I believe that non-violent methods of conflict resolution provide the _only_ methods for protecting our country against the deadly threats we face in the long run. Military action, with its inevitable consequences to civilian populations, creates and fuels deadly threats, and therefore _increases_ the danger that our country faces. 

I will come back to this, but first some other thoughts. 

#### How did you get started with this?

In 1978, after completing my PhD thesis on cognitive maps, I found that the only funding agency that was interested in supporting my research wanted to build smart cruise missiles that could find their way to their targets. This was not what I wanted my life's work to support. So I changed areas, and started working on AI in Medicine, which led to some very productive work on qualitative reasoning about physical systems with incomplete knowledge. 

Well before that, I had been a conscientious objector to the Vietnam War, and had done alternative service to the draft from 1970 to 1972 before starting grad school. Since most of my graduate studies were funded by an NSF Fellowship, I didn't think much about military funding and AI research at that time. After finishing my PhD, I did a year of post-doctoral research funded by a grant that Al Stevens and I negotiated directly with Craig Fields at DARPA. It was at the end of that year, looking for continuation funding, that I confronted the cruise missile scenario and had to decide what my research life is for, and who I am willing to have pay for it. 

#### But how can you fund your research?

Defense Department agencies like DARPA, ONR, AFOSR, and ARO are certainly among the larger pots of money out there, and I have put these off limits for myself. 

I have had funding from NSF, NASA, and NIH instead. There is a State of Texas Advanced Research Program that has supported several of my projects. And I have had small amounts of funding from several companies such as Tivoli and IBM. 

These other agencies typically don't provide grants as large as one can get from DARPA, for example. So, there are limits to the size of research group I can have. With very few exceptions, I have decided that I will fund only grad students, and not try to support research staff or post-docs, who are _much_ more expensive than grad students. I have sometimes had quite a few grad students, and a large lab, but the funding requirements remain moderate. 

When I first decided to refuse military funding, I felt I would be making a serious sacrifice. As it has worked out, research money has sometimes been tight, but never disastrously so. And as I watched my colleagues dealing with DARPA's demands for reports, PI meetings, bake-offs, delays and reductions in promised funding, and other hassles, I began to wonder whether I hadn't gotten the best side of the deal after all. 

It's important to remember that the bottom line in research is productivity of ideas, not dollars brought in. At some point, the hassle of dealing with an agency may decrease one's intellectual productivity more than the money they provide increases it. But that's a practical issue, not a matter of conscience. 

The bottom line here is that refusing military funding puts a limit on how large a research budget I can sustain. But that's not the same as limiting my intellectual productivity. 

#### What's wrong with taking military money? They have funded lots of great research!

Certainly so: AI and the Internet being two large categories of them. 

That kind of research is enormously important, and I am glad that our society finds a way to fund it. 

However, the goal of the military is to settle international conflict through violence. As a friend of mine was told by a general, "Everything we do ultimately has one of two goals: killing people or destroying things." I believe that this attitude towards conflict resolution has become a "clear and present danger" to our world and our country. The world has become so small through transportation and communication, and our weapons have become so deadly, nuclear and biological, that we cannot afford the illusion that violence makes us safer. 

A true defense of our country would require both resources and research into non-violent conflict resolution methods. Both of these exist, but are starved compared with the technologies of warfare. 

My stand is a testimony, saying "I will not devote my life's work toward making warfare more effective." I am also trying to show, by example, that one can be a successful and productive computer scientist, even while taking this stand. 

#### Do you try to keep others from taking military funding?

No. Mine is an individual testimony, and each person makes an individual decision about how they will spend their life's work. 

Many years ago, when William Penn converted to Quakerism and pacifism, he was troubled by the thought of having to give up the sword that he wore, a great honor at the time. He asked George Fox, the founder of Quakerism, what he should do. Fox told him, "William, wear thy sword as long as thee can." 

#### Why not use military funding for virtuous research?

First, it's a testimony, and a testimony has to be clear and visible to be useful. Certainly there is virtuous research funded by military agencies. Many colleagues whom I respect highly take this approach and I honor them for it. But it doesn't send a clear message to others, and I want to do that. 

Second, there's a slippery slope. You can start with a research project as pure as the driven snow. But a few years later, money is tight in the pure research category, and you get offered a research grant from a more applied office within the same agency. Do research on the same topic, but frame it in terms of a military mission. Step by step, you can slide into battlefield management and smart cruise missiles. One thing that makes the slope so slippery is that you have accumulated responsibility for a lab full of graduate students, and the consequences of a major drop in funding will be even more painful for them than it is for you. 

Another thing that makes the slope slippery is that military problems are often very interesting. It's easy to get caught up in an interesting technical challenge, and lose sight of what is actually happening: that the objects in the plan are human beings, and that the actions that are being planned are to kill them. 

With a little cleverness, you can find similarly fascinating problems in the space program, where there is NASA funding, or in the economic sphere, where there is private funding. Or in other areas of science, where NSF and NIH do the funding. 

#### Is everything the military does tainted?

Certainly not. Most people don't realize that the US military is perhaps the largest educational institution in the world. It provides valuable academic and vocational training to a huge population, many of whom might not have access to it otherwise. It also provides training in character and discipline that are hard to match elsewhere. 

There are even signs that the professional military is reaching a clearer understanding than civilian policy-makers of the weaknesses of violence, and the strengths of non-violent approaches to conflict resolution. We may be moving toward the day when trained, disciplined soldiers will be able to move into a situation of conflict and restore civility and peace without loss of life. 

That's a day worth working for. 

#### The military can use your research anyway, from the open literature. Why not have them pay for it?

Many things have both good and evil uses. If I create new knowledge that can be used for either good or evil, and present it and evaluate in terms of the good purposes, then someone who converts it to evil use bears that responsibility. If I present it and evaluate it in terms of the evil purpose, then I make it that much easier and more likely for it to be used for evil. I must then bear the responsibility. 

This argument is not very robust against speciousness and rationalization. If I make a rapid-fire machine gun firing armor-piercing bullets, and present it and evaluate it for the sport of target-shooting, I am deceiving myself (or more likely, not). Whoever funds the work, I am responsible for anticipating who is likely to use it. 

At the same time, if I develop a new scheduling methodology for industrial processes, the military is likely to benefit, since it includes many industrial processes. But peaceful economic activity will benefit more, and the military benefits only in the aspects it shares with peaceful enterprises. 

Do work that makes the world a better place. The fact that the military becomes better too is not a problem. 

#### (From a graduating senior) Should I consider military involvement when I choose a graduate school?

Probably not too much, but keep your eyes and ears open when you visit the different schools. Most top graduate schools in computer science will have substantial amounts of military funding, but most will also have faculty who are seriously concerned about the militarization of research. You should look for a balance that leads to productive discussions, rather than a "party line." 

Look for faculty members who can guide you in directions you want to go. This means looking for both intellect and integrity. 

#### Are you ever tempted by large military grants?

Yes, of course. Recently a friend of mine, whom I respect highly, took a leadership position in a major agency, and created a research program I find enormously attractive. 

After struggling with the question for several weeks, I decided that the need for testimonies like mine was becoming greater, not less, in these difficult times, so I have reluctantly passed on this possibility. Sigh. 

The fact that a course of action is right does not necessarily make it easy. 

#### What about September 11? We're under attack!

Our country suffered horrific losses from a terrible attack. The criminal gang responsible must be brought to justice, and we must protect ourselves against possible future attacks. 

However, violent actions taken in the name of defense against terrorism are very likely to increase the likelihood and magnitude of future terrorist attacks. We need a combination of short-term vigilance and protection, and long-term efforts to reduce the problems that breed terrorism, both in non-violent ways. 

* Much more to be said about this, probably in other opinion pieces. 

#### I am writing to ask for advice. I am one year away from graduating with a BS in computer science and am considering graduate school. When I started looking around my department for some research to get involved in, I was surprised to find how much of it relies on military funding. This lead me to find your essay on why you don't take military funding. I share your views and as tempting as it is, and as much as I feel I'm missing out on some really interesting projects, I've decided I will not work on anything that receives military support. So, I'm hoping you can offer further advice on how and where to look for grad programs. How do I find other faculty who share this concern for the militarization of research? Will I find more options overseas? How and when do I tell prospective schools about my decision?

Let me applaud you for your principled stand. As you have surely noticed, these are times that require good people to stand up and be counted, publically. 

Although I did alternative service as a conscientious objector during the Vietnam war, I did not decide to avoid military funding until a year after completing my PhD. I was fortunate to have obtained NSF and Danforth Fellowships that funded almost all of my graduate studies. After I became a faculty member, I got quite good at raising grants from NSF, NIH, NASA, and other places. 

You will need to do similar things, just starting earlier. There are a number of competitive fellowships for graduate study that you can apply for as an individual, and carry with you to your choice of graduate school. Many of these, like the NSF, the Hertz, the Gates, etc, are very competitive. It is a big advantage in such competitions to be clear on your own beliefs and your own priorities. Make sure you can express yourself in a clear and compelling way, and you have a significantly better chance. If you succeed in obtaining your own funding, it makes you much more desirable at top graduate programs. 

A couple of useful quotes for this enterprise are, "Momma may have, and Poppa may have, but God bless the child who's got his own!" and "Be wise as serpents and gentle as doves." (Look them up.) 

Even if you don't get this kind of fellowship, there are plenty of options for supporting yourself through graduate school without military funding. You can be a teaching assistant; you can be a research assistant to a faculty member with other kinds of funding; you can find work maintaining computers for a lab in another department; you can get a part-time outside job; and so on. Generally, rejecting the single largest funder will require you to be more creative about looking at other funding possibilities. This creativity will serve you well. One of the fortunate things about working in computer science is that you have a practical skill that is needed by people in many different areas, and they are often willing to pay for your services. 

On finding faculty with similar beliefs, I would suggest just asking. A quick scan of each faculty member's web page, and especially the acknowledgements on publications, will tell you where they get their funding. Find a few people whose research you find attractive who have non-military funding, and talk to them. 

Personally, I find it most productive to be clear and straight-forward, without being judgmental or confrontational. You will very likely find plenty of people who are very sympathetic to your values, but who aren't willing to make what they perceive as too large a sacrifice. In my personal opinion, it is more important to encourage people to see their choice of work, how it's funded, and what it's used for as an important moral decision that must reflect their own fundamental values, than to pressure them to make the same moral decisions that I have. 

I doubt you will find better options overseas. I believe there is generally less funding available outside the US, and little of that would be available to a US student. There are some very fine graduate schools in other countries, but on average, the US has the best graduate schools in the world. Again, personally, I love this country, and I want my work and my life to help strengthen its good parts and help fix its problems. So I wouldn't want to leave. 

How and when to tell is another judgment call. It depends on your own style, and how vocal a testimony you want to make. You may legitimately decide that this point is not relevant on the application for graduate school, or on the other hand, you may feel that it is central. You are not obliged to explain or justify every belief you have, however strongly held or controversial, to everyone you meet. You have to decide when you think it is relevant. 

A final point. I think you are doing a good and noble thing. Following this path will be demanding, and maybe quite difficult, but I believe and hope it will also be rewarding in many ways, including practical ones. However, getting the education you need to make the best use of your gifts through the rest of your life is also an important value. You should not participate in activities that you believe are morally wrong, but there may be times in your life when preparing yourself for your future takes priority over making a visible testimony. There will be time and need for that later, you can be sure. 

With my best wishes, 

Ben Kuipers 

* * *

[BJK][1]

[1]: https://web.eecs.umich.edu/users/kuipers

