---
created_at: '2018-01-10T23:13:50.000Z'
title: The Story of Audion (2004)
url: https://panic.com/extras/audionstory/
author: firloop
points: 52
story_text: 
comment_text: 
num_comments: 7
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1515626030
_tags:
- story
- author_firloop
- story_16120027
objectID: '16120027'

---
[Source](https://panic.com/extras/audionstory/ "Permalink to Panic - Extras - The True Story of Audion")

# Panic - Extras - The True Story of Audion



| ----- |
| 

|  ![][1] |  ![][2] | 

 |  
|  ![][3] |  ![][4] |  
|   | 

# I love stories.

by  , Panic co-founder

Is it just me? I mean, do you ever wonder about the stories behind everyday products?

What names were Procter & Gamble considering before they finally picked "Swiffer"? (Springle? Sweepolio? Dirtrocker?) What flavors of Pop-Tarts never made it out of the lab, and did any involve lychee, the devil's fruit? What magical prototype Apple products will never be seen, forever relegated to some giant, Wonka-esque industrial design factory that might exist only in my imagination? ("Oompa, loompa, diggity-dack: come take a peek at this dodecahedron-Mac!"). And honestly, [what in God's name is a "Graffle"][5]?

OK, sure, it might just be me. But as it turns out, even something as seemingly mundane as a Mac app can have a few marginally interesting, if not truly nerdy, stories of its own.

When we created [Audion][6], our Mac-only, multipurpose MP3 application, Steven Frank and I had one goal: we wanted to listen to our music CDs on our computers while we worked, and we wanted to it be stylish. We had no indication that MP3s would one day turn the music industry upside down and have it running for cover. We certainly had no idea that something like the iPod would pop up and literally change Apple as a company. And even though we weren't really responsible for any revolutions per se — rather, we rode on the revolution-train with many others — everything that happened to Audion just fell into place, magically and unexpectedly, like so many beautiful moments in life.

But now, after many years of work, we've made the difficult decision to "retire" Audion from active development.

(Hey, wait! Don't worry! We're _not_ going out of business, nobody has left, and everyone here at Panic is hard at work on exciting new projects as well as updating our existing projects. Anyway.)

Suffice it to say, this retirement decision wasn't easy.

In trying to work up the nerve to make the decision, I kept thinking back to high-school yearbooks. Remember that last day of school, when the yearbooks arrived, and you'd invariably end up spilling your guts to your secret crush(es) via hastily worded, heart-dumping notes tucked into the corner of the back page? That last day of school really seemed to feel like your last day on earth, your last chance to tell the story that's been percolating for so long, damn the consequences.

(Of course, two weeks later you'd run into your crush at Hot Dog On A Stick and be completely embarrassed — man, why didn't I just write "Have A Nice Summer" and [draw a giraffe on a pogo stick][7] — but it felt good to get it off your chest.)

Consider this Audion's last day of high school. He'll still be off chilling at college, now completely free (of charge), probably growing a goatee, but he won't be running around like the crazy wildman he once was, in a state of — um — active development. And with that, my metaphor has strained to the bursting point.

In short, we didn't want Audion, flashy crazy Audion, to go with a whimper. We felt it was time to celebrate this one application — this one tiny tale in a world of millions — that's done so much for us, and whose customers and fans have helped us become what we are today, to whom we owe so much. It's time to inscribe in the great Mac App Yearbook.

It's time to tell Audion's story.

# The birth of Audion

 |  
| ![][8] | 

So, it goes something like this. Steve and I had just finished and released Transmit ([then it was called Transit][9]), our first official Mac application (well, technically our second, the first being [the unreleased Verso][10]). And, to be totally honest, we had absolutely no idea what we were going to do next.

The great thing about not having any ideas is that you don't have any ideas. So, while down in San Francisco for Macworld Expo in 1999, truly enjoying an inspiration-generating show floor, we had a brainstorm that went something like this: _the Apple Menu sucks eggs._

For those of you fortunate enough to have jumped on the Macintosh Train just as it pulled out of OS X station (woo-woooo!), the Apple Menu — this is in Mac OS 7/8/9 days — was filled to the brim with a [variety of tools and applications][11], almost all crusty (with the exception of Jens Alfke's venerable [Stickies][12]): a weird calculator, a very black and white notepad, etc. It also contained a very indispensable app called the [AppleCD Audio Player][13], which let you listen to CD's on your Mac.

Looking at the Apple Menu we were struck with the realization that, although we used these tools pretty much every day, they were all pretty poorly designed. "Wait, that gives me an idea!" one of us said, inspirational bulb popping. "Let's go to Wendy's and pick up some chili!" Later, [chili][14] in hand, the true idea came forward: "Let's single-handedly refurbish the Apple Menu — we'll write a series of cool little apps that each do one thing and do it well! And let's call it the 'PanicPack', make it cute, and bundle all the apps together for one reasonable price! It'll be cool!"

# PanicPack = Audion 1.0

 |  
| ![][15] | 

Returning to Portland from San Francisco, we immediately got to work. At this time, mind you, Steven Frank and I both lived and worked out of a 2-bedroom apartment in Northwest Portland; the living room was our office, the kitchen our high-tech call center, and the bathroom our, well, bathroom. It was small, it was fun, and it was Panic. Within days, the PanicPack [design document was written (.pdf, 115k, boring)][16] — interestingly, I don't think we've written a design document since — and I, as always, immediately started [working on isometric cube-based logos][17].

The first program we started to work on was this replacement for the AppleCD Audio Player — a cool, nice looking CD player, we figured, with a few more interesting functions, done up in Panic style. The name "Audion" simply popped into my head during a shower — I wish there was a better and less naked story for that — and it stuck.

Audion was off and running.

Then, one day, during development, it struck us: _Hey, what if this thing could also play MP3s?_

The Mac at this point only really had one MP3 player: MacAMP. It was very nice and efficient, but, with the exception of the name, not very "Mac" — it even shared the same skins with WinAMP. We felt in our gut we could take a good crack at this — we might never top MacAMP, but we could do our best. We suddenly wanted desperately, more than anything else, to be the first truly Mac-like solution for playing MP3s, and, well, we got to work. Sometimes it was easy going, and sometimes [it was significantly less than][18].

During development, we hit one rather groundbreaking breakthrough: alpha channels. In other words, the ability for Audion faces to have custom levels of transparency and just look [generally amazing][19]. It had never been done before, and we were very excited to make it happen — [so were our users][20].

To give a little bit of history, long before Mac OS X and Quartz were released, it was generally thought to be completely impossible (or at least really hard) in any computer operating system to have a window with a functioning alpha channel. In other words, while you could easily create a non-square window with transparent parts (such as a hole cut out from the middle of it), it was impossible to have, say, a soft drop-shadow cast off a window — a shadow that gradually blended with the desktop underneath it via different levels of transparency.

It was the not-so-secret dream of interface designers such as myself — particular skin/face designers — to have alpha channeled windows. Suffice it to say, I pestered Steve about this idea constantly. "There's got to be some way!" I'd say. "Doubtful!" he'd counter. I kept this up until one day a breakthrough hit us:

[We could fake it!][21]

Suddenly, with this one addition Audion had catapulted in our minds from "average music player" to "something pretty special". I began work on [SmoothFace][22], the bundled Audion face which, although it wasn't very beautiful, had a drop shadow perfect for demonstrating the new alpha system.

By the time Audion was complete, one thing became painfully clear — Audion had grown larger than the PanicPack itself. Even though I had worked on a few mockups for [ImageFinder][23], another PanicPack component, we gave up on that fairly quickly. Audion was now a very full-featured application, very far from our original "cheap and cheerful" blueprint. If we'd really wanted to make four apps of this caliber to be a part of a good-value pack, we'd be announcing the release of the PanicPack.. well, right about now.

The PanicPack silently snuck away into history, and Audion 1.0 was finally released on the 16th of August, 1999.

# The Rivalry

 |  
| ![][24] | 

If I can back our magical web time machine up a little bit, something unexpected happened while Audion was already well underway. Steve went down to Apple's Worldwide Developers Conference in San Jose for the first time! No, that wasn't the unexpected part. But there, between the donuts and the juggling and beards, before one of the sessions began, was some kind of MP3 app displayed on the giant classroom projector — strange visuals swirling to music, for all to see. The speaker at that particular session mentioned off-handedly that we were looking at an upcoming MP3 player, to be published by the now-defunct Casady & Greene, known for Captain Bumper.

From that moment forward, we had seen the face of our future enemy: SoundJam. Dun dun dun!

[Created by Bill Kincaid and well-known Mac dev Jeff Robbin][25], SoundJam was released mere weeks before Audion, even though we had both been in simultaneous development for months, unawares. The feeling of being beat to market by days is an interesting one — imagine being punched in the face by a drunk kangaroo then finding five dollars while lying on the floor, a simultaneously crushing but ultimately inspiring experience. "That should have been us," we lamented, "but at least we have some cool stuff they don't!"

To be honest, SoundJam turned out to be one of the best things that happened to us — but, believe me, we wouldn't have said this at the time!

We were quickly determined to (gently) beat SoundJam in every possible way, and to make the best product possible. In some cases, this was easy — design wise, we had the strength of our amazing Faces team and our dedication to clean interface design — but in other ways, not so easy — they already had MP3 encoding, which would require a great deal of our time for us to put together for Audion 2. We also felt like every time we added new and innovative features, those exact same features showed up in SoundJam's next version — but I bet they would say the same thing about us!

In short, having a competitor meant we both pushed ourselves, and the customers truly won.

Here's but one quick and classic example from the "rivalry files". As we mentioned before, Audion had alpha channeled "faces" — and, as a result, became fortunate enough to attract an incredible group of talented artists, eager to push the limits of what Audion could do. At the same time, the default skins that came with SoundJam were a frequent source of internal Panic chortles, due to our opinions about their, well, less than beautiful appearance, from [Azurite][26] to [WonderJelly][27]. It must have eventually became clear to them that they weren't getting anywhere — so we were stunned and surprised to wake up one day and find a new version of SoundJam that suddenly supported Audion faces! After going through the full 10 stage cycle of anger and acceptance, we soon came to realize that their faces support was fundamentally flawed — the alpha channels themselves, the true jewel in our interface-encrusted crown, were missing! SoundJam displayed our faces flat and shadowless, with chunks of important bits missing. So, the fires in our bellies now fully flamed, we created a [special pop-up page][28] on our website alerting the now-Face-downloading SoundJam users that, basically, they should be using Audion. Respek. Months passed with us hearing nothing from the competition, when eventually SoundJam was updated... this time with our unique alpha channel system completely implemented in SoundJam as well! Our Faces now looked and worked fine... and in the bad program! Yow. (Not only that, but, in all honestly, their alpha code was even better than ours!) Steve quickly scrambled to improve our technique, and he made it smoother and less jittery, slightly bettering theirs. But we both had alpha channels, and we both displayed Audion faces. The Faces War of 2001 had reached a stalemate, but not without some casualties. And by casualties, I mean, er, overall improvements to both products.

(It was not until much later, when talking to Jeff on the Macworld show floor, that he expressed some pain over our "if you're using SoundJam" web page. "In fact, that page," he admitted, "was the only reason we copied your alpha channel stuff!")

There's lots more probably-only-funny-to-us stuff: the infamous [April Fools joke on the face creators][29], the enigmatic ["Is Harpsichord Music"][30] encoding checkbox, and, well, [their marketing][31]. Yow. Everything was good natured, [for the most part][32], and kept things interesting. I can only imagine their inside jokes about us...

At the end of the day (and only in hindsight) having SoundJam around was nothing less than fantastic and inspiring for us. While it was definitely a little stomach-wrenching at times, Jeff, Bill, David, and the other SoundJam guys were sharp coders who pushed Steve and I even further to create even better things: truly, everybody won.

# Big In Japan

 |  
| ![][33] | 

Here's a little side story that you might not have known about Audion: it was a huge success in Japan. Really! At one point in November, 1999, Audion sold [more copies][34] in Japan than any other software title — Mac or PC! In fact, overall, Audion sold better in Japan than it did in the USA.

How could something so magical come to pass? Credit the smart minds at act2, a Japanese software distributor. When we were developing Transmit, Matt Arney, then their American representative, asked us if we were working on anything interesting. Yes, in fact, we were — an MP3 player. Matt saw the potential value in the emerging MP3 audio market, and wanted us to bring it over to Japan. Seeing that Audion was, at the time, missing MP3 encoding functionality, he contacted our friends at Proteron, who made the popular N2MP3 encoding app, to create a bundle. The team at act2 (Matt, Kohno, Hasegawa, Marumoto, and of course act2's CEO, Kato-san) then worked quite hard to put together an awesome final product.

Thus, [a new package was born][35]: MacMP3!

Why call it MacMP3? As I was told, it's largely believed that American products will sell better in Japan if re-branded to seem a bit more like original domestic Japanese products. The top Mac products had traditionally been unique, Japan-only products not found elsewhere. This logic might explain why a deeply-American, but functionally superior product like the Xbox can fail so unbelievably spectacularly in Japan — well, that and the fact that the Xbox is [larger than the entire island of Hokkaido.][36]

act2 put together an [public marketing campaign][37] for MacMP3 — it was truly awesome seeing advertisements all over — and soon it began appearing in [the retail channel][38], since online distribution is only now taking hold in Japan. It made its debut at [Macworld Expo Japan][39] (a show I dearly miss!), had its own [manga-based manual][40], and even the ["companion girls"][41] seemed to like it! (Well, I guess they're paid to.)

We had an incredibly fun time working with act2 and making MacMP3 happen. It was one of Audion's more worldly adventures!

# Signal From The Mother Ship

 |  
| ![][42] | 

I couldn't help myself. I'd always heard that Steve Jobs, founder and CEO of Apple, actually reads his e-mail. When you're a tiny independent Mac software developer, that's about as tempting a proposal as, say, a young surgeon being able to directly e-mail Surgeon General C. Everett Koop. Okay, so he's not the surgeon general anymore, but my point is that when you're down in the trenches — writing software for a platform you pretty much completely worship — well, it's pretty hard to resist e-mailing God if you know He checks his e-mail.

So e-mail I did. When Audion 1.0 came out on August 16th, 1999, I wrote an e-mail to Mr. Jobs a few days later. It was very quick, cordial, and to the point (my own bursting e-mail box has taught me to be succinct). It pitched Audion in a few short sentences, and encouraged him to download it. That was it.

I received no response, but I didn't expect one. I liked to imagine he'd read it and downloaded and tried Audion, sharing it with his co-workers and family and barber, but I figured it was more likely my message just printed directly into his office trashcan.

Then, an interesting thing happened. On September 3rd, a few weeks after my e-mail, I got an e-mail from Charles Wiltgen, then the QuickTime Technology Manager at Apple Worldwide Developer Relations. "I'd like to talk Audion future directions," he said. Well, that's interesting, we thought. We talked briefly on the phone, and he seemed interested in setting up a meeting with us to talk about everything Audion. We didn't know why or how, but we were definitely excited.

Before the meeting took place, though, something else interesting happened...

# The AOL Adventure

 |  
| ![][43] | 

Our frantic work on Audion had continued unabated since the release of 1.0. 1.0.1 was released a few weeks after 1.0, then, of course, came 1.2 in November. Finally, on February 22nd, 2000, we updated Audion to version 1.5. This version was a huge one for us with many firsts — it added the much-requested hierarchical playlists, automatic playlist organization based on ID3 tags, the hilarious and surprisingly effective Karaoke mode, the Alarm Clock, a perennial dorm room favorite, and much more.

In short, we had yet again passed the competition — for a few seconds, anyway — and we were feeling good about where Audion was, while simultaneously feeling restless about where Audion was going. The competition continued to drive us, maybe a little bit too much. We felt we needed something more to, you know, "win". We couldn't shake the feeling that we were locked in an infinite cycle — simultaneously incredibly fun and tedious — of always releasing competing updates with SoundJam, always scrapping for the hearts and minds of our fellow Mac users, until somebody takes things up to the next level, and dominates strategically, like some kind of super-nerdy software development board game. Basically, we wanted to be the hippo that eats the most marbles (without breaking). We wanted to give our customers and fans everything, to be the best.

Yeah, we were getting a little manic.

And then, out of the blue, AOL came calling.

Let me explain. As the story apparently goes, this dude named Justin Frankel was but a lad — 19 years old — when he and his friend Tom Pepper created a little program called WINAMP. It played MP3s, involved llamas, and pretty much kickstarted the entire MP3 revolution, without which Audion never would have existed, much to Justin's credit. One day, after much success, AOL, who probably smelled the potential riches of a music revolution from a great distance (over the acrid smell of their 15,000 CD-ROM production plants in Bangalore (which, coincidentally, are staffed by minotaurs)), swooped in and snapped up Justin and Tom, as well as an internet radio company called Spinner. Thus, Spinner / Nullsoft became "An AOL Company", moved to a quite nice warehouse in San Francisco, and Justin Frankel found himself with — at least a nice slice of — $86. Million. Dollars. Justin, dear readers, had ridden the Late 90's Magic Monorail of Money, and theoretically came out a winner.

Soon after, as I understand it, Nullsoft found themselves with a new leader and guiding light: Rob Lord. Rob had previously created IUMA, the first big online independent music archive, sometime around the appearance of pteranodons in Internet time.

Eventually, Rob Lord came to us somewhat out of the blue with a proposition: Nullsoft already dominated on Windows with WINAMP. But they didn't have a Mac solution, and they all loved Macs, and they wanted to own the Mac MP3 market as well. Could we help?

Great question. We got to thinking pretty quick.

On one hand, we'd have to work for AOL. Now, If I were to free-associate "perfect partner for a small independent software company", you'd immediately think AOL, wouldn't you? Right. And we certainly couldn't stay in Portland, which would be difficult. Would we want to give up Panic, this thing we've built up with our own four hands, to become something else?

On the other hand, there would be giant money hats. And while that would undoubtedly be nice, you'll have to believe me when I say that potential riches genuinely paled in comparison to the true, tempting, mouth-watering, chop-licking potential from such a partnership: if AOL bought Audion, we would make Audion totally free, even with encoding, and if Audion was free, we'd win! Everyone would use our program! Nobody would use anything else! Nothing can compete with free! Not even foreshadowing!

The emails were flowing fast and furious.

> "Certainly one way to bury SoundJam would be to have the power of AOL / Time Warner / etc. behind us. But is it the best way? I would say: ONLY if we can remain 'Panic', not become [something else]." _-E-mail from me to Steven Frank, 4/4/2000_

> "If you need help knowing what to produce, we have people here who will help you put it all together. The more we can wrap our minds around your business, the faster the golden check can be signed." _-Email from Rob Lord, 4/4/2000_

Mmmm... golden check. Panic: an AOL company. Panic / Nullsoft? Probably just Nullsoft. How much? Get our balance sheets in order.. consult the lawyer. Fly to San Francisco. Get lunch at TGI Friday's with Tom Pepper and Justin Frankel. Talk about our predictions for the upcoming Macworld Expo. Pester Steven Blumenfeld, Spinner's CTO, for some action. He's talking to Fred about it. Try to put a price on Panic. Man, who the hell knows what we're worth. It's just us two, and it's honestly probably not worth much. But hey, Audion will be free! We'll be able to pay those blasted Fraunhofer MP3 encoding patent licensing fees! This could rock!

Ultimately, it didn't.

The deal fizzled quicker than a [Pop-Rock in Little Mikey's mouth][44].

Reality set in for us, and a lack of motion on the AOL side made us realize something important: this probably wasn't meant to be. We eventually gave up.

Why? Two reasons:

First, our guts told us that our hobbies and our creative freedoms would be severely hampered if owned by AOL — that there would be no way Panic could remain Panic, as much as we'd want it to. In hindsight, this was perhaps our most accurate judgment call — in late 2003 [Justin Frankel left Nullsoft][45], his very own company, after having a number of his projects, such as Gnutella, terminated by AOL without warning. (AOL, of course, has to answer to the TimeWarners of the world, corporate partners who might not appreciate, say, an unstoppable peer-to-peer file sharing network.) Gnutella needed to be made, and we're very glad Justin made it, but AOL wasn't so much. Tom Pepper, the other great half of early Nullsoft, also recently departed. 

The lesson? It seems you can either be free to do anything you want, to create anything you dream of without answering to anyone, or you can be rich. You're not likely to be both.

Second, during the peak of excitement over our potential deal, Rob Lord — the man who shepherded the idea in the first place — left Nullsoft. (He went to muse.net, which was acquired by Yahoo!, and is now working on [Popcast][46].) What happens when your cheerleader quits on you? You get a much less responsive crowd, that's what. Or you get dropped. Something like that. From that moment forward, it seemed like the AOL management side grew unnervingly quiet.

Did we make the right decision?

I truly think we're better off, and then some. We're still around, we've grown a lot, we're quite happy, we have freedoms, and although we may not be rich — at all — at least we didn't have to quit our own company, right? I always believe that things happen for a reason, and if they had happened towards AOL town, I probably wouldn't even be allowed to write this. (Because I'd be on a beach, in a Ferrari, drinking lear jets. Crap.)

Steve Gedikian, the last of the remaining original Nullsofties to stay on board, [summed the situation up nicely][47] — his first-hand knowledge makes for required reading for anyone on the brink of a sellout. (Steve has since [left Nullsoft][48] as well — interestingly and perhaps ironically, he's now on the iTunes team.)

My only regret? I'm sad that Audion never got that chance to be free back then — to really dominate, and be in the hands of every Mac user, even if they couldn't afford it.

# Crossed Apples

 |  
| ![][49] | 

There's an interesting coda to the AOL story, though.

During the midst of the heated negotiations, Apple popped up again. This time they were finally ready to meet with us, sometime in June 2000, regarding "the future direction of Audion". We were also eager to hear what they had to say.

After seeing the latest and greatest build of Mac OS X at Macworld New York, we spotted the first clue that Apple was becoming more serious about MP3 playback by creating the bare-bones but quite nice-looking [Music Player][50]. This made us all the more curious about why they wanted to talk to us.

The meeting fully booked with Apple, I contacted the AOL executives — whom we were still deep in negotiations with — so they could be involved. It only seemed fair; they came to us first, and maybe this Apple meeting would make them want to snatch us up all the quicker. Except, their schedules were booked. They couldn't make it — at all. Those crazy business people, I tell you! All those Palm Pilots and not a pixel of free time on the calendaring screen.

Thus, I had to cancel the meeting with Apple. AOL couldn't make it, I said. Maybe we can reschedule?

The meeting with Apple never took place. Hmm.. I wonder what it was all about?

# Audion 2.0

 |  
| ![][51] | 

While all of these extra-codal affairs were taking place, Steve and I continued to work hard on the next major release of Audion, distractions be damned. This time, we were determined to correct Audion's missing pieces, and also invent some great ideas of our own.

With fast, fully-licensed MP3 encoding (finally!), toolbars, RIO/Nomad device support, CD burning, linked playlists, a waveform-based MP3 editor, DJ crossfading, cover art, popularity ratings and song play counts, face [hue shifting][52], and more, this release was literally bursting at the seams with awesome!

Besides, if it wasn't for Audion 2 and the new "Speed" effect plugin, we never would have heard the mind-shattering, ear-haunting experience of what the [Chipmunks _really_ sounded like.][53]

On December 18th, 2000, we finally released Audion 2. It's hard to express what a [tremendous hit it was][54] for us — downloads and registrations were record in number, building rapidly with each month. [People seemed to really love it.][55] In all honesty, we'd never experienced anything like it.

# The Big E-Mail

 |  
| ![][56] | 

Backing up ever-so-slightly again, while Audion 2 was nearing release, I began to hear some curious rumbles. (No jokes.) My various friends in the Mac software industry told me that something was going on with SoundJam, that it may be slowly disappearing from stores.

In a moment of hilarious amateur-hour corporate espionage, I called the Casady & Greene offices to ask if "buying SoundJam right now was, you know, _a good idea_", or something equally bumbling. Interestingly, I detected a distinctive wobble of concern in the kind support person's response that, you know, uh, it'll be supported in the future, if nothing else. Suffice it to say, we were more than a little curious. Weirder still, all rumors pointed back to Apple.

Desperate for information, I sent a quick e-mail to Phil Schiller, Apple Senior Vice President of Worldwide Product Marketing, since he had at some point become a registered user of Audion, much to our excitement! He had also been one of the people interested in meeting with us back in June. Besides, Phil always struck us as very cool, quite sharp, and really in-tune with third party development. However, true to his training, Phil declined to divulge any information about what might be brewing over in Cupertino.

Understanding (but anxious), I agreed to wait and see what happened. I also mentioned to Phil in passing that the AOL deal was no more. Then, as soon as Audion 2 was released, I took part in my own, personal "E-Mail Steve" ritual, sending him a brief missive on Audion 2 and encouraging him to check it out. Again, I imagined the printer feeding directly into the shredder, but it still felt good.

Then, a few days later — on Christmas eve, no less — it hit.

_The S-bomb._

> From ---@pixar.com Sun Dec 24 07:49:08 2000  
Received: by NeXT.Mailer (1.148.2)  
From: Steve Jobs <\---@pixar.com>  
Date: Sun, 24 Dec 2000 07:36:53 -0800  
To: Cabel Sasser <cabel@panic.com>  
Subject: RE: Audion 2: have you had a chance to see it yet?
> 
> Cabel,
> 
> I hear that your deal with AOL fell through. Any interest in throwing in with us at Apple?
> 
> Best, Steve

_Whoah._

That's Steve.. as in.. Jobs. Steve Jobs. Steven. P. Jobs. The guy.. who did the thing.. with the Apples and... in my INBOX.. Wozniak.. whoah. And he wants to know if WE are interested in throwing in with THEM? The guy who we basically owe our entire professional existence to, who basically created the very platform we want to hug, the computers we want to crush into little pure plump pieces of joy?

As the kids say, upon seeing some awesome frags and/or gibs: OMFG.

I jumped up from my chair and literally yelled at Steven (Frank), who was, of course, sleeping. (Not that Steve was sleeping on the job; rather, it was a weekend. And on the weekends Steve tends to sleep in until right around the time the apocalypse hits.) I pounded on his bedroom door for a few minutes, freaking the hell out. He groggily arose and, equally stunned, sat down to try to parse the stomach-crunching bundle of ASCII sitting on my screen.

It may sound a bit overdramatic, but for two guys making shareware, this was a big, big thing.

At first we thought it might have been a cruel joke. Then we noticed it was sent [from someone using NeXT Mailer][57]! (This was before Mac OS X was complete, and we figured Steve didn't particularly love Mac OS 9.)

"Well, it's definitely real," we agreed, trying to be calm. "But what does it mean?" 

I cautiously wrote Jobs back, and we set up a tentative meeting time — sometime during Macworld Expo 2001, in a few weeks.

We were thrilled to say the least. So much so, we had almost forgotten about the fact that the answer to our SoundJam mystery was about to unfold, right before our eyes, in one week.

# Say Hello to iTunes

 |  
| ![][58] | 

"Well. Huh. Wow."

That's pretty much the distilled, non-profane version of our reaction to seeing iTunes. Steven, myself, and my friend Alexis Croft sat close together during the Macworld Expo in January, 2001, truly on tenterhooks — we had heard the rumors, and we were almost afraid at what was about to unfold.

When it was time to show iTunes, I sunk a little bit lower in my chair. When the interface was shown, I quickly studied every pixel. When Steve Jobs made it seem a bit like they invented visualizers — "We thought, wouldn't it be cool if you could SEE your MUSIC? Well, we did just that" — we chuckled a little bit. And as each feature was revealed, we looked at each other, trying to fully grasp what we were up against. On one hand, it was far, far simpler than Audion — no MP3 editing, no faces, no playcount, no rating, no hierarchical playlists.

But on the other hand, it's really not that bad — that interface is awfully smart — and, oh crap, it's free. Of course it had to be free.

iTunes was, of course, and I'll say this now, brilliant. It single-handedly taught us an entirely new philosophy on software design. Do you really need that Preference that 1% of your users will use? Can you find a better way to design that interface than having each function in a separate window? Can you clean this up, even if it means it's a little less flexible? iTunes blazed the trail for clean, efficient software design for a broad audience, a design philosophy we practice actively today. It was a way to take a complicated digital music collection, and make it easy. Sure, it was limited, but man was it easy.

We put on a brave face about the free. "It'll be just like Starbucks!", we figured. "All those little coffee shops, they benefit from the fact that Starbucks has made coffee more popular, introduced fancy Ethiopian Yirgacheffe to Joe Black. Similarly, iTunes will just make MP3 music more popular, and when a person outgrows the basic interface of iTunes, they'll come to us, buy Audion, and we'll reap the benefits!"

Well, except it wasn't really true. It would be true — in fact, we still think there's a lot to be said for that, and a market for that "pro iTunes" program — except for the fact that, you know, Starbucks coffee isn't completely free. That makes things a bit trickier.

But, first things first. Now that iTunes is out, why the heck did Apple want to meet?

# Show Floor Flurry

 |  
| ![][59] | 

The first time I talked with Steve Jobs was rather intense. Not necessarily because I was nervous, or he was angry, or anything like that, but because we talked in the middle of the Macworld Expo show floor, surrounded by a throng of lookers-on, being laser-beamed suspiciously by PR people.

Mere hours after iTunes was introduced to the world, with our official meeting at Apple campus only days away, Steven Frank and I were browsing the show floor. "Hey, look, there's Jobs," Steve said while pointing to a large, amoeba-like blob of shuffling black t-shirts. "Oh, man.. I gotta talk to him," I declared. I have no idea why — it was like I was being pushed an unseen force. Mind you, I'm a person that loves to talk to people, but even I don't generally go rushing into things like, you know, trying to talk to the CEO of Apple in the middle of madness. But, talk I did, making my way into the show-floor throng and [anxiously saying hello][60].

We talked briefly and, looking back, it was rather fun.

> "Hi Steve, it's Cabel, from Panic."
> 
> "Oh, hey Cabel! Nice to meet you. So tell me, what'd you think of iTunes?"
> 
> "Well, I think it looks great! You guys have done a great job with it. But, you know, I still feel we'll do all-right with Audion."
> 
> "Oh, really? That's interesting, because honestly? I don't think you guys have a chance."

Ah ha! Some of that famous Jobs magic I'd heard about! Fortunately, it came across more like a teasing jab than a cruel stab — to be honest, I rather enjoyed his honesty, it got me in a weird sort of "I'm ready to step to that, girlfriend!" mood.

> "Well, Steve, I really think it'll still find an audience," I replied. "We've got a lot of higher-end features that you guys probably won't ever add."
> 
> "Yeah? Like what?"
> 
> "Well, umm.." I was a bit stumped. "You can keep a count of how many times you've played a song, or you can even rate your songs by popularity..."
> 
> "...why the hell would anybody want to do that?"
> 
> "Well, maybe you want to sort your playlist by your favorite songs..."
> 
> "...you've got to understand, this is just 1.0, of course. You can only imagine where we'll be by the time we release 2.0!"

(He was, of course, right. We never could have imagined, for example, the iTunes Music Store...)

> "Yeah, I'm sure you guys will do great things," I encouraged. "Anyway, I don't mean to take up your time here, I just wanted to say hello."
> 
> "Sure thing. Good talking to you, I look forward to our meeting later this week!"

Phew. The next version of iTunes didn't come out for nearly a year and, ironically, included both playcounts _and_ song popularity ratings! But, now I was truly ready for our meeting — I'd survived, no, I'd actually _enjoyed_ talking to Steve, and I couldn't wait to find out what he had in mind.

# The Short But Intense Meeting

 |  
| ![][61] | 

A few days later, after a round of furious scheduling and re-scheduling with an Apple administrative assistant, Steve Frank and I found ourselves on the MetroLink train, destined for 1 Infinite Loop, Cupertino.

I don't remember too much about the day; we stopped at a Thai restaurant for lunch that seemed to be filled with only engineers, I ate some spicy curry that I wish I hadn't, we killed time by wandering around and visiting the live auction site of a dead-dotcom (Aeron chairs by the buckets!), and we eventually walked over to [Apple Campus][62], and sat down in the lobby — [probably nervous, probably also excited.][63]

We were called into the meeting, and one of the first people who greeted us was Jeffrey Robbin — our old arch-nemesis! Yipes!

Up until this point there had been no actual public confirmation that iTunes was, in fact, SoundJam reborn, so it was a bit of a case-closer to see him there. It was also very nice to see him in a situation where, at last, the competition was over.

(Of course, now it's [public knowledge that SoundJam became iTunes][64].)

Phil started the meeting with an interesting bit of info:

> "You guys remember the last time we tried to meet with you? It was actually because we wanted you guys to make iTunes," explained Phil.

Oh.

So _that's_ what that never-happened early meeting was going to be about. Since we never met up because we were tangled with AOL, Apple turned to their next choice, SoundJam, and the rest was, well, history. Another one of those amazing "life junctions" you'll always wonder about — _what if we had made iTunes?_ Would we be happy? Would we be having as much fun? Would we be, er, rich?

Anyway, a few moments later, Steve Jobs himself entered the giant Apple boardroom, threw his feet up on the table, and got to the meat of the matter.

To be honest, my memory is a bit compressed here, as the whole experience was nothing less than surreal and difficult to process. To find ourselves — just two nerdy guys who make Mac shareware — sitting on Apple Campus, in a meeting with all of these brilliant bigwigs, pretty much caused our heads to continually and rapidly explode, humbled to say the least.

Jobs wanted to know how big we were, and how long we've been doing this. He wanted to know a few more things that I can't even really remember. I remember he asked, "Do you have any other ideas for apps you want to work on?" I replied, genuinely, "Well, we've got an idea for a digital photo management program..." and he replied with a simple, "Yeah. Don't do that one." Everyone in the room laughed but I had no idea why — remember, my head was still exploding — so Steven Frank had to explain to me that he meant, basically, it was already being made and, of course, it would be called iPhoto. Oh. I get it now.

We also seem to remember Jobs painted us a vibrant (but genuinely honest) picture of how he viewed Audion fairing against iTunes:

> "It's like you guys are a little push-cart going down the railroad tracks, and we're a giant steam engine about to run you down."

Jeff Robbin then asked us a funny question that had obviously been percolating for a while: "Does Audion do any kind of special filtering?" You see, since the beginning of time, press reviews in magazines, websites, etc., had consistently said that Audion simply sounds "better" than SoundJam, without question. It wasn't until that declaration showed up in a very respectable, high-end British Hi-Fi magazine that people started to take it even more seriously. Audion was always noted for being "richer" or "sweeter", and we were tremendously proud of our incredible results in this regard.

The only problem was: _we didn't do anything._ We have no idea why people heard Audion as sounding better. We certainly didn't add any special filtering or "sound better" code. Our MP3 decoding process was about as ordinary as you could get. On paper, logically, there should have been absolutely no reason why Audion would sound any better or worse than SoundJam.

We put Jeff's mind at final, restful ease by blowing the big secret that, no, we also had no idea where that was coming from, but we definitely weren't about to argue. Who knows, maybe we did write some "sound better" code in a drunken haze — we're afraid to check!

Anyway, when it came time to conclude the point of the meeting, Jobs summed everything up in a very persuasive and powerful way:

> "We want you guys to work with us. You guys have shown us that you can do a lot with a little. You guys kick ass. Your software totally kicks ass. Cabel, your marketing kicks ass. We think you do incredible work and we'd love to have you join us."

Wow. *brain explode*. And that was, pretty much, that — Jobs left the room, having spent with us a very memorable 15 minutes, and we finished discussions with the rest of the team.

Humorously, we still had no idea why they wanted us to join up — somehow I managed to forget asking this relatively important question during the meeting.

# Decision

So, this is the point in the story where I'm supposed to tell you that we agonized for months; that we'd been given an opportunity to join the very team that inspires us, to be a part of the machine that makes the machines we love, and that we were so tempted and confused at what to do that we didn't sleep, became alcoholics, rolled around on the ground, etc.

Weirdly, though, it didn't work out that way.

In fact, I'd say that almost 5 minutes after the meeting Steve and I knew in our hearts that it wasn't time — that [we didn't want to join Apple][65] (yet). We maybe went through the motions of "deciding" on the flight back home, but I think we knew the truth. And the truth went something like this:

"This is our only chance to do Panic. We don't have kids, we're not married, we don't have huge obligations. We didn't invest our life savings into it, just a few hundred dollars. We don't even have life savings. We probably won't get this opportunity again in our lifetime — the full chance to take a complete risk, to experiment, quit our day jobs, start a business that certainly may fail, put our hearts into the soul of it, and try to make it fly — making the best possible Macintosh software we can without the threat of mortgages or the cost of braces or kids wondering why we're never home. And while there may be a time in our life where we crave some stability, or there may be a time in our life when things don't work out with Panic and we return to be a player in a larger, awesome team like Apple, that time is certainly not now. Panic's time is."

(For best effect, play The Star Spangled Banner while reading that paragraph.)

In seriousness, the offer at Apple was flattering, amazing, and mind-blowing. Having Steve Jobs personally praise our work was a tremendous boost to our confidence as a company, and cause for exploding heads. And really, maybe that time will come when we do want to work for a stable outfit like Apple. But if we were ever going to Panic, now was the time.

So that's what we've done ever since.

And, you know what? We couldn't be happier.

# Audion 3, meet iPod

 |  
| ![][66] | 

Returning to Portland in February, 2001, our meeting with Apple (and the launch of iTunes) caused us to unintentionally cross a major commitment line: we were going to do this Panic thing for real. It was time to move out of the apartment. It was time to hire some employees. It was time to get bigger — slowly and carefully, mind you — and see what we could do.

We hired a couple new employees, and Wade — our fifth, after Ian and Dave — immediately got to work on Audion 3, as well as a few new projects.

Wade and his (identical twin) brother Will had previously made an awesome freeware [Audion Control Strip module][67] on their own. (Later, they also wrote an [Audion Dockling][68] for Mac OS X). We really liked both of these Audion accessories, and figured Wade would be the right man for the Audion 3 job. He moved to Portland and began to crank out additional code in no time flat.

Then, 10 months after our fateful meeting with Jobs in October, 2001, the iPod hit the streets. Suddenly Apple's investment into the music scene became much clearer. And even if [the Internet crowd didn't see it][69] — heck, even we had a hard time seeing it — Apple certainly knew where they were headed.

(We'll always wonder: did Apple want us to be a part of the iPod team? Is that what the big meeting was about? We'll never know...)

Quickly, we realized we had to add iPod support to Audion. Unfortunately, that wasn't looking very easy — the iPod storage database was complex and undocumented. Dave, who had been working hard on a [since-shelved Panic product code-named "Ripcord"][70] (that I still want!), took a few weeks out of his development schedule to look at the problem. Fortunately, being the master of unlocking, Dave managed to completely clean-room reverse-engineer the iPod's database storage format, allowing us to add iPod support to Audion 3 in a jiffy. But we always felt a little uncomfortable about it — it worked, but for how much longer? What if Apple changes the format? We won't know, and we'll always have to stay on top and reverse-engineer the changes... it made us a little nervous about the future of Audion, to say the least.

Regardless, Audion 3 came out on July 14th, 2002, and in addition to iPod support, it also added mp3PRO encoding and playback, broadcasting, recording, a batch encoder, a sleep timer, and more.

It was a solid update — and the iPod support was quite welcomed — but it quickly became clear that, even despite adding new features and [actually advertising][71] , Audion faced trouble.

# Whither Audion 4

 |  
| ![][72] | 

With Audion 3 out in the wild, we faced a bit of a dilemma. Without question, [sales were down since the release of iTunes][73]. Plus, to be honest, we were a bit burnt out, and ready to work on something new. Finally, the greater question remained: how many people are going to choose Audion in the future? Why would you choose Audion over iTunes?

While we continued to sort out this question, we began work on bits and pieces of Audion 4. We started, of course, with [some interface mockups][74], the goal being to bring the best of iTunes in with the best of Audion. Wade and I also cooked up an entirely new format for Audion faces, one that was much more modern and efficient and easier to work with. Making faces was now as easy as dropping simple individual graphics into a bundle (folder) instead of editing a super-crusty, Mac OS 9-esque resource fork. We also added the ability for Audion faces to have slide-out drawers that could contain additional controls, like live sliders for quickly skipping through tracks. We even got as far as writing a test app to develop faces under this new system [(download it: .zip, 655k)][75]. 

At the same time, design geniuses like Jake Rodkin started dreaming up [new ideas][76] (and [funny ideas][77]) to take advantage of the new Face format. Paul Johnson, uber interface designer and tireless Audion cheerleader to whom we owe very much, began to work on [many potential designs][78] for a [new SmoothFace][79] that would ship with Audion 4. All the while, Steve and I spent a lot of time thinking "strategically": how can we do this?

We quickly realized that Audion, the player/encoder as we know it, can't cost money. So, we brainstormed: what if we made Audion free (so 2000!), and then created some supporting apps — a dedicated streaming/recorder, maybe a full-featured sound editor — that cost money? The free thing will get the user in our sandbox, and the rest of the apps will bring in the bacon! This idea seemed great until we realized now that we'd be writing three full applications instead of just one — on top of our already crowded slate of products and updates. It just wasn't possible. We continued to search for the right answer.

Maybe it's time, we thought, to do something we've never done with an app before...

# Retirement

So, Audion, the application, is officially retired.

Now, when most software companies retire applications, they do it in the easiest way possible: they completely remove it from the market, pull all the downloads links, notify their customers, and move on with their lives. We can't help but feel in our gut that, even if that's what you're _supposed_ to do, it's a harsh and, ultimately, drastic way to handle it.

We've really been searching our brains, trying to find the best way to handle this, so that we can move on, but still express our appreciation to everyone who supported us.

Thus, the good news: we're making Audion completely free! That's right — cash is no longer necessary to use what's still an incredibly full-featured MP3 player/encoder. Yes, we'll continue to make it available for download! And we'll provide help to customers who have purchased for as long as we reasonably can.

The less-than-good news: Audion is no longer under active development. There won't be any updates in the future, as Audion is now retired — sitting comfortably under a sun shade somewhere, sipping a delectable mint julep, and complaining about the lack of senior discounts at the local Arby's.

What about people who bought Audion? For sure, we're most nervous about this group — they supported us and helped Panic become Panic, and we absolutely don't want to make anybody unhappy. At the same time, the Audion they bought will continue to function just fine. But we've decided to send out a special offer via e-mail to people who bought Audion, much to our accountant's chagrin. With any luck, the (admittedly small) gesture will let our supporters know that we, truly, appreciate them.

So, I'm sure you're asking yourself: why retire it?

While the simple answer is "iTunes", there's a bit more to it than that.

**Reason #1: Technically Keeping Up With iTunes Is Increasingly Difficult**

> When the iPod came out, we spent a great deal of time reverse engineering the storage format so we could support it within Audion. However, that leaves us in the vulnerable position of having to play catch-up — what if Apple changes the format to be vastly different, or more secure, in a future iPod? We'd constantly be playing the reverse engineering game, and it can only get harder. 
> 
> For Audion to be a worthy replacement for iTunes, we also need to add support for streaming to the Airport Express. But streams to the Airport Express are encrypted using a cryptographic key that we don't have access to — only Apple does. While we could, obviously, start a low-level "hacking" effort to fix this, the key would likely only change, leaving us in the difficult position of being literally unable to support Airport Express within Audion. 
> 
> Even more important is the massive issue of M4P files — the very AAC audio files you purchase from the iTunes Music Store. M4P files are encrypted using a proprietary Apple system, so we simply can't open the files and decode them like we do with MP3 files. And while Quicktime does give third party apps limited M4P playback support (QuickTime does the decoding and playback itself), there's no public method that allows apps like Audion to get access to the raw audio stream. Unfortunately, Audion _needs_ the raw audio stream — the entire playback engine is built around it, and things like effects plug-ins can't work without having a raw audio to work with. Again, we could try to hack around it, and remove the protection from M4P files, but we'd be playing a constant game of cat and mouse. Thus, if you buy a song from the iTunes Music Store, you can't play it in Audion — not now, and probably not in the future. 
> 
> In short, there are good features in iTunes that, unlike the good old days, we physically can't add to Audion, for (reasonable) Apple security reasons. Why would anyone use Audion when iTunes can do so much more out-of-the-box?

**Reason #2: Flagging Sales**

> Audion had its day in the sun. Audion 2 was a huge hit (as far as shareware goes) both in America and in Japan. But, when you find yourself competing against something free, and you're unable to make your product free, you face a monumental challenge, particularly if your core audience consists of casual users for whom the right answer is not necessarily "more features".

**Reason #3: iTunes is, you know, actually pretty awesome**

> The most important point, we think. It isn't just that iTunes is free. It's also damned impressive, and getting better by the day. Sure, it's inflexible, and it could do more. But Apple has done things with iTunes that we would have never, ever been able to do with Audion — things we couldn't even have imagined. The Music Store is nothing short of amazing. The iPod has changed music. (And Party Shuffle was really clever, I thought.) You see, Audion is not just going up against a free product that's mediocre, leaving a lot of room for potential switchers (think Internet Explorer on Windows and the emergence of Firefox), but Audion is instead competing with a product that, you know, _we actually use ourselves._ When you double click the competition in the morning, that's a pretty good sign that it's time to hang up your hat!

Consider these three points and hopefully you can understand our decision was relatively clear cut: we can take our Audion energy and channel it into [other][80] [software][81] that will fully allows us to kick ass again, on a level playing field!

Now, before we move on, there's one thing I must make clear: **we're not whining or complaining!**

Really. Don't feel bad for us! We don't feel like our business was unfairly crushed by the man even if, in some ways, it kind of was. This business is rough, and all about rolling with the punches. If it wasn't Apple who made iTunes, it would have been someone else — we just needed to adapt, and focus our energy elsewhere. Also, let's be honest: if we could have, we would have done the crushing ourselves! We're also very lucky in that Apple offered us an number of incredible opportunities — from giving us the chance to be the guys who made iTunes to lord knows what else — and we're eternally grateful, even if we chose the independent road over the Apple one. In other words, they didn't leave us high and dry. Finally, there's the most important fact of all: our company is, thanks to the kind and wonderful support of Macintosh users worldwide, still hanging in there! (Thank God for Transmit!)

Now, if Apple releases iFTP, _then_ you can feel bad for us.

# Conclusion

 |  
| ![][82] | 

If we could do it all over again, would we change anything?

You know what? No, we don't think so. Panic is still here — almost quadrupled in size! (Okay, so that's from two people to eight as of this writing, but next stop: NASDAQ!) And while we may not be rich, we consider ourselves incredibly fortunate — we're doing what we love, making enough money to at least pay the bills, and enjoying every minute of it. Not everyone on this Earth is in such a lucky position. And while we may not have made iTunes, or the iPod, or retired to Antigua, we continue to follow our hearts, learning new things daily, and we consider ourselves seriously lucky bastards.

No, this isn't a sad story. This is just the completion of one. Audion is a lucky piece of software — it's been a lot of places, seen a lot of things, and had some great adventures. And although we can't reasonably work on it any more, we're forever thankful for where it has taken us. We're grateful to kind folks like Steve, Phil, Sina, and everyone else at Apple during the iTunes days who inspired us, giving us the catalyst we needed to make Panic something "real" — we sincerely hope our paths will cross again. We're also lucky to have front-row seats watching where Apple is taking music, in directions we never could have dreamed of, let alone accomplished. And most importantly, we're eternally indebted to the legions of Macintosh users who purchased and supported us at such an early time, allowing us to do what we do best: create, freely.

Sure, Audion's retiring. All the best do, eventually.

Now, we focus on one thing: **the future, and making more cool Mac software!**

 | 

**  
Keep us around! Check out our [other pants-rocking Mac software.][83]**

![][84]  

[1]: https://panic.com/images/header-logo.gif
[2]: https://panic.com/images/header-goodies.gif
[3]: https://panic.com/images/main-1.gif
[4]: https://panic.com/images/main-2.gif
[5]: https://panic.com/popup-graffle.html
[6]: https://panic.com/audion/
[7]: https://panic.com/popup-nicesummer.html
[8]: https://panic.com/images/header-birth.jpg
[9]: https://panic.com/popup-transit.html
[10]: https://panic.com/popup-verso.html
[11]: https://panic.com/popup-applemenu.html
[12]: http://mooseyard.com/Jens/index.php?name=they-made-me-an-offer-i-couldnt-refuse&category_name=me
[13]: https://panic.com/popup-applecd.html
[14]: https://panic.com/popup-chili.html
[15]: https://panic.com/images/header-a1.gif
[16]: https://panic.com/ppack-designdoc.pdf
[17]: https://panic.com/popup-pplogos.html
[18]: https://panic.com/popup-stevedev.html
[19]: https://panic.com/popup-audionfaces.html
[20]: https://panic.com/popup-facesemail.html
[21]: https://panic.com/popup-stevefaces.html
[22]: https://panic.com/popup-smoothface.html
[23]: https://panic.com/popup-imagefinder.html
[24]: https://panic.com/images/header-sj.gif
[25]: https://panic.com/popup-sjstory.html
[26]: https://panic.com/popup-azurite.html
[27]: https://panic.com/popup-wonderjelly.html
[28]: https://panic.com/popup-facessj.html
[29]: https://panic.com/popup-aprilfools.html
[30]: https://panic.com/popup-harpsi.html
[31]: https://panic.com/popup-sjsong.html
[32]: https://panic.com/popup-panicsticker.html
[33]: https://panic.com/images/header-japan.gif
[34]: https://panic.com/popup-japanboxes2.html
[35]: https://panic.com/popup-japanboxes.html
[36]: https://panic.com/popup-japanxbox.html
[37]: https://panic.com/popup-japansign.html
[38]: https://panic.com/popup-japanretail.html
[39]: https://panic.com/popup-japanexpo.html
[40]: https://panic.com/popup-japancomic.html
[41]: https://panic.com/popup-japangirls.html
[42]: https://panic.com/images/header-apple1.gif
[43]: https://panic.com/images/header-aol.gif
[44]: http://www.snopes.com/horrors/freakish/poprocks.htm
[45]: http://www.rollingstone.com/news/story/_/id/5938320?rnd=1098404116735&has-player=true
[46]: http://www.popcast.com/index.php
[47]: http://gedikian.com/2004/10/i-havent-forgotten-and-we-will-never.html
[48]: http://www.betanews.com/article/Death_Knell_Sounds_for_Nullsoft_Winamp/1100111204
[49]: https://panic.com/images/header-apple2.gif
[50]: https://panic.com/popup-musicplayer.html
[51]: https://panic.com/images/header-a2.gif
[52]: https://panic.com/popup-hue.html
[53]: https://panic.com/popup-chipmunks.html
[54]: https://panic.com/popup-chartaudion.html
[55]: https://panic.com/popup-diesel.html
[56]: https://panic.com/images/header-email.gif
[57]: https://panic.com/popup-nextmailer.html
[58]: https://panic.com/images/header-iTunes.gif
[59]: https://panic.com/images/header-macworld.gif
[60]: https://panic.com/popup-meeting.html
[61]: https://panic.com/images/header-apple3.gif
[62]: https://panic.com/popup-meeting2.html
[63]: https://panic.com/popup-meeting3.html
[64]: http://www.thinksecret.com/news/wsjcasadygreene.html
[65]: https://panic.com/popup-stevequote.html
[66]: https://panic.com/images/header-a3.gif
[67]: https://panic.com/popup-audionstrip.html
[68]: https://panic.com/popup-audiondockling.html
[69]: http://apple.slashdot.org/article.pl?sid=01/10/23/1816257&tid=107
[70]: https://panic.com/popup-ripcord.html
[71]: https://panic.com/popup-audionbanners.html
[72]: https://panic.com/images/header-a4.gif
[73]: https://panic.com/popup-chartitunes.html
[74]: https://panic.com/popup-audion4.html
[75]: https://panic.com/FaceDemo.zip
[76]: https://panic.com/popup-a4drawer.html
[77]: https://panic.com/popup-faceface.html
[78]: https://panic.com/popup-smoothface4-1.html
[79]: https://panic.com/popup-smoothface4-2.html
[80]: http://www.panic.com/unison/
[81]: http://www.panic.com/transmit/
[82]: https://panic.com/images/header-smiley.gif
[83]: https://panic.com/
[84]: https://panic.com/images-global/copyright-i.gif

