---
created_at: '2012-03-13T04:31:48.000Z'
title: Linus on kernel management style (2004)
url: http://lwn.net/Articles/105375/
author: davvid
points: 59
story_text: ''
comment_text: 
num_comments: 7
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1331613108
_tags:
- story
- author_davvid
- story_3697045
objectID: '3697045'

---
[Source](https://lwn.net/Articles/105375/ "Permalink to Linus on kernel management style [LWN.net]")

# Linus on kernel management style [LWN.net]

![LWN.net Logo][1][ LWN  
.net News from the source][2] ![LWN][3]

* [**Content**][4]
    * [Weekly Edition][5]
    * [Archives][6]
    * [Search][7]
    * [Kernel][8]
    * [Security][9]
    * [Distributions][10]
    * [Events calendar][11]
    * [Unread comments][12]
    * * * *

    * [LWN FAQ][13]
    * [Write for us][14]

**User:** **Password:** |  | 

[**Subscribe**][15] / [**Log in**][16] / [**New account**][17]

# Linus on kernel management style

[Posted October 6, 2004 by corbet] 
    
    
    
                    Linux kernel management style
    
    This is a short document describing the preferred (or made up, depending
    on who you ask) management style for the linux kernel.  It's meant to
    mirror the CodingStyle document to some degree, and mainly written to
    avoid answering (*) the same (or similar) questions over and over again. 
    
    Management style is very personal and much harder to quantify than
    simple coding style rules, so this document may or may not have anything
    to do with reality.  It started as a lark, but that doesn't mean that it
    might not actually be true. You'll have to decide for yourself.
    
    Btw, when talking about "kernel manager", it's all about the technical
    lead persons, not the people who do traditional management inside
    companies.  If you sign purchase orders or you have any clue about the
    budget of your group, you're almost certainly not a kernel manager. 
    These suggestions may or may not apply to you. 
    
    First off, I'd suggest buying "Seven Habits of Highly Successful
    People", and NOT read it.  Burn it, it's a great symbolic gesture. 
    
    (*) This document does so not so much by answering the question, but by
    making it painfully obvious to the questioner that we don't have a clue
    to what the answer is. 
    
    Anyway, here goes:
    
    
    		Chapter 1: Decisions
    
    Everybody thinks managers make decisions, and that decision-making is
    important.  The bigger and more painful the decision, the bigger the
    manager must be to make it.  That's very deep and obvious, but it's not
    actually true. 
    
    The name of the game is to _avoid_ having to make a decision.  In
    particular, if somebody tells you "choose (a) or (b), we really need you
    to decide on this", you're in trouble as a manager.  The people you
    manage had better know the details better than you, so if they come to
    you for a technical decision, you're screwed.  You're clearly not
    competent to make that decision for them. 
    
    (Corollary:if the people you manage don't know the details better than
    you, you're also screwed, although for a totally different reason. 
    Namely that you are in the wrong job, and that _they_ should be managing
    your brilliance instead). 
    
    So the name of the game is to _avoid_ decisions, at least the big and
    painful ones.  Making small and non-consequential decisions is fine, and
    makes you look like you know what you're doing, so what a kernel manager
    needs to do is to turn the big and painful ones into small things where
    nobody really cares. 
    
    It helps to realize that the key difference between a big decision and a
    small one is whether you can fix your decision afterwards.  Any decision
    can be made small by just always making sure that if you were wrong (and
    you _will_ be wrong), you can always undo the damage later by
    backtracking.  Suddenly, you get to be doubly managerial for making
    _two_ inconsequential decisions - the wrong one _and_ the right one. 
    
    And people will even see that as true leadership (*cough* bullshit
    *cough*).
    
    Thus the key to avoiding big decisions becomes to just avoiding to do
    things that can't be undone.  Don't get ushered into a corner from which
    you cannot escape.  A cornered rat may be dangerous - a cornered manager
    is just pitiful. 
    
    It turns out that since nobody would be stupid enough to ever really let
    a kernel manager have huge fiscal responsibility _anyway_, it's usually
    fairly easy to backtrack.  Since you're not going to be able to waste
    huge amounts of money that you might not be able to repay, the only
    thing you can backtrack on is a technical decision, and there
    back-tracking is very easy: just tell everybody that you were an
    incompetent nincompoop, say you're sorry, and undo all the worthless
    work you had people work on for the last year.  Suddenly the decision
    you made a year ago wasn't a big decision after all, since it could be
    easily undone. 
    
    It turns out that some people have trouble with this approach, for two
    reasons:
     - admitting you were an idiot is harder than it looks.  We all like to
       maintain appearances, and coming out in public to say that you were
       wrong is sometimes very hard indeed. 
     - having somebody tell you that what you worked on for the last year
       wasn't worthwhile after all can be hard on the poor lowly engineers
       too, and while the actual _work_ was easy enough to undo by just
       deleting it, you may have irrevocably lost the trust of that
       engineer.  And remember: "irrevocable" was what we tried to avoid in
       the first place, and your decision ended up being a big one after
       all. 
    
    Happily, both of these reasons can be mitigated effectively by just
    admitting up-front that you don't have a friggin' clue, and telling
    people ahead of the fact that your decision is purely preliminary, and
    might be the wrong thing.  You should always reserve the right to change
    your mind, and make people very _aware_ of that.  And it's much easier
    to admit that you are stupid when you haven't _yet_ done the really
    stupid thing.
    
    Then, when it really does turn out to be stupid, people just roll their
    eyes and say "Oops, he did it again".  
    
    This preemptive admission of incompetence might also make the people who
    actually do the work also think twice about whether it's worth doing or
    not.  After all, if _they_ aren't certain whether it's a good idea, you
    sure as hell shouldn't encourage them by promising them that what they
    work on will be included.  Make them at least think twice before they
    embark on a big endeavor. 
    
    Remember: they'd better know more about the details than you do, and
    they usually already think they have the answer to everything.  The best
    thing you can do as a manager is not to instill confidence, but rather a
    healthy dose of critical thinking on what they do. 
    
    Btw, another way to avoid a decision is to plaintively just whine "can't
    we just do both?" and look pitiful.  Trust me, it works.  If it's not
    clear which approach is better, they'll eventually figure it out.  The
    answer may end up being that both teams get so frustrated by the
    situation that they just give up. 
    
    That may sound like a failure, but it's usually a sign that there was
    something wrong with both projects, and the reason the people involved
    couldn't decide was that they were both wrong.  You end up coming up
    smelling like roses, and you avoided yet another decision that you could
    have screwed up on. 
    
    
    		Chapter 2: People
    
    Most people are idiots, and being a manager means you'll have to deal
    with it, and perhaps more importantly, that _they_ have to deal with
    _you_. 
    
    It turns out that while it's easy to undo technical mistakes, it's not
    as easy to undo personality disorders.  You just have to live with
    theirs - and yours. 
    
    However, in order to prepare yourself as a kernel manager, it's best to
    remember not to burn any bridges, bomb any innocent villagers, or
    alienate too many kernel developers. It turns out that alienating people
    is fairly easy, and un-alienating them is hard. Thus "alienating"
    immediately falls under the heading of "not reversible", and becomes a
    no-no according to Chapter 1.
    
    There's just a few simple rules here:
     (1) don't call people d*ckheads (at least not in public)
     (2) learn how to apologize when you forgot rule (1)
    
    The problem with #1 is that it's very easy to do, since you can say
    "you're a d*ckhead" in millions of different ways (*), sometimes without
    even realizing it, and almost always with a white-hot conviction that
    you are right. 
    
    And the more convinced you are that you are right (and let's face it,
    you can call just about _anybody_ a d*ckhead, and you often _will_ be
    right), the harder it ends up being to apologize afterwards. 
    
    To solve this problem, you really only have two options:
     - get really good at apologies
     - spread the "love" out so evenly that nobody really ends up feeling
       like they get unfairly targeted.  Make it inventive enough, and they
       might even be amused. 
    
    The option of being unfailingly polite really doesn't exist. Nobody will
    trust somebody who is so clearly hiding his true character.
    
    (*) Paul Simon sang "Fifty Ways to Lose Your Lover", because quite
    frankly, "A Million Ways to Tell a Developer He Is a D*ckhead" doesn't
    scan nearly as well.  But I'm sure he thought about it. 
    
    
    		Chapter 3: People II - the Good Kind
    
    While it turns out that most people are idiots, the corollary to that is
    sadly that you are one too, and that while we can all bask in the secure
    knowledge that we're better than the average person (let's face it,
    nobody ever believes that they're average or below-average), we should
    also admit that we're not the sharpest knife around, and there will be
    other people that are less of an idiot that you are. 
    
    Some people react badly to smart people.  Others take advantage of them. 
    
    Make sure that you, as a kernel maintainer, are in the second group. 
    Suck up to them, because they are the people who will make your job
    easier. In particular, they'll be able to make your decisions for you,
    which is what the game is all about.
    
    So when you find somebody smarter than you are, just coast along.  Your
    management responsibilities largely become ones of saying "Sounds like a
    good idea - go wild", or "That sounds good, but what about xxx?".  The
    second version in particular is a great way to either learn something
    new about "xxx" or seem _extra_ managerial by pointing out something the
    smarter person hadn't thought about.  In either case, you win.
    
    One thing to look out for is to realize that greatness in one area does
    not necessarily translate to other areas.  So you might prod people in
    specific directions, but let's face it, they might be good at what they
    do, and suck at everything else.  The good news is that people tend to
    naturally gravitate back to what they are good at, so it's not like you
    are doing something irreversible when you _do_ prod them in some
    direction, just don't push too hard.
    
    
    		Chapter 4: Placing blame
    
    Things will go wrong, and people want somebody to blame. Tag, you're it.
    
    It's not actually that hard to accept the blame, especially if people
    kind of realize that it wasn't _all_ your fault.  Which brings us to the
    best way of taking the blame: do it for another guy. You'll feel good
    for taking the fall, he'll feel good about not getting blamed, and the
    guy who lost his whole 36GB porn-collection because of your incompetence
    will grudgingly admit that you at least didn't try to weasel out of it.
    
    Then make the developer who really screwed up (if you can find him) know
    _in_private_ that he screwed up.  Not just so he can avoid it in the
    future, but so that he knows he owes you one.  And, perhaps even more
    importantly, he's also likely the person who can fix it.  Because, let's
    face it, it sure ain't you. 
    
    Taking the blame is also why you get to be manager in the first place. 
    It's part of what makes people trust you, and allow you the potential
    glory, because you're the one who gets to say "I screwed up".  And if
    you've followed the previous rules, you'll be pretty good at saying that
    by now. 
    
    
    		Chapter 5: Things to avoid
    
    There's one thing people hate even more than being called "d*ckhead",
    and that is being called a "d*ckhead" in a sanctimonious voice.  The
    first you can apologize for, the second one you won't really get the
    chance.  They likely will no longer be listening even if you otherwise
    do a good job. 
    
    We all think we're better than anybody else, which means that when
    somebody else puts on airs, it _really_ rubs us the wrong way.  You may
    be morally and intellectually superior to everybody around you, but
    don't try to make it too obvious unless you really _intend_ to irritate
    somebody (*). 
    
    Similarly, don't be too polite or subtle about things. Politeness easily
    ends up going overboard and hiding the problem, and as they say, "On the
    internet, nobody can hear you being subtle". Use a big blunt object to
    hammer the point in, because you can't really depend on people getting
    your point otherwise.
    
    Some humor can help pad both the bluntness and the moralizing.  Going
    overboard to the point of being ridiculous can drive a point home
    without making it painful to the recipient, who just thinks you're being
    silly.  It can thus help get through the personal mental block we all
    have about criticism. 
    
    (*) Hint: internet newsgroups that are not directly related to your work
    are great ways to take out your frustrations at other people. Write
    insulting posts with a sneer just to get into a good flame every once in
    a while, and you'll feel cleansed. Just don't crap too close to home.
    
    
    		Chapter 6: Why me?
    
    Since your main responsibility seems to be to take the blame for other
    peoples mistakes, and make it painfully obvious to everybody else that
    you're incompetent, the obvious question becomes one of why do it in the
    first place?
    
    First off, while you may or may not get screaming teenage girls (or
    boys, let's not be judgmental or sexist here) knocking on your dressing
    room door, you _will_ get an immense feeling of personal accomplishment
    for being "in charge".  Never mind the fact that you're really leading
    by trying to keep up with everybody else and running after them as fast
    as you can.  Everybody will still think you're the person in charge. 
    
    It's a great job if you can hack it.
    
    

* * *

([Log in][18] to post comments) 

Linus on kernel management style

Posted Oct 6, 2004 17:28 UTC (Wed) by **gowen** (guest, #23914) [[Link][19]] 

Sometimes I think Linus is a better comic/ironic writer than programmer. That's beautifully written.  

Linus on kernel management style

Posted Oct 6, 2004 18:17 UTC (Wed) by **The_Pirate** (guest, #21740) [[Link][20]] 

I dunno, but i'm sure he reads "Dilbert"...  

Dilbert

Posted Oct 6, 2004 18:53 UTC (Wed) by **rfunk** (subscriber, #4054) [[Link][21]] 

Yeah, I'm sure I hear shades of "The Dilbert Principle" and "The Way of   
the Weasel" in there.   

Linus on kernel management style

Posted Oct 6, 2004 18:36 UTC (Wed) by **rdt** (guest, #13742) [[Link][22]] 

Its _much_ better than just "beautifully written". Words to live by.  

Linus on kernel management style

Posted Oct 7, 2004 10:00 UTC (Thu) by **hingo** (guest, #14792) [[Link][23]] 

Amen to that. Granted, I had a few laughs, but the only reason it's funny, or comic or ironic, is when it's just right on the nail.   
  
To the posts below, I proudly state that I'm a Swedish speaking Finn too. 

Linus on kernel management style

Posted Oct 7, 2004 15:54 UTC (Thu) by **tjc** (guest, #137) [[Link][24]] 

Yeah, it was amusing, but... living by the words of Linus isn't much of a life.  

Linus on kernel management style

Posted Oct 6, 2004 21:02 UTC (Wed) by **antonovich** (guest, #25239) [[Link][25]] 

Nice article, and very well written. Sometimes we forget that he's a Finn... I have been trying for a long time to get that level of subtlety in another language and so far have come up short... He clearly has something!  
What I want to know is - when do RMS's "Management with Linus" classes start? I would love for hurd to get off the ground but without that linus-factor, I can't see it happening.  
Cheers  
Antoine  

Linus on kernel management style

Posted Oct 7, 2004 1:01 UTC (Thu) by **JoeBuck** (subscriber, #2330) [[Link][26]] 

He's a Swedish-speaking Finn. Very different breed. 

I used to deal with engineers from a, well, let's say, a Finnish technology company you probably heard of. Lots of guys who were absolutely silent all the time, you never knew what they were thinking. One very loud guy who would tell me exactly what was wrong with what I was proposing. Like Linus, he was a Swedish speaking Finn. Those guys are _far_ more outspoken than the Finnish-speaking Finns. There are only around 300,000 of them. 

Linus on kernel management style

Posted Oct 7, 2004 8:44 UTC (Thu) by **climent** (subscriber, #7232) [[Link][27]] 

And _still_ he is a Finn. And he considers himself so, like most of them.  

Linus on kernel management style

Posted Oct 6, 2004 18:37 UTC (Wed) by **philips** (guest, #937) [[Link][28]] 

Yeah, piece of good humor sometimes is the only good thing after the 24 hours of unsuccessful   
hacking. This is really corner stone of programming in big teams: after sometime one may notice   
that another programmer does nothing but jokes, and still team as a whole performs much   
better due to overall better atmosphere.  

Just try to imagine situation of Linus. He has to keep in pace with many developers around the   
world. When hackers in US go to bed, ones in Europe wake up, later on - Asian/Japanese hackers   
wake to duty.   

Has he no sense of humor, he'd be lost in first years of Linux development. Good joke at 4am is   
true panacea and can undo much of stress.  

P.S. Dilbert? - And some bits of Monty Python's Flying Circus obviously.  

Linus on kernel management style

Posted Oct 6, 2004 20:44 UTC (Wed) by **Alan_Hicks** (guest, #20469) [[Link][29]] 

_ When hackers in US go to bed, ones in Europe wake up, later on - Asian/Japanese hackers wake to duty. _

When did the sun start rising in the West and setting in the East? :^) 

Linus on kernel management style

Posted Oct 6, 2004 23:49 UTC (Wed) by **nix** (subscriber, #2304) [[Link][30]] 

When the first edition of _Ringworld_ was published.  

Linus on kernel management style

Posted Oct 7, 2004 0:32 UTC (Thu) by **philips** (guest, #937) [[Link][31]] 

Well, I'm programmer - so obviously I count GMT +/- wise ;-)))  

Linus on kernel management style

Posted Oct 7, 2004 0:47 UTC (Thu) by **phython** (subscriber, #3278) [[Link][32]] 

The UK is 8 hours a head of the Canadian west coast. So, when the west coast does go to bed, the europeans are already up.  

Linus on kernel management style

Posted Oct 7, 2004 8:58 UTC (Thu) by **Mostly** (guest, #25255) [[Link][33]] 

Are you talking about the europeans in Europe or the ones staying in Canada?  

Linus on kernel management style

Posted Oct 7, 2004 15:19 UTC (Thu) by **flewellyn** (subscriber, #5047) [[Link][34]] 

Most hackers go by the Ambrose Bierce definition of "Dawn", that is to say, "That time of day when men of reason go to bed."  

Linus on kernel management style

Posted Oct 7, 2004 5:36 UTC (Thu) by **hppnq** (guest, #14462) [[Link][35]] 

Nonono, it's Peter Sellers with the old kernel management style ploy! 

Linus on kernel management style

Posted Oct 6, 2004 20:21 UTC (Wed) by **yokem_55** (subscriber, #10498) [[Link][36]] 

_First off, I'd suggest buying "Seven Habits of Highly Successful People", and NOT read it. Burn it, it's a great symbolic gesture._   
  
LOL!!!! Could not agree more. 

Linus on kernel management style

Posted Oct 6, 2004 23:16 UTC (Wed) by **NCunningham** (subscriber, #6457) [[Link][37]] 

:> I find I do my best work with the computer off. More thinking, less button pushing.  

Nigel  

Linus on kernel management style

Posted Oct 7, 2004 15:44 UTC (Thu) by **eno** (guest, #25269) [[Link][38]] 

Actually the Title is "Seven Habits of Highly Effective People" or as I like to call it "Seven Habits of Highly Defective People". Truthfully though, it's not a bad book.  

Linus on kernel management style

Posted Oct 6, 2004 22:43 UTC (Wed) by **gavino** (guest, #16214) [[Link][39]] 

Linus what can I say? Humour and humility wins me over every time - you are a legend!  

There's another book called "Fish! A Remarkable Way to Boost Morale and Improve Results" that looks to be a good candidate for the burning ceremony.  

I haven't read it by I can see it dog-eared on my manager's desk. One read of the back cover makes me want to throw up. I think the subtext of the book is something like - play fun [sic] and cheesy games at work to motivate staff, than paying them more and reducing their workload/hours.  

Never change Linus! :)  

Linus on kernel management style

Posted Oct 7, 2004 16:13 UTC (Thu) by **allesfresser** (subscriber, #216) [[Link][40]] 

There's a very cheesy video that goes along with it. It's all about this fish market in Seattle and how everybody's all happy-happy about their job etc., etc. The book and video were inflicted on us at my place of employment last year. Has anything at all come of it? Of course not.  

Linus on kernel management style

Posted Oct 7, 2004 2:14 UTC (Thu) by **mmarq** (guest, #2332) [[Link][41]] 

" The name of the game is to _avoid_ having to make a decision. In  
particular, if somebody tells you "choose (a) or (b), we really need you  
to decide on this", you're in trouble as a manager. "  

I dont really envy Linus position... but he as proved also to be a good manager trough all this time, not only a good programmer.  

The point * is_not_details *, but a "Declaration of Mission", and IMHO, i really dont know who started it, but i think that was what made Linux to make * that decisive jump into the IT mainstream *,... not fancy features that Solaris had better, and in same small cases still has, but the *Declaration of IT World Domination Purpose*, was what turned the fire into a explosion... look how feeble Open Source Software Everywhere 'sounds' compared with World Domination!   

Quality of code was and still is very importante, its necessary but is not sufficient... so more importante than that, was Linux as a software project to have this very strong *Mission Declaration*: 'be the best', 'Nº1', that captivated and turned on fire so many imaginations arround the world, including ,IMO, the big corporations IBM, HP, SUN, INTEL, etc,... that where in a dire need to renew there missions, when the IT markets started to show signs of estagnation...  

... perhaps against Linus own likes,... but from that moment foward Linux was dressed with political clothes allover... and not only can't escape it anymore... it has to fulfill it's destiny or die... eventualy.  

Sounds dramatic ?... it is !... choices have to be made. And those choises IMO, dont concern more any possible very important particular patch, if it goes_in_or_not, than the purpose of *why*(its not a roadmap) that software is made...   

Linux dosent have to stop being a top server system kernel to became a top Desktop system kernel !,... and for that what is missing is hardware support leveling MS Windows... so in the many changes that will be made eventually, and the many choices that have to be made too,... perhaps not exactly a) or b), but perhaps a version of A) plus a version of B)!,... i'm suggesting to complicate Linus life a hell lote more... and he's gonna feel like killing me for sure !(just kidding).  

Anyway, is or isn't Linux right now perhaps an even bigger project than MS Windows(kernel) ever was, and perhaps on pair with Longhorn(kernel) ?  

Many suggestions lay in the air,... including more maintenance help,... or dividing the main code tree into specialized ones when hitting 'code freeze'... because IMHO what goes on right now its not enterely suitable, because the wild changes period can be so dramatic, that when the Kernel reachs a supposed stable number(2.4, 2.6, 3.0?), after code freeze, it still is managed like a developing beta, and stays on like that, with VM or other intrusive changes in the middle, until it reaches a much higher sub-stable number, when then a *REAL* stable number is indeed achieved.  

If a *real* stable 3.0(example) could endure for the average 2, 21/2 years that goes between the development series, and i mean a *real* stable Kernel, with perhaps only a 3.0.5(example) in between if justifiable, then "we" would have much more drivers, be it in loadable kernel modules, in DKMS, or else...  

Then a new development serie could start right away after a stable Kernel, and development is where this exposition here;  
<http://www.kroah.com/log/2004/09/23/#2004_09_23_sun_rebuttal>  
makes all the sense,... and not in *stable*, where it colides somehow with what is needed, specialy when it has to take in consideration users that, even if they know, are not inclined to change code, or even to compile the kernel.  

In conclusion, there would be stable kernels, not stable *series*, because that is for the development cicle.  

There is a golden opportunity with the integration of telephony(VoIP, h323), with the integration of Digital TV (HDTV) and after that with Mass Media distribution. Microsoft, <http://www.osnews.com/story.php?news_id=8448>  
is prepared to move on and try new lock-ins (DRM),... if only the Open Source World could generate more broader acceptance among hardware manufactures and *all* (BSD, OpenDarwin) kernel developers,... everybody has much more to gain than to lose..  

Althought not being a Linux kernel developer, i belive, deep inside "we" all secretly somehow aspire to the dream of a form of Open Source World Domination,... was with that feeling that i dared to make suggestions.  

Marques   

Linus on kernel management style

Posted Oct 7, 2004 9:18 UTC (Thu) by **nix** (subscriber, #2304) [[Link][42]] 

It doesn't have a `mission declaration'. Those never work, because you can't make something drive people by simply calling it a `mission declaration'.  

What it is is a drive that most good technical people simply happen to share: `make this software as good as it can be'. You don't need a `mission declaration' for that, just a set of shared goals. There's no need to explicitly declare anything.  

Linus on kernel management style

Posted Oct 7, 2004 22:39 UTC (Thu) by **mmarq** (guest, #2332) [[Link][43]] 

You are right and wrong...  

riight in :  
" What it is is a drive that most good technical people simply happen to share: `make this software as good as it can be'. You don't need a `mission declaration' for that"  

... and the same principle had also been applied to the BSDs before Linux, and any other software project i know of... the perfect is enemy of the good...  

wrong in:  
" Those never work, because you can't make something drive people by simply calling it a `mission declaration' "  

My point is exactly that,... it wasent 'called' or deep intentional projected, like in marketing... i dont know why, but that Mission Declaration was indeed launched,... perhaps just occasional, without any correlation, but the fact is that it had stood and was what propelled Linux in front of other similar projects. And it works,... nothing drive people more intensely than work for a 'Superior' purpose.... and it certainly dosent have to be religious.  

Linus on kernel management style

Posted Oct 7, 2004 16:02 UTC (Thu) by **AJWM** (guest, #15888) [[Link][44]] 

Interesting point -- and Linux (or rather, free/open source software) is the only entity that could get away with a slogan or "vision statement" like "World Domination". Think of the negative reaction to any commercial outfit that espoused that.  

Linux can get away with it simply because there is no power to coerce, no underhanded bait'n'switch, no hiding crap under a polished cover. The only way(*) it can achieve "world domination" is by being the *best*, so good at what it does that no sane person would choose anything else. That latter is more like the vision statement that marketing come up with (and even then it's a bit strong). The phrase "world domination" appeals because it has an element of "ha ha, only serious" to it: nobody *really* takes it seriously, but wouldn't it be neat if...  

(*)Most free software proponents would be horrified at the thought of achieving that domination by, say, getting laws passed that *mandate* only Linux, etc, be used -- although a few might like the idea.  

Linus on kernel management style

Posted Oct 7, 2004 22:45 UTC (Thu) by **mmarq** (guest, #2332) [[Link][45]] 

" Linux (or rather, free/open source software) is the only entity that could get away with a slogan or "vision statement" like "World Domination". Think of the negative reaction to any commercial outfit that espoused that. "  

When Linux was getting on fire, it was 'parodied' in magazines like 'BYTE' of 1997, of being something of fanatic religiuos guys... there wasen't any relevant commercial entity involved... even Red Hat wasent much more than a dream, i belive,...  

Linus on kernel management style

Posted Oct 7, 2004 22:59 UTC (Thu) by **mmarq** (guest, #2332) [[Link][46]] 

On better look...  

" Most free software proponents would be horrified at the thought of achieving that domination by, say, getting laws passed that *mandate* only Linux, etc, be used -- although a few might like the idea. "  

Come on... you are obviously distorting the reality here... what is that you are so affraid... or so against ?  

'World Domination' happens to be quite naive, if you happen to have any clue of how is the world dominated... that is why it, maybe, could have a chance !...  

And 'World Domination' wasent obviously sorted from a marketing department... never was intended for mass selling... Microsoft used 'Windows everywhere',... but they dont used best software tactics to get there.  

Linus on kernel management style

Posted Oct 7, 2004 3:10 UTC (Thu) by **iabervon** (subscriber, #722) [[Link][47]] 

The best thing is that I can actually see how this is a good description of what Linus actually does. I don't think I've ever seen such a good description of what someone actually does.  

Linus on kernel management style

Posted Oct 7, 2004 4:59 UTC (Thu) by **lm** (guest, #6402) [[Link][48]] 

This is pretty cool, people are realizing Linus is a good manager.  

The reason BitKeeper exists is because long ago I realized that Linus is  

\- a good architect  
\- a good programmer  
\- a good manager  

and I realized he was burning out from overload and there was a way to help him.  

I've been around for a long time, longer than Linus in this business, and I have never met or heard of another person who was all three. Think about it, do you know someone else who is all three?   

That's why it is worth expending some effort to support him, he's unique. And every management book around says to get rid of the unique people, you need to be able to have backups. Bzzt. Sometimes you need to support the unique people because they create so much value.   

\--lm  

Linus on kernel management style

Posted Oct 7, 2004 8:53 UTC (Thu) by **matejr** (guest, #25254) [[Link][49]] 

I'd say He is much more, than just a manager, he is a good leader. And that's what makes the difference.  

Linus on kernel management style

Posted Oct 7, 2004 8:57 UTC (Thu) by **man_ls** (guest, #15091) [[Link][50]] 

Does lwn now sport unpaid advertisements? If so, I would like to plug our new line of swimsuits for managers; Linus needed to look cool for [the great dunking][51], and his old leg-long trunks wouldn't do it. 

Linus on kernel management style

Posted Oct 7, 2004 9:08 UTC (Thu) by **pwaechtler** (guest, #5075) [[Link][52]] 

> Think about it, do you know someone else who is all three?  

I want to add Andrew Tridgell from Samba  

Linus on kernel management style

Posted Oct 7, 2004 8:22 UTC (Thu) by **huysmans** (guest, #14315) [[Link][53]] 

Hey, I thought it was "Fifty ways to *leave* your lover" *  

(*) hope this isn't way 51 to tell someone he's a d*ckhead ;-)  

  

Copyright © 2004, Eklektix, Inc.  
Comments and public postings are copyrighted by their creators.  
Linux is a registered trademark of Linus Torvalds  

[1]: https://static.lwn.net/images/logo/barepenguin-70.png
[2]: https://lwn.net/
[3]: https://static.lwn.net/images/lcorner-ss.png
[4]: https://lwn.net#t
[5]: https://lwn.net/current/
[6]: https://lwn.net/Archives/
[7]: https://lwn.net/Search/
[8]: https://lwn.net/Kernel/
[9]: https://lwn.net/Security/
[10]: https://lwn.net/Distributions/
[11]: https://lwn.net/Calendar/
[12]: https://lwn.net/Comments/unread
[13]: https://lwn.net/op/FAQ.lwn
[14]: https://lwn.net/op/AuthorGuide.lwn
[15]: https://lwn.net/subscribe/
[16]: https://lwn.net/login
[17]: https://lwn.net/newaccount
[18]: https://lwn.net/login?target=/Articles/105375/
[19]: https://lwn.net/Articles/105387/
[20]: https://lwn.net/Articles/105400/
[21]: https://lwn.net/Articles/105410/
[22]: https://lwn.net/Articles/105406/
[23]: https://lwn.net/Articles/105530/
[24]: https://lwn.net/Articles/105600/
[25]: https://lwn.net/Articles/105465/
[26]: https://lwn.net/Articles/105493/
[27]: https://lwn.net/Articles/105519/
[28]: https://lwn.net/Articles/105402/
[29]: https://lwn.net/Articles/105461/
[30]: https://lwn.net/Articles/105485/
[31]: https://lwn.net/Articles/105490/
[32]: https://lwn.net/Articles/105492/
[33]: https://lwn.net/Articles/105521/
[34]: https://lwn.net/Articles/105594/
[35]: https://lwn.net/Articles/105501/
[36]: https://lwn.net/Articles/105452/
[37]: https://lwn.net/Articles/105483/
[38]: https://lwn.net/Articles/105598/
[39]: https://lwn.net/Articles/105478/
[40]: https://lwn.net/Articles/105603/
[41]: https://lwn.net/Articles/105486/
[42]: https://lwn.net/Articles/105524/
[43]: https://lwn.net/Articles/105692/
[44]: https://lwn.net/Articles/105599/
[45]: https://lwn.net/Articles/105695/
[46]: https://lwn.net/Articles/105696/
[47]: https://lwn.net/Articles/105497/
[48]: https://lwn.net/Articles/105498/
[49]: https://lwn.net/Articles/105518/
[50]: https://lwn.net/Articles/105515/
[51]: http://lwn.net/Articles/66665/
[52]: https://lwn.net/Articles/105522/
[53]: https://lwn.net/Articles/105513/

