---
created_at: '2015-08-30T14:25:18.000Z'
title: Ten years later, the story of Suck.com (2005)
url: http://www.keepgoing.org/issue20_giant/the_big_fish.html
author: pavel_lishin
points: 57
story_text: 
comment_text: 
num_comments: 21
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1440944718
_tags:
- story
- author_pavel_lishin
- story_10143395
objectID: '10143395'

---
[Source](http://www.keepgoing.org/issue20_giant/the_big_fish.html "Permalink to keepgoing.org :: The Big Fish")

# keepgoing.org :: The Big Fish

![keepgoing.org][1]

Issue 20 | Summer 2005

* [Contents][2]
* [Masthead][3]
* [Archives][4]

# ![The Big Fish][5]

Ten years later, the story of Suck.com, the first great website

By Matt Sharkey

In August 1995, HotWired, the online publishing division of Wired magazine, was just 10 months old, making it, by the accelerated pace of the early web, both a pioneer and a latecomer. Prior to the HotWired launch in October 1994, Wired had an Internet presence, via Gopher, a text storage and retrieval system, and an email delivery mechanism, which processed requests for specific magazine articles. These systems were handled by a small cadre of engineers, who, with the burgeoning popularity of a new method of online publishing, the World Wide Web, and the release of the first graphical browsers, helped convince founder and publisher Louis Rossetto that Wired needed to get on the web. Rossetto was a leading evangelist for digital culture, but he was also a businessman, and while he envisioned the prominent role that the San Francisco-based monthly might take in the new web space, he first had to be sold on the profitability of such a venture.

The obvious and popular solution was to sell advertising, but this being the web—and this being Wired—it would be a completely new breed of advertising. At first glance, it resembled the print model, with a rectangular plot of screen real estate rented to sponsors for, initially, $10,000 a month—$1,000 more than the magazine charged for a full-page ad. But unlike print, HotWired’s advertisements would be linked to the sponsor’s own web page. These were advertisements, in effect, for more advertising, their success gauged by the percentage of visitors who followed the link, or in the new parlance, the number of “click-throughs” per “page views”. This was the now-ubiquitous and much-despised ad banner. AT&T; was the first sponsor, purchasing six months of page views. “Have you ever clicked your mouse right here?” asked what many consider the [first banner ad][6]. “You will.”

HotWired had 12 sponsors at the time of its launch, nearly half of which lacked sites of their own. More would follow, and this being Wired, there were plans to use the unique features of the web to make online advertising more attractive to potential sponsors. Unlike the one-way communication of print and broadcast media, the web required interaction with its audience. That interaction could be used to target specific advertisements to specific visitors based on their preferences, not based on some survey or questionnaire that they would submit, but—and this was Rossetto’s brilliant insight—based on the preferences they manifested as they navigated the website. Wired was divided into specialized “channels”, sections dedicated to news, arts, commerce, and other topics. Knowing which channels a visitor frequented, and which pages within those channels, could give HotWired enough information to tailor the advertising seen by each visitor and provide its sponsors the best opportunities for click-through. All that was needed was a system to track the paths of visitors though the website. The obvious solution was registration, and it was not at all popular.

“It was both extraordinarily brilliant and really screwy,” says Gary Wolf, former executive editor of HotWired and the author of [_Wired: A Romance_][7]. “Now that stuff is done based on cookies as well as some other software. None of that stuff existed, so his idea was, we’ll force everybody to register before they read the site. They’ll log in and when they log in we’ll begin tracking their browsing in a database that we’ll build. There were a million reasons why that wasn’t going to work. People who knew better told him it wasn’t going to work, but he was preoccupied with his vision of where the medium was ultimately going to go.”

Among those who knew better was a 24-year-old cultural studies graduate named Carl Steadman. Steadman had been interested in the web since seeing Mosaic, the groundbreaking browser developed by Marc Andreessen at the University of Illinois and released in 1993. He was running his own web server later that same year, at a time when there were little more than 500 such machines online. At the University of Minnesota, he served as the web editor of [CTHEORY][8], a journal of theory, technology, and culture, and one of the web’s first non-technical publications. He was also a fan of Wired, a reader from the first issue.

When Steadman encountered HotWired’s infamous “Login or Join” home page, he wondered how someone like Rossetto could so misunderstand one of the fundamental aspects of the web. “Because it was necessary to register to read anything on the site, it was impossible to link from anywhere else on the web to HotWired. It was my great concern that, as a leader in the space, HotWired could precipitate many more ‘premium’ content sites that prevented linking content.” He was enough of a pragmatist to know that the only way to affect change at HotWired, to make sure that linking on the web worked, was from within HotWired. He sent a resume by email.

Web expertise was at a premium, and Steadman’s credentials made him extremely attractive to HotWired. “In ’94, there were very few people who had done web work period, let alone done any kind of content development on the web or on the net in general,” says Chip Bayers, HotWired’s managing editor at the time. “We’re talking about, by the summer of ’94, we were still a little more than a year removed from the first [NCSA][9] Mosaic, the first useful graphical web browser being available. So the fact that Carl had already experimented with this stuff and had done things like CTHEORY and a few other things as net media made him appealing.”

“If I were to do it all again, I’d probably just demand a top spot at HotWired from the get-go,” says Steadman. “However, I wasn’t in the position to do so at the time, and you do have to remember when I was called for my first phone interview, I was drunk. At four in the afternoon.”

Steadman was hired as production director for all of HotWired. After some negotiation, Bayers allowed him to hire an assistant. Joey Anuff had opened his own comic-book shop at the age of 15, which eventually became a chain of stores in the Caribbean. At Berkeley, he’d studied rhetoric, but an interest in computers drew him first to animation, then to the web. Anuff learned that HotWired was hiring, and was soon invited for an interview with Steadman and Bayers. “I don’t know what Carl saw in me, other than somebody who probably believed in too many things, and I think Carl relished the opportunity to crush those beliefs.”

The two men had much in common but were temperamentally very different. “Where Carl is unprepossessing, almost diabolically intelligent, and a master parodist who always keeps a straight face,” says Wolf, “Joey is the opposite, a comedian, very outgoing. Even though Joey worked for Carl, whenever you saw a group of people and people were laughing and being loud and unruly, it was always Joey in the center of that.” While Anuff happily participated in the mandatory “get to know” lunches with Wired management, Carl refused to attend, if only because they were mandatory.

“I remember going out to lunch with [Wired executive editor] Kevin Kelly and [creative director] John Plunkett, which for me was of course incredibly exciting,” Anuff says. “At some point during that conversation, I suggested that there was no _Mad_ magazine of the web, and it was not immediately batted down. I remember Kevin Kelly giving a nod, like, ‘Hmm, that’s interesting,’ and I thought, ‘Hey, I just had a really good idea.’” He took the idea to Steadman, who encouraged him to pursue it. “I remember telling Carl about it, and he said, ‘Yeah, we _should_ do a _Mad_ magazine. You should do it, and you should write it, Joey. You won’t have to go through Gary. They won’t edit your stuff.’”

Anuff considered himself a writer first, a web specialist second. His technical skills should have made him that much more qualified to write for the web. It was strange, then, that every time he submitted copy for publication, the criticism he received centered less on what he wrote than how he wrote it. “HotWired had this crazy policy where they didn’t allow tertiary links, is what they called it. A tertiary link was when you linked to something that wasn’t explicitly referred to in the text. If I said, ‘Proctor & Gamble have a policy against suffocating infants,’ and I linked on ‘suffocating infants’ to the policy page on Proctor & Gamble, and it said, ‘All our products are tested for the risk of infant suffocation, and we have a strict policy,’ that’s a primary link. If I linked ‘suffocating infants’ to Dave Winer’s column, that would be a tertiary link. That was, by policy, not allowed at HotWired.” It was absurd, with a medium so new and unexplored, to establish such rules regarding what was and was not allowed. The lack of established rules was what made the web fun.

Steadman, meanwhile, had succeeded in dismantling Rossetto’s registration system, not by force of mere argument, but with the objective power of raw data. Part of his job involved analyzing the log files of the web servers and condensing the information into digestible reports for the management. He could tell them which sections of the site were the most popular and which were not attracting an audience, but he also knew how many visitors never entered the site at all. “I think what Carl was doing, really, in terms of his analyzing those referrer logs and the server logs and the traffic, was simply coming to recognize how much traffic our registration system was costing us,” says Wolf. “He was looking, for instance, at how many people came to the ‘Are you a member?’ page and then simply never hit any other pages, and watching the falloff in traffic based on the barrier that had been built between us and our audience because of this vision of the future of advertising. He already knew it was a catastrophe instinctively, just sort of based on his general knowledge, but this gave him hard data that the whole way HotWired was going about its business was misguided.” His findings proved to Rossetto that registration was not only philosophically incorrect, as others had pleaded, but bad for business. On August 4, 1995, HotWired’s registration system was eliminated.

It was a victory, certainly, for Steadman, and for everyone else within the company who was excluded from the high-level decision-making process, but it was certainly not the end of contention. “There was violent debate at Wired,” says Anuff. “Little things, issues related to advertising, issues related to privacy and data collection, registration—all these things took on huge meaning and life-and-death resonance. Probably for a year, Carl was on a crusade to keep HotWired registration-free. If you can imagine the amount of time, effort, concentration, and attention that [was given to] a little issue like whether you had to enter your name and password every time you went to HotWired. If you can imagine, more than a year of Carl’s life was wasted thinking about things like that.”

If anything, the end of registration convinced Steadman that he _could_ effect real change at HotWired, but it would take more than rhetoric to do so. It was not enough to point out what Wired and others were doing wrong. He would have to show them how to do it right. “Do it yourself,” says Wolf. “Do it better. I think Carl and Joey were pioneers in that way. They said, ‘Okay, these guys won’t listen to us, they don’t recognize that we’re smarter than them when it comes to the web. We’re going to produce our own website and we’re going to get more traffic than all the websites these guys are producing put together.’ That was their goal.”

Steadman wanted to launch as soon as possible. The rapid tempo of the web meant that the columns they’d written—Steadman on [Marc Andreessen][10], Anuff on [the recent SIGGRAPH convention][11]—would quickly become dated. They called the site “Suck”. “I came up with a bunch of different things,” says Anuff. “I was just doodling at home, and I remember I came up with Suck at the same time I came up with the tagline: ‘We admit it.’ That’s the original thing. That’s what made it a go idea, the fact that I had the ‘We admit it’ tagline. Suck on its own, I’m not sure would have done it. I believe Carl loved it instantly.”

Sean Welch, a HotWired engineer, drove Steadman to the local Fry’s Electronics, where Carl bought a server with his platinum card. The two wedged it into the back seat of Welch’s Cabriolet, and drove it to the office for installation in the HotWired server room. Company policy allowed any employee to hook a machine up to Wired’s high-speed T1 lines, and personal sites were encouraged as a means of fostering experimentation and developing potential Wired properties. “Anybody could put up a server,” says Anuff. “Everybody was encouraged to have their sites. It _was_ surreptitious in the sense that nobody knew that Suck happened to be one of the sites being served from HotWired. Nobody there except for Sean Welch knew that we were the ones doing it.”

On August 28, 1995, Suck went live. The first column was accompanied by a manifesto of sorts:

> Shit makes great fertilizer, but it takes a farmer to turn it into a meal. With that thought in mind, we present Suck, an experiment in provocation, mordant deconstructionism, and buzz-saw journalism. Cathode-addled netsurfers flock to shallow waters—Suck is the dirty syringe, hidden in the sand. You wanted feedback? Cover your ears and watch your back … it wants you too. But Suck is more than a media prank. Much more. At Suck, we abide by the principle which dictates that somebody will always position himself or herself to systematically harvest anything of value in this world for the sake of money, power and/or ego-fulfillment. We aim to be that somebody.

Anuff collected every magazine he could locate, at the Wired offices and at home, until he had a stack of perhaps 200, which he combed through, writing down every email address he found. “Every published email address of any journalist period ended up on this master list, and we spammed them all when we launched.” After that, there was little else to do except watch the server traffic, and wait.

* * *

With today’s eyes, it’s difficult to see what made Suck such a revelation when it first appeared. At the time, the typical website had some sort of entry page, like HotWired’s registration screen, or more commonly, a title page or cover, with links to individual internal pages—or to a separate table of contents, leaving the real content of the site twice removed from the point of entry. Many sites took their cue from HotWired, employing garish color schemes and dizzy background images. Suck placed its content right on the front page, black text on white, in a single, snaking column inspired by the layout of [Flux][12], the HotWired gossip channel, which Steadman as production director had a hand in designing.

In the absence of HotWired strictures, they turned “tertiary links” into signature stylistic components. “It’s important to understand that up until then, to the best of my knowledge, people had just used hyperlinks in a strictly informational sense, simply as online footnotes,” says Mark Dery, author of [Escape Velocity][13]. “With Suck, you wouldn’t get the joke until you punched through on the link. Then you found out that it set the keyword to which this new source was linked in an ironic light.” Writing for Suck, Steadman and Anuff _were_ free to link “suffocating infants” to Dave Winer’s column, or “[wet dream][14]” or “[negative energy][14]”. “Whereas every other Web site conceived hypertext as a way of augmenting the reading experience,” wrote Steven Johnson in [_Interface Culture_][15], “Suck saw it as an opportunity to withhold information, to keep the reader at bay.”

While most everyone else was using the web’s cheap access to a potentially unlimited audience in order to make themselves known, the writers of Suck published under pseudonyms, [Anuff][16] as “The Duke of URL”, [Steadman][17] as “Webster” and “Dunderhead”. The ostensible reason was to protect their identities at HotWired, but it was also another calculated component of Suck’s corrective. “Everybody wanted to be the genius who understood it all and got there first and become a pundit,” says Anuff. “It just seemed so asinine. These people were so under-qualified to be laying down the law on what you could and couldn’t do, and it was so early for that, that it just seemed really important for us not to put our names on anything. Half of the other pages didn’t have anything _but_ their names.”

What was not apparent from one viewing, and what was more shocking than the format or the byline, was Suck’s intention to publish a new column every day. Wired was then struggling with their publishing schedule. “We didn’t know how often we were going to have to update HotWired,” says Kevin Kelly. “The idea was, the content on HotWired might be updated maybe monthly. I kept saying—I felt like Dan Rather—‘What’s the frequency? I think the frequency is going to be more than that. I think it’s going to be faster.’ Maybe it’s like every week. These things were just frightening. They were scary, because it was like doing daily journalism. It means hiring staff. We were not thinking in those terms at the time. We were not thinking that people needed to come back to a website every day.”

“As soon as Louis saw Suck, he knew that what had to happen was that HotWired would have to update daily,” says Steve Silberman, a writer for Wired. “What are we? We’re a magazine. Okay, if we’re a magazine, you don’t publish a magazine every day. You publish a magazine maybe once a week. People come back every Monday for the good stuff. That was the idea. Once Suck launched, it was obvious that what you really wanted to create was an obsession, and Carl and Joey knew how to create an obsession.”

As they did for HotWired, Steadman and Anuff paid close attention to Suck’s server traffic, particular during those first days, and with a keen eye for visitors from within Wired. They knew, for instance, when the site reached June Cohen, the editor of Net Surf, HotWired’s web review column, who linked to Suck in its first week. During a casual stroll around the office, Anuff saw the site on the screens of at least five workstations. “That wasn’t surprising. Remember, Suck was _good_ for the web. As soon as one person at Wired knew about it there’s no reason why everybody at Wired wouldn’t know about it. The last link they were passing around was probably a quickcam inside somebody’s boxers or something. Something completely useless and retarded, and then they get a Suck link. It was calculated to impress them. It was about the industry. They were the audience. They _had_ to be reading it.”

In 1995, the most active users of the web were those within technology and web companies, where the things that Suck wrote about were subjects of intense interest and fevered debate. While the trade magazines flattered executives with softball portraits and blind utopianism, Suck spoke to the grunts on the front lines, those like Steadman and Anuff, who saw the mistakes being made at the top but lacked the power to do anything about it. It was snarky and sarcastic about topics that were too square to be snarky and sarcastic about anywhere else. For the ground-level tech drone stuck at a computer, it provided the perfect daily respite. It was quickly located, easily digestible, and if you could suppress your laughter, it looked just like working.

“I had a job that afforded me more free time than I knew what to do with,” says [Greg Knauss][18]. “The guy who is now the editor of _Macworld_ was a friend of mine from college, and he was really into the culture at that point. It was very fetal, but he sent me the site maybe six weeks after it launched and I just got sucked in immediately. At work, they’d just made a monumentally stupid decision regarding our brand new website, so I blew off some steam and wrote a rant, and decided to send it to them, and they actually published it.” Knauss’s need for a pseudonym was very real, and as “[POP][19],” he became Suck’s first outside contributor. Under the title “[TV By The Blind][20],” he reiterates—more bluntly, perhaps—what might as well have been the Suck credo:

> The chokers, the people who pay for all this stuff. They don’t get it. You’ve heard it a million times—at the water cooler and in shot-through newsgroups—but it’s absolutely true.
> 
> They don’t browse. They don’t keep up. They read about the Web, fer chrissakes, in the New York Times and in the Wall Street Journal. They tell their flunkies to order up some presence and have no idea what they’ve done or what it should look like.
> 
> They’re virgins who’ve been told about sex and think they have a clue. They’re experts vicariously.

As links to Suck columns continued to circulate via email, the quality of the writing drew readers from outside the industry, like Jack Shafer, the editor of _SF Weekly_. “It just screamed out talent to me. People had all sorts of ideas for the web, but pure editorial brilliance was not one of those ideas. That popped out. The interesting one-column design, which nobody else, I don’t think, had done. I think that it was calculated on their part. Let’s do this anonymously, then that will even increase the interest in the general public of, ‘Who are these guys?’ The quality of, ‘Who was that masked man who just said that clever thing?’ All these things sort of played together.” Shafer’s inquiries after the identities of the Suck writers made their way to HotWired, where Steadman and Anuff’s authorship was something of an open secret among the staff. The two invited Shafer to the office to watch them put together a column.

“At HotWired, there were people there at all times of night,” says Ed Anuff, Joey’s brother. “If you had nothing to do at 11 p.m., you could just go pound on the door and somebody would let you in. People were working on their various projects, whether they were their official jobs or whatever else they were doing online. I guess part of it was that people would hang out there because of the high bandwidth and so on. If they were surfing the web, it was easier to do there in the office.” Ed was working at a consulting job just up the street, and whenever he got bored or needed a break, Joey and Steadman were sure to be at the office. Though the two shared a loft apartment nearby, they were basically living at HotWired, sleeping in a pair of bunkbeds Steadman had installed and using a shower one floor up. “I just wasn’t getting home because I was working so late, and I ended up sleeping at the office, most of the time,” Steadman would later write. “Why fight it?”

“They were working their full-time jobs,” says Ed, “and then as soon as most of the people left for the day, which was still pretty late, they would start to try to hatch whatever idea they were going to have for a story. So the whole idea of what their piece was going to be, they’d come up with it after dinner, and then there’d be sort of a mad dash.”

Though the columns carried only one byline, usually Anuff’s “Duke,” the process was largely a collaborative effort. “I would frequently leave my last couple paragraphs off the piece,” says Anuff. “He would just have to write them. It was almost like my byline represented the fact that I wrote a first, 70%-completed draft of a piece. It was absolutely expected I would write as much as I can, then hand it to Carl to do whatever he wanted to it.”

“Looking back on it a couple years ago—I have the original drafts—I was more of a co-writer,” said Steadman. “But it was early in the development of the web, and no one knew yet how to write for online.”

“It was a pretty exciting thing watching these pieces come together,” says Ed Anuff, “especially since a lot of the humor, a lot of the things that made some of these pieces so funny were the sort of that last half-hour where it went through the process of Joey and Carl just putting in whatever struck them as humorous in sort of this sleep-deprived point. If it was happening at a different point in the day, I think that they would have been a little bit more restrained in their humor.”

“It would be 3 a.m. and I didn’t have tomorrow’s column,” says Joey. “For six hours I’d procrastinate and wander the halls, then around 2 or 3 a.m. I would be wired on tons and tons and tons of coffee. Eventually, I’d be like, I have to write something, and I’d just write, write, write, write, write. I would wake Carl up at like 8 a.m., 9 a.m.—it would get pushed sometimes to 11 a.m.—and he would post it.”

“It was sort of like jamming,” says Shafer. “It was sort of like three jazz musicians trading notes. It was a little like the fevered dreams and fevered speech of pot smokers. They were kind of high. I don’t think they were all necessarily on drugs, but they definitely were holding good levels of caffeine and there was some sleep deprivation and the fear of deadlines. It had a kind of college-bull-session quality to it.”

The profile ran in the November 1, 1995, issue of _SF Weekly_. “Shafer has seen the future of the Web,” read the cover blurb. “This is Web content by the Web savvy for the Web enthusiast,” Shafer wrote. “That the Duke and Webster are launching such magnificent turds into the Web punch bowl in their spare time instead of working daylight hours on the ‘editorial’ side of HotWired suggests that HotWired hasn’t got its priorities straight.”

The piece identified Steadman and Anuff by name as the creators of the site, and they were soon fielding calls from parties interested in acquiring Suck. The timing was fortuitous. The process of creating a column every day, plus working their day jobs at HotWired, was brutal, and they were already starting to burn out. At the start of the project, they’d given themselves three months to turn Suck into a salable property, after which the schedule would be too difficult to sustain. “The question was either selling out and getting somebody to turn it into a respectable operation, or stop publishing,” says Anuff. “Those were the only two options.”

Anuff made contact with Will Kreth, a former HotWired employee, then a senior director at Prodigy, to find out if they were interested in buying Suck. There were also talks with representatives from Starwave, a web publishing company whose primary investor was Paul Allen, co-founder of Microsoft. At Wired, Andrew Anker, the chief technology officer, approached Louis Rossetto, who’d become a regular reader of the site. “I read it as it was coming out, but I didn’t realize _we_ were publishing it, that it was coming out of our own office. That connection only came when Andrew Anker came to me and said that he wanted to buy Suck and that it was being produced by Carl and Joey. I was sort of amazed that this had been going on subterranean, in our own space.”

“Carl really wanted to leave Wired,” says Anuff. “He didn’t want to have anything to do with Wired. He was over Wired at that point, but I was still flush in my early bloom of Wired excitement. I thought the best-case scenario would be if Wired wanted to do something with us. So when Wired started talking to us, I managed to talk Carl into thinking that it was the best, easiest way for us to go.”

“At the time, it was the path of least resistance,” says Ed Anuff. “Taking the HotWired deal was just simple. They were still getting their paychecks from the same place, they didn’t have to move from their desks, and all that sort of thing.”

The deal with Wired gave them $30,000 plus HotWired shares, an arrangement Anuff later categorized simply as “shitty”. “It’s a sell-out, but it’s the kind of sell-out that matters a lot to you if you’re a writer, or an editor, or a content producer,” says [Gary Wolf][21]. “People like that, people like us, are notoriously poor at extracting value from the economic systems. My understanding is that they sold out not because they were going to become millionaires, which they weren’t and didn’t, but because we promised them a stable platform for doing what they wanted to do, which was to publish this website. They got certain commitments. They were able to hire a staff, they were able to leave their day jobs, which they were working, doing production work for HotWired. They were able to become full-time working on Suck and not have to do it all night long. Eventually, they had four or five other people working for Suck. That was really what that was about. It was about making Suck.”

* * *

[Heather Havrilesky][22] was an intern at _The Red Herring_ when she saw the [November 21 Suck column][23] announcing that Suck had been sold to Wired and would be hiring a staff. “[I lied and said I was a copy editor][24] because they needed a copy editor at Suck. And then when they called to hire me they said, we’re going to make you an assistant editor, and they named a salary that was twice as much as I thought I’d make. Copy editors at Hotwired apparently made nothing. Just nothing. So they came at me with a reasonable salary, and assistant editor—that sounded like king of the world to me at that time.”

“For the first month, I basically just looked at stuff online,” she says. “Joey and Carl were like, ‘Yeah, you’ve got to get up to speed. You don’t know that much about what’s out there, so just look at stuff online all day.’ So I would just sit there. I’d copyedit the site and I’d sit there and look at stuff online for 12 hours, and they completely didn’t give a shit what I was doing. That was awesome.”

To manage the office, they brought on [Matt Beer][25], a veteran of Detroit journalism recently relocated to San Francisco. [Sean Welch][26] became the “Suckgineer,” and [T. Jay Fowler][27], a friend of Carl’s from Minnesota, came on as a production assistant. For Suck’s executive editor, Anuff turned to [Ana Marie Cox][28], whom he knew from an indie-rock mailing list called Chug. “Steve Albini was on it, one of the guys from the Butthole Surfers was on it, the guys who ran Matador Records were on it, and Nils from Sub Pop. It was just a very snobby mailing list, and it could get really contentious. I remember feeling slightly cowed by all these indie-rock royalty types who would post there, and I remember being really impressed by the fact that Ana would never back down from them, and would really hold her own against them. She was obviously as opinionated then as she is now, maybe even more, so she stood out. I thought she was pretty great. So I got in touch with her through that.”

“I got an email from him,” says Cox. “Actually, I got the email from him before I’d even seen the site, asking me if I wanted to work for Suck. I just assumed it was a joke of some kind, because I’d never heard of Suck, and because why would anything be called Suck?”

It was an increasingly common question. In the months since its creators were unmasked and the site was purchased by Wired, Suck’s notoriety had spread from the small pond of the online world to the larger waters of what was frequently called “old media”. In December, Steadman and Anuff were included in _Newsweek_’s list of the “50 People Who Matter Most on the Internet”. They were profiled for the _Los Angeles Times._ The site was lauded in the _Wall Street Journal_ and the _Boston Globe_, which called it “one of the best e-zines, consistently approaching the too-witty-for-its-own-good elan of vintage _Spy_ of a decade ago”. A photo shoot for _Rolling Stone_, conducted after hours in the HotWired office, apparently angered the brass.

“Those two always took that stuff with a grain of salt,” says Havrilesky. “Mostly, they hoped not to look like annoying assholes, recognizing that the likelihood of that was high. Then when the press came out, they’d laugh at what annoying assholes they looked like. It never affected the way they saw the site or any of that.” Suck was a business now, and all the publicity it was receiving meant nothing if it didn’t increase traffic to the site. “We learned very quickly that print mentions of the site did absolutely nothing,” says Anuff. “Nothing at all. Print, I don’t care if it was the _New York Times_, _Wall Street Journal_, _Newsweek_—print mentions of the site did shit for us.”

There was pressure from the new bosses to make the site a profitable enterprise. Suck, as the pet project of two moonlighting employees, had run without advertisements; as a Wired property with a staff, that was an unaffordable luxury, and the one-column format provided limited opportunities for ad placement. “Somebody, I don’t know if it was Rick Boyce, the proverbial father of the ad banner,” remembers Fowler, “came in to Suck and said, ‘You know you guys, if we’re going to buy you, you guys have to increase your page views, and this one page single column thing isn’t going to cut it.’ Even with the I-don’t-know-how-many unique visitors they had everyday.”

Steadman and Anuff saw the directive as an opportunity to expand the scope of Suck. “You want to see whether you can get people to hang in for more than one page,” says Anuff. “It only seemed right to go from one page a day to two pages a day. We didn’t want it to be Suck plus something, plus the same thing every day, so it ended up looking like channels. We figured, we’ll have five new sections, two columns a day. The main column every day, plus an extra section.”

The new arrangement, dubbed Suck 2.0, debuted in May 1996. In a practice that was fast becoming standard, each page had been divided into two frames. While the user scrolled through the content in one frame, an ad could remain fixed and ever-clickable in the other. “No doubt there are those who will pine for the days of yesteryear,” read the [introductory column][29], “of a Suck without ads, frames, Java or, as we’d like to point out, a payroll. But to lose your innocence, you’ve got to have been a virgin, which implies we weren’t screwed from the start.”

In addition to the regular daily column, the five new, specialized sections were unveiled, each to run once a week under the editorship of a different staff member. Beer handled reader mail in a section called “[Vacuum][30].” Steadman created “[net.moguls][31],” a trading card series of industry heavies. Anuff ran “[The Pitch][32],” a collection of short, punchy ideas for Internet start-ups. Cox edited “[Zero Baud][33],” dedicated to offline matters.

Havrilesky was assigned a column of miscellanea, to be called “[Filler][34].” “Basically they said, ‘You know, _filler_. Just whatever. Doesn’t matter.’ They were like, ‘Quotes from the paper that are funny, or like _Spy_’s Celebrity Math, or whatever. Doesn’t matter. Whatever you think up.’ I was like, ‘Um, I don’t know what to do. What if I just photograph the contents of my desk drawer and put that up? Would that be okay?’ and they were like, ‘Yeah, that’d be _great,_ actually.’”

The original plan called for each section to have its own illustrator, and Havrilesky was paired with a former colleague of Beer’s from Detroit named [Terry Colon][35]. Despite rumors of initial conflict—“I don’t know whether Heather remembers this,” Anuff says, “but we had to force Terry on Heather”—it would prove to be a perfect match. “Originally they said, ‘We’ll have spot illustrations to go along with whatever is in the column,’” says Havrilesky. “Then there was some quote that I found from Michael Kinsley about what the web was about. I wanted to have a kind of representative of Suck talking back to him. I don’t know, I just envisioned it as [a cartoon][36].” For her representative, she turned to the only iconography on the site. Suck’s dadaist navigation system consisted of three clip art images representing the site slogan, “a fish, a barrel, and a smoking gun.” “I don’t know if I talked to Joey or Carl about it, but we decided on a fish. Then Joey and Carl really wanted me to do a gun and a barrel, but the gun and the barrel were never as cool as the fish. The fish was definitely a lot cooler.”

As trust deepened between Havrilesky and Colon, their collaboration began to dominate the column. “I had to coax Terry into doing a cartoon because he couldn’t figure out how to squeeze all the words into the frame at first. You can kind of tell in the first few Fillers, the layout is really weird and sometimes the words are really hard to read. But it’s amazing how it evolved. He got so damned good at it after a while.”

“Basically, the way it worked was she would write the thing,” says Colon. “She knew what each picture was going to be and here’s what the people would say. I would do the sketches and send them to her and I would get her comments back, like this is not quite the right expression that I was going for, et cetera, et cetera.”

“He would get sick of me,” says Havrilesky, “because I would send him descriptions that would say, ‘An obese squirrel that looks slightly drunk and confused but regretful is sitting at a bar with an emaciated rabbit.’ He would always say, ‘You only get two emotions. It can be regretful and drunk, or regretful and excited, but it cannot be more than two things at once.’ Also, I would say, ‘This emaciated rabbit isn’t cute enough.’ He’d say, ‘You said emaciated. Emaciated is rarely cute.’”

What were once isolated spot illustrations between blocks of copy became a long comic strip occasionally interrupted by text. Filler grew to represent a significant portion of Colon’s weekly workload. “It just kept growing,” he says. “At some point it would be like she’d wrote them and there’d be 30 pictures.”

“It was great,” says Havrilesky. “You could totally explore a theme with a little narrative, and then a chart, and then a quiz on the subject, and then another little narrative. It’s so easy to build jokes on themselves and come up with little callbacks and taglines based on earlier parts of the thing.”

“It was this weird amalgamation of all sorts of things,” says contributor [Greg Beato][37]. “It was something that you really would not be able to do in a print magazine, just because you could never get that much space for one feature or for one element that wasn’t a feature story. It could only really exist in the web.”

Her greatest source of inspiration was the Suck office itself, beginning with Polly Esther, her angrier, meaner, foul-mouthed alter ego. “It’s like the worst aspects of your personality magnified. Those are the kinds of characters I like, you know. It depends on the way you’re most comfortable seeing yourself. I think that for me in order to accept my rough edges, I sort of use really strong language to describe them. I think I view myself in really strongly negative and strongly positive terms, so it was naturally to have sort of a caricature. I was comfortable with a negative caricature of myself, let’s put it that way. It was like a cathartic thing to have this really, really harsh, kind of disgusting doppelganger.”

“I graduated into making fun of everybody in the office,” she says. “The great thing was that I would write these totally insulting, not-very-exaggerating cartoons based on the behavior of people in the office, and instead of being mad at me—you know, I’d flinch every time I first wrote about someone I hadn’t written about before—they would be thrilled. They were all kind of overconfident. Plus, they loved to see their little cartoon likeness acting like an asshole. They were thrilled. It was great. I had full license to make them all look like jerks, and they completely didn’t mind.”

Like Polly, the Suck office in Filler was a nastier, more contentious place than its real-world counterpart, but not by much. “I’d say a lot of it was driven by actual true stuff,” says Anuff. “I don’t know if it was verbatim true. Heather is one colicky baby. She was fighting with everybody. She used to go at it with Ana, with Carl, with me, with Terry, with Matt. Oh my god, Matt Beer. And then Ana, of course, is a terror, too. What a bunch of fucking babies. In some sense it was the most unprofessional group of crybabies, prima donnas, and problem employees. Everybody there was a problem. I don’t even think I knew any better, because I was a problem too.”

“I thought there was a sort of soap-opera thing going on in the offices there,” says contributor [Hans Eisenbeis][38], currently editor of [The Rake][39]. “Heather was either not talking to Ana Marie, or Ana Marie wasn’t talking to Joey, or there was some little soap-opera thing going on. If you talk to them about it, I’m sure they’ll have some fond memories about what was actually going on there, but it was definitely a case of, okay, we’ve all had our cake _and_ we’ve eaten it, and now I’ve got a stomachache.”

“The screaming and the portrayal of me as being vaguely dissatisfied, all that stuff is absolutely true,” says Fowler. “The funniest part was that people actually thought it was funny, and we thought it was even funnier because she was making fun of us. Making fun of all of us on a consistent, daily basis. We were publishing it, and people liked it. It was great.”

“Heather had a great observation one time,” says contributor [Tim Cavanaugh][40], “that one of the most important things you can do is create this illusion of an ‘in crowd’ that you’re not in on. And it really does work, right? The ideal for a magazine would be like _Mad_’s usual gang of idiots, where you have this sense that there’s this really wacky crew all getting together to come up with these really great ideas. You really want to be part of that, you feel like you’re on the outside looking in on that. That was the key to Filler. I never would have thought of that. I don’t have enough sense of myself or of my own star quality to come up with something like that. I don’t know if anyone else did either. Joey, although he’s very funny and very bold in his ways of thinking about things, doesn’t really do that either, doesn’t think about himself in that way. I think Heather was capable of doing it.”

* * *

During the summer of 1996, as Suck’s first anniversary approached, Carl Steadman invited Owen Thomas to interview for a copy editing position. While working as the webmaster for Publish magazine, Thomas had been [compiling and emailing Suck][41] with regular lists of typos and other errors, which had become more frequent since the success of Filler. “I decided that I needed to start doing my job less and less well so that I didn’t have to copy edit anymore,” says Havrilesky. “So I would just read over the site really quickly, and I let more and more errors slip though, so eventually they had to hire someone to do that.”

Thomas had no professional copy editing experience, aside from some work for his college newspaper at the University of Chicago, but had no qualms leaving his job with Publish when Steadman offered him the position. “I really loved Carl from the get-go. I had a bit of a hero-worship complex. Unfortunately, he brought me on, but he really was in the process of withdrawing from Suck at that point.”

“So whereas at one time it was just me and Joey, now there’s several people who have taken over my various work roles,” [Steadman wrote][42] at the time. “I’m handing my portion of the management tasks over to Joey, leaving me with less and less to be responsible for.”

“Carl’s interest in the site might have started to wane before the sale,” says Anuff. “I think Carl had more notional interests. I don’t mean this as a criticism, I just don’t know that the ongoing maintenance of a publication is that interesting to Carl. Carl’s interested in launching things rather than editing or publishing or doing upkeep on things.”

“Why am I leaving?” Steadman wrote. “A lot of reasons. My health, both physical and mental, has degraded since starting Suck—too much work, too much stress, too little sleep. I need some time off. And then, there’s the missed opportunities while I was at Suck—I wanted to write Lacan for Beginners, and had a deal, but Suck took too much time, and the publisher chose to go with someone else to write it while I was busy with this.”

There was a similar restlessness within Suck itself. To fill out its new sections, Anuff and Cox had brought a host of new contributors to the site, some of whom were only minimally interested in writing about the web topics that still drove the daily column. Zero Baud had been designed to handle all non-web subjects, but it ran only once a week, and as a link off the main column. Many Suck readers, even its most devoted, consumed only what was on the front page. “The bang for the buck we got editorially for that second tier of pages wasn’t worth it,” says Anuff. “We would get a fifth of the traffic on those pages, but we wouldn’t pay a fifth of the amount. It was a real drag on the budget. It just didn’t make any sense. It was so depressing to see the falloff. People just don’t click through. We knew that from the beginning, but we had to verify it. But I think that’s true for every site out there. Once you start branching out, you get vanishing return with every level of depth on a site.”

There was a sense as well that the online world was too restrictive a subject for a daily column. “The web ceased to be that enduringly interesting,” says Anuff. “Plus, we had all these other people who were only tenuously impressed by the web qua web. What the hell did Ana really care about the web? There were some people like Greg Beato and Greg Knauss and the O.G. contributors who could have written web columns forever, but we got stuck in this stupid rut of bad metaphors for the web and all this crappy stuff. It became really forced to keep talking about the web.”

“I think Suck changed when other people started writing,” says Beato, “and when Ana became the editor, because Ana wasn’t nearly as web-centric as Carl and Joey. She was more interested and more coming from traditional cultural criticism perspective, and I think a lot of the writers—myself included—were similar.”

“You expected it to go in that direction,” says Chip Bayers. “It was web-oriented only in that they recognized at the beginning and spoke at the beginning to an audience of people who were working on websites. I think that they thought that their natural audience was all of those other 20-year-olds who had been hired at places like Yahoo and Amazon and Netscape and all the early web companies. But I don’t think that they thought of themselves as doing tech-oriented content for those people. I think they just thought of themselves as doing content for those people. In a way, the humor that was there and the attitude that was there from the beginning indicated that they were not just a tech-based website.”

So, at the start of 1997, Suck 2.0 was dismantled. Zero Baud was folded into the main column, where The Pitch would also occasionally appear. Letters would appear daily in the Fish, formerly Suck’s “about” page, with the Suck masthead. Netmoguls received its own domain, and Filler, fast becoming the most popular section of the site, would appear every Wednesday on the front page. “We’re streamlining things a little, okay?” the site [explained][43]. “Who wants to wade through volumes of crap every single day? The point here is to make sure we put out one page of great stuff every day, as opposed to two pages of crap. Can you dig it?”

Under Cox, the daily column evolved into a broader cultural criticism, where the Suck sensibility could be trained on larger game. “Left to her own devices, I don’t think she gave a rat’s ass about anything related to the web as the web,” says Anuff. “Any kind of Wired-ish issues, she really didn’t care about that. I don’t think she was a big website surfer. Her whole thing was pop culture writ large. So we started moving in that direction. It’s not that that was anything me and Carl were interested in, just she had confidence enough about it to make that a solid direction for us.”

What did not change, as the staff and stable of contributors grew, even as the notoriety of those involved had increased, was the use of pseudonymous bylines. “The last thing we were looking for was people who were looking to extend their authorial brand name,” says Anuff. “Who gives a shit about that? That just wasn’t what we were looking for. The idea was that we were trying to get people who were more concerned with getting an idea out there or a message out or something out, than trying to become known as great writers.”

“I think maybe the anonymity—or the sort of fake anonymity, because though we used pseudonyms, it wasn’t like it was impossible for someone to know who was behind the pseudonym—but I think that did help create a distinctively Suck voice,” says contributor [Brian Doherty][44]. “I know when I thought of something that I thought, ‘Oh, heck, that could be something for Suck,’ it’s almost like the Suck spirit overtook me.”

“It was like playing a really good part, kind of. It kind of geared you up to do that kind of writing, if that makes sense,” says [Tom Spurgeon][45], who edited _Comics Journal_ prior to becoming a Suck contributor. “It was like your superhero costume, to use my previous job. You put on your little costume and all of the sudden you’re 40th Street Black and you’re actually funny. You write about these things that everyone’s writing about and feel up to the task.”

“The style, the thing is, I kind of felt like you had it or you didn’t,” says Cox. “It was an easy and hard time finding freelancers, in that I knew right away if someone was going to work. Either you had the voice down or you were never going to get it down.”

“Begin with a dependent clause that lasts for a few paragraphs,” explains Havrilesky. “‘Despite the burgeoning blah blah blah.’ It was like a wordy, run-on sentence, lots of dependent clauses—almost like a coy, ironic kind of style. Once you learned how to write in that style, it was easy to write. It was like writing in a different language. It was like you could turn to certain reliable turns of phrase. It’s hard to describe. In some ways it was like having that really stylized, weird way of writing made it easier to make basic arguments more fun. But sometimes it was impossible to understand, too.”

“There was never anything that I thought that I could be funny about that I wouldn’t think could work for Suck,” says Doherty. “Certainly by ’97 or ‘98, it was so wide open that there was not a single topic that I couldn’t imagine being able to write for Suck about if I made it funny enough and insightful enough, in that style.”

“It was what Hakim Bey used to call temporary autonomous zones,” says [Nick Gillespie][46], now editor-in-chief of [Reason][47]. “For whatever reason, you were able to do whatever you wanted. It was like this festival of free thought, free jokes, free writing. It made it a lot easier to write. You would stretch for the most overblown or tenuous connections between social phenomena and cultural phenomena, and everything came in to play. As a writer, it was un-fucking-believably liberating.”

“I think Suck created a context in which writing Suck-style pieces made sense,” says contributor [Chris Bray][48]. “I’m not sure if outside of that context you could write like someone who writes for Suck and make any sense to anyone. I think without the word ‘Suck’ across the top and Terry’s artwork, if you tried to write that way, people would just say, ‘What the hell is he doing?’”

“Style is really an illusion of the packaging,” says Cavanaugh. “When Terry illustrates stuff, a lot of people, it’s not that they start to sound the same, you just see it more as a piece. This is all in this mode. Terry is by far the greatest thing that happened to Suck.” Colon had been made Suck’s art director, and was charged with creating all the art for the site. In addition to Filler and occasional cartoon features, he now did spot illustrations for each daily column, four or five per piece. “I don’t think you can say enough for how much he made Suck what it was, just in terms of a visual identity,” says Hans Eisenbeis. “That’s really important in magazines. People don’t realize how important it is, so much, on the web, but again, this is a case where Suck was well ahead of the curve in having this highly-defined visual identity that Terry was single-handedly responsible for.”

“At first I would do sketches and show them to the writer to see if they jibed with their idea, but as we went along we just didn’t have the time to do that,” says Colon. “They knew I could do it, so they just let me go ahead and wing it. Since I was the art director, I never turned my work down. That’s one advantage. ‘Oh, that works,’ I told myself.”

“I used to do some stuff for some computer magazines, and it was just like, _ohh_. Deadly. Just nothing but propellerhead stuff. I don’t even know what they’re talking about. It was just no fun. But the Suck stuff, it was always entertaining to read. It made it easier for me, because there was always something in there that inspired me for a picture. It was _about_ something.”

“Terry is the unacknowledged master of Suck, I think,” says Gillespie. “I can say this as somebody who’s been in the _New York Times_, the _Wall Street Journal_, the _Washington Post_, NPR, whatever fucking prestige outlets you might write for—including my own magazine—there is no question in my mind that Suck is the thing that I’m most proud of being affiliated with, and I absolutely believe that my finest work was written there and will always be at Suck. Part of the reason for that was the absolute joy of working with Terry Colon, who I’ve talked to maybe three times on the phone, he’s done some work for me at _Reason_, but I’ve never met. Having your stuff work through his incredibly warped and hilarious sensibility was like a dream come true.”

“I still remember Gillespie’s piece,” says Anuff, “an illustrated feature he did with Terry about Christopher Reeve, right around the time Christopher Reeve remade _Rear Window_. Nick Gillespie wrote this illustrated feature, I think it was called ‘[Strangers on a Gravy Train][49]’. The premise was what it would look like if Christopher Reeve remade all the other Hitchcock films. Somewhere in each thing Robin Williams made a cameo appearance, because it had somehow come out at the time that Robin Williams was always this secret best friend of Christopher Reeve, so it kind of seemed like grandstanding on his part. It was written so that Christopher Reeve would be in his wheelchair, being chased by a plane ala _North by Northwest_, and Robin Williams would be the pilot, doing shtick. I remember this because Terry refused to illustrate it, which was a rare occurrence. Terry’s not the guy who’s going to be refusing on principle to be illustrating. I managed to talk him into it just by asking him if, when he read the script, he laughed, and he had to admit that he did. I said, ‘That’s the final defense. You’re morally obligated to illustrate it if you enjoyed it.’”

Of course, its employees weren’t the only ones who took offense to some of Suck’s nastier pieces. “I guess my proudest Suck moment is a [thing I did about Canada][50], the gist of which was mocking Canadians for their attempts to distinguish themselves culturally from Americans,” says Doherty. “The gag of it was, ‘Okay, you guys should just get over it. Admit it, you might as well just be Americans. You’re desperately trying to manufacture this excuse.’ That one garnered quite literally hundreds, as in somewhere over 200, angry emails, which did prove to me that despite their reputation for producing a lot of America’s greatest comedy, from _SCTV_ to _Kids in the Hall_, that lots of Canadians really lack a sense of humor.”

It was the rule at Suck, instituted by Steadman and enforced by Cox, that writers had to respond to all reader emails. “Ana’s rule was just put as much time into it as they put into writing it,” says contributor [Ben Schwartz][51].

“That was a part of our responsibility as writers for Suck, to respond in a respectful but still sort of Sucky voice,” says Eisenbeis. “I think that actually fed the readership and made the site more popular. It kind of snowballed, because people knew that if you wrote to the author of one of these Suck dailies, you were probably going to get a pretty smart, pithy, oftentimes funny response. So it fed on itself in that way. Readers really began to want to see themselves and the Sucksters’ response to their emails on the website.”

“You can tell you’ve got somebody who’s frustrated for a venue, for a platform, when you get these people writing these stupid long letters to you on a semi-regular basis,” says Anuff. “We had some people writing us every single day. Not even tin-foiling people. Nothing against tin-foil-hat-wearers, but it wasn’t necessarily them.”

“Whatever you wrote about, there was someone out there who knew more about it than you do and could fact-check your ass,” says [Mark Dery][52]. “Yes, there are a lot of the bovine herd element out there, but there are a lot of spooky smart people who can write you incredibly pointed, pithy, eloquent critiques of what you’ve just said, some of whom make their living in that area of expertise, and others of whom, like you, are just lay-experts or autodidacts who simply read more about the subject than you have. When you get 10 or 15 letters from 10 or 15 different types of self-appointed experts critiquing 10 or 15 different facets of your essay, it’s highly instructive and invigorating and, as I say, also humbling.”

“I thought they were a great audience,” says Cavanaugh. “I will say that it was my favorite audience to write for. To the extent that I knew what they wanted, I liked them better than any audience I’ve written for, before or since. Mostly because they understood that it was supposed to be funny. You would get outraged emails from people who’d never seen it before, but for the most part people understood that it was there for entertainment purposes, where they tend not to at a lot of publications.”

“They were very opinionated,” says [Chris Lehmann][53], now a features editor at [New York magazine][54]. “They were very eager to spot errors or infelicities. I remember there was something, one of them wrote about the tagline I had, I guess it was the [thing about Renata Adler][55], he thought that I was calling for the destruction of the _New Yorker_ in the piece. I just gently pointed out, no, if you actually read it, the reference is not to the magazine, but to the consensus that Adler was operating under. He was like, ‘Oh, shit. I’m on the west coast and I get up at 4:30 in the morning. I always check Suck first thing. I’m sorry, I was not really awake.’”

“People definitely had this idea that it was such a cool place to work and a fun work environment, that kind of thing,” says Cavanaugh. “People would write in like, ‘When the big honchos at Suck do this or that,’ not realizing that there are no honchos at Suck. It really was a completely fly-by-night operation.” In truth, the Suck offices were nearly vacant. By spring of 1997, Havrilesky was in Los Angeles, emailing to Colon her columns about the bustling, wacky Suck office. Sean Welch was gone. Matt Beer had left for a producing job at MSNBC. When T. Jay Fowler left that summer, as a farewell gift, Havrilesky devoted a [whole column][56] to him, including a [calendar][57]. “Several jobs into my career,” says Fowler, “I would come in and people would—either jokingly or for real—have a copy of the T. Jay calendar on their wall.”

Anuff’s involvement with the site also diminished, as he explored other opportunities within the company. “For a while this guy Hunter Madsen had joined HotWired as a VP of marketing. He struck me as a very thoughtful intelligent guy with a lot of really interesting ideas. I was really curious about that, and Suck was sort of running itself, so I spent a year on Wired and HotWired marketing, just because I was fascinated by it. During that time, Ana was pretty much running the show.”

Wired, meanwhile, was in trouble. After two failed IPOs, the financial health of the company worsened daily. “It was pretty hard, because it seemed inevitable that that would entail some layoffs,” says Owen Thomas, who left in early 1997. “We were just a small cog in the Wired machine, and Wired was cutting back everywhere. They really handled layoffs in the worst possible way. Rather than doing it all in one surgical blow—and I'm talking about HotWired rather than Suck—they just let people go one by one, one or two people a week, sort of willy nilly. There didn't seem to be a plan, at least to the employees. So it was obviously not the best managed of places.”

November 1997 brought another round of layoffs. Steadman was let go, as were David Weir, HotWired’s managing director, and Ed Anuff, who’d come to the company to develop HotBot, Wired’s entry into the search-engine market. The population of the Suck office had been reduced to Cox and Colon. When she learned of plans to shift Colon from employee to independent contractor—“essentially firing him”—Cox made the decision to leave. “It seemed pretty obvious that HotWired was never going to do anything to grow the brand, to be crass about it,” she says. “I worked there for three years, and I loved it, but it’s hard to just keep going with no one believing it can get bigger and better. I think if I was in the same situation today, maybe I would be fine with making that compromise, but at 25 it was a more difficult compromise to make.”

After Cox’s departure as editor, rumors of the imminent demise of Suck began to circulate. “Joey was out of town at the time, so nobody could get a hold of him,” says Tim Cavanaugh, who published a Suck obituary on his own website, [Simpleton][58]. “From Friday to Monday the story had become, ‘Suck is out of business and Joey has disappeared and there’s going to be no more Suck.’”

“I even wrote a [last Filler ever][59], where the hack kills the fish and then turns the gun on himself,” says Havrilesky. “I remember writing it and saying to Terry, ‘Oh god, I feel like the fish is dead now. I feel like I lost my good friend the fish because we killed him off.’”

When Anuff returned, he addressed the rumors with management at Wired. “They said it was all a big misunderstanding, they wanted to keep it going, they just wanted to consider all kinds of different possibilities and ways they could be creative about changing the structure, and blah, blah, blah, blah, but they definitely didn’t want to stop publishing, no, no, no.” On November 25, he returned to Suck as its full-time editor, and used [that day’s column][60] to publicly dispel any notions that the site was going away. “For the time being,” he wrote, “you’re stuck with Suck.”

* * *

“Having worked for Suck before and after its near-death experience,” Tim Cavanaugh [wrote at Simpleton][61], “I can testify that it’s better than ever—funnier, more clever and better to work for by a country mile.” During his tenure as a Suck writer, Cavanaugh had earned a reputation as not only one of the site’s sharpest and funniest contributors, but one of the most prolific. In addition to his contributions to the daily column, he’d been editing and writing most of Hit & Run, a compilation of shorter, link-driven pieces that ran every Thursday. When Joey Anuff needed time away from his duties to work on [_Dumb Money_][62], a book he was planning with Gary Wolf about day trading, he approached Cavanaugh. “Joey just offered the job on an informal basis. I was over at his house and we were having lunch or something, and he said, ‘I’ve got to write my book, so do you want to edit Suck?’ and I said, ‘Sure.’”

Unable to overcome its financial misfortunes, Wired had been split in two and sold. Condé Nast completed its purchase of the magazine in the summer of 1998, and later that year the online properties were sold to search engine heavyweight Lycos. “I don’t want to say anything good about Lycos, but in one way that was the best time, under Lycos, because they weren’t paying any attention,” says Cavanaugh. “I don’t even think they knew that Suck existed.”

Like Wired, Lycos depended on revenue from advertising. Content was merely one method of attracting “sticky eyeballs”. [Angelfire][63] and [Tripod][64], two other Lycos properties, depended on users to create sites, each with prominent ads, a fraction of which drew enough traffic to support the others. With the acquisition of Wired’s stable of sites—including [Wired News][65], [Webmonkey][66], and Suck—they were not buying the editorial as much as proven audiences to expose to ad banners. “I don’t know why at some point they just didn’t say, ‘Oh, what’s this thing? Get rid of it.’ But they never did, didn’t seem to pay attention to what we were doing, and particularly didn’t pay attention to what we were spending. So I was able to get a lot of people paid good money.”

The growing number of media outlets, all of which depended on content to bolster advertising, created a “golden age for freelancers”, according to Greg Beato. “It wasn’t just the online world. It was all the high-tech print magazines, too. The _Business 2.0_s and _Industry Standard_s. There were a lot of pages to be filled and a lot of money to pay people.” With minimal staff and operating expenses, and the need for only one daily column, Cavanaugh distributed most of Suck’s budget to its contributors. “We could have done more than one piece a day,” says Cavanaugh. “Nobody was really looking at our budget. Which I used. I got Heather a big raise and got everybody paid more money. I was a river to my people, like Anthony Quinn.”

“Do you know the musical _Brigadoon_?” asks Nick Gillespie. “_Brigadoon_ is this Broadway musical that’s about a mythical Scottish town that only appears once every thousand years. Gene Kelly and Van Johnson, of all people, in the movie version, stumble across it and they fall in love with one of the girls there. Through their love they’re able to bring the town back or they go back in time with the town or whatever the fuck. Suck was like a _Brigadoon_, in that it was this weird moment where you could still pay top rates for web stuff and there were no rules on it, or very few rules on it.”

With the editorial freedom provided him by Lycos, Cavanaugh’s stewardship was largely a matter of preserving the Suck style and sensibility. “I think Tim was mainly concerned with keeping the laugh quotient as high as possible,” says Chris Lehmann. “He’s very good that way. He would suggest things, and I almost always took his suggestions. It is a wiseass tone, very much, which for better or worse, wasn’t as hard for me to adopt as I thought.”

“Joey had a great comment to me one time,” Cavanaugh says. “I was talking about how frustrated I was with somebody. Somebody else had done this thing to me, I had a joke in and they just cut the joke. I said, ‘I don’t care if they cut the joke, they just have to realize,’ and he said, ‘They have to understand that at that point in the article, comedy is supposed to occur.’ That was Joey’s great M.O., that his one goal was to make stuff funnier, and that was my goal, too.”

Cavanaugh’s major contribution to Suck was the introduction, into its mix of commentary and criticism, of an element of reportage. “I kind of wanted to take Suck into different directions and not just have it limited to a daily column where you read the paper or you see the TV.” For Hit & Run, he conducted interviews with subjects ranging from [Kurt Andersen][67], co-founder of _Spy_ magazine, to [Ralph Archibald][68], the official Benjamin Franklin impersonator of the Franklin Institute. Plans to do a regular Suck interview never came to fruition. “It’s a lot of work, and especially on a weekly schedule where you’re doing a lot of other stuff, it’s kind of tough. Q & A interviews seem like the simplest thing because you just ask questions and the person responds and that’s what you put out there. But I had to transcribe it all out by hand, we couldn’t afford a professional transcriber.”

Anuff, before his departure, had brought [_Hate_][69] creator [Peter Bagge][70] to the magazine, with the intention of sending him to various events, in the spirit of Harvey Kurtzman. “I’m blown away by how, in the late ‘50s after _Mad_ shut down, he went and he did this thing that I don’t know if anybody had ever done before. He went out on assignment for _Esquire_ and _Pageant_ magazine and would report comic-book style for them, on like the set of a Brando film, from a Jackie Mason show. He would do this stuff for _TV Guide_, I just thought it was the most awesome stuff in the world. Pete seemed like he was the most interested in doing stuff like that. I wanted to send Pete as much as possible anywhere he wanted to go to do reporting for us.”

Under Cavanaugh, Bagge filed coverage of the [Miss America pageant][71], [Alan Keyes’s presidential campaign][72], and with Ben Schwartz, the [Indianapolis 500][73]. “It seemed like the one thing, the common denominator of everything that I covered, was it had to be something that we could do on the cheap, because they had a low budget,” says Bagge. “Probably the fanciest hotel I stayed at was in Vegas, but in Vegas all hotels are cheap, because they want you to blow all your money at the gambling tables. I was always staying at truck stops and things like that.”

For the site’s most ambitious journalistic foray, Cavanaugh sent contributor Steve Bodow to India, to report on Bangalore’s burgeoning tech industry, at a time when the outsourcing of tech jobs to foreign countries was a source of mounting hysteria. “I couldn’t believe when they accepted the pitch,” says Bodow, now a writer for _The Daily Show_. “It was huge. I got a cheap ticket and didn’t spend any money once I was over there, but still, even at the time seemed ridiculous, but Cavanaugh wanted to do it. I pitched and he said, ‘Yeah, let’s do it.’ I bought a ticket and I was going on the dime of Suck.com.”

The result, titled “[More Things Change][74],” was, in many respects, completely atypical of Suck. It was funny, of course. It was also long, involved, largely unconcerned with American pop culture, and it generated no significant response from readers. “Sometimes you do these ones that you really thought were great and you’d just get no response at all,” says Cavanaugh. “And if you just did something saying that Dan Rather sucks, you’d get a huge response, like, ‘Oh, that was the greatest piece of journalism I’ve ever read.’”

Like Cox before him, Cavanaugh was growing frustrated in his attempts to expand Suck, to “grow the brand”, because of the disinterest of the corporate parent, but due also to the very nature of the site and the reputation it had achieved. “I think there was a limit to the amount of growth we could have. I don’t know if there was a limit, but there was certainly a limit to the number of newspapers that would mention us, and the people sort of assuming that if an article appeared in Suck, the only point of the article is that whatever the subject of the article is sucks.”

Anuff, too, was growing restless. For years, he’d been trying to take Suck beyond the web. In 1997, an [anthology of selected columns][75] had been published under the Wired Books imprint, and he’d been shopping around an animated television show based on Filler and the site’s popular cartoon features. “We were going around pitching that to places like HBO and Comedy Central, but it became almost impossible for us to pitch that because I couldn’t fully represent myself as an owner of the brand, because I wasn’t. If anybody wanted to do a Suck TV show, they had to negotiate with Wired. Wired didn’t have anybody who knew how to do that. They had a legal staff that had never ever even considered doing something with TV before. Their efforts at negotiation were comical and ham-fisted. Looking for Wired ads, free commercial time, all sort of crazy backend participation schemes, things that had no future.”

“After the Lycos merger, I was optimistic that with Lycos now in the picture, there was going to be a group of savvy business people who were going to be a lot more serious-minded about actual business plans and growth possibilities,” says Anuff. “Not just running something as some sort of literary side show, but as something that could actually grow and live across different kinds of media.” To his dismay, he found that Lycos—and after a May 2000 sale, Terra Networks—had as much interest in Suck’s future offline as it had shown toward Suck’s editorial policies. As the company acquired more and more web properties, the risk increased that Suck would get lost amid the fray.

“For some reason, I started speaking to Bo Peabody,” says Anuff, “who had headed Tripod, and Lycos had purchased Tripod. Bo had moved into mergers and acquisitions, so he was a mover and a shaker there. I started talking to him about the idea of doing something special with Suck, turning it into a partly-owned subsidiary as part of a bigger operation. He knew the Feed guys. We did too, but he knew them more in an investor capacity. Next thing I knew, Bo and the Lycos team had gotten us talking to Feed about a roll-up of a bunch of smaller sites that we could aggregate. And that’s how Automatic Media came about.”

[Feed][76], founded in May 1995 by Steven Johnson and Stephanie Syman, was another early web success story, with a readership every bit as strong and devoted as Suck’s. Under their new agreement, both sites—as well as alt.culture, “an encyclopedia of 90’s youth culture”—would be published by Automatic Media, of which Lycos was a primary investor. There were plans to publish other sites, like the [Smoking Gun][77], and to create a host of new daily, subcultural sites, with the first, [Plastic][78], to be a community discussion site modeled after Slashdot.

Everyone at Suck was familiar with [Slashdot][79], a juggernaut site, especially among IT workers and web professionals. The site had a small group of editors, but its real muscle derived from its massive, fanatic user base. Readers submitted links to pages of internet and technology interest, which were culled by the editors and posted to the front page, with heated and hyperactive discussions taking place within. Inbound traffic from a Slashdot link had been known to cripple unsuspecting servers, a phenomenon known as “[The Slashdot Effect][80]”. When Suck published a parody, [Suckdot][81], it received one of the largest traffic spikes in its history. “I remember it was a very popular piece, because it attracted the Slashdot crowd, as it was designed to do,” says Greg Knauss, who wrote the piece. “I was a Slashdot reader and there’s plenty to make fun of on Slashdot, and Suck is the obvious form for it, but there was obviously an element of trolling for Slashdot. If you sit down to do a Slashdot parody and you put it on Suck, you’re hoping that Slashdot links to it. In fact one of the stories on Suckdot is mocking Suck for creating a Slashdot parody.”

What Slashdot was to technology subjects, Plastic would be to pop culture. Managing the queue of submitted links would be “the Web’s smartest editors,” including representatives of affiliates _Spin_, _Movieline_, Nerve, _New Republic_, and Wired. “Certainly that was the main selling point for the new company, that it was this whole new approach to content,” says Cavanaugh. “Suck couldn’t make that claim. Feed couldn’t make that claim, because it was really just an article. It was an article with an editor. Somebody would get paid to write it and you would publish it and all that kind of stuff. What they call an old-media model or an MSM model or something like that. Where Plastic was much more user-generated. That was the idea, to get things as user-generated as possible.”

“I thought it was the next step, where you have something that doesn’t require the intensity of authorship, but still can maintain the audience and attitude that Suck had,” says Knauss. “I expected Plastic to rival Slashdot, for a wider audience. It uses the Slashdot engine. I expected that people who were interested in cultural rather than geek stuff to go to Plastic.” With no small amount of self-trumpeting, including promotional columns in both Suck and Feed, Plastic officially launched on January 15, 2001.

“It was the most ill-timed event in the history of man,” says Cavanaugh.

The bubble had burst. Since reaching a record high in March 2000, the Nasdaq had been in free-fall for the first nine months of what would be a steady two-and-a-half year decline. As venture capital disappeared, countless dot-coms devolved into flea markets for high-priced servers and trendy office furniture. The golden age for freelancers was ending. “Even just a year earlier, there had been this fat period where people were turning down work of that type,” says Tom Spurgeon. “Then all of the sudden, it just seemed like, one by one, the sources for work just went away.”

“It was not a time to sell ads,” says Anuff. “It was tanking. The fact that we were even still around was just because we had lucky timing when it came to getting our startup capital. We were one of the last sites of our kind that was able to con any money out of investors. So we were running on that money, but there was no more money coming. No money from advertisers, certainly no money from investors.”

“Very quickly we were unable to pay for any freelance content,” says Cavanaugh. “Automatic ran through its nest egg pretty quickly. We had somebody there, I forget what her name was, that didn’t sell a single ad the entire time she was there. There was no money coming in. Every month, the budget would be scaled back in some kind of massive way. I think we all took some slight pay cut, and I ended up writing all the stuff because we weren’t really hiring any freelancers anymore.”

“I helped Tim write a silly thing about how they could save money, by writing in German,” says Terry Colon. “In German, they use fewer words because they just ram them all together. I figured, you’re paying by the word? Use German.”

“I gave him a couple of free pieces that were kind of riffs off of more serious things I had done for Reason, that were Sucked-up,” says Nick Gillespie. “He was uncomfortable taking free things from people, so he was actually writing pieces, a couple pieces a week, three or four pieces a week. There’s a mania to the last couple weeks of Suck that is pretty good.”

“Tim began more or less writing every essay himself,” says Brian Doherty. “I thought it was just a bravura performance that should be one of the classics of a writer rising to the occasion and doing superhuman things. It ought to be noted and long remembered.”

“I wrote a bunch of Hit & Runs at the end,” says Knauss. “I’d try to turn in at least one a week. I wasn’t getting paid for it, but it was fun and I liked dealing with Tim. The last one I wrote was, I think, [the last one to appear on the site][82]. I made a joke about the shuttering of blogs, and how eventually we were going to get tired and just pack it in, and the next day the site shut down.”

“All I remember was that I went out shopping for a dress to go to this wedding and I spent a ton of money,” says Havrilesky. “I never spend money on clothes and I did. I spent a lot of money. I ended up buying two dresses and they were great and way too expensive and some shoes, and I got home and there was a message on my voice mail that we were going under.”

“I had been out trying to raise money somewhere,” says Cavanaugh, “going to, I forget who I had just met with, somebody, trying to say, ‘Is there any possibility that we could get some investment?’ I was doing my bit, as everybody was, to try to keep the thing going, trying to get people interested in putting in money. I called Lee [deBoer, Automatic's CEO] up to say, ‘Hey, I just talked to so-and-so to give him the news,’ and he said, ‘We’re out of money and we need to pull the plug now.’”

“It was a shame,” says Anuff. “On the other hand, we hustled that motherfucker for _years_. It’s shocking how long Suck lasted.” Cavanaugh wrote the last Suck column, a question and answer session titled “[Gone Fishin’][83],” in which he announced that Suck was taking “a vacation”.

> Q. Who said Suck is entitled to a vacation?
> 
> A. Well, it all goes back to our abiding ambition to become the Johnny Carsons of the Web. You’ll recall that the original latenight smoothie was famous not only for his unflappable desk manner, uproarious animal guests and outrageous “Carnac” routines, but for disappearing for weeks and months at a time, leaving the show in the capable hands of various Brenners and Shandlings. And who can forget the immortal Joan Rivers? Didn’t these frequent absences really just make you fonder of old Johnny?
> 
> Q. No, they didn’t.
> 
> A. But consider how the vacations gave you a chance to reflect on all that Johnny meant to you.

* * *

Automatic was able to keep Plastic alive for another five months after the demise of Suck, until on November 2, 2001, it was purchased for $30,000 by Carl Steadman, who continues to run it. Steadman also tends to the Suck archives, where one classic Suck column is served up every day, [right on the front page][84].

“I would like Suck to at least exist enough so that nerds could love it, because that’s what I am,” says Anuff. “I’m a nerd for old periodicals. I collect stuff like this avidly. My home is like a museum of this kind of thing, and I know that there are other people out there like me who are magazine and humor junkies. The kind of people who have old issues of _Spy_ and _National Lampoon_ and _Scanlan’s_ and late-‘60s _Rolling Stone_s and little humor magazines like that. But it’s a small group of people. I’m glad that there are at least a few artifacts that somebody who’s interested in things like that could hold on to.”

“In some ways, they gave a reason to go on to the web,” says Kevin Kelly. “There are a lot of game platforms, there was a game that was worth buying the machine for. Here was a site that was worth getting on the web for, in terms of making it worth your while to waste your time surfing. You’d go to Suck to see what was happening.”

“It pointed the way to a whole new form of journalism that today has basically overturned the media order, the news media order especially,” says Louis Rossetto. “It was a harbinger of the power of individuals to shape the culture directly rather than have to work through the previous filters. Even our own filters didn’t work there. They just got directly out and said what needed to be said and found an audience and had an impact. There were hundreds of thousands of people who looked at Suck daily, and absorbed their criticism and commentary and analysis, and recycled it back into the development of the web at the time. They were major players. I consider them seminal, and not just because we were involved with them. Actually, we were not wholly involved with them. They’re like the children who escaped and have made me really proud. They were of us but then beyond us.”

“I consider it being one of the first blogs,” says Mena Trott, co-founder of both blogging company [Six Apart][85] and the Carl Steadman fansite, [Ready Steadman Go][86]. “It’s everything that blogs are right now: the chronology, frequently updated, simple, easy to read, linking playing a huge role in playing the story. This is what exposed us to what had the potential to become what we’re doing today. It was hugely influential in the format. I don’t think you can even talk about weblogs now without talking about that. I think that was the big exposure for so many people. That played a great deal in what we did.”

“It’s the only thing I’ve ever written for where someone, actually a stranger, when I was talking about what I was doing with someone else, a stranger actually leaned in and said they had read it,” says Tom Spurgeon. “I think it was [something I wrote about obituaries][87], which was a pretty good piece. I was talking to a friend of mine, this person leans over and goes, ‘I read that. That was fantastic.’ They started talking to me about it, and I was—forget about it. Writers live in their little holes. I never get any feedback at all. That was a really good thing. I felt like I was part of something special, and I probably was.”

“I think it was a function of its time,” says Chris Bray. “I don’t think you could repeat that. I think someone needs to come up with the new Suck, and not have it be just like Suck. I think if somebody swooped down and said, ‘Here’s a million dollars, go start Suck up again,’ I doubt that it would work. It had a particular energy of a particular group of people at a particular time, and I don’t think it could be repeated.”

“None of us got rich doing Suck, and we never were going to, but that’s not why we did it,” says Ana Marie Cox. “We did it because _we_ felt the need for something like Suck. There was a bunch of other people who also did. It was critically acclaimed and we had a cult following, which is a recipe for a three-digit bank account, and that’s what it was. It was really satisfying to do, and it was kind of unworkable in the long term for most of us.”

“I remember talking to Heather Havrilesky, Brian Doherty, who also contributed, and a guy named Nick Gillespie, who also contributed,” says Ben Schwartz. “We were all in L.A. I remember there was some disaster that was on all the cable channels. Some miserable disaster. It was some horrible crime where a mom had killed her kids or an avalanche. Just horrible. Nothing funny about it. But I said, ‘You know what I love about the coverage of this? The way they instantly put the graphic here.’ I was making fun of the coverage of it. Heather said, ‘That’s what I can never explain to anybody about writing for Suck. Right there. That you think _that’s_ funny.’”

“It may not fully be the equivalent of having served time in a Mexican prison where we were all raped and tortured and scarred for life,” says Gillespie, “but it is something like that.”

![][88]

Copyright 2005, Matt Sharkey

Image: Terry Colon/Suck.com

No part of this publication may be reproduced, stored in a retrieval system, or transmitted, in any form by any means, electronic, mechanical, photocopying, or otherwise, without the prior written permission of the publisher.

* [Top of Page][89]
* [Contents][2]

[1]: http://www.keepgoing.org/images/keepgoing.gif
[2]: http://www.keepgoing.org/index.html#contents
[3]: http://www.keepgoing.org/masthead.html
[4]: http://www.keepgoing.org/archives.html
[5]: http://www.keepgoing.org/images/article_titles/the_big_fish.gif
[6]: http://ad-rag.com/114815.php
[7]: http://www.aether.com/wiredaromance/
[8]: http://www.ctheory.net/home.aspx
[9]: http://www.ncsa.uiuc.edu
[10]: http://www.suck.com/daily/1995/08/31/
[11]: http://www.suck.com/daily/1995/08/30/
[12]: http://hotwired.wired.com/packet/flux/
[13]: http://www.markdery.com/escape_velocity.html
[14]: http://www.suck.com/daily/96/01/12/daily.html
[15]: http://www.amazon.com/exec/obidos/ASIN/0465036805/stevenberlinj-20
[16]: http://www.suck.com/fish/contributors/anuff/
[17]: http://www.suck.com/fish/contributors/steadman/
[18]: http://www.suck.com/fish/contributors/knauss/
[19]: http://www.suck.com/fish/contributors/pop/
[20]: http://www.suck.com/daily/95/10/30/
[21]: http://www.suck.com/fish/contributors/wolf/
[22]: http://www.suck.com/fish/contributors/havrilesky/
[23]: http://www.suck.com/daily/1995/11/21/
[24]: http://www.suck.com/daily/1998/05/06/
[25]: http://www.suck.com/fish/contributors/beer/
[26]: http://www.suck.com/fish/contributors/welch/
[27]: http://www.suck.com/fish/contributors/fowler/
[28]: http://www.suck.com/fish/contributors/cox/
[29]: http://www.suck.com/daily/1996/05/06/
[30]: http://www.suck.com/vacuum/
[31]: http://www.suck.com/netmoguls/
[32]: http://www.suck.com/pitch/
[33]: http://www.suck.com/zerobaud/
[34]: http://www.suck.com/filler/
[35]: http://www.suck.com/fish/contributors/colon/
[36]: http://www.suck.com/filler/96/05/08/
[37]: http://www.suck.com/fish/contributors/beato/
[38]: http://www.suck.com/fish/contributors/eisenbeis/
[39]: http://www.rakemag.com/
[40]: http://www.suck.com/fish/contributors/cavanaugh/
[41]: http://www.suck.com/daily/98/06/03/3.html
[42]: http://www.freedonia.com/~carl/carl_job/
[43]: http://www.suck.com/fish/1997/01/06/
[44]: http://www.suck.com/fish/contributors/doherty/
[45]: http://www.suck.com/fish/contributors/spurgeon/
[46]: http://www.suck.com/fish/contributors/gillespie/
[47]: http://www.reason.com/
[48]: http://www.suck.com/fish/contributors/cbray/
[49]: http://www.suck.com/daily/1998/11/20/
[50]: http://www.suck.com/daily/97/05/12/
[51]: http://www.suck.com/fish/contributors/schwartz/
[52]: http://www.suck.com/fish/contributors/dery/
[53]: http://www.suck.com/fish/contributors/lehmann/
[54]: http://newyorkmag.com/index.htm
[55]: http://www.suck.com/daily/2000/02/01/1.html
[56]: http://www.suck.com/daily/1997/07/30/
[57]: http://www.suck.com/features/tjay/index.html
[58]: http://www.simpleton.com
[59]: http://www.suck.com/daily/1997/11/26/
[60]: http://www.suck.com/daily/1997/11/25/
[61]: http://www.simpleton.com/19980410.html
[62]: http://www.amazon.com/exec/obidos/tg/detail/-/0375503889
[63]: http://www.angelfire.lycos.com/
[64]: http://www.tripod.lycos.com/
[65]: http://www.wired.com/
[66]: http://webmonkey.wired.com/webmonkey/
[67]: http://www.suck.com/daily/99/05/13/daily.html
[68]: http://www.suck.com/daily/99/09/09/daily.html
[69]: http://www.peterbagge.com/index2.html
[70]: http://www.suck.com/fish/contributors/bagge/
[71]: http://www.suck.com/daily/2000/11/17/
[72]: http://www.suck.com/daily/2000/05/05/index.html
[73]: http://www.suck.com/daily/2000/07/20/
[74]: http://www.suck.com/daily/2001/03/02/
[75]: http://www.suck.com/book/
[76]: http://www.feedmag.com
[77]: http://www.thesmokinggun.com
[78]: http://www.plastic.com
[79]: http://www.slashdot.org
[80]: http://ssadler.phy.bnl.gov/adler/SDE/SlashDotEffect.html
[81]: http://www.suck.com/daily/1999/12/13/
[82]: http://www.suck.com/daily/2001/06/07/
[83]: http://www.suck.com/daily/2001/06/08/
[84]: http://www.suck.com
[85]: http://www.sixapart.com
[86]: http://rhumba.pair.com/carl/
[87]: http://www.suck.com/daily/2000/06/20/
[88]: http://www.keepgoing.org/images/971125a.gif
[89]: http://www.keepgoing.org#top

