---
created_at: '2015-12-02T06:08:55.000Z'
title: Good and Bad Procrastination (2005)
url: http://paulgraham.com/procrastination.html
author: busterc
points: 77
story_text: 
comment_text: 
num_comments: 15
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1449036535
_tags:
- story
- author_busterc
- story_10661298
objectID: '10661298'

---
[Source](http://paulgraham.com/procrastination.html "Permalink to Good and Bad Procrastination")

# Good and Bad Procrastination


| ----- |
| ![][1] | ![][2] | ![][3]  
  

| ![Good and Bad Procrastination][4]  
  
December 2005  
  
The most impressive people I know are all terrible procrastinators. So could it be that procrastination isn't always bad?  
  
Most people who write about procrastination write about how to cure it. But this is, strictly speaking, impossible. There are an infinite number of things you could be doing. No matter what you work on, you're not working on everything else. So the question is not how to avoid procrastination, but how to procrastinate well.  
  
There are three variants of procrastination, depending on what you do instead of working on something: you could work on (a) nothing, (b) something less important, or (c) something more important. That last type, I'd argue, is good procrastination.  
  
That's the "absent-minded professor," who forgets to shave, or eat, or even perhaps look where he's going while he's thinking about some interesting question. His mind is absent from the everyday world because it's hard at work in another.  
  
That's the sense in which the most impressive people I know are all procrastinators. They're type-C procrastinators: they put off working on small stuff to work on big stuff.  
  
What's "small stuff?" Roughly, work that has zero chance of being mentioned in your obituary. It's hard to say at the time what will turn out to be your best work (will it be your magnum opus on Sumerian temple architecture, or the detective thriller you wrote under a pseudonym?), but there's a whole class of tasks you can safely rule out: shaving, doing your laundry, cleaning the house, writing thank-you notes—anything that might be called an errand.  
  
Good procrastination is avoiding errands to do real work.  
  
Good in a sense, at least. The people who want you to do the errands won't think it's good. But you probably have to annoy them if you want to get anything done. The mildest seeming people, if they want to do real work, all have a certain degree of ruthlessness when it comes to avoiding errands.  
  
Some errands, like replying to letters, go away if you ignore them (perhaps taking friends with them). Others, like mowing the lawn, or filing tax returns, only get worse if you put them off. In principle it shouldn't work to put off the second kind of errand. You're going to have to do whatever it is eventually. Why not (as past-due notices are always saying) do it now?  
  
The reason it pays to put off even those errands is that real work needs two things errands don't: big chunks of time, and the right mood. If you get inspired by some project, it can be a net win to blow off everything you were supposed to do for the next few days to work on it. Yes, those errands may cost you more time when you finally get around to them. But if you get a lot done during those few days, you will be net more productive.  
  
In fact, it may not be a difference in degree, but a difference in kind. There may be types of work that can only be done in long, uninterrupted stretches, when inspiration hits, rather than dutifully in scheduled little slices. Empirically it seems to be so. When I think of the people I know who've done great things, I don't imagine them dutifully crossing items off to-do lists. I imagine them sneaking off to work on some new idea.  
  
Conversely, forcing someone to perform errands synchronously is bound to limit their productivity. The cost of an interruption is not just the time it takes, but that it breaks the time on either side in half. You probably only have to interrupt someone a couple times a day before they're unable to work on hard problems at all.  
  
I've wondered a lot about why [startups][5] are most productive at the very beginning, when they're just a couple guys in an apartment. The main reason may be that there's no one to interrupt them yet. In theory it's good when the founders finally get enough money to hire people to do some of the work for them. But it may be better to be overworked than interrupted. Once you dilute a startup with ordinary office workers—with type-B procrastinators—the whole company starts to resonate at their frequency. They're interrupt-driven, and soon you are too.  
  
Errands are so effective at killing great projects that a lot of people use them for that purpose. Someone who has decided to write a novel, for example, will suddenly find that the house needs cleaning. People who fail to write novels don't do it by sitting in front of a blank page for days without writing anything. They do it by feeding the cat, going out to buy something they need for their apartment, meeting a friend for coffee, checking email. "I don't have time to work," they say. And they don't; they've made sure of that.  
  
(There's also a variant where one has no place to work. The cure is to visit the places where famous people worked, and see how unsuitable they were.)  
  
I've used both these excuses at one time or another. I've learned a lot of tricks for making myself work over the last 20 years, but even now I don't win consistently. Some days I get real work done. Other days are eaten up by errands. And I know it's usually my fault: I _let_ errands eat up the day, to avoid facing some hard problem.  
  
The most dangerous form of procrastination is unacknowledged type-B procrastination, because it doesn't feel like procrastination. You're "getting things done." Just the wrong things.  
  
Any advice about procrastination that concentrates on crossing things off your to-do list is not only incomplete, but positively misleading, if it doesn't consider the possibility that the to-do list is itself a form of type-B procrastination. In fact, possibility is too weak a word. Nearly everyone's is. Unless you're working on the biggest things you could be working on, you're type-B procrastinating, no matter how much you're getting done.  
  
In his famous essay [You and Your Research][6] (which I recommend to anyone ambitious, no matter what they're working on), Richard Hamming suggests that you ask yourself three questions: 

1. What are the most important problems in your field?  
  

2. Are you working on one of them?  
  

3. Why not?  Hamming was at Bell Labs when he started asking such questions. In principle anyone there ought to have been able to work on the most important problems in their field. Perhaps not everyone can make an equally dramatic mark on the world; I don't know; but whatever your capacities, there are projects that stretch them. So Hamming's exercise can be generalized to: 

> What's the best thing you could be working on, and why aren't you? 

Most people will shy away from this question. I shy away from it myself; I see it there on the page and quickly move on to the next sentence. Hamming used to go around actually asking people this, and it didn't make him popular. But it's a question anyone ambitious should face.  
  
The trouble is, you may end up hooking a very big fish with this bait. To do good work, you need to do more than find good projects. Once you've found them, you have to get yourself to work on them, and that can be hard. The bigger the problem, the harder it is to get yourself to work on it.  
  
Of course, the main reason people find it difficult to work on a particular problem is that they don't [enjoy][7] it. When you're young, especially, you often find yourself working on stuff you don't really like-- because it seems impressive, for example, or because you've been assigned to work on it. Most grad students are stuck working on big problems they don't really like, and grad school is thus synonymous with procrastination.  
  
But even when you like what you're working on, it's easier to get yourself to work on small problems than big ones. Why? Why is it so hard to work on big problems? One reason is that you may not get any reward in the forseeable future. If you work on something you can finish in a day or two, you can expect to have a nice feeling of accomplishment fairly soon. If the reward is indefinitely far in the future, it seems less real.  
  
Another reason people don't work on big projects is, ironically, fear of wasting time. What if they fail? Then all the time they spent on it will be wasted. (In fact it probably won't be, because work on hard projects almost always leads somewhere.)  
  
But the trouble with big problems can't be just that they promise no immediate reward and might cause you to waste a lot of time. If that were all, they'd be no worse than going to visit your in-laws. There's more to it than that. Big problems are _terrifying_. There's an almost physical pain in facing them. It's like having a vacuum cleaner hooked up to your imagination. All your initial ideas get sucked out immediately, and you don't have any more, and yet the vacuum cleaner is still sucking.  
  
You can't look a big problem too directly in the eye. You have to approach it somewhat obliquely. But you have to adjust the angle just right: you have to be facing the big problem directly enough that you catch some of the excitement radiating from it, but not so much that it paralyzes you. You can tighten the angle once you get going, just as a sailboat can sail closer to the wind once it gets underway.  
  
If you want to work on big things, you seem to have to trick yourself into doing it. You have to work on small things that could grow into big things, or work on successively larger things, or split the moral load with collaborators. It's not a sign of weakness to depend on such tricks. The very best work has been done this way.  
  
When I talk to people who've managed to make themselves work on big things, I find that all blow off errands, and all feel guilty about it. I don't think they should feel guilty. There's more to do than anyone could. So someone doing the best work they can is inevitably going to leave a lot of errands undone. It seems a mistake to feel bad about that.  
  
I think the way to "solve" the problem of procrastination is to let delight pull you instead of making a to-do list push you. Work on an ambitious project you really enjoy, and sail as close to the wind as you can, and you'll leave the right things undone.  
  
  
  
  
  
**Thanks** to Trevor Blackwell, Jessica Livingston, and Robert Morris for reading drafts of this.  
  
 | 

  

| ----- |
| ![][2] | 
| ![][8] | ![][2] | [Romanian Translation][9]  
![][2]  
 | ![][2] | ![][8] | ![][2] | [Russian Translation][10]  
![][2]  
 | 
| ![][2] |  | | | | | |
| ![][2] | 
| ![][8] | ![][2] | [Hebrew Translation][11]  
![][2]  
 | ![][2] | ![][8] | ![][2] | [German Translation][12]  
![][2]  
 | 
| ![][2] |  | | | | | |
| ![][2] | 
| ![][8] | ![][2] | [Portuguese Translation][13]  
![][2]  
 | ![][2] | ![][8] | ![][2] | [Italian Translation][14]  
![][2]  
 | 
| ![][2] |  | | | | | |
| ![][2] | 
| ![][8] | ![][2] | [Japanese Translation][15]  
![][2]  
 | ![][2] | ![][8] | ![][2] | [Spanish Translation][16]  
![][2]  
 | 
| ![][2] |  | | | | | |

  

| -----|  
| - |  

    |  

[1]: http://ep.yimg.com/ay/paulgraham/essays-1.gif
[2]: http://ep.yimg.com/ca/Img/trans_1x1.gif
[3]: http://ep.yimg.com/ca/I/paulgraham_2271_3232
[4]: http://ep.yimg.com/ca/I/paulgraham_2202_8803062
[5]: http://paulgraham.com/start.html
[6]: http://paulgraham.com/hamming.html
[7]: http://paulgraham.com/hs.html
[8]: http://ep.yimg.com/ca/I/paulgraham_2271_5194
[9]: http://ro.goobix.com/pg/procrastination/
[10]: http://sergeybiryukov.ru/2006/02/09/horoshee-i-plohoe-otlyinivanie/
[11]: http://smallestbusiness.com/heb/blog/good-procrastination-hebrew/
[12]: http://www.volker-kopetzky.de/pg-prokrastination
[13]: http://gnustavo.blogspot.com/2006/11/boa-e-m-procrastinao-traduo-para-o.html
[14]: http://decio.blogspot.com/2006/11/good-and-bad-procrastination.html
[15]: http://d.hatena.ne.jp/lionfan/20060103
[16]: http://www.juan.com.uy/2008/12/buena-y-mala-procastinacin.html

