---
created_at: '2016-01-04T07:38:50.000Z'
title: It's the cities, stupid – Jane Jacobs' macroeconomics (2005)
url: http://www.zompist.com/jacobs.html
author: jedharris
points: 95
story_text: 
comment_text: 
num_comments: 26
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1451893130
_tags:
- story
- author_jedharris
- story_10834435
objectID: '10834435'

---
[Source](http://www.zompist.com/jacobs.html "Permalink to jacobs.html")

# jacobs.html


| ----- |
|  ![Jane Jacobs on Cities][1]  |  ![In German][2]  | 

| ----- |
|  | 

 

A recent rant of mine mentioned cities, which led to a meandering discussion about cities and rural areas on my board, and led me to realize that _not enough people have read _**_Jane Jacobs**_. 

![Jane Jacobs][3] Many have; her _The Death and Life of Great American Cities_ (1961), a celebration of city neighborhoods and a warning that they were being destroyed by the czars of urban renewal, has gone in forty years from iconoclasm to curriculum. 

But even better are the less read _The Economy of Cities _(1970) and _Cities and the Wealth of Nations _(1984), twin volumes which do nothing less than demolish and rebuild macroeconomics. Economics went wrong, she explains, with the work her titles allude to, Adam Smith's _The Wealth of Nations_. Nations aren't the proper unit of macroeconomic analysis; cities are. 

Jacobs arrives at this conclusion by considering the **stagflation** of the 1970s-- simultaneous high unemployment and high inflation, something that was not supposed to be possible under either left-wing (Keynesian) or right-wing (monetarist) economics. They were supposed to trade off. She points out that this condition-- high prices and not enough work-- is normal for backward regions; Western economists mistook the fitful but constant economic boom from Smith's time on as a permanent condition. 

Thinking in terms of national economies smears over the economic facts. Once we take off these lenses, we can see that the world consists not of developed and poor nations, but of dynamic and poor _regions_. One of the great advantages of this point of view, in fact, is that we become aware of the backward regions in the First World, and realize that they follow the same dynamics as the Third World. These days they may be comfortable enough due to transfer payments from richer regions, but they are economically passive nonetheless. 

And the dynamic regions are centered around **cities**. (The one apparent exception: supply regions, rich in natural resources. We'll get back to them below; for now we'll just note that they're rich because cities want the resources and come and get them. Arabs didn't have to travel across the oceans to find people to hawk their oil to.) 

## Cities and agriculture

But don't cities arise from and depend on **agriculture**? No: all economic progress originates in cities, Jacobs tells us; and cheekily adds that all _agricultural _progress originates in cities. Great advances, such as mechanical reapers and electricity, were invented and adopted in or near cities before being applied to agricultural regions farther out. Productivity improvements in agriculture always begin near the cities and spread out. 

![Chicago stockyards, 1947][4] What we think of as purely rural activities often began in the cities. In premodern Europe, the quintessential cottage industry was weaving; but before cloth was woven in cottages the art was rediscovered and practiced in cities. Dark Ages peasants lived on gruel; the art of breadmaking was recovered first in cities (and based on city-grown bread; a medieval city had its own fields). In our own rural areas there are vast ranches where animals are fattened before slaughter; they are transplants from the city stockyards of Kansas City and Chicago. 

Driving the nail in the coffin of the spontaneous generation of cities from farmland, Jacobs describes the inability of Ireland to turn itself around after the disastrous famines of the 1840s: 

> There were no ports to receive relief food... There were no mills for grinding relief grain. There were no mechanics or tools and equipment to build mills. There were no ovens for baking bread. There were no ways to spread information about how to grow crops other than potatoes. There was no way to distribute the seeds of other crops, nor to supply the farm tools that were indispensable for a change of crops... 
> 
> To be sure, the Irish had reached this pass because they were held in an iron economic and social subjection. But the very core of that subjection-- and the reason why it was so effective and had rendered them so helpless-- was the systematic suppression of city industry, the same suppression in principle that the English had unsuccessfully tried to enforce upon industry in the little cities of the American colonies. 

Closer to home, here's a report from one Henry Grady, speaking in 1880 about a funeral in Pickens Co. Georgia, some years before. 

> The grave was dug through solid marble, but the marble headstone came from Vermont. It was in a pine wilderness but the pine coffin came from Cincinnati. An iron mountain over-shadowed it but the coffin nails and the screws and the shovel came from Pittsburgh. With hard wood and metal abounding, the corpse was hauled on a wagon from South Bend, Indiana. A hickory grove grew near by, but the pick and shovel handles came from New York. The cotton shirt on the dead man came from Cincinnati, the coat and breeches from Chicago, the shoes from Boston; the folded hands were encased in white gloves from New York... That country, so rich in undeveloped resources, furnished nothing for the funeral except the corpse and the hole in the ground and would probably have imported both of those if it could have done so. 

Grady is eloquently describing the circumstances of a passive economic region: despite all its resources, it _makes_ nothing. 

## Import replacement

The next step, which Grady does not take, is to note that none of the imports come from Atlanta, eighty miles away. Not all cities are dynamic economic units; the Atlanta of 1880 was just as passive and unproductive as its rural hinterland. 

![Japanese bicyclist][5] The missing process-- the engine Jacobs finds for all economic life-- is **import replacement**. She illustrates this with the beginnings of industrial life in Japan. Starting in the late 1800s, Japan imported bicycles. Repair shops sprang up in Tokyo, at first cannibalizing broken bicycles for parts. When enough of these existed, workshops started producing some of the most-used parts locally. More and more parts were made, until ultimately Tokyo could produce its own bicycles and export them to other Japanese cities-- where the whole process was triggered in turn. 

This process not only creates work, it creates **expertise** and **innovation**: cities learn how to solve problems in new ways, and transfer the experience of building one thing to another. And it creates **wealth**: with import replacement, the city becomes richer, because it not only still has what it used to import (bicycles, in the example), but it can now afford new, pricier imports. 

This is how every developed nation started-- Europe, America, the young economies of Asia; there is no other way. 

A dynamic city transforms its hinterland into what Jacobs calls a **city region**. These are the only regions, she stresses, in which development works in balance. Nearby farms are revolutionized by city-developed productivity increases; this frees up labor for factories and other work transplanted from the city; capital is available for civic and infrastructure improvements. 

A working city region doesn't need development experts; it develops itself. America is a nation unusually blessed in city regions-- though it is far from being covered by them. For instance, the southern edge of New Hampshire falls in Boston's city region-- a fact which exasperates New Hampshire officials, who naturally would prefer development to be spread evenly across the state. But the city region stubbornly refuses to reach that far. 

## Unbalanced regions

Cities generate five forces which reach out to transform their surroundings, or the world: their thirst for _supplies_; their wealth of _jobs_; their _productivity_ improvements; _transplants_ of city work; and _capital_. 

Perhaps Jacobs's most productive insight is that these forces act in balance only in cities and city regions. Outside them, they act singly, and most often destructively. One by one:

* A **supply region** is a source of resources. We think of resources as riches, but it'd be truer to say that when the gods wish to curse a region, they make it rich in resources. 

![Opera House - Manaus, Brazil][6] Supply regions can become fabulously wealthy. Resources produced the rubber boom of the Amazon in the 1900s, made Uruguay into the self-styled Switzerland of South America decades later, and give Saudi Arabia its billions today. The problem comes when the resources move elsewhere (as happened in the Amazon), or become less essential (as when plastics drove down the demand for Uruguayan leather), or run out (as the oil will eventually). 

A city region is used to change, is constantly innovating; a supply region is not. It treats its resources as God's gift, a presumably eternal windfall; it prepares only half-heartedly for the end of the boom, and when it comes it's caught short. Already Saudi Arabia, with a population that's tripled in a couple of generations, has to be counted as a poor rather than a rich nation, and the real crisis hasn't even started yet. 

And these cases, it should be emphasized, are the lucky ones, where the locals benefit from the resources. The Aymara unfortunate enough to live near Potosí didn't benefit from its riches of silver; they became slaves of the Spanish. Ancient Egypt never managed to parlay its wealth of grain into power or development; it became simply the granary first of the Greeks and then of the Romans. 

City development is often attributed to good **location**; but a good location can go nowhere. Would we not expect, for instance, that the mouth of New England's largest river would be its commercial hub? But Old Saybrook never amounted to much; Boston did. 

(There's an important exception, however: **cities may develop** in supply regions. It seems to be a rule, however, that this is the least likely to occur in the most favored regions. It was the northern US, not the rich agricultural South, which industrialized. Japan is remarkably free of natural resources; England is by no means a treasurehouse. The first European city to recover from the Dark Ages, Venice, was located in a swamp.)
* Cities produce **jobs**, and leach away population from rural areas. This too can produce a temporary prosperity. Jacobs gives the example of the town of Naziparo, Mexico, whose sole economic resource is the remittances sent back by Mexicans working in Los Angeles. They've been invested wisely-- life is fairly comfortable for those who remain in the little town-- but all attempts to develop a local economy have failed. The workers have considered setting up their own factory in Naziparo, but it's too remote from suppliers and customers. 

And this is the best case. The usual fate of job-losing regions is for people to leave and leave, for generations on end. Life stays the same for anyone who doesn't-- or it declines; everyone moves out, and the settlement becomes a ghost town.
* **Productivity**, so helpful in the city and the city region, is a disaster in rural areas. If an improvement lets one man do the work of six, the remaining five men are 'redundant'-- that is, unemployed and likely unemployable. 

![Shiaba, a village cleared for sheep][7] In the 1790s, for instance, a new breed of sheep was introduced into the Scottish Highlands, replacing the tiny native sheep. It thrived there, but to create pastures for it, the peasants were cleared from the land-- driven from their homes by fire and bayonet. Many starved; others drifted to the Scottish cities-- which had no jobs for them; some were sold by their lairds into indentured servitude. The lucky ones emigrated. 

In the 20th century, India developed a spinning machine powered by a bicycle wheel that lets one villager do the work of a dozen. It has been unable to promote it, because it has no way to absorb the hundreds of millions of villagers whose livelihood it would destroy. 

Such improvements work only in the city region, where the labor saved can move on to other work.

* An advanced city can produce **transplants**: its factories are independent enough that they no longer depend on the web of interconnected suppliers in the city, but can be moved anywhere in the world. For decades poor regions have craved these transplants, because they create jobs. (If not centuries: Tsar Peter the Great hoped to develop Russia essentially with transplants.) 

But precisely because of the near-independence of the transplants, they do not create development. Factories (or any transplantable work operation) are not the cause of development; they're a late effect. 

![Peter's palace, designed by an Italian][8] Jacobs offers an edifying parable. In 1975, the Shah of Iran signed a contract to build an immense helicopter factory in Isfahan. The chief contractor was Textron, which set up a subsidiary in Euless, Texas, to handle development of the helicopter itself. The factory construction was subcontracted to Jones Construction Co. of Charlotte, North Carolina. 

Jones delegated the electrical portion of the factory to Howard P. Foley Co. of Washington DC; Foley in turn employed six electrical wholesalers-- e.g. S-Tran Products of Alexandria, Louisiana, which in turn subcontracted the switching gear to General Electric, involving plants in Texas, North Carolina, Illinois, and Iowa. Jones subcontracted the air conditioning and plumbing to Sam P. Wallace Co. of Dallas, Texas, whose net of sub-subcontractors embraced 150 companies. 

The Shah thought he was buying development, making Iran into an advanced nation. But all he was buying was a factory, though an immense one. What he needed in order to actually **be** developed was what he couldn't buy: the web of **thousands** of companies that together enabled to US to build that factory. 

(In the end he didn't even get his factory-- he was overthrown when it was only a third completed.)
* Finally, a city generates enormous outflows of **capital**, which can be deployed around the world. But capital alone does not make a region productive, for reasons that by now should be familiar: it does not create a web of interconnected, diverse, creative suppliers. 

As an example, Jacobs tells the story of the Tennessee Valley Authority, a massive project to develop one of the most backward regions in the country. At its heart were hydroelectric dams which offered a significant economic resource: abundant and cheap electric power, which attracted power-intensive factories. 

It worked, in the sense that factories were imported, jobs created, rural life improved. But on a deeper level it failed, because no dynamic, import-replacing city region developed. In the 1970s, after forty years of intensive help, parts of the region were still dismally poor. In 1976, when a new factory opened in the Alabama portion of the TVA zone, 40,000 people applied for the 1400 available jobs. By this time the TVA had run out of rivers to dam; its response was to build coal plants (powered by strip-mined coal)-- which reduced the region's cost advantage-- and then nuclear plants-- which eliminated it. 

There are also regions **bypassed** by city life-- hardworking areas living by subsistence agriculture, slowly losing skills they once had. Jacobs mentions a settlement where her aunt was sent as a missionary. The aunt wanted to build a church from the large stones found in the riverbed; but the locals patiently explained that this was impossible. As everyone knew, mortar could only hold small stones; and even those could only be used for small structures like chimneys, certainly not a whole wall. This was not the Third World; this was 1930s North Carolina, and the people were descendants of people with a long tradition of stonemasonry. 

(As a corollary, when we hear of people with an extremely primitive level of material goods and skills-- the Tasmanian aborigines, for instance-- we are most likely dealing not with the primeval state of mankind, but with a people which has declined from its origins.) 

## How to stifle your cities

The idea that economies belong to nations rather than cities is not merely an intellectual confusion; it hinders economic development-- that is, city development. 

One way is through national **currencies**. The value of a currency is a feedback mechanism. If a currency starts to decline, this acts as an automatic, temporary, calibrated tariff: imports become more expensive, exports easier. This should spur import substitution and the development of new export work. 

![Massachusetts 1 shilling note, 1776][9] And so it does when each city has its own currency, as was true almost until the industrial era. National currencies, however, are a smeary blur of the economies of all the nation's cities. This is particularly bad for a depressed city in a booming nation, because it gets precisely the wrong feedback. A strong currency allows cheap imports, reducing the depressed city's impetus to replace them, and simultaneously weakens the city's exports. 

Faulty feedback can sometimes be addressed by explicit **tariffs**. An example was the early United States, whose exports were overwhelmingly rural. Currency feedback in effect told the country to import freely, and this was stifling city industry. Beginning in 1816, the government instituted tariffs to favor manufacturers. This did the trick: the cities were now able to compete against the more expensive imports, and began to replace them with their own production. 

(The one problem was that the South had strong exports and no manufacturing to speak of. The tariffs caused nothing but annoyance in the South, and were one of the grievances that led to secession.) 

Industrializing Japan also had tariffs; one has to wonder why "free trade" has become a dogma to be foisted on all nations. The answer is clear, though: it's not because it facilitates development-- quite the reverse. It aids countries which already have strong export economies. 

Beyond this, Jacobs describes what she describes as "killers of city economies", or more neutrally, **transactions of decline**. These are:

* Prolonged **military production**. Many people, thinking of the German and American experience leading to WWII, believe that gearing up for war is a stimulus. And it is, if it's temporary. 

The problem is that long-term military spending is essentially taking city wealth and tossing it away. The military absorbs enormous amounts of production and capital, and gives nothing back-- the production is either used up in war, or distributed to garrisons which themselves produce nothing. 
* Prolonged **subsidies to poor regions**. Jacobs finds the same fault with these as she does with military production: the money spent is sterile. It may improve the life of the people aided; but, as with the TVA, it doesn't produce new cities that can generate innovation and wealth. 
* Prolonged **advanced-backward trade**. We have met this before, in the context of transplanted factories or misguided capital investment. The problem is when the profits of such investments are reinvested in more of the same, as in the ballooning loans made to poor nations.  These transactions, Jacobs notes, are the preoccupations of empires. Empires are built by cities; but they inevitably siphon off the wealth of their cities in these unproductive ways, till stagnation and decline set in. 

We learned above, with the mention of the Irish famine, that **colonial powers** were actively hostile to development within their empires; it was viewed as competition. Though this is no longer overt policy, I suspect the world is still suffering from the effects of this voluntary embrace of stagnation. Poor nations didn't develop the habit of import replacement, and rich nations still aim at monopolization of an industry, rather than innovation of new work. 

Cities can stab themselves in the back, too:

* They can **restrict enterprise**. The haves like to keep the have-nots out of business, apparently under the belief that prosperity is a zero-sum game; the result is at best lost opportunities for growth, and at worst stagnation and decline. 

In Renaissance England, for instance, most cities began to restrict craftsmen from exporting their work to other cities-- this was given as a monopoly to powerful merchants. But new growth nearly always comes from producers finding new export work; the English cities throttled their own promising development. (London thrived because it had no such nonsense.) 

Through most of our own history, black enterprise was suppressed whenever it started up. Sometimes it was simply outlawed, as when Washington D.C. in 1835 denied shop licenses to blacks. Sometimes it was covert: in Rochester, New York, enterprising blacks hoped to build their own hotel, around 1900, and no one would sell them property. Sometimes the suppression was cruelly refined: in the 1960s, New York solicited bids for the redevelopment of 37 buildings in Harlem; the ground rules demanded that firms could only bid on all 37 buildings at once, thus locking out any local black firms. 

* They can **over-specialize**. Today's exhilarating success can be tomorrow's failure. A too-successful enterprise comes to be largely self-sufficient, rather than relying on a web of interconnected local producers; these then atrophy, and with them the potential for new work. This is largely what happened to Detroit: once a diverse manufacturing center, it produced the American automobile industry-- which as soon as it attained self-sufficiency moved most of its factories elsewhere, leaving its home city looking something like a supernova remnant. 

![City of the Future, 1830s][10] In the mid-1800s, observers considered that the City of the Future must be Manchester, entirely dominated by its huge, grim textile factories. Birmingham, by contrast, looked like a muddle, with no one specialty, just a scrum of tiny producers of everything from buttons to glass to guns to cheap metal toys. 

By the 1960s, only two cities in Britain remained economically vigorous: London and Birmingham. Manchester's Factories of the Future were quickly outmoded, as the rest of the world learned how to make cloth efficiently, and it had nothing to replace them. Birmingham kept adding new work, well into the high-tech era (the jet engine was partly developed there).

* They can **worship bigness**. Big firms naturally attract attention and capital; they seem to be sure bets. But new export work-- and new jobs-- are usually developed by hungry young firms. 

Jacobs tells how one declining city was revitalized by one capitalist who was smart enough to realize this: Ralph Flanders, who decided that the problem with Boston was that it was putting all its capital into unproductive bonds, other cities, or old dead enterprises. In 1946, he started a venture capital firm specifically to aid Boston startups (and with the then unheard-of policy of financing the young firms but not taking control of them). As it happened, one of his first loans was to a company started by a trio of Harvard scientists (Tracerlab, now EGS Gauging), who could get nothing from the existing Boston and New York bankers. It was a great success, and Flanders's firm, ARD, went on to support other high-tech firms (notably DEC), helping to produce a high-tech boom in Boston's city region. (ARD itself helped inspire the development of the venture capital industry.)

## How _do_ you develop?

The ultimate question of our times is _how to develop economies_. The competition between capitalism, fascism and communism was a disagreement on this issue; today the battle is between variants of capitalism. (Islamic fascism is another entry in the competition-- the desperate resort of nations that have seen almost everything else tried, without success.) 

If Jacobs is right, almost everyone goes about this wrong, by concentrating on nations rather than cities, by concentrating on rural rather than urban areas, and by indulging in transactions of decline. 

Good intentions aren't enough. In the early 1960s the Rockefellers, full of the standard dogma that wealth is based on agriculture, decided to build an IUD factory in a tiny town in highly rural Uttar province in India. Not only would the IUDs encourage birth control, but jobs would be provided in the rural areas where they were needed. 

It was a fiasco. There were endless small delays, waiting for tools or supplies, waiting for repairs, waiting for badly done work to be corrected. The local power was difficult to hook up to; when it was finally done, it proved inadequate. Nearly a year had gone by, and the factory wasn't operational, and if it ever got going, it would clearly be impractical to maintain. The managers hung it up and moved the operation to the nearest big city, Kampur-- where they got the factory up and running within six weeks. 

Proving that other ideologies had no better grasp on development, Mao nearly destroyed China with his Great Leap Forward (1958), which attempted to bypass the cities and scatter factories over the Chinese countryside; the result was chaos and famine. 

**What would the world look like** if people accepted Jacobs' ideas? 

In crucial ways it would look the same. Her point, after all, is that development comes out of the cities, so any real development we see-- in Hong Kong or Seoul or São Paulo, for instance-- is already 'Jacobean'. The good news is that city development is a natural process, and oftentimes the problem is not to get it going but to remove obstacles to it. 

In many ways we would simply waste less time and money on what doesn't work:

* Cities and countries wouldn't bother trying to attract transplanted factories (the focus of most current international development). At best this would be seen as a stopgap measure, one step short of charity. 
* For similar reasons, there would be less effort spent in coddling big business. Big business can take care of itself; it doesn't need coddling. 
* Nations and cities would be alarmed, not pleased, when their prosperity depends on resource extraction; they would realize this is a particularly treacherous type of good fortune, since it is not only transitory, but discourages real development till it's too late. 
* Nations and cities would not fear the prosperity of rivals, because a bigger economy benefits everyone. Cities don't stop importing when they replace imports; they simply switch their imports to new things. A Jacobean nation would worry not about rivalry abroad, but about the innovation of new work locally.  As for positive steps:
* If a nation wished to develop a region, it would aim to create an import-replacing city. A Jacobean version of the TVA, for instance, would have tried to make Knoxville into a dynamic city. 
* Cities would encourage the creation of small, diverse, and innovative firms. They would remove barriers to development (such as monopolies, racial or caste discrimination, and large-scale zoning), and venture capitalists would finance struggling startups. (Jacobs doesn't say so, but I think a great help in the US would be a national health plan; lack of health coverage is a disincentive for workers to join small companies.) 
* A city would concentrate on increments to its existing technology. Tokyo, remember, first developed bicycle repair, not automobile manufacturing. High technology is sexy, but it doesn't really belong to a city until it can produce every piece of it itself. 
* The dream of unified currencies would be abandoned, in favor of smaller currency areas which would provide the correct feedback to cities. Cities might also provide temporary tariffs to encourage local production. We'd also collect more relevant data. Much of the data needed to evaluate the health of a city is not readily available. How much diversity is there? How much import replacement? How far out does the city region extend? Are its factories native growths or transplants? National data is of little use in answering these questions-- a nation's exports aren't the sum of its cities' exports, for instance, because cities' exports _to each other_ are as important as their exports abroad. 

## For further reading

Jacobs resists summary-- she doesn't put fluff in her books, and her ideas are unorthodox enough that it may take the whole book to answer all the _but_s. 

But beyond that, it's just interesting to spend time in her brain. She's the opposite of the sort of moralistic science fiction that makes up all too much of economic and political writing: she's full of real-life information and anecdote, and worth reading even when she gets on an occasional hobbyhorse. Almost in her nineties, she's still writing; her latest book is _Dark Age Ahead_, which goes into more detail about ages of decline and whether we might be heading into one. 

A good follow-up to her advocacy of diversity and human-centered values in the city is the architect Christopher Alexander's _A Pattern Language_, which destroys and rebuilds architecture much as she reconstructs macroeconomics. 

Or you could just play a lot of Sim City-- the game designers have read both Jacobs and Alexander-- or Civ, which takes the ultra-Jacobean viewpoint of having you develop your civilization using _only_ cities.  |   | 

 

* * *

![\[ Home \]][11]

[1]: http://www.zompist.com/jacobstitle.jpeg
[2]: http://www.zompist.com/deutsch.gif
[3]: http://www.zompist.com/illo/predjane.gif "Jane Jacobs"
[4]: http://www.zompist.com/illo/jacobstock.jpg "Chicago stockyards, 1947"
[5]: http://www.zompist.com/illo/jacobbike.jpg "Japanese bicyclist"
[6]: http://www.zompist.com/illo/jacobopera.jpg "Opera House - Manaus, Brazil"
[7]: http://www.zompist.com/illo/jacobclear.jpg "Shiaba, a village cleared for sheep"
[8]: http://www.zompist.com/illo/jacobpeter.jpg "Peter's palace, designed by an Italian"
[9]: http://www.zompist.com/illo/jacobmoney.jpg "Massachusetts 1 shilling note, 1776"
[10]: http://www.zompist.com/illo/jacobmanch.jpg "City of the Future, 1830s"
[11]: http://www.zompist.com/home.gif

