---
created_at: '2016-07-05T03:42:23.000Z'
title: BSD vs. Linux (2005)
url: http://www.over-yonder.net/~fullermd/rants/bsd4linux/01
author: joseluisq
points: 457
story_text: 
comment_text: 
num_comments: 356
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1467690143
_tags:
- story
- author_joseluisq
- story_12034277
objectID: '12034277'

---
[Source](http://www.over-yonder.net/~fullermd/rants/bsd4linux/01 "Permalink to BSD For Linux Users :: Intro")

# BSD For Linux Users :: Intro

Your browser doesn't seem to support [CSS][1], which this page uses for all styling. Don't be surprised if it looks kinda boring. 

[[Jump to nav]][2]

# BSD vs Linux

##  What is this? 

I run [FreeBSD][3] on my computers. A lot of my friends run [Linux][4], or at least one of the distributions of it. Naturally, then, we agree that a Unix-style operating system is the right choice, but we disagree on which to use. 

It's been my impression that the BSD communit{y,ies}, in general, understand Linux far better than the Linux communit{y,ies} understand BSD. I have a few theories on why that is, but that's not really relevant. I think a lot of Linux people get turned off BSD because they don't really understand how and why it's put together. Thus, this rant; as a BSD person, I want to try to explain how BSD works in a way that Linux people can absorb. 

While there's overwhelming similarity between the operating systems in most cases, there are also a lot of differences. As you probe more into the differences, you find that they emerge from deep-seated disagreements. Some are disagreements over development methodology, some over deployment and usage, some about what's important, some about who's important, and some about which flavor of ice cream is superior. Just comparing the surface differences doesn't tell you anything; it's the deeper differences that both explain and justify why each group does things the way they do. 

##  What isn't this? 

This is not: 

* A list of command correspondances; "'netstat -rnfinet' on BSD = 'netstat -rnAinet' on Linux" and such things. 
* How to do all the things involved in adminning and running a BSD box. 
* Why you should use BSD instead of Linux. 
* Why you should use Linux instead of BSD. 
* Why you should use _this_ BSD instead of _that_ BSD. 
* Why you should use _this_ Linux instead of _that_ Linux. 
* Why BSD is Right and Linux is Wrong. 
* Why Linux is Right and BSD is Wrong. 
* Why I am a god and you should worship me. 

_I_, personally, for me, believe (obviously) that my OS choice is right. That's me. I'm not telling you that _you_ should believe it. Learn the facts, and the origins behind the facts, and make up your own damn mind. That's why you have one. 

## Some preliminary thoughts

There're a lot of philosophical disparity between the Linux world and the BSD world. And there are a lot of expressions about it out there. One I particularly like goes something like: 

> BSD is what you get when a bunch of Unix hackers sit down to try to port a Unix system to the PC. Linux is what you get when a bunch of PC hackers sit down and try to write a Unix system for the PC. 

Now, I like that quip, not because it's some sort of absolute revealed truth, but because it gives a very good feel for some of the differences. The BSDs, in general, _are_ very much more like traditional Unices than Linux is. A lot of that is because they're direct-line descendants of the BSD from Berkeley, which was a direct-line descendant of the original AT&T Unix. Unix-the-trademark is a trademark of The Open Group, and Unix-the-code is owned by SCO, so one can't actually say that the BSDs are really Unix (that's the sort of statement that triggered the USL/UCB lawsuit extravaganza, in fact). But, in many ways, the BSDs are direct derivatives of traditional Unix. 

That shows through in a lot of ways. It shows up in the design of the base system and the packaging of addons. It shows up in the partitioning of the mass storage. It shows up in a lot of details of the commands. And it shows up in the attitudes and reflexes and prejudices of the developers, which are reflected in the code and in the users. 

BSD is designed. Linux is grown. Perhaps that's the only succinct way to describe it, and possibly the most correct. 

##  Where to begin? 

First, I want to backtrack into a bit of [history and definitions][5]. 

1. [Intro][6]
2. [Dramatis Personae][5]
3. [Design :: The Base System][7]
4. [Design :: The Ports Tree][8]
5. [Technical :: Releases][9]
6. [Technical :: Upgrading][10]
7. [Technical :: Ports][11]
8. [Philosophy][12]
9. [Myths][13]
10. [Conclusion][14]
11. [Responses][15]

* [Home][16]
* [Matt Stats][17]
* [Matt's Resume][18]
* [Matt's Friends][19]
* [Links][20]
* [Matt's Projects][21]
* [Matt Rants][22]
    * BSD for Linux Users
        * Intro
        * [Dramatis Personae][23]
        * [Design :: The Base System][24]
        * [Design :: The Ports Tree][25]
        * [Technical :: Releases][26]
        * [Technical :: Upgrading][27]
        * [Technical :: Ports][28]
        * [Philosophy][29]
        * [Myths][30]
        * [Conclusion][31]
        * [Responses][32]
    * [Windows Causes Stupidity][33]
    * [What "User Friendly" Means][34]
* [About This Page][35]
* [Afterthoughts][36]

Colors: NormalDarkLight

The differences between BSD and Linux all derive from basic philosophical differences. Once you understand those, everything else falls into place pretty neatly. 

* [Powered by FreeBSD][37]
* [Powered by Perl][38]
* [Vi Powered][39]
* [W3C-WCAG A][40]
* [Valid HTML 4.01][41]
* [Valid CSS][42]

©1996-2017 [Matthew D. Fuller][43] [[email][44]] 

[1]: https://www.w3.org/Style/CSS/
[2]: http://www.over-yonder.net#navmeta
[3]: http://www.freebsd.org/
[4]: http://www.linux.org/
[5]: http://www.over-yonder.net/02
[6]: http://www.over-yonder.net/01
[7]: http://www.over-yonder.net/03
[8]: http://www.over-yonder.net/04
[9]: http://www.over-yonder.net/05
[10]: http://www.over-yonder.net/06
[11]: http://www.over-yonder.net/07
[12]: http://www.over-yonder.net/08
[13]: http://www.over-yonder.net/09
[14]: http://www.over-yonder.net/10
[15]: http://www.over-yonder.net/11
[16]: http://www.over-yonder.net/
[17]: http://www.over-yonder.net/matt
[18]: http://www.over-yonder.net/resume
[19]: http://www.over-yonder.net/friends
[20]: http://www.over-yonder.net/links
[21]: http://www.over-yonder.net/projects
[22]: http://www.over-yonder.net/rants
[23]: http://www.over-yonder.net/rants/bsd4linux/02
[24]: http://www.over-yonder.net/rants/bsd4linux/03
[25]: http://www.over-yonder.net/rants/bsd4linux/04
[26]: http://www.over-yonder.net/rants/bsd4linux/05
[27]: http://www.over-yonder.net/rants/bsd4linux/06
[28]: http://www.over-yonder.net/rants/bsd4linux/07
[29]: http://www.over-yonder.net/rants/bsd4linux/08
[30]: http://www.over-yonder.net/rants/bsd4linux/09
[31]: http://www.over-yonder.net/rants/bsd4linux/10
[32]: http://www.over-yonder.net/rants/bsd4linux/11
[33]: http://www.over-yonder.net/rants/winstupid/1
[34]: http://www.over-yonder.net/rants/userfriendly/1
[35]: http://www.over-yonder.net/about
[36]: http://www.over-yonder.net/afterthoughts
[37]: https://www.freebsd.org/
[38]: https://www.perl.org/
[39]: http://thomer.com/vi/vi.html
[40]: https://www.w3.org/WAI/WCAG1A-Conformance
[41]: https://validator.w3.org/check/referer
[42]: https://jigsaw.w3.org/css-validator/check/referer
[43]: http://www.over-yonder.net/copyright
[44]: mailto:fullermd%40over-yonder.net

