---
created_at: '2018-01-31T07:19:47.000Z'
title: The Economics of Privacy (2005)
url: https://www.heinz.cmu.edu/~acquisti/economics-privacy.htm
author: jstrieb
points: 64
story_text: 
comment_text: 
num_comments: 5
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1517383187
_tags:
- story
- author_jstrieb
- story_16272156
objectID: '16272156'

---
[Source](https://www.heinz.cmu.edu/~acquisti/economics-privacy.htm "Permalink to Alessandro Acquisti-The Economics of Privacy-Resources on financial privacy,economics,anonymity")

# Alessandro Acquisti-The Economics of Privacy-Resources on financial privacy,economics,anonymity


| ----- |
|  Maintained by: [**Alessandro Acquisti**][1]  
 |  The Economics of Privacy |  

|    
 |  | 
|    

[Papers][2]  

|   |  [Overview][3]  |  
|   |  [The early days][4]  |  | 
|   |  [The mid 1990s][5]  |  
|   |  [The 'new' economics of privacy][6]  |  
|   |  [Position papers][7]  |  
|   |  [Economics and law][8]  |  
|   |  [Marketing and privacy][9] |  
|   |  [Surveys and experiments][10]  |  
|   |  [Related papers][11]  | 

  
[People][12]  
  
[Conferences][13]  
  
[Links][14]

 |    
 | 

* * *

This page provides links to resources on the economics of privacy, financial privacy, and the economics of anonymity: papers, people, related conferences, and other links. 

Behind a privacy intrusion there is often an economic trade-off. The reduction of the cost of storing and manipulating information has led organizations to capture increasing amounts of data about individual behavior. The hunger for customization and usability has led individuals to reveal more about themselves to other parties. New trade-offs have emerged in which privacy, economics, and technology are inextricably linked: individuals want to avoid the misuse of the information they pass along to others, but they also want to share enough information to achieve satisfactory interactions; organizations want to know more about the parties with which they interact, but they do not want to alienate them with policies deemed as intrusive. 

Is there a combination of economic incentives and technological solutions to privacy issues that is acceptable for the individual and beneficial to society? Is there a sweet spot that satisfies the interests of all parties? The papers, people, and conferences listed below try to address some of these issues.

Please send comments, corrections, and additional content to: [mailto:acquisti@andrew.cmu.edu][15]

To subscribe/unsubscribe to updates, send an email to [privacy_subscribe][16].

Also see Ross Anderson's [Economics and Security Resource Page][17].  

**Categories:**  
  
[Overview][3]   
[The early days][4]   
[The mid 1990s][5]   
[The 'new' economics of privacy][6]   
[Position papers][7]   
[Economics and law][8]   
[Marketing and privacy][9]   
[Surveys and experiments][10]   
[Related papers][11]

[_Last updated: 19-09-05]_

* * *

**Papers**

**Overview**

_The talks and papers listed below offer a (partial) overview of the economic approach to privacy and anonymity.

Also see [Kai-Lung Hui][18]'s and [Ivan Png][19]'s privacy pages._

_Additional links are provided [below][14]._

_Talks_

Alessandro Acquisti. [The Economics of Privacy][20]. Carnegie Mellon University, Software Engineering Institute, February 2004.

Alessandro Acquisti. [Privacy and Security of Personal Information: Technological Solutions and Economic Incentives][21]. UC Berkeley, SIMS CalDay, April 2003.

Alessandro Acquisti. [Privacy, Economics, and Immediate Gratification: Why Protecting Privacy is Easy, but Selling it Is Not][22]. _BlackHat_,_ _Las Vegas, Nevada, July 2004.

_Papers_

Hal Varian. [Economic Aspects of Personal Privacy][23]. In U.S. Dept. of Commerce, _Privacy and Self-Regulation in the Information Age_, 1996.

Andrew Odlyzko. [Privacy, economics, and price discrimination on the internet][24]. In ACM, _Fifth International Conference on Electronic Commerce_, 2003. 

Robert Gellman. [Privacy, consumers, and costs - how the lack of privacy costs consumers and why business studies of privacy costs are biased and incomplete][25], 2002.

Alessandro Acquisti. [Privacy in Electronic Commerce and the Economics of Immediate Gratification][26]. _Proceedings of ACM Electronic Commerce Conference_ (EC 04). New York, NY: ACM Press, 21-29, 2004.

Alessandro Acquisti. [Security of Personal Information and Privacy: Technological Solutions and Economic Incentives][27]. In J. Camp and R. Lewis (eds), _The Economics of Information Security_, Kluwer, 2004.

 [top][28]  

**The early days**

_At the end of the 1970s, economists and lawyers started applying explicit economic reasoning to the study of privacy. Posner (1978, 1981), Hirshleifer (1980; also relevant: 1971), and Stigler (1980) (as well other contributors to the Spring 1978 issue of the Georgia Law Review and the December 1980 issue of the Journal of Legal Studies) were among the pioneers in this area._

Jack Hirshleifer. [ The Private and Social Value of Information and the Reward to Inventive Activity.][29] _American Economic Review_, 61: 561574, 1971.

Jack Hirshleifer.[ Privacy, Its origin, Function, and Future.][30] _Journal of Legal Studies_, 9, 64966, 1980. 

Richard Posner. An economic theory of privacy. _Regulation_, 19-26, 1978.

George J. Stigler. An introduction to privacy in economics and politics. _Journal of Legal Studies_, 9: 623-644, 1980. 

Richard A. Posner. [The economics of privacy.][31] _American Economic Review_, 71 (2): 405- 409, 1981. 

 [top][28]  

**The mid 1990s**

_After a long silence, economic analysis focused again on privacy at a moment (roughly, the second half of the 1990s) when both privacy intrusions and technologies for privacy protection were dramatically expanding. Concepts such as encryption, National Information Markets, and secondary use of personal information appeared in the analysis._

Roger Clarke. [Computer Matching by Government Agencies: The Failure of Cost/Benefit Analysis as a Control Mechanism][32]. _Information Infrastructure_ & _Policy_, 4 (1): 29-65, 1995.

Colin J. Bennett. [The Political Economy of Privacy: A Review of the Literature][33]. Center for Social and Legal Research, DOE Human Genome Project, April 1995.

Eli Noam. [Privacy and Self-Regulation: Markets for Electronic Privacy][34]. In U.S. Dept. of Commerce, _Privacy and Self-Regulation in the Information Age_, 1997.

Kenneth Laudon. [Markets and privacy][35]. _Communications of the ACM_, 39, 9, 1996.

Hal Varian. [Economic Aspects of Personal Privacy][23]. In U.S. Dept. of Commerce, _Privacy and Self-Regulation in the Information Age_, 1997.

Peter H. Huang. [The Law and Economics of Consumer Privacy Versus Data Mining][36], May 1998.

Richard Posner. [Orwell versus Huxley: Economics, Technology, Privacy, and Satire][37]. University of Chicago Law School, John M. Olin Law & Economics Working Paper No. 89, November 1999.

 [top][28]  

**The 'new' economics of privacy**

_Starting (roughly) in 2000, a new economics of privacy has emerged, its novelty being the application of **formal** micro-economic modelling to various aspects of the privacy debate._

Charles M. Kahn, James McAndrews, and William Roberds. [A Theory of Transactions Privacy][38]. Federal Reserve Bank of Atlanta, Working Paper 2000-22, November 2000. 

Matt Thatcher and Eric Clemons.[ Managing the Costs of Informational Privacy: Pure Bundling as a Strategy in the Individual Health Insurance Market.][39] _Journal of Management Information Systems_,   17 (2): 29-58, 2000.

Michael R. Ward.[ The Economics of Online Retail Markets.][40] In Gary Madden and Scott Savage (eds), _The International Handbook on Emerging Telecommunications Networks_, Edward Elgar Publishers, 2001.

Giacomo Calzolari and Alessandro Pavan.[ Optimal design of privacy policies.][41] Technical report, Gremaq, University of Toulouse, 2001. 

Alessandro Acquisti and Hal R. Varian. [Conditioning prices on purchase history][42]. Forthcoming, _Marketing Science_, 2005\. (Technical report, University of California, Berkeley, 2001.)

Ratchford Brian T. [The Economics of Consumer Knowledge][43], Journal of Consumer Research, Vol 27, no 4, March 2001, pp 27-41.

N. Jentzsch. [The Economics and Regulation of Financial Privacy - A Comparative Analysis of the United States and Europe][44], Working Paper, JFK Working Paper, no. 128, 2001.

Curtis R. Taylor. [Private demands and demands for privacy: Dynamic pricing and the market for customer information][45]. Technical report, Department of Economics, Duke University, 2002.

R. K. Chellappa  and S. Shivendu..[A Property Rights Approach to Consumer Concerns of Privacy in Online Personalization: Incentives and Welfare Implications][46], 2002.

R. K. Chellappa and R. Sin. [ Portal Competition: The Battle for Customer Information in the Presence of Privacy Concerns][47],  2002.

R. T. Rust, P. K. Kannan, and Na Peng.[ The customer economics of Internet privacy.][48] _Journal of the Academy of Marketing Science_, 2002\. 

R. K. Chellappa. [Consumers' Trust in Electronic Commerce Transactions: The Role of Perceived Privacy and Perceived Security][49], 2002.

N. Jentzsch. The Economics of Financial Privacy: Regulation of Networks of Private Information in Credit Markets. In Britzelmaier et al., _Regulierung oder Deregulierung der Finanzmrkte_, Physica-Verlag, Heidelberg 211-223, 2002. 

Luc Wathieu, [Privacy, Exposure, and Price Discrimination][50], HBS Marketing Research Paper No. 02-03, 2003.

Ivan Png, Il-Horn Hann, Kai-Lung Hui, and Tom S. Lee, [Direct Marketing: Privacy and Competition][51], November 2003.

Alessandro Acquisti, Roger Dingledine, and Paul Syverson. [On the economics of anonymity][52]. In _Financial Cryptography - FC '03_, Springer Verlag, LNCS, 2003.

Shyam Sunder, Karim Jamal, and Michael S. Maier. [Privacy in e-Commerce: Development of Reporting Standards, Disclosure and Assurance Services in an Unregulated Market][53]. _Journal of Accounting Research_,. 41 ( 2): 285-309, May 2003.

Tony Vila, Rachel Greenstadt, and David Molnar.[ Why we can't be bothered to read privacy policies models of privacy economics as a lemons market][54]. In _Proceedings of the 2nd Annual Workshop of on Economics and Information Security_, 2003. 

Curtis R. Taylor. [Privacy in competitive markets][55]. Technical report, Department of Economics, Duke University, 2004. 

Alessandro Acquisti and Jens Grossklags. [Losses, Gains, and Hyperbolic Discounting: An Experimental Approach to Personal Information Security Attitudes and Behavior][56]. In J. Camp and R. Lewis (eds), _The Economics of Information Security_, Kluwer, 2004. 

Alessandro Acquisti. [Privacy in Electronic Commerce and the Economics of Immediate Gratification][26]. _Proceedings of ACM Electronic Commerce Conference_ (EC 04). New York, NY: ACM Press, 21-29, 2004.

Hugo Mialon and Sue Mialon. [The Economics of the Fourth Amendment: Crime, Search, and Anti-Utopia.][57] Department of Economics, University of Texas, 2004.

Rachel Greenstadt, "[Towards Markets for Personal Information][58],'' 2004.

N. Jentzsch and A. San Jos Riestra.[Information Sharing and Its Implications for Consumer Credit Markets: US vs EU.][59]

 [top][28]  

**Economic discussions and position papers**

_This is a list of other economic oriented (although not formal) analyses of privacy and anonymity._

Robert N. Merold. [The Necessary Elements Of Self-Regulatory Privacy Regimes And The Role Of Consumer Education In A Self-Regulatory Privacy Regime][60], U.S. Dept. of Commerce, Privacy and Self-Regulation in the Information Age, 1997.

Deidre K. Mulligan and Janlori Goldman. [The Limits and the Necessity of Self-Regulation: The Case for Both][61]. U.S. Dept. of Commerce, Privacy and Self-Regulation in the Information Age, 1997.

Alan F. Westin. ["Whatever Works" The American Public's Attitudes Toward Regulation and Self-Regulation on Consumer Privacy Issues][62], U.S. Dept. of Commerce, Privacy and Self-Regulation in the Information Age, 1997.

Kenneth C. Laudon. [Extensions to the Theory of Markets and Privacy: Mechanics of Pricing Information][63], U.S. Dept. of Commerce, Privacy and Self-Regulation in the Information Age, 1997.  
  
Mary J. Culnan. [Self-Regulation on the Electronic Frontier: Implications for Public Policy][64]. U.S. Dept. of Commerce, Privacy and Self-Regulation in the Information Age, 1997.

Robert Gellman. [Resolving Privacy Disputes Through Arbitration][65]. U.S. Dept. of Commerce, Privacy and Self-Regulation in the Information Age, 1997.

Irene Hashfield and Sara Fitzgerald. [The Role of Consumer Education in a Self-Regulatory Privacy Regime][66]. U.S. Dept. of Commerce, Privacy and Self-Regulation in the Information Age, 1997.

NTIA, [Elements of Effective Self-Regulation for Protection of Privacy][67], Discussion Draft, January 1998.

Alfred Norman, Brian Foshburg, John Frederick, and Lillian Liao. [Economics of Medical Privacy][68], 1998.

Detlev Zwick and Nikhilesh Dholaki, [Models of Privacy in the Digital Age: Implications for Marketing and E-Commerce][69], 1999.

Robert E. Litan, [Balancing Costs And Benefits Of New Privacy Mandates][70]. AEI-Brookings Working Paper 99-03, 1999.

Ernst & Young LLP. [Customer Benefits from Current Information Sharing by Financial Services Companies][71], December 2000. 

Kent Walker. [The costs of privacy (Costs and benefits of new information laws)][72]. _Harvard Journal of Law & Public Policy_, September 22, 2001.

Cynthia Glassman. [Customer Benefits of Information Integration by Financial Services Companies: Summary][73], 2001.

Declan McCullagh. [The economics of regulating privacy on the Internet][74]. _The Library of Economic and Liberty_, May 2001.

Michael Turner. [The Impact of Data Restrictions on Consumer Distance Shopping][75]. Information Services Executive Council, 2001.  
  
John M. Barron and Michael Staten. [The Value of Comprehensive Credit Reports: Lessons from the U.S. Experience][76], 2001.

Robert W. Hahn. [An Assessment of the Costs of Proposed Online Privacy Legislation][77]. AEI-Brookings Joint Center for Regulatory Studies, May 2001.  
  
Robert Hahn and Layne Farrar. [The Benefits and Costs Of Online Privacy Legislation][78]. AEI-Brookings Joint Center Working Paper No. 01-14, 2001.

Michael A. Turner, [Likely Impact on USPS of Restrictions on Free Flow of Information][79], 2001 (?).

Robert Hahn, [An Assessment of the Costs of Proposed Online Privacy Legislation][77], Association for Competitive Technology, 2001 (?).  
  
Michael Turner, [The Impact of Data Restrictions on Consumer Distance Shopping][80], Privacy Leadership Initiative, 2001 (?).

Fred H. Cate and Michael E. Staten, [The Value of Information-Sharing][81], 2001 (?).  
  
Fred H. Cate and Michael E. Staten, [The Fallacy of "Opt-In"][82], 2001 (?).

Professor Peter P. Swire. [New Study Substantially Overstates Costs of Internet Privacy Protections][83]. May 2001.

Jeffrey Lacker. [The Economics of Financial Privacy: to Opt out or Opt in?][84]. _Economic Quarterly_, 88 (3): 1-16, 2002.

Paul H. Rubin, Thomas M. Lenard. [_Privacy and the Commercial Use of Personal Information][85]_. The Progress & Freedom Foundation, Washington, DC, USA, 2002.

Joan Feigenbaum, Michael J. Freedman, Tomas Sander, and Adam Shostack. [Economic Barriers to the Deployment of Existing Privacy Technologies (Position Paper)][86]. In _Proceedings of the Workshop on Economics and Information Security_. Berkeley, CA, May 2002.

Alessandro Acquisti. [Protecting Privacy with Economics: Economic Incentives for Preventive Technologies in Ubiquitous Computing Environments][87].   Workshop on Socially-informed Design of Privacy-enhancing Solutions, 4th International Conference on Ubiquitous Computing (UBICOMP 02), Goteborg, Sweden, September 2002.

Chris Jay Hoofnagle [ Consumer Privacy in the E-commerce Marketplace 2002 ][88], Practising Law Institute Third Annual Institute on Privacy Law, Volume 3, page 1339, June 2002 

Robert Gellman. [Privacy, consumers, and costs - how the lack of privacy costs consumers and why business studies of privacy costs are biased and incomplete][25], 2002.

Micahel E. Staten and Fred H. Cate. [The Adverse Impact of Opt-in Privacy Rules on Consumers: A Case Study of Retail Credit][89], 2002.

Solveig Singleton. [Californias financial privacy debate: Privacy Policy for an Open Economy][90]. May 9, 2002.   
  
Peter A. Johnson and Robin Varghese, [The Hidden Costs of Privacy: The Potential Economic Impact of Opt-In Data Privacy Laws In California][91], January 2002.

Paul Syverson. [The paradoxical value of privacy][92]. In _Proceedings of the 2nd Annual Workshop of on Economics and Information Security_, 2003.

Adam Shostack. [Paying for privacy: Consumers and infrastructures][93]. In _Proceedings of the 2nd Annual Workshop of on Economics and Information Security_, 2003. 

Andrew Odlyzko. [Privacy, economics, and price discrimination on the internet][24]. In ACM, _Fifth International Conference on Electronic Commerce_, 355-366, 2003. 

Marco De Boni and Martyn Prigmore. [A Hegelian Basis For Information Privacy As An Economic Right][94], 2003.

Clin Guru and Adriana Serban. [Keeping privacy alive: a model for negotiating privacy rights in the networked society][95], 2003.

Lorrie Faith Cranor. [I Didn't Buy it for Myself: Privacy and Ecommerce Personalization][96]. _Proceedings of the 2nd ACM Workshop on Privacy in the Electronic Society_, October 30, 2003

Michael E. Staten and Fred H. Cate. [The Impact of Opt-in Privacy Rules on Retail Credit Markets: A Case Study of MBNA][97]. _Duke L. J_,. 745, 2003.

Fred H. Cate and Michael E. Staten. [The Impact of National Credit Reporting Under the Fair Credit Reporting Act: The Risk of New Restrictions and State Regulations][98]. Financial Services Coordinating Council, May 2003.

Fred H. Cate. [The Privacy Problem: A Broader View of Information Privacy and the Costs and Consequences of Protecting I][99]t. The Freedom Forum, 2003.

Fred H. Cate, Robert E. Litan, Michael Staten, and Peter Wallison. [Financial Privacy, Consumer Prosperity, and the Public Good: Maintaining the Balance][100]. AEI-Brookings Joint Center for Regulatory Studies, March. 2003.

Loretta Nott. [Financial Privacy: An Economic Perspective][101]. Report for Congress, February 25, 2003.

Sun Microsystems, Boardroom Minutes: Healthcare. [The hidden benefits of HIPAA][102], 2003 (?).

Andrew Song. [ Technology, Terrorism and the Fishbowl Effect: An Economic Analysis of Surveillance and Searches ][103] The Berkman Center for Internet and Society Research Publication Series, No 2003-04 , 5/2003 

Karim Jamal, Michael Maier, Shyam Sunder. [Enforced Standards Versus Evolution by General Acceptance][104]. AEI-Brookings Working Paper 03-8, July 2003.

Alessandro Acquisti, [Security of Personal Information and Privacy: Technological Solutions and Economic Incentives][27]. In J. Camp and R. Lewis (eds), _The Economics of Information Security_, Kluwer, 2004. 

TJ Costello, [Pre-litigation Mediation as a Privacy Policy: Exploring the Interaction of Economics and Privacy][105]. Mediate.com, April 2004.

Nicklas Lundblad. [Privacy in a Noise Society][106], 2004.

Jim Harper. [Understanding Privacy - And the Real Threats to It][107]. Cato Policy Analysis No. 520 August 4, 2004.

Jay P. Kesan, Ruperto P. Majuca, William J. Yurcik. [The Economic Case for Cyberinsurance][108]. Illinois Law and Economics Working Papers Series, Paper No. LE04-004, 2004.

Katherine J. Strandburg. [Too Much Information! Privacy, Rationality, and Temptation][109], 2004.

Chris Jay Hoofnagle [ Big Brother's Little helpers: How the ChoicePoint and Other Commercial Data Brokers Collect, Process and Package your Data for Law Enforcement ][110], University of North Carolina Journal of International Law& Commercial Regulation, Summer 2004 

Chris Jay Hoofnagle [ Privacy Practices Below the Lowest Common Denominator: The Federal Trade Commission's Initial Application of Unfair and Deceptive Trade Practices Authority to Protect Consumer Privacy (1997-2000)][111], Electronic Privacy Information Center - West Coast Office, February 2004 

Chris Jay Hoofnagle , Kerry E Smith [ Debunking the Commercial Profilers' Claims: A Skeptical Analysis of the Benefits of Personal Information Flows ][112], Electronic Privacy Information Center - West Coast Office, February 2004 

Chris Jay Hoofnagle [ Matters of Public Concern and the Public University Professor ][113], Journal Of College and University Law, Volume 27, Winter 2001, Number 3, Page 669 & Electronic Privacy Information Center - West Coast Office, March 2004 

B Stewart (Deputy Commissioner New Zealand) [ The Economics of Data Privacy: Should we place a dollar value on personal autonomy and dignity][114], The 26th International Conference on Privacy and Personal Data Protection, Poland ,Worclaw, 14 15 16 September 2004 

P. Harris (Commissioner, Guernsey) [ The European perspective - is Data Protection value for money? [article] ][115], The 26th International Conference on Privacy and Personal Data Protection, Poland ,Worclaw, 14 15 16 September 2004 

U. Uttinger (SQS) [ Data Protection and Insurance Companies ][116], The 26th International Conference on Privacy and Personal Data Protection, Poland ,Worclaw, 14 15 16 September 2004 

A. von Reden (IBM) [ The Costs and Benefits of Privacy ][117], The 26th International Conference on Privacy and Personal Data Protection, Poland ,Worclaw, 14 15 16 September 2004 

G. Rasi (Commissioner, Italy) [ Privacy as Quality in Modern Economy ][118], The 26th International Conference on Privacy and Personal Data Protection, Poland ,Worclaw, 14 15 16 September 2004 

Chris Jay Hoofnagle [ Putting Identity Theft on Ice: Freezing Credit Reports to Prevent Lending to Impostors ][119], Securing Privacy in the Internet Age, Stanford University Press, 2005.

Chris Jay Hoofnagle [ Privacy Self Regulation: A Decade of Disappointment][120], Electronic Privacy Information Center - West Coast Office, March 2005 

 [top][28]  

**Economics and law**

_Some legal scholars have applied economic arguments in their study of privacy._

Peter Swire, [Markets, Self-Regulation, and Government Enforcement in the Protection of Personal Information][121], U.S. Dept. of Commerce, _Privacy and Self-Regulation in the Information Age_, 1997.

Peter Swire. [The Uses and Limits of Financial Cryptography: A Law Professor's Perspective][122]. _Financial Cryptography '97_, 1997.

Jessica Litman. [Information Privacy/Information Property][123]. _Stanford L. Rev_., 1283, 2000.

Michael Froomkin. [The Death of Privacy?][124] 2000.

Pam Samuelson [Privacy as Intellectual Property?][125] _Stan. L. Rev_.,  1125, 2000.

Pamela Samuelson. [The social costs of incoherent privacy policies][126]. IBM Almaden Privacy Institute, April 10, 2003. 

Peter Swire. [Efficient Confidentiality for Privacy, Security, and Confidential Business Information][127]. Moritz College of Law, Ohio State University, 2004. 

Daniel J Solove, Chris J Hoofnagle. [ A Model Regime of Privacy Protection (Version 1.1) ][128]. GMU Law School Public Law Research Paper No. 132, March 2005. 

Daniel J Solove, Chris J Hoofnagle. [ A Model Regime of Privacy Protection (Version 2.0) ][129]. GMU Law School Public Law Research Paper No. 132, April 2005. 

Daniel J Solove, Chris J Hoofnagle. [ A Model Regime of Privacy Protection (Version 3.0) ][130]. GMU Law School Public Law Research Paper No. 132; Illinois Law Review, Vol 2006, p 357,2006. 

 [top][28]  

**Marketing and privacy**

_The marketing literature has addressed several aspects of the privacy debate which are also of interest to economists._

P. Wang and L. A. Petrison. Direct marketing activities and personal privacy : a consumer survey. _Journal of Direct Marketing_, 7 (1):7-19, 1993.

H. Wang and C.  Wang.[ Consumer privacy concerns about Internet marketing. _Communications of the ACM_, 41 (3): 63-70, 1998. 

George R. Milne. [Privacy and Ethical Issues in Database/Interactive Marketing and Public Policy: A Research Framework and Overview of the Special Issue][131]. _Journal of Public Policy & Marketing_, 19 (1),  2000.

Mary J. Culnan, [Protecting Privacy Online: Is Self-Regulation Working][132]?_Journal of Public Policy & Marketing_, 19 (1),  2000.

Joseph Phelps, Glen Nowak and Elizabeth Ferrel,[ Privacy Concerns and Consumer Willingness to Provide Personal Information][133]. _Journal of Public Policy & Marketing_, 19 (1),  2000.

Ross D. Petty,[ Marketing Without Consent: Consumer Choice and Costs, Privacy, and Public Policy][134]. _Journal of Public Policy & Marketing_, 19 (1),  2000.

Anthony D. Miyazaki and Ana Fernandez, [Internet Privacy and Security: An Examination of Online Retailer Disclosures][135]. _Journal of Public Policy & Marketing_, 19 (1),  2000.

Kim Bartel Sheehan and Mariea Grubbs Hoy, [Dimensions of Privacy Concern Among Online Consumers][136]. _Journal of Public Policy & Marketing_, 19 (1),  2000.

J. H. Smith. Information privacy and marketing : What the U.S. should and shouldn't learn from Europe. _California Management Review_, 43 (2): 8-33, 2001.

 [top][28]  

**Surveys and experiments**

_Recent surveys and experiments have explored individual privacy attitudes and uncovered a dichotomy between stated attitudes and actual behavior._

Privacy Rights Clearinghouse. [Public Attitudes about the Privacy of Information][137].  
  
EPIC. [Public Opinion on Privacy][138].   
  
Privacy & American Business. [Privacy Surveys][139].  
  
Roger Clarke. [Reference List: Surveys of Privacy Attitudes][140].   
  
Center for Democracy and Technology. [Privacy Survey Results][141].

Stone Eugene F, H G Gueutal, D G Gardener, Stepherd McClure. [PA Field Experiment Comparing Information Privacy Values, Beliefs, and Attitudes Across Several Type of Organizations][142]. Journal of Applied Psychology, Vol 68 No. 3 1983 ,pp 459-468.

Smith, H. Jeff, Sandra J. Milberg and Sandra J. Burke.[ Information Privacy: Measuring Individuals' Concerns About Organizational Practices. _MIS Quarterly_,  20 (2): 167-196. 1996.

Louis Harris and Associates and Alan F. Westin. [E-Commerce Privacy Survey Executive Summary: A survey of the American public][143]. Privacy & American Business and Price Waterhouse, 1998.

Susannah Fox, Lee Rainie, John Horrigan, Amanda Lenhart, Tom Spooner, Cornelia Carter. [Trust and privacy online: Why Americans want to rewrite the rules][144]. The Pew Internet & American Life, 2000.

Sandra J. Milberg, H. Jeff Smith, Sandra J. Burke. [Information Privacy: Corporate Management and National Regulation][145]. Organization Science Vol II, no 1, 2000, pp 35-57.

Harris Interactive, [Privacy Notices Research][146], Study No. 15338, December 2001.  
  
Harris Interactive. [Consumer Privacy Attitudes and Behaviors Survey - Wave I][147]I, July 2001.  
  
Harris Interactive. [A survey of consumer privacy attitudes and behavior][148], 2001.

Sarah Spiekermann, Jens Grossklags, and Bettina Berendt. [E-privacy in 2nd generation e-commerce: Privacy preferences versus actual behavior. In _3rd ACM Conference on Electronic Commerce - EC '01_, 38-47, 2002. 

Ivan Png, Il-Horn Hann, Kai-Lung Hui, and Tom S. Lee, [The Value of Online Information Privacy: Evidence from the USA and Singapore,][149] September 2002.

Harris Interactive. [First major post-9-11 privacy survey finds consumers demanding companies do more to protect privacy; public wants company privacy policies to be independently verified][150], 2002. 

M. Ackerman, L. Cranor, and J. Reagle. [Privacy in E-Commerce: Examining User Scenarios and Privacy Preferences][151]. _Proceedings of the ACM Conference on Electronic Commerce (EC'99)_, 3-5 November 1999, Denver, Colorado, p. 1-8, 2002. 

Joseph Turow. [Americans and Online Privacy: The System is Broken][152], Annenberg Public Policy Center Report, 2003.

Bernardo Huberman, Eytan Adar, and Leslie R. Fine. [Privacy and Deviance.][153] Mimeo, HP Labs, 2004.

Alfred Kobsa, Maximilian Teltzrow. [Contextualized Communication of Privacy Practices and Personalization Benefits: Impacts on Users Data Sharing Behavior][154]. PET 2004.

Alessandro Acquisti and Jens Grossklags. [Privacy and Rationality: Preliminary Evidence from Survey Data][155]. In _Third Workshop on Economics and Information Security_, University of Minnesota, Minneapolis, MN, May 2004.

Hal Varian, Fredrik Wallenberg, and Glenn Woroch. [Who Signed Up for the Do-Not-Call List?][156]. In _Third Workshop on Economics and Information Security_, University of Minnesota, Minneapolis, MN, May 2004.

Julia B. Earp. [Privacy Economics and Information Privacy Values][157], 2004 Spring Workshop, Georgia Tech, March 2004.

R. K. Chellappa and R. Sin. [Personalization versus Privacy: An Empirical Examination of the Online Consumers Dilemma][158], forthcoming in _Information Technology and Management_.

 [top][28]  

**Related papers**

Robert Laufer and Maxine Wolfe. Privacy as a Concept and a Social Issue: A Multidimensional Developmental Theory. _Journal of Social Issues_,  32 (3): 22-42, 1977.

Eugene Stone and Dianna L. Stone. Privacy in organizations: theoretical issues, research findings, and protection mechanisms. _Research in Personnel and Human Resources Management_, 8, 349-411, 1990. 

Goodwin Cathy A.[ A Conceptualization of Motives to Seek Privacy for Nondeviant Consumption][159], Journal of Consumer Psychology , Vol 1, no. 3, 1992, pp 261-284

Culnan M J.[ "How Did They Get My Name?": An Exploratory Investigation of Consumer Attitudes Toward Secondary Information Use][159], MIS Quarterly 17(3), 341-363 September 1993

Grahame R. Dowling. Richard Staelin.[ A Model of Perceived Risk and Intended Risk-Handling Activity.][159], The Journal of Consumer Research, Vol 21, no. 1, June 1994, pp 119-134 

Sandra J. Milberg, Sandra J. Burke, Jeff Smith, Ernest A. Kallman. [ Values, personal information privacy, and regulatory approaches][160], Communication of the ACM archives Vol 38, Issue 12, December 1995, Georgia Tech, March 2004.

Drew Fudenberg and Jean Tirole. [Upgrades, trade-ins, and buy-backs.][161] _Rand Journal of Economics_, 29:238-258, 1998.

Lorrie Faith Cranor and Paul Resnick. [Protocols for Automated Negotiations with Buyer Anonymity and Seller Reputations.][162] _Netnomics_, 2 (1):   1-23, 2000.

Privacy Rights Clearinghouse. [Nowhere to turn: Victims speak out on identity theft][163], 2000. 

Federal Trade Commission. [Privacy online: Fair information practices in the electronic marketplace][164], 2000.

Ross Anderson. [Why Information Security is Hard][165]. University of Cambridge Computer Laboratory, 2001.

Friedman, Eric J. and Resnick, Paul.[The social cost of cheap pseudonyms.][166] _Journal of Economics and Management Strategy_, 10 (2):173 199, 2001.

Claudia Diaz, Stefaan Seys, Joris Claessens, and Bart Preneel. Towards measuring anonymity. PET 2002.

Andrei Serjantov and George Danezis. [Towards an information theoretic metric for anonymity.][167] PET 2002.

John Deighton [MARKET SOLUTIONS TO PRIVACY PROBLEMS?][168], August 2002. 

Sandra C Henderson,Charles A Snyder, Terry Anthony Byrd .[Electronic commerce and data privacy: the impact of privacy concerns on electronic commerce use and regulatory preferences][169]. Idea Group Publishing Hershey, PA, USA ,ISBN:1-59140-043-0, 2003.

Manda Salls and Sean Silverthrone. [ Should You Sell Your Digital Privacy? Q&A; with: John Deighton][170]. Published: August 25, 2003. 

Dennis Kgler. [On the Anonymity of Banknotes][171]. PET 2004. 

 [top][28]  

* * *

**People**

[Alessandro Acquisti][1]

[Ross Anderson][172]

[Jean Camp][173]

[Fred Cate][174]

[Ramnath Chellappa][175]

[Roger Clarke][176]

[TJ Costello][177]

[Lorrie Faith Cranor][178]

[Roger Dingledine][179]

[Allan Friedman][180]

[Michael Froomkin][181]

[Robert Gellman][25]

[Rachel Greenstadt][182]

[Jens Grossklags][183]

[Kai-Lung Hui][18]

[Nicola Jentzsch][184]

[Kenneth Laudon][185]

[Jessica Litman][186]

[Eli Noam][187]

[Andrew Odlyzko][188]

[Ivan Png][19]

[Richard Posner][189]

[Paul Rubin][190]

[Pam Samuelson][191]

[Stuart Schechter][192]

[Bruce Schneier][193]

[Adam Shostack][194]

[Michael Staten][195]

[George Stigler][196]

[Katherine Strandburg][197]

[Peter Swire][198]

[Paul Syverson][199]

[Curtis Taylor][200]

[Doug Tygar][201]

[Luc Wathieu][202]

[Hal Varian][203]

 [top][28]  

* * *

**Related Conferences**

[WEIS 2006, University of Cambridge, Jun 2006][204]

[PET 2005, Cavtat, Croatia, May 2005][205]

[Financial Cryptography][206]

[WEIS 2005, Harvard University, June 2005][207]

[WPES 2005, Alexandria, DC, October 2005][205]

[2004 CIPLIT Symposium: Privacy and Identity: The Promise and Perils of a Technological Age, October 2004][208]

[Securing Privacy in the Internet Age, Stanford Law School, March 2004][209]

[PET 2004, Toronto, Canada, March 2004][205]

[WEIS 2004, University of Minnesota, May 2004][210]

[WEIS 2003, Robert H Smith School of Business, University of Maryland, May 2003][211] 

[PET 2003, Dresden, Germany, March 2003][212]

[WEIS 2002, SIMS, UC Berkeley, May 2002][213]

 [top][28]  

* * *

**Links**

**Economic Focus**

[Kai-Lung Hui's privacy page][18]

[Ivan Png's Parliamentary Speeches and Questions on Privacy][214]

[Ross Anderson's Economics and Security Resource Page][17]

[Roger Dingledine's Anonymity Bibliography][215]

[Jens Grossklags's EPrivacy Page][216]

[Hal Varian's Information Economics Page][217]

[Huseyin Cavusoglu's Economics and Security Page][218]

[UC Berkeley IGS's Financial Privacy Page][219]

 

**Other**

[EFF PrivacyNOW][220]

[EPIC][221]

[Lauren Weinstein's Privacy FORUM][222]

[OpenPrivacy][223]

[Online Privacy Alliance][224]

[Privacilla][225]

[Privacy.org][226]

[Privacy.net][227]

[PrivacyExchange][228]

[Privacy Digest][229]

[Privacy Foundation][230]

[Privacy Rights Clearinghouse][231]

[Robert Ellis Smith's Privacy Journal][232]

* * *

 [top][28]  

 | 

[1]: http://www.heinz.cmu.edu/~acquisti/
[2]: http://www.heinz.cmu.edu/~acquisti/economics-privacy.htm#papers
[3]: http://www.heinz.cmu.edu/~acquisti/economics-privacy.htm#overview
[4]: http://www.heinz.cmu.edu/~acquisti/economics-privacy.htm#early
[5]: http://www.heinz.cmu.edu/~acquisti/economics-privacy.htm#mid
[6]: http://www.heinz.cmu.edu/~acquisti/economics-privacy.htm#new
[7]: http://www.heinz.cmu.edu/~acquisti/economics-privacy.htm#position
[8]: http://www.heinz.cmu.edu/~acquisti/economics-privacy.htm#law
[9]: http://www.heinz.cmu.edu/~acquisti/economics-privacy.htm#marketing
[10]: http://www.heinz.cmu.edu/~acquisti/economics-privacy.htm#surveys
[11]: http://www.heinz.cmu.edu/~acquisti/economics-privacy.htm#related
[12]: http://www.heinz.cmu.edu/~acquisti/economics-privacy.htm#people
[13]: http://www.heinz.cmu.edu/~acquisti/economics-privacy.htm#conferences
[14]: http://www.heinz.cmu.edu/~acquisti/economics-privacy.htm#links
[15]: mailto:acquisti%40andrew.cmu.edu
[16]: mailto:acquisti%40andrew.cmu.edu?subject=Subscribe to Economics of Privacy
[17]: http://www.cl.cam.ac.uk/users/rja14/econsec.html
[18]: http://www.comp.nus.edu.sg/~lung/privacy.html
[19]: http://www.comp.nus.edu.sg/~ipng/
[20]: http://www.heinz.cmu.edu/~acquisti/papers/acquisti_privacy_economics.ppt
[21]: http://www.heinz.cmu.edu/~acquisti/papers/Acquisti_Privacy_slides.ppt
[22]: http://www.blackhat.com/presentations/bh-usa-04/bh-us-04-acquisti.pdf
[23]: http://www.sims.berkeley.edu/~hal/Papers/privacy/
[24]: http://www.dtc.umn.edu/~odlyzko/doc/privacy.economics.pdf
[25]: http://www.epic.org/reports/dmfprivacy.html
[26]: http://www.heinz.cmu.edu/~acquisti/papers/privacy-gratification.pdf
[27]: http://www.heinz.cmu.edu/~acquisti/papers/acquisti_eis_refs.pdf
[28]: http://www.heinz.cmu.edu/~acquisti/economics-privacy.htm#top
[29]: http://www.jstor.org/view/00028282/di950426/95p07346/0
[30]: http://links.jstor.org/sici?sici=0047-2530%28198012%299%3A4%3C649%3APIOFAF%3E2.0.CO%3B2-4&size=LARGE
[31]: http://www.jstor.org/view/00028282/di950073/95p01122/0
[32]: http://www.anu.edu.au/people/Roger.Clarke/DV/MatchCBA.html
[33]: http://web.uvic.ca/polisci/bennett/research/gnom.htm
[34]: http://www.citi.columbia.edu/elinoam/articles/priv_self.htm
[35]: http://portal.acm.org/citation.cfm?id=234476&dl=ACM&coll=portal
[36]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=94041
[37]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=194572
[38]: http://fic.wharton.upenn.edu/fic/papers/01/0112.pdf
[39]: http://mesharpe.metapress.com/(tq4mn455ikcan355bo2l13mx)/app/home/contribution.asp?referrer=parent&backto=issue,4,10;journal,25,26;linkingpublicationresults,1:106046,1
[40]: http://scholar.google.com/scholar?hl=en&lr=&q=cache:cmyQUgkx7ugJ:ux6.cso.uiuc.edu/~ward1/RetMktLit3.PDF+The+economics+of+online+retail+market+%2B+Michael+R+Ward
[41]: http://www.unisa.it/ricerca/dipartimenti/dise/PDF/pp.pdf
[42]: http://www.heinz.cmu.edu/~acquisti/papers/privacy.pdf
[43]: http://www.journals.uchicago.edu/JCR/journal/issues/v27n4/270401/270401.web.pdf
[44]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=295539
[45]: http://www.econ.duke.edu/Papers/Abstracts02/abstract.02.02.html
[46]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=457003
[47]: http://asura.usc.edu/~ram/rcf-papers/portal_comp_chellappa-sin.pdf
[48]: http://jam.sagepub.com/cgi/content/abstract/30/4/455
[49]: http://asura.usc.edu/~ram/rcf-papers/sec-priv.pdf
[50]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=347440
[51]: http://www.bm.ust.hk/ismt/seminars/seminar-lung-24Oct03.doc
[52]: http://www.freehaven.net/doc/fc03/econymics.pdf
[53]: http://ideas.repec.org/p/ysm/somwrk/ysm359.html
[54]: http://www.eecs.harvard.edu/~greenie/econprivacy.pdf
[55]: http://www.econ.duke.edu/Papers/Abstracts03/abstract.03.10.html
[56]: http://www.heinz.cmu.edu/~acquisti/papers/acquisti_grossklags_eis_refs.pdf
[57]: http://www.economics.emory.edu/Working_Papers/wp/mialon_04_11_paper.pdf
[58]: http://scholar.google.com/scholar?hl=en&lr=&q=cache:dmZRUAp3P3QJ:www.eecs.harvard.edu/~greenie/markets.ps+Towards+market+for+personal+information+%2B+R+Greenstadt
[59]: http://userpage.fu-berlin.de/~jentzsch/eu-vs-us.pdf
[60]: http://www.ntia.doc.gov/reports/privacy/selfreg4.htm
[61]: http://www.ntia.doc.gov/reports/privacy/selfreg1.htm#1G
[62]: http://www.ntia.doc.gov/reports/privacy/selfreg1.htm#1F
[63]: http://privare.fbk.eur.nl/Literature/references/laudon_Extensions to the Theory of Markets and Privacy_mechanics of pricing information.doc
[64]: http://www.ntia.doc.gov/reports/privacy/selfreg1.htm#1E
[65]: http://www.ntia.doc.gov/reports/privacy/selfreg4.htm#4C
[66]: http://www.ntia.doc.gov/reports/privacy/selfreg4.htm#4B
[67]: http://www.ntia.doc.gov/reports/privacydraft/198dftprin.htm
[68]: http://www.eco.utexas.edu/Homepages/Faculty/Norman/long.extra/med.info/aaa3.html
[69]: http://ritim.cba.uri.edu/Working%20Papers/Privacy-Models-Paper[1].pdf
[70]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=179074
[71]: http://www.bbbonline.org/UnderstandingPrivacy/library/whitepapers/FSRStudyonInfoSharing.pdf
[72]: http://scholar.google.com/scholar?hl=en&lr=&q=cache:cx3rI6LYweUJ:www2000.ogsm.vanderbilt.edu/research/papers/pdf/student_projects/Calculating%2520the%2520Cost%2520of%2520Privacy%2520-%2520Final%2520Report.pdf+The+costs+of+privacy+%2B+Kent+walker+%2B+Harvard+journal+of+law+and+public+policy
[73]: http://www.privacyalliance.org/resources/glassman.pdf
[74]: http://www.econlib.org/library/Columns/McCullaghprivacy.html
[75]: http://www.privacyalliance.org/resources/turner.pdf
[76]: http://www.privacyalliance.org/resources/staten.pdf
[77]: http://www.bbbonline.org/UnderstandingPrivacy/library/whitepapers/HahnStudy.pdf
[78]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=292649
[79]: http://www.bbbonline.org/UnderstandingPrivacy/library/whitepapers/turnerDoc.pdf
[80]: http://www.bbbonline.org/UnderstandingPrivacy/library/whitepapers/restrictionsstudy.pdf
[81]: http://www.bbbonline.org/UnderstandingPrivacy/library/whitepapers/valueofinfosharing.pdf
[82]: http://www.bbbonline.org/UnderstandingPrivacy/library/whitepapers/fallacyofoptin.pdf
[83]: http://www.peterswire.net/hahn.html
[84]: http://privare.fbk.eur.nl/Literature/references/lacker_the%20economics%20of%20financial%20privacy_to%20opt%20out%20or%20opt%20in.pdf
[85]: http://books.google.com/books?hl=en&lr=&id=a4vjIqgfVaUC&oi=fnd&pg=PR5&sig=x-9-o7rLk91UJuOK41mEyIc58lY&dq=Privacy+and+commercial+use+of+personal+information+%2B+Paul+H+Rubin&prev=http://scholar.google.com/scholar%3Fq%3DPrivacy%2Band%2Bcommercial%2Buse%2Bof%2Bpersonal%2Binformation%2B%252B%2BPaul%2BH%2BRubin%26hl%3Den%26lr%3D%26sa%3DG
[86]: http://www.homeport.org/~adam/econbar-wes02.pdf
[87]: http://guir.berkeley.edu/pubs/ubicomp2002/privacyworkshop/papers/acquisti-ubicomp-09-19-02.pdf
[88]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=494883
[89]: http://www.google.com/url?sa=U&start=1&q=http://www.bbbonline.org/UnderstandingPrivacy/library/whitepapers/RetailCreditStudy.pdf&e=747
[90]: http://www.cei.org/gencon/027,03004.cfm
[91]: http://www.the-dma.org/cgi/disppressrelease?article=235++++++
[92]: http://www.cpppe.umd.edu/rhsmith3/papers/%20Final_session3_syverson.pdf
[93]: http://www.homeport.org/~adam/shostack-sececon-03.pdf
[94]: http://www.leedsmet.ac.uk/ies/comp/staff/deboni/papers/Hegelian_Basis_For_E-privacy.pdf
[95]: http://www.sics.se/privacy/wholes2004/papers/gurau_serban.pdf
[96]: http://lorrie.cranor.org/pubs/wpes03.html
[97]: http://www.law.duke.edu/journals/dlj/articles/dlj52p745.htm
[98]: http://www.law.indiana.edu/directory/publications/fcate/FSCC_Benefits_of_Credit_Reporting.pdf
[99]: http://www.law.indiana.edu/directory/publications/fcate/privacyproblem.pdf
[100]: http://www.ftc.gov/bcp/workshops/infoflows/statements/cate01.pdf
[101]: http://www.epic.org/privacy/glba/RL31758.pdf
[102]: http://www.sun.com/br/healthcare_609/feature_hipaa.html
[103]: http://cyber.law.harvard.edu/home/uploads/207/2003-04.pdf
[104]: http://aei.brookings.org/publications/abstract.php?pid=361
[105]: http://mediate.com/articles/costellotj1.cfm
[106]: http://www.sics.se/privacy/wholes2004/papers/lundblad.pdf
[107]: http://www.cato.org/pubs/pas/pa520.pdf
[108]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=577862
[109]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=587950
[110]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=582302
[111]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=507582
[112]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=504622
[113]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=494782
[114]: http://26konferencja.giodo.gov.pl/data/resources/StewartB_paper.pdf
[115]: http://26konferencja.giodo.gov.pl/data/resources/HarrisR_paper.pdf
[116]: http://26konferencja.giodo.gov.pl/data/resources/UttingerU_pres.pdf
[117]: http://26konferencja.giodo.gov.pl/data/resources/RedenA_pres.pdf
[118]: http://26konferencja.giodo.gov.pl/data/resources/Rasi_paper.pdf
[119]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=650162
[120]: http://www.epic.org/reports/decadedisappoint.html
[121]: http://www.ntia.doc.gov/reports/privacy/selfreg1.htm#1A
[122]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=11473
[123]: http://www.law.wayne.edu/litman/papers/infoprivacy.pdf
[124]: http://personal.law.miami.edu/~froomkin/articles/privacy-deathof.pdf
[125]: http://www.sims.berkeley.edu/~pam/papers/privasip_draft.pdf
[126]: http://www.almaden.ibm.com/institute/pdf/2003/PamelaSamuelson.pdf
[127]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=383180
[128]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=681902
[129]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=699701
[130]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=881294
[131]: http://www.extenza-eps.com/extenza/loadPDFInit?objectIDValue=16934
[132]: http://www.extenza-eps.com/extenza/loadPDFInit?objectIDValue=16944
[133]: http://www.extenza-eps.com/extenza/loadPDFInit?objectIDValue=16941
[134]: http://www.extenza-eps.com/extenza/loadPDFInit?objectIDValue=16940
[135]: http://www.extenza-eps.com/extenza/loadPDFInit?objectIDValue=16942
[136]: http://www.extenza-eps.com/extenza/loadPDFInit?objectIDValue=16949
[137]: http://www.privacyrights.org/ar/invasion.htm
[138]: http://www.epic.org/privacy/survey/
[139]: http://www.pandab.org/surveys.html
[140]: http://www.anu.edu.au/people/Roger.Clarke/DV/Surveys.html
[141]: http://www.cdt.org/privacy/survey/findings/
[142]: http://cat.inist.fr/?aModele=afficheN&cpsidt=9315953
[143]: http://www.privacyexchange.org/iss/surveys/ecommsum.html
[144]: http://www.pewinternet.org/pdfs/PIP_Trust_Privacy_Report.pdf
[145]: http://www.atypon-link.com/INF/doi/pdf/10.1287/orsc.11.1.35.12567
[146]: http://www.bbbonline.org/UnderstandingPrivacy/library/datasum.pdf
[147]: http://www.bbbonline.org/UnderstandingPrivacy/library/harris2-execsum.pdf
[148]: http://www.bbbonline.org/UnderstandingPrivacy/library/harrissummary.pdf
[149]: http://www.comp.nus.edu.sg/~ipng/research/privacy.pdf
[150]: http://www.harrisinteractive.com/news/allnewsbydate.asp?NewsID=429
[151]: http://portal.acm.org/citation.cfm?doid=336992.336995
[152]: http://www.asc.upenn.edu/usr/jturow/internet-privacy-report/36-page-turow-version-9.pdf
[153]: http://www.hpl.hp.com/research/idl/papers/deviance/deviance.pdf
[154]: http://petworkshop.org/2004/talks/kobsa.ppt
[155]: http://www.dtc.umn.edu/weis2004/acquisti.pdf
[156]: http://www.dtc.umn.edu/weis2004/varian.pdf
[157]: http://www.theprivacyplace.org/Workshops/spring04/julieEarp.ppt
[158]: http://asura.usc.edu/~ram/rcf-papers/per-priv-itm.pdf
[159]: http://www.jstor.org/view/02767783/ap010068/01a00080/0
[160]: http://delivery.acm.org/10.1145/220000/219683/p65-milberg.pdf?key1=219683&key2=6496464611&coll=portal&dl=ACM&CFID=7275893&CFTOKEN=38761909
[161]: http://post.economics.harvard.edu/hier/1997papers/1803.pdf
[162]: http://www.si.umich.edu/~presnick/papers/negotiation/
[163]: http://www.privacyrights.org/ar/idtheft2000.htm
[164]: http://www.ftc.gov/reports/privacy2000/privacy2000.pdf
[165]: http://www.ftp.cl.cam.ac.uk/ftp/users/rja14/econ.pdf
[166]: http://www.si.umich.edu/~presnick/papers/identifiers/081199.pdf
[167]: http://www.springerlink.com/content/wwe2c7g3hmwn0klf/
[168]: http://www.hbs.edu/research/facpubs/workingpapers/abstracts/0203/03-024.html
[169]: http://portal.acm.org/citation.cfm?id=958139&dl=acm&coll=&CFID=15151515&CFTOKEN=6184618
[170]: http://hbswk.hbs.edu/cgi-bin/print
[171]: http://petworkshop.org/2004/talks/kuegler.pdf
[172]: http://www.cl.cam.ac.uk/~rja14/
[173]: http://www.ljean.com/
[174]: http://www.law.indiana.edu/directory/fcate.asp
[175]: http://www.umiacs.umd.edu/~rama/
[176]: http://www.anu.edu.au/people/Roger.Clarke/
[177]: http://www.tjcostello.com/
[178]: http://lorrie.cranor.org/
[179]: http://www.freehaven.net/~arma/cv.html
[180]: http://allan.friedmans.org/
[181]: http://personal.law.miami.edu/~froomkin/
[182]: http://www.eecs.harvard.edu/~greenie/index.html
[183]: http://www.sims.berkeley.edu/~jensg/
[184]: http://userpage.fu-berlin.de/~jentzsch/
[185]: http://pages.stern.nyu.edu/~klaudon/
[186]: http://www.law.wayne.edu/litman/
[187]: http://www.citi.columbia.edu/elinoam/
[188]: http://www.dtc.umn.edu/~odlyzko/
[189]: http://www.law.uchicago.edu/faculty/posner-r/
[190]: http://www.emory.edu/COLLEGE/ECON/Rubi.htm
[191]: http://www.sims.berkeley.edu/~pam/
[192]: http://www.eecs.harvard.edu/~stuart/
[193]: http://www.counterpane.com/schneier.html
[194]: http://www.homeport.org/~adam/
[195]: http://explore.georgetown.edu/faculty/index.cfm?Action=View&NetID=statenm
[196]: http://www.nobel.se/economics/laureates/1982/stigler-bio.html
[197]: http://www.law.depaul.edu/faculty_staff/faculty_information.asp?id=50
[198]: http://www.peterswire.net/
[199]: http://www.syverson.org/
[200]: http://www.econ.duke.edu/Econ/Faculty/Users/ctaylor.html
[201]: http://www.cs.berkeley.edu/~tygar/
[202]: http://dor.hbs.edu/fi_redirect.jhtml?facInfo=bio&facEmId=lwathieu&loc=extn
[203]: http://www.sims.berkeley.edu/~hal
[204]: http://www.cl.cam.ac.uk/users/twm29/WEIS06/
[205]: http://petworkshop.org/2004/
[206]: http://ifca.ai/
[207]: http://www.infosecon.net/workshop/
[208]: http://facweb.cs.depaul.edu/research/vc/CIPLIT2004/
[209]: http://cyberlaw.stanford.edu/privacysymposium/papers.html
[210]: http://www.dtc.umn.edu/weis2004/
[211]: http://www.cpppe.umd.edu/rhsmith3/
[212]: http://petworkshop.org/2003/
[213]: http://www.sims.berkeley.edu/resources/affiliates/workshops/econsecurity/
[214]: http://www.comp.nus.edu.sg/~ipng/pol/parl_2006.htm
[215]: http://freehaven.net/anonbib/topic.html#Economics
[216]: http://www.sims.berkeley.edu/~jensg/resources/e-privacy.html
[217]: http://www.sims.berkeley.edu/resources/infoecon/
[218]: http://info.freeman.tulane.edu/huseyin/
[219]: http://www.igs.berkeley.edu/library/htFinancial2003.html
[220]: http://www.eff.org/privnow/
[221]: http://www.epic.org/
[222]: http://www.vortex.com/privacy
[223]: http://www.openprivacy.org/
[224]: http://www.privacyalliance.org/
[225]: http://www.privacilla.org/
[226]: http://www.privacy.org/
[227]: http://www.privacy.net/
[228]: http://www.privacyexchange.org/
[229]: http://www.privacydigest.com/
[230]: http://www.privacyfoundation.org/
[231]: http://www.privacyrights.org/
[232]: http://www.privacyjournal.net/

