---
created_at: '2013-04-15T00:06:47.000Z'
title: No Housing Bubble Trouble (2005)
url: http://www.cato.org/publications/commentary/no-housing-bubble-trouble
author: jwallaceparker
points: 68
story_text: ''
comment_text: 
num_comments: 30
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1365984407
_tags:
- story
- author_jwallaceparker
- story_5548976
objectID: '5548976'

---
[Source](https://www.cato.org/publications/commentary/no-housing-bubble-trouble "Permalink to No Housing Bubble Trouble | Cato Institute")

# No Housing Bubble Trouble | Cato Institute

[Skip to main content][1]

[ ![Home][2] ][3]

__

__

* [Research][4]
* [Events][5]
* [Publications][6]
* [Commentary][7]
* [Store][8]
* [Support][9]
* [About Cato][10]
* [Blog][11]
* [Our Experts][12]
* [Our Centers][13]
* [__Facebook][14]
* [__Twitter][15]

## Search form

Search this site 

Commentary 

# No Housing Bubble Trouble

By [Alan Reynolds][16]

This article originally appeared in the _Washington Times_ on January 9, 2005. 

The start of each year is prime time for economic pessimists, who try to persuade us terrible things are about to happen. A perennial favorite is the "housing bubble" about to burst, with a supposedly devastating impact on household wealth. This has been repeatedly recycled since June 2002 by bearish economic forecasters like Ed Leamer of University of California-Los Angeles and Stephen Roach of Morgan Stanley. 

And the same scary story has proven handy for policy wonks who abuse it to rationalize their agendas, such as lecturing the Fed to keep interest rates too low or lecturing Congress to push tax rates too high.

Although the overworked analogy between housing and tech stocks sounds dramatic, it is quite preposterous. "The downside of this [housing] bubble," said Mr. Roach last month, is "potentially far worse than that of the equity bubble. Really?

After March 2000, the Nasdaq stock index plummeted from about 5,000 to 1,000. Does Mr. Roach mean to imply $500,000 houses might likewise drop to $100,000? Not likely.

Calling housing "the biggest asset bubble of them all" was apparently based on his (incorrect) belief Americans' equity in homes was "almost double their total equity holdings."

From 1999 until the third-quarter last year, according to the Federal Reserve, the value of households' real estate rose from $10.3 trillion to $16.6 trillion. But the value of their stocks and mutual funds dropped from $12.2 trillion to $9.6 trillion. After subtracting mortgages, however, owners' equity in housing was only $9.3 trillion, up from $5.8 trillion in 1999.

A July 2, 2002, _Wall Street Journal_ editorial on this topic worried that "homebuyers are resorting to greater levels of mortgage debt." Contrary to such anxieties about homeowners being over-leveraged, their equity exceeds 56 percent of the value of homes and that ratio has not declined. Mortgage payments often replaced rental payments as homeownership increased, but that was not an added burden.

The _New York Times_ recently asked, "If home prices plunge, will damage be worst in Democratic states?" That story and others show huge increases in home prices were mainly confined to hot spots in California, Florida, Nevada and New England.

"In metro New York, the median price of a single-family house is up 78 percent since 1999," notes Business Week; "The gains are even bigger in Miami (87 percent), Los Angeles (97 percent) and San Diego (115 percent)." Aspiring sellers of high-end homes may hope for too much money in such areas, where building is restricted by land scarcity and regulations. Yet housing remains affordable in most of the country.

An index from the Office of Federal Housing Enterprise Oversight (OFHEO) shows in the last five years prices of resold homes rose 108 percent in Sacramento, but less than 20 percent in Indianapolis. Talk of any national housing bubble is meaningless. Talk of any national drop in home prices exceeding what happened to tech stocks is madness.

Since 1985, the OFHEO price index never failed to increase longer than a single quarter at the national level, despite recessions in 1990 and 2001, and mortgage rates sometimes exceeding 10 percent. David Lereah, chief economist for the National Association of Realtors, notes the worst previous home-price declines on record were in Los Angeles (21 percent) and Houston (23 percent), but that was because of huge local job losses of 8 percent to 10 percent.

Matching that at the national level would require an unemployment rate of 8 percent 10 percent. If any housing bust zealot predicts the unemployment rate may double, we would certainly be amused to hear the explanation.

There is no more reason to expect house prices to always rise at the same pace as median incomes than to expect stock prices to rise at the same pace as computer prices.

Housing is a long-term asset providing an alternative to rent. But it is also an alternative investment to stocks and bonds.

House prices did not just "bubble" for no reason. The discounted present value of housing rose because 30-year mortgage rates fell from 9.2 percent in December 1994 to 5.8 percent in December 2004 (no, not because of a budget surplus). The drop in world interest rates raised home prices even more in foreign cities like London, Dublin and Sydney.

U.S. housing prices might also have continued rising in the 2001 recession because stocks suffered an unusually long, deep decline from March 2000 to March 2003. Selling stocks and buying a better house (or buying bonds) was a smart investment strategy for a several years after 1999.

But by now, house prices and bond prices have risen a long time and to heady levels, so any new homebuyer in a hot area had better buy for the intrinsic value of the home and not for profits from a quick resale. Stocks look relatively cheap to me.

If enough others agree, there will soon be less interest in trading up in the housing market. In fact, investor disenchantment with housing could be the best reason for expecting home prices to decline in overpriced areas.

That would be unpleasant news for home sellers, but good news for buyers. And what sellers lose when selling one house they often save when buying another. Any risk of loan defaults would be negligible. In hot spots where home prices just rose 30 percent, even an unprecedented 25 percent price drop would have no effect on a seller who held a home just one year.

At the national level, what could possibly kick national home prices downstairs? There is nothing to suggest massive job loss ahead or a huge oversupply of new homes. That leaves only the dubious assumption of a big increase in mortgage interest rates as the trigger for any nationwide decline in home prices. But national housing prices did not fall in the past when mortgage rates rose to twice their current level.

Those who postulate a nationwide collapse in home prices comparable to the drop in tech stocks claim interest rates will soar because the dollar will fall. Or (quite inconsistently) they say interest rates must rise to keep the dollar from falling. Or they say foreigners will "demand" higher interest rates (try demanding a higher interest rate from your local bank).

The only half-plausible reason to forecast a big boost in mortgage rates would be the expectation of a large rise in inflation. But inflation would certainly not discourage speculation in housing. Inflation is terrific for tangible assets such as real estate, yet horrible for stocks and bonds.

In short, we are asked to worry about something that has never happened for reasons still to be coherently explained. "Housing bubble" worrywarts have long been hopelessly confused. It would have been financially foolhardy to listen to them in 2002. It still is.

* [__Tweet][17]
* [__Like][18]
* [__Submit][19]
* [__Plus][20]

[ ![][21] ][16]

[Alan Reynolds][22] is a senior fellow with the Cato Institute and a nationally syndicated columnist. 

### Sign Up

Receive periodic updates on Cato research, events, and publications.

[See our full list of email newsletters][23]

### Also from Cato

* [Internships and Student Programs][24]
* [DownsizingGovernment.org][25]
* [Libertarianism.org][26]
* [HumanProgress.org][27]
* [Cato Unbound][28]
* [PoliceMisconduct.net][29]
* [Freedom in the 50 States][30]
* [Overlawyered][31]
* [ElCato.org][32]
* [Alt-M][33]

### Social Media

* [__ Facebook][14]
* [__ Twitter][15]
* [__ Google+][34]
* [__ YouTube][35]
* [__ LinkedIn][36]
* [__ Instagram][37]
* [__ Tumblr][38]
* [__ RSS][39]

![][2]

Cato Institute  
1000 Massachusetts Ave, NW  
Washington, DC 20001-5403

* Phone (202) 842 0200

[Contact Us][40]

[Media Contact][41]

![][42]

[1]: https://www.cato.org#main-content
[2]: https://www.cato.org/sites/cato.org/files/cato-logo_0.png
[3]: https://www.cato.org/ "Home"
[4]: https://www.cato.org/research
[5]: https://www.cato.org/events
[6]: https://www.cato.org/publications
[7]: https://www.cato.org/commentary
[8]: http://www.cato.org/store/
[9]: https://www.cato.org/support
[10]: https://www.cato.org/about
[11]: https://www.cato.org/blog
[12]: https://www.cato.org/people/policy-scholars
[13]: https://www.cato.org/projects
[14]: https://www.facebook.com/CatoInstitute
[15]: https://twitter.com/catoinstitute
[16]: https://www.cato.org/people/alan-reynolds
[17]: https://twitter.com/intent/tweet?url=https%3A//www.cato.org/publications/commentary/no-housing-bubble-trouble&text=No%20Housing%20Bubble%20Trouble&via=CatoInstitute&related=Libertarianism
[18]: https://www.facebook.com/dialog/share?app_id=158687980817033&href=https%3A//www.cato.org/publications/commentary/no-housing-bubble-trouble
[19]: https://reddit.com/https://www.cato.org/publications/commentary/no-housing-bubble-trouble
[20]: https://plus.google.com/share?url=https%3A//www.cato.org/publications/commentary/no-housing-bubble-trouble
[21]: https://object.cato.org/sites/cato.org/files/styles/resp__img__pubauthor-2x/s3/authors/crops/reynolds.jpg?itok=Jh_KTcIR&timestamp=1354970879 ""
[22]: https://www.cato.org/people/reynolds.html
[23]: https://www.cato.org/ecommunity?utm_source=mailchimp-signup&utm_medium=banner&utm_campaign=ecommunity-mailchimp-signup
[24]: https://www.cato.org/students
[25]: https://www.downsizinggovernment.org
[26]: https://www.libertarianism.org
[27]: http://humanprogress.org/
[28]: https://www.cato-unbound.org
[29]: http://www.policemisconduct.net
[30]: http://www.freedominthe50states.org/
[31]: http://overlawyered.com/
[32]: http://www.elcato.org
[33]: http://www.alt-m.org/
[34]: https://plus.google.com/+TheCatoInstitute
[35]: https://www.youtube.com/catoinstitutevideo
[36]: https://www.linkedin.com/company/cato-institute
[37]: https://instagram.com/catoinstitute
[38]: https://catoinstitute.tumblr.com
[39]: https://www.cato.org/ecommunity/rss
[40]: https://www.cato.org/contact-us
[41]: https://www.cato.org/for-media
[42]: https://www.facebook.com/tr?id= 454916984694808&ev=PageView&noscript=1

