---
created_at: '2013-12-25T21:12:53.000Z'
title: Bit gold (2005)
url: http://unenumerated.blogspot.co.uk/2005/12/bit-gold.html
author: Tycho
points: 96
story_text: ''
comment_text: 
num_comments: 89
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1388005973
_tags:
- story
- author_Tycho
- story_6964265
objectID: '6964265'

---
[Source](http://unenumerated.blogspot.co.uk/2005/12/bit-gold.html "Permalink to Unenumerated: Bit gold")

# Unenumerated: Bit gold

#  [ Unenumerated ][1]

An unending variety of topics

## Saturday, December 27, 2008

###  Bit gold 

A long time ago I hit upon the idea of bit gold. The problem, in a nutshell, is that our money currently depends on [trust in a third party][2] for its value. As many inflationary and hyperinflationary episodes during the 20th century demonstrated, this is not an ideal state of affairs. Similarly, [private bank note issue][3], while it had various advantages as well as disadvantages, similarly depended on a trusted third party.  
  
[Precious metals and collectibles][4] have an unforgeable scarcity due to the costliness of their creation. This once provided money the value of which was largely independent of any trusted third party. Precious metals have problems, however. It's too costly to assay metals repeatedly for common transactions. Thus a trusted third party (usually associated with a tax collector who accepted the coins as payment) was invoked to stamp a standard amount of the metal into a coin. Transporting large values of metal can be a rather insecure affair, as the British found when transporting gold across a U-boat infested Atlantic to Canada during World War I to support their gold standard. What's worse, you can't pay online with metal.  
  
Thus, it would be very nice if there were a protocol whereby unforgeably costly bits could be created online with minimal dependence on trusted third parties, and then securely stored, transferred, and assayed with similar minimal trust. Bit gold.  
  
My proposal for bit gold is based on computing a string of bits from a string of challenge bits, using functions called variously "client puzzle function," "proof of work function," or ["secure benchmark function."][5]. The resulting string of bits is the proof of work. Where a [one-way function][6] is prohibitively difficult to compute backwards, a secure benchmark function ideally comes with a specific cost, measured in compute cycles, to compute backwards.   
  
Here are the main steps of the bit gold system that I envision:  
  
(1) A public string of bits, the "challenge string," is created (see step 5).  
  
(2) Alice on her computer generates the proof of work string from the challenge bits using a benchmark function.  
  
(3) The proof of work is [securely timestamped.][7] This should work in a distributed fashion, with several different timestamp services so that no particular timestamp service need be substantially relied on.  
  
(4) Alice adds the challenge string and the timestamped proof of work string to a [distributed property title registry][8]for bit gold. Here, too, no single server is substantially relied on to properly operate the registry.  
  
(5) The last-created string of bit gold provides the challenge bits for the next-created string.  
  
(6) To verify that Alice is the owner of a particular string of bit gold, Bob checks the unforgeable chain of title in the bit gold title registry.  
  
(7) To assay the value of a string of bit gold, Bob checks and verifies the challenge bits, the proof of work string, and the timestamp.   
  
Note that Alice's control over her bit gold does not depend on her sole possession of the bits, but rather on her lead position in the unforgeable chain of title (chain of digital signatures) in the title registry.  
  
All of this can be automated by software. The main limits to the security of the scheme are how well trust can be distributed in steps (3) and (4), and the problem of machine architecture which will be discussed below.  
  
Hal Finney has implemented [a variant of bit gold called RPOW][9] (Reusable Proofs of Work). This relies on publishing the computer code for the "mint," which runs on a remote tamper-evident computer. The purchaser of of bit gold can then use remote attestation, which Finney calls the [transparent server][10] technique, to verify that a particular number of cycles were actually performed.  
  
The main problem with all these schemes is that proof of work schemes depend on computer architecture, not just an abstract mathematics based on an abstract "compute cycle." ([I wrote about this obscurely several years ago.][5]) Thus, it might be possible to be a very low cost producer (by several orders of magnitude) and swamp the market with bit gold. However, since bit gold is timestamped, the time created as well as the mathematical difficulty of the work can be automatically proven. From this, it can usually be inferred what the cost of producing during that time period was.   
  
Unlike fungible atoms of gold, but as with collector's items, a large supply during a given time period will drive down the value of those particular items. In this respect "bit gold" acts more like collector's items than like gold. However, the match between this ex post market and the auction determining the initial value might create a very substantial profit for the "bit gold miner" who invents and deploys an optimized computer architecture.   
  
Thus, bit gold will not be fungible based on a simple function of, for example, the length of the string. Instead, to create fungible units dealers will have to combine different-valued pieces of bit gold into larger units of approximately equal value. This is analogous to what many commodity dealers do today to make commodity markets possible. Trust is still distributed because the estimated values of such bundles can be independently verified by many other parties in a largely or entirely automated fashion.  
  
In summary, all money mankind has ever used has been insecure in one way or another. This insecurity has been manifested in a wide variety of ways, from counterfeiting to theft, but the most pernicious of which has probably been inflation. Bit gold may provide us with a money of unprecedented security from these dangers. The potential for initially hidden supply gluts due to hidden innovations in machine architecture is a potential flaw in bit gold, or at least an imperfection which the initial auctions and ex post exchanges of bit gold will have to address. 

Posted by  [ Nick Szabo ][11] at  [4:16 PM][12] [ ![][13] ][14] [ ![][15] ][16]

[Email This][17][BlogThis!][18][Share to Twitter][19][Share to Facebook][20][Share to Pinterest][21]

#### 33 comments:

![][22][ ][23]

[Kay Bell][23] said... 
: 

Nick,  
This isn't really a comment on this post, but since I haven't found a way to e-mail you, I thought I would use this way to let you know that I referenced one of your papers in a recent entry on my tax blog, Don't Mess With Taxes. It's in the entry about [property taxes][24].  
Best,  
Kay Bell 

:  [ 2:16 PM ][25] [ ![][26] ][27]

![][28][ ][29]

[Nick Szabo][29] said... 
: 

Thanks! That's a good article you have about property taxes, and it's fascinating to see that [ narrow houses made it to Virginia.][30]. Here's my cited article on [ value measurement and taxes][31]. 

:  [ 2:44 PM ][32] [ ![][26] ][33]

![][22][ ][34]

[Kay Bell][34] said... 
: 

I just added the article link in my post. thanks! 

:  [ 3:13 PM ][35] [ ![][26] ][36]

![][37][ ][38]

[Patrick][38] said... 
: 

Hi Nick,   
The "Bit Gold" of greatest interest is the string of bits that adds up to valuable new information. The effort involved in calculating a hash value is significant, but the really important effort is that involved in creating something like a substantive contribution to the Linux kernel, or a scientific paper describing original research. The previously unknown bit stream that describes a protein that cures cancer is REAL bit gold, no?  
  
The work that I'm doing at http://infoeng.sourceforge.net is designed to create digital financial instruments that represent such bit streams (that is, software and other useful information).   
  
Sorry for the marketing blurb, and an incomplete blurb at that, but I thought this would be appropriate. :)  
  
Patrick 

:  [ 8:53 PM ][39] [ ![][26] ][40]

![][41][ ][42]

[theantirobot][42] said... 
: 

Would this be the currency of an information economy? I imagine a user produced content site awarding bitgold to users who made popular content, or perhaps promoted content early on which became popular. The website earns revenue, buys gold and puts it in a treasury. Then users can trade in their bitgold for real gold. The site can manipulate/maintain the exchange rate by issuing more bitgold. I imagine that this is the way the government will function in a few years, when the Internet is the government. 

:  [ 8:18 PM ][43] [ ![][26] ][44]

![][45][ ][46]

[Daniel A. Nagy][46] said... 
: 

I have two problems with bitgold:  
  
0.) What makes it desirable? Why would I want to own proofs of wasted computational effort? Gold is desired for various evolutionary reasons on the level of instincts, at least with some people. But meaningless bits? I can't see how bitgold bootstraps into becoming money.   
  
1.) How exact is Moore's law? What is the exchange rate between a gigacycle today and a gigacycle next year? 

:  [ 4:20 PM ][47] [ ![][26] ][48]

![][49]

Anonymous said... 
: 

I somewhat concur with "Daniel A. Nagy's" point #0.  
  
You keep saying that such-and-so "will" happen. That must require some overgeneralization of a principle (monetary standards are based on scarce things) when you haven't explained why or how a "bit gold" standard of money is even   
*likely* to be adopted *out of all the possible alternatives*.  
  
Hypothetically, one might hope that *someone* can be motivated to adopt or promote the standard if a "bit gold" system can be constructed such that the production of "bit gold" performs work of actual value to some party that would thereby be motivated to support the standard. (Not that you ever alluded to this point.)  
Examples of useful (if possibly inadequate) work might include any of the tasks that are presently performed by voluntary distributed computing, such as SETI and biochemical analysis.  
  
Nevertheless, I doubt that powerful governments and central banks would be eager to promote or even permit a switchover to a "bit gold" standard when such would demolish much of their present ability to influence the economy through monetary policy.  
  
Anyway, if you read down this far, please understand that you've written much that I admire, and this case is a relatively rare exception.  
  
\--Cat Typing Person 

:  [ 8:50 PM ][50] [ ![][26] ][51]

![][49]

Anonymous said... 
: 

I think, a database containing every individuals DNA, generate a private/public key.  
  
When a human is born, that humans DNA goes into the "Bank" and that human is assigned 1 "specialdollar" to be used during their life time, in exchange for goods or services.  
  
So, for example to purchase a loaf of bread would be 0.00000648 "specialdollar" since 365 * 80 / 2 = 14600 (1 loaf of bread every 2 days).  
  
To do the exchange, sign the amount with your bank and generate a note of that amount with your public key.  
  
To prevent inflation, the "Bank" can deduct a percentage from each bank account whenever an individual dies.  
  
  
This sounds crazy, but with todays technoloy something like this is possible, but boring. 

:  [ 5:07 AM ][52] [ ![][26] ][53]

![][54][ ][55]

[Jack Lloyd][55] said... 
: 

"Unlike fungible atoms of gold, but as with collector's items, a large supply during a given time period will drive down the value of those particular items."  
  
I'm not convinced that this distinction is actually correct. It is just the case that, within the last few centuries, the amount of newly available gold in any year as a percentage of the total stock has been relatively small, so we do not observe this effect. However in Spain in the 1500s the amount of gold imported from the new world was sufficient to cause noticeable inflation.  
  
As an intellectual exercise, consider what would happen to the price of gold if every day each person in the world woke up with a shiny new kruggerand underneath their pillow. 

:  [ 6:15 PM ][56] [ ![][26] ][57]

![][58][ ][59]

[chaord][59] said... 
: 

I know this is an old post, but if you are still interested in proof-of-work systems and their applicability as a digital currency, you might want to check out http://www.bitcoin.org It's a decentralized, P2P, cryptocurrency based on a proof of work algorithm. 

:  [ 12:09 AM ][60] [ ![][26] ][61]

![][62][ ][63]

[Synonymous][63] said... 
: 

Money, in general terms is a limiting factor to the advancement of human civilization.  
  
With your idea, anyone with a computer has the capacity to create wealth! It has much the same business model as land, anyone with land can live form it in various ways.  
  
Your idea puts the power of wealth in the hands of the common people. I hope it catches on! 

:  [ 7:14 AM ][64] [ ![][26] ][65]

![][66]

Tommy J said... 
: 

I agree, this does sound like a revolutionary concept, and I hope it go out.[.][67].[.][68].at least in trial form. 

:  [ 6:02 AM ][69] [ ![][26] ][70]

![][71][ ![][72]][73]

[Shelley Thomas][73] said... 
: 

Hi Nick,  
  
Great article! I'm a producer at HuffPost Live, The Huffington Post's online streaming news network. I'm working a web-chat, scheduled for today, Tues. 2/12 at 5pm ET about Bitcoins. Will virtual currency reign in the future? Amazon now has ‘coins,' and Bitcoin is preparing for a future dependent on virtual currency. Can cryptography be used to avoid the pitfalls of central authority?  
  
I'd love to hear your thoughts on this topic. Please let me know if you are interested and available to join us via webcam and I will send you further details.  
  
Best,  
Shelley Thomas  
shelley.thomas@huffingtonpost.com  
live.huffingtonpost.com 

:  [ 7:04 AM ][74] [ ![][26] ][75]

![][49]

Anonymous said... 
: 

Congrats on inventing BitCoin 

:  [ 10:04 PM ][76] [ ![][26] ][77]

![][49]

Anonymous said... 
: 

o.m.agunloye@gmail.com  
  
I like this idea, but what I don't agree with is the centralization. Bitcoin is already on that, so why don't you implement this with...well email me to find out my thoughts (if you care). 

:  [ 8:47 AM ][78] [ ![][26] ][79]

![][49]

Anonymous said... 
: 

Thanks for laying the foundation for bitcoin Nick, we owe a great debt to you. 

:  [ 8:40 PM ][80] [ ![][26] ][81]

![][82]

algroista said... 
: 

Here is the record of a great moment in human history. 

:  [ 11:40 AM ][83] [ ![][26] ][84]

![][85][ ][86]

[Sebastian Schepis][86] said... 
: 

One day, people will look upon this post as the actual genesis moment of Bitcoin. This is a a piece of digital history, worthy of preservation. Thank you Nick. 

:  [ 8:23 AM ][87] [ ![][26] ][88]

![][89]

Sandro said... 
: 

It's a pleasure to leave my minuscule sign in this fundamental page for the history of mankind. 

:  [ 5:58 PM ][90] [ ![][26] ][91]

![][92][ ][93]

[jessilydia][93] said... 
: 

It's very *odd* that such smart people miss the basic problem left unsolved. No matter what the token, its value is what you can exchange it for.  
  
The real threat to the stability of currencies has been the self-contradictory *practice* (whatever coinage is used) of compounding returns on investment, as if believing that every coin earned in the past can be owed limitlessly growing new returns in the future.   
  
Yes, I know the idea of investors having the responsibility to **spend their winnings**, as the one way to keep debts in the system from becoming an existential threat to the system, and destabilizing the pool, is just silly and abhorrent to money makers as anything could be. It's also VERY REAL OBLIGATION TO PRESERVE THE SYSTEM, in environmental terms.   
  
No matter what pile of credit you accumulate, it's ONLY real value is what you can EXCHANGE IT FOR. So accumulating credits for SERVICES NOT CONSUMED, withdrawing the credit to your own account exponentially, and so removing it from the system for exchanges as a rule, as we're all told to do to "make money", doesn't work.   
  
It does in fact directly cause what you can exchange it for to inflate in false value to a point of collapse, *very naturally*. 

:  [ 4:51 AM ][94] [ ![][26] ][95]

![][49]

Anonymous said... 
: 

Here lies something beautiful. Polymatheus 

:  [ 8:53 AM ][96] [ ![][26] ][97]

![][98]

PeterIII said... 
: 

Well said Sandro.  
  
Thank you Nick. 

:  [ 12:47 PM ][99] [ ![][26] ][100]

![][101][ ![][102]][103]

[Tom Eck][103] said... 
: 

Mssr. Szabo, the entire cryptocurrency 'establishment' owes you an immense debt of gratitude. I do agree with some of the comments (and had arrived at the same opinion independently) that we'd be better off with a POW function that does something more important than just solving a meaningless puzzle. I'm thinking of a domain-specific function such as predicting protein folding (critical in medicine and bio-tech) or for general purpose (e.g. spending cycles on a highly distributed problem, which has its own value). Of course, the two major constraints of POW must be maintained: 1/ confirmation of the solution must be trivial, and 2/ the computational cost for producing the solution must be controllable. Or maybe not - perhaps you get more in return for having provided more value in your POW. 

:  [ 4:23 PM ][104] [ ![][26] ][105]

![][106][ ![][107]][108]

[Jonathan James Harrison][108] said... 
: 

Thank you soo much Nick, your thinking has changed my life in nearly every aspect. Much love and respect. 

:  [ 6:10 PM ][109] [ ![][26] ][110]

![][49]

Anonymous said... 
: 

great idea that will revolutionize the way we do business. its now 2015... only a couple of more years and I believe it will be a mainstream thing. Congratulations on your good work.  
  
Deno 

:  [ 7:05 AM ][111] [ ![][26] ][112]

![][49]

Anonymous said... 
: 

One small post for Nick, a giant leap for humanity.   
Simply Nobel prise worthy.   
MG 

:  [ 7:09 PM ][113] [ ![][26] ][114]

![][115][ ![][116]][117]

[Raymond Blanchard][117] said... 
: 

You changed many a nerds life 

:  [ 3:45 AM ][118] [ ![][26] ][119]

![][120]

Matthew said... 
: 

And thus the world is changed, forever, for the better.  
  
Thanks Nick 

:  [ 7:56 PM ][121] [ ![][26] ][122]

![][123]

zac said... 
: 

Interesting to think of the (cost of work)/coin as the fundamental price-driving force. Makes me wonder what will happen to the price of other coins when the rewards halve, or the even more unknown territory, proof-of-steak 

:  [ 4:26 PM ][124] [ ![][26] ][125]

![][126][ ][127]

[Nosliv][127] said... 
: 

Inspiring...  
  
Freedom is never given; it is won.  
  

:  [ 8:26 AM ][128] [ ![][26] ][129]

![][49]

Anonymous said... 
: 

Nick I hope this concept becomes every mans reality :) 

:  [ 9:48 PM ][130] [ ![][26] ][131]

![][132][ ![][133]][134]

[Alex Millar (@bitcoin3000)][134] said... 
: 

Nick, amazing work. Thank you. That you foresaw the issue of ASIC's is demonstrates your great knowledge: "The main problem with all these schemes is that proof of work schemes depend on computer architecture, not just an abstract mathematics based on an abstract "compute cycle." "

:  [ 2:17 PM ][135] [ ![][26] ][136]

![][137]

Charles said... 
: 

RESPECT SIR! Thank you for everything you've done NS.  

:  [ 6:49 PM ][138] [ ![][26] ][139]

[Post a Comment][140]

#### [][141][

[Newer Post][142] [Older Post][143] [Home][1]

Subscribe to: [Post Comments (Atom)][144]

## Pages

* [Home][1]

[ ![][145] ][146]

## About Me

[ Nick Szabo ][29]
: "A premier thinker about history, law and economics, and the lessons they have for security." -- Adam Shostack, [Emergent Chaos ][147]   
  
"Szabo comes out with these essays that leave me in awe." -- [Brian Dunbar][148]   
  
"Reading material that is eclectic, challenging and endlessly fascinating." \-- Sean McGrath, [Propylon][149]   
  
"Like most blogs worth my attention, this blog is updated only infrequently. That is because the authors of blogs worth my attention only post when they have something to say that is true, relevant and not already known by their audience. Most of the human race does not have the skill to know when an idea has these three properties. The skill is particularly rare in the fields of politics and economics, which is why this blog is such a rare and valuable thing." \-- [Richard Hollerith][150]   
  

[View my complete profile][29]

[ ![][145] ][151]

## Blog Archive

* [ ►  ][152] [ 2017 ][153] (3)
    * [ ►  ][152] [ March ][154] (1)
    * [ ►  ][152] [ February ][155] (2)
* [ ►  ][152] [ 2016 ][156] (4)
    * [ ►  ][152] [ December ][157] (1)
    * [ ►  ][152] [ July ][158] (1)
    * [ ►  ][152] [ March ][159] (1)
    * [ ►  ][152] [ February ][160] (1)
* [ ►  ][152] [ 2015 ][161] (3)
    * [ ►  ][152] [ October ][162] (1)
    * [ ►  ][152] [ July ][163] (1)
    * [ ►  ][152] [ May ][164] (1)
* [ ►  ][152] [ 2014 ][165] (3)
    * [ ►  ][152] [ December ][166] (1)
    * [ ►  ][152] [ October ][167] (1)
    * [ ►  ][152] [ July ][168] (1)
* [ ►  ][152] [ 2013 ][169] (3)
    * [ ►  ][152] [ November ][170] (1)
    * [ ►  ][152] [ August ][171] (1)
    * [ ►  ][152] [ July ][172] (1)
* [ ►  ][152] [ 2012 ][173] (8)
    * [ ►  ][152] [ October ][174] (2)
    * [ ►  ][152] [ August ][175] (2)
    * [ ►  ][152] [ July ][176] (4)
* [ ►  ][152] [ 2011 ][177] (12)
    * [ ►  ][152] [ December ][178] (1)
    * [ ►  ][152] [ July ][179] (1)
    * [ ►  ][152] [ June ][180] (2)
    * [ ►  ][152] [ May ][181] (2)
    * [ ►  ][152] [ February ][182] (2)
    * [ ►  ][152] [ January ][183] (4)
* [ ►  ][152] [ 2010 ][184] (9)
    * [ ►  ][152] [ December ][185] (1)
    * [ ►  ][152] [ October ][186] (4)
    * [ ►  ][152] [ September ][187] (2)
    * [ ►  ][152] [ February ][188] (2)
* [ ►  ][152] [ 2009 ][189] (29)
    * [ ►  ][152] [ November ][190] (3)
    * [ ►  ][152] [ October ][191] (6)
    * [ ►  ][152] [ September ][192] (3)
    * [ ►  ][152] [ August ][193] (1)
    * [ ►  ][152] [ July ][194] (1)
    * [ ►  ][152] [ June ][195] (3)
    * [ ►  ][152] [ May ][196] (6)
    * [ ►  ][152] [ April ][197] (3)
    * [ ►  ][152] [ January ][198] (3)
* [ ▼  ][152] [ 2008 ][199] (55)
    * [ ▼  ][152] [ December ][200] (2)
        * [Bit gold markets][201]
        * [Bit gold][202]
    * [ ►  ][152] [ October ][203] (2)
    * [ ►  ][152] [ September ][204] (4)
    * [ ►  ][152] [ August ][205] (9)
    * [ ►  ][152] [ July ][206] (4)
    * [ ►  ][152] [ June ][207] (6)
    * [ ►  ][152] [ May ][208] (6)
    * [ ►  ][152] [ April ][209] (4)
    * [ ►  ][152] [ March ][210] (10)
    * [ ►  ][152] [ February ][211] (5)
    * [ ►  ][152] [ January ][212] (3)
* [ ►  ][152] [ 2007 ][213] (47)
    * [ ►  ][152] [ December ][214] (1)
    * [ ►  ][152] [ October ][215] (2)
    * [ ►  ][152] [ September ][216] (8)
    * [ ►  ][152] [ August ][217] (10)
    * [ ►  ][152] [ July ][218] (4)
    * [ ►  ][152] [ June ][219] (4)
    * [ ►  ][152] [ May ][220] (8)
    * [ ►  ][152] [ April ][221] (1)
    * [ ►  ][152] [ March ][222] (2)
    * [ ►  ][152] [ February ][223] (4)
    * [ ►  ][152] [ January ][224] (3)
* [ ►  ][152] [ 2006 ][225] (130)
    * [ ►  ][152] [ December ][226] (4)
    * [ ►  ][152] [ November ][227] (7)
    * [ ►  ][152] [ October ][228] (15)
    * [ ►  ][152] [ September ][229] (15)
    * [ ►  ][152] [ August ][230] (20)
    * [ ►  ][152] [ July ][231] (5)
    * [ ►  ][152] [ June ][232] (10)
    * [ ►  ][152] [ May ][233] (4)
    * [ ►  ][152] [ April ][234] (3)
    * [ ►  ][152] [ March ][235] (11)
    * [ ►  ][152] [ February ][236] (10)
    * [ ►  ][152] [ January ][237] (26)
* [ ►  ][152] [ 2005 ][238] (44)
    * [ ►  ][152] [ December ][239] (16)
    * [ ►  ][152] [ November ][240] (5)
    * [ ►  ][152] [ October ][241] (23)

[ ![][145] ][242]

| -----|  
|  

  |  

  |  

Simple theme. Powered by [Blogger][243]. 

[ ![][145] ][244]

[1]: http://unenumerated.blogspot.co.uk/
[2]: http://szabo.best.vwh.net/ttps.html
[3]: http://unenumerated.blogspot.com/2005/11/flying-money-brief-overview.html
[4]: http://szabo.best.vwh.net/shell.html
[5]: http://szabo.best.vwh.net/intrapoly.html
[6]: http://en.wikipedia.org/wiki/One_way_function
[7]: http://www.cs.ut.ee/~lipmaa/crypto/link/timestamping/
[8]: http://szabo.best.vwh.net/securetitle.html
[9]: http://rpow.net/
[10]: http://rpow.net/security.html
[11]: https://www.blogger.com/profile/16820399856274245684 "author profile"
[12]: http://unenumerated.blogspot.co.uk/2005/12/bit-gold.html "permanent link"
[13]: https://resources.blogblog.com/img/icon18_email.gif
[14]: https://www.blogger.com/email-post.g?blogID=17908317&postID=113588451301633208 "Email Post"
[15]: https://resources.blogblog.com/img/icon18_edit_allbkg.gif
[16]: https://www.blogger.com/post-edit.g?blogID=17908317&postID=113588451301633208&from=pencil "Edit Post"
[17]: https://www.blogger.com/share-post.g?blogID=17908317&postID=113588451301633208&target=email "Email This"
[18]: https://www.blogger.com/share-post.g?blogID=17908317&postID=113588451301633208&target=blog "BlogThis!"
[19]: https://www.blogger.com/share-post.g?blogID=17908317&postID=113588451301633208&target=twitter "Share to Twitter"
[20]: https://www.blogger.com/share-post.g?blogID=17908317&postID=113588451301633208&target=facebook "Share to Facebook"
[21]: https://www.blogger.com/share-post.g?blogID=17908317&postID=113588451301633208&target=pinterest "Share to Pinterest"
[22]: http://img1.blogblog.com/img/blank.gif "Kay Bell"
[23]: http://dontmesswithtaxes.typepad.com/
[24]: http://dontmesswithtaxes.typepad.com/dont_mess_with_taxes/2005/12/our_house_is_a_.html
[25]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1135894560000#c113589457406403647 "comment permalink"
[26]: https://resources.blogblog.com/img/icon_delete13.gif
[27]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=113589457406403647 "Delete Comment"
[28]: http://lh3.googleusercontent.com/zFdxGE77vvD2w5xHy6jkVuElKv-U9_9qLkRYK8OnbDeJPtjSZ82UPq5w6hJ-SA%3Ds35 "Nick Szabo"
[29]: https://www.blogger.com/profile/16820399856274245684
[30]: http://www.flickr.com/photos/hanneorla/75382725/in/set-1617372/
[31]: http://szabo.best.vwh.net/measuringvalue.html
[32]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1135896240000#c113589629150736031 "comment permalink"
[33]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=113589629150736031 "Delete Comment"
[34]: http://www.dontmesswithtaxes.typepad.com/
[35]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1135984380000#c113598442850929353 "comment permalink"
[36]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=113598442850929353 "Delete Comment"
[37]: http://lh3.googleusercontent.com/zFdxGE77vvD2w5xHy6jkVuElKv-U9_9qLkRYK8OnbDeJPtjSZ82UPq5w6hJ-SA%3Ds35 "Patrick"
[38]: https://www.blogger.com/profile/08715549273489573543
[39]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1163479980000#c116348002462259419 "comment permalink"
[40]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=116348002462259419 "Delete Comment"
[41]: http://lh3.googleusercontent.com/zFdxGE77vvD2w5xHy6jkVuElKv-U9_9qLkRYK8OnbDeJPtjSZ82UPq5w6hJ-SA%3Ds35 "theantirobot"
[42]: https://www.blogger.com/profile/15238052486862695178
[43]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1216783080000#c4826774726885246486 "comment permalink"
[44]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=4826774726885246486 "Delete Comment"
[45]: http://lh3.googleusercontent.com/zFdxGE77vvD2w5xHy6jkVuElKv-U9_9qLkRYK8OnbDeJPtjSZ82UPq5w6hJ-SA%3Ds35 "Daniel A. Nagy"
[46]: https://www.blogger.com/profile/03407102257008616258
[47]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1231201200000#c1196957374210600673 "comment permalink"
[48]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=1196957374210600673 "Delete Comment"
[49]: http://img1.blogblog.com/img/blank.gif "Anonymous"
[50]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1232254200000#c7482032990056766312 "comment permalink"
[51]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=7482032990056766312 "Delete Comment"
[52]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1235135220000#c6393700701892933554 "comment permalink"
[53]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=6393700701892933554 "Delete Comment"
[54]: http://lh3.googleusercontent.com/zFdxGE77vvD2w5xHy6jkVuElKv-U9_9qLkRYK8OnbDeJPtjSZ82UPq5w6hJ-SA%3Ds35 "Jack Lloyd"
[55]: https://www.blogger.com/profile/04407541213829449353
[56]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1236392100000#c3352859097477999804 "comment permalink"
[57]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=3352859097477999804 "Delete Comment"
[58]: http://lh3.googleusercontent.com/zFdxGE77vvD2w5xHy6jkVuElKv-U9_9qLkRYK8OnbDeJPtjSZ82UPq5w6hJ-SA%3Ds35 "chaord"
[59]: https://www.blogger.com/profile/04261760127085182901
[60]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1283756944513#c5167683301003762066 "comment permalink"
[61]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=5167683301003762066 "Delete Comment"
[62]: http://img1.blogblog.com/img/blank.gif "Synonymous"
[63]: http://www.michaelwharton.co.uk/
[64]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1289315689400#c669422257150091555 "comment permalink"
[65]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=669422257150091555 "Delete Comment"
[66]: http://img1.blogblog.com/img/blank.gif "Tommy J"
[67]: http://ubiquitousmarketing.com/workout-program/les-mills-pump-review/
[68]: http://ubiquitousmarketing.com/supplements/ageless-male-reviews/
[69]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1360245750823#c8926547596279967111 "comment permalink"
[70]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=8926547596279967111 "Delete Comment"
[71]: https://img1.blogblog.com/img/blank.gif "Shelley Thomas"
[72]: http://lh6.googleusercontent.com/-UYrtIdy4BuE/AAAAAAAAAAI/AAAAAAAAAAA/cwQgt9DZuqg/s35-c/photo.jpg
[73]: https://www.blogger.com/profile/08764097389446835632
[74]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1360681494116#c4664631151516157588 "comment permalink"
[75]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=4664631151516157588 "Delete Comment"
[76]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1386050649267#c8822015520554365489 "comment permalink"
[77]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=8822015520554365489 "Delete Comment"
[78]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1391532453211#c142504263337464906 "comment permalink"
[79]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=142504263337464906 "Delete Comment"
[80]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1392871203184#c6255340430774840686 "comment permalink"
[81]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=6255340430774840686 "Delete Comment"
[82]: http://img1.blogblog.com/img/blank.gif "algroista"
[83]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1409856012471#c8563306197859111475 "comment permalink"
[84]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=8563306197859111475 "Delete Comment"
[85]: http://lh3.googleusercontent.com/zFdxGE77vvD2w5xHy6jkVuElKv-U9_9qLkRYK8OnbDeJPtjSZ82UPq5w6hJ-SA%3Ds35 "Sebastian Schepis"
[86]: https://www.blogger.com/profile/08976173165380432515
[87]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1413905028201#c4782368846527231735 "comment permalink"
[88]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=4782368846527231735 "Delete Comment"
[89]: http://img1.blogblog.com/img/blank.gif "Sandro"
[90]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1414457882023#c6382600098333231813 "comment permalink"
[91]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=6382600098333231813 "Delete Comment"
[92]: http://lh3.googleusercontent.com/zFdxGE77vvD2w5xHy6jkVuElKv-U9_9qLkRYK8OnbDeJPtjSZ82UPq5w6hJ-SA%3Ds35 "jessilydia"
[93]: https://www.blogger.com/profile/09657452820388113610
[94]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1415537495510#c5245071908705837013 "comment permalink"
[95]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=5245071908705837013 "Delete Comment"
[96]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1416156822752#c1266342310067985213 "comment permalink"
[97]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=1266342310067985213 "Delete Comment"
[98]: http://img1.blogblog.com/img/blank.gif "PeterIII"
[99]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1416689245014#c8084357398161554864 "comment permalink"
[100]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=8084357398161554864 "Delete Comment"
[101]: https://img1.blogblog.com/img/blank.gif "Tom Eck"
[102]: http://2.bp.blogspot.com/-znODSvlmRIM/VB7po9IakXI/AAAAAAAADec/-TaJ-EwJzpw/s35/%2A*
[103]: https://www.blogger.com/profile/03459617331558041227
[104]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1417047829139#c1073790555170414152 "comment permalink"
[105]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=1073790555170414152 "Delete Comment"
[106]: https://img1.blogblog.com/img/blank.gif "Jonathan James Harrison"
[107]: http://lh3.googleusercontent.com/-2BuLKs9e9j4/AAAAAAAAAAI/AAAAAAAADiY/lkGsF899Hc0/s35-c/photo.jpg
[108]: https://www.blogger.com/profile/13452133110664051215
[109]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1429665025326#c203131861767093659 "comment permalink"
[110]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=203131861767093659 "Delete Comment"
[111]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1431093906217#c4770370886524991051 "comment permalink"
[112]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=4770370886524991051 "Delete Comment"
[113]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1438567786609#c5901653563744555043 "comment permalink"
[114]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=5901653563744555043 "Delete Comment"
[115]: https://img1.blogblog.com/img/blank.gif "Raymond Blanchard"
[116]: http://lh6.googleusercontent.com/-cR1T_RNSlcE/AAAAAAAAAAI/AAAAAAAAALo/qnrC3kJhA04/s35-c/photo.jpg
[117]: https://www.blogger.com/profile/00776423535110743974
[118]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1447501524151#c2412378547346150223 "comment permalink"
[119]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=2412378547346150223 "Delete Comment"
[120]: http://img1.blogblog.com/img/blank.gif "Matthew"
[121]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1452484573523#c9214681419752730995 "comment permalink"
[122]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=9214681419752730995 "Delete Comment"
[123]: http://img1.blogblog.com/img/blank.gif "zac"
[124]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1465514819759#c8025005925354792470 "comment permalink"
[125]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=8025005925354792470 "Delete Comment"
[126]: http://lh3.googleusercontent.com/zFdxGE77vvD2w5xHy6jkVuElKv-U9_9qLkRYK8OnbDeJPtjSZ82UPq5w6hJ-SA%3Ds35 "Nosliv"
[127]: https://www.blogger.com/profile/11307797731567549288
[128]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1470497189704#c6937484231120410896 "comment permalink"
[129]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=6937484231120410896 "Delete Comment"
[130]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1484718536797#c6197848353455508312 "comment permalink"
[131]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=6197848353455508312 "Delete Comment"
[132]: https://img1.blogblog.com/img/blank.gif "Alex Millar (@bitcoin3000)"
[133]: http://3.bp.blogspot.com/-ZQdIekR6kJg/WBI6QSnJKJI/AAAAAAAAThw/LxIiC9djs68UvlAnhBineTt5swVrmsEIQCK4B/s35/Screen%25252BShot%25252B2016-10-27%25252Bat%25252B10.32.19%25252BAM.png
[134]: https://www.blogger.com/profile/11673636763801835349
[135]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1503695862541#c4736095401095138288 "comment permalink"
[136]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=4736095401095138288 "Delete Comment"
[137]: http://img1.blogblog.com/img/blank.gif "Charles"
[138]: http://unenumerated.blogspot.com/2005/12/bit-gold.html?showComment=1504921781115#c5004502010473890033 "comment permalink"
[139]: https://www.blogger.com/delete-comment.g?blogID=17908317&postID=5004502010473890033 "Delete Comment"
[140]: https://www.blogger.com/comment.g?blogID=17908317&postID=113588451301633208
[141]: 
[142]: http://unenumerated.blogspot.co.uk/2008/04/bit-gold-markets.html "Newer Post"
[143]: http://unenumerated.blogspot.co.uk/2005/11/origins-of-joint-stock-corporation.html "Older Post"
[144]: http://unenumerated.blogspot.com/feeds/113588451301633208/comments/default
[145]: https://resources.blogblog.com/img/icon18_wrench_allbkg.png
[146]: //www.blogger.com/rearrange?blogID=17908317&widgetType=PageList&widgetId=PageList1&action=editWidget&sectionId=sidebar-right-1 "Edit"
[147]: http://www.emergentchaos.com/archives/2005/12/nick_szabo_blog.html
[148]: http://space4commerce.blogspot.com/2011/06/tab-clearing_14.html
[149]: http://seanmcgrath.blogspot.com/2004_05_09_seanmcgrath_archive.html
[150]: http://dl4.jottit.com/
[151]: //www.blogger.com/rearrange?blogID=17908317&widgetType=Profile&widgetId=Profile1&action=editWidget&sectionId=sidebar-right-1 "Edit"
[152]: javascript:void(0)
[153]: http://unenumerated.blogspot.co.uk/2017/
[154]: http://unenumerated.blogspot.co.uk/2017/03/
[155]: http://unenumerated.blogspot.co.uk/2017/02/
[156]: http://unenumerated.blogspot.co.uk/2016/
[157]: http://unenumerated.blogspot.co.uk/2016/12/
[158]: http://unenumerated.blogspot.co.uk/2016/07/
[159]: http://unenumerated.blogspot.co.uk/2016/03/
[160]: http://unenumerated.blogspot.co.uk/2016/02/
[161]: http://unenumerated.blogspot.co.uk/2015/
[162]: http://unenumerated.blogspot.co.uk/2015/10/
[163]: http://unenumerated.blogspot.co.uk/2015/07/
[164]: http://unenumerated.blogspot.co.uk/2015/05/
[165]: http://unenumerated.blogspot.co.uk/2014/
[166]: http://unenumerated.blogspot.co.uk/2014/12/
[167]: http://unenumerated.blogspot.co.uk/2014/10/
[168]: http://unenumerated.blogspot.co.uk/2014/07/
[169]: http://unenumerated.blogspot.co.uk/2013/
[170]: http://unenumerated.blogspot.co.uk/2013/11/
[171]: http://unenumerated.blogspot.co.uk/2013/08/
[172]: http://unenumerated.blogspot.co.uk/2013/07/
[173]: http://unenumerated.blogspot.co.uk/2012/
[174]: http://unenumerated.blogspot.co.uk/2012/10/
[175]: http://unenumerated.blogspot.co.uk/2012/08/
[176]: http://unenumerated.blogspot.co.uk/2012/07/
[177]: http://unenumerated.blogspot.co.uk/2011/
[178]: http://unenumerated.blogspot.co.uk/2011/12/
[179]: http://unenumerated.blogspot.co.uk/2011/07/
[180]: http://unenumerated.blogspot.co.uk/2011/06/
[181]: http://unenumerated.blogspot.co.uk/2011/05/
[182]: http://unenumerated.blogspot.co.uk/2011/02/
[183]: http://unenumerated.blogspot.co.uk/2011/01/
[184]: http://unenumerated.blogspot.co.uk/2010/
[185]: http://unenumerated.blogspot.co.uk/2010/12/
[186]: http://unenumerated.blogspot.co.uk/2010/10/
[187]: http://unenumerated.blogspot.co.uk/2010/09/
[188]: http://unenumerated.blogspot.co.uk/2010/02/
[189]: http://unenumerated.blogspot.co.uk/2009/
[190]: http://unenumerated.blogspot.co.uk/2009/11/
[191]: http://unenumerated.blogspot.co.uk/2009/10/
[192]: http://unenumerated.blogspot.co.uk/2009/09/
[193]: http://unenumerated.blogspot.co.uk/2009/08/
[194]: http://unenumerated.blogspot.co.uk/2009/07/
[195]: http://unenumerated.blogspot.co.uk/2009/06/
[196]: http://unenumerated.blogspot.co.uk/2009/05/
[197]: http://unenumerated.blogspot.co.uk/2009/04/
[198]: http://unenumerated.blogspot.co.uk/2009/01/
[199]: http://unenumerated.blogspot.co.uk/2008/
[200]: http://unenumerated.blogspot.co.uk/2008/12/
[201]: http://unenumerated.blogspot.co.uk/2008/04/bit-gold-markets.html
[202]: http://unenumerated.blogspot.co.uk/2005/12/bit-gold.html
[203]: http://unenumerated.blogspot.co.uk/2008/10/
[204]: http://unenumerated.blogspot.co.uk/2008/09/
[205]: http://unenumerated.blogspot.co.uk/2008/08/
[206]: http://unenumerated.blogspot.co.uk/2008/07/
[207]: http://unenumerated.blogspot.co.uk/2008/06/
[208]: http://unenumerated.blogspot.co.uk/2008/05/
[209]: http://unenumerated.blogspot.co.uk/2008/04/
[210]: http://unenumerated.blogspot.co.uk/2008/03/
[211]: http://unenumerated.blogspot.co.uk/2008/02/
[212]: http://unenumerated.blogspot.co.uk/2008/01/
[213]: http://unenumerated.blogspot.co.uk/2007/
[214]: http://unenumerated.blogspot.co.uk/2007/12/
[215]: http://unenumerated.blogspot.co.uk/2007/10/
[216]: http://unenumerated.blogspot.co.uk/2007/09/
[217]: http://unenumerated.blogspot.co.uk/2007/08/
[218]: http://unenumerated.blogspot.co.uk/2007/07/
[219]: http://unenumerated.blogspot.co.uk/2007/06/
[220]: http://unenumerated.blogspot.co.uk/2007/05/
[221]: http://unenumerated.blogspot.co.uk/2007/04/
[222]: http://unenumerated.blogspot.co.uk/2007/03/
[223]: http://unenumerated.blogspot.co.uk/2007/02/
[224]: http://unenumerated.blogspot.co.uk/2007/01/
[225]: http://unenumerated.blogspot.co.uk/2006/
[226]: http://unenumerated.blogspot.co.uk/2006/12/
[227]: http://unenumerated.blogspot.co.uk/2006/11/
[228]: http://unenumerated.blogspot.co.uk/2006/10/
[229]: http://unenumerated.blogspot.co.uk/2006/09/
[230]: http://unenumerated.blogspot.co.uk/2006/08/
[231]: http://unenumerated.blogspot.co.uk/2006/07/
[232]: http://unenumerated.blogspot.co.uk/2006/06/
[233]: http://unenumerated.blogspot.co.uk/2006/05/
[234]: http://unenumerated.blogspot.co.uk/2006/04/
[235]: http://unenumerated.blogspot.co.uk/2006/03/
[236]: http://unenumerated.blogspot.co.uk/2006/02/
[237]: http://unenumerated.blogspot.co.uk/2006/01/
[238]: http://unenumerated.blogspot.co.uk/2005/
[239]: http://unenumerated.blogspot.co.uk/2005/12/
[240]: http://unenumerated.blogspot.co.uk/2005/11/
[241]: http://unenumerated.blogspot.co.uk/2005/10/
[242]: //www.blogger.com/rearrange?blogID=17908317&widgetType=BlogArchive&widgetId=BlogArchive1&action=editWidget&sectionId=sidebar-right-1 "Edit"
[243]: https://www.blogger.com
[244]: //www.blogger.com/rearrange?blogID=17908317&widgetType=Attribution&widgetId=Attribution1&action=editWidget&sectionId=footer-3 "Edit"

  [*[4:16 PM]: 2008-12-27T16:16:00-08:00

