---
created_at: '2009-07-10T19:16:52.000Z'
title: Business schools redefine hacking to “stuff that a 7-year-old could do” (2005)
url: http://blogs.law.harvard.edu/philg/2005/03/08/
author: asciilifeform
points: 82
story_text: ''
comment_text: 
num_comments: 39
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1247253412
_tags:
- story
- author_asciilifeform
- story_698192
objectID: '698192'

---
[Source](http://blogs.harvard.edu/philg/2005/03/08/ "Permalink to Philip Greenspun&#039;s Weblog &raquo; 2005 &raquo; March &raquo; 08")

# Philip Greenspun&#039;s Weblog &raquo; 2005 &raquo; March &raquo; 08

# [Philip Greenspun's Weblog][1]

A posting every day; an interesting idea every three months...

## ~ Archive for March 8, 2005 ~

## [Business schools redefine hacking to “stuff that a 7-year-old could do”][2]

[47][3]

philg \- March 8, 2005 @ 2:56 pm · Filed under [Uncategorized][4]

When universities created business schools in the 20th Century traditional academics decried the collapse of standards.  Instead of students studying Literature, Art, History, and Science they would be going through the motions of a scholar while occupying their minds with things that formerly had been learned at a desk as an apprentice in a dreary Victorian counting house.  Now in the 21st century the B-schools are degrading the term “computer hacking”.

  

Here are the facts:

  

  

* Harvard and a bunch of other B-schools with a collective IT budget of maybe $50 million decided that writing Perl scripts was too hard so they outsourced Web-based applications to a company called ApplyYourself.  
* You’d think that the main advantage of a centralized service such as ApplyYourself would be that a prospective student could fill out one application and the information be sent simultaneously to many schools.  However, this is not how it works.  Each school has a totally separate area with ApplyYourself.  
* All the smart young Americans have gone to law, business, and medical school.  Companies don’t like to hire old people (> 30 years) to write computer programs because it saddens them to see old folks doing something so degrading.  Thus ApplyYourself hired whoever was rejected by professional schools to write up some Visual Basic scripts to process HBS and other B-school applications.  
* The ApplyYourself code had a bug such that editing the URL in the “Address” or “Location” field of a Web browser window would result in an applicant being able to find out his admissions status several weeks before the official notification date.  This would be equivalent to a 7-year-old being offered a URL of the form <http://philip.greenspun.com/images/20030817-utah-air-to-air/> and editing it down to <http://philip.greenspun.com/images/> to see what else of interest might be on the server.  
* Someone figured this out and posted the URL editing idea on the BusinessWeek discussion forum, where all B-school hopefuls hang out and a bunch of curious applicants tried it out.  
* Now all the curious applicants, having edited their URLs, [are being denied admission to Harvard][5] and, due to the fact that  universities form cartels to fix tuition prices and other policies, presumably to the other B-schools as well.
  

One interesting data point is that I once supervised a couple of MIT students building an online system for submission of essays to be graded.  MIT and a bunch of other schools have writing requirements.  Students submit essays.  These are held in confidence from other students.  A subset of users are authorized to grade essays and they are handed essays to evaluate.  One server with a single database is programmed to handle students and evaluators from many different schools and keep everything that should be separate separated.  The students building this system had never programmed in SQL before.  Nor had they ever written a Web script to glue their SQL code to an HTML template.  Nor had they ever written HTML before.  The entire project, which requires the same workflow and main features of the ApplyYourself service, took them three months at 20 hours per week.  Those kids are probably just graduating from med school now and preparing for their careers in radiology…

  

In the 1960s the term “hacking” meant smart people developing useful and innovative computer software.  In the 1990s the term meant smart evil people developing and running programs to break into computer systems and gain shell access to those systems.  Thanks to Harvard Business school the term now means “people of average IQ poking around curiously by editing URLs on public servers and seeing what comes back in the form of directory listings, etc.”

  

[Update:  People have been asking me whether I think the schools are justified in rejecting the applicants who mucked with ApplyYourself’s URLs.  Had I been an MBA applicant and heard about this security hole I probably would have tested it out.  Not so much out of curiosity as to whether I’d gotten in but mostly to see if a school with nearly $30 billion in assets really was so contemptuous of quality in IT and also to see just how far the Web development industry has slid from its apex (probably 1994, when 5 reformed Lisp hackers built [Amazon.com][6] out of C CGI scripts talking to Oracle).  I did something similar when writing _Philip and Alex’s Guide to Web Publishing_.  I needed examples of Microsoft Active Server Page source code.  There was at one time a bug in IIS/ASP that enabled anyone to view the source code by appending “::$DATA” to any .asp URL.  Months after Microsoft had released a patch for this bug, I surfed around and found scripts at lots of prominent public servers, some of which scripts contained database usernames and passwords.  I published the results in <http://philip.greenspun.com/panda/server-programming#ASP>, which was turned into a hardcopy textbook by Harcourt.  So it seems that my curiosity into just how incompetent an institution with $billions in assets could be would have led to me failing the ethics test, being convicted of hacking, and being denied admission to a top business school.

  

Where would I personally draw the line?  A grad student at MIT figured out that Fandango, the movie ticketing service, was passing the price of the movie ticket as a hidden form variable in the HTML instead of doing the pricing on the server at the final page.  He was able to edit the HTML form in Emacs and submit it to Fandango and buy tickets for any price that he felt was fair (being a grad student, his preferred price for tickets was $0.25).  He invited me to try it out but it but I thought that either Fandango or a movie theater would end up having to make up the difference and it didn’t feel right to take their money.  The HBS/ApplyYourself situation falls into the “poking around with a browser” category where you get to see stuff but the Web publisher hasn’t been injured because they still have the stuff on their server (one of the strange characteristics of the digital age).  As progressively dumber programmers build progressively more complex systems we will see more of this kind of attempt to paper over coding mistakes with lawyers, sanctions, policies, and laws.  Hollywood and the RIAA are usually the most successful at getting the government to do their bidding.  Thus I predict that one day Disney will have a Web site where you can buy access to any of their movies.  Because all of their profits are being used to pay executive salaries this will have to be built at extremely low cost.  Deficiencies in the softwrae will enable vast numbers of Americans to download Bambi for free, their ISPs will be forced to rat them out, and they will all get to see Martha’s Stewart’s cell in West Virginia first hand…]

### Share this:

* [Facebook][7]
* [Twitter][8]
* [Reddit][9]
* [LinkedIn][10]
* [Email][11]
* ## [Aerial photos of the spiral jetty in the Great Salt Lake][12]

[7][13]

philg \- March 8, 2005 @ 11:01 am · Filed under [Uncategorized][4]

Having finally gotten Photoshop scripting sort of under control, <http://philip.greenspun.com/images/20030817-utah-air-to-air/> contains some photos of my old airplane flying over [the spiral jetty artwork][14] in the Great Salt Lake.  These were taken by [Jenny Reinman][15] from a physician-piloted Cessna [a plurality of private aircraft owners seem to be MDs] while her husband Paul Reinman and I flew in the Diamond Star.

### Share this:

* [Facebook][16]
* [Twitter][17]
* [Reddit][18]
* [LinkedIn][19]
* [Email][20]
* ## [Syria is able to control Lebanon with 14,000 soldiers][21]

[14][22]

philg \- March 8, 2005 @ 9:04 am · Filed under [Uncategorized][4]

Syria and Lebanon have been [in the news lately][23].  [Lebanon has a population of 3.7 million][24].  Syria is able to control these people with just 14,000 soldiers, according to the latest articles, and to judge by the tens of thousands of supporters who rallied today in Beirut, Syrian control of Lebanon is just fine with most of the Lebanese.  This is a remarkable achievement considering that the U.S.-led coalition has [roughly 150,000 troops in Iraq][25] for their 25 million people and Iraqis don’t seem to be turning out in any great numbers to show public support for the foreign soldiers to continuing hanging around.  One wonders if we should not have outsourced the Iraq occupation to Syria…

### Share this:

* [Facebook][26]
* [Twitter][27]
* [Reddit][28]
* [LinkedIn][29]
* [Email][30]
* * ## Pages

    * [About][31]
    * [Comment moderation policy][32]
* * ## Categories

    * [Academia][33]
    * [Blogroll][34]
    * [Books][35]
    * [Computer nerdism][36]
    * [Flying][37]
    * [From the Old Server][38]
    * [Uncategorized][4]
*   

## Archives

Select Month February 2018  January 2018  December 2017  November 2017  October 2017  September 2017  August 2017  July 2017  June 2017  May 2017  April 2017  March 2017  February 2017  January 2017  December 2016  November 2016  October 2016  September 2016  August 2016  July 2016  June 2016  May 2016  April 2016  March 2016  February 2016  January 2016  December 2015  November 2015  October 2015  September 2015  August 2015  July 2015  June 2015  May 2015  April 2015  March 2015  February 2015  January 2015  December 2014  November 2014  October 2014  September 2014  August 2014  July 2014  June 2014  May 2014  April 2014  March 2014  February 2014  January 2014  December 2013  November 2013  October 2013  September 2013  August 2013  July 2013  June 2013  May 2013  April 2013  March 2013  February 2013  January 2013  December 2012  November 2012  October 2012  September 2012  August 2012  July 2012  June 2012  May 2012  April 2012  March 2012  February 2012  January 2012  December 2011  November 2011  October 2011  September 2011  August 2011  July 2011  June 2011  May 2011  April 2011  March 2011  February 2011  January 2011  December 2010  November 2010  October 2010  September 2010  August 2010  July 2010  June 2010  May 2010  April 2010  March 2010  February 2010  January 2010  December 2009  November 2009  October 2009  September 2009  August 2009  July 2009  June 2009  May 2009  April 2009  March 2009  February 2009  January 2009  December 2008  November 2008  October 2008  September 2008  August 2008  July 2008  June 2008  May 2008  April 2008  March 2008  February 2008  January 2008  December 2007  November 2007  October 2007  September 2007  August 2007  July 2007  June 2007  May 2007  April 2007  March 2007  February 2007  January 2007  December 2006  November 2006  October 2006  September 2006  August 2006  July 2006  June 2006  May 2006  April 2006  March 2006  February 2006  January 2006  December 2005  November 2005  October 2005  September 2005  August 2005  July 2005  June 2005  May 2005  April 2005  March 2005  February 2005  January 2005  December 2004  November 2004  October 2004  September 2004  August 2004  July 2004  June 2004  May 2004  April 2004  March 2004  February 2004  January 2004  December 2003  November 2003  October 2003  September 2003  August 2003  July 2003  June 2003  May 2003  April 2003 
* [subscribe to this blog][39]

[Log in][40]

![Berkman Center for Internet & Society, at Harvard Law School][41]

  

[Protected by Akismet][42] • [Blog with WordPress][43]

![][44]

Send to Email Address Your Name Your Email Address ![loading][45] [Cancel][46]

Post was not sent - check your email addresses! 

Email check failed, please try again 

Sorry, your blog cannot share posts by email. 

[1]: http://blogs.harvard.edu/philg
[2]: http://blogs.harvard.edu/philg/2005/03/08/business-schools-redefine-hacking-to-stuff-that-a-7-year-old-could-/ "Permanent link to Business schools redefine hacking to “stuff that a 7-year-old could do”"
[3]: http://blogs.harvard.edu/philg/2005/03/08/business-schools-redefine-hacking-to-stuff-that-a-7-year-old-could-/#comments
[4]: http://blogs.harvard.edu/philg/category/uncategorized/
[5]: http://www.boston.com/news/local/massachusetts/articles/2005/03/08/harvard_rejects_applicants_it_says_hacked/
[6]: http://Amazon.com "http://Amazon. "
[7]: http://blogs.harvard.edu/philg/2005/03/08/business-schools-redefine-hacking-to-stuff-that-a-7-year-old-could-/?share=facebook "Click to share on Facebook"
[8]: http://blogs.harvard.edu/philg/2005/03/08/business-schools-redefine-hacking-to-stuff-that-a-7-year-old-could-/?share=twitter "Click to share on Twitter"
[9]: http://blogs.harvard.edu/philg/2005/03/08/business-schools-redefine-hacking-to-stuff-that-a-7-year-old-could-/?share=reddit "Click to share on Reddit"
[10]: http://blogs.harvard.edu/philg/2005/03/08/business-schools-redefine-hacking-to-stuff-that-a-7-year-old-could-/?share=linkedin "Click to share on LinkedIn"
[11]: http://blogs.harvard.edu/philg/2005/03/08/business-schools-redefine-hacking-to-stuff-that-a-7-year-old-could-/?share=email "Click to email this to a friend"
[12]: http://blogs.harvard.edu/philg/2005/03/08/aerial-photos-of-the-spiral-jetty-in-the-great-salt-lake/ "Permanent link to Aerial photos of the spiral jetty in the Great Salt Lake"
[13]: http://blogs.harvard.edu/philg/2005/03/08/aerial-photos-of-the-spiral-jetty-in-the-great-salt-lake/#comments
[14]: http://www.robertsmithson.com/earthworks/spiral_jetty.htm
[15]: http://www.reinman.net/
[16]: http://blogs.harvard.edu/philg/2005/03/08/aerial-photos-of-the-spiral-jetty-in-the-great-salt-lake/?share=facebook "Click to share on Facebook"
[17]: http://blogs.harvard.edu/philg/2005/03/08/aerial-photos-of-the-spiral-jetty-in-the-great-salt-lake/?share=twitter "Click to share on Twitter"
[18]: http://blogs.harvard.edu/philg/2005/03/08/aerial-photos-of-the-spiral-jetty-in-the-great-salt-lake/?share=reddit "Click to share on Reddit"
[19]: http://blogs.harvard.edu/philg/2005/03/08/aerial-photos-of-the-spiral-jetty-in-the-great-salt-lake/?share=linkedin "Click to share on LinkedIn"
[20]: http://blogs.harvard.edu/philg/2005/03/08/aerial-photos-of-the-spiral-jetty-in-the-great-salt-lake/?share=email "Click to email this to a friend"
[21]: http://blogs.harvard.edu/philg/2005/03/08/syria-is-able-to-control-lebanon-with-14000-soldiers/ "Permanent link to Syria is able to control Lebanon with 14,000 soldiers"
[22]: http://blogs.harvard.edu/philg/2005/03/08/syria-is-able-to-control-lebanon-with-14000-soldiers/#comments
[23]: http://www.cnn.com/2005/WORLD/meast/03/08/lebanon.syria/index.html
[24]: http://www.cia.gov/cia/publications/factbook/geos/le.html
[25]: http://www.globalsecurity.org/military/ops/iraq_orbat.htm
[26]: http://blogs.harvard.edu/philg/2005/03/08/syria-is-able-to-control-lebanon-with-14000-soldiers/?share=facebook "Click to share on Facebook"
[27]: http://blogs.harvard.edu/philg/2005/03/08/syria-is-able-to-control-lebanon-with-14000-soldiers/?share=twitter "Click to share on Twitter"
[28]: http://blogs.harvard.edu/philg/2005/03/08/syria-is-able-to-control-lebanon-with-14000-soldiers/?share=reddit "Click to share on Reddit"
[29]: http://blogs.harvard.edu/philg/2005/03/08/syria-is-able-to-control-lebanon-with-14000-soldiers/?share=linkedin "Click to share on LinkedIn"
[30]: http://blogs.harvard.edu/philg/2005/03/08/syria-is-able-to-control-lebanon-with-14000-soldiers/?share=email "Click to email this to a friend"
[31]: http://blogs.harvard.edu/philg/about/
[32]: http://blogs.harvard.edu/philg/comment-moderation-policy/
[33]: http://blogs.harvard.edu/philg/category/academia/ "University politics and administrators."
[34]: http://blogs.harvard.edu/philg/category/blogroll/
[35]: http://blogs.harvard.edu/philg/category/books/
[36]: http://blogs.harvard.edu/philg/category/computer-nerdism/
[37]: http://blogs.harvard.edu/philg/category/flying/ "Stories about flying planes and helicopters, discussions of technique and teaching."
[38]: http://blogs.harvard.edu/philg/category/fromtheoldserver/ "Items imported from Manila, one of whose many bad features was a lack of categorization."
[39]: http://blogs.harvard.edu/philg/feed/ "Subscribe to this weblog's web feed"
[40]: https://blogs.harvard.edu/philg/wp-login.php
[41]: http://blogs.harvard.edu/philg/wp-content/themes/default/images/Berkman-HLS-half-120px.png
[42]: http://akismet.com/
[43]: http://wordpress.com/
[44]: http://stats.berkman.harvard.edu/piwik.php?idsite=2
[45]: http://blogs.harvard.edu/philg/wp-content/plugins/jetpack/modules/sharedaddy/images/loading.gif
[46]: http://blogs.harvard.edu#cancel

