---
created_at: '2016-05-31T18:17:15.000Z'
title: How to destroy the Earth (2006)
url: https://qntm.org/destroy
author: Smaug123
points: 92
story_text: 
comment_text: 
num_comments: 44
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1464718635
_tags:
- story
- author_Smaug123
- story_11808723
objectID: '11808723'

---
[Source](https://qntm.org/destroy "Permalink to How to destroy the Earth @ Things Of Interest")

# How to destroy the Earth @ Things Of Interest

[Things Of Interest][1] [Blog][2] [Geocide][3]

## How to destroy the Earth 

### Preamble

Destroying the Earth is harder than you may have been led to believe.

You've seen the action movies where the bad guy threatens to destroy the Earth. You've heard people on the news claiming that the next nuclear war or cutting down rainforests or persisting in releasing hideous quantities of pollution into the atmosphere threatens to end the world.

Fools.

The Earth is built to _last_. It is a 4,550,000,000-year-old, 5,973,600,000,000,000,000,000-tonne _ball of iron_. It has taken more devastating asteroid hits in its lifetime than you've had hot dinners, and lo, it still orbits merrily. So my first piece of advice to you, dear would-be Earth-destroyer, is: do NOT think this will be easy.

This is not a guide for wusses whose aim is merely to wipe out humanity. I can in no way guarantee the complete extinction of the human race via any of these methods, real or imaginary. Humanity is wily and resourceful, and many of the methods outlined below will take many years to even become available, let alone implement, by which time mankind may well have spread to other planets; indeed, other star systems. If total human genocide _is_ your ultimate goal, you are reading the wrong document. There are far more efficient ways of doing this, many which are available and feasible RIGHT NOW. Nor is this a guide for those wanting to annihilate everything from single-celled life upwards, render Earth uninhabitable or simply conquer it. These are _trivial_ goals in comparison.

This is a guide for those who do not want the Earth to be there anymore.

### Contents

* [Preamble][4]
* [Mission statement][5]
* [Current Earth-Destruction Status][6]
* [Methods for destroying the Earth][7]
* [Fall-back methods][8]
* [Other, less scientifically probable ways that Earth could be destroyed][9]
* [Methods from fiction][10]
* [Things which will NOT destroy the Earth][11]
* [General geocide strategy][12]
* [Credits][13]

### Mission statement

For the purposes of what I hope to be a technically and scientifically accurate document, I will define our goal thus: **by any means necessary, to change the Earth into something other than a planet or a dwarf planet**.

The International Astronomical Union defines a planet as:

> **a celestial body that**
> 
> 1. **is in orbit around the Sun**
> 2. **has sufficient mass for its self-gravity to overcome rigid body forces so that it assumes a hydrostatic equilibrium (nearly round) shape, and**
> 3. **has cleared the neighbourhood around its orbit**

and a dwarf planet as:

> **a celestial body that**
> 
> 1. **is in orbit around the Sun**
> 2. **has sufficient mass for its self-gravity to overcome rigid body forces so that it assumes a hydrostatic equilibrium (nearly round) shape,**
> 3. **has not cleared the neighbourhood around its orbit, and**
> 4. **is not a satellite.**

Since "celestial body" does not include the Earth, we shall assume for the sake of pedantry that the IAU meant to say "astronomical body".

These definitions instantly suggest some very simple ways of stripping the Earth of its planethood, such as hurling it into interstellar space, moving it into orbit around a gas giant, or moving it into a solar orbit whose neighbourhood is not cleared (the main asteroid belt being the most obvious choice). A slightly less obvious method would be _redefining "planet" not to include the Earth_. Naturally, these methods (the latter of which is by far the most feasible method listed in this document) will _not_ be considered to count - _redefining something doesn't make it go away_.

We are left, therefore, with the challenge of significantly altering the Earth's physical structure, or else reducing its mass such that it can maintain a shape which is not round. For example: blowing it up, turning it into a dust cloud, merging it with a larger body, et cetera.

### Current Earth-Destruction Status

* Number of times the Earth has been destroyed: 1

Information courtesy of the [International Earth-Destruction Advisory Board][14]

### Methods for destroying the Earth

To be listed here, a method must actually work. That is, _according to current scientific understanding_, it must be possible for the Earth to actually be destroyed by this method, however improbable or impractical it may be.

Methods are ranked in order of feasibility. Feasibility ratings are given out of ten - these are based primarily on my gut instinct and do not reflect actual mathematical probabilities in any way.

Several methods involve moving the Earth a considerable distance off its usual orbital track. This is an essay in itself, so [a separate page has been created for it][15].

1. #### Annihilated by an equivalent quantity of antimatter

**You will need**: An entire planet Earth made from antimatter

Antimatter - the most explosive substance possible - can be manufactured in small quantities using any large particle accelerator, but this will take preposterous amounts of time to produce the required amounts. If you can create the appropriate machinery, it may be possible to find or scrape together an approximately Earth-sized chunk of rock and simply to "flip" it all through a fourth spacial dimension, turning it all to antimatter at once.

**Method**: Once you've generated your antimatter, probably in space, just launch it en masse towards Earth. The resulting release of energy (obeying Einstein's famous mass-energy equation, E=mc2) is equivalent to the amount the Sun outputs in some _89 million years_. Alternatively, if your matter-flipping machinery is a little more flexible, turn half the Earth into antimatter (say, the Western Hemisphere) and watch the fireworks.

**Earth's final resting place**: When matter and antimatter collide, they completely annihilate each other, leaving nothing but energy. All that would be left of Earth is a scintillating flash of light expanding across space forever. This method is one of the most permanent and total on this list, as the very matter which makes up the Earth ceases to exist, making it virtually impossible to even reassemble the planet afterwards.

**Feasibility rating**: 2/10. It IS possible to create antimatter, so, _technically_, this method IS possible. But since the proposed matter-to-antimatter flipping machine is probably complete science fiction, we're looking at stupid, stupid amounts of time to pull this off.

**Comments**: With a significantly smaller amount of antimatter, you can simply blow the Earth up - see later.

**Source**: This method suggested by Thomas Wootten.

2. #### Fissioned

**You will need**: a universal fission machine (e.g. a particle accelerator), an unimaginable amount of energy

**Method**: Take every single atom on planet Earth and individually split each one down to become hydrogen and helium. Fissioning heavier elements to become hydrogen and helium is the opposite of the self-sustaining reaction that powers the Sun: it requires you to put energy _in_ which is why the energy requirements here are so vast.

**Earth's final resting place**: While Jupiter, Saturn, Uranus and Neptune are gas giants composed primarily of hydrogen and helium, they are massive enough to actually hold on to their tenuous atmospheres. The Earth is not; the gases would dissipate away. You'd get a wispy mess of gas where there should have been a planet.

**Feasibility rating**: 2/10. _Technically_ possible, but, again, hopelessly, mind-bogglingly inefficient and time-consuming. You're looking at billions of years _minimum_, folks.

**Source**: This method suggested by John Routledge.

3. #### Sucked into a microscopic black hole

**You will need**: a microscopic black hole.

Note that black holes are not eternal, they evaporate due to Hawking radiation. For your average black hole this takes an unimaginable amount of time, but for really small ones it could happen almost instantaneously, as evaporation time is dependent on mass. Therefore your microscopic black hole must have greater than a certain threshold mass, roughly equal to the mass of Mount Everest.

Creating a microscopic black hole is tricky, since one needs a reasonable amount of neutronium, but may possibly be achievable by jamming large numbers of atomic nuclei together until they stick. This is left as an exercise to the reader.

**Method**: simply place your black hole on the surface of the Earth and wait. Black holes are of such high density that they pass through ordinary matter like a stone through the air. The black hole will plummet through the ground, eating its way to the centre of the Earth and all the way through to the other side: then, it'll oscillate back, over and over like a matter-absorbing pendulum. Eventually it will come to rest at the core, having absorbed enough matter to slow it down. Then you just need to wait, while it sits and consumes matter until the whole Earth is gone.

**Earth's final resting place**: a singularity with a radius of [about nine millimetres][16], which will then proceed to happily orbit the Sun as normal.

**Feasibility rating**: 3/10. Highly, highly unlikely. But not impossible.

**Comments**: Hmm. The problem is, the microscopic black hole would still be in hydrostatic equilibrium, so it would still qualify as a planet according to the IAU!

**Source**: [The Dark Side Of The Sun][17], by Terry Pratchett. It is true that the microscopic black hole idea is an age-old science fiction mainstay which predates Pratchett by a long time, he was _my_ original source for the idea, so that's what I'm putting.

4. #### Cooked in a solar oven

**You will need**: Means for focusing a good few percent of the Sun's energy output directly on the Earth.

What I'm talking about here is: mirrors, and lots of them. Intercept several decent sized asteroids for raw materials and start cranking out kilometre-square sheets of lightweight reflective material (aluminised mylar, aluminium foil, nickel foil, iron foil or whatever you can scrape together). They need to be capable of changing focus direction at will because, while a few may be placed at the Earth-Sun system's Lagrangian points, the vast majority cannot be stationary in space and the relative positions of the Earth and Sun will be shifting as time passes, so attach a few manoeuvering thrusters and a communications and navigation system to each sheet.

[Preliminary calculations][18] suggest you would need roughly two trillion square kilometres of mirror.

**Method**: Command your focusing array to concentrate as much solar energy as you can directly on the Earth - perhaps on its core, perhaps at a point on its surface. So the theory goes, this will cause the Earth to generally increase in temperature until it completely boils away, becoming a gas cloud.

A variation on this method involves turning the Sun into a gigantic hydrogen gas laser.

**Earth's final resting place**: A gas cloud.

**Feasibility rating**: 3/10. The major problem here is: What's to stop the matter cooling and becoming a planet again? In fact, once the top layer of planet becomes gaseous, what would compel it to vent into space rather than remaining on the surface, absorbing more heat and preventing the lower layers from even being heated? Unless the amount of heat put in was really immense, all you'd get is a gas planet at best, and a temporary one at that. Moving the Earth towards the Sun (see later) is likely to be a far more viable method.

**Source**: This method suggested by Sean Timpa.

5. #### Overspun

**You will need**: some means of accelerating the Earth's rotation.

Accelerating the Earth's rotation is a rather different matter from [moving it][15]. External interactions with asteroids might move the Earth but won't have a significant effect on how fast it spins. And certainly it won't spin the Earth fast enough. You need to build rockets or railguns at the Equator, all facing West. Or perhaps something more exotic...

**Method**: The theory is, if you spin the Earth fast enough, it'll fly apart as the bits at the Equator start moving fast enough to overcome gravity. In theory, one revolution every 84 minutes should do it - even slower would be fine, in fact, as the Earth would become flatter and thus more prone to breaking apart as you spun it faster.

**Feasibility rating**: 4/10. This could be done - there is a definite upper limit on how fast something like the Earth can spin before it breaks apart. However, spinning a planet is even more difficult than moving it. It's not as simple as attaching rockets pointing in each direction to each side...

**Source**: This method suggested by Matthew Wakeling.

6. #### Blown up

**You will need**: 25,000,000,000,000 tonnes of antimatter.

**Method**: This method involves detonating a bomb so big that it blasts the Earth to pieces.

This, to say the least, requires a big bomb. All the explosives mankind has ever created, nuclear or non-, gathered together and detonated simultaneously, would make a significant crater and wreck the planet's ecosystem, but barely scratch the surface of the planet. There is evidence that in the past, asteroids have hit the Earth with the explosive yield of five billion Hiroshima bombs - and such evidence is _difficult to find_. It is, in short, insanely difficult to significantly alter the Earth's structure with explosives. This is not to mention the gravity problem. Just because you blasted the Earth apart doesn't mean you blasted it apart for good. If you don't blast it hard enough, the pieces will fall back together again under mutual gravitational attraction, and Earth, like the liquid metal Terminator, will reform from its shattered shards. You have to blow the Earth up hard enough to overcome that attraction.

How hard is that?

If you do the [lengthy calculations][18] you find that to liberate that much energy is equivalent to the complete annihilation of around 1,246,400,000,000 tonnes of antimatter. That's assuming zero energy loss to heat, [neutrinos][19] and radiation, which is unlikely to be the case in reality: You'll probably need to up the dose by at least a factor of twenty. Once you've generated your antimatter, probably in space, just launch it en masse towards Earth. The resulting release of energy (obeying Einstein's famous mass-energy equation, E=mc2) should be sufficient to split the Earth into a thousand pieces.

Greg Bear's novel, "The Forge Of God", contains an interesting refinement of this technique. Here, the antagonist instead generates antimatter in the form of a "slug" of anti-neutronium - superdense material massing a billion kilograms per cubic centimetre. This is fired into the Earth's core. Neutronium passes through ordinary matter as easily as a ball flies through the air, so the anti-neutronium slug doesn't annihilate immediately; rather, it builds up a protective sheath of plasma around it as it plunges downwards towards the Earth's core. It's then followed up by a slug of regular neutronium, which also falls into the core, at a time calculated to meet the first slug head-on at the exact centre of the Earth, where they annihilate themselves, and soon afterwards, the Earth itself. Highly space-efficient, and with the added bonus of all the energy being released at the Earth's core, where it can do the most damage. In the book, the antagonists simultaneously detonate nuclear warheads in certain oceanic trenches, to weaken the crust and allow the planet to be blown apart more easily.

Rearranging Earth into two planets - which, provisionally, is sufficient according to my current criteria - would take slightly less energy, but considerably more finesse.

**Earth's final resting place**: A second asteroid belt around the Sun.

**Comments**: trembling writes, "I still think that antimatter is crazy s**t, i.e. wouldn't want it on my flapjacks". Charles MacGee presents a very well-realised alternate source of explosives in his [blog][20]; this method involves generating the explosive energy by fusing together the lighter elements of Earth's mantle (magnesium and oxygen). Of course, this would involve the invention of an efficient magnesium fusion bomb. And then turning all of the Earth's mantle into bombs. How implausible! Well. Implausibility is a relative thing.

[Getting easier.][21]

**Feasibility rating**: 4/10. _Just about_ slightly possible.

7. #### Sucked into a giant black hole

**You will need**: a black hole, extremely powerful rocket engines, and, optionally, a large rocky planetary body. The nearest black hole to our planet is 1600 light years from Earth in the direction of Sagittarius, orbiting V4641.

**Method**: after locating your black hole, you need get it and the Earth together. This is likely to be the most time-consuming part of this plan. There are two methods, moving Earth or moving the black hole, though for best results you'd most likely move both at once. See the [Guide to moving Earth][15] for details on how to move the Earth. Several of the methods listed can be applied to the black hole too, though obviously not all of them, since it is impossible to physically touch the black hole, let alone build rockets on it.

**Earth's final resting place**: part of the mass of the black hole.

**Feasibility rating**: 6/10. Very difficult, but _definitely_ possible.

**Sources**: The Hitch Hiker's Guide To The Galaxy, by Douglas Adams; [space.com][22].

**Comments**: It's clear that dropping the Earth into a singularity is massive overkill. A reasonably strong gravitational field, such as might be associated with any body between Jupiter and a neutron star, would be sufficient to rip the Earth apart via tidal forces. These possibilities are dealt with further down.

8. #### Meticulously and systematically deconstructed

**You will need**: a mass driver. A mass driver is a sort of oversized electromagnetic railgun, which was once proposed as a way of getting mined materials back from the Moon to Earth - basically, you just load it into the driver and fire it upwards in roughly the right direction. Your design should be powerful enough to hit escape velocity of 11 kilometres per second.

At a million tonnes of mass driven out of the Earth's gravity well per second, this would take 189,000,000 years. One mass driver would suffice, but ideally, lots (i.e. trillions) would be employed simultaneously. Alternatively you could use space elevators or conventional rockets.

**Method**: Basically, what we're going to do here is dig up the Earth, a big chunk at a time, and boost the whole lot of it into orbit. Yes. All six sextillion tonnes of it.

We will ignore atmospheric considerations. Compared with the extra energy needed to overcome air friction, it would be a relatively trivial step to completely burn away the Earth's atmosphere before beginning the process. Even with this done, however, this method would require a - let me emphasize this - _titanic_ quantity of energy to carry out. Building a Dyson sphere ain't gonna cut it here. (Note: Actually, it would. But if you have the technology to build a Dyson sphere, why are you reading this?)

**Earth's final resting place**: Many tiny pieces, some dropped into the Sun, the remainder scattered across the rest of the Solar System.

**Feasibility rating**: 6/10. If we wanted to and were willing to devote resources to it, we could start this process RIGHT NOW. Indeed, what with all the gunk left in orbit, on the Moon and heading out into space, we already have done.

**Source**: this method arose when Joe Baldwin and I knocked our heads together by accident.

**Comment**: Could this also be achieved with a titanic, solar-powered electromagnet?

9. #### Pulverized by impact with blunt instrument

**You will need**: a big heavy rock, something with a bit of a swing to it... perhaps Mars.

**Method**: Essentially, anything can be destroyed if you hit it hard enough. ANYTHING. The concept is simple: find a really, really big asteroid or planet, accelerate it up to some dazzling speed, and smash it into Earth, preferably head-on but whatever you can manage. The result: an absolutely spectacular collision, resulting hopefully in Earth (and, most likely, our "cue ball" too) being pulverized out of existence - smashed into any number of large pieces which if the collision is hard enough should have enough energy to overcome their mutual gravity and drift away forever, never to coagulate back into a planet again.

A brief analysis of the size of the object required can be found [here][23]. Falling at the minimal impact velocity of 11 kilometres per second and assuming zero energy loss to heat and other energy forms, the cue ball would have to have roughly 60% of the mass of the Earth. Mars, the next planet out, "weighs" in at about 11% of Earth's mass, while Venus, the next planet in and also the nearest to Earth, has about 81%. Assuming that we would fire our cue ball into Earth at much greater than 11km/s (I'm thinking more like 50km/s), either of these would make great possibilities.

Obviously a smaller rock would do the job, you just need to fire it faster. Taking mass dilation into account, a 5,000,000,000,000-tonne asteroid at 90% of light speed would do just as well. See the [Guide to moving Earth][15] for useful information on manoeuvring big hunks of rock across interplanetary distances. For smaller chunks, there are more options - a Bussard Ramjet (scoop up interstellar hydrogen at the front and fire it out the back as propellant) is one of the most technically feasible as of right now. Of course, a run-up would be needed...

**Earth's final resting place**: a variety of roughly Moon-sized chunks of rock, scattered haphazardly across the greater Solar System.

**Feasibility rating**: 7/10. Pretty plausible.

**Source**: This method suggested by Andy Kirkpatrick

**Comments**: Earth is believed to have been hit by an object the size of Mars at some point in the distant past before its surface cooled. This titanic collision resulted in... the Moon. You can download a simulated video of the impact from [this page][24]. While the Mars-sized object in question obviously didn't hit Earth nearly as hard as we're proposing with this method, this does serve as a proof of concept.

Many useful planetary facts can be found [here][25].

10. #### Hurled into the Sun

**You will need**: [Earthmoving equipment][15].

**Method**: Hurl the Earth into the Sun, where it will be rapidly melted and then vaporized by the Sun's heat.

Sending Earth on a collision course with the Sun is not as easy as one might think. Contrary to popular opinion, Earth's orbit is not "unstable" and Earth will not begin to spiral into the Sun if we give it the slightest of nudges (otherwise, you can bet it would have happened already). It's surprisingly easy to end up with Earth in a loopy elliptical orbit which merely roasts it for four months in every eight. Careful planning will be needed to avoid this.

There is at least [one way][15] of moving the Sun itself. Although the Sun is much bigger, and the Earth would be carried along by its gravity, it might be possible accelerate the Sun hard enough that it eventually catches the orbiting Earth, with the same net result.

**Earth's final resting place**: a small globule of vaporized iron sinking slowly into the heart of the Sun.

**Comments**: As far as [energy changes][18] are concerned, this method is inferior to the next one.

This method is essentially a variation on the Solar Oven method listed above, wherein you bring the Sun to the Earth (in a manner of speaking).

**Feasibility rating**: 9/10. Impossible at our current technological level, but will be possible one day, I'm certain. In the meantime, may happen by freak accident if something comes out of nowhere and randomly knocks Earth in precisely the right direction.

**Source**: [Infinity Welcomes Careful Drivers][26], by Grant Naylor

11. #### Ripped apart by tidal forces

**You will need**: [Earthmoving equipment][15].

**Method**: When something (like a planet) orbits something else (like the Sun), the closer in it is, the faster it orbits. Mercury, the closest planet to the Sun, moves faster along its path than Earth, which in turn moves faster than Neptune, the furthest planet.

Now, if you move Earth close enough to the Sun, you'll find that it's close enough that the side of the Earth facing the Sun wants to orbit the Sun _faster_ than the side pointing away from it. That causes a strain. Move Earth close enough, within an imaginary boundary called the _Roche Limit_, and the strain will be great enough to literally tear the planet Earth apart. It'll form one or more rings, much like the rings around Saturn (in fact this may be exactly where Saturn's rings came from). So our method? Move the Earth to within the Sun's Roche limit. Or, better, move it _out_, to Jupiter.

Moving the Earth out to Jupiter is much the same as moving the Earth in towards the Sun, the most obvious difference being your choice of vectors. However, there is another important consideration, and that is energy. It takes energy to raise or lower an object through a gravity field; it would take energy to propel the Earth into the Sun and it would take energy to propel it into Jupiter. When you [do the calculations][18], Jupiter is actually rather preferable; it takes about 38% less energy.

Alternatively, it may be simpler to move Jupiter to Earth. The theory works like this: build a massive free-standing tower or "candle", with its lower end deep inside Jupiter's depths and its upper end pointing into space. Put machinery inside the tower to pull hydrogen and helium gases in as fuel, through ports in the middle section, and vent these elements out through fusion thrusters at the top and bottom. The tower is called a "candle" because it burns at both ends, see? Now: the flame directed downwards into Jupiter serves to keep the tower afloat (although some secondary thrusters would be needed to also keep it stable and upright). But this lower flame has no direct effect on the Jupiter/candle system as a whole, because all the thrust from the flame is absorbed by Jupiter itself. The two objects are locked together, as if the candle is balanced on a spring or something. The _top_ flame, therefore, can be used to push both the candle and Jupiter along. The top flame pushes the candle which pushes the planet. This is a little unorthodox, and it only works on gas giants, but as means for moving planets it's at least as plausible as the mass-driver and gravity-assist methods described on the [earthmoving][15] page.

**Earth's final resting place**: lumps of heavy elements, torn apart, sinking into the massive cloud layers of Jupiter, never to be seen again.

**Feasibility rating**: 9/10. As before, impossible at our current technological level, but will be possible one day, and in the meantime, may happen by freak accident if something comes out of nowhere and randomly knocks Earth in precisely the right direction.

**Source**: Mitchell Porter suggested this method. Daniel T. Staal clued me in on the fusion candle technique, which he got from [this Shlock Mercenary comic][27], which in turn was inspired by the novel "A World Out Of Time" by Larry Niven.

### Fall-back methods

If your best efforts fail, you needn't fret. Nothing lasts forever; the Earth _is_, ultimately, doomed, whatever you do. The following are ways the Earth could _naturally_ come to an end. (They're no longer in feasibility order since it reads better this way.) Bear in mind that none of these will require any activity on your part to be successful.

1. #### Total existence failure

**You will need**: nothing

**Method**: No method. Simply sit back and twiddle your thumbs as, completely by chance, all two hundred thousand million million million million billion trillion atoms making up the planet Earth suddenly, simultaneously and spontaneously cease to exist. Note: the odds against this actually ever occuring are considerably greater than a googolplex (1010100) to one. Failing this, some kind of arcane (read: scientifically laughable) probability-manipulation device may be employed.

**Current feasibility rating**: 0/10. Even if you look at the significantly greater probability of the Earth randomly rearranging itself into separate two planets, this is utter, utter rubbish.

**Source**: Life, The Universe And Everything, by Douglas Adams.

2. #### Written off in the backlash from a stellar collision

**You will need**: another star. White dwarf is good, but we're not fussy.

**Method**: Crash your star into the Sun.

The interactions between the two stars in this very violent stellar event will cause more fusion to occur inside the Sun than normally does in 100,000,000 years. The result is not unlike a supernova explosion, though slower - a staggering amount of matter and energy is released outwards, burning the Earth to a crisp and firing it into interstellar space at best, completely incinerating it at worst.

**Earth's final resting place**: burnt pieces.

**Feasibility rating**: 4/10. This is listed under natural methods because there is absolutely no way you can move a star. Well, there are ways and means, but if you can move a star, why not _move the Earth into that star_? And the chances of this happening - even considering that in two billion years' time the Milky Way is going to collide with Andromeda - are very, very slim. Calculations suggest that the number of actual stellar _collisions_ that are likely to occur in [that exchange][28] will be SIX. Six chances in about a hundred billion.

Hmm. That's actually pretty high for this list. Make it 5/10.

**Source**: This method suggested by Eric Thompson.

**Comments**: See the supernova entry below for more about this Andromeda collision.

3. #### Swallowed up as the Sun enters red giant stage

**You will need**: patience

**Method**: Simply wait for roughly 5,000,000,000 years. During its natural progress along the Main Sequence, the Sun will exhaust its initial reserves of hydrogen fuel and expand into a red giant star - swallowing up Mercury, Venus, Earth and Mars in the process.

**Earth's final resting place**: Boiling red iron in the heart of the Sun.

**Feasibility rating**: 8/10. It is possible that the increasing solar wind combined with the Sun's decreasing mass will result in the Earth gradually moving out to a wider, cooler, safe orbit, but [most recent work][29] suggests that this method is sound.

4. #### Crunched

**You will need**: considerably more patience

**Method**: Our universe is rapidly expanding in all directions. It will likely continue to do so for a very, very long time. After that time, _if_ the density of matter in the universe is greater than a certain critical value, the universe will slow to a stop due to mutual gravitational attraction, and, roughly 42,000,000,000 years from now, collapse back together again, in a reversal of the Big Bang called the [Big Crunch][30]. Conditions during the Big Crunch will be similar to those during the Big Bang: mind-boggling heat, matter ripped to subatomic particles, fundamental forces such as gravitation and electromagnetism merging back together, that sort of thing. Yes, Earth would be destroyed. So would the rest of the universe. A tiny sphere of iron stands little chance against conditions like that.

**Earth's final resting place**: Quark-gluon plasma? Pure energy? Part of the _next_ universe?

**Feasibility rating**: 8/10. Plausible. Assumes that the Big Crunch will actually occur at all, which is currently in question.

**Source**: Nick Snell suggested this method.

5. #### Torn a new one

**You will need**: about half as much patience

**Method**: Recent experimental results seem to show that the expansion of the universe is not slowing as one might imagine it would. In fact, the expansion is accelerating. It's a bit early to say with confidence why this is happening, though phrases like "dark matter" and "phantom energy" pop up pretty frequently, but anyway, it's conjectured that if the ratio _w_ of dark energy pressure to dark energy density in the universe is around -3/2 (buh?), then something of the order of 20,000,000,000 years from now, the universe would expand, accelerating in its expansion until it was ripped apart at the seams. To quote [Wikipedia][31]'s entry: "First the galaxies would be separated from each other, then gravity would be too weak to hold individual galaxies together. Approximately three months before the end, solar systems will be gravitationally unbound. In the last minutes, stars and planets will come apart, and atoms will be destroyed a fraction of a second before the end of time." Cool, eh?

**Earth's final resting place**: HAH! If I knew that, I wouldn't need aftershave.

**Feasibility rating**: 8/10. Likely. Assumes the Big Rip theory is correct, which it probably is, but might not be.

**Source**: a theory proposed by Robert R. Caldwell, Marc Kamionkowski, and Nevin N. Weinberg in February 2003. Read it [here][32] (PDF warning! Also, dense, difficult physics!). Brought to my attention by Jonah Safar and nanite.

6. #### Decayed

**You will need**: all-surpassing patience

**Method**: If the Big Crunch doesn't happen, and the Big Rip doesn't happen either, then we come back to the third option: the Big Chill. For this, the universe will just expand, forever. The laws of thermodynamics take over. Every galaxy becomes isolated from its neighbours. All the stars burn out. Everything gets colder until it's all the same temperature. And after that, nothing ever changes in the universe. For eternity.

A lot can happen in an eternity. Protons, for example, while incredibly stable, are believed to eventually decay like any other particle. So simply wait for a period of time of the order of 1,000,000,000,000,000,000,000,000,000,000,000,000 years, and roughly half of the constituent particles of Earth will have [decayed into positrons and pions][33]. If that's still too much like a planet for you, you could wait for another 1036 years, leaving only a quarter of the original Earth. Or wait even longer. Eventually there will be as little of Earth left as you wish.

**Earth's final resting place**: Miscellaneous positrons and gamma radiation (pions decay almost instantly into gamma ray photons) scattered thinly across the entire universe.

**Comments**: It's interesting to compare this method with the one right at the top (total existence failure). What we are essentially doing here is almost exactly the same thing, only instead of expecting _every_ particle to disappear at once, we are waiting patiently for a significant proportion of them to disappear, one at a time, over the course of an unimaginable period of time. Essentially we've come full circle. The scientific theories involved are the same, it's just the time scale being considered which changes the feasibility rating from "astoundingly improbable" to:

**Feasibility rating**: 9/10. If all else fails, this one would be essentially unstoppable...

**Source**: This method suggested by Joseph Verock.

Bobby Florea suggested to me the intriguing idea that "Evolve an Earth-destructive form of life" might count as an additional natural method for destroying the Earth. Given that we are here, and you are reading this article, it seems like this is the plan which is furthest along at the moment. Of course, this could simply be taken to be "step zero" in all the artificial methods listed above, and not an original method at all...

### Other, less scientifically probable ways that Earth could be destroyed

Here are kept the methods which sound good on paper, but might not necessarily actually work, because the science they are based on isn't necessarily valid. Read on.

1. #### Whipped by a cosmic string

**You will need**: a cosmic string and a whole lotta luck

**Method**: Cosmic strings are hypothetical 1-dimensional defects in spacetime, left over from earlier phases of the universe, somewhat like cracks in ice. They are potentially universe-spanning objects, thinner than a proton but with unimaginable density - one Earth mass per 1600m of length! All you need to do is get a cosmic string near Earth, and it'll be torn apart, shredded, and sucked in. Probably the entire rest of the solar system would be too.

**Earth's final resting place**: String.

**Feasibility rating**: 1/10. Mind-bogglingly unlikely. Even if cosmic strings do exist, which they may not, there are probably only about ten of them left in the ENTIRE UNIVERSE. And they can't be steered, unless you have godlike powers, in which case you might as well chuck the Earth into the Sun and have done with it, so you're relying entirely on luck. This. Will. Never. Happen.

**Source**: this method suggested by Dan Winston.

2. #### Gobbled up by strangelets

**You will need**: Some [strange matter][34].

Strange matter is a phase of matter which is even more dense than neutronium. It's theorized to form in particularly massive neutron stars when the pressure inside them becomes just too great for even neutronium to exist: the individual neutrons comprising the neutronium are instead broken down into strange quarks. The neutron star then becomes a "strange star" which is essentially a single gigantic nucleon.

Some theories suggest that a lump of strange matter ("strangelet") could remain stable outside of the intense pressure which created it. This would make it theoretically possible for strangelets of sizes all the way down to the atomic scale to exist. It's further theorized that the gravitational field of a microscopic strangelet would be enough to gobble up anything it comes in contact with, turning it into more strange matter.

**Method**: Hijack control of a particle accelerator. I suggest the [Relativistic Heavy Ion Collider][35] in Brookhaven National Laboratory, Long Island, New York. Use the RHIC to create a strangelet large enough to remain stable. Once created, your job is done: relax and wait as the strangelet plummets through to the Earth's core, where it will eventually swallow up the entire Earth.

**Earth's final resting place**: a tiny glob of strange matter, perhaps a centimetre across.

**Feasibility rating**: 3/10. Evidence for the existence of strange matter is sketchy at best; there are [a few neutron stars][36] which look too small to be made of neutronium, there are [a few earthquakes][37] which might have been caused by a microscopic strangelet passing through the Earth at high speed, but that's about it. And even if it were possible that small stable strangelets could exist and swallow matter up in the manner described, the odds of forming one in a particle accelerator are [pretty much zero][38].

3. #### The Supernova Method

See: [The Supernova Method][39]

4. #### Shaken to pieces

See: [Tesla's Earthquake Machine Method][40]

5. #### Reduced to true vacuum

**You will need**: An expanding bubble of true vacuum decay.

Some scientific theories tell us that what we may see as vacuum is only vacuum on average, and actually thriving with vast amounts of particles and antiparticles constantly appearing and then annihilating each other. However, it's postulated that at any time a small bubble of this "false vacuum" could spontaneously decay into genuinely empty "true vacuum". Usually such a bubble would contract to nothingness instantly, but under the right conditions it could expand forever, eventually destroying the entire universe.

**Method**: There's no method here because such bubbles are quantum effects which can only really come into existence spontaneously, not by human machinations. You just have to wait for it to happen.

**Earth's final resting place**: Unknown.

**Feasibility rating**: 1/10. Firstly, this might be total bunk. Secondly, if it isn't total bunk, the odds against this ever happening are clearly astronomical. It's never happened at any time in the last 13.7 billion years; it seems unlikely to happen anytime soon.

**Source**: This method suggested by Adam Mansbridge.

6. #### Wormholed

**You will need**: A stable Einstein-Podolsky-Rosen bridge, a.k.a. a wormhole.

**Method**: Depending on how powerful your technology is, there are a variety of possible methods. Bridging the centre of the Earth with the centre of the Sun would do the trick very efficiently, with the Sun's million-degree heat instantly boiling the Earth from the inside.

Alternatively, open a large wormhole at the Sun's core and the other end in deep space, rapidly venting all the Sun's fuel and hastening its transition to the Red Giant stage. Drain all this fuel rapidly enough and you might even be able to cause a supernova.

You could even bridge the Earth's core with deep space, causing it to implode - although the toothpaste-shaped remnant appearing at the other end may well collapse back to form a planet again.

**Earth's final resting place**: Variable.

**Feasibility rating**: 2/10. Wormholes probably aren't actually scientifically possible, and even if they are: opening one at the centre of the Sun? Come on.

**Source**: This method suggested by Daniel Swartzendruber.

7. #### Existence negated via time travel

**You will need**: a time machine, heavy rock-moving equipment/explosives.

**Method**: Using your time machine, travel back in time just over 4,500,000,000 years to shortly (i.e. a few billenia) before the formation of the Earth. What you should find in its place is a young Sun and an accretion disc formed of the dusty/rocky material that will later become our Solar System. Find the patch of material that is likely to condense into the Earth. Now blow up, split apart and otherwise stir up the material so that it never gets a chance to come together and form the Earth. Return forwards in time in several hundred-million-year jumps, repeating the process each time so that no planet of any kind ever forms at roughly 1 AU from the Sun. If you make an error, simply go back in time and try again.

If your time machine is more resilient, or you don't mind dying, you could consider going further back in time. The further you go, the less you need to change the universe to prevent the Earth ever forming. Go back to a few billionths of a second after the universe began and just by being there you'll completely alter the face of the universe to come... although it was pretty hot back then...

**Earth's final resting place**: When you finally return to the present day, you will be left with a largish asteroid belt where Earth should be. Alternatively, you may find that the matter has been assimilated into the bodies of other planets or the Sun.

**Feasibility rating**: 1/10. This method relies on fictional technology and has no basis in real events or scientific theory. Time travel in this way is almost certainly impossible.

**Comments**: My good friend Rob rightly informs me that this course of action does not strictly speaking "destroy" the Earth - there is no actual destruction event in which the Earth goes from existing to not existing. What one ends up with instead is a universe in which the Earth does not and never did exist.

Destroying Rob proved remarkably easy.

8. #### Destroyed by God

**You will need**: God

**Method**: Far be it from me to dictate whether God does or does not exist, but if he did, and was omnipotent, then no doubt he could destroy the Earth at a mere thought if he should decide to. Of course, the question arises of how we persuade him to do this.

The first idea which springs to mind is to simply bring about the Apocalypse described in the Christian Bible. Assuming the book of Revelation is an accurate, literal depiction of future events, verse 1 of chapter 21 reads "Then I saw a new heaven and a new earth, for the first heaven and the first earth had passed away, and there was no longer any sea".

It seems astounding that the complete destruction of an entire planet (and heaven too) would only be worth a single sentence in this lengthy account of the End Times. But on the other hand, verse 5 of the 104th Psalm reads "He [God] set the Earth on its foundations; it can never be moved", and there are other verses like this, so maybe:

    1. the New International Version of the Bible has "earth" written with a lower-case "e", which suggests that this verse could merely refer to, you know, _the ground_
    2. this verse could be merely metaphorical - after all, so is the creation story described in Genesis
    3. it could be that the new Earth is the same as the old Earth, and "new" just means it was "wiped clean" in some sense, like an Etch-A-Sketch

In all three cases, the new Earth would still need destroying for real.

Another suggestion, should Judaic mythology turn out to be correct, is finding and killing one or more of the [_Lamed Vav Tzadikim_][41], 36 righteous men whose role in life is to justify the purpose of mankind in the eyes of God. If even one of these is missing, it is said the world would come to an end. Practically speaking, it would probably be easier to wipe out humanity than to find one of these individuals, who do not themselves know who they are.

**Comments**: It is of course entirely possible that the means God would choose to use to destroy the Earth would be a natural, non-miraculous event such as one of those listed above.

**Earth's final resting place**: potentially any form, anywhere.

**Feasibility rating**: this, naturally, is entirely subjective.

9. Mike Trainor writes, "Just because we don't have the technology to destroy the planet doesn't mean no one else in the universe does. What you need to do is to point our most powerful radio-telescope transmitters at likely solar systems and taunt them. 'The girly-beings in your miserable solar system could _never_ destroy a planet as cool as this one...'" Thanks, Mike. We'll get [SETI][42] on it.

### Methods from fiction

This section got too big for its shell so I moved it to a [separate page][43].

### Things which will NOT destroy the Earth

* Nanotechnology. Let's be clear here: nanotechnology is nothing more than a means to an end. Programming some sort of self-replicating von Neumann machine to eat the entire Earth up has its own massive problems (like, won't the ones at the bottom be crushed into their constituent atoms?), but even if it worked - you haven't destroyed the Earth. You've just got a planet made of nanobots that still needs destroying somehow. Program them to hurl themselves into space? Well, that's Meticulous Deconstruction, above.
* #### Chilled

**You will need**: The capability to reduce the entire planet Earth to the microscopic temperatures necessary to cause it to revert to a [Bose-Einstein condensate][44].

**Method**: It's well known and reasonably well-understood that substances at extremely low temperatures can get to the point where quantum phenomena start to have macroscopic, i.e. visible, effects. For example, it can just climb right out of a container, defying gravity. As to why, you would need some quantum physics under your belt.

Could the same work for a whole planet? Could a sufficiently cold body (if it were shielded from the heat of the Sun and ambient background microwave radiation) just spontaneously begin to dissipate into space?

Another idea is to use strong magnetic fields on the condensate to cause it to display what is currently referred as an [unusual characteristic][45], undergoing something approximating a stellar supernova on a tiny scale: imploding on itself and then exploding, with a substantial fraction of the atoms involved disappearing entirely!

**Feasibility rating**: 4/10. The first idea may work, but the second one probably won't. This is because the experiment specifically used rubidium-85 atoms having a "negative atom-atom scattering length". I don't know what that is, but it sounds unusual for an atom, and we know for a fact that most of Earth is not made up of rubidium-85. Plus, the "disappeared" atoms didn't actually vanish, they just escaped the experiment system under high enough energy that they weren't detected escaping. And of course, generalising quantum phenomena to gigantic scales is never a great idea.

* #### Gamma Ray Burst'd

**You will need**: a star in Earth's stellar neighbourhood with >40 solar masses. Such massive stars are hard to come by; even Betelgeuse has only 20 solar masses. The best candidate I know of is Eta Carinae, which has over 120 solar masses but is ~7500 light years away.

**Method**: Gamma ray bursts are powerful, short-lived floods of gamma ray photons. GRBs come in two flavours, short (less than 2 seconds) and long (2 seconds to about 3 minutes); the latter are believed to be caused by stellar explosions called hypernovae, hundreds of times more violent than ordinary supernovae. Such stars are usually billions of light years away when they explode - the fact that we can detect them at this range should tell you enough about how powerful a hypernova is. So how about triggering one locally? Any such explosion within about 20 light years would probably be violent enough to destroy the Earth itself.

**Feasibility rating**: 0/10. This method was originally listed above, but astronomer Stephen Thorsett set me straight. It wouldn't work. Even in the titanic quantities described above, gamma rays wouldn't make a dent in Earth's actual, physical structure.

**Sources**: Lycurgus suggested this method. Further information from [nasa.gov][46].

* #### Burned away by muon-catalyzed fusion of the oceans

**You will need**: a supply of muons.

**Method**: The theory runs like this. A muon is a negatively-charged particle somewhat like an electron. If you dump a load of muons into some hydrogen, then some of the muons will replace the electrons in the hydrogen atoms. Because of the mass difference, the hydrogen atoms will suddenly get much smaller, causing the hydrogen molecules to be much closer together; enough that the probability of the hydrogen nuclei just randomly fusing with each other is high.

So, if you instead poured your muons into the oceans, they could cause the deuterium chemically combined with the water in the oceans to spontaneously begin undergoing fusion reactions. In theory, the amount of heat/energy released by the fusion of all the water in the world would be enough to destroy it by a good few orders of magnitude.

**Feasibility rating**: 0/10. All known muons decay in a few microseconds - fairly long for an exotic subatomic particle, but still too short to be practical, so unless you can generate your muons in bulk, for free, you don't reach energy break-even, and the fusion stops as soon as it starts instead of being self-sustaining.

**Sources**: Muon-catalyzed fusion was theorized in the late 1940s by Andrei Sakharov, and brought to my attention by Jef Poskanzer.

**Comments**: This method was never listed as plausible, but I put it up here anyway because the idea itself is intriguing, even if it wouldn't work.

* #### Blown up by vacuum energy detonation

**You will need**: some means of extracting huge amounts of energy from the vacuum.

**Method**: Some scientific theories tell us that what we may see as vacuum is only vacuum on average, and actually thriving with vast amounts of particles and antiparticles constantly appearing and then annihilating each other. It also suggests that the volume of space enclosed by a light bulb contains enough vacuum energy to boil every ocean in the world. Therefore, vacuum energy could prove to be the most abundant energy source of any kind. Which is where you come in. All you need to do is figure out how to extract this energy and harness it in some kind of power plant - this can easily be done without arousing too much suspicion - then surreptitiously allow the reaction to run out of control. The resulting release of energy would easily be enough to annihilate all of planet Earth and probably the Sun too.

**Earth's final resting place**: a rapidly expanding cloud of particles of varying size.

**Feasibility rating**: 0/10. This method was originally listed as plausible, but Alan Thomas set me straight: there are about [five different ways][47] to calculate the energy of the vacuum, all giving different answers. The methods which give the answers "large" or "infinite" are predicated on dodgy mathematics and almost certainly wrong.

**Source**: [3001: The Final Odyssey][48] by Arthur C. Clarke

* Allowing George W. Bush to continue to exercise his will on the world. If you think this, you're completely missing the point. The power to destroy the Earth does not currently exist, and Bush's administration is not actively seeking to create such technology. Whatever Bush does, whatever the backlash from his policies on Iraq and oil and global warming, he _cannot_ destroy the planet.
* Paradoxes as described in [Back To The Future Part II][49]. By definition, a paradox cannot actually come into existence.
* Ceasing all thought (if the Earth is not observed, then how can it exist?). Philip K. Dick said it best: "Reality is that which, when you stop believing in it, doesn't go away."
* Semantics. A few people suggested exploiting a loophole in my mission statement and moving the Earth into orbit around a gas giant, making it a _moon_ rather than a planet, or hurling it into interstellar space where it would become a wandering interstellar object. Yeah, yeah, very clever. _Get back to work_.
* Adding enough material to the planet Earth to cause it to undergo gravitational collapse and become a _star_ instead of a planet. The main problem I have with this is that the Earth is made mainly from heavy, pre-fused elements. Most of it is iron which simply won't undergo fusion at all. The amount of material you'd have to add to the Earth would be massive enough to be a star in its own right, and at the end of X billion years when it stops shining you'd _still_ have a core of iron remaining in orbit around the Sun!

Of course, someone suggested you could add still more material until it becomes a star heavy enough to go supernova, so I'm going to come clean here: I have an irrational dislike of this method. It's not going in. Sorry.

* Detonating all the nuclear weapons ever created simultaneously, either all at one location or strategically placed around the globe. This will irradiate pretty much the entire globe and kill an awful lot of people, animals and plants, but will actually destroy very little of the planet itself.
* Proving that 1=0.

If 1 did indeed equal 0, so it is reasoned, then since there is 1 Earth, there must be 0 Earths... so, if one could prove it, the Earth would cease to exist. This is specious logic. Finding a proof in mathematics does not magically change a fact from being false to being true. It merely _verifies rigorously_ as true a fact that _always was_ true. Thus, if 1=0 could be proved, then it would always have been true and the Earth should never have existed. But Earth is still here. QED.

In fact it would be impossible for there to even exist a universe in which 1 was equal to 0. For any mathematical system in which 1=0, it is extremely trivial to prove, in addition, that 1=2, 2=3, and in fact that every number is equal. Or, in other words, the mathematical system has only one number in it, 0. In a universe which obeyed such laws, there would be nothing at all.

* [Runaway fission at the Earth's core][50], as proposed by Tom Chalko. It is true that while the Earth is mainly iron, there are significant quantities of other trace elements present, including fissile materials like uranium, thorium and - get this - radioactive potassium which have sunk to the core where [latest studies][51] suggest where they are indeed undergoing fission, generating heat and keeping the interior of the Earth warm. However, if a nuclear explosion did occur at the core, it would be insulated from the surface by _sixty-three hundred kilometres of liquid iron_.
* Gay marriage.

### General geocide strategy

Destroying the Earth is not as easy as pressing a big red button. It takes decades of hard work.

* #### Planning

Without a plan, you have nothing. Sooner or later you WILL hit a snag and find yourself unable to continue: government agents will start lasering their way through your door, or you'll have your superweapon ready and armed but nowhere safe to stand when you fire it, or you'll just plain run out of money. You need to plan for as many eventualities as you can conceive of, as early as possible. When I say early, I mean early: ideally your plan should be at least 50% complete by the time you leave high school, because your career choices will be a very significant factor. You should have picked your method by this time too. (The list above isn't necessarily complete - if you come up with a better way of your own, good luck to you.) Once you have picked your method, STICK TO IT.

Assuming, of course, that you and whatever trusted advisors you will allow to side with you do not intend to "go down with the ship", it is particularly advisable to make plans for alternate living arrangements _before_ you embark on a course of action which may result in the destruction of the Earth. Since in most cases the hypertechnology required to actually destroy the Earth is ridiculously advanced, access to an interstellar spacecraft, a space station or another habitable planet is likely to be well within your grasp, but this is not something you want to start making assumptions about.

* #### Careers

At this point you need to make a very significant decision: are you going to design your doomsday machinery (all of the above methods except Total Existence Failure require a greater or lesser amount of machinery) yourself, or are you going to employ somebody else to do it for you? Unless you are an extremely gifted scientist and you really can destroy the Earth from your laboratory (which is not impossible; see the Strangelet or Von Neumann Machine methods), you're fairly likely to pick the latter.

If you do decide to design (and possibly build) this thing yourself, you'd be advised to pursue mainly sciences, with the main emphasis on physics (quantum, atomic, and astrophysics in particular), but also some electronic and mechanical engineering, mathematics and possibly robotics. After this, get a job working with the technology you hope to harness, build your doomsday machine in your lab, and bam, you're done.

If you _don't_ decide to design your doomsday device yourself, and from here on, I'll assume that this is what you decided, then the plan becomes rather more complicated and your career choices will be very different. Your time in secondary and higher education would probably be best invested studying finance, economics and politics, brushing up your management, speaking and people skills, honing your powers of persuasion, and learning to exude charisma. Charisma is a big one. These skills will enable you to hopefully ascend to a position where you have access to three things:

    1. **money**,
    2. **resources** and
    3. **manpower**.

**If this is a lab project** as described above then you'll need relatively little of all of these; enough money to run a lab, resources to keep it stocked, and manpower in the form of one or more brilliant scientists to (knowingly or otherwise) construct your doomsday device. That suggests that the best place to seek employment would be at a research institution for the areas of science you hope to employ, or maybe an organization like [Boeing][52] or [NASA][53]... failing that, found the organization yourself!

**If this is a big, possibly space-based project** then you will need MUCH more to work with. You need to either work in politics or the armed forces. Politics would be an excellent choice. I say without cynicism that today, of all the people in the world, the President of the United States of America would be the person most likely to be able to destroy the Earth should he decide to. If you feel you lack the ability to make it in politics (knowledge of your weaknesses is a strength), you should join the armed forces and shoot for Supreme General or whatever the highest rank is.

Nancy Lebovitz suggested religion as an alternate means of gaining resources, money and manpower. Religion is undeniably a very powerful force. If you could set yourself up as a religious leader you could potentially gain a lot of supporters - who would be much more dedicated to you as a leader than a soldier would be to his general or a citizen to his King/President/Supreme Dictator-For-Life. Setting oneself up as a new prophet doesn't seem to attract much more than scepticism in this day and age, so unless you were very persuasive, you'd probably experience greatest success by hijacking an existing mainstream religion for your own ends. One potential pitfall is that there's a limit to what your followers can provide you in terms of monetary offerings and labour. Manpower alone is not enough. You'd still need at least one scientific mastermind, and frankly I see scientific masterminds as being among the least likely to follow you... But this is a kink you should be able to work out.

Of course, by the time it becomes even possible to destroy the Earth, Madagascar might be the dominant superpower, or the whole world might be unified as a single nation, or maybe the whole galaxy is full of humans, there's no such thing as money, and solid platinum asteroids and robot workers are plentiful. I don't know. Whatever you can manage. Anyway, once you have everything you need at your disposal, make the calls, submit your proposals, and set the project in motion.

* #### Your base

At this point you will probably need to set up some sort of base of operations. It should be at a safe distance from Earth. Lurking at least one AU out of range of whatever terrible destructive force you are about to unleash is strongly recommended in most cases, but for the supernova particularly you'll want to put as much as a thousand light years between yourself and the Earth when it happens. If you _have_ to be physically on Earth to begin the destruction process (e.g. hurled into Sun, antimatter blast), then _set a countdown_. Make sure the countdown timer is a) thoroughly tested and b) _tamper-proof_. The same goes for your escape route offplanet.

If you are currently Supreme Dictator of Earth, you could simply announce your intentions directly to your enslaved populace with relative impunity. If you can come up with some really, really good reason for destroying the Earth which people will actually agree with - for example, you want to build a far more spacious Banksian Orbital (or many of them) instead - then getting humanity on your side will prove incalculably useful. However, as a rule, you will probably want to keep the true purpose of your project secret from as many people as possible for as long as possible.

Some methods are much easier to cover up than others, and this should have been a major factor in your initial choice of method. If absolutely nobody apart from you knows the true purpose of your supernova-inducer until two hours after it becomes too late to turn it off, so much the better. Despite this, you should plan for (and construct your base in preparation for) your project to ultimately become public. This could occur at any time, you might have months, hours or seconds to go. This is actually the biggest potential stumbling block, and a situation you'll have to prepare for very, very carefully. Depending on how much time your opponents have to act, how powerful they are, and whether you _know_ they know or not, they might make anything from a very desperate move (launching nukes at your space station regardless of the thousand innocent hostages on board) to a very subtle one (invisibly manipulating you into employing one of their undercover agents in your laboratory security forces). Your base will therefore need very strict security procedures, many layers of defence, and multiple redundancy and carefully programmed emergency overrides for every system, critical or not. You'll need weapons. And doors. Heavy doors. Assuming the worst, you personally should always be armed. If your base is in space you should permanently be wearing your space suit under your clothes. In case of betrayal, you should be able to run the entire show single-handedly from your locked-down control room, from which you should of course have an escape route.

_You should always, always, always have an escape route_.

See also [The Evil Overlord list][54] for lots more general advice on building bases, planning escape routes, handling enemy incursions, and other tangentially related topics.

* #### Finally

If the method you choose can be tried more than once (e.g. hurled into Sun, vacuum energy detonation), and your budget will stretch, you could consider practicing on smaller astronomical bodies and working your way up. For example, consider destroying Mercury, or Ceres. Don't forget to take notes on what went particularly well, what didn't work, what was unnecessary, etc., just so everything goes as smoothly as possible on the big day.

Take a camera. Most of the methods listed above are incredibly spectacular and witnessing them will probably be a once-in-a-lifetime opportunity for you, so remember to capture the moment.

And lastly, if all your efforts fail, don't give up! Remember, nobody has ever successfully destroyed the Earth.

### Credits

This whole shebang is the original concept of, written by and copyright © qntm. Please do not copy it and post it on your website! Just take the Preamble and provide a link here. Contributions and corrections are courtesy of "althorrat", "ambradley", "ariels", Dave Babbitt, Joe Baldwin, Jon Burchel, "C-Dawg", "cakedamber", Jon Carlson, Matthew Cetrangelo, "Cletus The Fetus", "DejaMorgana", Tobias Diedrich, "Draknet", Sandro Dunatov, Dominic Eldridge, Dave Feshy, "Fieari", Bobby Florea, Matthew Fogle, Daniel Franke, Richard Freeman, Aneesh Goel, "grendelkhan", David V. Gulliver, Tyler Hansen, Russell Harper, Jordy den Hartog, Rudy Hasspacher, Colby Hayward, Lars Hedbor, "J", Kevin A. Janka, Wyatt Johnson, Zachary Jones, William Keith, Robert Kern, Douglas B. Killings, Andy Kirkpatrick, John Kniha, Floris Kraak, L. Kraven, Samuel Laquedem, Nancy Lebovitz, Tom Ligon, "LordFrith", Scott Lujan, "Lycurgus", Gary Martin, S. Mattison, Robert McQueen, Douglas Merrill, Craig Musselman, "nanite", Ryan O'Connell, Marco Pagliero, Loren Pechtel, Nick Peirson, George Peterson, Mitchell Porter, Michael Pullmann, Steve R, "randombit", Toby Richards, Daniel W. Rickey, "Rikmach", John Routledge, "Rubyflame", Jonah Safar, John Sahr, Anders Sandberg, Raj Sandhu, James Scholes, Mike Schulte, "Shields", Drake Siard, Ian M. Slater, Lucian Smith, Nick Snell, Nelson Sousa, Jasper Spaans, "Starrynight", Mark Stokes, Jasmine Strong, Geoff Swift, John Tackman, "tdent", "Thane", M. Alan Thomas II, Eric Thompson, Stephen Thorsett, Sean Timpa, Mike Trainor, "trick.knee", "trembling", Daniel A. Turner, "Underblog", "Ungrounded Lightning", "unperson", Aras Vaichas, Joseph Verock, Linnea W, Matthew Wakeling, George Waksman, Edward Welbourne, Henry White, Michael Z. Williamson, Tom Wright and "zandrews". 

 

#### Next: [To destroy the Earth][55]

[Back to Geocide][3]  
[Back to Blog][2]  
[Back to Things Of Interest][1]  

### Discussion (38)

#### 2014-03-14 13:07:56 by Vedant Mishra:

> Can a planet emit energy

#### 2014-03-14 13:09:19 by Vedant Mishra:

> Please reply at itzvedanta@rediffmail.com

#### 2014-03-14 16:11:50 by Dorobuta:

> I favor the use of self replicating machines: gobble the earth up by using it to make more machines that gobble the earth up by making more machines... process is self-sustaining and accelerates.

#### 2014-04-02 23:17:55 by Steve Maurer:

> Same is missing one: sucked into a super-massive black hole. Or, more specifically, Andromeda's back hole.  
  
You see, Andromeda is falling towards us. And while galaxies are very very fluffy, a few parts of them aren't. There is, therefore, significantly more than a non-zero chance that in approximately 4 billion years or so, the center of that much larger galaxy might be passing in our local neighborhood, and given that the black hole therein is likely to weigh at least as much as 300,000 of our suns, it could quite easily have our entire solar system into it as a light snack.  
  
You will need: about 4 billion years. Not being already having died from the sun being a red giant. Bad luck.  
  
Not all of us would end up inside though. Quite a bit of the earth would be converted to energy in the accretion disk, and blasted out into space as x-rays.  

#### 2014-04-12 17:56:36 by Nothing:

> You think it not easy(impossible), but for me I do not believe it.

#### 2014-04-12 18:10:41 by Nothing:

> I want to destroy it to its last particle.

#### 2014-04-19 19:20:00 by Nobody:

> This blog is amazing. I learned so much from it. Now I can't decide whether to become an evil overlord or destroy the Earth!

#### 2014-05-11 16:18:16 by Butthole:

> 0=1, haha  
That's like preventing conciousness by denying existance.  
Dig a hole so big so that there is nothing but a whole hole.  
  
keep em coming!  

#### 2014-06-12 16:43:28 by Ketzer:

> Mass driver method needs math correction: as you progress in removing mass from Earth, gravity will decrease, meaning each unit will require less energy to dispose of than the previous.

#### 2014-06-15 02:20:45 by MrBubbleSS:

> I thought of another one, but it's pretty much impossible. I did the math on this myself with simple kinetic energy and ignored relativistic effects (with a little bit of looking up how much energy it takes to tear the Earth apart). If a single Hydrogen-1 particle was to strike the Earth (and transfer all energy) in the neighborhood of 1.5 sextillion times the speed of light, it would break the whole thing into pieces.

#### 2014-06-15 08:32:28 by qntm:

> What makes you think you can ignore relativistic effects?

#### 2014-06-26 01:26:18 by Squid:

> good point Sam  
there are acctually lots of ways that the earth can be destroyed that he did not put. there is a rumor of a star called nemisis that orbits in a HUGE orbit around the sun and it comed=s around about every 22mil years. there have been projects that show that something has been causing a pattern like this. there are layers of irridum in the crust and carbon-14 dating shows it comes at 22 mil year intervals. supposedly nemisis manipulates the astroid belt and the oort cloud and sends astroids towards the sun. astroids have irridium in them so that is one logical way that that happens. If we could figure out how to make nemisis move faster or replicate the effects of nemisis on the astroid belts and oort clud then we could potentially destroy the world.

#### 2014-06-26 01:29:07 by Squid:

> I honsetly cant think of other ways to destroy the world but this is a very intresting topic. i hope he posts more on this.

#### 2014-06-26 01:45:20 by Squid:

> Ohh!!!!! i though of more!!!! If you have seen stargate then you know about replicators. they are those von neuman machines but they have things that move them around and they cant be destroyed (except for throwing them in the sun.)  
The government could make a nova bomb (taking this idea from a mod from minecraft) that basically blows up and then it make the earth into a tiny ball that pulsates and eventually blows up scattering all the pieces all over the place. there could also be a virus that somehow used minerals in the earth to replicate and it wipes out the human race then it slowly eats away at the earth until all that is left is viruses floating in the vacuum of space, getting killed by cold and radiation from the sun. Hmm what else? or we could create a device that uses resources like dirt and stone to create more complex resources like iron and stuff. it would slowly use up the dirt and stuff and eventually it would have to start using the things it created to build more complex atoms. Wait... those would split when they started getting to be at the levels of thorium and stuff , therefore creating less complex atoms that it could use to create the more complex ones again. that basically means i created a freaking reactor of radioactive elements (a.k.a. A breeder reactor) that wont work then. this is so fun!!!! im only freaking 14 and im thinking of this! there could be a huge world war and we would have to move into space bacause we have caused the currents in the magma to litterally tear the earth apart!!!! this would be because the currents would be screwed up and they would cause the techtonic plates to move and they would slam into eachother so then the seawater would boil off touching the magma. then the magma would heat up the plates and they would melt. Then if we are lucky a astroid would comeby and hit it, therefore splattering it in a huge paintball effect through the solar syatem. you may get to mars with your cremated remains! i always wanted to go there!

#### 2014-06-26 02:03:04 by Squid:

> Do you know how a paintball explodes when it hits something? this is basically the same exact thing but on a bigger scale and with magma. acctually the magma may not splatter because the vacuum of space may pull the magma all over the place because it wants to equal out the pressure or it may have a solid shell because the cold of space (which is only 3K over absoulute zero) would solidify the magma on the outside and then it would slowly solidify on the inside. i think that the first scenario is more logical because the vacuum must be equalized.

#### 2014-06-26 02:03:46 by Squid:

> That is the paintball effect. Oh and i like Nobody's comment up some

#### 2014-07-07 01:51:59 by DanielLC:

> MrBubbleSS, using the same idea but with relativistic effects, I got a proton moving at (1-2*10^-85)c. That's barely enough energy, and I doubt it's efficient, so you'll want to add some more energy to that. If you want to double the energy, you have to divide the distance from c by four.

#### 2014-08-08 00:27:28 by Squid:

> Daniel where do you work?  
thats pretty intense math  

#### 2014-09-16 11:03:40 by flewk:

> Easiest way to destroy the Earth would be move it out of orbit. Most of your methods can be changed to this for a fraction of the energy/material required. You need to move it into an unstable orbit where it will collide with another planet or sun. It can also slingshot out. Intercepting the asteroid belt will probably not be enough to destroy it and might even knock it into a stable alignment given enough time.  
  
1\. Annihilated by an equivalent quantity of antimatter  
6\. Blown Up  
Antimatter created on Earth would have to be contained by electric/magnetic fields. As the mass increases, stability becomes an issue. Generating all of it in space could be possible one day, and then using fields to direct it towards Earth.  
Even if you send this ball of antimatter at the Earth, the first wave of reactions would push the rest away and knock Earth out of its orbit.  
Pretty much same thing for Blown Up. It would take a lot less explosives to push the Moon into the Earth to alter its orbit. The Moon has no atmosphere to absorb the "exhaust".  
Alter orbit.  
  
  
  
5\. Overspun  
8\. Meticulously and systematically deconstructed  
10\. Hurled into the Sun  
Rockets won't work. All exhaust is dumped into the atmosphere, so all it would do is heat the Earth instead of adding momentum.  
By the time you have deconstructed enough of the planet, its orbit would be completely different from before. As the mass gets smaller, the successive launches would account for a larger proportion of the total momentum. Also, you would only need to dig until you reached the mantle, without the crust in place, it would be cooled and the Earth would stop spinning.  
For a more economical method, add rockets or rail guns to the Moon, refer to above.  
PS: It isn't the friction that causes the heat, it is the fact that air has no time to move out of the way at higher speeds. This results in compression.  
  
  
  
9\. Pulverized by impact with blunt instrument  
That theory proposes an impact while Earth was still forming and cooling. That theory doesn't really make sense or is extremely unlikely for other reasons.  
Anywho, the Earth and moon are both much more solid now. A collision by the moon would certainly alter the orbit of the Earth. The main problem would be trying to guess how it would effect the orbit, since you only have one Moon to try it with.  
  
  
  
Did not read the rest.  
  

#### 2014-10-08 20:26:22 by DestroyedSoul:

> I would really rather have made multi billion dollar companies, and create a PMC to start my job, make the weapon of choice and then blast the shit out of this useless earth.

#### 2014-11-04 22:01:11 by John:

> So, you want to explode the Earth? Earth - E a r t h - E a r t h - E a r t h - E a r t h - E a r t h

#### 2014-11-28 15:25:27 by BK:

> Assuming the multiverse interpretation of quantum physics, there are an infinite number of versions of the Earth somewhere that are experiencing Total Existence Failure every moment. No need to wait.

#### 2014-12-24 22:11:16 by Farmerbob1:

> Put the Earth on a Diet.  
  
Found a link here from Reddit and read over it. The Meticulous destruction and Von Neumann machine methods can be combined with orbital mechanics to create a method of destruction that would not require railgun or rocket launches.  
  
Von Neumann machines consume the Earth, using non-equatorial regions as the source for materials. Once a significant number of machines have been built such that additional machines are difficult to supply with power, all older machines would travel to the equator as they are replaced, and begin changing the shape of the Earth from a sphere to a disk.  
  
Once the disk is sufficiently large that materials at it's outermost surface can be pushed out of Earth orbit with little effort, opposing space elevators are built inside the disk. Two elevators would be enough. More would just let things happen faster.  
  
Vast numbers of the Von Neumann machines would then march up the elevators carrying solids and liquids that were of little use to machine reproduction, and the elevators would push that matter into space, to eventually be collected by the Sun or other planets. The disk itself could be torn down and the component machines tossed into space. The bottom most machines are probably compressed back into near-solid metal anyway.  
  
When the Earth has lost enough mass that it now orbits the moon, then it is no longer a planet, it's a moon.  
  
Sure, you still have to generate all the power to make the Von Neumann machines, but you don't need massive pulses of power like railguns or rocketry. A few orbital solar mirrors to illuminate the dark side of Earth and/or increase the density of solar energy would be rather handy.  
  
I consider this different from meticulous disassembly because it uses orbital mechanics and terraforming to create a low-power mass dispersal system.

#### 2014-12-27 02:25:05 by Aaron Kaufman:

> Regarding the black hole colliding with, oscillating through, and finally coming to rest inside the heart's core, (See e.g., David Brin's Earth), a few comments: first, as in the book, lest it is sufficiently big to start, the heart's density vs. Hawking radiative loss will cause it to dissipate harmlessly. The book got around this by making the b.h. exotic, a particularly weird singularity with reduced Hawking emissions. Secondly, and bare in mind that I didthe math only once without checking, to cconserve earth axial-spin component of angular momentum, given it's unchanging (presumably) mass as it is consumed (more on the necessity of this assumption in light of planet killing criteria later ) , the resultant angular momentum of 9mm earth remnant will render the remnant b.h. superextremal. In lay terms, it will spin too fast for it's given mass and she'd it's event horizon, likely in physical. It's alternative would be to she'd matter which can convection away the excess angular momentum. Also, though, I disagree with the comment or who suggested the eremnant would qualify as a planet. That's problematic because such a remnant would no longer have a clean neighborhood; it will be filled with the ejecta it used to she'd it's superextremal angular momentum. It would also be extremely hot and outshine the sun, constantly emittingHawking particles from just ooutside it's e.h. And would for that reason too not have cleared its neighborhood. Finally it would have other classical forces smearing it out into a ring--if we consider the singularity the remnant--or a somewhat eccentric oblate Sherwood rather than something I'd call round. This presumes it still has a fair amount of angular momentum, which is likely.

#### 2015-01-10 13:37:40 by Martijn Krakeel:

> One could "just" convince the world's population of the necessity of Earth's destruction and command every one to shovel up it's material, dirt-soil-earth you name it, put it in plenty of rockets and fire them of into space and then commit collective suicide.   
Obviously you will run out of both working space and at a certain time so automation is essential. These automatons need repair bots AND need all to be set with self destructive devices to get rid of them. All this will eventually result in lack of atmosphere, gravity and the Earth's soil and therefore it's existence.  
The biggest problem is convincing people this really is what needs to be done...

#### 2015-01-10 13:39:49 by Martijn Krakeel:

> About comment above:  
"...working space and WORKERS at a certain time..."

#### 2015-01-10 22:06:27 by Primal Light:

> You wouldn't need to turn half of the EARTH into antimatter, just half of the CORE. Doing so would shatter the planet AND get rid of the core's gravity. By sending all the pieces far away from each other, you would reduce gravity enough that the atmosphere would not stay on ANY of the pieces, therefore exterminating all life on Earth reliant of oxygen or protection from the Sun's radiation (which is usually blocked by a combination of the atmosphere and the Earth's magnetic field... which is produced by the core).

#### 2015-01-30 09:12:33 by the world safer anonymus:

> GOOGLE GOES MAD THIS PAGE IS PROBABLY OK BUT ANYTHING OTHER WILL DESTROY THE WORLD!  

#### 2015-02-03 20:19:14 by D. Zoom:

>   
Ok going to explain this out really easy in as simple terms posable.   
Gravity Well Bomb (GWB) For minning.   
Dont even bother reading this unless you understand advanced math.   
  
Ok going to explain this out really easy in as simple terms as able to.   
   
First off triangle. The strongest shape going. So a 1 foot triangle with three rods, one in each corner. On each rod 3 dumb bell shape weights hooked up to a gear on each. Made so the weight can spin around while on the rod. Maybe a foot tall for each rod. One weight near the bottom close to the triangle. One weight in the middle of the rod and one weight near the top. Maybe abec bearings to make the weights spin faster.   
Top and bottom weight must spin the same way and middle weight must spin the other direction. Otherwise you have a completely different device.  
Hook up gears on weights to a means to make them spin. Either a bike chain hooked up to a small engine or use other gears hooked up to a small engine. May want to use three small engines, one for each tier of spinning weights. Each tier will have three weights. So you will have a total of 9 weights spinning. Also you will want to run a current of electricity threw the rods.   
 In the center of the triangle raised up to the level of the middle weights put a ruby with a way to strike it with a needle very hard and fast. So the ruby fractures and makes the desired sound.   
Ok Currents causes a electromagnetic field.   
Weights cause a gravity well  
Ruby cause the vibration inside the well.   
So spinning weights explained. Getting them to spin at about the power of 1 will give you a total power of 3 in the center.   
Look at it this way. if you take a pal of water and put it on its side the water falls out  
But if you spin the same pal of water around faster and faster slowly bringing it up the pal will be at its side and the water will not fall out.   
So basicly you are looking at you arm to the end of the bucket being the length.   
Then the weight of the water.   
The rpm that it takes to spin it around and keep it in the bucket.   
now doing this with the weight works the same way but no water. The ends of the weights have the gravity force of 1 ok. You can't see this force but it is there.   
Now with all three weight spinning you have a total of 3 on top and 3 on the bottom holding in the 3 in the middle. The top and bottom will run off up and down but will keep pressure on the one in the middle. The well in the middle will become stable.   
So if you have a 1 foot well that would be from the center of the weights to the center of the triangle.   
Ok so maybe you have already learned the take a 1 foot balloon into the water thing but I will explain it again. If you blow up a balloon to 1 foot in size and take it down 33 feet of water it will be 1/2 its size due to the pressure. Another 33 feet and its a 1/4 its size. so yet another will make it 1/8 its size.   
So 1, 1/2 2, 1/4 3, 1/8 4, 1/16 5, 1/32 6, 1/64 7, 1/128 8, 1/246 9, 1/542 10, 1/1082 11, 1/2164 12, 1/4328 13, 1/ 8656 14, 1/17312 etc etc. you see how its builds up.   
If there are 5280 feet in a mile then at 14 atm thats over 3 miles. that little 1 foot balloon would want to grow to the size of.   
  
You are now pushing in on the center well with 3 atm like this. So that 1 foot gravity well will want to expand to 8 times its size.  
The current will charge the atoms.   
Striking the ruby in the center will cause a tone that it takes to fracture a lv ten stone. Different sounds different results. Very usable for mining to remove lesser stones. A level 8 stone will leave behind all level 9-10   
After the stone is stuck the sound wave given of from it will shake the atoms in the given space going back and forth over and over till in the weights and rods break apart. The electric charge will demagnetize the atoms. The rods will shatter and the well will be released. Everything in a 8 foot area will be shaken apart to a single atom state in a perfect circle from the center of the triangle.   
Atoms take a short time to repolarize and reform material.   
Putting a faster spin on things will give larger results.   
Do not use light instead of sound. Sound at least stops at space. Light dose not and burns the atoms. 

#### 2015-02-06 20:00:48 by ThinkingMan:

> Wait ! Wait is the word. And this word will destroy Earth.  
When the Sun is going to die, he will destroy earth and others planets very easely.  
Don't need humans to do it ! Of course human will be dead looooooooonnnnngggg time before that !  
  

#### 2015-03-10 05:24:17 by The One Who Bides His Time:

> Whoever wrote this took to much time and effort into it. I already have the equipment for Pyra, Jake Hopper, and I (CodeNames) to rip the earth apart by quite literally jumping dimensions. I don't care what anyone thinks they know, but I have put Five years seven months and twentyeight days working on a machine base that could make more than time travel possible. Whoever reprots this will be found and sent away. If you all care about this earth, do not open the void.   
  
From the one and only  
   \- Rift Breaker

#### 2015-03-24 23:11:39 by Professor Chaos:

> Don't need to completely destroy it, just wipe it clean and turn it into a molten ball of magma. So long as humans are gone. And no escape route, all humans must be removed.

#### 2015-05-16 21:52:06 by Dr. van Something:

> Professor Chaos has the right of it, I think. Most people who talk in a serious vein about "destroying the world" are speaking metonymously about the destruction of all SAPIENT LIFE on Earth (and sometimes all even remotely sentient life as well, just to be sure). This remains the case regardless of whether they believe such destruction is inherently good or merited -- you may be saying "I am going to destroy the world" or "That madman's going to destroy the world", but in either case what you really mean is "destroy the human race".

#### 2015-05-18 09:37:38 by Ofir Ben Yashar:

> Haha.  
Why would you destroy Earth?   
It's such a beautiful place.  
Besides don't you feel selfish?  
You literally decide for other people to die.  
Maybe they don't want to die?  
You're not a god.   
If they want to live their life they will live it.  
 If not, They will find their way to commit a suicide.  
Who are you to say that earth should be destroyed.  
I just don't get people.  
This world is a f#cking gift, who knows maybe your next avatar will be born as a fucking cat on the street with no food.  
Maybe after you die. nothing comes up a head.  
So try to enjoy now the life you're living as a human. And don't even think about destroying what god gave you.  
You fools.

#### 2015-06-02 00:23:12 by Morfos:

> By the definitions at the start of this article, one could destroy the earth by making it cubical...shave off bits here, dump them there, until it's no longer "generally round".

#### 2015-06-03 13:40:53 by Scott Brooks :

> I'm writing about the Hadron Collide and If the moon was strucked by it during its apogees cycle. What would be the effect?

#### 2015-06-03 13:57:11 by Scott Brooks:

> I'm sorry, as stupid as it sounds. My remodel of the remake space 1999. The moon was taken out of earth's orbit by a massive nuclear explosion. I knew nuclear methods couldn't be used but then I thought of the Hadron Collider. Since I should understand the physics of this possibility, I should try to understand it.

#### 2015-07-22 11:37:20 by Ofir Ben Yashar:

> https://www.youtube.com/watch?v=sHC7BRRrqo4

_This discussion is closed._

[Contact][56]

[About][57]

Site admin

Log in Logging in...

© 2003-04-03 qntm

![website statistics][58]

[1]: https://qntm.org/
[2]: https://qntm.org/blog
[3]: https://qntm.org/geocide
[4]: https://qntm.org#sec0
[5]: https://qntm.org#sec1
[6]: https://qntm.org#sec2
[7]: https://qntm.org#sec3
[8]: https://qntm.org#sec4
[9]: https://qntm.org#sec5
[10]: https://qntm.org#sec6
[11]: https://qntm.org#sec7
[12]: https://qntm.org#sec8
[13]: https://qntm.org#sec9
[14]: https://qntm.org/board
[15]: https://qntm.org/moving
[16]: http://tinyurl.com/8befk
[17]: http://www.amazon.co.uk/exec/obidos/ASIN/0552133264/qid=1107902118/sr=1-1/ref=sr_1_2_1/026-2405488-8406058
[18]: https://qntm.org/data
[19]: http://gltrs.grc.nasa.gov/reports/1996/TM-107030.pdf
[20]: http://lablemminglounge.blogspot.com/2008/02/how-to-destroy-earth-isotope.html
[21]: http://focus.aps.org/story/v23/st8
[22]: http://www.space.com/scienceastronomy/astronomy/v4641_microquasar_000114.html
[23]: http://www.madsci.org/posts/archives/jul99/931435915.As.r.html
[24]: http://www.swri.org/press/impact.htm
[25]: http://nssdc.gsfc.nasa.gov/planetary/planetfact.html
[26]: http://www.amazon.com/exec/obidos/tg/detail/-/0451452011/qid=1107902396/sr=1-1/ref=sr_1_1/102-1604845-5672923?v=glance&s=books
[27]: http://www.schlockmercenary.com/d/20030803.html
[28]: http://www.cita.utoronto.ca/~dubinski/tflops/
[29]: https://www.nytimes.com/2008/03/11/science/space/11earth.html?_r=3
[30]: http://en.wikipedia.org/wiki/Big_Crunch
[31]: http://en.wikipedia.org/wiki/Big_Rip
[32]: http://arxiv.org/PS_cache/astro-ph/pdf/0302/0302506v1.pdf
[33]: http://en.wikipedia.org/wiki/Proton_decay
[34]: http://www.answers.com/topic/strange-matter
[35]: http://www.bnl.gov/RHIC/
[36]: http://www.news.harvard.edu/gazette/2002/05.02/01-quarkstars.html
[37]: http://news.bbc.co.uk/1/hi/sci/tech/2502755.stm
[38]: http://www.bnl.gov/RHIC/disaster.htm
[39]: https://qntm.org/supernova
[40]: https://qntm.org/tesla
[41]: http://en.wikipedia.org/wiki/Lamed_Vav_Tzadikim
[42]: http://www.seti.org/
[43]: https://qntm.org/fictional
[44]: http://en.wikipedia.org/wiki/Bose-Einstein_Condensate
[45]: http://en.wikipedia.org/wiki/Bose-Einstein_Condensate#Unusual_characteristics
[46]: http://imagine.gsfc.nasa.gov/docs/science/know_l1/bursts.html
[47]: http://math.ucr.edu/home/baez/vacuum.html
[48]: http://tinyurl.com/abw9z
[49]: http://imdb.com/title/tt0096874/
[50]: http://bioresonant.com/news.htm
[51]: http://www.physlink.com/News/121103PotassiumCore.cfm
[52]: http://www.boeing.com/
[53]: http://www.nasa.gov
[54]: http://www.eviloverlord.com/lists/overlord.html
[55]: https://qntm.org/destro
[56]: https://qntm.org/contact
[57]: https://qntm.org/about
[58]: https://c6.statcounter.com/counter.php?sc_project=667681&java=0&security=f56850e2&invisible=1

