---
created_at: '2016-09-10T16:15:42.000Z'
title: How to Write Articles and Essays Quickly and Expertly (2006)
url: http://www.downes.ca/post/38526
author: bemmu
points: 490
story_text: 
comment_text: 
num_comments: 75
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1473524142
_tags:
- story
- author_bemmu
- story_12469823
objectID: '12469823'

---
[Source](http://www.downes.ca/post/38526 "Permalink to Stephen's Web ~ How to Write Articles and Essays Quickly and Expertly ~ Stephen Downes")

# Stephen's Web ~ How to Write Articles and Essays Quickly and Expertly ~ Stephen Downes

![][1]

# [Stephen Downes][2]Knowledge, Learning, Community

Menu

* [Books][3]
* [Publications][4]
* [Newsletter][5]
* [Articles][6]
* [Presentations][7]
* [About][8]
     

## How to Write Articles and Essays Quickly and Expertly

By Stephen Downes  
Sept 13, 2006

  

_Translations: [_Belorussian][9]   
  
Introduction: Four Types of Discursive Writing   
  
From time to time people express amazement at how I can get so much done. I, of course, aware of the many hours I have idled away doing nothing, demur. It feels like nothing special; I don't work harder, really, than most people. Nonetheless, these people do have a point. I am, in fact, a fairly prolific writer.  
  
Part of it is tenacity. For example, I am writing this item as I wait for the internet to start working again in the Joburg airport departures area. But part of it is a simple strategy for writing your essays and articles quickly and expertly, a strategy that allows you to plan your entire essay as you write it, and thus to allow you to make your first draft your final draft. This article describes that strategy.  
  
Begin by writing - in your head, at least - your second paragraph (that would be the one you just read, above). Your second paragraph will tell people what your essay says. Some people write abstracts or executive summaries in order to accomplish this task. But you don't need to do this. You are stating your entire essay or article in one paragraph. If you were writing a news article, you would call this paragraph the 'lede'. A person could read just the one paragraph and know what you had to say.  
  
But how do you write this paragraph? Reporters will tell you that writing the lede is the hardest part of writing an article. Because if you don't know what the story is, you cannot write it in a single paragraph. A reporter will sift through the different ways of writing the story - the different angles - and find a way to tell it. You, because you are writing an article or essay, have more options.  
  
You have more options because there are four types of discursive writing. Each of these types has a distinct and easy structure, and once you know what sort of writing you are doing, the rest of the article almost writes itself. The four types of structure are: argument, explanation, definition, and description. So, as you think about writing your first paragraph, ask yourself, what sort of article are you writing. In this article, for example, I am writing a descriptive article.  
  
These are your choices of types of article or essay:  
  
Argument: convinces someone of something  
Explanation: tells why something happened instead of something else  
Definition: states what a word or concept means  
Description: identifies properties or qualities of things  
  
An argument is a collection of sentences (known formally as 'propositions') intended to convince the reader that something is he case. Perhaps you want to convince people to take some action, to buy some product, to vote a certain way, or to believe a certain thing. The thing that you want to convince them to believe is the conclusion. In order to convince people, you need to offer one or more reasons. Those are the premises. So one type of article consists of premises leading to a conclusion, and that is how you would structure your first paragraph.  
  
An explanation tells the reader why something is the case. It looks at some event or phenomenon, and shows the reader what sort of things led up to that event or phenomenon, what caused it to happen, why it came to be this way instead of some other way. An explanation, therefore, consists of three parts. First, you need to identify the thing being explained. Then, you need to identify the things that could have happened instead. And finally, you need to describe the conditions and principles that led to the one thing, and not the other, being the case. And so, if you are explaining something, this is how you would write your first paragraph.  
  
A definition identifies the meaning of some word, phrase or concept. There are different ways to define something. You can define something using words and concepts you already know. Or you can define something by giving a name to something you can point to or describe. Or you can define something indirectly, by giving examples of telling stories. A definition always involves two parts: the word or concept being defined, and the set of sentences (or 'propositions') that do the defining. Whatever way you decide, this will be the structure of your article if you intend to define something.  
  
Finally, a description provides information about some object, person, or state of affairs. It will consist of a series of related sentences. The sentences will each identify the object being defined, and then ascribe some property to that object. "The ball is red," for example, were the ball is the object and 'red' is the property. Descriptions may be of 'unary properties' - like colour, shape, taste, and the like, or it may describe a relation between the object and one or more other objects.  
  
Organizing Your Writing  
  
The set of sentences, meanwhile, will be organized on one of a few common ways. The sentences might be in chronological order. "This happened, and then this happened," and so on. Or they may enumerate a set of properties ('appearance', 'sound', 'taste', 'small', 'feeling about', and the like). Or they may be elements of a list ("nine rules for good technology," say, or "ten things you should learn"). Or, like the reporters, you may cover the five W's: who, what, where, when, why. Or the steps required to write an essay.  
  
When you elect to write an essay or article, then, you are going to write one of these types of writing. If you cannot decide which type, then your purpose isn't clear. Think about it, and make the choice, before continuing. Then you will know the major parts of the article - the premises, say, or the parts of the definition. Again, if you don't know these, your purpose isn't clear. Know what you want to say (in two or three sentences) before you decide to write.  
  
You may a this point be wondering what happened to the first paragraph. You are, after all, beginning with the second paragraph. The first paragraph is used to 'animate' your essay or article, to give it life and meaning and context. In my own writing, my animation is often a short story about myself showing how the topic is important to me. Animating paragraphs may express feelings - joy, happiness, sadness, or whatever. They may consist of short stories or examples of what you are trying to describe (this is very common in news articles). Animation may be placed into your essay at any point. But is generally most effective when introducing a topic, or when concluding a topic.  
  
For example, I have now concluded the first paragraph of my essay, and then expanded on it, thus ending the first major part of my essay. So now I could offer an example here, to illustrate my point in practice, and to give the reader a chance to reflect, and a way to experience some empathy, before proceeding. This is also a good place to offer a picture, diagram, illustration or chart of what you are trying to say in words.  
  
Like this: the second paragraph sill consist of a set of statements. Here is what each of the four types look like:  
  
Argument:  
  
Premise 1  
Premise 2 ... (and more, if needed)  
Conclusion  
  
Explanation:  
  
Thing being explained  
Alternative possibilities  
Actual explanation  
  
Definition:  
  
Thing being defined  
Actual definition  
  
Description:  
  
Thing being described  
Descriptive sentence  
Descriptive sentence (and more, connected to the rest, as needed)  
  
So now the example should have made the concept clearer. You should easily see that your second paragraph will consist of two or more distinct sentences, depending on what you are trying to say. Now, all you need to do is to write the sentences. But also, you need to tell your reader which sentence is which. In an argument, for example, you need to clearly indicate to the reader which sentence is your conclusion and which sentences are your premises.  
  
Indicator Words  
  
All four types of writing have their own indicator words. Let's look at each of the four types in more detail, and show (with examples, to animate!) the indicator words.  
  
As stated above, an argument will consist of a conclusion and some premises. The conclusion is the most important sentence, and so will typically be stated first. For example, "Blue is better than red." Then a premise indicator will be used, to tell the reader that what follows is a series of premises. Words like 'because' and 'since' are common premise indicators (there are more; you may want to make a list). So your first paragraph might look like this: "Blue is better than red, because blue is darker than red, and all colours that are darker are better."  
  
Sometimes, when the premises need to be stressed before the conclusion will be believed, the author will put the conclusion at the end of the paragraph. To do this, the author uses a conclusion indicator. Words like 'so' and 'therefore' and 'hence' are common conclusion indicators. Thus, for example, the paragraph might read: "Blue is darker than red, and all colours that are darker are better, so blue is better than red."  
  
You should notice that indicator words like this help you understand someone else's writing more easily as well. Being able to spot the premises and the conclusion helps you spot the structure of their article or essay. Seeing the conclusion indicator, for example, tells you that you are looking at an argument, and helps you spot the conclusion. It is good practice to try spotting arguments in other writing, and to create arguments of your own, in our own writing.  
  
Arguments can also be identified by their form. There are different types of argument, which follow standard patterns of reasoning. These patterns of reasoning are indicated by the words being used. Here is a quick guide to the types of arguments:  
  
Inductive argument: the premise consists of a 'sample', such as a series of experiences, or experimental results, or polls. Watch for words describing these sorts of observation. The conclusion will be inferred as a generalization from these premises. Watch for words that indicate a statistical generalization, such as 'most', 'generally, 'usually', 'seventy percent', 'nine out of ten'. Also, watch for words that indicate a universal generalization, such as 'always' and 'all'.  
  
A special case of the inductive argument is the causal generalization. If you want someone to believe that one thing causes another, then you need to show that there are many cases where the one thing was followed by the other, and also to show that when the one thing didn't happen, then the other didn't either. This establishes a 'correlation'. The argument becomes a causal argument when you appeal to some general principle or law of nature to explain the correlation. Notice how, in this case, an explanation forms one of the premises of the argument.  
  
Deductive argument: the premises consist of propositions, and the conclusion consists of some logical manipulation of the premises. A categorical argument, for example, consists of reasoning about sets of things, so watch for words like 'all', 'some' and 'none'. Many times, these words are implicit; they are not started, but they are implied. When I said "Blue is better than red" above, for example, I meant that "blue is always better than red," and that's how you would have understood it.  
  
Another type of deductive argument is a propositional argument. Propositional arguments are manipulations of sentences using the words 'or', 'if', and 'and'. For example, if I said "Either red is best or blue is best, and red is not best, so blue is best," then I have employed a propositional argument.  
  
It is useful to learn the basic argument forms, so you can very clearly indicate which type of argument you are providing. This will make your writing clearer to the reader, and will help them evaluate your writing. And in addition, this will make easier for you to write your article.  
  
See how the previous paragraph is constructed, for example. I have stated a conclusion, then a premise indicator, and then a series of premises. It was very easy to writing the paragraph; I didn't even need to think about it. I just wrote something I thought was true, then provided a list of the reasons I thought it was true. How hard is that?  
  
In a similar manner, an explanation will also use indicator words. In fact, the indicator words used by explanations are very similar to those that are used by arguments. For example, I might explain by saying "The grass is green because it rained yesterday." I am explaining why the grass is green. I am using the word 'because' as an indicator. And my explanation is offered following the word 'because'.  
  
People often confuse arguments and explanations, because they use similar indicator words. So when you are writing, you can make your point clearer by using words that will generally be unique to explanations.  
  
In general, explanations are answers to 'why' questions. They consider why something happened 'instead of' something else. And usually, they will say that something was 'caused' by something else. So when offering an explanation, use these words as indicators. For example: "It rained yesterday. That's why the grass is green, instead of brown."  
  
Almost all explanations are causal explanations, but in some cases (especially when describing complex states and events) you will also appeal to a statistical explanation. In essence, in a statistical explanation, you are saying, "it had to happen sometime, so that's why it happened now, but there's no reason, other than probability, why it happened this time instead o last time or next time." When people see somebody who was killed by lightening, and they say, "His number was just up," they are offering a statistical explanation.  
  
Definitions are trickier, because there are various types of definition. I will consider three types of definition: ostensive, lexical, and implicit.  
  
An 'ostensive' definition is an act of naming by pointing. You point to a dog and you say, "That's a dog." Do this enough times, and you have defined the concept of a dog. It's harder to point in text. But in text, a description amounts to the same thing as pointing. "The legs are shorter than the tail. The colour is brown, and the body is very long. That's what I mean by a 'wiener dog'." As you may have noticed, the description is followed by the indicator words "that's what I mean by". This makes it clear to the reader that you are defining by ostension.  
  
A 'lexical' definition is a definition one word or concept in terms of some other word or concept. Usually this is describes as providing the 'necessary and sufficient conditions' for being something. Another way of saying the same thing is to say that when you are defining a thing, you are saying that 'all and only' these things are the thing being defined. Yet another way of saying the same thing is to say that the thing belongs to such and such a category (all dogs are animals, or, a dog is necessarily an animal) and are distinguished from other members in such and such a way (only dogs pant, or, saying a thing is panting is sufficient to show that it is a dog).  
  
That may seem complicated, but the result is that a lexical definition has a very simply and easy to write form: A (thing being defined) is a type of (category) which is (distinguishing feature). For example, "A dog is an animal that pants."  
  
This sentence may look just like a description, so it is useful to indicate to the reader that you are defining the term 'dog', and not describing a dog. For example, "A 'dog' is defined as 'an animal that pants'." Notice how this is clearly a definition, and could not be confused as a mere description.  
  
The third type of definition is an implicit definition. This occurs when you don't point to things, and don't place the thing being defined into categories, but rather, list instances of the thing being defined. For example, "Civilization is when people are polite to each other. When people can trust the other person. When there is order in the streets." And so on. Or: "You know what I mean. Japan is civilized. Singapore is civilized. Canada is civilized." Here we haven't listed necessary and sufficient conditions, but rather, offered enough of a description as to allow people to recognize instances of 'civilization' by their resemblance to the things being described.  
  
Finally, the description employs the 'subject predicate object' form that you learned in school. The 'subject' is the thing being described. The 'predicate' is something that is true of the subject - some action it is undertaking, or, if the predicate is 'is', some property that it possesses. And the 'object' may be some other entity that forms a part of the description.  
  
As mentioned, the sentences that form a description are related to each other. This relation is made explicit with a set of indicator words. For example, if the relation is chronological, the words might be 'first'... 'and then'... 'and finally'...! Or, 'yesterday'... 'then today'... 'and tomorrow'...  
  
In this essay, the method employed was to identify a list of things - argument, explanation, definition, and description - and then to use each of these terms in the sequence. For example, "An argument will consist of a ..." Notice that I actually went through this list twice, first describing the parts of each of the four items, and then describing the indicator words used for each of the four items. Also, when I went through the list the second time, I offered for each type of sentence a subdivision. For example, I identified inductive and deductive arguments.  
  
Summary  
  
So, now, here is the full set of types of things I have described (with indicator words in brackets):  
  
Argument (premise: 'since', 'because'; conclusion: 'therefore', 'so')  
Deductive  
Categorical ('all', 'only', 'no', 'none', 'some')  
Propositional ('if', 'or', 'and')  
Inductive  
Generalization ('sample', 'poll', 'observation')  
Statistical ('most', 'generally, 'usually', 'seventy percent', 'nine out of ten')  
Universal ('always' and 'all')  
Causal ('causes')  
  
Explanation ('why', 'instead of')  
Causal ('caused')  
Statistical ('percent', 'probability')  
  
Definition ('is a', 'is defined as')  
Ostensive ( 'That's what I mean by...' )  
Lexical ('All', 'Only', 'is a type of', 'is necessarily')  
Implicit ('is a', 'for example')  
  
Description  
Chronology ('yesterday', 'today')  
Sensations ('seems', 'feels', 'appears', etc.,)  
List ('first', 'second', etc.)  
5 W's ('who', 'what', 'where', 'when', 'why')  
  
Complex Forms  
  
As you have seen in this article, each successive iteration (which has been followed by one of my tables) has been more and more detailed. You might ask how this is so, if there are only four types of article or essay.  
  
The point is, each sentence in one type of thing might be a whole set of sentence of another type of thing. This is most clearly illustrated by looking at an argument.  
  
An argument is a conclusion and some premises. Like this:  
  
Statement 1, and  
Statement 2,  
Thus,  
Statement 3  
  
But each premise might in turn be the conclusion of another argument. Like this:  
  
Statement 4, and  
Statement 5,  
Thus,  
Statement 1  
  
Which gives us a complex argument:  
  
Statement 4, and  
Statement 5,  
Thus, Statement 1  
Statement 2  
Thus Statement 3  
  
But this can be done with all four types of paragraph. For example, consider this:  
  
Statement 1 (which is actually a definition, with several parts)  
Statement 2 (which is actually a description)  
Thus,  
Statement 3  
  
So, when you write your essay, you pick the main thing you want to say. For example:  
  
Second paragraph:  
  
Statement 1, and  
Statement 2  
Thus  
Statement 3  
  
Third paragraph:  
  
Statement 4 (thing being defined)  
Statement 5 (properties)  
Statement 1 (actual definition)  
  
Fourth Paragraph  
  
Statement 5 (first statement of description)  
Statement 6 (second statement of description)  
Statement 2 (summary of description)  
  
As you can see, each simple element of an essay - premise, for example - can become a complex part of an essay - the premise could be the conclusion of an argument, for example.  
  
And so, when you write your essay, you just go deeper and deeper into the structure.  
  
And you may ask: where does it stop?  
  
For me, it stops with descriptions - something I've seen or experienced, or a reference to a study or a paper. To someone else, it all reduces to definitions and axioms. For someone else, it might never stop.  
  
But you rarely get to the bottom. You simply go on until you've said enough. In essence, you give up, and hope the reader can continue the rest of the way on his or her own.  
  
And just so with this paper. I would now look at each one of each type of argument and explanation, for example, and identify more types, or describe features that make some good and some bad, or add many more examples and animations.  
  
But my time is up, I need to board my flight, so I'll stop here.  
  
Nothing fancy at the end. Just a reminder, that this is how you can write great articles and essays, first draft, every time. Off the top of your head.

  
  
  
Views Today: 0 Total: 22229. 

![Stephen Downes][10]  
[Stephen Downes][11]

* * *

[SUBSCRIBE TO OLDAILY][12] [DONATE TO DOWNES.CA][13]

* * *

**Subscribe**  
  
[Web - Today's OLDaily][5]  
[Web - This Week's OLWeekly][14]  
[Email - Subscribe][12]  
[RSS - Individual Posts][15]  
[RSS - Combined version][16]  
[JSON - OLDaily][17]  
[Viewer][18]  
  

* * *

**Professional**  
  
[National Research Council Canada  
[Publications][4]   
[Presentations][7]  
[All My Articles][6]  
  
  

* * *

**Social Network**   
  
[Stephen's Web and OLDaily][19]  
[Half an Hour Blog][20]  
[Google Plus Page][21]  
[Twitter Feed][22]  
[Flickr Photos][23]   
[Huffington Post Blog][24]   
[Slideshare][25]  
[Facebook][26]  
[Blip TV][27]  
  

* * *

**Contact**  
  
Email: [stephen@downes.ca][28]  
Email: [Stephen.Downes@nrc-cnrc.gc.ca][29]  
Skype: Downes  
  
  
[My eBooks][3]  
  
![][30]

![][31] ![Creative Commons License][32]. ![gRSShopper][33]

Copyright 2015 Stephen Downes ~ Contact: [stephen@downes.ca][28]  
This page generated by [gRSShopper][34].   
Last Updated: Feb 23, 2018 08:48 a.m.   

[1]: http://www.downes.ca/assets/images/sparrow-100.jpg
[2]: http://www.downes.ca/index.html
[3]: http://www.downes.ca/me/mybooks.htm
[4]: http://www.downes.ca/publications.htm
[5]: http://www.downes.ca/news/OLDaily.htm
[6]: http://www.downes.ca/articles.htm
[7]: http://www.downes.ca/presentations.htm
[8]: http://www.downes.ca/about.htm
[9]: http://webhostinggeeks.com/science/how-to-write-articles-and-essays-be
[10]: http://www.downes.ca/assets/images/amee-portrait.JPG "Stephen Downes"
[11]: http://www.downes.ca/me/index.htm
[12]: http://www.downes.ca/cgi-bin/login.cgi?action=Register
[13]: http://www.downes.ca/donate.htm
[14]: http://www.downes.ca/news/OLWeekly.htm
[15]: http://www.downes.ca/news/OLDaily.xml
[16]: http://www.downes.ca/news/oldailycombined.xml
[17]: http://www.downes.ca/news/OLDaily.js
[18]: http://www.downes.ca/cgi-bin/page.cgi?action=viewer
[19]: http://www.downes.ca/
[20]: http://halfanhour.blogspot.com/
[21]: http://gplus.to/downes
[22]: http://twitter.com/Downes
[23]: http://www.flickr.com/people/stephen_downes/
[24]: http://www.huffingtonpost.com/stephen-downes
[25]: http://www.slideshare.net/Downes/
[26]: http://www.facebook.com/downes/
[27]: http://downes.blip.tv/
[28]: mailto:stephen%40downes.ca
[29]: http://www.downes.ca/Stephen.Downes%40nrc-cnrc.gc.ca
[30]: http://www.downes.ca/files/books/FreeLearning.jpg
[31]: http://www.downes.ca/assets/images/Jamlx-DeviantArt-Canada-100.JPG
[32]: http://i.creativecommons.org/l/by-nc-sa/3.0/88x31.png
[33]: http://www.downes.ca/assets/img/gRsshopper_88x31.png
[34]: http://grsshopper.downes.ca

