---
created_at: '2017-03-05T23:14:34.000Z'
title: The Economics of Status (2006)
url: http://daviddfriedman.blogspot.com/2006/10/economics-of-status.html
author: csense
points: 72
story_text: 
comment_text: 
num_comments: 55
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1488755674
_tags:
- story
- author_csense
- story_13799458
objectID: '13799458'

---
[Source](http://daviddfriedman.blogspot.com/2006/10/economics-of-status.html "Permalink to Ideas: The Economics of Status")

# Ideas: The Economics of Status

#  [ Ideas ][1]

Whatever I feel like talking about.

## Wednesday, October 18, 2006

###  The Economics of Status 

They say in Harlan County  
There are no neutrals there  
You'll either be a union man  
Or a thug for J.H. Blair

Which side are you on?  
Which side are you on ...  

  
Some people view the world, or at least major parts of it, as a zero sum game where one person gains only to the extent that another loses. Starting with this point of view, it is natural enough to see all disagreements as questions of which side you are on. Do you favor workers or employers, landlords or tenants? The alternative is to see disagreements not merely as about how to divide up the pie but about how to change its size. It becomes not only a question of us vs them but also of our arguments vs their arguments, with some hope that one set of arguments will eventually persuade almost everyone.  
  
These different viewpoints are reflected, in political oratory and political thinking, in the difference between relative and actual measures. If we define the poor as the bottom ten percent of the income distribution we can be confident that they will always be with us. If we define the poor by the real income of the tenth percentile as of, say, 1900, then the problem of poverty has been solved—the number of people in developed countries with incomes that low is close to zero.  
  
Economists mostly reject the zero sum point of view, since they routinely deal with issues of how to expand the size of the pie, how to increase economic efficiency (for details of just what that means, see the early chapters of several of my books). One plausible response is to observe that although economists may care only about absolute outcomes, people care also, and a lot, about relative ones. How much one employee is paid is often less important to him than how his pay compares with that of other employees. Robert Frank, an original and interesting economist, has written a whole book (Choosing the Right Pond) on the economic implications of the fact that people care about relative status.  
  
It seems obvious that, if one's concern is status rather than real income, we are in a zero sum game. If my status increases relative to yours, yours has decreased relative to mine. So this point of view seems to support the approach to politics that sees it mainly as a question of who gets to benefit at the expense of whom, of which side who is on.  
  
Like many things that seem obvious, this one is false. It is true that my status is relative to yours. It does not, oddly enough, follow that if my status is higher than yours, yours must be lower than mine, or that if my status increases someone else's must decrease. Status is not, in fact, a zero sum game.  
  
This point was originally made clear to me when I was an undergraduate at Harvard and realized that Harvard had, in at least one interesting way, the perfect social system: Everyone at the top of his own ladder. The small minority of students passionately interested in drama knew perfectly well that they were the most important people at the university; everyone else was there to provide them with an audience. The small minority passionately interested in politics knew that they were the most important ones; their friends were there to be herded into meetings of the Young Republicans and Young Democrats in order to get them elected to positions in those organizations that were the stepping stones to further political success. The small minority ... .  
  
I exaggerate, of course; no doubt there were some students who regarded themselves as at the bottom. But what was clear from that experience was that status was not a simple objective ordering on which everyone agrees. We all value status. But what matters to me is my status as I perceive it; what matters to you is your status as you perceive it. Since each of us has his own system of values, it is perfectly possible for my status as I view it to be higher than yours and yours as you view it to be higher than mine.  
  
The point has been born home to me repeatedly since in other contexts. There are quite a lot of people in science fiction fandom, the Society for Creative Anachronism, and I am sure many other social circles, who work at a not very high status and not very highly paid job while putting their real passion and energy into their hobby. One reason to do so, although not the only reason, is that it lets them buy status. They may succeed in their hobby because they are really talented in it, they may succeed because it matters enough to them so that they are willing to put much more of themselves into the hobby than other people.  
  
Being a male nurse is not a terribly high status job—but that may not much matter if you are also King of the Middle Kingdom. And the status you get by being king does not reduce the status of the doctors who know that they are at the top of the medical ladder and the nurses at the bottom.  
  
Consider, for another example, teachers. Elementary school teachers have a positive public image but not much real status—outside of the classroom. But in the classroom, where they spend quite a large part of their time, they are king, queen, mother, father, alpha wolf, wise mentor, ultimate figure of authority for fifty minutes out of every hour—or at least they can be those things if they want to and are competent at the job. That may be one of the most important fringe benefits of teaching. Professors get it too—along with more status outside of the classroom. That may be part of the reason that both professors and schoolmarms have a reputation for being bossy sorts who are sure they know best; they spend a large part of their lives in an enviroment where they probably do know best, and are entitled, to a considerable degree, to boss the other people in the room around. It may also be part of the reason that people are willing to take those jobs even when they can make more money doing something else.  
  
For a third example, consider advertising designed to confer status on products—clothes, perfumes, automobiles. People it convinces buy the products and get the status. People who do not see the ads, or see them but are unconvinced, do not associate the goods with status and so do not lose status by not buying them.  
  
If status is not a zero sum game, then one way of evaluating a society is by its economic efficiency with regard to status, by the degree to which it expands the size of the status pie, allows practically everyone to be above average. One conclusion is that the last thing we want is a system for objectively ranking people, for defining status in a way that everyone agrees on. A second conclusion is that if we are so unfortunate as to get such a system, rational individuals in search of status will promptly subvert it, create their own subgroups with their own rankings. It is, after all, much easier to increase your status if you can find a way of dong it that does not decrease anyone else's.  

_posted by David Friedman @ [1:37 PM][2]_   [24 comments][3] [links to this post][4] ![][5]![][6]

#### 24 Comments:

At [9:24 PM, October 18, 2006][7], ![Blogger][8] [Jadagul][9] said... 
: 

And a third implication, pointed out by Robert Nozick in _Anarchy, State, and Utopia,_ is that we should be wary of trying to eliminate a dimension of status difference. The fewer ways there are for me to evaluate my status, the harder it is for me to find a way to put myself near the top. So, counterintuitively, creating equality or near-equality in some field actually makes more people feel inferior, because no one can use that status dimension rank himself at the top.  
  
Moreover, I'd add that people also tend to value things they're good at. It may be a subconscious coping mechanism, but in my experience people seem to think activities are more valuable **because** they're good at them; there was an interesting study I ran across in Scientific American that showed, roughly, that European kids who are closer to the age cutoffs for youth soccer leagues, and thus older and bigger relative to the kids they were competing against, were far more likely to grow up to be professional soccer players (their early ability had spurred them to put in more effort). Similarly, I tend to care more about things I can do well at, and ignore/not value things I can't do well.  
  
I [commented][10] on this at Will Wilkinson's blog (he has a post up about this post now) a few months ago.

 

At [9:42 PM, October 18, 2006][11], ![Anonymous][12] BillWallace said... 
: 

Your last paragraph reminds me of Nietzsche. Those who do not succeed in the current system (the meek), simply invent a new system (Christianity) and impose it on everyone so that they are no longer at the bottom.

 

At [9:52 PM, October 18, 2006][13], ![Blogger][8] [dave meleney][14] said... 
: 

"People who do not see the ads, or see them but are unconvinced, do not associate the goods with status and so do not lose status by not buying them."   
  
You make a lot of interesting points and I'll want my high school daughter to read your post, but do you really believe the above statement?  
  
Even if you never see a clothing add.... these adds may effect how others dress, how they perceive you, and whether they will date you, go to lunch with you, or pass you the ball on the soccer field.  
  
What am I missing here?   
  
My guess it that you dress a lot like me. Poor soul.

 

At [2:25 AM, October 19, 2006][15], ![Anonymous][12] Occassional Reader said... 
: 

Status is maybe not always a zero sum game, but it is in some very important aspects of life. Say you're competing for a girl, and as we know, girls are attracted to status. If you lose the girl to a higher status male, you can't "invent" yourself another one all that easily.

 

At [9:04 AM, October 19, 2006][16], ![Blogger][8] [smilerz][17] said... 
: 

Another way to maximize status is to increase the balkanization of society.  
  
If status is zero sum amongst a group of peers then decreasing the number of peers and increasing the peer groups will increase the number of people that are at the top of their peer groups.  
  
Capitalism seems to accomplish this task naturally. We are no longer a nation of 70% farmers and 30% businessmen. As specialization increases and wealth/technology allows more people to move out of urban life and even work from anywhere our peer groups get smaller and smaller.

 

At [3:24 PM, October 19, 2006][18], ![Blogger][8] [David Friedman][19] said... 
: 

"Say you're competing for a girl, and as we know, girls are attracted to status. If you lose the girl to a higher status male, you can't "invent" yourself another one all that easily."  
  
Yes. As you and others have pointed out, status isn't entirely a matter of how you view yourself. It is in part a matter of how others view you.  
  
Indeed, I have conjectured--I think somewhere in print, although I'm not sure--that the competition for mates may be a central reason why males, at least, care so much about relative status. The available pool of females is a fixed resource from the standpoint of any male, so gains for one male in that ranking are losses for other males.   
  
On the other hand, humans are good at double crossing their genes—behaving in ways that benefit the phenotype at a cost to the genotype, with birth control the obvious example. Even if we evolved a desire for status in order to permit us to better compete for mates, we can now get pleasure from having status by paying more attention to the circles and respects in which we have it than to those in which we do not.

 

At [3:55 PM, October 20, 2006][20], ![Anonymous][12] [Alexx Kay][21] said... 
: 

I am reminded of the Geek Hierarchy Chart: http://www.brunching.com/geekhierarchy.html

 

At [7:18 PM, October 20, 2006][22], ![Anonymous][12] [Peter Bessman][23] said... 
: 

"Indeed, I have conjectured--I think somewhere in print, although I'm not sure--that the competition for mates may be a central reason why males, at least, care so much about relative status."  
  
There's a brilliant idea trying to crawl out of that sentence, I think. I'm just not sure how to get at it.

 

At [12:05 AM, October 22, 2006][24], ![Anonymous][12] Brian said... 
: 

It seems to me that you're conflating two concepts -- how highly others regard you, and how highly you regard yourself -- under the umbrella term of status. I'll call them self-esteem and reputation. Your conclusion that self-esteem is not zero-sum is, I think, rather obvious, and follows the repeatedly observed tendency of people to overestimate their worth along any of a number of metrics. That this kind of division by categories is the rationalization method for self-overestimation is interesting and to me quite plausible, but different from the conclusion that you claim to prove.  
  
The word status as used in the vernacular has a meaning much closer to reputation than self-esteem, and my reaction to your example of the self-important Harvard actors is a derisive snort: they may think they're important, but they're wrong. Their self-esteem is delusional. They don't have status.  
  
A much more interesting question is whether reputation is well ordered, or whether an attempt to aggregate it across people and across categories can lead to non-transitive orderings.

 

At [12:56 AM, October 22, 2006][25], ![Blogger][8] [Bernsteinschmuck][26] said... 
: 

Hey you,  
  
this is a very interest site!  
I come from germany and sale [Bernsteinschmuck][27]  
I will vistit these Blog soon again to look all the news.

 

At [10:00 AM, October 22, 2006][28], ![Blogger][8] [Johan R. Sjöberg][29] said... 
: 

I often rant about this: that not only money, but also other things matter, and that even if wealth is equalized, there will still be people more happy than others in society, and how do you equalize that?  
  
Btw, your "Machinery" was one of the two books that made me leave a natural law-point of view (the Ego and Its Own, by Max Stirner, was the other one).

 

At [5:43 PM, October 22, 2006][30], ![Blogger][8] [David Friedman][31] said... 
: 

Brian suggests that under "status" I am conflating self esteem and reputation. I don't think so.  
  
"Status" as I am using the term is defined by other people's view of you, not merely your view of yourself. But you get, to some degree, to decide which other people matter, which part of your life determines your status.  
  
Consider my example of student actors at Harvard. The really important part of life to them is the time they are on stage. During that time they are not merely the most important people to themselves and their fellow actors, they are also the most important people to the audience--which is, after all, sitting there watching them.  
  
Similarly for a third grade teacher. She spends much, probably a majority, of the time she is interacting with other people interacting with a room full of children, a room where she is the high status authority figure.   
  
The subjective/objective distinction is the distinction between the effect of your status on how you feel and on what you can do. High status recognized by the police will result in the police treating you better, whether or not you include the police among the people who determine your feelings of status. In that sense status is objective and doesn't depend on your view of the world.   
  
But your feeling of high or low status depends both on how other people view you and on which other people's views matter to you. And the latter is to some degree a matter of choice.

 

At [9:36 PM, October 22, 2006][32], ![Anonymous][12] [Aaron Krowne][33] said... 
: 

I think Occasional reader had a really good point:  
  
_Status is maybe not always a zero sum game, but it is in some very important aspects of life. Say you're competing for a girl, and as we know, girls are attracted to status. If you lose the girl to a higher status male, you can't "invent" yourself another one all that easily. _  
  
What this suggests to me is that some people _do_ induce some "status total ordering" on society and then adopt it for various purposes.   
  
E.g., girls in the active-dating pool are highly likely to have a status-total ordering where it helps if you're rich, a lawyer or doctor, and attractive.   
  
But not everyone will share this. For example, intellectuals in some intellectual field will be more highly likely to value you being an expert (or highly published, or whatever) in that field.   
  
And coincidentally, you can invent new intellectual fields.  
  
The point is that status still remains relative, even if various total orderings are commonly found. One must simply choose whether to "play the game" of trying to rise in some existing ordering (and selecting one in which the pool of competition is small enough one has a chance), or creating one's own.  
  
In my own experience, I've always found it silly to compete too vigorously in any one area; it always struck me as a "crowded trade", in the worst cases, with one's chances of getting in no better than that of winning the lottery or making it into the NBA. This seems even sillier when one realizes there are an infinitude of ideas and opportunities. Perhaps this all goes toward explaining why I've never been cliquish, ran a BBS, founded [PlanetMath][34], and have ignored the tenure track.  
  
The title of my current faculty position is one that didn't exist before it was created for me.

 

At [11:19 PM, October 22, 2006][35], ![Anonymous][12] edgr said... 
: 

Occasional reader did have a good point, but I think that David's most recent comment rebutted that (in a way).  
  
What matters is not the opinion of you that is held by all girls in the dating market, but by those girls who you would want to date.  
  
And the pool of girls whom you would like to date is to some degree, a matter of choice. I bet a Harvard actor is much more likely to date another Harvard actor than would be assumed from their relative abundances in the population, so status within the Harvard acting community is important.

 

At [7:09 PM, October 23, 2006][36], ![Anonymous][12] Tracy W said... 
: 

_Say you're competing for a girl, and as we know, girls are attracted to status. If you lose the girl to a higher status male, you can't "invent" yourself another one all that easily._  
  
But there's not much that public policy can do about this. Imagine that you and all other men after this girl were equal in income. The girl would still chose one of you - perhaps by tossing a coin or perhaps by choosing the one with the best joking ability - and the others would do without that girl. (Since I am female, I am assuming that the girl isn't interested in a polyamarous relationship).   
  
Even in a world where the girl was going to marry only for love, you may still completely lose her. She may just fall irrationally in love with the other guy.   
  
And if you did win her affections, then the other guy would be the one deprived and miserable. Nice for you, but a zero-sum game from a public policy perspective.   
  
On the flip-side, the girl in question is also competing with other girls. If your rival marries Girl A, he is not free to marry Girls B to Z. And girls B to Z equally cannot marry your rival. It is quite possible that one of the girls from B to Z and you may come to a mutually happy arrangement.   
  
In reality we see that most people manage to pair off - so failure to win at the status game does not lead to a life of loneliness.

 

At [8:38 AM, October 26, 2006][37], ![Anonymous][12] albatross said... 
: 

There are a couple of interesting ideas here:  
  
First, there's status as you perceive it, which is local to your community or group. This is why the small-town big-shot feels like he has high status, even if nobody in New York knows his name. This is probably the main thing that you derive satisfaction from, both in terms of having high status, and in terms of feeling like you have a place where you fit. Note that most competition for things like potential mates happens locally--it's usually not that you're competing for Dagny Taggart against Francisco D'Anconia, John Galt, and Hank Rearden.   
  
Second, there's global status, something that determines how everyone is supposed to see you. In a society with a single notion of rank that most everyone follows (think of titles of nobility in a Jane Austen novel), this is a big deal. Wealth, fame, and political position all have some claim to this in our society, but I think a lot of people think of each of these notions of rank as nonsense.   
  
Maybe one way to minimize the sting of inequality of outcome is to minimize the second kind of status. I think that's something that is already hapening in the US, and has been for many years. Do most of us really think Brittany Spears is better than we are? Or that George W Bush is? Or that Bill Gates is?

 

At [10:13 PM, October 26, 2006][38], ![Blogger][8] [Guillermo Pineda][39] said... 
: 

This comment has been removed by a blog administrator.

 

At [10:15 PM, October 26, 2006][40], ![Blogger][8] [Guillermo Pineda][39] said... 
: 

I wrote a couple things about David Friedman's article on the Economics of status that made me think about applying it to a Third World country (http://homohominilupus.wordpress.com/2006/10/26/economics-of-status-in-a-third-world-country/) where two completely cultural groups seem to share a same culture. I am talking about the indigenous groups that have for centuries been part of the lower layers of society and the non-indigenous groups that where part of the middle and high layers of the economic status.  
  
While it can not be generalized, those groups seemed to be stable for centuries, and social mobility was almost non existent until a few decades ago. How come this change begun?  
  
It begun with wealth being created in the country because of the opening of new businesses tied to the influx of Globalization. At the same time, a parallel event occurred by the end of the 1970s when in 1976 a strong earthquake destroyed the West side of Guatemala's countryside and poor areas where indigenous communities lived.  
  
Those two events where the cause of a very active internal migration from the rural areas to the biggest cities of the country. That being said, Guatemala's capital city and industrial areas around the country begun received a very important amount of massive migration of rural communities to the urban areas.  
  
Social mobility started to increase and thousands of small businesses by indigenous and non indigenous groups opened their doors and by the passing of a couple decades Guatemala's cultural landscape had completely changed.  
  
But there was a second important change. That change was the family remittances that entered the country from documented and undocumented families that left the country during the 1980s and went to the United States trying to achieve the "American Dream". Years passed, and by year 2005 the amount of remittances that entered the country amounted Q 2,992,822.5 (US$ 386,170,645,161.29).  
  
So, just try to imagine such an amount of money coming to a country as family remittances. Money that is used to buy food, built a concrete house of two or three floors, buy a bigger farm, buy a huge T.V. and Stereo system, pay for cable T.V., get your children to school, and also pay for an international phone call every day to the United States to say "Hello!" to the husband, brother or siblings that send the remittances back home. Ok, that is not all. Now imagine all those changes in the middle of nowhere in the countryside in regions where people used to live with less than a dollar per day.  
  
If that is not a change of status, I cannot try to imagine what is happening in Guatemala. Now, you can see indigenous people driving Dodge trucks and pickups, Ford, GMC and some other American big truck-automobile companies in the countryside and also in the busiest streets of the capital city.  
  
Now, you get to see them buying in stores like Kenneth Cole, Calvin Klein, Sears, Hiper Paiz (recently bought by Wall Mart), Toyota, Mitsubishi, mobile phone companies, and every other company you may think of with a couple credit cards in hand to pay for the gifts they will take back home in the countryside.  
  
I cannot think of any other place to do some research on the effect of remittances and an incredible change in status relation than in Guatemala or any other country that receives remittances.  
  
Status makes humans understand that they are accepted in different places, associations, condominiums, hotels, restaurants and by the passing of years they create completely different images of what we recalled as "home sweet home".  
  
Finally,  
  
the recognition of needs  
  
+  
  
desires  
  
+  
  
entrepreneurship  
  
+  
  
hard work  
  
+  
  
money  
  
+  
  
remittances sent back home  
  
= a higher status  
  
This link will take you to a couple statistics about the effect of family remittances in Guatemala's economy (Spanish).

 

At [6:40 AM, October 27, 2006][41], ![Anonymous][12] efalken said... 
: 

I recently posted a working paper on the SSRN [Why Risk and Return are Uncorrelated: A Relative Status Approach][42] that shows if you assume people only care about relative status, there is no risk-return correlation in equilibrium (eg, no stock return premium for higher beta). This is because nondiversifiable risk becomes like diversifiable risk in the traditional CAPM, avoidable (you can do the consensus), so unpriced. I then survey the empirical literature highlighting why this is a better description of the data.

 

At [4:56 PM, October 30, 2006][43], ![Blogger][8] [GeertHolterman][44] said... 
: 

Thank's for the great illustration the way status works on Harvard campus. There is a really interesting (short) paper by a Russian student that captures you're idea perfectly in a simple model. The title is:  
High status for all?  
Cheating the zero-sum mechanism of happiness.  
  
you can download it here:  
http://ideas.repec.org/p/wpa/wuwpmi/0501001.html

 

At [10:01 AM, November 04, 2006][45], ![Blogger][8] [Lester Hunt][46] said... 
: 

The reference to Nozick's Anarchy, State, and Utopia cited by jadagul is at the end of the section, "Self-esteem and Envy," in Chapter 8. Nozick concludes that the only way to get rid of envy, other than "one feel swoop" eradication of all differences between people, would be value-pluralism. Let everyone evaluate their own distinguishing characteristics in a way favorable to themselves! But he doesn't use examples as amusing and convincing as David's.

 

At [6:42 AM, September 04, 2008][47], ![Blogger][8] [red][48] said... 
: 

This comment has been removed by a blog administrator.

 

At [3:12 AM, February 18, 2009][49], ![Anonymous][12] [Bernstein-Schmuck][50] said... 
: 

This comment has been removed by a blog administrator.

 

At [11:20 PM, March 16, 2009][51], ![Blogger][8] [moto][52] said... 
: 

This comment has been removed by a blog administrator.

 

[Post a Comment][3]

#### Links to this post:

[See links to this post][53]

  [<$BlogBacklinkTitle$>][54]  
: <$BlogBacklinkSnippet$>   
_posted by <$BlogBacklinkAuthor$> @ <$BlogBacklinkDateTime$>_

[Create a Link][55]

<<[ Home][1]

## About Me

![My Photo][56]
: **Name:** [ David Friedman ][57]

I'm an academic economist, teach in a law school, have never taken a course for credit in either field.  
  
Interests include poetry, medieval cooking, science fiction and fantasy, computers, and much else.  
  
I also write books.

[View my complete profile][57]

## Previous Posts

* [Drugs for Africa: A Modest Proposal][58]
* [Compulsory Licensing: A Confusion of Arguments][59]
* [Mind Drugs][60]
* [Gift Economy x 2][61]
* [Some Folk Are Never Satisfied][62]
* [Commitment Strategies vs Highjacking][63]
* [Visual Processing and the Immortality of the Soul][64]
* [The Origin of a Novel][65]
* [Illegal vs Unconstitutional: NSA, FISA, and all th...][66]
* [I'm back][67]

![Powered by Blogger][68]

[This][69] is my site feed. 

* * *

 

[ ![Site Meter][70]][71]

[1]: http://daviddfriedman.blogspot.com/
[2]: http://daviddfriedman.blogspot.com/2006/10/economics-of-status.html "permanent link"
[3]: https://www.blogger.com/comment.g?blogID=19727420&postID=116120436818234604
[4]: http://daviddfriedman.blogspot.com/2006/10/economics-of-status.html#links
[5]: https://img2.blogblog.com/img/icon18_email.gif
[6]: https://img2.blogblog.com/img/icon18_edit_allbkg.gif
[7]: http://daviddfriedman.blogspot.com#c116123184450136438 "comment permalink"
[8]: https://img2.blogblog.com/img/b16-rounded.gif
[9]: https://www.blogger.com/profile/15781108432873815972
[10]: http://www.willwilkinson.net/flybottle/2006/09/03/a-cold-compress-for-status-fever/#comment-25438
[11]: http://daviddfriedman.blogspot.com#c116123297974452786 "comment permalink"
[12]: https://img2.blogblog.com/img/anon16-rounded.gif
[13]: http://daviddfriedman.blogspot.com#c116123357187779810 "comment permalink"
[14]: https://www.blogger.com/profile/12771957160614307790
[15]: http://daviddfriedman.blogspot.com#c116124990029808741 "comment permalink"
[16]: http://daviddfriedman.blogspot.com#c116127385339080731 "comment permalink"
[17]: https://www.blogger.com/profile/17691813644579748440
[18]: http://daviddfriedman.blogspot.com#c116129668342307217 "comment permalink"
[19]: https://www.blogger.com/profile/12927628869233756226
[20]: http://daviddfriedman.blogspot.com#c116138492689498273 "comment permalink"
[21]: http://www.panix.com/~alexx/
[22]: http://daviddfriedman.blogspot.com#c116139712963626803 "comment permalink"
[23]: http://gazuga.net
[24]: http://daviddfriedman.blogspot.com#c116150071889413747 "comment permalink"
[25]: http://daviddfriedman.blogspot.com#c116150381622284981 "comment permalink"
[26]: https://www.blogger.com/profile/09055760169700652100
[27]: http://www.bernsteinfee.de
[28]: http://daviddfriedman.blogspot.com#c116153645335149510 "comment permalink"
[29]: https://www.blogger.com/profile/13451248058046921395
[30]: http://daviddfriedman.blogspot.com#c116156418384727574 "comment permalink"
[31]: https://www.blogger.com/profile/07772876732460907362
[32]: http://daviddfriedman.blogspot.com#c116157819992757689 "comment permalink"
[33]: http://www.autodogmatic.com/
[34]: http://planetmath.org/
[35]: http://daviddfriedman.blogspot.com#c116158438923960569 "comment permalink"
[36]: http://daviddfriedman.blogspot.com#c116165577888102591 "comment permalink"
[37]: http://daviddfriedman.blogspot.com#c116187710395271187 "comment permalink"
[38]: http://daviddfriedman.blogspot.com#c116192600719137111 "comment permalink"
[39]: https://www.blogger.com/profile/09683693167154821585
[40]: http://daviddfriedman.blogspot.com#c116192611122524328 "comment permalink"
[41]: http://daviddfriedman.blogspot.com#c116195642713326886 "comment permalink"
[42]: http://papers.ssrn.com/sol3/papers.cfm?abstract_id=936744
[43]: http://daviddfriedman.blogspot.com#c116225618366660169 "comment permalink"
[44]: https://www.blogger.com/profile/04395174195952044691
[45]: http://daviddfriedman.blogspot.com#c116266329285379008 "comment permalink"
[46]: https://www.blogger.com/profile/14746157071827337723
[47]: http://daviddfriedman.blogspot.com#c5350907945267997092 "comment permalink"
[48]: https://www.blogger.com/profile/07805281837470504210
[49]: http://daviddfriedman.blogspot.com#c907639244343338334 "comment permalink"
[50]: http://www.mybernstein.de
[51]: http://daviddfriedman.blogspot.com#c6159380163840665111 "comment permalink"
[52]: https://www.blogger.com/profile/05859595088658822665
[53]: http://blogsearch.google.com/?ui=blg&q=link:http://daviddfriedman.blogspot.com/2006/10/economics-of-status.html
[54]: <$BlogBacklinkURL$>
[55]: javascript:BlogThis();
[56]: http://lh4.googleusercontent.com/-yWrWFFfi7Uk/AAAAAAAAAAI/AAAAAAAAChk/qDse1rMmX6A/s80-c/photo.jpg
[57]: https://plus.google.com/108568701262975419501
[58]: http://daviddfriedman.blogspot.com/2006/10/drugs-for-africa-modest-proposal.html
[59]: http://daviddfriedman.blogspot.com/2006/10/compulsory-licensing-confusion-of.html
[60]: http://daviddfriedman.blogspot.com/2006/09/mind-drugs.html
[61]: http://daviddfriedman.blogspot.com/2006/09/gift-economy-x-2.html
[62]: http://daviddfriedman.blogspot.com/2006/09/some-folk-are-never-satisfied.html
[63]: http://daviddfriedman.blogspot.com/2006/09/commitment-strategies-vs-highjacking.html
[64]: http://daviddfriedman.blogspot.com/2006/09/visual-processing-and-immortality-of.html
[65]: http://daviddfriedman.blogspot.com/2006/08/origin-of-novel.html
[66]: http://daviddfriedman.blogspot.com/2006/08/illegal-vs-unconstitutional-nsa-fisa.html
[67]: http://daviddfriedman.blogspot.com/2006/08/im-back.html
[68]: http://buttons.blogger.com/bloggerbutton1.gif
[69]: http://daviddfriedman.blogspot.com/atom.xml
[70]: http://s17.sitemeter.com/meter.asp?site=s17Ideascount
[71]: http://s17.sitemeter.com/stats.asp?site=s17Ideascount

