---
created_at: '2017-03-13T20:58:33.000Z'
title: Gödel and the limits of logic (2006)
url: https://plus.maths.org/content/goumldel-and-limits-logic
author: Pishky
points: 148
story_text: 
comment_text: 
num_comments: 39
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1489438713
_tags:
- story
- author_Pishky
- story_13862292
objectID: '13862292'

---
[Source](https://plus.maths.org/content/goumldel-and-limits-logic "Permalink to Gödel and the limits of logic | plus.maths.org")

# Gödel and the limits of logic | plus.maths.org

[Skip to main content][1]

[ ![Home][2] ][3] Toggle navigation

## Secondary menu

* [about Plus][4]
* [support Plus][5]
* [Plus sponsors][6]
* [subscribe to Plus][7]
* [terms of use][8]

## Search form

Search

* [Home][9]
* [Articles][10]
* [News][11]
* [Packages][12]
* [Podcasts][13]
* [Puzzles][14]
* [Reviews][15]
* [Videos][16]
* [Login][17]

![][18]

# Gödel and the limits of logic

By 

John W Dawson

Submitted by plusadmin on June 1, 2006 

June 2006

  

![Portrait of Kurt Gödel ][19]

Kurt Gödel. Photograph by Alfred Eisenstaedt, taken from the Gödel Papers courtesy of [Princeton University][20] and [Institute for Advanced Study][21].

The man in the photograph on the right looks formal, reserved and somewhat undernourished. His face and his writings are unfamiliar to most, except for a few philosophers and mathematical logicians. He was Kurt Gödel, celebrated for his incompleteness theorems, the implications of which are far-reaching for the foundations of mathematics and computer science. The story of his life and work is that of a persistent quest for rationality in all things, pursued against a background of recurrent mental instability.

Gödel proved that the mathematical methods in place since the time of Euclid (around 300 BC) were inadequate for discovering all that is true about the natural numbers. His discovery undercut the foundations on which mathematics had been built up to the 20th century, stimulated thinkers to seek alternatives and generated a lively philosophical debate about the nature of truth. Gödel's innovative techniques, which could readily be applied to algorithms for computations, also laid the foundation for modern computer science.

### Mr Why

Born on April 28, 1906, in Brno, Moravia, Gödel was the second of two children of Rudolf and Marianne Gödel, expatriate Germans whose families were associated with the city's textile industry. Gödel and his brother were both sent to private German language schools, where they did very well in their studies.

Indeed, only once during his primary and secondary school career did young Kurt ever receive less than the highest mark in any subject (mathematics!). Yet he gave no early intimation of genius. He was a highly inquisitive child, so much so that he was nicknamed _der Herr Warum_ ("Mr. Why"). But he was also introverted, sensitive and somewhat sickly. At about the age of eight he contracted rheumatic fever, and although it seems not to have caused lasting physical damage, it kept him out of school for some time and may have fostered the exaggerated concern for his health and diet that was to become increasingly prominent over the years.

### The reticent genius

In 1924 Gödel left his homeland to enrol at the University of Vienna. At the time of his enrolment Gödel intended to seek a degree in physics. But after a short while, impressed by the lectures of professors Philipp Furtwängler and [Hans Hahn][22], he switched to mathematics. His remarkable talents soon attracted attention — so much so that just two years after his matriculation he was invited to attend sessions of a discussion group that Hahn and philosopher Moritz Schlick had founded two years earlier. The group, which was later to become famous as the [Vienna Circle][23], was inspired by the writings of Ernst Mach, a champion of rationalism who believed that all things could be explained by logic and empirical observation, without recourse to metaphysics.

![Kurt Gödel \(right\) with his brother Rudolf around 1908. ][24]

Kurt Gödel (right) with his brother Rudolf around 1908. Image courtesy JW Dawson.

The Circle brought Gödel into contact with scholars such as philosopher of science Rudolf Carnap and mathematician [Karl Menger][25] and helped to acquaint him with the literature of mathematical logic and philosophy. In particular, the Circle was immersed in the writings of Ludwig Wittgenstein, whose concern about the extent to which language can speak about language may have prompted Gödel to probe analogous questions about mathematics.

Gödel did not, however, share the [positivistic][26] philosophical outlook of the Circle, which extended Mach's ideas. Instead he was a _Platonist_: he believed that in addition to objects, there exists a world of concepts to which humans have access by intuition. For [Plato][27], who lived around 400 BC, concepts such as _truth_ were not products of the human mind which can change according to the thinker's point of view, as some philosophers believe, but existed independently of the human observer. Thus, a statement could have a definite "truth value" — be true or not — whether or not it had been proved or could be empirically confirmed or refuted by humans. Gödel subscribed to this philosophy, and, in his own view, this was an aid to his remarkable mathematical insights.

Although Gödel was an attentive observer and clearly brilliant, he rarely contributed to the Circle's discussions, unless they were about mathematics. Shy and reclusive, he had few close friends. (He did, however, like the company of women and was apparently quite attractive to them.) After 1928 he seldom attended the group's meetings but became active instead in a mathematical colloquium organised by Menger.

### Moment of impact

During this period, Gödel suddenly acquired international stature in mathematical logic. Two papers in particular thrust him into prominence. One was his doctoral dissertation, submitted to the University of Vienna in 1929 and published the next year. The other was his treatise _On Formally Undecidable Propositions of Principia Mathematica and Related Systems_, published in German in 1931 and submitted as his _Habilitationsschrift_ (qualifying dissertation for entrance into the teaching profession) in 1932.

![Euclid's axioms 4 and 5][28]

The dissertation, entitled _The Completeness of the Axioms of the First-Order Functional Calculus_, solved an open problem that David Hilbert and Wilhelm Ackermann had posed in their 1928 textbook _Grundzüge der theoretischen Logik_ (Foundations of Theoretical Logic). The problem concerned formalised mathematical systems and the accepted rules for logical reasoning, which were stated in the book.

A _formalised mathematical system_ is described by a set of axioms. These are pre-determined truths that define the objects in the system and are never called into question. The ancient mathematician Euclid, for example, based his theory of plane geometry on five axioms. The statements "any two points can be joined by a straight line segment" (fig 1), and "any straight line segment can be extended indefinitely" (fig 2), are two of these axioms. 

  

![Euclid's axioms 1, 2, and 3][29]

Euclid's five axioms for plane geometry  
— read more in the _Plus_ article [The origins of proof][30].

They are taken to be true from the outset, and any other statement about plane geometry has to be derived from the five axioms using only the rules of logic — no intuition or knowledge that comes from outside the system are allowed. 

Hilbert and Ackermann's question was: if you have a set of axioms describing a mathematical system, do the rules for logical reasoning which they gave in their book allow you to derive _every_ true statement about the system, and do they ensure that _only_ true statements can be derived?

The expected answer was "yes", and Gödel confirmed that it was. His dissertation established that the principles of logic developed up to that time were adequate for their intended purpose, which was to prove everything that was true on the basis of a given set of axioms. It did not show, however, that every true statement concerning the _natural numbers_, that is the numbers 0,1,2, ... , could be proved on the basis of the accepted axioms of number theory.

### The problem with number theory

The axioms of number theory were based on those laid out by the Italian mathematician Giuseppe Peano in 1889. The first four of his axioms are

* 0 is a natural number,
* every natural number has a successor,
* no natural number has 0 as its successor,
* distinct natural numbers have distinct successors.
The successor of 0 is what we call 1, the successor of 1 is what we call 2, etc. In this way, all the natural numbers are defined, and so is the operation of addition: _16+4_, for example means "take the number 16 and move on 4 places in the sequence of successors". 

The fifth and final of Peano's axioms is known as the _principle of induction_, and this axiom proved to be the sticking point. It states:  

_Suppose that a property holds for 0, and suppose you can prove that if this property holds for another natural number, then it also holds for the successor of that number. Then the property holds for all natural numbers._   

### A simple proof by induction

We will prove by induction that  
  
_0 + 1 + 2 + 3 + .... + n = n(n+1)/2_   
for any positive whole number _n_. 

First, we verify that the statement is true for _n = 0_:  

_0 = (0 × 1)/2,_   
so it is. 

Now we assume that the statement is true for a positive whole number _k_ and see if we can show that it is also true for _k+1_:  

_1 + 2 + ... + k + k+1  
  
= k(k+1)/2 + k+1  
  
= (k(k+1)+2k+2)/2 = (k2+3k+2)/2  
  
= (k+1)(k+2)/2.  
  
_ Thus, whenever the statement is true for a number _k_, it is also true for _k+1_, the next number along. 

So, since we have verified the statement for 0, it follows that it must be true for 1, which means it must be true for 2 and in turn for 3, etc. We can reach _any_ positive whole number _n_ in this way, so we have proved that the statement is true _for all_ positive whole numbers, as required. QED

This is sometimes called the domino principle: if you knock one over, the rest will topple. It might seem self-evident, but mathematicians found it problematic, because rather than talking about natural numbers themselves, it talks about _properties_ of natural numbers. Such a "second-order" statement was thought too vague and ill defined to serve as a basis for the theory of natural numbers. 

To circumvent that problem, the induction axiom was translated into an infinite schema of similar axioms that refer to specific formulas rather than to general properties of numbers. Unfortunately, however, those axioms no longer uniquely characterize the natural numbers. Indeed, as Norwegian logician Thoralf Skolem demonstrated a few years after Gödel's work, even if _all_ statements that are true of the natural numbers are taken as axioms, there will still be other structures, essentially different from the natural numbers, that also satisfy the axioms.

Now Gödel's _completeness theorem_ states that whatever propositions are taken as axioms, one can prove all (and only) those statements that hold in _all_ structures satisfying the axioms. But if some statement is true of the natural numbers but is not true of another system of entities that also satisfies the axioms, then it cannot be proved. At first, that did not seem to be a serious problem, because mathematicians hoped that entities that masqueraded as numbers but were essentially different from them did not exist. So Gödel's next theorem came as a shock.

### The Incompleteness Theorem

In his 1931 paper Gödel showed that, no matter how you formulate the axioms for number theory, there will always be some statement that is true of the natural numbers, but that can't be proved. (That is, objects that obey the axioms of number theory but fail to behave like the natural numbers in some other respects do exist.)

But why not just turn such a true but unprovable statement into an axiom? After all, axioms are precisely those statements which we accept to be true without proof. But here lies the true bite of the _incompleteness theorem_: Gödel showed that whenever the axioms can be characterized by a set of mechanical rules, it does not matter which statements are taken to be axioms: some other true statements about the natural numbers will remain unprovable. It's like an ill-designed jigsaw puzzle. No matter how you arrange the pieces, you'll always end up with some that won't fit in the end.

![Broken puzzle][31]

The incomplete puzzle of the natural numbers: no  
matter what you try, some pieces will never fit.

Although Gödel's work irrefutably proves that "undecidable" statements do exist within number theory, not many examples of such statements have been found. One example comes from the sentence:  

_This statement is unprovable_   
You can see why this is a prime candidate: if you could prove this statement to be true, then it would be false! It is true _only if_ it is unprovable, and unprovable _only if_ it is true. As it stands, this is not a statement about the natural numbers. But Gödel had devised an ingenious way to assign numbers to English-language phrases like this one, so that finding whether the statement is true or not translates to solving numerical equations. He proved that, within the axioms of number theory, it is impossible to prove whether or not the equation corresponding to the sentence above holds true, thus confirming our "common-sense" analysis. 

In a similar way, Gödel translated the statement  

_The axioms of this theory do not contradict each other_   
into numerical code, and again proved that the translation is unprovable. Any proof that the axioms do not contradict each other — that they are _consistent_ — must therefore appeal to stronger principles than the axioms themselves. 

The latter result greatly dismayed David Hilbert, who had envisioned a program for securing the foundations of mathematics through a "bootstrapping" process, by which the consistency of complex mathematical theories could be derived from that of simpler, more evident theories. Gödel, on the other hand, saw his incompleteness theorems not as demonstrating the inadequacy of the axiomatic method but as showing that the derivation of theorems cannot be completely mechanized. He believed they justified the role of intuition in mathematical research.

The concepts and methods Gödel introduced in his incompleteness paper are central to all of modern computer science. This is not surprising, since computers are forced to use logical rules mechanically without recourse to intuition or a "birds-eye view" that allows them to see the systems they are using from the outside. Extensions of Gödel's ideas have allowed the derivation of several results about the limits of computational procedures. One is the unsolvability of the _halting problem_. If you have ever written a computer program, you will know that a programming mistake can cause it to enter an infinite loop: it will run forever and never end. The question is if there can be an algorithm that can examine _any_ computer program and decide whether it will eventually halt or whether it will keep running forever. This is the halting problem and the answer is "no".

Another result that derives from Gödel's ideas is the demonstration that _no_ program that does not alter a computer's operating system can detect all programs that do. In other words, no program can find all the viruses on your computer, unless it interferes with and alters the operating system.

![He's behind you!<Br>No program can find all the viruses on your computer, <br>unless it interferes with the operating system itself.][32]

He's behind you!  
No program can find all the viruses on your computer,  
unless it interferes with the operating system itself.

### Matters of heart and mind

Gödel spent the 1933-34 academic year in Princeton, New Jersey, at the newly founded Institute for Advanced Study, where he lectured on his incompleteness results. He was invited to come there the next year as well but suffered a mental breakdown shortly after his return to Vienna. He recovered in time to return to Princeton in the fall of 1935, but a month after his arrival he experienced a relapse and did not return to lecturing until the spring of 1937 in Vienna.

His problems seem to have started with hypochondria: he was obsessive about his diet and bowel habits and kept a daily record for two decades or more of his body temperature and milk of magnesia consumption. He had a fear of accidental and, in later years, deliberate poisoning. This phobia led him to avoid eating food, so that he became malnourished. At the same time, though, he ingested a variety of pills for an imaginary heart problem.

![Kurt Gödel and his wife][33]

Kurt Gödel and his wife, Adele. Photograph by Oskar Morgenstern, courtesy of the Archives of the [Institute for Advanced Study][21].

Except in times of crisis, Gödel's mental problems hampered his work surprisingly little. The person who kept him going was Adele Porkert, whom he had met at a Viennese nightclub during his student years. Porkert was a Catholic divorcée six years older than Gödel, who worked as a dancer and whose face was disfigured by a birthmark. His parents regarded her as a scandalous person. But the two were devoted to each other, and more than once, by serving as his food taster, she helped to allay Gödel's growing fears that someone was trying to poison him. The two were married in September 1938, just before Gödel returned once more to America.

Back in the states, Gödel lectured at the Institute for Advanced Study and the University of Notre Dame on exciting new results in set theory, which answered another question of Hilbert's. These results represented another major achievement, but they were still not enough to earn him a permanent academic position. During his year at the Institute for Advanced Study and Notre Dame, his authorization to teach at Austrian universities lapsed. When he returned to Vienna to be reunited with his wife in the summer of 1939, he was summoned for a military physical and declared fit for service in the Nazi armed forces.

### Shelter in America

Until then, Gödel appears to have been aloof to the frightening developments in Europe. His lack of emotional engagement with people may have kept him from appreciating the significance of what was happening. He seemed oblivious to the fates befalling his colleagues and professors, many of whom were Jewish: he stayed immersed in his work while the world around him fell apart. Finally, he realized it was taking him down as well.

In that desperate situation he enlisted the support of the Institute for Advanced Study to help secure exit visas for himself and his wife. His efforts were successful, and in January 1940 the two of them began a long journey to Princeton.

![ Kurt GÃ¶del with Albert Einstein][34]

Kurt Gödel and Albert Einstein. Photographed by Oskar Morgenstern, courtesy of the Archives of the [Institute for Advanced Study][21].

Gödel never again left the U.S. He was made a permanent member of the institute faculty in 1946. Two years later he acquired American citizenship (on which occasion the judge who swore him in made the unfortunate error of asking his opinion of the U.S. Constitution, and thereby unleashed a pent-up lecture on its inconsistencies.) But Gödel was not promoted to professor until 1953 — the same year he was elected to membership in the National Academy of Sciences — in part because his expressed fear that poison gases were escaping from his refrigerator aroused continuing concern about his mental stability. During those years, his friend Albert Einstein took it on himself to look after Gödel as best he could, taking a walk with him every day. Their conversations seem to have had a calming effect on Gödel.

After his emigration Gödel turned to philosophy and relativity theory. In 1949 he demonstrated that universes in which time travel into the past is possible were compatible with Einstein's equations.

### Deepening fears

Gödel's last published paper appeared in 1958. After that he withdrew more and more into himself, becoming increasingly emaciated, paranoid and hypochondriacal. He last appeared in public in 1972, when the Rockefeller University granted him an honorary doctorate. Three years later he was awarded the National Medal of Science but declined to attend the awards ceremony on grounds of ill health.

On July 1, 1976, having reached the mandatory retirement age of 70, Gödel became professor emeritus at the institute. His responsibilities did not lessen, though, because his wife, who for so many years had nurtured and protected him, had suffered an incapacitating stroke a few months before. It was his turn to care for her. He did so, devotedly, until July 1977, when she underwent emergency surgery and was hospitalized for nearly six months.

At about that time Oskar Morgenstern, the friend who had helped to look after Gödel in the years after Einstein's death in 1955, died of cancer. Gödel was thus left to fend for himself against his growing paranoia. In the face of that, he declined rapidly. His fear of poisoning led to self-starvation, from which he died on January 14, 1978.

Adele Gödel survived her husband by three years. At her death, on February 4, 1981, she bequeathed rights to Gödel's papers to the Institute for Advanced Study.

Gödel published remarkably few papers during his lifetime, but their impact has been enormous. They have affected virtually every branch of modern logic. During the past decade, other papers of his have been translated and published posthumously in the third volume of his Collected Works. Their contents, including his formalization of the so-called ontological argument for the existence of God, have now begun to attract attention as well. At last, the breadth of his work is becoming known to those outside the mathematical community.

### Further reading

Read more about [mathematical proof][35] in past _Plus_ articles, including our series on the origins of proof from Euclid to Gödel to the proof of Fermat's Last Theorem.

* * *

About this article

![][36]

This article was adapted from _Gödel and the limits of logic_ by JW Dawson. Copyright © June 1999 by [Scientific American][37], Inc. All rights reserved.

**John W Dawson** is Professor of Mathematics at the York campus of Pennsylvania State University. Trained as a logician, during the years 1982-84 he catalogued Gödel's papers at the Institute for Advanced Study, work that provided the basis for his 1997 biography _Logical Dilemmas: The Life and Work of Kurt Gödel_.

Dawson's book _Logical dilemmas: The life and work of Kurt Gödel_ is [reviewed][38] in this issue of _Plus_.

* [Add new comment][39]

## Comments

### [when leaders were martyrs][40]

[Permalink][40] Submitted by Anonymous on January 15, 2011 

There is a great danger in disproportionate rationalizing. I hope Gödel's life message isn't lost to his theorems.

* [reply][41]

### [Yours][42]

[Permalink][42] Submitted by Anonymous on March 29, 2011 

You Should Hope Yours Isn't LOST

* [reply][43]

### [Thanks][44]

[Permalink][44] Submitted by mneifer on February 10, 2011 

Very interesting article. Thanks

* [reply][45]

### [sourcing Godel's ideas][46]

[Permalink][46] Submitted by Anonymous on June 12, 2011 

Thanks for this illuminating introduction to KG's work. A good supplement to it is this article from the August 2010 issue of First Things:  
<http://www.faqs.org/periodicals/201008/2080027241.html> (Be prepared to ignore an irritating format translation error which occasionally replaces "Godel" with "Godei".)

* [reply][47]

### [A great insight !!][48]

[Permalink][48] Submitted by Anonymous on December 6, 2011 

This has been a tremendous article to read through, especially the computational aspect. I started reading about Godel from Godel, Escher & Bach, then Nagel & Newman, but yet Dr.Dawson's this article is simply great !! I would have felt elated with similar articles and more insight on Godel.

* [reply][49]

### [unprovable conjectures][50]

[Permalink][50] Submitted by Anonymous on May 19, 2012 

Why don't you list all the famous conjectures that have been proven to be unprovable?

* [reply][51]

### [Great intro to Gödel. Hope to][52]

[Permalink][52] Submitted by Anonymous on May 20, 2012 

Great intro to Gödel. Hope to read other papers like this one...

* [reply][53]

### [The consistency of Peano Arithmetic System][54]

[Permalink][54] Submitted by Anonymous on January 10, 2013 

I would like to inform that at "Logic Colloquium 2009" (31 July - 5 August, 2009, Sofia, Bulgaria) I, together with dr Teodor J. Stepien, delivered a talk. During this talk we presented a sketch of the proof of the consistency of Peano's Arithmetic System (of course, the FULL proof was constructed by us before the mentioned Conference "Logic Colloquium 2009"). This proof is completely ELEMENTARY, i.e. there are used ONLY the axioms of first-order logic and the axioms of Peano's Arithmetic System. Hence, from the construction of this proof, it follows that Gödel's Second Incompleteness Theorem is INVALID. The abstract of this talk was published in _"The Bulletin of Symbolic Logic"_: T. J. Stepien and L. T. Stepien, _Bull. Symb. Logic_ **16**, No. 1, 132 (2010). URL: [www.math.ucla.edu/~asl/bsl/1601/1601-004.ps][55] .
* [reply][56]

### [The consistency of Peano Arithmetic System][57]

[Permalink][57] Submitted by Anonymous on April 20, 2015 

Really? And who are these geniuses? Do they stand the test of time?

* [reply][58]

### [Fatuities of Goedel][59]

[Permalink][59] Submitted by Anonymous on April 25, 2015 

1) Starting with arithmetics, whole mathematics must be founded in the continuum of geometry. Even Frege admitted that he had spent his whole life on the wild goose  
chase, trying to found it in the discreteness of the Set Theory.  
2) let's consider the famous Goedel sentence G: "This sentence is not provable" and the theorem: "G is true but not provable in the theory".  
G is neither false,nor true for the simple reason that it is NO statement at all. By the standards of Goedell's own Predicate Logic a statement is a predication,  
an assignment of a property to a subject. "Truth/Falsity" qualifies the predication itself and not the subject of predication. A statement "all cars are red" is a valid  
predication or statement which may be true or false and by virtue of observations turns out to be false.  
Now, G does not assign any property to any subject, thus is not a predication, not a statement at all, a meaningless chain of characters that may not be true or false.  
Details in my site <http://findgeorges.com/> chapter C4_LIAR,_RUSSELL_AND_GOEDEL.  
Georges Metanomski

* [reply][60]

### [Recursion might be an issue for the example][61]

[Permalink][61] Submitted by Anonymous on June 9, 2015 

I think Georges make a good point that in the example G is not a statement. 

Here is what I am thinking: If G is a statement, and define a function(G) = either 0 (false) or 1 (true). Now let's translate the problem into 

function(G) = ? 

The question mark means don't know if it is 0 (false) or 1(true). 

Now let's look at G. What is G? where, G is the following statement:

function(G) = ?

So the problem becomes:

function[function(G)=?] = ?

In computer science this is called recursion. To determine the results, you need to call it in the next level in a program. Such causes infinity number of the recursive call and can't resolve it. This is the fundamental thing behind the example. 

In mathematics, we should avoid such recursion for any statements. If doing so, I guess, human logic may have no flaw.

* [reply][62]

### [Infinite quantities][63]

[Permalink][63] Submitted by Anonymous on March 13, 2016 

Every single infinite quantity in mathematics is defined as the limit of a sequence of finite quantities. Including the continuum and the "Ruler postulate" of modern axiomatic geometry

* [reply][64]
* [Maths in a minute][65]

[ ![][66]][65]

Want facts and want them fast? Our Maths in a minute series explores key mathematical concepts in just a few words. 

* [Seeing Pythagoras][67]

![][68]

The great thing about geometry is that you can sometimes prove things using pictures. Enjoy these three great visual proofs of Pythagoras' theorem!

* [Happy e day!][69]

![][70]

Today is _e_ day! Celebrate the lovely number _e_ with some of our favourite articles on the topic.

* [Bizarre conclusion from alcohol study][71]

![][72]

Can a pint a day give you dementia? Yes, if reported claims of a recent study are to be believed, but no if you have a closer look at the data the study was based on.

* [A conversation with Stephen Cook][73]

![][74]

We talk to pioneering mathematician Stephen Cook, who came up with the concept of NP-complete problems, about his work, computer science, and artificial intelligence.

* [What's your problem?][75]

![][76]

There are problems that are easy to solve in theory, but impossible to solve in practice. Intrigued? Then join us on a journey through the world of complexity, all the way to the famous P versus NP conjecture.

## Tags

* [history of mathematics][77]
* [philosophy of mathematics][78]
* [logic][79]
* [Gödel's Incompleteness Theorem][80]
* [what is impossible][81]

[Tweets by @plusmathsorg][82]

[ ![Cambridge University logo][83]][84]

[1]: https://plus.maths.org#main-content
[2]: https://plus.maths.org/content/sites/plus.maths.org/themes/bootplus/Header.jpg
[3]: https://plus.maths.org/content/ "Home"
[4]: https://plus.maths.org/content/about-plus ""
[5]: https://plus.maths.org/content/support-plus ""
[6]: https://plus.maths.org/content/plus-sponsors ""
[7]: https://plus.maths.org/content/subscribe-plus ""
[8]: https://plus.maths.org/content/terms-use-and-notices ""
[9]: https://plus.maths.org/content/ ""
[10]: https://plus.maths.org/content/Article "news features columns and opinions"
[11]: https://plus.maths.org/content/News "News"
[12]: https://plus.maths.org/content/Package "Packages"
[13]: https://plus.maths.org/content/Podcast "Podcasts"
[14]: https://plus.maths.org/content/Puzzle ""
[15]: https://plus.maths.org/content/Review "Book film and other reviews"
[16]: https://plus.maths.org/content/category/tags/video ""
[17]: https://plus.maths.org/content/user ""
[18]: https://plus.maths.org/content/sites/plus.maths.org/files/issue39/features/dawson/icon.jpg
[19]: https://plus.maths.org/issue39/features/dawson/Godel_alone.jpg
[20]: http://www.princeton.edu/main/
[21]: http://www.ias.edu/
[22]: http://www-groups.dcs.st-and.ac.uk/~history/Biographies/Hahn.html
[23]: http://en.wikipedia.org/wiki/Vienna_Circle
[24]: https://plus.maths.org/issue39/features/dawson/Godel_kid.jpg
[25]: http://www-history.mcs.st-and.ac.uk/~history/Biographies/Menger.html
[26]: http://en.wikipedia.org/wiki/Logical_positivism
[27]: http://www-history.mcs.st-andrews.ac.uk/Biographies/Plato.html
[28]: https://plus.maths.org/issue39/features/dawson/Axioms1_web.jpg
[29]: https://plus.maths.org/issue39/features/dawson/Axioms2_web.jpg
[30]: https://plus.maths.org/issue7/features/proof1/index.html#euclid
[31]: https://plus.maths.org/issue39/features/dawson/Puzzle_web.jpg
[32]: https://plus.maths.org/issue39/features/dawson/VirusHunt_web.jpg
[33]: https://plus.maths.org/issue39/features/dawson/godel_wife.jpg
[34]: https://plus.maths.org/issue39/features/dawson/Godel_Einstein.jpg
[35]: https://plus.maths.org/content/taxonomy/term/308
[36]: https://plus.maths.org/issue39/features/dawson/John_Dawson.jpg
[37]: http://www.sciam.com/
[38]: https://plus.maths.org/issue39/reviews/book3
[39]: https://plus.maths.org/content/comment/reply/2284#comment-form "Share your thoughts and opinions related to this posting."
[40]: https://plus.maths.org/content/comment/2158#comment-2158
[41]: https://plus.maths.org/content/comment/reply/2284/2158
[42]: https://plus.maths.org/content/comment/2320#comment-2320
[43]: https://plus.maths.org/content/comment/reply/2284/2320
[44]: https://plus.maths.org/content/comment/2218#comment-2218
[45]: https://plus.maths.org/content/comment/reply/2284/2218
[46]: https://plus.maths.org/content/comment/2520#comment-2520
[47]: https://plus.maths.org/content/comment/reply/2284/2520
[48]: https://plus.maths.org/content/comment/2990#comment-2990
[49]: https://plus.maths.org/content/comment/reply/2284/2990
[50]: https://plus.maths.org/content/comment/3346#comment-3346
[51]: https://plus.maths.org/content/comment/reply/2284/3346
[52]: https://plus.maths.org/content/comment/3352#comment-3352
[53]: https://plus.maths.org/content/comment/reply/2284/3352
[54]: https://plus.maths.org/content/comment/4019#comment-4019
[55]: http://www.math.ucla.edu/~asl/bsl/1601/1601-004.ps
[56]: https://plus.maths.org/content/comment/reply/2284/4019
[57]: https://plus.maths.org/content/comment/6351#comment-6351
[58]: https://plus.maths.org/content/comment/reply/2284/6351
[59]: https://plus.maths.org/content/comment/6369#comment-6369
[60]: https://plus.maths.org/content/comment/reply/2284/6369
[61]: https://plus.maths.org/content/comment/6489#comment-6489
[62]: https://plus.maths.org/content/comment/reply/2284/6489
[63]: https://plus.maths.org/content/comment/7231#comment-7231
[64]: https://plus.maths.org/content/comment/reply/2284/7231
[65]: https://plus.maths.org/content/maths-in-a-minute
[66]: https://plus.maths.org/content/sites/plus.maths.org/files/blog/102016/clock_fronticon.jpg
[67]: https://plus.maths.org/content/seeing-pythagoras
[68]: https://plus.maths.org/content/sites/plus.maths.org/files/promotepics/%5Buid%5D/%5Bsite-date%5D/visual_fronticon_0.png
[69]: https://plus.maths.org/content/happy-e-day
[70]: https://plus.maths.org/content/sites/plus.maths.org/files/promotepics/%5Buid%5D/%5Bsite-date%5D/e_fronticon.jpg
[71]: https://plus.maths.org/content/bizarre-conclusions-alcohol-study
[72]: https://plus.maths.org/content/sites/plus.maths.org/files/promotepics/%5Buid%5D/%5Bsite-date%5D/beer_fronticon_0.jpg
[73]: https://plus.maths.org/content/conversation-stephen-cook-0
[74]: https://plus.maths.org/content/sites/plus.maths.org/files/promotepics/%5Buid%5D/%5Bsite-date%5D/Cook_fronticon.jpg
[75]: https://plus.maths.org/content/whats-your-problem
[76]: https://plus.maths.org/content/sites/plus.maths.org/files/promotepics/%5Buid%5D/%5Bsite-date%5D/Professors_cube_fronticon.jpg
[77]: https://plus.maths.org/content/tags/history-mathematics
[78]: https://plus.maths.org/content/tags/philosophy-mathematics
[79]: https://plus.maths.org/content/tags/logic
[80]: https://plus.maths.org/content/category/tags/g%C3%B6dels-incompleteness-theorem
[81]: https://plus.maths.org/content/category/tags/what-impossible
[82]: https://twitter.com/plusmathsorg
[83]: https://plus.maths.org/content/sites/plus.maths.org/themes/bootplus/camlogo.gif
[84]: http://www.cam.ac.uk

