---
created_at: '2017-06-20T14:07:20.000Z'
title: Copy What You Like (2006)
url: http://paulgraham.com/copy.html
author: Jimmy
points: 129
story_text: 
comment_text: 
num_comments: 44
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1497967640
_tags:
- story
- author_Jimmy
- story_14594720
objectID: '14594720'

---
[Source](http://paulgraham.com/copy.html "Permalink to Copy What You Like")

# Copy What You Like


| ----- |
| ![][1] | ![][2] | ![][3]  
  

| ![][4]  
  
![Copy What You Like][5]  
  
July 2006  
  
When I was in high school I spent a lot of time imitating bad writers. What we studied in English classes was mostly fiction, so I assumed that was the highest form of writing. Mistake number one. The stories that seemed to be most admired were ones in which people suffered in complicated ways. Anything funny or gripping was ipso facto suspect, unless it was old enough to be hard to understand, like Shakespeare or Chaucer. Mistake number two. The ideal medium seemed the short story, which I've since learned had quite a brief life, roughly coincident with the peak of magazine publishing. But since their size made them perfect for use in high school classes, we read a lot of them, which gave us the impression the short story was flourishing. Mistake number three. And because they were so short, nothing really had to happen; you could just show a randomly truncated slice of life, and that was considered advanced. Mistake number four. The result was that I wrote a lot of stories in which nothing happened except that someone was unhappy in a way that seemed deep.  
  
For most of college I was a philosophy major. I was very impressed by the papers published in philosophy journals. They were so beautifully typeset, and their tone was just captivating—alternately casual and buffer-overflowingly technical. A fellow would be walking along a street and suddenly modality qua modality would spring upon him. I didn't ever quite understand these papers, but I figured I'd get around to that later, when I had time to reread them more closely. In the meantime I tried my best to imitate them. This was, I can now see, a doomed undertaking, because they weren't really saying anything. No philosopher ever refuted another, for example, because no one said anything definite enough to refute. Needless to say, my imitations didn't say anything either.  
  
In grad school I was still wasting time imitating the wrong things. There was then a fashionable type of program called an expert system, at the core of which was something called an inference engine. I looked at what these things did and thought "I could write that in a thousand lines of code." And yet eminent professors were writing books about them, and startups were selling them for a year's salary a copy. What an opportunity, I thought; these impressive things seem easy to me; I must be pretty sharp. Wrong. It was simply a fad. The books the professors wrote about expert systems are now ignored. They were not even on a _path_ to anything interesting. And the customers paying so much for them were largely the same government agencies that paid thousands for screwdrivers and toilet seats.  
  
How do you avoid copying the wrong things? Copy only what you genuinely like. That would have saved me in all three cases. I didn't enjoy the short stories we had to read in English classes; I didn't learn anything from philosophy papers; I didn't use expert systems myself. I believed these things were good because they were admired.  
  
It can be hard to separate the things you like from the things you're impressed with. One trick is to ignore presentation. Whenever I see a painting impressively hung in a museum, I ask myself: how much would I pay for this if I found it at a garage sale, dirty and frameless, and with no idea who painted it? If you walk around a museum trying this experiment, you'll find you get some truly startling results. Don't ignore this data point just because it's an outlier.  
  
Another way to figure out what you like is to look at what you enjoy as guilty pleasures. Many things people like, especially if they're young and ambitious, they like largely for the feeling of virtue in liking them. 99% of people reading _Ulysses_ are thinking "I'm reading _Ulysses_" as they do it. A guilty pleasure is at least a pure one. What do you read when you don't feel up to being virtuous? What kind of book do you read and feel sad that there's only half of it left, instead of being impressed that you're half way through? That's what you really like.  
  
Even when you find genuinely good things to copy, there's another pitfall to be avoided. Be careful to copy what makes them good, rather than their flaws. It's easy to be drawn into imitating flaws, because they're easier to see, and of course easier to copy too. For example, most painters in the eighteenth and nineteenth centuries used brownish colors. They were imitating the great painters of the Renaissance, whose paintings by that time were brown with dirt. Those paintings have since been cleaned, revealing brilliant colors; their imitators are of course still brown.  
  
It was painting, incidentally, that cured me of copying the wrong things. Halfway through grad school I decided I wanted to try being a painter, and the art world was so manifestly corrupt that it snapped the leash of credulity. These people made philosophy professors seem as scrupulous as mathematicians. It was so clearly a choice of doing good work xor being an insider that I was forced to see the distinction. It's there to some degree in almost every field, but I had till then managed to avoid facing it.  
  
That was one of the most valuable things I learned from painting: you have to figure out for yourself what's [good][6]. You can't trust authorities. They'll lie to you on this one.  
  
  
  
  
  
![][7] [ Comment][8] on this essay.  
  
  
 | 

  

| ----- |
| ![][2] | 
| ![][9] | ![][2] | [Chinese Translation][10]  
![][2]  
 | ![][2] | ![][9] | ![][2] | [Romanian Translation][11]  
![][2]  
 | 
| ![][2] |  | | | | | |
| ![][2] | 
| ![][9] | ![][2] | [Spanish Translation][12]  
![][2]  
 | ![][2] | ![][9] | ![][2] | [Russian Translation][13]  
![][2]  
 | 
| ![][2] |  | | | | | |

  

| ----- |
|   
  

* * *

 | 

 | 

[1]: http://ep.yimg.com/ay/paulgraham/essays-1.gif
[2]: http://ep.yimg.com/ca/Img/trans_1x1.gif
[3]: http://ep.yimg.com/ca/I/paulgraham_2271_3232
[4]: http://ep.yimg.com/ca/I/paulgraham_2202_8556527
[5]: http://ep.yimg.com/ca/I/paulgraham_2202_8632968
[6]: http://paulgraham.com/taste.html
[7]: http://lib.store.yahoo.net/lib/paulgraham/redditino.png
[8]: http://reddit.com/info/9bm4/comments
[9]: http://ep.yimg.com/ca/I/paulgraham_2271_5194
[10]: http://mailper.googlepages.com/copywhatyoulike
[11]: http://ro.goobix.com/pg/copy/
[12]: http://www.simpleoption.com/ensayo-copia-lo-que-te-gusta
[13]: http://ryba4.com/translations/copy

