---
created_at: '2017-07-15T18:37:04.000Z'
title: Lunar bases may need to be quake-proof (2006)
url: https://science.nasa.gov/science-news/science-at-nasa/2006/15mar_moonquakes
author: curtis
points: 69
story_text: 
comment_text: 
num_comments: 60
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1500143824
_tags:
- story
- author_curtis
- story_14778171
objectID: '14778171'

---
[Source](https://science.nasa.gov/science-news/science-at-nasa/2006/15mar_moonquakes "Permalink to Moonquakes | Science Mission Directorate")

# Moonquakes | Science Mission Directorate

[Skip to main content][1]

![Home][2]

#  [Science Mission Directorate][3]

#  [Science][3]

__

* [Discover__][4]
    * [Universe][5]
    * [Solar System][6]
    * [Sun][7]
    * [Earth][8]
    * [Missions][9]
    * [Science & Technology][10]
* [Science News__][11]
    * [Science@NASA][11]
    * [Press Releases__][12]
* [People__][13]
* [For Researchers__][14]
    * [Overview][14]
    * [SARA Grants][15]
    * [Grant Solicitations][16]
    * [Letters From SARA][17]
    * [ROSES Blog][18]
    * [NAC Science Committee][19]
    * [Data and Pubs Rules__][20]
* [Learners__][21]
    * [Overview][21]
    * [Team][22]
    * [Hotline][23]
    * [Reach Map][24]
    * [Learner Opportunities][25]
    * [Nuggets][26]
    * [Wavelength__][27]
    * [Space Place__][28]
* [Citizen Scientists][29]
* [Get Involved__][30]
    * [Toolkits][31]
    * [Inspiration][32]
    * [Upcoming Events__][33]
    * [Email Sign Up][34]
    * [Connect][35]
    * [Scientist Chats][36]
    * [Event Maps][37]
    * [Visual Presentations__][38]
* [About Us__][39]
    * [Overview][39]
    * [Science Leadership][40]
    * [Science Strategy][41]
    * [Communications][42]
    * [Contact Us][43]
    * [Job Opportunities][44]
* [Ask][45]

Ask a Question 

Published: 

Mar 15, 2006

# Moonquakes

** **

![file type icon][46] [ \+ Play Audio][47]

| 

![file type icon][48] [ \+ Download Audio][49]

| [\+ Historia en Español][50] | [\+ Join mailing list][51]

**  
March 15, 2006:** NASA astronauts are going back to the moon and when they get there they may need quake-proof housing.

That's the surprising conclusion of Clive R. Neal, associate professor of civil engineering and geological sciences at the University of Notre Dame after he and a team of 15 other planetary scientists reexamined Apollo data from the 1970s. "The moon is seismically active," he told a gathering of scientists at NASA's Lunar Exploration Analysis Group (LEAG) meeting in League City, Texas, last October.

![A11setup5_med.jpg][52]

Between 1969 and 1972, Apollo astronauts placed seismometers at their landing sites around the moon. The Apollo 12, 14, 15, and 16 instruments faithfully radioed data back to Earth until they were switched off in 1977. 

**Right:** Buzz Aldrin deploys a seismometer in the Sea of Tranquillity. [

![file type icon][53] [ Larger image][54]

] And what did they reveal? 

There are at least four different kinds of moonquakes: (1) deep moonquakes about 700 km below the surface, probably caused by tides; (2) vibrations from the impact of meteorites; (3) thermal quakes caused by the expansion of the frigid crust when first illuminated by the morning sun after two weeks of deep-freeze lunar night; and (4) shallow moonquakes only 20 or 30 kilometers below the surface. 

The first three were generally mild and harmless. Shallow moonquakes on the other hand were doozies. Between 1972 and 1977, the Apollo seismic network saw twenty-eight of them; a few "registered up to 5.5 on the Richter scale," says Neal. A magnitude 5 quake on Earth is energetic enough to move heavy furniture and crack plaster.

| ----- |
| 

| 

![newshat.gif][55]

  
Sign up for EXPRESS SCIENCE NEWS delivery][56]

 | 

 | 

Furthermore, shallow moonquakes lasted a remarkably long time. Once they got going, all continued more than 10 minutes. "The moon was ringing like a bell," Neal says.

On Earth, vibrations from quakes usually die away in only half a minute. The reason has to do with chemical weathering, Neal explains: "Water weakens stone, expanding the structure of different minerals. When energy propagates across such a compressible structure, it acts like a foam sponge—it deadens the vibrations." Even the biggest earthquakes stop shaking in less than 2 minutes.

The moon, however, is dry, cool and mostly rigid, like a chunk of stone or iron. So moonquakes set it vibrating like a tuning fork. Even if a moonquake isn't intense, "it just keeps going and going," Neal says. And for a lunar habitat, that persistence could be more significant than a moonquake's magnitude.

"Any habitat would have to be built of materials that are somewhat flexible," so no air-leaking cracks would develop. "We'd also need to know the fatigue threshold of building materials," that is, how much repeated bending and shaking they could withstand.

![seismogram_med.jpg][57]

][58]**Right:** Representative lunar seismograms from the Apollo 16 station. [[More][58]]

What causes the shallow moonquakes? And where do they occur? "We're not sure," he says. "The Apollo seismometers were all in one relatively small region on the front side of the moon, so we can't pinpoint [the exact locations of these quakes]." He and his colleagues do have some good ideas, among them being the rims of large and relatively young craters that may occasionally slump.

"We're especially ignorant of the lunar poles," Neal continues. That's important, because one candidate location for a lunar base is on a permanently sunlit region on the rim of Shackleton Crater at the Moon's south pole.

Neal and his colleagues are developing a proposal to deploy a network of 10 to 12 seismometers around the entire moon, to gather data for at least three to five years. This kind of work is necessary, Neal believes, to find the safest spots for permanent lunar bases. 

And that's just the beginning, he says. Other planets may be shaking, too: "The moon is a technology test bed for establishing such networks on Mars and beyond."

Author: [Trudy E. Bell ][59]| Production Editor:[ Dr. Tony Phillips][59] | Credit: [Science@NASA][4]

| ----- |
|  **More Information**  |  
| 

[Clive R. Neal][60] \-- home page

[The Importance of Establishing a Global Lunar Seismic Network][61] \-- Neal's paper, presented at the October 2005 meeting of NASA's Lunar Exploration Analysis Group (LEAG).

[The Lunar Seismic Network: Mission Update][58]

[Scientists find deeper meaning for Moon rumblings][62] \-- (NY Times) more information about deep rather than shallow moonquakes.

[New computers uncover old quakes on the Moon][63] \-- (Discover Magazine) 

[Mr. Moonquake][64] \-- Yosio Nakamura, a colleague of Neal, is a leading authority on moonquakes.

[The Vision for Space Exploration][65]

 | 

## Top Stories

[The Mystery of High-Energy Cosmic Rays][66]

[Gravity Assist Podcast, Mars with Bruce Jakosky and Michael Meyer][67]

[NASA's Next Great Space Telescope ][68]

[Wild Weather][69]

[New Mission Going to the Space Station to Explore Mysteries of 'Cosmic Rain'][70]

## Recommended Articles

![Taking the Surprise out of Hurricane Season Poster 2][71]

Fieldset

[Taking the Surprise out of Hurricane...][72]

October 20, 2016

![Ocean Worlds Poster][73]

Fieldset

[Ocean Worlds][74]

April 13, 2017

![Hubble's Contentious Constant Poster][75]

Fieldset

[Hubble's Contentious Constant][76]

September 20, 2017

![The Mystery of Coronal Heating Poster 2][77]

Fieldset

[The Mystery of Coronal Heating][78]

November 30, 2016

### Get the NASA Science Newsletter

Opt in to NASA Science Newsletters.

Email *

Science at NASA 

Ciencia at NASA in Español 

SARA Mailing List 

Science WOW!

* [Discover][4]
    * [Universe][5]
    * [Solar System][6]
    * [Sun][7]
    * [Earth][8]
    * [Missions][79]
    * [Science & Technology][10]
* [Science News][80]
    * [Science@NASA][11]
    * [Press Releases][12]
* [For Researchers][14]
    * [Letters From SARA][17]
    * [ROSES Blog][18]
    * [SARA Grants][15]
    * [NASA Advisory Council][19]
    * [Data and Pubs Rules__][20]
* [For Learners][21]
    * [Science Education][21]
    * [NASA Wavelength__][27]
    * [For Teachers][81]
    * [Space Place for Kids__][28]
    * [Reach Map][24]
* [Get Involved][30]
    * [Upcoming Events__][82]
    * [Email Sign Up][34]
    * [Connect][35]
    * [Scientist Chats][36]
    * [Visual Presentations__][38]
* [People__][83]
* [Citizen Scientists][29]
* [About Us][39]
* [ciencia.nasa.gov][84]
* [Adobe Acrobat Reader][85]
* [NASA.gov][86]
* [Privacy][87]
* [Contact Us][43]
* [About NASA Science][39]
* [Glossary][88]
* [NASA Official: Dr. Mamta Patel Nagaraja][43]

    * Ask a Question 

        * [__Discover][4]
            * [__Universe][5]
                * [__Overview][5]
                * [__What We Study][89]
                    * [__Dark Energy, Dark Matter][89]
                    * [__Black Holes][90]
                    * [__The Big Bang][91]
                    * [__Galaxies][92]
                    * [__Stars][93]
                    * [__Exoplanets][94]
                * [__Programs][95]
                    * [__Physics of the Cosmos][96]
                    * [__Cosmic Origins][97]
                    * [__Astrophysics Explorers][98]
                    * [__Exoplanet Exploration][99]
                    * [__Astrophysics Research][100]
                    * __[Astrophysics Div Technology][101]
                    * __[NASA Balloon Program][102]
                    * __[NASA Sounding Rockets][103]
                * __[Missions][79]
                * __[Science Questions][104]
                    * __[How does the universe work?][105]
                    * __[How did we get here?][106]
                    * __[Are we alone?][107]
                * __[Astro Data][108]
                * __[Documents][109]
            * __[Solar System][6]
                * __[Overview][6]
                * __[What We Study][110]
                    * __[Inner Solar System][111]
                    * __[Outer Solar System][112]
                    * __[Small Bodies of the Solar System][113]
                * __[Programs][114]
                    * __[Discovery][115]
                    * __[Mars Exploration][116]
                    * __[New Frontiers][117]
                    * __[Outer Planets Flagship][118]
                    * __[Robotic Lunar Exploration][119]
                    * __[SSERVI][120]
                    * __[Small Sats][121]
                * __[Missions][79]
                * __[Science Questions][122]
                    * __[HORIZONS System][123]
                    * __[How did life begin and evolve on Earth?][124]
                    * __[How did the solar system evolve?][125]
                    * __[How did the sun's family originate?][126]
                    * __[National Space Science Data Center][127]
                    * __[Planetary Data System][128]
                    * __[Regional Planetary Image Facilities][129]
                    * __[What are the characteristics of the Solar System?][130]
                * __[Documents][131]
                * __[Planetary Data][132]
                * __[Solar System][133]
            * __[Sun][7]
                * __[Overview][7]
                * __[What We Study][134]
                    * __[Recent Research][135]
                    * __[Solar Science][136]
                    * __[Space Weather][137]
                    * __[Explorers][138]
                    * __[Magnetospheres][139]
                    * __[Heliosphere][140]
                    * __[Living With a Star Research][141]
                    * __[Solar Eclipses][142]
                * __[Programs][143]
                    * __[Heliophysics Research][143]
                        * __[Balloons][4]
                        * __[CubeSats][4]
                    * __[Leadership][144]
                    * __[Solar Terrestrial Probes][145]
                    * __[Living with a Star][146]
                    * __[Sounding Rockets][147]
                    * __[Data Programs][148]
                    * __[Working Groups][149]
                    * __[CCMC][150]
                    * __[National Space Weather Program][151]
                * __[Science Questions][152]
                    * __[What causes the sun to vary?][153]
                    * __[How do Earth, the planets, and the heliosphere respond?][154]
                    * __[What are the impacts on humanity?][155]
                * __[Missions][79]
                * __[Eclipse 2017][156]
                * __[Resources][157]
                    * __[Senior Reviews][158]
                    * __[Vocabulary][159]
                    * __[Roadmaps][160]
                * __[Helio Connects][161]
                    * __[Newsletters][162]
                    * __[Events][163]
                    * __[Science and Technology Highlights][164]
            * __[Earth][8]
                * __[Overview][8]
                * __[What We Study][165]
                * __[Programs][166]
                    * __[GOES / POES][167]
                    * __[Research and Analysis][168]
                        * __[Atmospheric Composition][169]
                        * __[Weather][170]
                        * __[Our Climate][171]
                            * __[Oceanography][172]
                            * __[Climate Variability & Change][171]
                            * __[El Niño][173]
                        * __[Water & Energy Cycle][174]
                        * __[Carbon Cycle & Ecosystems][175]
                        * __[Our Surface][176]
                    * __[Applied Sciences][177]
                    * __[Earth System Science Pathfinder][178]
                        * __[Common Instrument Interface][179]
                            * __[CII Guidelines Working Meeting][180]
                            * __[CII Reference Documents][181]
                            * __[CII Workshop 1][182]
                            * __[CII Workshop 2][183]
                            * __[CII Workshop 3][184]
                        * __[ESSP Program Library][185]
                    * __[Airborne Science][186]
                    * __[Technology][187]
                * __[Missions][79]
                * __[Science Questions][188]
                * __[Earth Data][189]
                    * __[Climate Change Policy Speaker Series][190]
                    * __[Earth Science Data][191]
                    * __[Every Day is Earth Day][4]
                * __[Documents][192]
                * __[Global Challenges][193]
            * __[Missions][79]
            * __[Science & Technology][10]
                * __[Overview][10]
                * __[Science Programs][194]
                * __[Technology Stories][195]
        * __[Science News][11]
            * __[Science@NASA][11]
            * __[Press Releases][12]
        * __[People][13]
        * __[For Researchers][14]
            * __[Overview][14]
            * __[SARA Grants][15]
                * __[Our Team][196]
                    * __[Program Officers List][196]
                    * __[Advisory Committees][197]
                * __[Information][198]
                    * __[Grant Statistics][198]
                    * __[SARA Updates][17]
                * __[Help & Support][199]
                    * __[How to Guides][199]
                    * __[FAQ][200]
                    * __[Contact SARA][201]
                * __[Links & Resources][202]
                * __[Get Involved][203]
                    * __[Volunteer for Review Panels][203]
                    * __[Nominate Reviewers for ROSES Proposals][204]
            * __[Grant Solicitations][16]
            * __[Letters From SARA][17]
            * __[ROSES Blog][18]
            * __[NAC Science Committee][19]
                * __[Meetings][205]
                * __[Members][206]
                * __[Science Advisory Committees][207]
                    * __[Astrophysics Advisory Committee][208]
                    * __[Earth Science Advisory Committee][209]
                    * __[Heliophysics Advisory Committee][210]
                    * __[Planetary Science Advisory Committee][211]
                    * __[Applied Sciences Advisory Committee (ASAC)][212]
                * __[Subcommittees][213]
                    * __[Planetary Protection][214]
                    * __[Ad-Hoc Big Data Task Force][215]
            * __[Data and Pubs Rules][20]
        * __[Learners][21]
            * __[Overview][21]
            * __[Team][22]
            * __[Hotline][23]
            * __[Reach Map][24]
            * __[Learner Opportunities][25]
            * __[Nuggets][26]
            * __[Wavelength][27]
            * __[Space Place][28]
        * __[Citizen Scientists][29]
        * __[Get Involved][30]
            * __[Toolkits][31]
            * __[Inspiration][32]
            * __[Upcoming Events][33]
            * __[Email Sign Up][34]
            * __[Connect][35]
            * __[Scientist Chats][36]
            * __[Event Maps][216]
            * __[Visual Presentations][38]
        * __[About Us][39]
            * __[Overview][39]
            * __[Science Leadership][40]
                * __[Leadership Team][40]
                * __[SMD Organization Chart][217]
            * __[Science Strategy][41]
                * __[Science Strategy][41]
                * __[Decadal Surveys][218]
                * __[Year in Review][219]
                    * __[2015][220]
                    * __[2014][221]
                    * __[2013][222]
                    * __[2012][223]
                    * __[2011][224]
                    * __[2010][225]
                    * __[2008][226]
                    * __[2007][227]
                    * __[2006][228]
                    * __[2005][229]
                    * __[2004][230]
            * __[Communications][42]
            * __[Contact Us][43]
            * __[Job Opportunities][44]
        * __[Ask][45]

[1]: https://science.nasa.gov#main-content
[2]: https://science.nasa.gov/sites/all/themes/science_nasa/logo.png
[3]: https://science.nasa.gov/ "Home"
[4]: https://science.nasa.gov/
[5]: https://science.nasa.gov/astrophysics
[6]: https://science.nasa.gov/solar-system
[7]: https://science.nasa.gov/heliophysics
[8]: https://science.nasa.gov/earth-science
[9]: https://science.nasa.gov/missions-page?field_division_tid=All&field_phase_tid=All
[10]: https://science.nasa.gov/technology
[11]: https://science.nasa.gov/science-news
[12]: https://science.nasa.gov/science-press-releases
[13]: http://solarsystem.nasa.gov/people/
[14]: https://science.nasa.gov/researchers
[15]: https://science.nasa.gov/researchers/sara
[16]: https://science.nasa.gov/researchers/sara/grant-solicitations
[17]: https://science.nasa.gov/researchers/sara/letters-from-sara
[18]: https://science.nasa.gov/researchers/roses-blogs
[19]: https://science.nasa.gov/science-committee
[20]: https://www.nasa.gov/open/researchaccess
[21]: https://science.nasa.gov/learners
[22]: https://science.nasa.gov/stem-activation-team
[23]: https://science.nasa.gov/contact-science-activation
[24]: https://science.nasa.gov/learners/reach-map
[25]: https://science.nasa.gov/learners/learner-opportunities
[26]: https://science.nasa.gov/learners/nuggets
[27]: http://nasawavelength.org/
[28]: http://spaceplace.nasa.gov/
[29]: https://science.nasa.gov/citizenscientists
[30]: https://science.nasa.gov/get-involved
[31]: https://science.nasa.gov/toolkits
[32]: https://science.nasa.gov/get-involved/inspiration
[33]: http://www.nasa.gov/calendar
[34]: https://science.nasa.gov/about-us/email-updates
[35]: https://science.nasa.gov/get-involved/connect
[36]: https://science.nasa.gov/get-involved/chat-with-a-scientist
[37]: https://science.nasa.gov/event-maps "Event Map"
[38]: http://svs.gsfc.nasa.gov/cgi-bin/search.cgi?contentType=hw
[39]: https://science.nasa.gov/about-us
[40]: https://science.nasa.gov/about-us/leadership/bios
[41]: https://science.nasa.gov/about-us/science-strategy
[42]: https://science.nasa.gov/about-us/communications
[43]: https://science.nasa.gov/about-us/contact-us
[44]: https://science.nasa.gov/about-us/job-opportunities
[45]: https://science.nasa.gov/search
[46]: https://science.nasa.gov/sites/all/modules/contrib/scald_file/icons/audio_x_mpegurl.png
[47]: https://smd-prod.s3.amazonaws.com/science-pink/s3fs-public/atoms/files/2006_03_16_15mar_moonquakes_resources_story.m3u " 
                    + Play Audio"
[48]: https://science.nasa.gov/sites/all/modules/contrib/scald_file/icons/audio_mpeg.png
[49]: https://smd-prod.s3.amazonaws.com/science-pink/s3fs-public/atoms/files/2006_03_15_15mar_moonquakes_resources_story.mp3 " 
                    + Download Audio"
[50]: http://ciencia.nasa.gov/headlines/y2006/15mar_moonquakes.htm
[51]: https://science.nasa.gov/science-news/science-at-nasa/2005/news
[52]: https://smd-prod.s3.amazonaws.com/science-pink/s3fs-public/styles/large/public/mnt/medialibrary/2006/03/15/15mar_moonquakes_resources/A11setup5_med.jpg?itok=4hvB9RqC "A11setup5_med.jpg"
[53]: https://science.nasa.gov/sites/all/modules/contrib/scald_file/icons/image_jpeg.png
[54]: https://smd-prod.s3.amazonaws.com/science-pink/s3fs-public/atoms/files/A11setup5.jpg "Larger image"
[55]: https://smd-prod.s3.amazonaws.com/science-pink/s3fs-public/styles/large/public/mnt/medialibrary/2004/01/08/30jan_mercurysurprise_resources/newshat.gif?itok=nt_P-9ev "newshat.gif"
[56]: https://science.nasa.gov/mailing-lists/subscribe
[57]: https://smd-prod.s3.amazonaws.com/science-pink/s3fs-public/styles/large/public/mnt/medialibrary/2006/03/15/15mar_moonquakes_resources/seismogram_med.jpg?itok=TJzln_mM "seismogram_med.jpg"
[58]: http://www.lpi.usra.edu/meetings/lpsc2004/pdf/2093.pdf
[59]: mailto:james.a.phillips%40earthlink.net
[60]: http://www.nd.edu/%7Ecneal/
[61]: http://www.lpi.usra.edu/meetings/leag2005/pdf/2065.pdf
[62]: http://www.igpp.ucsd.edu/ne/2005/02/NYT_JohnsonShearerBulow.pdf
[63]: http://www.jsg.utexas.edu/news/clips/0106-discover-mag.pdf
[64]: http://www.jsg.utexas.edu/news/feats/nakamura.html
[65]: http://www.nasa.gov/missions/solarsystem/explore_main.html
[66]: https://science.nasa.gov/science-news/sciencecasts/mystery-of-high-energy-cosmic-rays
[67]: https://science.nasa.gov/news-articles/gravity-assist-mars-with-bruce-jakosky-and-michael-meyer
[68]: https://science.nasa.gov/science-news/science-at-nasa/2016/nasas-next-great-space-telescope
[69]: https://science.nasa.gov/wild-weather-0
[70]: https://science.nasa.gov/new-mission-going-space-station-explore-mysteries-cosmic-rain
[71]: https://smd-prod.s3.amazonaws.com/science-pink/s3fs-public/styles/recommended_article_thumb/public/thumbnails/image/232_SurpriseOutOfHurricanes-poster2.jpg?itok=wVgupzej
[72]: https://science.nasa.gov/news-articles/taking-the-surprise-out-of-hurricane-season
[73]: https://smd-prod.s3.amazonaws.com/science-pink/s3fs-public/styles/recommended_article_thumb/public/thumbnails/image/242_OceanWorlds-poster.jpg?itok=6PXdHHym
[74]: https://science.nasa.gov/news-articles/ocean-worlds
[75]: https://smd-prod.s3.amazonaws.com/science-pink/s3fs-public/styles/recommended_article_thumb/public/thumbnails/image/255_HubbleConstant-poster.jpg?itok=cNlIa_6a
[76]: https://science.nasa.gov/science-news/news-articles/hubbles-contentious-constant-news
[77]: https://smd-prod.s3.amazonaws.com/science-pink/s3fs-public/styles/recommended_article_thumb/public/thumbnails/image/233_MysteryCoronalHeating-poster2.jpg?itok=nK7AsFHJ
[78]: https://science.nasa.gov/news-articles/the-mystery-of-coronal-heating
[79]: https://science.nasa.gov/missions-page
[80]: https://science.nasa.gov/news-articles
[81]: https://science.nasa.gov/educators/
[82]: https://www.nasa.gov/calendar
[83]: http://solarsystem.nasa.gov/people
[84]: http://ciencia.nasa.gov
[85]: https://get.adobe.com/reader
[86]: https://www.nasa.gov
[87]: http://www.nasa.gov/about/highlights/HP_Privacy.html
[88]: https://science.nasa.gov/glossary
[89]: https://science.nasa.gov/astrophysics/focus-areas/what-is-dark-energy
[90]: https://science.nasa.gov/astrophysics/focus-areas/black-holes
[91]: https://science.nasa.gov/astrophysics/focus-areas/what-powered-the-big-bang
[92]: https://science.nasa.gov/astrophysics/focus-areas/what-are-galaxies
[93]: https://science.nasa.gov/astrophysics/focus-areas/how-do-stars-form-and-evolve
[94]: https://exoplanets.nasa.gov
[95]: https://science.nasa.gov/astrophysics/programs
[96]: https://science.nasa.gov/astrophysics/programs/physics-of-the-cosmos
[97]: https://science.nasa.gov/astrophysics/programs/cosmic-origins
[98]: https://science.nasa.gov/astrophysics/programs/astrophysics-explorers
[99]: https://science.nasa.gov/astrophysics/programs/ExEP
[100]: https://science.nasa.gov/astrophysics/programs/astrophysics-research
[101]: https://science.nasa.gov/astrophysics/programs/astrophysics-division-technology
[102]: http://www.nsbf.nasa.gov/index.html
[103]: http://rscience.gsfc.nasa.gov/index.html
[104]: https://science.nasa.gov/astrophysics/big-questions
[105]: https://science.nasa.gov/astrophysics/big-questions/How-do-matter-energy-space-and-time-behave-under-the-extraordinarily-diverse-conditions-of-the-cosmos
[106]: https://science.nasa.gov/astrophysics/big-questions/how-did-universe-originate-and-evolve-produce-galaxies-stars-and-planets-we-see-today
[107]: https://science.nasa.gov/astrophysics/big-questions/what-are-characteristics-planetary-systems-orbiting-other-stars-and-do-they-harbor-life
[108]: https://science.nasa.gov/astrophysics/astrophysics-data-centers
[109]: https://science.nasa.gov/astrophysics/documents
[110]: https://science.nasa.gov/solar-system/focus-areas
[111]: https://science.nasa.gov/solar-system/focus-areas/inner-solar-system
[112]: https://science.nasa.gov/solar-system/focus-areas/outer-solar-system
[113]: https://science.nasa.gov/solar-system/focus-areas/small-bodies-solar-system
[114]: https://science.nasa.gov/solar-system/programs
[115]: https://science.nasa.gov/solar-system/programs/discovery
[116]: https://science.nasa.gov/solar-system/programs/mars-exploration
[117]: https://science.nasa.gov/solar-system/programs/new-frontiers
[118]: https://science.nasa.gov/solar-system/programs/outer-planets-flagship
[119]: https://science.nasa.gov/solar-system/programs/robotic-lunar-exploration
[120]: https://sservi.nasa.gov/overview/
[121]: https://www.nasa.gov/feature/nasa-selects-cubesat-smallsat-mission-concept-studies
[122]: https://science.nasa.gov/solar-system/big-questions
[123]: https://science.nasa.gov/horizons-system
[124]: https://science.nasa.gov/solar-system/big-questions/how-did-life-begin-and-evolve-earth-and-has-it-evolved-elsewhere-solar-system
[125]: https://science.nasa.gov/solar-system/big-questions/how-did-solar-system-evolve-its-current-diverse-state
[126]: https://science.nasa.gov/solar-system/big-questions/how-did-suns-family-planets-and-minor-bodies-originate
[127]: https://science.nasa.gov/national-space-science-data-center
[128]: https://science.nasa.gov/planetary-data-system
[129]: https://science.nasa.gov/regional-planetary-image-facilities
[130]: https://science.nasa.gov/solar-system/big-questions/what-are-characteristics-solar-system-lead-origins-life
[131]: https://science.nasa.gov/solar-system/documents
[132]: https://pds.nasa.gov/
[133]: http://solarsystem.nasa.gov
[134]: https://science.nasa.gov/heliophysics/focus-areas
[135]: https://science.nasa.gov/heliophysics/focus-areas/recent-research
[136]: https://science.nasa.gov/heliophysics/focus-areas/solar-science
[137]: https://science.nasa.gov/heliophysics/focus-areas/space-weather
[138]: https://science.nasa.gov/heliophysics/focus-areas/explorers
[139]: https://science.nasa.gov/heliophysics/focus-areas/magnetosphere-ionosphere
[140]: https://science.nasa.gov/heliophysics/focus-areas/heliosphere
[141]: https://science.nasa.gov/node/5271
[142]: https://science.nasa.gov/node/5272
[143]: https://science.nasa.gov/heliophysics/programs/research
[144]: https://science.nasa.gov/heliophysics/heliophysics-programs/leadership
[145]: https://science.nasa.gov/heliophysics/programs/solar-terrestrial-probes
[146]: https://science.nasa.gov/heliophysics/programs/living-with-a-star
[147]: https://science.nasa.gov/heliophysics/programs/sounding-rockets
[148]: https://science.nasa.gov/heliophysics/programs/data-programs
[149]: https://science.nasa.gov/heliophysics/programs/working-groups
[150]: https://science.nasa.gov/node/5273
[151]: https://science.nasa.gov/node/5274
[152]: https://science.nasa.gov/heliophysics/big-questions
[153]: https://science.nasa.gov/heliophysics/big-questions/how-and-why-does-the-sun-vary-and-what-are-the-consequences
[154]: https://science.nasa.gov/heliophysics/big-questions/what-are-the-fundamental-physical-processes-of-the-space-environment
[155]: https://science.nasa.gov/heliophysics/big-questions/how-does-solar-variability-affect-human-society-technological-systems-and-the-habitability-of-planets
[156]: https://science.nasa.gov/eclipse-2017
[157]: https://science.nasa.gov/heliophysics/heliophysics-data-centers
[158]: https://science.nasa.gov/heliophysics/senior-review
[159]: https://science.nasa.gov/heliophysics/backgrounders/vocabulary
[160]: https://smd-prod.s3.amazonaws.com/science-red/s3fs-public/atoms/files/2014_HelioRoadmap_Final_Reduced_0.pdf
[161]: https://science.nasa.gov/heliophysics/helio-connects
[162]: https://science.nasa.gov/heliophysics/helio-connects/newsletters
[163]: https://science.nasa.gov/heliophysics/helio-connects/events
[164]: https://science.nasa.gov/heliophysics/helio-connects/science-and-technology-highlights
[165]: https://science.nasa.gov/earth-science/focus-areas
[166]: https://science.nasa.gov/earth-science/programs
[167]: https://science.nasa.gov/earth-science/programs/goes-poes
[168]: https://science.nasa.gov/earth-science/programs/research-analysis
[169]: https://science.nasa.gov/earth-science/focus-areas/atmospheric-composition
[170]: https://science.nasa.gov/earth-science/focus-areas/earth-weather
[171]: https://science.nasa.gov/earth-science/focus-areas/climate-variability-and-change
[172]: https://science.nasa.gov/earth-science/focus-areas/oceanography
[173]: https://science.nasa.gov/earth-science/oceanography/ocean-earth-system/el-nino
[174]: https://science.nasa.gov/earth-science/focus-areas/water-and-energy-cycle
[175]: https://science.nasa.gov/earth-science/focus-areas/carbon-cycle-and-ecosystems
[176]: https://science.nasa.gov/earth-science/focus-areas/surface-and-interior
[177]: https://science.nasa.gov/earth-science/applied-sciences
[178]: https://essp.nasa.gov/
[179]: https://science.nasa.gov/about-us/smd-programs/earth-system-science-pathfinder/common-instrument-interface-workshop
[180]: https://science.nasa.gov/about-us/smd-programs/earth-system-science-pathfinder/common-instrument-interface-workshop/cii-guidelines-working-meeting
[181]: https://science.nasa.gov/about-us/smd-programs/earth-system-science-pathfinder/common-instrument-interface-workshop/cii-reference-documents
[182]: https://science.nasa.gov/about-us/smd-programs/earth-system-science-pathfinder/common-instrument-interface-workshop/cii-workshop-presentations
[183]: https://science.nasa.gov/about-us/smd-programs/earth-system-science-pathfinder/common-instrument-interface-workshop/cii-workshop-II
[184]: https://science.nasa.gov/about-us/smd-programs/earth-system-science-pathfinder/common-instrument-interface-workshop/cii-workshop-3
[185]: https://science.nasa.gov/about-us/smd-programs/earth-system-science-pathfinder/essp-library
[186]: https://science.nasa.gov/earth-science/programs/airborne-science
[187]: https://science.nasa.gov/earth-science/programs/technology
[188]: https://science.nasa.gov/earth-science/big-questions
[189]: https://science.nasa.gov/earth-science/oceanography/data-resources
[190]: https://science.nasa.gov/earth-science/climate-policy-speaker-series
[191]: https://science.nasa.gov/earth-science/earth-science-data
[192]: https://science.nasa.gov/earth-science/documents
[193]: https://science.nasa.gov/earth-science/global-challenges
[194]: https://science.nasa.gov/technology/science-programs
[195]: https://science.nasa.gov/technology/technology-stories
[196]: https://science.nasa.gov/researchers/sara/program-officers-list
[197]: https://science.nasa.gov/researchers/sara/advisory-committees
[198]: https://science.nasa.gov/researchers/sara/grant-stats
[199]: https://science.nasa.gov/researchers/sara/how-to-guide
[200]: https://science.nasa.gov/researchers/sara/faqs
[201]: https://science.nasa.gov/webform/researchers/sara/contact-sara
[202]: https://science.nasa.gov/researchers/sara/library-and-useful-links
[203]: https://science.nasa.gov/researchers/volunteer-review-panels
[204]: https://science.nasa.gov/researchers/suggested-reviewers
[205]: https://science.nasa.gov/science-committee/meetings
[206]: https://science.nasa.gov/science-committee/members
[207]: https://science.nasa.gov/researchers/nac/science-advisory-committees
[208]: https://science.nasa.gov/researchers/nac/science-advisory-committees/apac
[209]: https://science.nasa.gov/researchers/nac/science-advisory-committees/esac
[210]: https://science.nasa.gov/researchers/nac/science-advisory-committees/hpac
[211]: https://science.nasa.gov/researchers/nac/science-advisory-committees/pac
[212]: https://science.nasa.gov/science-committee/subcommittees/nac-earth-science-subcommittee/advisory-groups
[213]: https://science.nasa.gov/science-committee/subcommittees
[214]: https://science.nasa.gov/science-committee/subcommittees/nac-planetary-protection-subcommittee
[215]: https://science.nasa.gov/science-committee/subcommittees/big-data-task-force
[216]: https://science.nasa.gov/event-maps
[217]: https://science.nasa.gov/about-us/leadership/org-chart
[218]: https://science.nasa.gov/about-us/science-strategy/decadal-surveys
[219]: https://science.nasa.gov/about-us/science-strategy/accomplishments
[220]: https://science.nasa.gov/about-us/science-strategy/accomplishments/2015
[221]: https://science.nasa.gov/about-us/science-strategy/accomplishments/2014
[222]: https://science.nasa.gov/about-us/science-strategy/accomplishments/2013
[223]: https://science.nasa.gov/about-us/science-strategy/accomplishments/2012
[224]: https://science.nasa.gov/about-us/science-strategy/accomplishments/2011
[225]: https://science.nasa.gov/about-us/science-strategy/accomplishments/2010
[226]: https://science.nasa.gov/about-us/science-strategy/accomplishments/2008
[227]: https://science.nasa.gov/about-us/science-strategy/accomplishments/2007
[228]: https://science.nasa.gov/about-us/science-strategy/accomplishments/2006
[229]: https://science.nasa.gov/about-us/science-strategy/accomplishments/2005
[230]: https://science.nasa.gov/about-us/science-strategy/accomplishments/2004

