---
created_at: '2013-01-08T03:24:08.000Z'
title: Peter Norvig's Address at the UC Berkeley Computer Science Commencement (2006)
url: http://norvig.com/speech.html
author: armansu
points: 66
story_text: ''
comment_text: 
num_comments: 8
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1357615448
_tags:
- story
- author_armansu
- story_5024710
objectID: '5024710'

---
[Source](http://norvig.com/speech.html "Permalink to My Speech to the Graduates")

# My Speech to the Graduates

# My Speech to the Graduates

| ----- |
|  _Peter Norvig's Keynote Address at the U.C. Berkeley Computer Science [Commencement][1] (School of Letters & Science) on 21 May 2006._

Congratulations, graduates. 

| Let me start with a story. Two new researchers on my team at Google decided, for their starter project, to look at the way ads are matched to search queries. They discovered an improvement that results in about a 1% increase in revenue. Now the question is: is this a boring development -- after all, what could be more routine than improving an existing system by 1% -- or an exciting one: making progress on something that a lot of smart people had already thought hard about, and incidently bringing in an additional $100M a year in revenue to the company, and many times that value to the advertisers and consumers. And some larger questions: how many of these improvements do we need to keep our society moving forward, and what should be the mix of incremental 1% improvements versus revolutionary, 100% new ideas? 

One way to look at it is that the World Gross Domestic Product is [$60 trillion/yr][2], but let's concentrate on the US GDP, which is $12 trillion/yr (or $42,000 per person). Except for a dip in the 1930's during the great depression, it has grown at a remarkably constant pace, doubling every 20 years. Now, there are about [3.5 million][3] scientists and engineers in the US work force, of which computer scientists have the largest chunk. If we take it upon ourselves as scientists and engineers to deliver all of the doubling in the GDP, that works out to an increase of $3.4M/yr that each of us needs to deliver in the next 20 years. 

I should say that this model is highly simplified. As much as I respect computer scientists and engineers, we don't actually deliver all the increases. Just this month there was a _Scientific American_ [article][4] that says insects produce $57B/yr in free labor. Yet despite this, insects are rarely chosen as commencement speakers, so I'll exercise my chauvinistic prerogative and stick to us humans. 

When doing back-of-the-envelope calculations, it is always a good idea to verify them with a second approach. Another way to look at the problem is to count scientific disciplines and figure out how much of each discipline we 3.5M scientists will have to handle. So I looked at the [Dewey Decimal System][5]. The 600s are technology. There are some substantial disciplines like 610: Medical Sciences, but there are some less extensive ones like 682: blacksmithing and 664: food technology, along with 663: beverage technology. I count about a dozen substantial disciplines. How substantial? Well the [ACM categorization][6] lists 857 subcategories within computer science. For example, my favorite category, Information Search and Retrieval, has the 5 subcategories Clustering, Query formulation, Retrieval models, Search process, and Selection process. (They don't mention ads matching.) A dozen times 857 is about 10,000 subcategories across all of technology. So on average, each of these 10,000 subcategories gets 350 scientists and engineers to work on it, and each such team needs to bring in an additional $1.2B/yr in the next twenty years. 

Now let's go back to the two Google researchers from my first story. The two of them had the original idea, but three others helped implement it. According to my model, it takes 29 people to generate a $100M increase, so that means if we want to maintain the average, the team of 5, along with 24 of you in the audience, can take the rest of the next 20 years off. But of course we don't want to be just average. We want to excel; _we're from Berkeley!_ How can we excel? 

Before I answer that, let me return for the moment to Dewey Decimal 663: beverage technology. It turns out that in my very first professional job, as an intern thirty years ago, I had a colleague, a chemist, who had worked in beverage technology. The summer before he had been an intern and was given the task of figuring out if there was a particular chemical that gave whisky the distinctive taste of being aged in an oak cask. The company figured if they could isolate the chemical maybe they could just mix it in, and skip five or ten years of aging. So my friend went into the lab and isolated what he thought might be the right compound. He ordered a small vial from a chemical supply company (remember, this was before online shopping and email, so they had to actually write words on paper) and mixed up a batch. It tasted pretty good. (Why can't we computer scientists get research projects that involve consuming alcohol?) My friend was duly congratulated, and he wrote to the chemical supply company and asked for a 55 gallon drum of the stuff. They wrote back, saying "we regret that we can not fill your order because we are currently low on stock and, as I'm sure you know, to produce this chemical we need to age it in oak casks for five years." 

The point of this story is that if it had happened today, my friend would not have had to spend months in the lab; he could have spent minutes on Google instead. I searched for about three minutes and I'm not sure exactly what chemical he isolated, but I do know that there is a small body of literature on [volatile oak extractives][7] that would help me find out, if only I understood a little more chemistry. Furthermore, I was able to do this because of the many efforts of the computer scientists working in category H.3.3: Information Search and Retrieval, some of them making incremental 1% improvements, some making larger leaps, but not one of them, I'm quite certain, thinking that their work would one day be applicable to a 30-year old problem in Dewey Decimal category 663: beverage technology. 

So my advice to you is to pick one of the 10,000 categories, or invent category number 10,001, and make some progress in it. Pick problems that are ambitious enough that your expected value over the next 20 years is at least your $3.4M/yr share. But worry about the value you produce, not just the money. America's first great scientist, Ben Franklin, said "we should be glad of an opportunity to serve others by any invention of ours". So be happy and productive, don't be evil, and be glad of an opportunity to serve others.  ![][8]

![][9]
    
    
    600 Technology (Applied sciences) 
    601 Philosophy & theory 
    602 Miscellany 
    603 Dictionaries & encyclopedias 
    604 Special topics 
    605 Serial publications 
    606 Organizations 
    607 Education, research, related topics 
    608 Invention & patents 
    609 Historical, areas, persons treatment 
    610 Medical sciences Medicine 
    611 Human anatomy, cytology, histology 
    612 Human physiology 
    613 Promotion of health 
    614 Incidence & prevention of disease 
    615 Pharmacology & theraputics 
    616 Diseases 
    617 Surgery & related medical specialities 
    618 Gynecology & other medical specialities 
    619 Experimental medicine 
    620 Engineering & allied operations 
    621 Applied physics 
    622 Mining & related operations 
    623 Military & nautical engineering 
    624 Civil engineering 
    625 Engineering of railroads, roads 
    626 Not assigned or no longer used 
    627 Hydraulic engineering 
    628 Sanitary & municipal engineering 
    629 Other branches of engineering 
    630 Agriculture 
    631 Techniques, equipment, materials 
    632 Plant injuries, diseases, pests 
    633 Field & plantation crops 
    634 Orchards, fruits, forestry 
    635 Garden crops (Horticulture) 
    636 Animal husbandry 
    637 Processing dairy & related products 
    638 Insect culture 
    639 Hunting, fishing, conservation 
    640 Home economics & family living 
    641 Food & drink 
    642 Meals & table service 
    643 Housing & household equipment 
    644 Household utilities 
    645 Household furnishings 
    646 Sewing, clothing, personal living 
    647 Management of public households 
    648 Housekeeping 
    649 Child rearing & home care of sick 
    650 Management & auxiliary services 
    651 Office services 
    652 Processes of written communication 
    653 Shorthand 
    657 Accounting 
    658 General management 
    659 Advertising & public relations 
    660 Chemical engineering 
    661 Industrial chemicals technology 
    662 Explosives, fuels technology 
    663 Beverage technology 
    664 Food technology 
    ... 
    

[1]: http://www.eecs.berkeley.edu/Students/Commencement/
[2]: http://en.wikipedia.org/wiki/List_of_countries_by_GDP_%28PPP%29
[3]: http://www.nsf.gov/statistics/infbrief/nsf02325/
[4]: http://www.sciam.com/article.cfm?articleID=0001042F-9D1C-142D-9D1C83414B7F0000
[5]: http://www.tnrdlib.bc.ca/dewey.html
[6]: http://www.acm.org/class/1998/ccs98.html
[7]: http://scholar.google.com/scholar?q=volatile+oak+extractives
[8]: http://www.google.com/logos/Logo_60wht.gif
[9]: http://pn.smugmug.com/photos/91860875-S.jpg

