---
created_at: '2013-09-14T02:12:04.000Z'
title: Wikipedia Will Fail in Four Years (2006)
url: http://blog.ericgoldman.org/archives/2006/12/wikipedia_will_1.htm
author: tokenadult
points: 45
story_text: ''
comment_text: 
num_comments: 50
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1379124724
_tags:
- story
- author_tokenadult
- story_6384357
objectID: '6384357'

---
[Source](https://blog.ericgoldman.org/archives/2006/12/wikipedia_will_1.htm "Permalink to Wikipedia Will Fail in Four Years &#8211; Technology &amp; Marketing Law Blog")

# Wikipedia Will Fail in Four Years &#8211; Technology &amp; Marketing Law Blog

![tech-and-marketing-law-blog-logo][1]

[Technology & Marketing Law Blog][2]

Menu

* [Biography][3]
* [Academic Materials][4]
    * [Writing][5]
    * [Presentations][6]
    * [Resources][7]
* [Courses][8]
    * [Advertising & Marketing Law][9]
    * [Contract Law][10]
    * [Copyright Law][11]
    * [Internet Law][12]
    * [IP Survey][13]
    * [Legal Ethics][14]
* [Contact][15]
* [Blogs][16]
    * [Tertium Quid Blog][17]
    * [Eric Goldman’s Personal Blog][18]
    * [About the Bloggers][19]

Browse: [Home][20] » [2006][21] » [December][22] » Wikipedia Will Fail in Four Years

# Wikipedia Will Fail in Four Years

[December 5, 2006][23] · by [Eric Goldman][24] · in [Marketing][25]

By Eric Goldman

[UPDATE: I put together a more formal assessment of Wikipedia’s challenges in my 2010 article, [Wikipedia's Labor Squeeze and its Consequences][26].]

About a year ago, I predicted that [Wikipedia will fail in 5 years][27]. My logic:

* As Wikipedia traffic grows, it becomes a juicier target for marketers seeking to promote themselves (see the analogous [problems Digg is experiencing][28] with results gaming as it gains more traffic)
* Wikipedians are the only thing stopping those marketers from modifying Wikipedia’s open-access pages in ways that might degrade the user experience
* Wikipedians, in turn, will fight the marketers because of their pride in the site. However, as marketers become more determined and use automated tools to mount their attacks, Wikipedians will progressively find themselves spending more time combating the marketers.
* The repetitive and unsatisfying nature of these tasks will burn out some Wikipedians, and slowly they will individually decide to invest their time elsewhere.
* As some Wikipedians check out, the remaining Wikipedians will have to pick up the load. With fewer hands, the site will get progressively junkier, which will reduce the pride incentive of the remaining Wikipedians, further accelerating their check-out rate.
* Thus, Wikipedia will enter a death spiral where the rate of junkiness will increase rapidly until the site becomes a wasteland. Alternatively, to prevent this death spiral, Wikipedia will change its core open-access architecture, increasing the database’s vitality by changing its mission somewhat.

I’d like to think this prediction is based on my brilliant clairvoyance, but I’m just basing this prediction on the experiences of [ODP][29]. I think it’s fair to say that (1) in its heyday, the ODP did an amazing job of aggregating free labor to produce a valuable database, and (2) the ODP is now effectively worthless. We’re still in the first phase with Wikipedia, but the second phase seems inevitable. So on the 1 year anniversary of my 5 year prediction, I thought it would be a good time to check in on progress.

**Wikipedia Relies on a Relatively Small Number of Editors**

In theory, Wikipedia draws on the collective wisdom of its readers. Instead, Wikipedia is run principally by a fairly small group of hardcore Wikipedians. In June 2005, [Benkler estimated][30] that Wikipedia had 46,000 contributors (contributed 10+ times), 17,000 active contributors (5x in last month) and 3,000 very active contributors (100x in last month). Separately, Jimmy Wales [reportedly said][31] that 0.7% of Wikipedia’s users have made 50% of all Wikipedia edits and 1.8% of users have written more than 72% of all articles, and he was quoted in the [New York Times in June][32] as saying "A lot of people think of Wikipedia as being 10 million people, each adding one sentence…But really the vast majority of work is done by this small core community" of about 1,000 Wikipedians.

Distilling these observations, Ben McConnell posits a [1% rule][33]: “Roughly 1% of your site visitors will create content within a democratized community.” At Epinions, our contributor ratio was a little higher, but the principle was roughly consistent–a very small fraction of readers become writers.

Not only is the group small, but it's organized hierarchically just like any other editorially driven media enterprise. As a [New York Times article][32] said, Wikipedia “has built itself a bureaucracy….It has a clear power structure that gives volunteer administrators the authority to exercise editorial control, delete unsuitable articles and protect those that are vulnerable to vandalism.” Also see this [interview][34] for more details about Wikipedia’s various bureaucracies and internal procedures.

**Is Wikipedia Really an Open-Access Site?**

With this bureaucracy and tight editorial control, arguably Wikipedia already has diverged from a paradigmatic open-access site. As explained by [Aaron Swartz][35], the community becomes somewhat insular and self-focused:

> insiders account for the vast majority of the edits. But it’s the outsiders who provide nearly all of the content. Unfortunately, precisely because such people are only occasional contributors, their opinions aren’t heard by the current Wikipedia process. They don’t get involved in policy debates, they don’t go to meetups, and they don’t hang out with Jimbo Wales. And so things that might help them get pushed on the backburner, assuming they’re even proposed.

In my experience, Wikipedians also tend to be suspicious of contributions from outsiders. According to the NYT article, one Wikipedian monitors newly created pages and deletes half of those pages. Plus, in my experience, Wikipedians often revert these contributions and direct the contributor to discuss the change in the page's discussion area (in other words, the contributor must effectively lobby the page's guardian about the change’s merits). This increases the costs of any contributions, and only a limited number of contributors are willing to make such investments. For those who don’t undertake those lobbying efforts, I suspect there is widespread reversion of "drive-by" contributions.

**The Incentives Problem**

This model of Wikipedia relies on a small number of contributors who fiercely control contributions. Thus, for the model to sustain itself, these contributors must remain motivated—or, at least, the rate of new hardcore Wikipedians joining must exceed the rate of their departures.

However, the Wikipedia model provides little extrinsic benefits for Wikipedians. They don't get paid, so Wikipedia never will attract large numbers of Wikipedians who can earn significant bucks by selling their time elsewhere. More importantly, Wikipedia doesn't provide any meaningful attribution for power contributors; they are largely anonymous/faceless. Clearly, many people are willing to contribute time to a project if they get some reputational benefits; indeed, giving content/services away for free as a way of creating awareness of other offerings can be a hugely successful business model in many circumstances. But participating in Wikipedia doesn't generate these reputational benefits.

So Wikipedia must constantly attract new Wikipedians without being able to offer them either cash or credit. Unquestionably, as we've seen, thousands of Wikipedians are willing to provide enormous amounts of their time for intrinsic benefits—the feeling of doing good, the fun of interacting with like minded contributors, the power of contributing to the discourse, etc. But, with the limited incentives, I think it's going to be hard to recruit large numbers of Wikipedians over time, and it's going to be even harder to keep power Wikipedians contributing at a consistent rate as they experience ennui or life changes that increase the opportunity cost of their time.

FWIW, contrast this with Epinions. Epinions paid contributors cold, hard cash and offered them a host of reputational benefits. Even so, Epinions has experienced significant turnover. I suspect that a supermajority of Epinions' power users from 1999 are long gone by now. Nevertheless, the incentives have been enough for the community to replenish itself.

**Meanwhile, the Attacks Continue**

We continue to see a variety of attacks on Wikipedia. In one amusing attack from July, Stephen Colbert told his viewers to [edit the Wikipedia entry on “elephants.”][36] Wikipedia had to immediately “semi-protect” the page from the loosely coordinated vandalism.

Further, marketers have [awoken to Wikipedia's potential][37]. Wikipedia is fighting back by threatening to publicly shame marketers through a public blacklist of link spammers, with the further hope that search engines will blacklist these people as well. This is a terrible idea, but the point is that the link spammers are getting to Wikipedians and invoking a response. This trend will only get worse.

**Conclusion**

I love Wikipedia. I use it every day. Based on the stats from [my Google personalized search][38], Wikipedia is the #1 site I click on from Google search results. So, I’m not rooting for it to fail. But the very architecture of Wikipedia contains the seeds of its own destruction. Without fame _or_ fortune, I don't think Wikipedia's incentive system is sustainable. Meanwhile, we can see the very beginning of the attacks that will lead to the death spiral. As a result, I stand by my prediction for 2010.

Nov 2009 update: I have explained my theories in more detail in [this new article][26].

**My Own Wikipedia Page**

Finally, I should note that in January 2006, a Wikipedian created a [Wikipedia page for me][39] due to my prediction. Recently, that page got tagged that “article lacks information on the importance of the subject matter.” It was hard not to take this personally…until I realized that at least I wasn't marked “[non-notable” ][40]or for deletion (yet). (But my mom took great umbrage at the questioning of her offspring's importance!) [see this [update about my personal page][41]]

UPDATE: I have not been able to verify the authenticity of [this September email from Brad Patrick][42], Wikimedia’s in-house lawyer. However, according to the email, Patrick says that “corporate self-editing and vanity page creation…is simply out of hand” and, in response, “when [editors] see new usernames and page creation which are blatantly commercial – shoot on sight.” Not only does this reinforce the difficulty that average users have in making contributions, but obviously I’m predicting that the shoot-on-sight policy won’t be sufficient to solve the problem.

UPDATE 2: I closed comments because of comment spam. If you look at the existing comments, you see a string on specialized v. general wikis. In response to that, a Wikipedia editor sent me the following email (reposted with permission):

Specialized wikis *can* compete effectively with the main Wikipedias, but certain conditions have to be met. The advantages of doing all your work on a full Wikipedia shouldn’t be underestimated: access to a large pool of competent editors, with very low transition costs – for example, it would be almost free for me to switch from working on, say, medieval history articles to working on Star Wars articles, because the methods, organization, tools like templates, and so on are mostly identical, because my account and reputation follow me there, because all my customizations and personal tools like custom Javascript or text editors will be equally applicable in the new area.

This is not true if the medieval articles and Star Wars article are on entirely separate wikis. There are also network effects to consider – pretty much every article sooner or later needs to link out of its specialized area to more generalist articles. If the separate wikis have interwiki linking set up, it isn’t all *that* much harder to link

to articles on other wikis than it is to link to an article on the home wiki, but that’s an esoteric and not popularly well known feature, and even at its best still adds friction to the work. – and a host of other benefits.

So basically the only way a specialist wiki can survive or thrive is if it is something Wikipedia refuses to carry. I was involved in the Star Wars area of en Wikipedia articles for a long time, and it did well, until it began to do _too_ well: editors from other areas saw the detail and profusion of articles in the SW area, and began moving

to trim it down drastically and raise standards for the remaining articles. In other words, Wikipedia in a sense decided to stop carrying SW articles. This rejection prompted most of the hardcore SW editors to fork and begin building Wookieepedia  (a SW wiki hosted on

Wikia) using the base of SW articles from Wikipedia. Now their resource is so good that SW editing is mostly dead on Wikipedia, with the exception of a few editors like Deckiller who focus on organizing and removing and improving what’s left, and occasionally borrowing articles from Wookieepedia on the notable new or missing stuff.

Similarly, Wikibooks works because the Wikipedias refuse to carry that sort of thing, but people want to work on them anyway.

Wikimedia Commons *doesn’t* work so well because you can still upload all the Free images to the Wikipedias quite easily – they haven’t decided to force everyone to go away (and go to Commons to upload Free images) and so the Wikipedias are still a force to be reckoned with.

To summarize, if a Wikipedia allows something, the benefits of doing that something on that Wikipedia are so compelling that rival wikis can’t really compete and wither. But if a Wikipedia cracks down on something, then they sometimes provide a seed for a new wiki to grow around and also a number of editors who want to work on that seed but are balked within the Wikipedia.

### Share this:

* [Email][43]
* [Print][44]
* [Facebook][45]
* [LinkedIn][46]
* [Twitter][47]
* [Google][48]
* [Tumblr][49]
* [Pinterest][50]
* [Pocket][51]
* [Reddit][52]
* * marc grundfest

1\. it is not difficult to use turning tests to prevent automated vandalism with out detracting to much from the exisiting model

2\. the kind of enties most subject to such vandalism are in fact not very useful as research. That is most academic subjects would not seem to me to have much merit as a hook for adverisers.

3\. Anonoumous advertising is not very usefull so there would be some accountablity and potential for backlash. I would expect that there would be significant risks to brand name and reputation.

4\. Your comments are important and should not be minimised. Niether should cyber vandals underestimate the potential blow back.

5\. wikipedia is too valuable to loose and so it might be worth cosidering the role of the rule of law in all this. i.e. legal protection for such sites. Prehaps you have some thoughts in that direction in your professinal capacity.

6\. I expect that some manner of control will become necessary and as such would be no differnt that the lock on my door or my car alarm. A victory for those umong us without which society would be far better off- prehaps. But then what else is new? Will society collapse because I now need to lock my door? If so then what is the point of law in the first place.
* Neuromancer

Learn to sign your comments on talk page 😉

See you soon … in 2010

* Observer

Heh, seems that the blog format is more vulnerable to spamming than wiki.

* [Gregory Kohs][53]

Eric, I believe the future of commercial exploitation (and I don’t mean that in the pejorative sense) of the MediaWiki architecture is with something like Centiare.com.

At Centiare, businesses and individuals will be encouraged to “take ownership” of their own articles (with protected status of these Directory pages), write from an “advocate point of view”, and maximize the features of semantic tagging. Sorry to sound like an evangelist, but it’s everything that Wikipedia would offer free enterprise, if only Wikipedia were pro-business.

You may be right that Wikipedia will become a domain only of reliable Pokemon, Star Trek, and pornstar fan-cruft, and not much else. At least businesses will have another option with Centiare.

* [Eric Goldman][54]

Observer, funny comment! I tend to be fairly tolerant of promotional posts–just a choice I’ve made.

Marc, thanks for the comments. I disagree with #2. Marketers will gather where ever consumers are paying attention, even if the promotion is off-topic. So as Wikipedia’s success grows, the marketer interest will too.

I’m interested in your #3-4–what kind of blowback do you contemplate? Note that some blowback might create some legal risks for the blowbackers.

WRT #5-6, Wikipedia may already have some legal protection from automated attacks (common law trespass to chattels, the Computer Fraud & Abuse Act, etc.). But I don’t know how we could regulate the *substance* of contributions. Ultimately, I think that job falls on Wikipedia’s editors.

Eric.

* [Jessy Scholl][55]

Eric, your blog is more likely to be spammed by marketers before Wikipedia is spammed to death. There will be the creation of text boxes on Wikipedia before the end of 2007 and that will stop all spamming. Also, the Wikipedia community is expanding faster than you speak with more specialized Wiki’s including one posted as my URL as a settlement between Wikipedia and The Colbert Report.

* Gabriel

Just curious, are you an editor on Wikipedia? I don’t mean have you made a couple changes here and there, I mean, have you created articles, done some “janitor work”, or participated in article-related discussions? Just wondering. 🙂

Have a nice day.

* [Eric Goldman][54]

Jessy, thanks for the comment. If I get overrun with comment spam, I can just shut down comments. I’d prefer not to, but this would not be a big change to my blog. Wikipedia, on the other hand, changes its nature each time it raises the bar for user submissions.

You also raise an interesting point about specialized wikis. Don’t they represent a threat to the mass-market Wikipedia? In other words, as power Wikipedians divert their attention to the specialized wikis, this reduces the attention paid to the main site.

Gabriel, I’m not a Wikipedia editor. Of course, given my points about incentives, I trust that’s not surprising!

Eric.

* WilloW

Hi Eric,

Thank you for your thought-provoking essay and bold prediction. To help in assessing your prediction over the years, could you give us a quantitative definition of Wikipedia’s failure?

For example, maybe you could post a graph projecting the number of articles added to Wikipedia every month for the years 2007-2010? That way, we could monitor how your predicted graph diverges (or not) from the actual graph as those numbers appear.

I understand that you’re concerned about the quality of the Wikipedia articles. Perhaps you could also make a graph predicting the number of Wikipedia Featured Articles added every month?

Thanks!

* [Eric Goldman][54]

WilloW, it’s a fair request, because it prevents arbitrary designations of success/failure in 2010. However, I’m not sure there’s a single quantitative metric that works here.

One scenario is that Wikipedia remains a strong and vibrant community but only by eliminating open access elements. This might be measured by diversity/concentration of contributors, but it’s really a policy analysis.

Another scenario is that Wikipedia is overrun by spam and no one is there to fight it. This might be measured by article creation, although the spammers may be in control of that metric. It could be measured by usage statistics (page views, visitors, etc.) although these may be a lagging indicator as Wikipedia has great PR and lots of inbound links. Ultimately, the best metric is the “buzz” factor–are people still talking about Wikipedia as a useful resource, or have they moved on to the next great content delivery platform.

Eric.

* [Eric Goldman][54]

Tom, thanks for the great comments. Sorry if I didn’t my point clear. I know that some people are motivated by reasons beyond fame and fortune. You give some good examples of those motivations. The Q is–how many people? How long will they contribute in the face of competing demands for their time? Can enough new replacements be found when the first wave burns out?

The people who “love to create order and to organize things” are exactly the people I think will check out first if the marketers succeed at creating chaos. No point in rearranging the deck chairs if the ship looks like it is going down.

Eric.

* [Tom Radulovich][56]

Eric,

I think your understanding of wikipedia’s prospects is dependent upon on your theory of human motivation; contributors receive money or esteem they will lose interest. Fortunately not everyone is motivated by money and esteem; other motivations may account for the dedication some wikipedia contributors show towards the project. Wikipedia is a great outlet for folks who love to create order and to organize things. There are Wikipedians who, for example, spend hours fixing grammar and spelling errors; such habits might be annoying in a co-worker or spouse, but are very useful to the wikipedia project.

Also, one of the best ways to learn about a topic is to write about it, so contributing to Wikipedia is a great way to advance one’s own learning — and has a greater chance of actually being read by someone than most school papers. Lastly, at least some people are convinced that human society advances by non-zero-sum interactions between people, and act upon that conviction; projects like Wikipedia may advance the human prospect in ways that linkspamming or blogging never will.

* [Technology & Marketing Law Blog][41]

**My Wikipedia Page is Safe (For Now…)**

By Eric Goldman In my last post on Wikipedia, I mentioned that my personal Wikipedia page had been tagged “article…

← “[Junk Mail is Alive and Growing”][57]

[Unlawful Internet Gambling Enforcement Act of 2006][58] →

### Subscribe to Blog via Email

Enter your email address to subscribe to this blog and receive notifications of new posts by email.

Email Address 

### Categories

* [Adware/Spyware][59] (177) 
* [Content Regulation][60] (705) 
* [Copyright][61] (597) 
* [Derivative Liability][62] (893) 
* [Domain Names][63] (152) 
* [E-Commerce][64] (378) 
* [Emojis][65] (8) 
* [Evidence/Discovery][66] (133) 
* [General][67] (148) 
* [Internet History][68] (189) 
* [Licensing/Contracts][69] (464) 
* [Marketing][25] (515) 
* [Patents][70] (82) 
* [Privacy/Security][71] (503) 
* [Publicity/Privacy Rights][72] (212) 
* [Search Engines][73] (531) 
* [Spam][74] (200) 
* [Trade Secrets][75] (75) 
* [Trademark][76] (626) 
* [Trespass to Chattels][77] (89) 
* [Virtual Worlds][78] (49) 

Copyright © 2018 [Technology & Marketing Law Blog][2]

Send to Email Address Your Name Your Email Address ![loading][79] [Cancel][80]

Post was not sent - check your email addresses! 

Email check failed, please try again 

Sorry, your blog cannot share posts by email. 

[1]: https://blog.ericgoldman.org/wp-content/uploads/2017/01/Tech-and-Marketing-Law-Blog-Logo-e1484111175866.png
[2]: https://blog.ericgoldman.org/
[3]: https://www.ericgoldman.org/biography.html
[4]: https://www.ericgoldman.org/
[5]: https://www.ericgoldman.org/presentations/writings.htm
[6]: https://www.ericgoldman.org/presentations.html
[7]: https://www.ericgoldman.org/resources.html
[8]: https://www.ericgoldman.org/classes.html
[9]: https://www.ericgoldman.org/advertisinglaw.html
[10]: https://www.ericgoldman.org/contracts.html
[11]: https://www.ericgoldman.org/copyrights.html
[12]: https://www.ericgoldman.org/cyberlaw.html
[13]: https://www.ericgoldman.org/ip.html
[14]: https://www.ericgoldman.org/ethics.html
[15]: https://www.ericgoldman.org/contact.html
[16]: https://www.ericgoldman.org/blogs.html
[17]: https://www.forbes.com/sites/ericgoldman/
[18]: https://personal.ericgoldman.org/
[19]: https://blog.ericgoldman.org/about-the-bloggers.html
[20]: https://blog.ericgoldman.org "Technology & Marketing Law Blog"
[21]: https://blog.ericgoldman.org/archives/2006 "2006"
[22]: https://blog.ericgoldman.org/archives/2006/12 "December 2006"
[23]: https://blog.ericgoldman.org/archives/2006/12/wikipedia_will_1.htm
[24]: https://blog.ericgoldman.org/archives/author/eric-goldman "Posts by Eric Goldman"
[25]: https://blog.ericgoldman.org/archives/category/marketing
[26]: http://ssrn.com/abstract=1458162
[27]: https://blog.ericgoldman.org/archives/2005/12/wikipedia_will.htm
[28]: http://news.com.com/2100-1025_3-6140293.html?part=rss&tag=2547-1_3-0-20&subj=news
[29]: http://dmoz.org/
[30]: http://customerevangelists.typepad.com/photos/uncategorized/wikipedianumbers.gif
[31]: http://www.hyperorg.com/blogger/mtarchive/wikipedias_long_tail.html
[32]: http://select.nytimes.com/gst/abstract.html?res=FB0611F83A550C748DDDAF0894DE404482
[33]: http://customerevangelists.typepad.com/blog/2006/05/charting_wiki_p.html
[34]: http://www.riehle.org/computer-science/research/2006/wikisym-2006-interview.html
[35]: http://www.aaronsw.com/weblog/whowriteswikipedia
[36]: http://news.com.com/2061-10802_3-6100754.html
[37]: http://www.joostdevalk.nl/blog/the-risks-of-link-spamming-wikipedia/
[38]: https://blog.ericgoldman.org/archives/2006/11/google_personal.htm
[39]: http://en.wikipedia.org/wiki/Eric_Goldman
[40]: https://www.washingtonpost.com/wp-dyn/content/article/2006/12/02/AR2006120201111.html
[41]: https://blog.ericgoldman.org/archives/2006/12/my_wikipedia_pa.htm
[42]: http://www.wikitruth.info/index.php?title=A_Commercial_Failure
[43]: https://blog.ericgoldman.org/archives/2006/12/wikipedia_will_1.htm?share=email "Click to email this to a friend"
[44]: https://blog.ericgoldman.org/archives/2006/12/wikipedia_will_1.htm#print "Click to print"
[45]: https://blog.ericgoldman.org/archives/2006/12/wikipedia_will_1.htm?share=facebook "Click to share on Facebook"
[46]: https://blog.ericgoldman.org/archives/2006/12/wikipedia_will_1.htm?share=linkedin "Click to share on LinkedIn"
[47]: https://blog.ericgoldman.org/archives/2006/12/wikipedia_will_1.htm?share=twitter "Click to share on Twitter"
[48]: https://blog.ericgoldman.org/archives/2006/12/wikipedia_will_1.htm?share=google-plus-1 "Click to share on Google+"
[49]: https://blog.ericgoldman.org/archives/2006/12/wikipedia_will_1.htm?share=tumblr "Click to share on Tumblr"
[50]: https://blog.ericgoldman.org/archives/2006/12/wikipedia_will_1.htm?share=pinterest "Click to share on Pinterest"
[51]: https://blog.ericgoldman.org/archives/2006/12/wikipedia_will_1.htm?share=pocket "Click to share on Pocket"
[52]: https://blog.ericgoldman.org/archives/2006/12/wikipedia_will_1.htm?share=reddit "Click to share on Reddit"
[53]: http://www.hugedomains.com/domain_profile.cfm?d=centiare&e=com
[54]: https://www.ericgoldman.org
[55]: http://www.wikiality.com/Main_Page
[56]: http://livablecity.org/
[57]: https://blog.ericgoldman.org/archives/2006/12/junk_mail_is_al.htm
[58]: https://blog.ericgoldman.org/archives/2006/12/unlawful_intern.htm
[59]: https://blog.ericgoldman.org/archives/category/adwarespyware
[60]: https://blog.ericgoldman.org/archives/category/content-regulation
[61]: https://blog.ericgoldman.org/archives/category/copyright
[62]: https://blog.ericgoldman.org/archives/category/derivative-liability
[63]: https://blog.ericgoldman.org/archives/category/domain-names
[64]: https://blog.ericgoldman.org/archives/category/e-commerce
[65]: https://blog.ericgoldman.org/archives/category/emojis
[66]: https://blog.ericgoldman.org/archives/category/evidencediscovery
[67]: https://blog.ericgoldman.org/archives/category/general
[68]: https://blog.ericgoldman.org/archives/category/internet-history
[69]: https://blog.ericgoldman.org/archives/category/licensingcontracts
[70]: https://blog.ericgoldman.org/archives/category/patents
[71]: https://blog.ericgoldman.org/archives/category/privacysecurity
[72]: https://blog.ericgoldman.org/archives/category/publicityprivacy-rights
[73]: https://blog.ericgoldman.org/archives/category/search-engines
[74]: https://blog.ericgoldman.org/archives/category/spam
[75]: https://blog.ericgoldman.org/archives/category/trade-secrets
[76]: https://blog.ericgoldman.org/archives/category/trademark
[77]: https://blog.ericgoldman.org/archives/category/trespass-to-chattels
[78]: https://blog.ericgoldman.org/archives/category/virtual-worlds
[79]: https://blog.ericgoldman.org/wp-content/plugins/jetpack/modules/sharedaddy/images/loading.gif
[80]: https://blog.ericgoldman.org#cancel

