---
created_at: '2013-12-09T09:16:27.000Z'
title: What Gives Gold that Mellow Glow? (2006)
url: http://www.fourmilab.ch/documents/golden_glow/
author: ColinWright
points: 111
story_text: ''
comment_text: 
num_comments: 23
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1386580587
_tags:
- story
- author_ColinWright
- story_6873483
objectID: '6873483'

---
[Source](http://www.fourmilab.ch/documents/golden_glow/ "Permalink to What Gives Gold that Mellow Glow?")

# What Gives Gold that Mellow Glow?

# What Gives Gold that Mellow Glow?

by [John Walker][1]

* * *

In discussions of [special relativity][2], you occasionally encounter a claim like, “The effects of special relativity only matter to particle physicists and others working with extreme energies and velocities. Relativity has no consequences in everyday life.” Well, these days, anybody who relies upon the [Global Positioning System][3] (GPS) to navigate their car or the airliner in which they're travelling uses both special and general relativity, because without [correction for their effects][4], GPS would be so inaccurate as to be useless. But GPS is a recent innovation, and the relativistic corrections are both complicated and hidden from the user in the software in the receiver and on board the satellites. But there's an effect of special relativity which was observed, if not understood, by the ancients: the yellow gleam of gold. 

With an atomic number of 79, gold is in the last row of the [periodic table][5] containing stable elements, and only four stable elements (mercury, thallium, lead, and bismuth) have greater atomic number. With 79 protons in its nucleus, the electrons of the gold atom are subjected to an intense electrostatic attraction. Using the nave Bohr “solar system” model of the atom for the moment, electrons in the 1_s_ orbital, closest to the nucleus, would have to orbit with a velocity _v_ of 1.6×108 metres per second to have sufficient kinetic energy to avoid “falling into” the nucleus. This is more than half the speed of light: _c_≈3×108 m/s, which, according to Einstein's equation: 

![m_r=frac{m_0}{sqrt{1-frac{v^2}{c^2}}}][6]

increases the electron's mass (or, in [more modern terminology, momentum][7]) by about 20%. Quantum mechanics replaces the Bohr orbits with a probability distribution of the electron's position, with the Bohr orbit radius interpreted as the distance from the nucleus where the peak probability occurs. The relativistic increase in mass of the electron causes a _relativistic contraction_ of its orbit because, as the electron's mass increases, the radius of an orbit with constant angular momentum shrinks proportionately. 

From the Bohr model, you might expect this effect to be significant only for the innermost electrons, but due to quantum mechanics, it strongly affects electrons in _s_ orbitals even in outer shells, because their probability density remains high near the nucleus. The higher angular momentum _p_, _d_, _f_, and _g_ orbitals have their probability peaks farther from the nucleus, and hence are less affected by relativistic contraction. 

The colour of metals such as silver and gold is mainly due to absorption of light when a _d_ electron jumps to an _s_ orbital. For silver, the 4_d_→5_s_ transition has an energy ![Einstein Medal by Jean Ramseier, issued by Huguenin Medailleurs of Switzerland in 1955][8] corresponding to ultraviolet light, so frequencies in the visible band are not absorbed. With all visible frequencies reflected equally, silver has no colour of its own; it's _silvery_. In gold, however, relativistic contraction of the _s_ orbitals causes their energy levels to shift closer to those of the _d_ orbitals (which are less affected by relativity). This, in turn, shifts the light absorption (primarily due to the 5_d_→6_s_ transition) from the ultraviolet down into the lower energy and frequency blue visual range. A substance which absorbs blue light will reflect the rest of the spectrum: the reds and greens which, combined, result in the yellowish hue we call _golden_. 

> Warmly glowing gold,   
What gives it that autumn hue?   
Relativity. 

Special relativity is also responsible for gold's resistance to tarnishing and other chemical reactions. Chemistry is mostly concerned with the electrons in the outermost orbitals. With a single 6_s_ electron, you might expect gold to be highly reactive; after all, csium has the same 6_s_1 outer shell, and it is the most alkaline of natural elements: it explodes if dropped in water, and even reacts with _ice_. Gold's 6_s_ orbital, however, is relativistically contracted toward the nucleus, and its electron has a high probability to be among the electrons of the filled inner shells. This, along with the stronger electrostatic attraction of the 79 protons in the nucleus, reduce the “atomic radius” of gold to 135 picometres compared to 260 picometres for csium with its 55 protons and electrons—the gold atom is almost 50% heavier, yet only a little over half the size of csium. Only the most reactive substances can tug gold's 6_s_1 electron out from where it's hiding among the others, and hence not only the colour of gold, but its immunity from tarnishing and corrosion are consequences of special relativity.   

> What keeps that golden   
twinkle bright?   
Mass increase near   
speed of light! 

* * *

| -----                 |  
|  

                        |  
| ![Valid XHTML 1.0][9] |  

by [John Walker][1]  
March, 2006   

_This document is in the public domain._

### Einstein's [On the Electrodynamics of Moving Bodies][2]

### [Fourmilab Home Page][1]

[1]: http://www.fourmilab.ch/
[2]: http://www.fourmilab.ch/etexts/einstein/specrel/www/
[3]: http://www.colorado.edu/geography/gcraft/notes/gps/gps_f.html
[4]: http://relativity.livingreviews.org/Articles/lrr-2003-1/
[5]: http://www.webelements.com/
[6]: http://www.fourmilab.ch/figures/mass.png
[7]: http://math.ucr.edu/home/baez/physics/Relativity/SR/mass.html
[8]: http://www.fourmilab.ch/figures/einstein_medal_1955.png
[9]: http://www.fourmilab.ch/images/icons/valid-xhtml10.png

