---
created_at: '2009-08-23T03:07:23.000Z'
title: Tips for Startup Companies (2006)
url: http://philip.greenspun.com/business/startup-tips
author: vinutheraj
points: 98
story_text: ''
comment_text: 
num_comments: 7
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1250996843
_tags:
- story
- author_vinutheraj
- story_780119
objectID: '780119'

---
[Source](http://philip.greenspun.com/business/startup-tips/ "Permalink to Tips for Startup Companies")

# Tips for Startup Companies


| ----- |
|  ![][1]

## Tips for Startup Companies

by [Philip Greenspun][2]; created February 2006, updated February 2011 

[Site Home][2] : [Business][3] : One Section  

* * *

The author of this article has started about six companies over the years with collective and cumulative revenues approaching $100 million. He has been a board member and advisor to young companies in software, materials science, and electronic hardware. Here are some tips for young people starting companies. 

### Three Good Reasons to Start Your Own Company

Don't start your own company because you want to be your own boss. There are three ways in which a company can make more profit than an investment in a Vanguard S&P; 500 index fund: 

1. You know how to do something that nobody else can do (the typical MIT tech spinoff approach) 
2. You have a lower cost of capital than anyone else (the "my dad was really rich" approach taken by Bill Gates and others) 
3. You have a better understanding of one kind of customer than anyone else.  The problem with Way #1, knowing how to do something that nobody else knows how to do, is that there is no proven market for whatever it is you are doing. Maybe nobody has bothered to learn how to do this because it isn't necessary to do. A lot of things that look great in the lab and in a scientist's or engineer's head don't look good to a customer for reasons that may be impossible to predict. 

Having rich parents is great. In fact, it is the best and surest way to get rich in these United States. Unfortunately, having a low cost of capital is no guarantee of success because, as formerly poor countries have become ridiculously rich, capital has become very cheap. Your competitors can probably get a home equity loan at 6 percent on their McMansions. How much cheaper can your cost of capital possibly be? 

The most reliable source of supranormal profits is superior knowledge of one kind of customer (Way #3). Ideally this will be the kind of customer that larger companies are overlooking. The founders of SAP, for example, were employees of IBM Germany for many years and got exposed to the accounting challenges of large manufacturers. When they quit IBM, they were among the best situated programmers in the world to build an accounting system for manufacturing companies. It is not because these guys were the world's best programmers that SAP is today bringing in $10 billion per year in revenue and has a market capitalization of $60 billion. It is because these guys were the best programmers who understood the problems of their customers. 

If you don't understand customers, consider taking a customer-facing job (think "sales engineer" or "product manager" rather than "cubicle-dwelling system internals programmer") at a company that already has the kind of customers you think constitute an attractive market. Once you've figured out what the customers need, quit and start your own company. 

### Don't Be Self-Employed in a State with Unlimited Child Support

As explained in [the Practical Tips chapter of Real World Divorce][4], when a self-employed person gets sued for child support the result can be an extra million dollars in legal and expert fees. In states where child support is potentially unlimited, e.g., 200,000 tax-free dollars per year, there is a huge incentive for plaintiffs to ask judges to find that a defendant's income is something other than what appears on the IRS 1040 form. By the time the dust settles on what the business could theoretically be earning and therefore theoretically paying the defendant, the fees are hundred of thousands if not millions of dollars, and oftentimes a judge will make an entrepreneur defendant pay the fees on both sides. See [the Massachusetts][5] and [Wisconsin][6] chapters for how it can play out in court. 

### Don't Get Too Good at Raising Money

Suppose that you can raise $50 million in capital in four stages. Should you? Maybe not. The skills that are required to impress venture capitalists are to a large extent different from the skills that are required to acquire and keep customers. If you distort your organization to be optimized for looking for that next stock sale, you risk being left with an organization that doesn't know how to sell product. Very early in the life of Hewlett-Packard, the founders made the decision not to do government contracts. They decided that if they built an organization that was good at getting government contracts, similar to Raytheon, for example, it probably would be less good at getting commercial business. HP was happy to sell packages of its standard products to the federal government, but it never developed custom military systems, for example. 

Another issue is that, if you raise a lot of money, the investors will eventually come looking for a return on their investment. One of my flying buddies was tapped to be CEO of a company that had raised $40 million to build an obscure scientific instrument. After one year he told the investors that the market was limited to a handful of military agencies and that they would likely never get a return on their investment. The venture capitalists fired him in hopes of getting a better answer from another manager. They never did and the company, while it did not go bankrupt, never provided a return to the investors. 

### Venture Capital and the Successful Company = High Risk

If you have an idea, two guys, and a PC, venture capital is great. You start with nothing but your energy and creativity. The venture capitalist adds money. If the company succeeds, you all get rich. If the company fails, you are back to having nothing (except for the venture capitalist, of course, who pockets two percent of the total fund he raised from limited partners every year, even if he never invests any of the money or if all of his investment choices prove worthless; at a $500 million fund that lasts 5 years, this amounts to $50 million in fees merely for showing up to work). 

Unfortunately, most venture capitalists don't like to take risks. They don't know how to evaluate products, technologies, people, or markets. So they don't want to fund a company until it has significant revenue. I.e., they only want to fund a company that is already worth a lot. 

Suppose that you own the kind of company that is attractive to venture capitalists. You have $10 million in revenue, of which $1.5 million is profit. You could simply move $1.5 million into your personal checking account every year, but instead have chosen to reinvest the profits in your growing business. You are feeling a little tight on capital and worry that if one of your competitors, flush with venture capital or money from a public stock offering, gets intelligent and efficient, you could be snuffed out. But you aren't that worried because you own an enterprise that is probably worth at least $10-20 million. You are a multi-millionaire! 

Suppose that you decide to take venture capital. The VCs value your company at $25 million right now and put in $10 million for a minority share. Buried somewhere deep in the notebooks of legal documents that closed your deal will be something about "participation rights" for the preferred shareholders (the VCs). Basically it says that if the company is ever sold, the first $10 million goes to the preferred shareholders (them) and then the rest of the sale price is divided up among preferred and common shareholders (you) according to percentage of ownership. Some VCs get a little more aggressive on their participation rights and add a 10 percent annual interest. So if the company sells five years later they'd be guaranteed the first $15 million or so. 

Now imagine that the strong economy that enabled you to grow to $10 million in revenue on your small initial investment begins to falter. Customers are deferring purchases. Perhaps the whole market segment is shrinking and becoming unattractive to investors. Your revenue is down to $5 million per year. Profits are down. Your entire enterprise is only worth about $5 million now (1X revenue isn't uncommon for a private company in a boring market). 

If you had not taken venture capital, you are still a rich person. You own something worth $5 million. It was better a few years ago, when you owned something worth $10-20 million, but you can still afford a Robinson R44 helicopter and to hang out at the local airport with radiologists and gynecologists. 

If you had taken venture capital, however, your commmon shares are now worthless. It is very unlikely that your company will ever be worth more than the $10 million that was invested by the preferreds and therefore all that you will ever get out of this company is your salary. You are a wage slave even if you don't realize it yet. 

How can you cut down your risk? One obvious approach is to steer clear of venture capital and grow your company a little more slowly. Anything more than 25 percent annual growth tends to be chaotic. A less obvious approach is to insist that the venture capitalists buy some of your common shares at the time of the investment. There are a lot of venture capitalists and not too many good companies. If your company is attractive, you can probably find a firm that will agree to put $10 million into the company and, say, $3 million into your pocket. Then if the enterprise stumbles and ends up being sold for, say, $9 million, you won't feel like a total idiot. 

### Everyone on the Board should have held Profit-and-Loss Responsibility

The typical white collar worker gets the job by having the right credentials and connections and then gets ahead by pleasing his or her boss. This worker might have a fancy education, a fancy suit, a smooth demeanor, and a political sophistication, but know nothing about making a profit or pleasing customers. The shareholders want profits, but the employee wants a raise and a promotion, things that can be most easily obtained by sucking up to the boss. It is very difficult to refocus one of these middle managers to think about customers and profits instead. Once the employee psychology sets in, it seems to be more or less permanent. 

For your Board of Directors you need folks who are actual business people. A business person is one who has held profit-and-loss responsibility ("P&L;" on their resume). P&L; responsibility means that the person was in a position to determine the total profit earned by a company or a division and received compensation based on that profit, not based on what his or her manager thought. 

Better someone who was the manager of a McDonald's restaurant or a roadside shop in Hyderabad than an impressive former management consultant or middle manager from a big company. The Board makes important decisions and the directors need to have an intuitive feeling for what is going to make the customers happy and get them to keep coming back and paying. Membership on the Board should be limited to those who have founded companies, run companies, or held P&L; responsibility in a division of a larger company. 

### Don't be in a Rush to Hire Top Managers

If you're reading this, you're probably an expert technologist of some sort and perhaps you're the CEO of your new enterprise. The most obvious step would seem to be to hire someone else to be CEO, someone with more business experience. Unfortunately, at this early stage of your company you're not likely to attract any good managers. You might have a good idea. You might have a good technology. You might have a good group of engineers. You do not have a good business. A good business has customers, revenue, and profits. The best managers are attracted to good businesses. Ask yourself "If someone were any good as a manager, why would he want to manage my company, which has almost no resources to deploy, when he could instead manage a division of General Electric?" 

It is always easy to hire more of the kind of stars that you already have. A company that revolves around great salespeople and has a few on board already will find it easy to hire more great salespeople. A company that revolves around Stanford-educated superstar engineers will find it easy to hire more Stanford-educated superstar engineers. Just because the smartest guy you knew from grad school wants to work with you at your new company, don't be deceived into thinking that a competent manager will find your enterprise attractive. Business people will approach you wanting to get involved. Mostly these will be older guys who were discarded by their Fortune 500 employers and maybe some young guys who couldn't get jobs at GE. 

Larry and Sergei had to run Google, the fastest growing company in the history of the world, themselves for about three years before it was successful enough to attract a competent CEO. Bill Gates ran Microsoft for more than twenty years before his successor, Steve Ballmer, who had worked at Microsoft nearly the entire time, was adequately trained to take over the reins. 

For an organization with tremendous institutional history and stability, bringing in an outsider at the top might be the only way to effect some needed change. That's why you sometimes see the Fortune 500 bringing in outsiders and the American people often vote for an outside CEO to head up the Federal Government. An organization that has been recently and rapidly assembled, however, is very fragile and bringing in an outside CEO is tremendously risky. Much better to copy Bill Gates and bring in a COO then promote him or her to CEO when the individual has learned enough about the organization and vice versa. 

Be wary whenever interviewing someone who isn't like you. You probably don't know how to evaluate them. They probably aren't very good, otherwise they wouldn't be interested in your tiny little enterprise. Use your network of Board members and top business executives to evaluate management candidates rather than relying on your own judgement and enthusiasm. 

### One Good Book on Management

> "An entrepreneur is someone who starts a company in which he/she would never work and if they did, would promptly be fired." -- Bill Abernathy, in The Sin of Wages

A friend who went through the MIT Sloan MBA program said that the one good book on management techniques that he was assigned there is [Bringing out the Best in People][7], by Aubrey C. Daniels. Let me try to summarize this book: 

* people don't do what you tell them to do; they do what gets them a reward 
* positive reinforcement is the most effective way to motivate people [Note that in a technology company, a reinforcer might be the freedom to spend some time working on a side project or a pet feature; reinforcement is broader than money or praise; it can be anything that the employee values.] 
* reinforcement works best when it is immediate, certain, and frequent (Daniels points out that kids that our public schools diagnose as having an ADD learning disability are able to concentrate for hours playing video games that provide 85 positive reinforcements per minute) 
* reinforcement doesn't work if followed up with a "but, you need to improve X, Y, Z" 
* monthly reinforcement only provides 12 opportunities per year to shape someone's performance; weekly is the minimum (the annual review and bonus is a joke, as far as Daniels is concerned) 
* many goals should be easy to achieve, thus providing many opportunities for people to get rewarded; rewards should not be competitive (no "employee of the month") 
* managers need to spend more of their time reinforcing the good performers than trying to deal with the problem employees 
* if you set a goal, people stop working as soon as they reach the goal (viz. typical schools and universities; students stop pushing themselves once they've reached an "A" level of achievement) 
* you need to come up with a good way of measuring achievement and make that measure available to the worker so that he or she can motivate himself (for a computer programmer in a software company, components of this measure might be "number of bugs fixed, with extra points for the severe or tricky ones" and "pages of documentation written"  Do read the book. Then try to set up an organization that has systems and structures in place to reinforce people. 

### How to Interview Someone

Overachievers are as common as dirt in today's world. Just look at college applications. None of us oldsters (Class of 1982 for me!) would be able to get into their alma mater; we're simply not as accomplished, at least on paper, as today's applicants. A similar situation applies in the workforce. To judge from reading resumes, most of the people who apply to work at your organization have accomplished remarkable things. Yet in a world where everyone has accomplished so much, we still observe technical and business failures left and right. 

What kind of interview questions can you ask to sort through the remarkable achievers who apply? _Don't ask them what they've done; ask them what they would do in a hypothetical [or in your current] situation._ You want to see how the applicants think, not help them relive the glory of their past achievements. Ask them to do some homework before coming in. Give them a real business or technical problem that you're facing and ask for a plan towards a solution. 

### Get an explicit assignment of copyright from software developers

One of the joys of doing business in the United States is that the laws are written by politicians who generally never have and never will engage in any productive business activity. Suppose that you hire an employee for a princely $300,000 per year or a consultant for a painful $250 per hour to write some software. You paid for, so you own it, right? Sadly, this is not the case. In fact, the author of the code still owns it, even if you explicitly sign a "work for hire" agreement with the author. This is because 17 U.S.C. 101, the definitions section, contains a buried land mine: 

> A "work made for hire" is--  
(1) a work prepared by an employee within the scope of his or her employment; or  
(2) a work specially ordered or commissioned for use as a contribution to a collective work, as a part of a motion picture or other audiovisual work, as a translation, as a supplementary work, as a compilation, as an instructional text, as a test, as answer material for a test, or as an atlas, if the parties expressly agree in a written instrument signed by them that the work shall be considered a work made for hire. For the purpose of the foregoing sentence, a "supplementary work" is a work prepared for publication as a secondary adjunct to a work by another author for the purpose of introducing, concluding, illustrating, explaining, revising, commenting upon, or assisting in the use of the other work, such as forewords, afterwords, pictorial illustrations, maps, charts, tables, editorial notes, musical arrangements, answer material for tests, bibliographies, appendixes, and indexes, and an "instructional text" is a literary, pictorial, or graphic work prepared for publication and with the purpose of use in systematic instructional activities. 

Do you see software on that list? Neither does Jim Gatto, one of the country's preeminent software attorneys (see [his paper on this subject][8]). If you're a startup, you probably can't afford to hire Jim, so just make sure that you get an explicit assignment of copyright from anyone you hire to write software. For a model, you can very likely cut and paste from the employee agreement of any big tech company. 

### How to Fire Someone

I was on the board of a small company whose seed funding was due to run out in about three months. The two founders had brought in a business guy (MBA from a top school, of course!) who had not met their expectations. They said "We want to fire him before any of his stock vests and tell him how poor we think his performance has been." Everyone else on the board agreed with this approach. 

I asked whether the guy had done anything unethical or irresponsible. No. In fact, he had tried his hardest, according to the founders. "You guys are going to run out of money in three months," I offered. "You don't need any other reason to cut payroll. Just say 'We're sorry, but we need to lay off anyone who isn't directly involved in product development'. As for the stock, why not give him what has vested proportionally and ignore the one-year cliff? The stock might be worthless in three months if we don't raise the next round of funding." I reminded the other board members that the ex-employee, if treated fairly, might still be an advocate for the company. 

My advice was accepted. The company did raise its next round of funding. The guy who tried and failed got a small amount of stock that was diluted over time as the company needed to raise additional capital. 

### How to Buy Someone Out

Watch "The Social Network" to learn how _not_ to buy someone out. According to the movie, the Facebook founders and their fancy Silicon Valley investors and lawyers tried to get rid of [Eduardo Saverin][9] through trickery, with an incomprehensible legal agreement that massively diluted his ownership in favor of then-current investors and employees. They got Saverin to sign, but then it was all undone by a lawsuit. According to the film, whose accuracy I cannot evaluate, fraud turns out not be a great way to deal with partners. 

Bizarrely, I faced exactly the same situation five years earlier. [It is doubly bizarre, because our photo.net community in 1999 had every feature of Facebook: you could form groups, upload photos, mark other members as "interesting" and see a page showing the most recent contributions from those "interesting users" (i.e., friends). I wonder if when Facebook gets sued for patent infringement they will hunt me down as a [software expert witness][10].] 

Back in the 1990s, I created an LLC with five other people. We did not ever expect to take external investment, go public, or pay a dividend based on ownership. The company grew faster than expected, though, to the point where ownership might have been worth something. Three of the five original "partners" in the LLC had never done anything. They'd kept their day jobs or wandered off to do something else. The Facebook/Silicon Valley approach to those souls would have been to issue millions of stock options to current employees, i.e., everyone but them, and dilute their substantial ownership position to insignificance. Then they could have sued. 

What I did instead was call them up and explain the situation, i.e., that despite not having done anything, on paper at least their LLC ownership interest might end up being worth a lot. Since I knew and they knew that they hadn't actually done much, would they consider selling back their shares for $10,000 or $20,000 (I forget which!)? All three agreed. They got a nice return on their original investment (less than $100). The LLC was free to convert to a C corporation, accept investment, and set itself up to go public or be acquired. 

### Hire a Good Lawyer, but Don't Overuse Him or Her

Hire a good lawyer to get the important stuff right, but don't use the lawyer as a crutch. A plain language letter agreement is binding and will be just as good as something a lawyer drafted in most cases. Lawyers are good at making things precise. Lawyers are good at thinking of what might happen in 0.1 percent of cases and protecting you from the consequences of that unlikely event. One scientist-turned-entrepreneur used his law firm to generate offer letters to new employees. The firm stuck in boiler plate about how the offer wasn't valid if the new employee didn't have the legal right to work in the United States. I said, "I don't think a contract is enforceable if it is illegal. If the guy is an illegal immigrant, he can't sue you for refusing to continue to employ him in violation of the law. Putting this in, especially since you know that he is a U.S. citizen, just makes you look clueless." 

My favorite lawyers are [Sam Mawn-Mahlau][11] of Davis, Malm, and [Tobias Lederberg][12] of Lederberg Blackman. Both have extensive experience with startup companies, venture capital financing, and acquisitions. 

[Big law firms are not necessarily a good choice. I took over a company for which Troutman Sanders had formerly been the counsel. The previous management team had followed standard practice and entrusted Troutman Sanders with the company's most important records: Board minutes, stock certificates, bylaws, etc. When asked, Troutman couldn't find any of these, but they did manage to dig into their accounting system and determine that we owed them money. When I called them up to object to paying for legal services given that they'd lost all of our records, they said "But we did such great work for you setting up the company." I replied, "How am I supposed to appreciate that if I can't see a copy of any of it?"] 

### Basics of Running a Board Meeting

A Board meeting is management's opportunity to present to the representatives of the owners of the company (the shareholders). The Board is not there to tell the management what to do, but rather to evaluate management's progress. 

If you're the CEO, it is your responsibility to schedule the Board meeting. I recommend that you send out anything that you're going to present in advance so that Board members can study it. You don't want anyone to be surprised in a Board meeting, even by good news. You won't get folks' best thinking unless you give them some time to reflect. 

One of the main risks in a startup company is "team risk", i.e., the risk that you'll hire the wrong people for the job or that the people you have hired won't work together effectively. Your Board presentation should include indications that you are reducing team risk. If the company is small, have a chart that shows each person you've hired, what they've done, how the relationship is going. 

A lot of the stuff that people show in Board meetings, such as sales pipeline and financials, should probably be available on an internal company Web site and pinned up on the walls for all employees to see. There is no reason to keep goals and performance secret. Everyone in a company should be able to see, on a daily basis, how well the company is meeting its goals. I don't like to see management present a big stack of PowerPoint slides that are imprisoned on the CEO's laptop and possibly never shown to employees. I would rather see a tour through internal Web pages or posters on the wall so that I know that there is no miscommunication within the company about goals. 

### When it is time to sell... use an investment banker

Eventually you may want to sell your company. You will not get a good price unless you have more than one bidder. You cannot get a firm bid from Buyer B until you have a firm bid from Buyer A. You might not be able to get a firm bid from Buyer A unless you shake hands on a deal and say that you're ready to accept a big for $X. If you then go to Buyer B and say "Buyer A will pay $X, will you pay 1.2*$X?", that is kind of sleazy. People should be able to trust a handshake deal from a business guy or gal. 

What if you hire someone to do the sleazy stuff for you? Nothing could be easier. They are called investment bankers. Once a deal gets close to the point of a real offer, turn over the potential buyer to your investment banker. He or she can say "Thank you for the offer, but my obligation is to get the best price for the shareholders. I will try to get Board approval for this deal, but I will also be trying to get the best price from other bidders." The investment banker can drive a hard bargain without making the bidders feel that you welshed on a handshake deal. You might have to work with the buyer again, either through an earn-out, a service agreement, or selling them another company three years later. The investment banker can generate hard/hurt feelings without much cost to anyone. 

Do you need to use an investment banker? No. It could be almost any third party. Your corporate lawyer can serve as the arbiter among the buyers/bidders. The important thing is that you don't go all the way to a handshake with a buyer. Your handshake and oral promise isn't worth anything anyway. Only the Board of Directors can vote to sell a company and they do have an obligation to get the best price for the shareholders. 

* * *

Text [copyright 2006-2011 Philip Greenspun][13]. Photo is copyright 2005. 

* * *

[philg@mit.edu][2]

### Reader's Comments

> Having a [small business][14] or [startup business][14] with tons of decision to make is mind bubbling brain-wreck, but I tried reading the Book[ Slicing pie][14] by [ Mike Moyer][15] and it all made sense, in his book he emphasized the [startup equity][14] by providing an example; also talked about [splitting equity][14] using [grunt calculator ][16]and dig in to details on [ equity structure][14],[ founders equity][14], [ equity compensation][14], and differentiating your choice on [ salaries or equity][14].   
  
\-- [Sean Mel][17], October 29, 2012

[Add a comment][18] | [Add a link][19]

[1]: http://philip.greenspun.com/images/20051104-storm-king/21.1.jpg
[2]: http://philip.greenspun.com/
[3]: http://philip.greenspun.com/business/
[4]: http://www.realworlddivorce.com/Tips
[5]: http://www.realworlddivorce.com/Massachusetts
[6]: http://www.realworlddivorce.com/Wisconsin
[7]: http://www.amazon.com/exec/obidos/ASIN/0071351450/pgreenspun-20
[8]: http://www.pillsburylaw.com/siteFiles/Publications/675FEAEDBEADF5B19CFE320E18AE7A18.pdf
[9]: http://en.wikipedia.org/wiki/Eduardo_Saverin
[10]: http://philip.greenspun.com/software/expert-witness
[11]: http://www.davismalm.com/Attorneys/sammawn-mahlau.html
[12]: http://www.lederbergblackman.com/
[13]: http://philip.greenspun.com/copyright/
[14]: http://philip.greenspun.com/slicingpie.com
[15]: http://www.slicingpie.com/about-mike/
[16]: http://www.slicingpie.com/the-grunt-fund-calculator/
[17]: http://philip.greenspun.com/shared/community-member?user_id=344475
[18]: http://philip.greenspun.com/comments/add?page_id=7720
[19]: http://philip.greenspun.com/links/add?page_id=7720

