---
created_at: '2014-12-23T14:57:11.000Z'
title: My favourite interview question (2006)
url: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html
author: danso
points: 105
story_text: ''
comment_text: 
num_comments: 99
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1419346631
_tags:
- story
- author_danso
- story_8788311
objectID: '8788311'

---
[Source](http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html "Permalink to My favourite interview question")

# My favourite interview question

![raganwald][1]  
(_This is a snapshot of my old weblog. New posts and selected republished essays can be found at [**raganwald.com**][2]_.)  
  

Monday, June 12, 2006

  [My favourite interview question][3]

  
  
Some years back, I was interviewed by an interesting start-up in Palo Alto. I was really tempted to take their offer, mostly because:  

1. One of the interviewers was an avid Ultimate player;
2. Stanford. In walking distance. (And the regular Stanford Friz-ball variant game);
3. They asked me a question which has become my favourite interview question to ask and to answer.
The question they asked was:  
  

How might you design a program that lets people play [Monopoly][4] with each other over the internet?   

  
  
Of course there’s a lot to be learned on both sides when an interviewee is asked to design something and explain their design. Both parties learn a lot about each other’s communication styles and approach.  
  
It works both ways: for example, if I were sketching out a design and the interviewers repeatedly interrupted me to discuss my UML notation, I could infer certain things about their culture.  
  
Those kinds of issues apply to any reasonably sized design problem. Anything larger than, say, “write a procedure that reverses a string in place.” But let’s look at three of the characteristics of the game of Monopoly that I find attractive for this exercise:  

* Monopoly is poorly defined;
* Monopoly requires more than simplistic object design, and;
* Monopoly is too big to be designed in one session.  

First, Monopoly is poorly defined. Chess, for example, is rigorous. The [official rules of Monopoly][5] are silent on some critical questions and vague on others. A tournament-playing aficionado will realize this immediately, but it’s easy to guide a candidate to this realization by asking some of the well-known [FAQ questions][6].  
  
This ‘problem’ makes it a great interview question. It drives a lot of valuable interaction between the candidate and the interviewers. You have to ask questions, make assumptions, and know when to stop gathering requirements and start driving the design.  
  
![][7]There have been some blog posts pointing out that [even trivial requirements can have many hidden implications][8]. A determined and finicky developer can drive questions for the length of the interview. I think Monopoly’s missing requirements actually improve its suitability as an interview question.  
  
If the candidate uses up all of the interview time trying to obtain perfect requirements, we have a problem. In the software development I do, the requirements are never perfect. I don’t demand that a candidate try to create an agile, iterative process on the spot, but I look for someone who knows when to say “close enough, let’s move forward.”  
  
Another good way to move forward for both interviewer and candidate is to say, “ok, we’ve covered the most important requirements. Let’s make a bunch of assumptions and document them. In a real-world situation we could obtain feedback on the assumptions after presenting an initial approach.”  
  
After all, who’s to say that a programmer, designer, or architect is always 100% beholden to others for requirements?  
  
The second reason I like this problem is that Monopoly requires more than just a simplistic object design. What I’m about to say will be blindingly obvious to the Enterprise crowd (sorry, not you over there with the [Greasemonkey ][9]script that translates your web email to Klingon). The rules must be considered as carefully as the entities. Enterprise developers have known this for years: that’s why you see rules engines, table-driven designs, and visual workflow editors in many Enterprise applications.  
  
Now let’s talk about ‘object-oriented programming’ for a second. 99% of the stuff you read discusses modeling real-world physical objects. Things. Nouns. It is a [Kingdom of Nouns][10]. Most candidates start every design by dutifully listing all of the nouns they can think of and then they spend the rest of the time available thinking about piling them into phyla, hierarchies of “IS-A” and “A-KIND-OF.”  
  
This approach, which I will call “noun and verb,” is so limited I’ll dare to call it [brain damaged][11]. In fun. But seriously, competent software developers spend much more time on relationships, responsibilities, and constraints than they do on trying to [prematurely optimize][12] reuse through inheritance.  
  

![][13]![][14]  
  
[Object Design: Roles, Responsibilities, and Collaborations][15]![][14] focuses on the practice of designing objects as integral members of a community where each object has specific roles and responsibilities. The authors present the latest practices and techniques of Responsibility-Driven Design and show how you can apply them as you develop modern object-based applications.   
  

Now let’s ask a question about Monopoly (and Enterprise software). Where do the rules live? In a noun-oriented design, the rules are smooshed and smeared across the design, because every single object is responsible for knowing everything about everything that it can ‘do’. All the verbs are glued to the nouns as methods.  
  
Let’s take a look at a simple rules question. If a player owns Baltic Avenue, can she add a house to it?  
  
Well, there’s a bunch of stuff about whether she can afford it and whether there is a house available in the bank. Where does that live? In the bank object? And there is a bunch of stuff about whether it is either the player’s turn or between turns. Where does that live?  
  
And there is a bunch of stuff about whether the property already has four houses. Where does that live? Somewhere in the property hierarchy? Sounds reasonable. Now what about mortgaged property? If Baltic is mortgaged, the answer is no. That’s easy. But what if Mediterranean Avenue is mortgaged? And what if, for example, Baltic has one house but Mediterranean has none? Where does that logic live? Both of these last two questions involve knowing something about the other properties of a colour group.  
  
Now you can debate which verbs belong to which nouns, but here is an opportunity to step back a bit and consider the larger implications of maintaining such a ‘classical’ OO design.  
  
Consider a ‘noun and verb’ design. First, an easy question. How well does the design document the actual game of Monopoly? If someone were to read the source code, do you think they could learn how to play the actual game?  
  
Is this a [stupid question][16]? I think it strikes at the root of sustainable software development. In real world applications, software lives for a long time and teams change over that time. Programmers are often asked to maintain software with insufficient training in its intended use.  
  
OO programs can be brilliant communicators in some designs (“here’s everything I need to know about a Money Transfer”) and terrible in others. I think this is part of the appeal and effectiveness) of the [Domain Specific Language][17] approach. It does a better job of communicating its intentions than a simple OO design.  
  
I’m not saying that a DSL is right for Monopoly. Or wrong. Just that it’s valuable to consider this issue when discussing an approach. There is a lot of opportunity for a candidate and the interviewers to learn about each other’s thinking that goes way beyond coding if you spend a few moments discussing the importance (or irrelevance) of a design that communicates its intentions. And I think that makes Monopoly a good design subject.  
  
Another issue about the rules. In software development, requirements often change. What kinds of requirements changes are easy with the design? What kinds are difficult?  
  
I suspect it’s easy to change the prices and names of properties, but very difficult to change the fundamental rules. Well, it’s probably easy to introduce the popular ‘lottery’ variation where fines are paid into a pool and anyone landing on Free Parking’ scoops it up. But some of the more esoteric variations would require making lots of changes to many different classes.  
  
The ‘noun and verb’ design is tightly coupled, and distributes the rules across the design. If you really want a mess, consider that popular computer versions of Monopoly allow you to pick and choose rules variations for each game.  
  
The key to making this easy is to find another way to represent the rules. I generally provide hints along these lines by asking the candidate how they plan to implement the Chance and Community Chest cards. What is the relationship between the cards, special squares like “Luxury Tax,” and introducing variant rules?  
  

> (You can probably save yourself a lot of interview time. Instead of all this hoopla, ask the candidate to describe when they have actually used the [Strategy][18], [Visitor][19], and [Command][20] patterns outside of a framework.)

The bottom line is that designing a Monopoly game requires giving a lot of thought to representing the rules. There are a lot of ways to do that. I’ve hinted at two, and you I’ve heard of a lot of other interesting approaches. It’s a great chance to really go beyond OOP 101.  
  
Now to close as rapidly as possible with what I consider an essential characteristic of a good design problem, and one that applies here. Monopoly is too large to solve in one interview. This is related to the vague requirements characteristic I mentioned above.  
  
The reason this is important is that it forces the designer to pick and choose what elements of the design to solve in limited time. Some candidates will fail outright because their problem solving style is to consider all of the implications before starting. It’s easy to spend hours on a problem like Monopoly. But will you get up and apply the marker to the white board?  
  
>Does a candidate start with the trivia? Who cares how to represent the colour of a property? CSS? A getter in each object? Yawn. I’ll prod him to move along.  
  
Perhaps a candidate spends all of her time working in an area of the problem she knows well. Some candidates can spend forever engineering a Monopoly Online site up to [Web 1.0][21] scale. Or building [FTD.com][22]-like [reliability][23]. Whatever.  
  
I’m not saying that’s bad. Or good. But I will say that given a problem too large to solve in the time allotted, there’s fantastic value in evaluating what’s important. And that cuts both ways. If you think that some of the OO design choices are critical but the interviewers hand wave it and want to see how you plan to handle 10,000 requests per minute, that’s revealing.  
  
Summary  
  
I like asking (and being asked) about Monopoly because it provides fertile ground for discussing issues that are critical to judging both competence and cultural fit, like:  

* Communication style and skills;
* Deep OO design philosophy;
* Prioritization and time management, and;
* Handling ambiguity.
And now, if you have a moment, I’d like to ask for your feedback. Is there a better design question to ask? What is your perspective as an interviewee? What other issues about a design should be discussed during an interview?  
  
I’m looking forward to hearing from you. Thanks in advance!  
  
**Update: A cautionary note**  
  
Some people have objected to this question because it may be a trivia challenge: how well does the candidate know the game of Monopoly? In the comments I mentioned that the question really only applies to candidates that already know the game.  
  
Others have suggested it may be a form of “guess the design I’m thinking of” where there is exactly one right answer, the design the interviewer has already come up with. I think this is a legitimate concern.  
  
It really applies to any interview question. For example: “name your three strengths” or “tell me about a challenge you faced in your last position and how you overcame the obstacles.” If an interviewer is looking for something specific, they can and will twist any interview question into a variation of “guess the answer I’m thinking of.”  
  
I won’t say that Monopoly is somehow better than other questions in this regard, nor is it worse. If you have an interview based on reviewing a candidate’s past accomplishments, don’t you think there are some interviewers that will discount those that don’t fit their personal criteria for merit?  
  

> I once had an interview where the interviewer spent forty minutes talking to me about my education, and something like fifteen talking about my fifteen years (at that time) of actual career experience. Bias in an interviewer is orthogonal to the choice of interviewing technique.  

  
  
What do these two cautions have in common? Only that the most important thing for a successful interview is that the interviewer be genuinely seeking out a view of the candidate’s strengths and weaknesses. All I can really say about this question is that if (and it’s a big if) the interviewer is sincerely attempting to evaluate a candidate’s technical ability, and if the candidate has some familiarity with the game, then the session can be very productive.  
  
**Update: Some relevant links**  
  

> It would be ludicrous to think of hiring a juggler without first seeing him perform. That’s just common sense. Yet when you set out to hire an engineer or a designer or a programmer or a group manager, the rules of common sense are often suspended. You don’t ask to see a design or a program or anything. In fact, the interview is just talk.  

  
  

[_Hiring a Juggler][24]_

  
  

> The bottom line in my interviewing technique is that smart people can generally tell if they're talking to other smart people by having a conversation with them on a difficult or highly technical subject, and the interview question is really just a pretext to have a conversation on a difficult subject so that the interviewer's judgement can form an opinion on whether this is a smart person or not.  

  
  

[_The Phone Screen_][25]

  
  

> Think of three things you want the interviewer to know about you that you think they are unlikely to find out if they ask all the questions. The important ideas are that (a) you want the interviewer to know about each of the three things, and that (b) the interviewer is unlikely to ask about all three if you don't exercise some control over the interview.  

  

[_Take control of your interview_][26]

  
  

> In case you didn't know this, about 1/3 of all technical interview questions worldwide are variants of "How do you fit 10 pounds of crap in a five-pound bag?" Examples: how do you reverse a string in place, how do you sort a billion numbers, how do you write a decent compiler back end for an architecture with only four frigging registers, how do you handle fair scheduling when someone just forked off 1000 copies of some Towers of Hanoi simulation, etc.  

  

[_Interviewing Ruby programmers][27]_

  
  

> I’m exaggerating a lot, but the point is, when you select 1 out of 200 applicants, the other 199 don’t give up and go into plumbing (although I wish they would… plumbers are impossible to find). They apply again somewhere else, and contribute to some _other_ employer’s self-delusions about how selective they are.  

  
  

[_Joel on Hiring][28]  
_

  
  

> And then there is the issue of why would someone care if I knew how to write a file copy function, ahead of what the difference between an interface and an abstract class was. Or when would I use encapsulation? Or in my design, how would I choose between polymorphism or inheritance? Or what pattern would I recommend for dealing with a general or specific problem?  

  
  

[_What’s with the programming test!?][29]_

  
  

> I know lots and _lots_ of interviewers, at many companies, who’ve decided that they can fully evaluate you based on whether you can solve some particular convex optimization problem (or graph-search problem, or logic problem, or whatever their pet Elephant Question is), and they ask every candidate this question regardless of their background or experience. In fact, I’d estimate that some 10% of all technical interviewers ask the same questions, year after year, and they could care less about your experience.  

  

[_The Truth About Interviewing_][30]

Labels: [jobs][31], [popular][32]

  ¶ [10:45 AM][3]

**Comments on “_My favourite interview question_”**:  

I've played half a game of Monopoly in my life, and I was too drunk and sleepy at the time to pay much attention. If you asked me that question, you'd then have to spend much of the subsequent interview explaining how to play the game to me. Which could in itself be interesting, but it would stress the requirements capture part of the question a bit more than you probably want.  

[#][33] posted by ![Anonymous][34] [pozorvlak][35] : 11:48 AM

 

I forgot to mention that the prelude to the question is "Are you familiar with the game of Monopoly?"  
  
If you don't know the game reasonably well, there isn't much point in this specific question.  
  
But don't worry, there are others, oh boy are there others :-)  

[#][36] posted by ![Blogger][37] [Reginald Braithwaite][38] : 12:11 PM

 

It's really hard to identify competent programmers. I like your approach however I think it's too involved for an interview - unless the candidate is going to be there for hours.  
  
I've had success with identifying a hobby that the person has and then getting them to describe it in detail. Woodworking is a good one for getting to know how they think, how successful they are, etc.  
  
A mechanic friend of mine said that one of the best way he has for determining how good a mechanic someone will be is to hand the person a broom and see how he/she cleans the floor. I haven't tried this one yet but I think it may work with programmers who know how to operate a broom.  

[#][39] posted by ![Anonymous][34] Anonymous : 12:15 PM

 

There's no doubt in my mind **whatsoever** that no-one should be hired without hours of interviewing. But that's another topic, and one that is very well covered on various blogs.  
  
What I would say is that perhaps this shouldn't be a weeder question. Hopefully you've already phone screened a candidate and conducted some other good interview stuff.  
  
Now you've already determined that the candidate is competent and you want to know whether they have star quality architecture skills.  
  
When I was asked this question, I had already passed a phone screen and a long phone interview. I was then flown to California for a day's worth of interviews with the team.  
  
I also recall an entertaining [math/logic puzzle][40] I had to solve. But it was really an "aha!", so I don't ask it.  

[#][41] posted by ![Blogger][37] [Reginald Braithwaite][38] : 12:48 PM

 

A much better (IMHO) question is: "design a control system for an elevator." This has the advantage that (a) everyone is very familar with elevators, (b) there's lots of interesting quirks, such as having more than one elevator shaft, and (c) it's far, far more difficult than it seems at first.  
  
Doesn't sound too hard? What if the elevator is on the first floor, has just been called to the fifth floor, and someone on the third floor presses the down button? The elevator should not stop on the way. (!)  

[#][42] posted by ![Anonymous][34] [Robby Slaughter][43] : 1:39 PM

 

I was once asked to design software that simulated a soda vending machine. It covers basic rules and object design, and isn't as complex as Monopoly.  
  
It is always a good idea to ask if a developer has used patterns like Command or whatever outside a framework. Few developers know patterns, fewer know how to use them, and the one you want to hire _has_ used them effectively.  

[#][44] posted by ![Anonymous][34] Anonymous : 1:46 PM

 

_(c) it's far, far more difficult than it seems at first._  
  
That's part of what I like about Monopoly. But I totally agree about elevators. The game "SimTower" was born when the author became interested in the heuristics needed to make elevators work efficiently in tall buildings. There's a lot of strategy involved.  
  
_I was once asked to design software that simulated a soda vending machine. It covers basic rules and object design, and isn't as complex as Monopoly._  
  
I really prefer to hit on at least one issue orthogonal to the obvious physical entities. It's not immediately obvious to me whether a Soda Machine has this characteristic. But maybe I'm just failing the interview :-)  

[#][45] posted by ![Blogger][37] [Reginald Braithwaite][38] : 1:59 PM

 

Interview questions like that are generally a good way of discounting qualified people who don't happen to have an *immediate* knowledge of Monopoly (or whatever other 'clever' topic you pose).  
  
I've seen variations of this flawed interveiwing technique such as "You have 30 minutes, now code a fully-functional calculator."  

[#][46] posted by ![Anonymous][34] Anonymous : 2:31 PM

 

This tip is dumb - finding a good programmer through an interview process is an art form, and not something can always be determined from an interview - the problem with interviewing is that the interviewer is usually done by dumbazzes.  

[#][47] posted by ![Anonymous][34] Anonymous : 2:59 PM

 

_Interview questions like that are generally a good way of discounting qualified people who don't happen to have an *immediate* knowledge of Monopoly_  
  
See my comment above: I forgot to mention that the prelude to the question is "Are you familiar with the game of Monopoly?"  
  
Once again, **don't worry, there are others, oh boy are there others**.  

[#][48] posted by ![Blogger][37] [Reginald Braithwaite][38] : 3:22 PM

 

Just out of curiosity: _is there something I wrote that implies that this is the only question I ever ask while interviewing?_  
  
I also ask situational questions, I also ask for someone to write some actual working, debugged code, I also ask for someone to solve a logic puzzle, and on and on ad nauseum.  
  
This just happens to be my **favourite** question.  

[#][49] posted by ![Blogger][37] [Reginald Braithwaite][38] : 3:25 PM

 

I hire programmers by asking programmers I know and respect who they would recommend. The people recommended need to have worked with the person making the recommendation.  
  
There is a lot more to building a successful development team than being able to design something in an interview (such as interacting with others). Some people are actually very good but freeze when first assigned a design.  
  
They work on things using their subconscious mind and they can have a great answer for you ten minutes after the interview is over.  
  
I do like the find out what books a person owns (technical and non-tech), what movies they like and why, do they play a musical instrument, do they try out new programming languages for fun, etc.  
  
Overall, I look for interesting people with the obvious skills/experience needed, intelligence, curiosity, and drive. Anything else can be picked up on the job.  

[#][50] posted by ![Anonymous][34] Anonymous : 3:27 PM

 

_There is a lot more to building a successful development team than being able to design something in an interview_  
  
**Of course**. Is there anything in the post that suggests otherwise?  

[#][51] posted by ![Blogger][37] [Reginald Braithwaite][38] : 3:38 PM

 

Like others have commented, I'm embarrassed to say that I'm not very familiar with Monopoly!  
  
However, I do feel that these types of questions may tell you more about how well a person's brain works under pressure rather than whether or not they'd actually be a good programmer, or even a good architect.  
  
I've also found that, sadly, many people seem to study for these types of questions, including general patterns-and-practices topics.  
  
I've been thrown many times interviewing people for web developer positions who were great at these questions, yet always left me feeling uneasy about their actual abilities, and sure enough I've been burned before.  
  
I now always ask them the one question that nobody ever seems to have a scripted response for:  
  
"Can you make a website?"  
  
You'd be amazed how many people applying for web developer questions are completely thrown off guard by this question. The first responses are usually "huh? what? um.. what do you mean?".  
  
"You know: a website. Can you make them?"  
  
Then the candidate will usually bite "Um... you're going to have to give me some specifics."  
  
Of course then this continues for a bit, but I only dish out as little specifics as possible.  
  
Usually from this line of questioning, I've found that it's both much easier to find out if they can both grasp high-level concepts like architecture, as well as actually develop something, rather than questions like "how would you reverse a string...", etc.  

[#][52] posted by ![Anonymous][34] Anonymous : 3:53 PM

 

_Of course. Is there anything in the post that suggests otherwise?_  
  
Uh, yes? Like the entire premise that asking a question such as the "favorite question" is actually useful?  

[#][53] posted by ![Anonymous][34] Anonymous : 4:08 PM

 

As an employee applying for a Project Management position, I was asked to document the requirements of building a Peanut Butter and Jelly sandwich.  
  
I was given 15 min.  
  
I also had the chance to review answers back from other job candidates for similar positions later on.  
  
Similar to your example, I liked it because it revealed a lot about the candidates, and as an interviewer, it's nice to have a question that demonstrates skills.   
  
One feels one is judged a lot more on merit.   
  
An interesting side note, I've noticed that the decision on who was going to be hired was decided long before this question was asked and the answers read.   
  
It became more of a "Where exactly does this person fit?" and "What projects should we give him" sort of question  

[#][54] posted by ![Anonymous][34] [Everyday Economist][55] : 4:17 PM

 

_Like the entire premise that asking a question such as the "favorite question" is actually useful?_  
  
Just because I assert that it is a useful question does not imply that I assert it is the **only** useful question.  
  
As to whether it is useful, if you do some googling you will find there are many dissenting views. There are also people who challenge whether it is useful to pose logic puzzles, or useful to ask someone to write code in the interview. And I do all three of these things.  
  
I do **not** assert that this type of question is infallible. My experience is that it does present some false negatives: good people who don't "interview well."  
  
However, I have found it to present few false positives: I have not met a lot of people who do well with this type of question but cannot design software in the field.  
  
That being said, there are many complex dynamics involved in building a good team, and that is why I believe that to select a core person I need a long process involving many different types of investigations.  
  
And yes, references from people I trust are some of the better indicators.  

[#][56] posted by ![Blogger][37] [Reginald Braithwaite][38] : 4:25 PM

 

_many people seem to study for these types of questions, including general patterns-and-practices topics._  
  
And this is bad because...?  
  
I have found that candidates (myself included) are quick to mention their experience when engaging in a spirited discussion about the merits of a design choice.  
  
If I mention a rules engine, for example, some candidates are only too happy to talk about how they tried that on such-and-such a project and what happened.  
  
Overall, I'm conent with the idea that people will study for an interview. If I wasn't, I wouldn't publish my favourite question :-)  

[#][57] posted by ![Blogger][37] [Reginald Braithwaite][38] : 4:29 PM

 

_I was asked to document the requirements of building a Peanut Butter and Jelly sandwich._  
  
Another well-known problem is to designa spice rack for the visually impaired.  
  
Stuff like that makes me wish I'd studied Industrial Design. We have two terrific schools here in Toronto, OCAD and Sheridan, and I'm jealous of the cool stuff the students do every day.  
  
The annual engineering problem at OCAD is to use a single piece of paper to somehow keep a raw egg from breaking when dropped from a balcony.  

[#][58] posted by ![Blogger][37] [Reginald Braithwaite][38] : 4:33 PM

 

_And this is bad because...?_  
  
Well, your rules engine is a good example because in that scenario you say that the candidate related it to an actual project he worked on.  
  
A bad example is when a candidate studies for these type of questions and can talk about them all day "in general", yet they may not be able to actually apply it to a real world situation.  
  
I always try to avoid questions to which I think the candiate could give a scripted response, and instead try to think of questions which they could only answer if they had the experience, in addition to the book knowledge.  
  
An example I like to use is asking the candidate how they would program the front page of Amazon.com. Again, this gets them into high-level concepts such as overall architecture, performance requirements due to the traffic of the site, etc.  
  
However, I can also drill them in detail such as how to create stylesheets or how to make different components of the page re-usable, if I feel that they are answering my questions with too much "fluff".  
  
I feel it's difficult to do this when the topic is something that is too far from a real-world environment, such as the Monopoly or elevator examples.  
  
For web development, questions like "Make Amazon.com" or "Make ebay.com" tend to be good examples because a) Everyone knows it, and b) You can ask both high-level and specific questions that relate to your position.  
  
For application developers I would probably ask questions like "How would you make Microsoft Word?". It still gives you the flexibility of the Monopoly example but you get the added benefit of being able to drill them down if you feel they are reciting a bunch of buzz-words they studied on somebody's blog :-)  

[#][59] posted by ![Anonymous][34] Anonymous : 5:10 PM

 

During interviews I'm only interested in two questions, and they are questions that I pose to myself:  
1\. Are the "lights on"? In other words, is this person responsive?   
2\. And, is this someone that I want to work with? Because no matter how brilliant they are I don't want them around if it's going to be a strain to be in the office. Are they abrasive, or have poor hygiene?  
  
I usually know the answers to both of these questions in the first few minutes, and then it's just a matter of getting to know them.   
  
BTW, I consider fondness of UML and design patterns as a negative point, but I'm willing to ignore these bad habits if it's a nice person.  

[#][60] posted by ![Anonymous][34] Anonymous : 5:16 PM

 

_A bad example is when a candidate studies for these type of questions and can talk about them all day "in general", yet they may not be able to actually apply it to a real world situation._  
  
First, great comment, thanks!!!  
  
I do not ask candidates to "talk in general" about approaches. Let's say, for example, that a candidate seems to think for a while and then says "this is a good place to use a DSL."  
  
"Ok," I smile. "The whiteboard is waiting." The acid test is whether the candidate can (a) design a decent DSL for Monopoly, and (b) design an architecture for implementing the DSL.  
  
If someone is able to read a few blog posts, google some terms, and then hoodwink an interviewer, then either they are very, very bright or there may be [another explanation][61].  

[#][62] posted by ![Blogger][37] [Reginald Braithwaite][38] : 5:22 PM

 

What do you mean (or what did the interviewer mean) by "referee the game"? Do the players ask questions of the referee in a natural language? Or is the game being played on the computer, so that the referee just has to put up a message when a player tries to do something illegal? What about questions such as the one in one of the FAQs: "Can a player borrow money from another player?" If the referee is just quietly watching the game play, how would it ever know about such borrowing? Perhaps it has to know about any transaction that affects any player's bank balance (er, money stash), but how do I say "borrow from Harry" to the referee?  
  
Solving the stated problem is, I suspect, overwhelmingly dependent on the details of the environment in which the program must operate. I guess one could design a "next action" panel in which all the possible actions for the player at a given time are specified. But in that case, the referee function has already been performed in the process of showing the valid next actions.  

[#][63] posted by ![Anonymous][34] [Ralph][64] : 8:03 PM

 

_Solving the stated problem is, I suspect, overwhelmingly dependent on the details of the environment in which the program must operate._  
  
First, it isn't really a 'problem to be solved.' I don't treat it as an exercise in 'guess the design I'm thinking of.'  
  
The questions you pose are part of the requirements gathering process. The important thing is to ask the questions and to proceed with a design that is reasonable for whatever constraints the interviewer imposes in response.  
  
JM2C, but if I wrote the whole thing out as formal requirements, a lot of the value of the problem would go away.  

[#][65] posted by ![Blogger][37] [Reginald Braithwaite][38] : 8:14 PM

 

@Reginald Braithwaite - the logic question you linked to seems to have only half the answer.  
  
http://www.techinterview.org/Solutions/fog0000000095.html  
  
It doesn't seem to say anything about doors which are prime numbered. These should also be open. Just one more reason why I hate these logic puzzles. I don't feel that it tells you anything about a person other than they are good at logic puzzles.  
  
http://www.kirit.com/Interview%20by%20under-constrained%20programming  
  
  
K  

[#][66] posted by ![Anonymous][34] [Kirit][67] : 12:41 AM

 

In the same way that people nominate interview questions as a good way of revealing characteristics of the person being interviewed, the question reveals characteristics about the person asking the question. Favourite questions are ways for people to find other people like themselves, rather than whether they would have been a good fit in the team.  
  
The only way of finding out whether someone would be a good fit in the team is to hire them, and find out with actual practical experience. As this is, in turn, not a practical approach, it would be more honest to simply note that such questions are filtering methods rather than identification methods.  
  
It's pretty obvious when someone's trotting out a favourite interview question, and I can assure you that the answer has a hell of a lot more to do with stabbing in the dark for the precise answer that they're looking for, than actually solving the question.  
  
It's a process of 'hunt the button', as the fact remains that there are numerous correct answers, of which a set of those correct answers is not going to be understood or accepted by the person asking the question!  
  
This is a particular problem for me, since my answers tend to be lateral and mistakenly assumed incorrect, when in fact it's precise and would work just fine.  

[#][68] posted by ![Anonymous][34] Anonymous : 7:02 AM

 

_It doesn't seem to say anything about doors which are prime numbered. These should also be open._  
  
Are you sure? Perhaps you could write a brief simulator to see what happens.  
  
For example, two is a prime number. Is the second door open or closed?  

[#][69] posted by ![Blogger][37] [Reginald Braithwaite][38] : 7:09 AM

 

_the answer has a hell of a lot more to do with stabbing in the dark for the precise answer that they're looking for, than actually solving the question._  
  
This is a danger with any interview question, such as asking what books they have read recently or how they would handle a hypothetical on-the-job situation.  
  
Is Monopoly is any worse for this than other design or programming tasks? Or is the very concept of 'design this' or 'program that' suspect in your view?  
  
Quite possibly, the fact that the question is a favourite may be the characteristic that makes it inapproriate for me to ask.  
  
Sometimes a favourite question comes with the emotional baggage of how the interviewer thinks the question is best answered.  
  
I personally don't think there is a "best" answer: I'm biased towards candidates that suggest there are many right answers and who can discuss the merits of different approaches given different requirements and expectations.  
  
p.s. Maybe I would be more effective asking about elevators while [Robby][70] asks about Monopoly?  

[#][71] posted by ![Blogger][37] [Reginald Braithwaite][38] : 7:36 AM

 

"I think this is part of the appeal and effectiveness) of the Domain Specific Language approach. It does a better job of communicating its intentions than a simple OO design."  
  
Please give a concrete example. What is the difference between a DSL and a library? How would the rules not be spread across the DSL?  

[#][72] posted by ![Anonymous][34] Anonymous : 2:35 AM

 

_Please give a concrete example. What is the difference between a DSL and a library? How would the rules not be spread across the DSL?_  
  
Is that **your** favourite interview question?  
  
I wouldn't rely on my answer for a really good introduction to the subject. You might want to look into [Ruby on Rails][73] as a very popular example of a framework with is DSL-centric. How does it differ from frameworks that are library-centric?  

[#][74] posted by ![Blogger][37] [Reginald Braithwaite][38] : 7:08 AM

 

I was once asked to describe the process of making a cup of tea. After explaining that I didn't drink tea, I thought it best to describe the process of making the worst cup of tea in human history. This way, the drinker would be warned that a non-tea-drinker is not a good maker.  
  
I managed to make the interviewers laugh while indicating the appropriate steps. I got the job.  
  
[Rob Lang][75]  

[#][76] posted by ![Anonymous][34] Anonymous : 10:30 AM

 

This is a great discussion because it gets at the huge question of what quality software is. And we want to know if a potential coworker knows what that is.  
  
I do not want a programmer who makes an excuse of not being an architect. That programmer will soon be creating random classes and methods with no cohesion and coupling all over the place.  

[#][77] posted by ![Anonymous][34] Anonymous : 12:48 PM

 

_Sometimes a favourite question comes with the emotional baggage of how the interviewer thinks the question is best answered._  
  
Yes, that is the point I was making.  
  
Another approach would be to ask questions about problems neither of you know about, and see how well you work together to solve the problem.  
  
I've had a read through your web site, and appreciate the honest effort you're making to present and understand problems. Very enjoyable read.  
  
It's a bit hard to have a converation through a web page though, as I had to make a specific effort to bookmark and check back to see if you had responded.  
  
Not sure how to solve that one, except wait for the Web to re-invent the mailing list. :)  

[#][78] posted by ![Anonymous][34] Anonymous : 6:43 AM

 

Great article!  
  
but you've never played monopoly with a real band of cut-throats like myself and my family - bailing out mortgages and then tripling the rents - forming allegiances against other players and then double-crossing - rent-splitting, private loans with interest... !  

[#][79] posted by ![Anonymous][34] Anonymous : 6:02 PM

 

Interesting article. One of my favourite things to find out in an interview is whether the candidate is capable of saying "I don't know". It's amazing how many people just will not say those words. The one question that seems to trip up most people who claim to know databases and SQL is "What is the HAVING clause used for in SQL"?  

[#][80] posted by ![Anonymous][34] Anonymous : 5:24 AM

 

Something that I have picked in the many interviews I have conducted over the last year is the difference in approach when someone is confident in themselves even when the territory is unfamiliar. Poor candidates will waste time wafting on about anything but the question where as a strong candidate seems capable of getting to the point quickly or asking a pertenant question that will direct the conversation. Poor candidates will rarely say "I don't know".  

[#][81] posted by ![Anonymous][34] Anonymous : 7:02 AM

 

I've been asked this very question in an interview a few years ago. We went through 5 variations of "requirements" within 20-30m, which indicated how malleable the design was, etc.   
  
One thing that comes out of such a question is how quickly someone can think on their feet, and do they have a portfolio of experience to draw on to at least start a discussion quickly. (It's an interview, not the design stage of the best product ever)  
  
That said, the most evil variation was along the lines of multiple players, each with a unique path through the "game board". That makes for some interesting rule variations on its own.  
  
Lastly, a note on your blog site - how about some dates along with the timestamp? No idea how old/stale these postings are.  

[#][82] posted by ![Anonymous][34] Anonymous : 8:56 AM

 

_how about some dates along with the timestamp? No idea how old/stale these postings are_  
  
Good idea, I'll look into it. In the mean time, have a look at the URL for each post.  

[#][83] posted by ![Blogger][37] [Reginald Braithwaite][38] : 9:37 AM

 

Holy crap, I'm not going to hire a coder who cannot reverse a string. This is something that is basic, and the ppl who cannot reverse the string I will send to you anonymous-3:53 PM :)  

[#][84] posted by ![Anonymous][34] Anonymous : 11:20 AM

 

_Holy crap, I'm not going to hire a coder who cannot reverse a string. This is something that is basic, and the ppl who cannot reverse the string I will send to you_  
  
Nothing in this post should be construed as suggesting that anyone who cannot reverse a string is worthy of employment as a programmer.  
  
This is not the _only_ question I consider asking, just my _favourite_.  

[#][85] posted by ![Blogger][37] [Reginald Braithwaite][38] : 11:44 AM

 

Thank you for the post, I have heard that many questions asked during interviews are puzzle-like questions similar to one at http://www.technical-interview.com. I myself had phone interview with Microsoft and they ask me coding questions. I guess it all depends on the guy who is interviewing you.  

[#][86] posted by ![Anonymous][34] Anonymous : 2:35 AM

 

I came to this blog since I was asked the Monopoly question for design. I thought it was not a question for developers and architects to be answering.   
  
The Internet industry is now over 15 years old and we are still asking questions like Monopoly, and language syntax.   
The question we need to ask is: "Can the individual solve problems or are they mostly glorified typists (coders)?". It is time for us to start asking questions of HR, Account and invoice problems rather than some games and syntax.   
  
For example:  
While walking in a forest, you come across a river and want to know how deep it is; how would you find out how deep it is ?  
or ask question like:  
"How would you design an application for viewing all invoices which are over due by 30 days?"   
  
These should be the questions for IT professionals with > 5 years experience and have atleast 2 languages experience.  

[#][87] posted by ![Blogger][37] [Rajeev][88] : 5:25 PM

 

Rajeev:  
  
_The question we need to ask is: "Can the individual solve problems or are they mostly glorified typists (coders)?". It is time for us to start asking questions of HR, Account and invoice problems rather than some games and syntax._  
  
I'm having a little trouble understanding your comment. Are you suggesting that Monopoly is a question to discover if someone is a glorified typist, and asking someone how to formulate a SQL query to obtain invoices 30 days overdue os a question for people with five years of experience?  

[#][89] posted by ![Blogger][37] [Reginald Braithwaite][38] : 11:41 AM

 

Reginald:  
I see how what I wrote can be understood as you said in your note. I meant to say we need to start asking more questions for experienced developers design questions which do not deal with games but with business problems.   
Not a lot of people in the industry have game development and/or design experience.   
However, I observe that it does not matter what one answers in most of the interviews whether it is a design question or implementation question. The main reason I make the comment in this paragraph is if the answer one gives is not the same the interviewer has then you did not pass according to them.  

[#][90] posted by ![Blogger][37] [Rajeev][88] : 7:07 PM

 

Rajeev:  
  
_s if the answer one gives is not the same the interviewer has then you did not pass according to them._  
  
This is a very good observation, and a major problem with many interviewers. of course, it applies to business problems as well as to more abstract problems. Some interviewers have a pet architecture for business applications, and if you do not propose it, you “lose.”  
  
For example, if they ask you how to build an invoicing application, they might be looking for very specific opinions about what logic belongs in PL/SQL, what logic belongs in a middleware server, what logic belongs in a "controller" layer, what logic belongs in the view, and so on. They might have extremely rigid ideas about whether an ORM is required, and if so, whther it is database-driven (like ActiveRecord) or object-driven (like Hibernate).  
  
I think a good interview technique is one that reveals something about the candidate about you, while a bad interview technique reveals something about the interviewer.  

[#][91] posted by ![Blogger][37] [Reginald Braithwaite][38] : 8:20 PM

 

I just tried the elevator question. I failed to engage the interviewee in the idea that this was an opportunity to run with this and show off what a great designer/programmer they were.  
  
I think one needs to provide bounds on this question. I framed the question as: "Ok, the boss has hired you, and he walks in saying: 'We need to build an elevator controller.' Describe what you might do or ask to figure out what the boss wants, what the platform is, and the like. Assume the language is object oriented. Also assume the controller is receiving messages as text, and sends messages as text."  
  
In addition to that, I think I also should have steered the interviewee to: A. Describe the state machine, B. map out the API, and C. Ask me or invent anything that furthers your description over the next 10 minutes.  
  
Really, you are looking for anything that showcases an interviewee's abilities. The real goal is to engage them in that manner.  

[#][92] posted by ![OpenID][93] [HNwuzKIrr_pk6sLp2f1499_p60qDJ2Z2qg--][94] : 2:39 PM

 

If you want good programmers then you need to look for attitude and interest as much as ability. If the attitude and interest is good they will learn/acquire whatever skills you require of them as soon as you point them in the right direction. We've all go to learn new stuff every few years anyway.  
And if you want the best you'll need to go hunt them out because the best people never need to apply for a job; they've got employers chasing them. But that's a separate issue.  
If someone has the right attitude and interest then asking how they do anything will tell you how good a programmer they are. If they do a good job thoroughlt, they're good; If they don't, they're not. It really is that simple. And if the employer doesn't understand that even the best candidate will need some time to 'bed in' to a new job the you'd better explain it, and why, in your interview and if they don't get it, leave quickly.  

[#][95] posted by ![Blogger][37] [Rob Swan][96] : 6:34 AM

 

_Commenting years later - just discovered this blog_  
  
The interview question I like most as an interviewer is one where I don't yet know the answer. There is always some unsolved problem or dilemma in our jobs - ask the prospect what they would do about it.  
  
You'll learn very quickly how well they'll work with your organization at the problem-solving level in that problem domain.  
  
When I'm the prospect this is the question I look for - if it's not asked I'll try to elicit something like it during the "anything you'd like to ask me" section of the interview.  
  
Admittedly, this is because I'm much better in real, live, interactive situations than in canned and clearly artificial ones. So it may just be my bias.  

[#][97] posted by ![Blogger][37] [JH][98] : 3:04 PM

 

All the people you actually want to hire, would never agree to an interview. Or fill out employment forms. Interviews are a farce. The people you want to hire, refuse to fill out an employment application, and work as contractors. You tell us the scope of the project, and we deliver the solution. None of this bullshit.  

[#][99] posted by ![Blogger][37] [Starguy][100] : 10:40 PM

 

  

  
  
  
<<[ Home][101]

[Reg Braithwaite][102]

  
  

Recent Writing

[Homoiconic Technical Writing][103] / [raganwald.posterous.com][104]  
  

Books 

[What I‘ve Learned From Failure][105] / [Kestrels, Quirky Birds, and Hopeless Egocentricity][106]   
  

Share

[rewrite_rails][107] / [andand][108] / [unfold.rb][109] / [string_to_proc.rb][110] / [dsl_and_let.rb][111] / [comprehension.rb][112] / [lazy_lists.rb][113]   
  

Beauty

[IS-STRICTLY-EQUIVALENT-TO-A][114] / [Spaghetti-Western Coding][115] / [Golf is a good program spoiled][116] / [Programming conventions as signals][117] / [Not all functions should be object methods][118]   
  
[The Not So Big Software Design][119] / [Writing programs for people to read][120] / [Why Why Functional Programming Matters Matters][121] / [But Y would I want to do a thing like this?][122]   
  

Work

[The single most important thing you must do to improve your programming career][123] / [The Naïve Approach to Hiring People][124] / [No Disrespect][125] / [Take control of your interview][26] / [Three tips for getting a job through a recruiter][126] / [My favourite interview question][127]   
  

Management

[Exception Handling in Software Development][128] / [What if powerful languages and idioms only work for small teams?][129] / [Bricks][130] / [Which theory fits the evidence?][131] / [Still failing, still learning][132] / [What I’ve learned from failure][133]   
  

Notation

[The unary ampersand in Ruby][134] / [(1..100).inject(&:+)][135] / [The challenge of teaching yourself a programming language][136] / [The significance of the meta-circular interpreter][137] / [Block-Structured Javascript][138] / [Haskell, Ruby and Infinity][139] / [Closures and Higher-Order Functions][140]   
  

Opinion

[Why Apple is more expensive than Amazon][141] / [Why we are the biggest obstacles to our own growth][142] / [Is software the documentation of business process mistakes?][143] / [We have lost control of the apparatus][144] / [What I’ve Learned From Sales][145] [I][146], [II][147], [III][148]   
  

Whimsey

[The Narcissism of Small Code Differences][149] / [Billy Martin’s Technique for Managing his Manager][150] / [Three stories about The Tao][151] / [Programming Language Stories][152] / [Why You Need a Degree to Work For BigCo][153]   
  

History

[06/04][154] / [07/04][155] / [08/04][156] / [09/04][157] / [10/04][158] / [11/04][159] / [12/04][160] / [01/05][161] / [02/05][162] / [03/05][163] / [04/05][164] / [06/05][165] / [07/05][166] / [08/05][167] / [09/05][168] / [10/05][169] / [11/05][170] / [01/06][171] / [02/06][172] / [03/06][173] / [04/06][174] / [05/06][175] / [06/06][176] / [07/06][177] / [08/06][178] / [09/06][179] / [10/06][180] / [11/06][181] / [12/06][182] / [01/07][183] / [02/07][184] / [03/07][185] / [04/07][186] / [05/07][187] / [06/07][188] / [07/07][189] / [08/07][190] / [09/07][191] / [10/07][192] / [11/07][193] / [12/07][194] / [01/08][195] / [02/08][196] / [03/08][197] / [04/08][198] / [05/08][199] / [06/08][200] / [07/08][201] /   

  

![][202]

[1]: http://weblog.raganwald.com/assets/media/raganwald_2008_350_150.png "raganwald 2008"
[2]: http://raganwald.com
[3]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html "permanent link"
[4]: http://en.wikipedia.org/wiki/Monopoly_%28game%29
[5]: http://richard_wilding.tripod.com/monorules.htm
[6]: http://www.google.ca/search?q=monopoly+faq
[7]: http://weblog.raganwald.com/uploaded_images/monopoly-773348.jpg
[8]: http://exold.com/article/stupid-interview-questions
[9]: http://greasemonkey.mozdev.org/
[10]: http://steve-yegge.blogspot.com/2006/03/execution-in-kingdom-of-nouns.html
[11]: http://www.folklore.org/StoryView.py?project=Macintosh&story=A_Mac_For_Mick.txt
[12]: http://www.petefreitag.com/item/509.cfm
[13]: http://weblog.raganwald.com/uploaded_images/object_design-719894.jpg
[14]: http://www.assoc-amazon.com/e/ir?t=raganwald001-20&l=as2&o=1&a=0201379430
[15]: http://www.amazon.com/gp/product/0201379430?ie=UTF8&tag=raganwald001-20&linkCode=as2&camp=1789&creative=9325&creativeASIN=0201379430
[16]: http://www.quotationspage.com/quote/27543.html
[17]: http://jamis.jamisbuck.org/articles/2006/04/20/writing-domain-specific-languages
[18]: http://c2.com/cgi/wiki?StrategyPattern
[19]: http://c2.com/cgi/wiki?VisitorPattern
[20]: http://c2.com/cgi/wiki?CommandPattern
[21]: http://joedrumgoole.com/blog/2006/05/29/web-20-vs-web-10/
[22]: http://novator.com/
[23]: http://www.37signals.com/svn/archives2/dont_scale_99999_uptime_is_for_walmart.php
[24]: http://weblog.raganwald.com/2006/07/hiring-juggler_02.html
[25]: http://www.joelonsoftware.com/articles/ThePhoneScreen.html
[26]: http://weblog.raganwald.com/2006/11/take-control-of-your-interview.html
[27]: http://www.oreillynet.com/ruby/blog/2006/03/interviewing_ruby_programmers.html
[28]: http://www.joelonsoftware.com/items/2005/01/27.html
[29]: http://blogs.msdn.com/davidlem/archive/2006/05/16/598696.aspx
[30]: http://steve-yegge.blogspot.com/2006/03/truth-about-interviewing.html
[31]: http://weblog.raganwald.com/labels/jobs.html
[32]: http://weblog.raganwald.com/labels/popular.html
[33]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150213680000#c115021371756219774 "permanent link"
[34]: http://www.blogger.com/img/anon16-rounded.gif
[35]: http://pozorvlak.livejournal.com
[36]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150215060000#c115021510877333216 "permanent link"
[37]: http://www.blogger.com/img/b16-rounded.gif
[38]: http://www.blogger.com/profile/13132345822387028437
[39]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150215300000#c115021532592913769 "permanent link"
[40]: http://www.techinterview.org/Puzzles/fog0000000079.html
[41]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150217280000#c115021728677525830 "permanent link"
[42]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150220340000#c115022035691031997 "permanent link"
[43]: http://www.robbyslaughter.com
[44]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150220760000#c115022081968766663 "permanent link"
[45]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150221540000#c115022157689314571 "permanent link"
[46]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150223460000#c115022348513098388 "permanent link"
[47]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150225140000#c115022515237067371 "permanent link"
[48]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150226520000#c115022654429753335 "permanent link"
[49]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150226700000#c115022674449693407 "permanent link"
[50]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150226820000#c115022682208055648 "permanent link"
[51]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150227480000#c115022748019775097 "permanent link"
[52]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150228380000#c115022842530968128 "permanent link"
[53]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150229280000#c115022928433152494 "permanent link"
[54]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150229820000#c115022984916694079 "permanent link"
[55]: http://www.EverydayEconomist.com
[56]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150230300000#c115023032695139886 "permanent link"
[57]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150230540000#c115023054449350704 "permanent link"
[58]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150230780000#c115023079627288349 "permanent link"
[59]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150233000000#c115023302133437191 "permanent link"
[60]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150233360000#c115023340392686443 "permanent link"
[61]: http://weblog.raganwald.com/2006/06/insight-into-practice-of-judging-value.html
[62]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150233720000#c115023372873375852 "permanent link"
[63]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150243380000#c115024339901134598 "permanent link"
[64]: http://newsfare.com
[65]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150244040000#c115024406607862076 "permanent link"
[66]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150260060000#c115026006057256694 "permanent link"
[67]: http://www.kirit.com/
[68]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150282920000#c115028292994035033 "permanent link"
[69]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150283340000#c115028335410056345 "permanent link"
[70]: http://www.robbyslaughter.com/
[71]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150284960000#c115028498120991976 "permanent link"
[72]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150698900000#c115069895808110600 "permanent link"
[73]: http://www.rubyonrails.com/
[74]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150715280000#c115071531517258094 "permanent link"
[75]: http://www.maison-de-stuff.net/rob/
[76]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150813800000#c115081385502157771 "permanent link"
[77]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150822080000#c115082211290825333 "permanent link"
[78]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150886580000#c115088663308108200 "permanent link"
[79]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1150927320000#c115092732733597084 "permanent link"
[80]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1159435440000#c115943546323988315 "permanent link"
[81]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1160650920000#c116065095984809972 "permanent link"
[82]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1161867360000#c116186741504623259 "permanent link"
[83]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1161869820000#c116186982504852490 "permanent link"
[84]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1162743600000#c116274364601966774 "permanent link"
[85]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1162745040000#c116274509553398822 "permanent link"
[86]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1172302500000#c1309703364532706288 "permanent link"
[87]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1200349500000#c3305187405899862896 "permanent link"
[88]: http://www.blogger.com/profile/01677662936254968409
[89]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1200415260000#c4078670887816269400 "permanent link"
[90]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1200442020000#c8395675495200889730 "permanent link"
[91]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1200446400000#c8674979402380935914 "permanent link"
[92]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1205433540000#c2720893914053810424 "permanent link"
[93]: http://www.blogger.com/img/openid16-rounded.gif
[94]: https://me.yahoo.com/a/HNwuzKIrr_pk6sLp2f1499_p60qDJ2Z2qg--#f0281
[95]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1232019240000#c8551033294807101329 "permanent link"
[96]: http://www.blogger.com/profile/17534025826555170828
[97]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1236197040000#c2205951305386126194 "permanent link"
[98]: http://www.blogger.com/profile/01985125461223119357
[99]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html?showComment=1241491200000#c7013699722015506902 "permanent link"
[100]: http://www.blogger.com/profile/04581768170922696043
[101]: http://weblog.raganwald.com/welcome.html
[102]: http://braythwayt.com
[103]: http://homoiconic.com
[104]: http://raganwald.posterous.com
[105]: http://leanpub.com/shippingsoftware "A quarter-century of experience shipping software, distilled into fixnum bittersweet essays"
[106]: http://leanpub.com/combinators "Raganwald's collected adventures in Combinatory Logic and Ruby Meta-Programming"
[107]: http://github.com/raganwald/rewrite_rails
[108]: http://github.com/raganwald/andand
[109]: http://raganwald.com/source/unfold.rb.html
[110]: http://raganwald.com/source/string_to_proc.rb.html
[111]: http://raganwald.com/source/dsl_and_let.html
[112]: http://raganwald.com/source/comprehensions.html
[113]: http://raganwald.com/source/lazy_lists.html
[114]: http://weblog.raganwald.com/2008/04/is-strictly-equivalent-to.html
[115]: http://weblog.raganwald.com/2008/03/spaghetti-western-coding.html
[116]: http://weblog.raganwald.com/2007/12/golf-is-good-program-spoiled.html
[117]: http://weblog.raganwald.com/2007/11/programming-conventions-as-signals.html
[118]: http://weblog.raganwald.com/2007/10/too-much-of-good-thing-not-all.html
[119]: http://weblog.raganwald.com/2007/05/not-so-big-software-application.html
[120]: http://weblog.raganwald.com/2007/04/writing-programs-for-people-to-read.html
[121]: http://weblog.raganwald.com/2007/03/why-why-functional-programming-matters.html
[122]: http://weblog.raganwald.com/2007/02/but-y-would-i-want-to-do-thing-like.html
[123]: http://weblog.raganwald.com/2008/04/single-most-important-thing-you-must-do.html
[124]: http://weblog.raganwald.com/2008/02/naive-approach-to-hiring-people.html
[125]: http://weblog.raganwald.com/2008/01/no-disrespect.html
[126]: http://weblog.raganwald.com/2006/08/three-tips-for-getting-job-through.html
[127]: http://weblog.raganwald.com/2006/06/my-favourite-interview-question.html
[128]: http://weblog.raganwald.com/2008/02/exception-handling-in-software.html
[129]: http://weblog.raganwald.com/2007/11/what-if-powerful-languages-and-idioms.html
[130]: http://weblog.raganwald.com/2007/08/bricks.html
[131]: http://weblog.raganwald.com/2007/06/which-theory-first-evidence.html
[132]: http://weblog.raganwald.com/2007/06/still-failing-still-learning.html
[133]: http://weblog.raganwald.com/2005/01/what-ive-learned-from-failure.html
[134]: http://weblog.raganwald.com/2008/06/what-does-do-when-used-as-unary.html
[135]: http://weblog.raganwald.com/2008/02/1100inject.html
[136]: http://weblog.raganwald.com/2007/10/challenge-of-teaching-yourself.html
[137]: http://weblog.raganwald.com/2006/11/significance-of-meta-circular_22.html
[138]: http://weblog.raganwald.com/2007/08/block-structured-javascript.html
[139]: http://weblog.raganwald.com/2007/02/haskell-ruby-and-infinity.html
[140]: http://weblog.raganwald.com/2007/01/closures-and-higher-order-functions.html
[141]: http://weblog.raganwald.com/2008/05/why-apple-is-more-expensive-than-amazon.html
[142]: http://weblog.raganwald.com/2008/04/why-we-are-biggest-obstacle-to-our-own.html
[143]: http://weblog.raganwald.com/2008/03/process-is-to-software-as-software-is.html
[144]: http://weblog.raganwald.com/2007/09/we-have-lost-control-of-apparatus.html
[145]: http://weblog.raganwald.com/2007/01/what-ive-learned-from-sales-part-i.html
[146]: http://weblog.raganwald.com/2007/01/what-ive-learned-from-sales-part-i.html "What I've Learned From Sales, Part I: Don't Feed the Trolls"
[147]: http://weblog.raganwald.com/2007/01/what-ive-learned-from-sales-part-ii.html "What I've Learned from Sales, Part II: Wanna Bet?"
[148]: http://weblog.raganwald.com/2007/10/how-to-use-blunt-instrument-to-sharpen.html "What I've Learned from Sales, Part III: How to use a blunt instrument to sharpen your saw"
[149]: http://weblog.raganwald.com/2008/05/narcissism-of-small-code-differences.html
[150]: http://weblog.raganwald.com/2008/01/billy-martins-technique-for-managing.html
[151]: http://weblog.raganwald.com/2007/10/three-stories-about-tao.html
[152]: http://weblog.raganwald.com/2007/02/programming-language-stories.html
[153]: http://weblog.raganwald.com/2005/07/why-you-need-degree-to-work-for-bigco.html
[154]: http://weblog.raganwald.com/archives/2004_06_01_archive.html
[155]: http://weblog.raganwald.com/archives/2004_07_01_archive.html
[156]: http://weblog.raganwald.com/archives/2004_08_01_archive.html
[157]: http://weblog.raganwald.com/archives/2004_09_01_archive.html
[158]: http://weblog.raganwald.com/archives/2004_10_01_archive.html
[159]: http://weblog.raganwald.com/archives/2004_11_01_archive.html
[160]: http://weblog.raganwald.com/archives/2004_12_01_archive.html
[161]: http://weblog.raganwald.com/archives/2005_01_01_archive.html
[162]: http://weblog.raganwald.com/archives/2005_02_01_archive.html
[163]: http://weblog.raganwald.com/archives/2005_03_01_archive.html
[164]: http://weblog.raganwald.com/archives/2005_04_01_archive.html
[165]: http://weblog.raganwald.com/archives/2005_06_01_archive.html
[166]: http://weblog.raganwald.com/archives/2005_07_01_archive.html
[167]: http://weblog.raganwald.com/archives/2005_08_01_archive.html
[168]: http://weblog.raganwald.com/archives/2005_09_01_archive.html
[169]: http://weblog.raganwald.com/archives/2005_10_01_archive.html
[170]: http://weblog.raganwald.com/archives/2005_11_01_archive.html
[171]: http://weblog.raganwald.com/archives/2006_01_01_archive.html
[172]: http://weblog.raganwald.com/archives/2006_02_01_archive.html
[173]: http://weblog.raganwald.com/archives/2006_03_01_archive.html
[174]: http://weblog.raganwald.com/archives/2006_04_01_archive.html
[175]: http://weblog.raganwald.com/archives/2006_05_01_archive.html
[176]: http://weblog.raganwald.com/archives/2006_06_01_archive.html
[177]: http://weblog.raganwald.com/archives/2006_07_01_archive.html
[178]: http://weblog.raganwald.com/archives/2006_08_01_archive.html
[179]: http://weblog.raganwald.com/archives/2006_09_01_archive.html
[180]: http://weblog.raganwald.com/archives/2006_10_01_archive.html
[181]: http://weblog.raganwald.com/archives/2006_11_01_archive.html
[182]: http://weblog.raganwald.com/archives/2006_12_01_archive.html
[183]: http://weblog.raganwald.com/archives/2007_01_01_archive.html
[184]: http://weblog.raganwald.com/archives/2007_02_01_archive.html
[185]: http://weblog.raganwald.com/archives/2007_03_01_archive.html
[186]: http://weblog.raganwald.com/archives/2007_04_01_archive.html
[187]: http://weblog.raganwald.com/archives/2007_05_01_archive.html
[188]: http://weblog.raganwald.com/archives/2007_06_01_archive.html
[189]: http://weblog.raganwald.com/archives/2007_07_01_archive.html
[190]: http://weblog.raganwald.com/archives/2007_08_01_archive.html
[191]: http://weblog.raganwald.com/archives/2007_09_01_archive.html
[192]: http://weblog.raganwald.com/archives/2007_10_01_archive.html
[193]: http://weblog.raganwald.com/archives/2007_11_01_archive.html
[194]: http://weblog.raganwald.com/archives/2007_12_01_archive.html
[195]: http://weblog.raganwald.com/archives/2008_01_01_archive.html
[196]: http://weblog.raganwald.com/archives/2008_02_01_archive.html
[197]: http://weblog.raganwald.com/archives/2008_03_01_archive.html
[198]: http://weblog.raganwald.com/archives/2008_04_01_archive.html
[199]: http://weblog.raganwald.com/archives/2008_05_01_archive.html
[200]: http://weblog.raganwald.com/archives/2008_06_01_archive.html
[201]: http://weblog.raganwald.com/archives/2008_07_01_archive.html
[202]: http://www.assoc-amazon.com/s/noscript?tag=raganwald001-20

