---
created_at: '2015-10-07T00:43:00.000Z'
title: Microsoft is Dead (2007)
url: http://www.paulgraham.com/microsoft.html
author: luu
points: 97
story_text: 
comment_text: 
num_comments: 92
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1444178580
_tags:
- story
- author_luu
- story_10343458
objectID: '10343458'

---
[Source](http://www.paulgraham.com/microsoft.html "Permalink to Microsoft is Dead")

# Microsoft is Dead


| ----- |
| ![][1] | ![][2] | ![][3]  
  

| ![Microsoft is Dead][4]  
  
April 2007  
  
A few days ago I suddenly realized Microsoft was dead. I was talking to a young startup founder about how Google was different from Yahoo. I said that Yahoo had been warped from the start by their fear of Microsoft. That was why they'd positioned themselves as a "media company" instead of a technology company. Then I looked at his face and realized he didn't understand. It was as if I'd told him how much girls liked Barry Manilow in the mid 80s. Barry who?  
  
Microsoft? He didn't say anything, but I could tell he didn't quite believe anyone would be frightened of them.  
  
Microsoft cast a shadow over the software world for almost 20 years starting in the late 80s. I can remember when it was IBM before them. I mostly ignored this shadow. I never used Microsoft software, so it only affected me indirectly—for example, in the spam I got from botnets. And because I wasn't paying attention, I didn't notice when the shadow disappeared.  
  
But it's gone now. I can sense that. No one is even afraid of Microsoft anymore. They still make a lot of money—so does IBM, for that matter. But they're not dangerous.  
  
When did Microsoft die, and of what? I know they seemed dangerous as late as 2001, because I wrote an [essay][5] then about how they were less dangerous than they seemed. I'd guess they were dead by 2005. I know when we started Y Combinator we didn't worry about Microsoft as competition for the startups we funded. In fact, we've never even invited them to the demo days we organize for startups to present to investors. We invite Yahoo and Google and some other Internet companies, but we've never bothered to invite Microsoft. Nor has anyone there ever even sent us an email. They're in a different world.  
  
What killed them? Four things, I think, all of them occurring simultaneously in the mid 2000s.  
  
The most obvious is Google. There can only be one big man in town, and they're clearly it. Google is the most dangerous company now by far, in both the good and bad senses of the word. Microsoft can at best [limp][6] along afterward.  
  
When did Google take the lead? There will be a tendency to push it back to their IPO in August 2004, but they weren't setting the terms of the debate then. I'd say they took the lead in 2005\. Gmail was one of the things that put them over the edge. Gmail showed they could do more than search.  
  
Gmail also showed how much you could do with web-based software, if you took advantage of what later came to be called "Ajax." And that was the second cause of Microsoft's death: everyone can see the desktop is over. It now seems inevitable that applications will live on the web—not just email, but everything, right up to [Photoshop][7]. Even Microsoft sees that now.  
  
Ironically, Microsoft unintentionally helped create Ajax. The x in Ajax is from the XMLHttpRequest object, which lets the browser communicate with the server in the background while displaying a page. (Originally the only way to communicate with the server was to ask for a new page.) XMLHttpRequest was created by Microsoft in the late 90s because they needed it for Outlook. What they didn't realize was that it would be useful to a lot of other people too—in fact, to anyone who wanted to make web apps work like desktop ones.  
  
The other critical component of Ajax is Javascript, the programming language that runs in the browser. Microsoft saw the danger of Javascript and tried to keep it broken for as long as they could. [[1][8]] But eventually the open source world won, by producing Javascript libraries that grew over the brokenness of Explorer the way a tree grows over barbed wire.  
  
The third cause of Microsoft's death was broadband Internet. Anyone who cares can have fast Internet access now. And the bigger the pipe to the server, the less you need the desktop.  
  
The last nail in the coffin came, of all places, from Apple. Thanks to OS X, Apple has come back from the dead in a way that is extremely rare in technology. [[2][9]] Their victory is so complete that I'm now surprised when I come across a computer running Windows. Nearly all the people we fund at Y Combinator use Apple laptops. It was the same in the audience at [startup school][10]. All the computer people use Macs or Linux now. Windows is for grandmas, like Macs used to be in the 90s. So not only does the desktop no longer matter, no one who cares about computers uses Microsoft's anyway.  
  
And of course Apple has Microsoft on the run in music too, with TV and phones on the way.  
  
I'm glad Microsoft is dead. They were like Nero or Commodus—evil in the way only inherited power can make you. Because remember, the Microsoft monopoly didn't begin with Microsoft. They got it from IBM. The software business was overhung by a monopoly from about the mid-1950s to about 2005. For practically its whole existence, that is. One of the reasons "Web 2.0" has such an air of euphoria about it is the feeling, conscious or not, that this era of monopoly may finally be over.  
  
Of course, as a hacker I can't help thinking about how something broken could be fixed. Is there some way Microsoft could come back? In principle, yes. To see how, envision two things: (a) the amount of cash Microsoft now has on hand, and (b) Larry and Sergey making the rounds of all the search engines ten years ago trying to sell the idea for Google for a million dollars, and being turned down by everyone.  
  
The surprising fact is, brilliant hackers—dangerously brilliant hackers—can be had very cheaply, by the standards of a company as rich as Microsoft. They can't [hire][11] smart people anymore, but they could buy as many as they wanted for only an order of magnitude more. So if they wanted to be a contender again, this is how they could do it: 

1. Buy all the good "Web 2.0" startups. They could get substantially all of them for less than they'd have to pay for Facebook.  
  

2. Put them all in a building in Silicon Valley, surrounded by lead shielding to protect them from any contact with Redmond.  I feel safe suggesting this, because they'd never do it. Microsoft's biggest weakness is that they still don't realize how much they suck. They still think they can write software in house. Maybe they can, by the standards of the desktop world. But that world ended a few years ago.  
  
I already know what the reaction to this essay will be. Half the readers will say that Microsoft is still an enormously profitable company, and that I should be more careful about drawing conclusions based on what a few people think in our insular little "Web 2.0" bubble. The other half, the younger half, will complain that this is old news.  
  
  
  
  
  
**See also:** [Microsoft is Dead: the Cliffs Notes][12]  
  
**Notes**  
  
[1] It doesn't take a conscious effort to make software incompatible. All you have to do is not work too hard at fixing bugs—which, if you're a big company, you produce in copious quantities. The situation is analogous to the writing of "literary theorists." Most don't try to be obscure; they just don't make an effort to be clear. It wouldn't pay.  
  
[2] In part because Steve Jobs got pushed out by John Sculley in a way that's rare among technology companies. If Apple's board hadn't made that blunder, they wouldn't have had to bounce back.  
  
 | 

  

| ----- |
| ![][2] | 
| ![][13] | ![][2] | [Portuguese Translation][14]  
![][2]  
 | 
| ![][2] |  | |
| ![][2] | 
| ![][13] | ![][2] | [Simplified Chinese Translation][15]  
![][2]  
 | 
| ![][2] |  | |
| ![][2] | 
| ![][13] | ![][2] | [Korean Translation][16]  
![][2]  
 | 
| ![][2] |  | |

  

| ----- |
|   
  

* * *

 | 

 | 

[1]: http://ep.yimg.com/ay/paulgraham/essays-1.gif
[2]: http://ep.yimg.com/ca/Img/trans_1x1.gif
[3]: http://ep.yimg.com/ca/I/paulgraham_2271_3232
[4]: http://ep.yimg.com/ca/I/paulgraham_2202_8342354
[5]: http://www.paulgraham.com/road.html
[6]: http://live.com
[7]: http://snipshot.com
[8]: http://www.paulgraham.com#f1n
[9]: http://www.paulgraham.com#f2n
[10]: http://www.bosstalks.com/StartupSchool2007/all_macs_and_all_writing.jpg
[11]: http://www.paulgraham.com/hiring.html
[12]: http://www.paulgraham.com/cliffsnotes.html
[13]: http://ep.yimg.com/ca/I/paulgraham_2271_5194
[14]: http://www.dicas-l.com.br/zonadecombate/zonadecombate_20070417.php
[15]: http://flyingapplet.spaces.live.com/blog/cns!F682AFBD82F7E261!555.entry
[16]: http://appledelhi.wordpress.com/2008/10/05/

