---
created_at: '2015-10-19T12:49:00.000Z'
title: 'Lists: design and construction (2007)'
url: http://www.edwardtufte.com/bboard/q-and-a-fetch-msg?msg_id=0002QF
author: danso
points: 49
story_text: 
comment_text: 
num_comments: 6
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1445258940
_tags:
- story
- author_danso
- story_10412505
objectID: '10412505'

---
[Source](https://www.edwardtufte.com/bboard/q-and-a-fetch-msg?msg_id=0002QF "Permalink to Edward Tufte forum: Lists: design and construction, by Edward Tufte")

# Edward Tufte forum: Lists: design and construction, by Edward Tufte

[EDWARD TUFTE][1]

![][2]

[HOME][3]

[BOOKS][4]

[ONE-DAY COURSE][5]

[ET NOTEBOOKS][6]

[SCULPTURE][7]

[PRINTS][8]

[POSTERS, GRAPH PAPER][9]

[ABOUT ET][10]

![][11] [CART][12]

| ----- |
|  ![][13] |  ![][14] |  ![][15] |  ![][16] |  ![][17] |  ![][18] | 

[Current Topics][19] | [All Topics][20]

| ----- |
|  **All 4 books by Edward Tufte now in paperback editions, $100 for all 4** _

Visual Display of Quantitative Information

Envisioning Information

Visual Explanations

Beautiful Evidence

_ Paper/printing = original clothbound books.   
Only available through ET's Graphics Press:   
[catalog + shopping cart][21]

All 4 clothbound books, autographed by the author $150   
[catalog + shopping cart][21]  |  **Edward Tufte e-books**  
Immediate download to any computer:** _

Visual and Statistical Thinking $2

The Cognitive Style of Powerpoint $2

Seeing Around + Feynman Diagrams $2

Data Analysis for Politics and Policy $2

_ [catalog + shopping cart][22]  |  **Edward Tufte one-day course,  
Presenting Data and Information**

Atlanta GA, March 19

Norfolk VA, March 21

Raleigh NC, March 23

Philadelphia PA, May 14

Brooklyn NY, May 18

[catalog + registration][23]

 | 

[Click here][5] for more information about ET's course and to register.

![][24]

[Current Topics][19] | [All Topics][20]

[Tweet][25]

Lists: design and construction, by Edward Tufte

Evelyn Waugh famously built long descriptive lists into   
sentences by separating list elements with semi-colons.   
From Waugh's _Scoop_ (1937), my favorite novel: 

| ----- |
|  ![][26] | 

My chapter in _Beautiful Evidence,_ "The Cognitive Style of PowerPoint: Pitching Out Corrupts Within,"   
discusses hierarchical lists and suggests that the hierarchical bullet lists of PowerPoint too often   
replaces the miracle of the sentence with the grunt of the bullet-point list:   

| ----- |
|  ![][27] | 

| ----- |
|  ![][28] | 

**Web design: Lists, not slideshows, not clickdowns, not deep hierarchies**

Lists should be distributed over space as much as possible information resolution of the display: the greater the spatial resolution, the lesser the temporal stacking. And the less temporal stacking, the better. Information wants to be spatially adjacent so as facilitate comparisons made within the common eyespan of the viewer.

Here is wonderful analysis by Jonah Peretti, CEO of BuzzFeed:  

> "Respecting our Readers 
> 
> We care about the experience of people who read BuzzFeed and we don't try to trick them for short term gain. This approach is surprisingly rare.  

> 
> How does this matter in practice? First of all, we don't publish slideshows. Instead we publish scrollable lists so readers don't have to click a million times and can easily scroll through a post. The primary reason to publish slideshows, as far as I can tell, is to juice page views and banner ad impressions. Slideshows are super annoying and lists are awesome so we do lists!  

> 
> For the same reason, we don't show crappy display ads and we make all our revenue from social advertising that users love and share. We never launched one of those "frictionless sharing" apps on Facebook that automatically shares the stories you click because those apps are super annoying. We don't post deceptive, manipulative headlines that trick people into reading a story. We don't focus on SEO or gaming search engines or filling our pages with millions of keywords and tags that only a robot will read. We avoid anything that is bad for our readers and can only be justified by short term business interests." [[full email][29]]

Contrast the BuzzFeed approach with the Rolling Stone magazine list of the [500 greatest songs ever][30]. To see the complete list requires 500 separate clickdowns! Each clickdown shows a single song and its one tiny paragraph-description. The RS 500 is an unusable list and cynical presentation.

  

  

**Superb outdoor list: Vietnam Veterans Memorial**

From Edward Tufte, _Envisioning Information,_ 43-44: 

| ----- |
|  ![][31] | 

  
  

**Serious lists: patient gives doctor (and everyone else involved) a problem list**

ET's proposal for medical patient lists:

There are empirical studies of doctor-patient interactions. An early study reported that doctors on average made their first interruption after the patient had talked for 18 seconds. This 18-second finding produced appropriate consternation hand-wringing, and medical schools began to teach doctors to listen, listen, listen. Years later, the study was redone; the first interruption now came after 23 seconds!

Here is a straightforward way to improve doctor-patient communication. In advance of the meeting, the patient prepares a list of all the issues (not "complaints" as the medical world sometimes describes patients' problems) to be covered at appointment with the doctor. This list should include causal speculations by the patient: "This pain on my right side might be a gall bladder issue. A grandparent and my father had gall bladder problems around my age." The patient should make several copies of this list-agenda paper and bring them to the appointment.

At the beginning of the meeting, the patient hands a doctor a copy of the list. The doctor, who did not get to be a doctor by being a slow reader, can read about 3 times faster than the patient can talk. Doctor's read such problem lists all the time in medical records. After handing the agenda-list over, the patient should look down at her/his own copy, hinting that it is time to start reading. Or perhaps saying, "Here it all is, read this." This may finesse a little joke by the doctor, "So, what's with the paper dress?" (as a _New Yorker_ cartoon had it).

The list gets everything the patient initially has to say out on the table, without interruption. As the appointment continues, the list sets an agenda and a schedule for the allocation of time during the meeting. It also helps to make sure that the patient does not abandon lower-level issues that should be discussed--because there the issues are, already written out. Each item on the list is, in effect, checked off as the appointment moves along. Perhaps the patient should even ostentatiously check off the first point on the list after it is discussed to indicate that this list is what we're going to march through. The idea is that the doctor is not only going to be looking at the computer and at the patient, but also at the list. Because the patient keeps looking at the list.

The patient should bring several copies to the list to the appointment, since the patient may see several medical staff members during the appointment. Each medical person gets the agenda-list. For example, my doctor often has a medical student in training who handles the initial discussion and who then goes off to describe the situation to the doctor, who shows up later. Both the student and the doctor get copies of the agenda list. Multiple copies are particularly effective in the emergency room (if it is possible to prepare a list before going to the ER!), since the patient will surely see a good many medical staff members at the emergency room (especially at hospitals affiliated with medical schools).

The list-agenda enhances the efficiency, accuracy, and throughput of information presented by the patient. It also helps reduce socially or situationally-determined answers to the doctor's questions; instead the patient information has already been prepared in advance, free of social pressure.

This list goes into the patient file and also assists the doctor in preparing notes for the patient record. Someday the patient will provide the list via email in advance of the appointment; even so, the patient should still bring paper copies to the appointment itself.

Perhaps now and then such an agenda-list will even improve the effectiveness of medical care.

Lists used by patients to inform doctors are discussed in our thread [Medical information exchange: The patient, doctor, computer triangle.][32]

  

**List-making assumptions revealed by Borges animals list**

Here is the list of animals by Jorge Luis Borges   
from a "certain [no doubt mythical] Chinese encyclopedia": 

> those that belong to the Emperor,  
embalmed ones,  
those that are trained,  
suckling pigs,  
mermaids,  
fabulous ones,  
stray dogs,  
those included in the present classification,  
those that tremble as if they were mad,  
innumerable ones,  
those drawn with a very fine camelhair brush,  
others,  
those that have just broken a flower vase,  
those that from a long way off look like flies.

Borges' animals list reveals and contradicts the logical underpinnings   
of conventional lists. Borges' list cleverly points to, and breaks,   
the assumption in most lists that the elements have a good deal in common.   
Most lists implicitly delimit the eligible scope of elements, and many fail   
to tell readers what that scope might be, a failure in domain specification. 

  
Thus alert readers might ask about lists:   
What elements were considered and left out?   
What is the domain specification of this particular list?   
How would the list differ if the domain specification shifted?   
If we were make this list on our own, without knowledge of   
the presenter's list, what would our list look like?   
If our opponent were to make such a list,   
what would it look like?   

  

**Richard Serra's intense to-do list**

| ----- |
|  ![][33] | 

Richard Serra's famous [list][34] of mostly verbs and some nouns is the to-do list of a great sculptor.   
The list is notable for its richness, intensity, and long time-horizon.   
It also includes one of my favorite ideas: simultaneity.   

  
Makers and viewers of lists should reflect on the time domain of lists:   
From what period of time were the list elements collected?   
Is there a time-sequence to items listed? Should there be?   
What period of time does the list itself cover? 

> "The top ten"? When? Where? For how long? 1week? 10 years? "The best _ever_"? You examined forever? Your comparison set was for all time? 

All-purpose time-domain rejoinders to lists of inventions: 

> "Wasn't that done 500 years earlier in China?"   
"Didn't Leonardo da Vinci do that in 1506?"   
"Japanese cellphones had that 6 years ago." 

Serra image source: http://www.ubu.com/concept/serra_verb.html   

  

**Serious lists: aviation checklists**

Philip Greenspun on aviation checklists: 

> "Aviation is replete with checklists. One thing that you will never see in an aviation checklist is a bullet. Each item on a checklist is one line, typically challenge/response, e.g., "Thrust Reversers......Armed". Perhaps on one checklist out of 10 there will be an item that is a bit too long to fit on one line in a column. The continuation of the line will be indicated by whitespace underneath the challenge portion of the line and the continuation of the response underneath the first part of the response.
> 
> If aviation can have tens of thousands of lists and no bullets, how come PowerPoint presentations can't survive without bullets? Bullets are essential when you can't summon the discipline to make each item roughly the same length, or at least make each item fit on one line.
> 
> How are checklists used in a two-pilot airplane?
> 
> The first kind of checklist is read silently by a pilot who is preparing part of the airplane while the co-pilot is off doing something else. This checklist is designed simply to remind the pilot to do everything necessary.
> 
> The second kind of checklist is read aloud by one of the two pilots, e.g., the climb checklist (gear up; flaps up; thrust reversers off; ...). This not only reminds the pilot of stuff that he or she may have forgotten but gives the co-pilot assurance that important tasks have been accomplished.
> 
> The third kind of checklist is read aloud by the two pilots as a team. For each line pilot reads the challenge item and one reads the respond item. This is done when you want to be absolutely sure that both pilots are paying attention. The before landing checklist is done this way: "Landing Gear: DOWN; Flaps: SET 45, INDICATING 45; Thrust Reversers: ARMED" (lower case read by pilot monitoring; UPPER CASE read by pilot flying (in airline operations these roles are swapped on every leg by the captain and first officer)).
> 
> Checklists are so important in airline operations that all checklists are run all the time, e.g., if an airliner were doing a simple takeoff and left turn around the pattern to land again, possibly for a maintenance check, the pilots would do lineup, climb, 10,000', cruise, descent, approach, and landing checklists. This despite the fact that the airplane was never up to 10,000', was never in cruise flight, never descended except from 1,500' to the runway, and did not do an instrument approach."

  

**Serious lists: ICU checklists**

Peter Pronovost's lists for intensive care:   
["The Checklist: If something so simple can transform intensive care, what else can it do?"][35] by Atul Gawande 

> [_excerpt_] Here, then, is the puzzle of I.C.U. care: you have a desperately sick patient, and in order to have a chance of saving him you have to make sure that a hundred and seventy-eight daily tasks are done right--despite some monitor's alarm going off for God knows what reason, despite the patient in the next bed crashing, despite a nurse poking his head around the curtain to ask whether someone could help "get this lady's chest open." So how do you actually manage all this complexity? The solution that the medical profession has favored is specialization.
> 
> I tell DeFilippo's story, for instance, as if I were the one tending to him hour by hour. But that was actually Max Weinmann, an intensivist (as intensive-care specialists like to be called). I want to think that, as a general surgeon, I can handle most clinical situations. But, as the intricacies involved in intensive care have mounted, responsibility has increasingly shifted to super-specialists like him. In the past decade, training programs focussed on critical care have opened in every major American city, and half of I.C.U.s now rely on super-specialists.
> 
> Expertise is the mantra of modern medicine. In the early twentieth century, you needed only a high-school diploma and a one-year medical degree to practice medicine. By the century's end, all doctors had to have a college degree, a four-year medical degree, and an additional three to seven years of residency training in an individual field of practice--pediatrics, surgery, neurology, or the like. Already, though, this level of preparation has seemed inadequate to the new complexity of medicine. After their residencies, most young doctors today are going on to do fellowships, adding one to three further years of training in, say, laparoscopic surgery, or pediatric metabolic disorders, or breast radiology--or critical care. A young doctor is not so young nowadays; you typically don't start in independent practice until your mid-thirties.
> 
> We now live in the era of the super-specialist--of clinicians who have taken the time to practice at one narrow thing until they can do it better than anyone who hasn't. Super-specialists have two advantages over ordinary specialists: greater knowledge of the details that matter and an ability to handle the complexities of the job. There are degrees of complexity, though, and intensive-care medicine has grown so far beyond ordinary complexity that avoiding daily mistakes is proving impossible even for our super-specialists. The I.C.U., with its spectacular successes and frequent failures, therefore poses a distinctive challenge: what do you do when expertise is not enough?
> 
> On October 30, 1935, at Wright Air Field in Dayton, Ohio, the U.S. Army Air Corps held a flight competition for airplane manufacturers vying to build its next-generation long-range bomber. It wasn't supposed to be much of a competition. In early evaluations, the Boeing Corporation's gleaming aluminum-alloy Model 299 had trounced the designs of Martin and Douglas. Boeing's plane could carry five times as many bombs as the Army had requested; it could fly faster than previous bombers, and almost twice as far. A Seattle newspaperman who had glimpsed the plane called it the "flying fortress," and the name stuck. The flight "competition," according to the military historian Phillip Meilinger, was regarded as a mere formality. The Army planned to order at least sixty-five of the aircraft.
> 
> A small crowd of Army brass and manufacturing executives watched as the Model 299 test plane taxied onto the runway. It was sleek and impressive, with a hundred-and-three-foot wingspan and four engines jutting out from the wings, rather than the usual two. The plane roared down the tarmac, lifted off smoothly, and climbed sharply to three hundred feet. Then it stalled, turned on one wing, and crashed in a fiery explosion. Two of the five crew members died, including the pilot, Major Ployer P. Hill.
> 
> An investigation revealed that nothing mechanical had gone wrong. The crash had been due to "pilot error," the report said. Substantially more complex than previous aircraft, the new plane required the pilot to attend to the four engines, a retractable landing gear, new wing flaps, electric trim tabs that needed adjustment to maintain control at different airspeeds, and constant-speed propellers whose pitch had to be regulated with hydraulic controls, among other features. While doing all this, Hill had forgotten to release a new locking mechanism on the elevator and rudder controls. The Boeing model was deemed, as a newspaper put it, "too much airplane for one man to fly." The Army Air Corps declared Douglas's smaller design the winner. Boeing nearly went bankrupt.
> 
> Still, the Army purchased a few aircraft from Boeing as test planes, and some insiders remained convinced that the aircraft was flyable. So a group of test pilots got together and considered what to do.
> 
> They could have required Model 299 pilots to undergo more training. But it was hard to imagine having more experience and expertise than Major Hill, who had been the U.S. Army Air Corps' chief of flight testing. Instead, they came up with an ingeniously simple approach: they created a pilot's checklist, with step-by-step checks for takeoff, flight, landing, and taxiing. Its mere existence indicated how far aeronautics had advanced. In the early years of flight, getting an aircraft into the air might have been nerve-racking, but it was hardly complex. Using a checklist for takeoff would no more have occurred to a pilot than to a driver backing a car out of the garage. But this new plane was too complicated to be left to the memory of any pilot, however expert.
> 
> With the checklist in hand, the pilots went on to fly the Model 299 a total of 1.8 million miles without one accident. The Army ultimately ordered almost thirteen thousand of the aircraft, which it dubbed the B-17. And, because flying the behemoth was now possible, the Army gained a decisive air advantage in the Second World War which enabled its devastating bombing campaign across Nazi Germany.
> 
> Medicine today has entered its B-17 phase. Substantial parts of what hospitals do--most notably, intensive care--are now too complex for clinicians to carry them out reliably from memory alone. I.C.U. life support has become too much medicine for one person to fly.
> 
> Yet it's far from obvious that something as simple as a checklist could be of much help in medical care. Sick people are phenomenally more various than airplanes. A study of forty-one thousand trauma patients--just trauma patients--found that they had 1,224 different injury-related diagnoses in 32,261 unique combinations for teams to attend to. That's like having 32,261 kinds of airplane to land. Mapping out the proper steps for each is not possible, and physicians have been skeptical that a piece of paper with a bunch of little boxes would improve matters much.
> 
> In 2001, though, a critical-care specialist at Johns Hopkins Hospital named Peter Pronovost decided to give it a try. He didn't attempt to make the checklist cover everything; he designed it to tackle just one problem, the one that nearly killed Anthony DeFilippo: line infections. On a sheet of plain paper, he plotted out the steps to take in order to avoid infections when putting a line in. Doctors are supposed to (1) wash their hands with soap, (2) clean the patient's skin with chlorhexidine antiseptic, (3) put sterile drapes over the entire patient, (4) wear a sterile mask, hat, gown, and gloves, and (5) put a sterile dressing over the catheter site once the line is in. Check, check, check, check, check. These steps are no-brainers; they have been known and taught for years. So it seemed silly to make a checklist just for them. Still, Pronovost asked the nurses in his I.C.U. to observe the doctors for a month as they put lines into patients, and record how often they completed each step. In more than a third of patients, they skipped at least one.
> 
> The next month, he and his team persuaded the hospital administration to authorize nurses to stop doctors if they saw them skipping a step on the checklist; nurses were also to ask them each day whether any lines ought to be removed, so as not to leave them in longer than necessary. This was revolutionary. Nurses have always had their ways of nudging a doctor into doing the right thing, ranging from the gentle reminder ("Um, did you forget to put on your mask, doctor?") to more forceful methods (I've had a nurse bodycheck me when she thought I hadn't put enough drapes on a patient). But many nurses aren't sure whether this is their place, or whether a given step is worth a confrontation. (Does it really matter whether a patient's legs are draped for a line going into the chest?) The new rule made it clear: if doctors didn't follow every step on the checklist, the nurses would have backup from the administration to intervene.
> 
> Pronovost and his colleagues monitored what happened for a year afterward. The results were so dramatic that they weren't sure whether to believe them: the ten-day line-infection rate went from eleven per cent to zero. So they followed patients for fifteen more months. Only two line infections occurred during the entire period. They calculated that, in this one hospital, the checklist had prevented forty-three infections and eight deaths, and saved two million dollars in costs.
> 
> Pronovost recruited some more colleagues, and they made some more checklists. One aimed to insure that nurses observe patients for pain at least once every four hours and provide timely pain medication. This reduced the likelihood of a patient's experiencing untreated pain from forty-one per cent to three per cent. They tested a checklist for patients on mechanical ventilation, making sure that, for instance, the head of each patient's bed was propped up at least thirty degrees so that oral secretions couldn't go into the windpipe, and antacid medication was given to prevent stomach ulcers. The proportion of patients who didn't receive the recommended care dropped from seventy per cent to four per cent; the occurrence of pneumonias fell by a quarter; and twenty-one fewer patients died than in the previous year. The researchers found that simply having the doctors and nurses in the I.C.U. make their own checklists for what they thought should be done each day improved the consistency of care to the point that, within a few weeks, the average length of patient stay in intensive care dropped by half.
> 
> The checklists provided two main benefits, Pronovost observed. First, they helped with memory recall, especially with mundane matters that are easily overlooked in patients undergoing more drastic events. (When you're worrying about what treatment to give a woman who won't stop seizing, it's hard to remember to make sure that the head of her bed is in the right position.) A second effect was to make explicit the minimum, expected steps in complex processes. Pronovost was surprised to discover how often even experienced personnel failed to grasp the importance of certain precautions. In a survey of I.C.U. staff taken before introducing the ventilator checklists, he found that half hadn't realized that there was evidence strongly supporting giving ventilated patients antacid medication. Checklists established a higher standard of baseline performance.

  

**Tendentious, commercialized, and stupid lists**

As Google search-results lists are manipulated by search engine optimization, astroturfers, and by the search engines themselves, so are many many top ten lists are governed by pop culture fans or gamed by thuggish or biased opportunists. Wouldn't it be good to have a search engine whose first-page results list was curated, ungamed, governed by some intellectual decent values--a search engine that didn't try to its users into its product? 

The "wisdom of crowds" is too often the tyranny and stupidity of the mob. I like top 10 lists, but only from trusted and known sources, such as quirky intellectuals and _Consumer Reports_. Thus _viewers of lists constantly need to assess the credibility, intelligence, and interests of the list-maker._  

An excellent article on top ten lists and their problems:  

Nick Bilton, ["Disruptions: Top 10 Lists Lead to Less Choice on the Web,"][36] _The New York Times,_  
points out the narrowing that results from top 10 lists, at least those not from trusted sources.

> The digital age has us living in a perpetual and pervasive popularity contest.
> 
> Leader boards, top 10 lists, most-liked posts and most-clicked search results define what is successful in business and culture.
> 
> Amazon's lists of the top-selling electronics, top-selling books, or top-selling electronic books, each with subcategories, tell us what to buy. The top choices of a Google results list are the ones we click on, never the ones at the bottom of the page.
> 
> Being at the top of these lists can generate substantial windfalls. The iTunes App Store, where apps like Angry Birds, Words With Friends and Pages have spent months at the top of the charts, help the app makers collect hundreds of thousands of dollars in revenue, while those who cannot get that visibility founder in obscurity.
> 
> "In some ways, the growth of the Internet has forced companies to create filters that help you locate and correlate things you need; lists are the perfect filter for that," said Matthew O. Jackson, an economist at Stanford who studies social networks and game theory. "But, being 11th on a top 10 list on the app store is a lot different than being 10th on that list."
> 
> Once at the very top of those iTunes charts, it takes a long time to fall off. And with good reason. Would you rather sift through 600,000 apps in the App Store or quickly browse the top 25 list?
> 
> "We have run into the filter bubble issue, which is a homogenization of culture," said Clay Johnson, author of "The Information Diet," a new book that argues that consumers should take responsibility for the information they seek and consume online. There are plenty of other games besides Angry Birds, he says, but you wouldn't know it from looking at Apple's charts. "Your clicks have consequences. With every action you take online, you're not just consuming, you're voting, too."

  

  

**Lists in Real Science**

Lists in real science (and therefore based on the forever universal laws of Nature) can be luscious, hundreds of times larger and more complex than short-attention-span lists designed by commercial artists. The best visualizations of all are often best visualizations constructed by first-rate scientists publishing in major scientific journals.

From D Wu, P Hugenholtz, et al. [A phylogeny-driven genomic encyclopaedia of Bacteria and Archaea][37] Nature 462, 1056-1060(24 December 2009). The red ones have been adopted for sequencing by the GEBA project.  
More on the [GEBA project here][38]

| ----- |
|  ![][39] | 

Example provided by Niels Olson 

\-- Edward Tufte  
* * *

_ Hierarchical trees do not model the real world of information (even hierarchical information)_

I am grateful to Martin Hardee, who generously recalled this story despite my abruptness in looking over AnswerBook:

> "A long, long time ago, my friend Eric Bergman and I were working on the UI for Sun AnswerBook, which was a CD-based predecessor to docs.sun.com.
> 
> Sun had invited Edward Tufte in to teach a session in our Boston office about the Grand Vistas of Information Architecture or something. After the class, we lured him into our usability lab to look at the user interface for Answerbook, of which were were very proud.
> 
> Anyway... we were very proud of our user interface and the fact that we had a way to browse 16,000(!!) pages of documentation on a CD-ROM. But browsing the hierarchy felt a little complicated to us. So we asked Tufte to come in and have a look, and were hoping perhaps for a pat on the head or some free advice.
> 
> ET played with our AnswerBook for about 90 seconds, turned around, and pronounced his review:
>
>> _"Dr Spock's Baby Care is a best-selling owner's manual for the most   
complicated 'product' imaginable—and it only has two levels of headings.   
You people have 8 levels of hierarchy and I haven't even stopped counting yet.   
No wonder you think it's complicated." _
> 
> Oh.  

> 
> _________________________________________________________________________________________ 
> 
> From Tim Berners-Lee, _The original proposal of the WWW:_
>
>> ** "The problem with trees **   

>> 
>> Many systems are organised hierarchically. The CERNDOC documentation system is an example, as is the Unix file system, and the VMS/HELP system. A tree has the practical advantage of giving every node a unique name. However, it does not allow the system to model the real world. For example, in a hierarchical HELP system such as VMS/HELP, one often gets to a leaf on a tree such as
>>
>>> HELP COMPILER SOURCE_FORMAT PRAGMAS DEFAULTS,   

>>> 
>>> only to find a reference to another leaf:   

>>> 
>>> "Please see HELP COMPILER COMMAND OPTIONS DEFAULTS PRAGMAS"   

>> 
>> and it is necessary to leave the system and re-enter it. What was needed was a link from one node to another, because in this case the information was not naturally organised into a tree."
> 
>   

> 
> Tim Berners-Lee's [WWW proposal][40] gets most everything right about information design. Of course. 

\-- Edward Tufte  
* * *

_George Miller's Magical number +/-7 not relevant for interface or information design_

Now and then the narrow bandwidth of lists presented on computer screens and bullet points on PowerPoint slides is said to be a virtue, a claim justified by loose reference to George Miller's classic 1956 paper "The Magical Number Seven, Plus or Minus Two." That essay reviews psychological experiments that discovered people had a hard time remembering more than about 7 unrelated pieces of really dull data all at once. These studies on memorizing nonsense then led some interface designers to conclude that only 7 items belong on a list or a slide, a conclusion which can be sustained only by not reading the paper. In fact Miller's paper neither states nor implies rules for the amount of information to be shown in a presentation (except possibly for slides that consist of nonsense syllables that the audience must memorize and repeat back to a psychologist). Indeed, the deep point of Miller's paper is to suggest strategies, such as placing information within a context, that extend the reach of memory beyond tiny clumps of data.

At Williams College in September 2000, I saw George Miller give a presentation that used an optimal number of bullet points on an optimal number of slides--zero. Just a nice straightforward talk with a long narrative structure.

George A. Miller, "[The Magical Number Seven, Plus or Minus Two: Some Limits on Our Capacity for Processing Information][41]," _Psychological Review_, 63 (1956), 81-97

"[Williams College to Honor Eight Renowned Scientists][42]," September 23, 2000

\-- Edward Tufte  
* * *

_ George Miller himself on relevance of +/-7 to information design _

Here is a comment by the George Miller on the scope and relevance of his classic essay:

> From: George Miller
> 
> To: Mark Halpern
> 
> Subject: Re: citation for your disclaimer
> 
> Many years ago landscape architects used my +/-7 paper as a basis to pass local laws restricting the number of items on a billboard. It was funded by the big motel chains; if you run a mom-and-pop motel you have to put a lot of information on your sign, but if you have a franchise everybody knows you have hot and cold running water, color televisions, free breakfasts, etc. The restriction on billboard content was driving the small motels out of business.
> 
> The same argument was used in the Lady Bird Johnson Act to prohibit billboards within X feet of highways, and the billboard industry (a strange group that deserves an essay of its own) was hurting. They hired a man to travel around from town to town trying to refute the claims that more than 7 items of information could cause accidents. The man's wife did not like her husband being constantly on the road, so she asked him about it. He told her that the root of his trouble was some damn Harvard professor who wrote a paper about 7 bits of information. She, being herself a psychologist, said that she did not think that that was what Professor Miller's paper said.
> 
> Armed with this insight, he looked me up and told me the whole story about my career, unknown to me, in the billboard industry. There was much more to it than I have outlined here, and I was shocked. So shocked that I wrote a long letter thing to set the record straight. The letter was published in the monthly journal of the billboard industry and that was the end of it. Unfortunately, I no longer have a copy of the letter an I don't recall the name of the journal (this was all back in the early 70s) so I cannot quote to you its contents. But the point was that 7 was a limit for the discrimination of unidimensional stimuli (pitches, loudness, brightness, etc.) and also a limit for immediate recall, neither of which has anything to do with a person's capacity to comprehend printed text.
> 
> If you want to quote the original article, it is online and you can find a pointer to it at [www.cogsci.princeton.edu/~wn][43]. But if that is too time consuming - yes, you are right: nothing in my paper warrants asking Moses to discard any of the ten commandments.
> 
> Good luck,
> 
> g.

(posted online [here][44])

\-- Edward Tufte  
* * *

_ _

I frequently find rules with "six" as the magic number of bullets. But today I came across this expanded rule from the American College of Radiology. "Follow the 666 rule: Use no more than six words per bullet, six bullets per image, and six word slides in a row. Any more words per bullet, and you don't have a bullet. More than six bullets per slide are difficult to read. By the end of six text-filled slides you have been talking for about 10 minutes without a visual."

While the limit of six slides is a mercy, I expect that soon someone will demand that those six words be no longer than six letters.

\-- David A. Nash ([email][45])  
* * *

_ _

The 6-line-only rule for bullet lists seems to come up in witless PP presentations on how to make witless PP presentations. Here is the full 666 rule in action, the Haiku Rule for presentations:

| ----- |
|  ![][46] | 

\-- E.T.  
* * *

_And a few more delicious lists_

It seems that great prose writers display an amazing style when writing lists. (We would probably all be grateful to read Virginia Tufte's views on this...)

To the preceding Kipling example, may I add a Somerset Maugham favorite from _The Book Bag_ :

> There were books of all kinds. Volumes of verse, novels, philosophical works, critical studies (they say books about books are profitless, but they certainly make very pleasant reading), biographies, history; there were books to read when you were ill and books to read when your brain, all alert, craved for something to grapple with; there were books that you had always wanted to read, but in the hurry of life at home had never found time to; there were books to read at sea when you were meandering through narrow waters on a tramp steamer, and there were books for bad weather when your whole cabin creaked and you had to wedge yourself in your bunk in order not to fall out; there were books chosen solely for their length, which you took with you when on some expedition you had to travel light, and there were the books you could read when you could read nothing else.

In Spanish, one might add Jorge Luis Borges' famous [list of animals][47]; in French, Jacques Prévert's delicious _Inventaire_ for fun, and the whole of George Pérec's _Penser/Classer_ for thought...

\-- Thomas-Xavier Martin ([email][48])  
* * *

_ T. S.Eliot lists in poems_

Lists provide a collection of variant elements all residing within the same domain. When read through eyes alert to lists, T. S. Eliot's _Four Quartets_ contains many lists, which create the tone of a rhythmic chant. Here from the second quartet, "East Coker":

> O dark dark dark. They all go into the dark,  
The vacant interstellar spaces, the vacant into the vacant,  
The captains, merchant bankers, eminent men of letters,  
The generous patrons of art, the statesmen and the rulers,  
Distinguished civil servants, chairmen of many committees,  
Industrial lords and petty contractors, all go into the dark,  
And dark the Sun and Moon, and the Almanach de Gotha  
And the Stock Exchange Gazette, the Directory of Directors,  
And cold the sense and lost the motive of action.  

Or the opening of the first quartet, "Burnt Norton", which works its way through a set of echoed revisions (and is beautiful to read or to hear aloud):

> Time present and time past  
Are both perhaps present in time future,  
And time future contained in time past.  
If all time is eternally present  
All time is unredeemable.  
What might have been is an abstraction  
Remaining a perpetual possibility  
Only in a world of speculation.  
What might have been and what has been  
Point to one end, which is always present.  
Footfalls echo in the memory  
Down the passage which we did not take  
Towards the door we never opened  
Into the rose-garden. My words echo  
Thus, in your mind.  
But to what purpose  
Disturbing the dust on a bowl of rose-leaves  
I do not know.  

> 
> Other echoes  
Inhabit the garden. Shall we follow? 

\-- Edward Tufte  
* * *

_Pros and cons of bamboo types (with joke)_

We're starting an architectural bamboo farm at Hogpen Hills Farms. A helpful practical book is Jackie Heinricher, Boo-Shoot Gardens, _Discovering Bamboo_ (2006). A 2D list from the book (p. 67) is shown below:

| ----- |
|  ![][49] | 

\-- Edward Tufte  
* * *

_Virginia Tufte on lists_

This is a fascinating thread. I continue to enjoy seeing the ways good writers use the resources of the English language to turn something as ordinary as a list into a work of art. Some months ago, contributor Thomas-Xavier Martin wrote: "It seems that great prose writers display an amazing style when writing lists. (We would probably all be grateful to read Virginia Tufte's views on this)."

One of my views is that the technique of listing or presenting items in a narrative series is highly useful not only to "great prose writers" and not just in novels but to almost anyone who writes, no matter what the genre. A series with only three or four items can work well, its effectiveness often enhanced by the context. And the series doesn't have to be nouns but can be verbs or adjectives—any part of speech or almost any syntactic structure— appositives, clauses, prepositional phrases. Usually it is a string of the same syntactic structures, and often it hints at relationships among the lexical items it includes, along with some cumulative effect or totality. Also a good list often surprises by interrupting its sameness with variations.

In _Artful Sentences: Syntax as Style,_ I don't write much about lists as such, but there are dozens of examples among the more than a thousand wonderful sentences I quote. You might like to look especially at Parallelism, which is Chapter 12, and Syntactic Symbolism, Chapter 14. (Graphics Press, 2006) 

Here are a couple of contrasting examples. Sandra Cisneros juxtaposes eleven fragments in a row, each including one or more noun phrases, all as appositives or as prepositional phrase modifiers of the page's title, "A House of My Own." They name what the house is not and is:

> "Not a flat. Not an apartment in back. Not a man's house. Not a daddy's. A house all my own. With my porch and my pillow, my pretty purple petunias. My books and my stories. My two shoes waiting beside the bed. Nobody to shake a stick at. Nobody's garbage to pick up after.
> 
> Only a house quiet as snow, a space for myself to go, clean as paper before the poem." (108, _The House on Mango Street,_ Vintage Books, 1991).

Nonfiction by a former president calls for a more conventional strategy. In a long sentence, Bill Clinton introduces his series of nine items, each beginning with a verb—select, work, begin, talk, reach and so on. Neatly organized, they accumulate quickly, dramatizing the multiple responsibilities facing a president-elect in an all-too-short transition period:

> "There was so much to do: select the cabinet, important sub-cabinet officials and the White House staff; work with the Bush people on the mechanics of the move; begin briefing on national security and talk to foreign leaders; reach out to congressional leaders; finalize the economic proposals I would present to Congress; develop a plan to implement my other campaign commitments; deal with a large number of requests for meetings and the desire of many of our campaign workers and major supporters to know as soon as possible whether they would be part of the new administration; and respond to unfolding events." (447, _My Life,_ Alfred A. Knopf, 2004)

\-- Virginia Tufte  
* * *

_Look-up List_

This should clear everything up (and how wonderful that this has been replaced by map apps). 

| ----- |
|  ![][50] | 

\-- Edward Tufte  
* * *

_Thomas Pynchon's, Gravity's Rainbow_

This tour of desktop strata from Thomas Pynchon's _Gravity's Rainbow_ explores the bivariant impact of object size and frequency-of-use on list position. It also exhibits the daring nested list (last quarter of the paragraph), from which Pynchon deftly recovers with a simple ". . .".

![][51]  

\-- Justin Vaughn ([email][52])  
* * *

_A damn list_

From John Cheever, _Bullet Park:_

> Damn the bright lights by which no one reads, damn the continuous music which no one hears, damn the grand pianos that no one can play, damn the white houses mortgaged up to their rain gutters, damn them for plundering the ocean for fish to feed the mink whose skins they wear and damn their shelves on which there rests a single book  a copy of the telephone directory, bound in pink brocade. 
>
>> \-- Edward Tufte  
* * *

_A Picasso list_

From Liza Kirwin, _Lists, To-dos, Illustrated Inventories, Collected Thoughts and Other Artists' Enumerations,_ Princeton Architectural Press,   
based on material from the Smithsonian's archives of American Art.   
  
  

| ----- |
|  ![][53] | 

\-- Edward Tufte  
* * *

_Thorough critique and redesign of bacteria list in medical textbook_

"Representative bacterial pathogens whose genomic sequence is entirely or largely known."  
  
![Mims, et al. Medical Microbiology, 3rd Ed. Figure 2.12][54]  
  
From Mims, et al. [Medical Microbiology, 3rd Ed][55]. Elsevier Mosby; 2004.  

With regard to the list of bacterial pathogens with known genomic sequences:

**In general, lists should be ordered substantively not alphabetically. The conventional alphabetical ordering is appropriate for look-up lists such as telephone books. List-makers should look for some kind of substantive ordering before defaulting to alphabetical order. Perhaps a substantive expert could suggest an ordering of the pathogen list. Substantive ordering of lists requires thought, unlike automatic pilot alphabetical orderings. See Jakob Nielsen, [Alphabetical Sorting Must (Mostly) Die.][56]**

Now, with regard to the list of bacterial pathogens with known genomic sequences:

The pathogen list might also be better simply as a single column of the 57 names. And then that list might be tightened up by listing the secondary names within clusters of primary names. For example:

  
.   
Moraxella: catarrhalis   
Mycobacterium: avium, bovis, leprae, tuberculosis   
Mycolplasma: genitalium, pneumoniae   
. 

and so on, as we now have 7 items in 3 stacked lines. In restructuring the entire list into these local clusters, 22 fewer lines are needed for the stacked-cluster format, thereby yielding a single column list of 35 lines. This stacked-cluster list might well be better for overview, look-up, and learning compared with the run-on list in the textbook. This redesign still uses the alphabetical default, however.

The box and the color fields around the list are just design fooling around, and generate annoying and content-free visual activities (see Envisioning Information, chapter 3 this point). Why leave the text and go to a special place with a purple field, a gray frame, and a gray box just to look at a list? Sidebar materials should be selected on content grounds, and not because the mode of information is different. The gray type on the purple field seems to affect the figure/ground contrast adversely.

The table description might be better at the top. The word "Fig." is not necessary; just the bold label number is fine. Anyway, it is not a "Fig.," it is something else. Probably the list, after the redesign described above, could be simply imbedded in the text, with the caption sentence ending with a colon taking the reader into the redesigned list (on text-tables, see _The Visual Display of Quantitative Information,_ chapter 9).

There are some typographic problems in the pathogen list as well. The spacing around the period in "2.12" is poor. The "Myc" letter combination looks awkward, maybe because of the big slanted divot in the italic cap M. The italics of the classic book typefaces are much better than the clunky italics of the pathogen list, which appear undifferentiated, too uniformly tilted and slopey, and jumpy and optically over-active. For my eye, the x-height is too big. Compare the classic book typeface in the Lodge book (in this thread immediately above) with the leaded-out sans serif italics in the medical text. Although the classic book typeface in the Lodge material is a bit small, it seems crisp and graceful, and has much better letter differentiation than the typeface for the list in the medical textbook.

Probably the list of pathogens in a 2004 textbook is now outdated given the pace of genomic sequencing. That rapid pace would surely be known to the authors of the table. How is the future likely expansion of the list to be noted in such a list? How can an idea about the pace of expansion be explained? Perhaps that was mentioned in the text elsewhere in the book.

One way would be to include an anticipations list based on knowledge of current research. Another way might be to provide dates of those pathogens already sequenced to indicate indirectly the increasing pace of sequencing. Another way would be to provide a small sparkline-like time-plot showing the cumulative number sequenced to date, which would in turn hint at an extrapolated total in future years. Another way would be have a sentence or two that said something like "By 2010 there will approximately be 0000 pathogens that are sequenced." Or "NIH has provided grants for sequencing 000 pathogens in the next 3 years." Or, perhaps best, simply to have one more line at the bottom of the single-column redesigned list: "Researchers in genomic sequencing expect that this list will contain 0000 pathogens by 2015."

The list up to 2004 provides only a _one-time snapshot,_ (a textbook racket, since editions will have to be updated every year or two) which might mislead a few innocents to conclude that there is somehow a finality to the list or to make naive inferences about the pathogens not shown on the list. Design should not entirely revolve around the possibility of misleading a few (well, except for runway incursions!), but still there is a bit of a problem with publishing a soon-to-be-outdated list in a textbook. The list was probably outdated at the moment the presses were printing the textbook, and the publisher was preparing for the next edition that would require $340 to replace this now "outdated edition". Thus the presentation of information is chosen to be time-sensitive, a commercial interest.

More generally, it will be useful in displaying some lists to recognize their snapshot quality and to suggest what future similar lists might look like (when of course appropriate). 

\-- Niels Olsen 

  
  
Praveen Tipirneni has constructed a much better design for the bacteria in the medical textbook: 

> "The major classification of any bacteria is its response to a Gram stain, an assay that begins by staining with crystal violet stain. The bacterium is then classified as Gram positive or Gram negative. As usual, a simple google search will describe the assay in detail.
> 
> In scientific journals, it is common to abbreviate the full name of a bacteria into the first letter of its genus and then the full name of the species. For example, Staphylococcus aureus would be abbreviated into S. aureus. 
> 
> In redesigning the classification, I categorized by Gram stain, then stuck to a bacterium's typical abbreviation in the literature."

| ----- |
|  ![][57] | 

\-- Edward Tufte  
* * *

| ----- |
|  ![][58] | 

* * *

  

|  Threads relevant to analytic design: |  
| 

[Amount of Info on One Page][59]

[Annotating a State of the Union address][60]

[Beautiful Evidence chronicles: writing, designing, publishing, consequences (cameo in first iPhone ad, awards, Richard Serra)][61]

[Data in sentences: Evidence on women and smoking][62]

[Design of causal diagrams: Barr art chart, Lombardi diagrams, evolutionary trees, Feynman diagrams, timelines][63]

[Evidence presentations: At the leading edge of serious practice][64]

[Genealogical information][65]

[How can information in 4-dimensions be pictured using 2-dimensional diagrams?][66]

[Images used as data points][67]

[Improving business forms][68]

[Information Design in Surveys][69]

[Inverted tree of evolution][70]

[Links, Causal Arrows, Networks][71]

[Mapped pictures: image annotation][72]

[Nomographs][73]

 |   
 | 

[Pie Charts][74]

|  ![][75] |  [Seeing Around: New ET essay published][76]  | 

[Showing 3D measurement scales in 2D images (including astronomical pictures)][77]

[Sparkline > Steve Jobs > Andy Warhol in Google results][78]

[Stem and leaf displays][79]

[Table Graphics][80]

[The magical number seven, plus or minus two: Not relevant for design][81]

[Timelines on the Internet][82]

[Tornado Plots][83]

[Venn Diagrams][84]

[Visual representation of vector information][85]

[Visualizing Social Networks][86]

[Yale alumni questionnaire inquires about income, wealth][87]

[questionnaire design][88]

 | 

* * *

| ----- |
|  Threads relevant to news: |  
| 

[Art Theorists Speak Out Cartoonishly][89]

[Artful Sentences: Syntax as Style by Virginia Tufte now published!][90]

[Charting chess][91]

[Data in sentences: Evidence on women and smoking][62]

[Financial and economic journalism][92]

[Fudging photographic evidence ][93]

[How big is a phone book, and other ways of illustrating size][94]

[Huntsville Alabama Times scoops New York Times: sports-data sparklines][95]

[Image sequence of ski crash: best design?][96]

[Images used as data points][67]

[Indictments as presentations: evidence and advocacy][97]

[Map of the stock market][98]

[Megan Jaegerman's brilliant news graphics][99]

 |   
 | 

[Misleading graphic in the New York Times][100]

[Narrating and imaging an aortic dissection][101]

[New York City Weather Chart][102]

[No Pulitzer Prizes for Information Graphics][103]

[Remarkable baseball graphic][104]

[Scoring Baseball][105]

[Showing 3D measurement scales in 2D images (including astronomical pictures)][77]

[Single-number semi-tables for news illustrations][106]

[The Vitality of Mythical Numbers][107]

[Washington Post puts map in global context][108]

[When Evidence is Mediated and Marketed: Does Pitching Out Corrupt Within?][109]

[Wildfire maps and media coverage][110]

 | 

* * *

 | 

 | 

[1]: https://www.edwardtufte.com/tufte
[2]: https://www.edwardtufte.com/tufte/graphics/hamburger.png
[3]: https://www.edwardtufte.com/tufte/
[4]: https://www.edwardtufte.com/tufte/books_vdqi
[5]: https://www.edwardtufte.com/tufte/courses
[6]: /bboard/q-and-a?topic_id=1
[7]: https://www.edwardtufte.com/tufte/sculpture
[8]: https://www.edwardtufte.com/tufte/fineart
[9]: https://www.edwardtufte.com/tufte/posters
[10]: /bboard/q-and-a-fetch-msg?msg_id=0003mW
[11]: https://www.edwardtufte.com/tufte/graphics/cart-off.png
[12]: https://www.edwardtufte.com/ecommerce/shopping-cart
[13]: /tufte/graphics/facebook-on.png
[14]: /tufte/graphics/twitter-on.png
[15]: /tufte/graphics/vimeo-on.png
[16]: /tufte/graphics/youtube1-on.png
[17]: /tufte/graphics/itunes-on.png
[18]: /tufte/graphics/RSS-col.png
[19]: q-and-a-new-answers?topic_id=1
[20]: q-and-a?topic_id=1
[21]: http://www.edwardtufte.com/tufte/books_be
[22]: http://www.edwardtufte.com/tufte/ebooks
[23]: http://www.edwardtufte.com/tufte/courses
[24]: https://www.edwardtufte.com/tufte/graphics/course-promote.png
[25]: http://twitter.com/share
[26]: /bboard/images/0002QF-3177.gif
[27]: /bboard/images/0002QF-3179.gif
[28]: /bboard/images/0002QF-3180.gif
[29]: http://cdixon.org/2012/07/24/buzzfeeds-strategy/
[30]: http://www.rollingstone.com/music/lists/the-500-greatest-songs-of-all-time-20110407
[31]: /bboard/images/0002QF-12491.jpg
[32]: https://www.edwardtufte.com/bboard/q-and-a-fetch-msg?msg_id=0001k8
[33]: /bboard/images/0002QF-12599.gif
[34]: http://www.ubu.com/concept/serra_verb.html
[35]: http://www.newyorker.com/reporting/2007/12/10/071210fa_fact_gawande
[36]: http://bits.blogs.nytimes.com/2012/04/01/disruptions-top-10-lists-lead-to-less-choice-on-the-web
[37]: http://www.nature.com/nature/journal/v462/n7276/fig_tab/nature08656_F1.html
[38]: http://www.jgi.doe.gov/programs/GEBA/pilot.html
[39]: /bboard/images/0002QF-12475.jpg
[40]: http://www.w3.org/History/1989/proposal.html
[41]: http://cogprints.org/730/1/miller.html
[42]: https://www.edwardtufte.com/tufte/williams
[43]: http://psychclassics.yorku.ca/Miller/
[44]: http://members.shaw.ca/philip.sharman/myth.html
[45]: /tufte/email?msg_id=0002d9
[46]: /bboard/images/0000UG-574.jpg
[47]: http://en.wikipedia.org/
wiki/List_of_animals_%28Borges%29
[48]: /tufte/email?msg_id=0002T5
[49]: /bboard/images/0002g8-3727.jpg
[50]: /bboard/images/00030s-7402.gif
[51]: /bboard/images/0003KR-8449.jpg
[52]: /tufte/email?msg_id=0003KR
[53]: /bboard/images/0003t5-11500.jpg
[54]: https://static.flickr.com/98/242059206_cc4bcd6565_o.png
[55]: http://www.powells.com/biblio/62-0323035752-2
[56]: http://www.nngroup.com/articles/alphabetical-sorting-must-mostly-die/
[57]: /bboard/images/0002S6-12483.jpg
[58]: https://www.edwardtufte.com/tufte/graphics/sidebar.jpg
[59]: /bboard/q-and-a-fetch-msg?msg_id=00006K
[60]: /bboard/q-and-a-fetch-msg?msg_id=00019o
[61]: /bboard/q-and-a-fetch-msg?msg_id=000262
[62]: /bboard/q-and-a-fetch-msg?msg_id=0000K4
[63]: /bboard/q-and-a-fetch-msg?msg_id=0000yO
[64]: /bboard/q-and-a-fetch-msg?msg_id=0002RP
[65]: /bboard/q-and-a-fetch-msg?msg_id=00002D
[66]: /bboard/q-and-a-fetch-msg?msg_id=000026
[67]: /bboard/q-and-a-fetch-msg?msg_id=0001iT
[68]: /bboard/q-and-a-fetch-msg?msg_id=0000UL
[69]: /bboard/q-and-a-fetch-msg?msg_id=00008I
[70]: /bboard/q-and-a-fetch-msg?msg_id=0000xX
[71]: /bboard/q-and-a-fetch-msg?msg_id=0001TV
[72]: /bboard/q-and-a-fetch-msg?msg_id=0001V7
[73]: /bboard/q-and-a-fetch-msg?msg_id=0000Bc
[74]: /bboard/q-and-a-fetch-msg?msg_id=00018S
[75]: /bboard/images/tag_icon_0003Gn.jpg
[76]: /bboard/q-and-a-fetch-msg?msg_id=0003Gn
[77]: /bboard/q-and-a-fetch-msg?msg_id=0002cI
[78]: /bboard/q-and-a-fetch-msg?msg_id=0003oC
[79]: /bboard/q-and-a-fetch-msg?msg_id=0000Re
[80]: /bboard/q-and-a-fetch-msg?msg_id=0001C8
[81]: /bboard/q-and-a-fetch-msg?msg_id=0000U6
[82]: /bboard/q-and-a-fetch-msg?msg_id=00005g
[83]: /bboard/q-and-a-fetch-msg?msg_id=0000Eo
[84]: /bboard/q-and-a-fetch-msg?msg_id=0000pA
[85]: /bboard/q-and-a-fetch-msg?msg_id=0000Jd
[86]: /bboard/q-and-a-fetch-msg?msg_id=00018F
[87]: /bboard/q-and-a-fetch-msg?msg_id=0001Ui
[88]: /bboard/q-and-a-fetch-msg?msg_id=0000Kq
[89]: /bboard/q-and-a-fetch-msg?msg_id=0002T2
[90]: /bboard/q-and-a-fetch-msg?msg_id=0002AM
[91]: /bboard/q-and-a-fetch-msg?msg_id=0000Mn
[92]: /bboard/q-and-a-fetch-msg?msg_id=0000ml
[93]: /bboard/q-and-a-fetch-msg?msg_id=0000X3
[94]: /bboard/q-and-a-fetch-msg?msg_id=0001Ib
[95]: /bboard/q-and-a-fetch-msg?msg_id=0001o4
[96]: /bboard/q-and-a-fetch-msg?msg_id=0000QW
[97]: /bboard/q-and-a-fetch-msg?msg_id=00025w
[98]: /bboard/q-and-a-fetch-msg?msg_id=0000Kf
[99]: /bboard/q-and-a-fetch-msg?msg_id=0002w4
[100]: /bboard/q-and-a-fetch-msg?msg_id=0000Uz
[101]: /bboard/q-and-a-fetch-msg?msg_id=0001G8
[102]: /bboard/q-and-a-fetch-msg?msg_id=00014g
[103]: /bboard/q-and-a-fetch-msg?msg_id=0000Qk
[104]: /bboard/q-and-a-fetch-msg?msg_id=0000tA
[105]: /bboard/q-and-a-fetch-msg?msg_id=0000d5
[106]: /bboard/q-and-a-fetch-msg?msg_id=0000SI
[107]: /bboard/q-and-a-fetch-msg?msg_id=0002Oq
[108]: /bboard/q-and-a-fetch-msg?msg_id=0000Wc
[109]: /bboard/q-and-a-fetch-msg?msg_id=0001to
[110]: /bboard/q-and-a-fetch-msg?msg_id=0000tY

