---
created_at: '2016-01-23T21:31:48.000Z'
title: All Models of Machine Learning Have Flaws (2007)
url: http://hunch.net/?p=224
author: walterbell
points: 57
story_text: 
comment_text: 
num_comments: 7
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1453584708
_tags:
- story
- author_walterbell
- story_10960195
objectID: '10960195'

---
[Source](http://hunch.net/?p=224 "Permalink to All Models of Learning have Flaws &laquo;  Machine Learning (Theory)")

# All Models of Learning have Flaws &laquo;  Machine Learning (Theory)

# [Machine Learning (Theory)][1]

## 3/3/2007

### [All Models of Learning have Flaws][2]

Tags: [Bayesian][3],[Machine Learning][4],[Online][5],[Prediction Theory][6],[Reductions][7],[Reinforcement][8],[Universal Learning][9] — [ jl][10]@ 9:00 pm 

Attempts to abstract and study machine learning are within some given framework or mathematical model. It turns out that all of these models are significantly flawed for the purpose of studying machine learning. I’ve created a table (below) outlining the major flaws in some common models of machine learning.

The point here is not simply “woe unto us”. There are several implications which seem important.

1. The multitude of models is a point of continuing confusion. It is common for people to learn about machine learning within one framework which often becomes there “home framework” through which they attempt to filter all machine learning. (Have you met people who can only think in terms of kernels? Only via Bayes Law? Only via PAC Learning?) Explicitly understanding the existence of these other frameworks can help resolve the confusion. This is particularly important when reviewing and particularly important for students.
2. Algorithms which conform to multiple approaches can have substantial value. “I don’t really understand it yet, because I only understand it one way”. Reinterpretation alone is not the goal—we want algorithmic guidance.
3. We need to remain constantly open to new mathematical models of machine learning. It’s common to forget the flaws of the model that you are most familiar with in evaluating other models while the flaws of new models get exaggerated. The best way to avoid this is simply education.
4. The value of theory alone is more limited than many theoreticians may be aware. Theories need to be tested to see if they correctly predict the underlying phenomena.

Here is a summary what is wrong with various frameworks for learning. To avoid being entirely negative, I added a column about what’s right as well.

| ----- |
|  Name |  Methodology |  What’s right |  What’s wrong |  
|  Bayesian Learning |  You specify a prior probability distribution over data-makers, _P(datamaker)_ then use Bayes law to find a posterior _P(datamaker|x)_. True Bayesians integrate over the posterior to make predictions while many simply use the world with largest posterior directly. |  Handles the small data limit. Very flexible. Interpolates to engineering. | 

1. Information theoretically problematic. Explicitly specifying a reasonable prior is often hard.
2. Computationally difficult problems are commonly encountered.
3. Human intensive. Partly due to the difficulties above and partly because “first specify a prior” is built into framework this approach is not very automatable.
 |  
|  Graphical/generative Models |  Sometimes Bayesian and sometimes not. Data-makers are typically assumed to be IID samples of fixed or varying length data. Data-makers are represented graphically with conditional independencies encoded in the graph. For some graphs, fast algorithms for making (or approximately making) predictions exist. |  Relative to pure Bayesian systems, this approach is sometimes computationally tractable. More importantly, the graph language is natural, which aids prior elicitation. | 

1. Often (still) fails to fix problems with the Bayesian approach.
2. In real world applications, true conditional independence is rare, and results degrade rapidly with systematic misspecification of conditional independence.
 |  
|  Convex Loss Optimization |  Specify a loss function related to the world-imposed loss fucntion which is convex on some parametric predictive system. Optimize the parametric predictive system to find the global optima.  |  Mathematically clean solutions where computational tractability is partly taken into account. Relatively automatable. | 

1. The temptation to forget that the world imposes nonconvex loss functions is sometimes overwhelming, and the mismatch is always dangerous.
2. Limited models. Although switching to a convex loss means that some optimizations become convex, optimization on representations which aren’t single layer linear combinations is often difficult.
 |  
|  Gradient Descent |  Specify an architecture with free parameters and use gradient descent with respect to data to tune the parameters. |  Relatively computationally tractable due to (a) modularity of gradient descent (b) directly optimizing the quantity you want to predict. | 

1. Finicky. There are issues with paremeter initialization, step size, and representation. It helps a great deal to have accumulated experience using this sort of system and there is little theoretical guidance.
2. Overfitting is a significant issue.
 |  
|  Kernel-based learning |  You chose a kernel _K(x,x’)_ between datapoints that satisfies certain conditions, and then use it as a measure of similarity when learning. |  People often find the specification of a similarity function between objects a natural way to incorporate prior information for machine learning problems. Algorithms (like SVMs) for training are reasonably practical—_O(n2)_ for instance. |  Specification of the kernel is not easy for some applications (this is another example of prior elicitation). _O(n2)_ is not efficient enough when there is much data. |  
|  Boosting |  You create a learning algorithm that may be imperfect but which has some predictive edge, then apply it repeatedly in various ways to make a final predictor. |  A focus on getting something that works quickly is natural. This approach is relatively automated and (hence) easy to apply for beginners. |  The boosting framework tells you nothing about how to build that initial algorithm. The weak learning assumption becomes violated at some point in the iterative process. |  
|  Online Learning with Experts |  You make many base predictors and then a master algorithm automatically switches between the use of these predictors so as to minimize regret. |  This is an effective automated method to extract performance from a pool of predictors. |  Computational intractability can be a problem. This approach lives and dies on the effectiveness of the experts, but it provides little or no guidance in their construction. |  
|  Learning Reductions |  You solve complex machine learning problems by reducing them to well-studied base problems in a robust manner. |  The reductions approach can yield highly automated learning algorithms. |  The existence of an algorithm satisfying reduction guarantees is not sufficient to guarantee success. Reductions tell you little or nothing about the design of the base learning algorithm. |  
|  PAC Learning |  You assume that samples are drawn IID from an unknown distribution _D_. You think of learning as finding a near-best hypothesis amongst a given set of hypotheses in a computationally tractable manner.  |  The focus on computation is pretty right-headed, because we are ultimately limited by what we can compute. |  There are not many substantial positive results, particularly when _D_ is noisy. Data isn’t IID in practice anyways. |  
|  Statistical Learning Theory |  You assume that samples are drawn IID from an unknown distribution _D_. You think of learning as figuring out the number of samples required to distinguish a near-best hypothesis from a set of hypotheses. |  There are substantially more positive results than for PAC Learning, and there are a few examples of practical algorithms directly motivated by this analysis. |  The data is not IID. Ignorance of computational difficulties often results in difficulty of application. More importantly, the bounds are often loose (sometimes to the [point of vacuousness][11]). |  
|  Decision tree learning |  Learning is a process of cutting up the input space and assigning predictions to pieces of the space. |  Decision tree algorithms are well automated and can be quite fast. |  There are learning problems which can not be solved by decision trees, but which are solvable. It’s common to find that other approaches give you a bit more performance. A theoretical grounding for many choices in these algorithms is lacking. |  
|  Algorithmic complexity |  Learning is about finding a program which correctly predicts the outputs given the inputs. |  Any reasonable problem is learnable with a number of samples related to the description length of the program. |  The theory literally suggests solving halting problems to solve machine learning. |  
|  RL, MDP learning |  Learning is about finding and acting according to a near optimal policy in an unknown Markov Decision Process. |  We can learn and act with an amount of summed regret related to _O(SA)_ where _S_ is the number of states and _A_ is the number of actions per state. |  Has anyone counted the number of states in real world problems? We can’t afford to wait that long. Discretizing the states creates a POMDP (see below). In the real world, we often have to deal with a POMDP anyways. |  
|  RL, POMDP learning |  Learning is about finding and acting according to a near optimaly policy in a Partially Observed Markov Decision Process |  In a sense, we’ve made no assumptions, so algorithms have wide applicability. |  All known algorithms scale badly with the number of hidden states. | 

This set is incomplete of course, but it forms a starting point for understanding what’s out there. (Please fill in the what/pro/con of anything I missed.)

[Comments (24)][12]

###### 24 Comments to “All Models of Learning have Flaws”

1. ![][13] dennis says:

[ 3/4/2007 at 3:54 pm][14]

It would be helpful if you added  
another column that identified  
specific approaches for each  
class of learning method.

2. ![][15] [klivans][16] says:

[ 3/5/2007 at 10:56 pm][17]

“The value of theory alone is more limited than many theoreticians may be aware. Theories need to be tested to see if they correctly predict the underlying phenomena.” John, the value of theory is in its ideas, and you may be giving it short shrift here. For example, SVMs and Boosting first appeared in COLT (and EuroCOLT), which is a solidly theoretical conference. It’s difficult to think of machine learning papers that have been as applicable or influential. Do you think the theories in these papers were broadly tested before publication? For that matter, we may as well go back to Valiant’s original paper on PAC learning. I suspect his paper continues to have a deep influence on the way theorists and practitioners think about learning abstractly (this is not always easy to quantify by the usual metrics), although it may not predict much actual phenomena.

3. ![][18] [Andrew Gelman][19] says:

[ 3/6/2007 at 8:33 am][20]

The only thing that bothers me is the conflation of statistical principles with computational methods. For example, the table lists “Bayesian learning,” “graphical/generative models,” and “gradient descent” (among others) as separate methods. But gradient descent is an optimization algorithm, while Bayesian decision analysis is an approach that tells you what to optimize (given assumptions). And I don’t see how he can distiguish graphical/generative models from “pure Bayesian systems.” Bayesian models are almost always generative, no? This must be a language difference in CS versus statistics.

Anyway, it’s an interesting set of comparisons. And, as Aleks points out, we’re trying our best to reduce the difficulties of the Bayesian approach (in particular, the difficulty of setting up models that are structured enough to learn from the data but weak enough to learn from the data).

4. [Statistical Modeling, Causal Inference, and Social Science][21] says:

[ 3/6/2007 at 10:21 am][22]

**Classifying classifiers**

Here’s an interesting classification (from John Langford) of statistical methods from a machine learning perspective. The only thing that bothers me is the conflation of statistical principles with computational methods. For example, the table lists …

5. [Anomalous Presumptions » The path to a synthesis in statistical modeling][23] says:

[ 3/6/2007 at 11:09 pm][24]

[…] As I discuss in Dancing toward the singularity, progress in statistical modeling is a key step in achieving strongly reflexive netminds. However a very useful post by John Langford makes me think that this is a bigger leap than I hoped. Langford writes: Attempts to abstract and study machine learning are within some given framework or mathematical model. It turns out that all of these models are significantly flawed …. […]

6. ![][25] [jl][10] says:

[ 3/7/2007 at 8:41 am][26]

In my experience, boosting yields moderate but fairly consistent empirical improvements for decision trees, and occasionally provides improvement for other learning algorithms. I’m unclear on the extent to which COLT can claim credit for SVMs as both the kernel idea and the large margin idea existed previously. Do you have a particular citation in mind?

If you want to argue that learning theory has been influential, I think that’s reasonable. However, the empirical impact on practice could not reasonably be compared to Newton’s or Maxwell’s work in physics. We should aspire to theory at this level.

7. ![][25] [jl][10] says:

[ 3/7/2007 at 8:53 am][27]

I’m really trying to discuss frameworks in which people approach machine learning. 

For some people, the way to approach things is to write down their best description of the prior, then apply bayes law and see what it implies.

For other people, the way to approach things is to create a graphical model which hopefully doesn’t lie to strongly about what is conditionally independent of what. This is not equivalent to the Bayesian approach—at best you make MAP estimates and more commonly you simply make maximum likelihood predictions.

A third camp thinks that “all learning algorithms are gradient descent”. The way you do ML is by specifying some representation and then doing gradient descent. There is no probabilistic semantics to the value of the output. A good choice of representation is simply one which allows you to minimize your energy function well on heldout samples.

(And there are a number of other approaches…)

    * ![][28] [Richard][29] says:

[ 11/7/2013 at 9:15 pm][30]

Nice list!  
I guess my recent work would fall into the “Gradient Descent” group but I think of it more in terms of 

(Mostly) Differentiable Objective Functions

Starting with such a function, the optimization algorithm needed to minimize it then often turns out to simply be (a variants of) gradient descent.

8. ![][31] Csaba Szepesvari says:

[ 3/7/2007 at 7:52 pm][32]

Some quotations that I find relevant for this topic:

Although this may seem a paradox, all exact science is dominated by the idea of approximation.  
– Bertrand Russell 

The purpose of models is not to fit the data but to sharpen the questions.  
– Samuel Karlin

He who loves practice without theory is like the sailor who boards ship without a rudder and compass and never knows where he may cast.  
– Leonardo da Vinci

A theory is something nobody believes, except the person who made it. An experiment is something everybody believes, except the person who made it.  
– Albert Einstein

9. ![][33] [David Warde-Farley][34] says:

[ 3/10/2007 at 3:03 am][35]

Somehow this seems relevant, too (stolen from someone’s e-mail sig):

“I have come to believe that the whole world is an enigma, a harmless enigma that is made terrible by our own mad attempt to interpret it as though it had an underlying truth.”  
— Umberto Eco

10. ![][36] [Sandro Saitta][37] says:

[ 3/12/2007 at 11:25 am][38]

Your list is very interesting and well structured. My only comment concerns decision trees. According to me, one of their main advantages is to allow a clear view of the model itself (white box) in comparison with other categories such as kernel methods (black box). In the case of decision trees, both results (rules) as well as the model (tree) are clearly readable.

11. ![][39] Michael Tangermann says:

[ 3/14/2007 at 3:28 am][40]

Another PRO of decision trees worth mentioning is their applicability for categorial data.

@John: Using only orthorgonal categories for your above listing of frameworks is probably not possible. I encourage you to add names of methods to the list, even if there are double-entries.

12. ![][41] [hal][42] says:

[ 3/14/2007 at 7:50 pm][43]

I’m not sure I agree that decision trees are always/usually interpretable. My experience is that if you have a problem with more than a few dozen features and enough examples to build a full tree, the tree gets so large that it ceases to make sense. Moreover, in order to get really competitive performance from DTs, one often has to bag or boost them. Which again makes them uninterpretable.

This is perhaps a domain specific observation, but in my domains, DTs are really no better than any other algorithm (aside from, perhaps, simple rule induction, which typically underperforms significantly).

13. [MDL Theory and Machine Learning « Growth Rate O(n lg n)][44] says:

[ 3/15/2007 at 6:33 am][45]

[…] MDL Theory and Machine Learning John Langford over at Machine Learning (Theory) has created a table of machine learning methods that highlights their strengths and flaws. I agree with most of what he writes, but what he chose as the main flaw in MDL and approaches from algorithmic complexity caused me to raise an eyebrow: The theory literally suggests solving halting problems to solve machine learning. […]

14. ![][46] [Aleks][47] says:

[ 3/15/2007 at 7:53 am][48]

Agreed with hal. Igor Kononenko has actually asked physicians if they preferred the conditional probabilities out of naive Bayes or classification trees. They preferred conditional probabilities. They would like them even more had they been shown as a [nomogram][49].

15. ![][50] [Leonid Kontorovich][51] says:

[ 3/17/2007 at 1:04 am][52]

I’m glad to see that a recurring objection to various models of  
learning is the IID assumption. My recent [work][53] in concentration  
of measure was originally motivated precisely by this  
limitation. While I don’t have a full generalization of VC bounds to  
non-IID settings, I believe I’ve made some progress. Check out also  
“A Note on Uniform Laws of Averages for Dependent Processes” by Nobel  
and Dembo.

16. ![][54] Chunyu Yang says:

[ 3/19/2007 at 9:09 am][55]

I am interested in Bayesian Learning which is surely a Generative Model. “specify a prior” is quite boring, but some algorithms have been proposed to tackle this problem in the name of “Probability Estimation”. Maybe the variation of the a prior along with the data sequence is more serious.

17. ![][56] [Yan King Yin][57] says:

[ 3/20/2007 at 10:23 am][58]

You seem to have neglected logic-based learning, which is often neglected nowadays because of other “numerical” learning methods. But logic-based learning (eg inductive logic programming) is also a form of statistical learning. Also, if the substrate is a probabilistic logic then it is related to Bayesian networks. It would be very interesting to find out any deep connection between numerical and logic-based learning paradigms.

18. ![][59] [Jue Wang][60] says:

[ 4/18/2007 at 2:24 pm][61]

Yan King, you should definitely check out the Markov Logic Networks framework, which is a good combination of logic and statistical learning methods.

19. ![][62] [Mark][63] says:

[ 8/22/2007 at 4:58 pm][64]

To follow up on that da Vinci quote, one of my favourites regarding theory and practice:

> In theory, there is no difference between theory and practice. But, in practice, there is. 

This has been attributed to Jan Snepschuet, Yogi Berra and Albert Einstein.

20. ![][65] [ik][66] says:

[ 11/13/2007 at 1:51 pm][67]

My experience is that if you have a problem with more than a few dozen features and enough examples to build a full tree, the tree gets so large that it ceases to make sense. Moreover, in order to get really competitive performance from DTs, one often has to bag or boost them. Which again makes them uninterpretable.

21. [[Hunch] All models of learning have flaws « Machine Learning Blog][68] says:

[ 3/9/2008 at 11:01 pm][69]

[…] [Hunch] All models of learning have flaws Published March 10, 2008 general <http://hunch.net/?p=224> […]

22. [Study ML or Just Run Some Tools of ML « Abner’s Postgraduate Days][70] says:

[ 7/5/2008 at 11:43 am][71]

[…] Machine Learning (Theory) Ã‚Â» The Meaning of Confidence Machine Learning (Theory) Ã‚Â» All Models of Learning have Flaws […]

23. [Tagz | "Machine Learning (Theory) Â» All Models of Learning have Flaws" | Comments][72] says:

[ 5/16/2009 at 6:15 am][73]

[…] [upmod] [downmod] Machine Learning (Theory) Â» All Models of Learning have Flaws (hunch.net) 0 points posted 10 months, 1 week ago by jeethu tags ai machine learning reference […]

Sorry, the comment form is closed at this time.

* ## Details

    * [A modest proposal][74]
    * [How to Contribute a Post][75]
    * [Who? What? Why?][76]
    * [Why did my comment not appear?][77]
* Search for:
* ![][78] [Subscribe ][79]
* ## Recent Comments

    * [vrMs][80] on [Why did my comment not appear?][81]
    * [vrMs][80] on [Why did my comment not appear?][82]
    * [vrMs][80] on [Why did my comment not appear?][83]
    * [jl][10] on [Pervasive Simulator Misuse with Reinforcement Learning][84]
    * aravind on [Pervasive Simulator Misuse with Reinforcement Learning][85]
* ## RSS Feeds

[NP is Hard][86]

Thu, Feb 22, 2018  
Computational Complexity

[Pervasive Simulator Misuse with Reinforcement Learning][87]

Wed, Feb 14, 2018  
Machine Learning (Theory)

[A #metoo testimonial that hits close to home...][88]

Wed, Feb 14, 2018  
Geomblog

[k-server, part 3: entropy regularization for weighted k-paging][89]

Mon, Jan 29, 2018  
Im a bandit

[NIPS Conversation AI Workshop][90]

Fri, Dec 15, 2017  
Machined Learnings

* ## Categories

    * [Active][91] (12) 
    * [AI][92] (15) 
    * [Announcements][93] (110) 
    * [applications][94] (4) 
    * [Bayesian][3] (18) 
    * [Boosting][95] (1) 
    * [Code][96] (15) 
    * [Competitions][97] (24) 
    * [Computation][98] (6) 
    * [Conferences][99] (88) 
    * [CS][100] (4) 
    * [Deep][101] (4) 
    * [Definitions][102] (11) 
    * [Economics][103] (3) 
    * [Empirical][104] (5) 
    * [Exploration][105] (6) 
    * [Funding][106] (22) 
    * [General][107] (71) 
    * [Graduates][108] (2) 
    * [Information Theory][109] (4) 
    * [Interactive][110] (5) 
    * [Language][111] (11) 
    * [Machine Learning][4] (316) 
    * [Mathematics][112] (2) 
    * [MDL][113] (1) 
    * [medical][114] (1) 
    * [Meta][115] (4) 
    * [Neuroscience][116] (2) 
    * [Online][5] (38) 
    * [Organization][117] (13) 
    * [Papers][118] (45) 
    * [parallel][119] (1) 
    * [politics][120] (1) 
    * [Prediction Theory][6] (20) 
    * [Privacy][121] (1) 
    * [Problem Design][122] (2) 
    * [Problems][123] (31) 
    * [Questions][124] (3) 
    * [Reductions][7] (32) 
    * [Reinforcement][8] (26) 
    * [Research][125] (51) 
    * [Reviewing ][126] (23) 
    * [Robots][127] (2) 
    * [Semisupervised][128] (4) 
    * [Solutions][129] (5) 
    * [Statistics][130] (6) 
    * [structured][131] (7) 
    * [Supervised][132] (15) 
    * [Teaching][133] (18) 
    * [Theory][134] (8) 
    * [Trees][135] (2) 
    * [Universal Learning][9] (5) 
    * [Unsupervised][136] (7) 
    * [Vision][137] (6) 
    * [Workshop][138] (35) 
* ## ML Related

    * [Gelman—SMCISS][19]
    * [ICML Paper Discussion][139]
    * [Inductio Ex Machina][140]
    * [KD Nuggets][141]
    * [Kernel Machines][142]
    * [Machine Learning Thoughts][143]
    * [MLOSS][144]
    * [Reinforcement Learning][145]
    * [SM, DM, & ML][146]
    * [Wikipedia: Machine Learning][147]
* ## Research

    * [Computational Complexity][148]
    * [Computer Research Policy][149]
    * [Geomblog][150]
    * [Mathematics][151]
    * [Mathematics and Computation][152]
    * [Michael Nielsen][153]
    * [Oddhead][154]
    * [Quantum Algorithms][155]
    * [Quantum Pontiff][156]
* ## Meta

    * [Register][157]
    * [Log in][158]
    * [Entries RSS][159]
    * [Comments RSS][160]
    * [WordPress.org][161]

Powered by [**WordPress**][162]

[1]: http://hunch.net/
[2]: http://hunch.net/?p=224
[3]: http://hunch.net/?cat=6
[4]: http://hunch.net/?cat=29
[5]: http://hunch.net/?cat=7
[6]: http://hunch.net/?cat=8
[7]: http://hunch.net/?cat=12
[8]: http://hunch.net/?cat=11
[9]: http://hunch.net/?cat=14
[10]: http://hunch.net/~jl
[11]: http://hunch.net/?p=181
[12]: http://hunch.net/?p=224#comments
[13]: http://2.gravatar.com/avatar/e22b0de7e0b5f6b56304744be192a474?s=32&d=blank&r=g
[14]: http://hunch.net/?p=224&cpage=1#comment-58431
[15]: http://0.gravatar.com/avatar/00b89b8be32cce8aeecf9913682e3da8?s=32&d=blank&r=g
[16]: http://www.cs.utexas.edu/~klivans
[17]: http://hunch.net/?p=224&cpage=1#comment-58716
[18]: http://1.gravatar.com/avatar/d582b760aff3a7d7ce1197505fb57837?s=32&d=blank&r=g
[19]: http://www.stat.columbia.edu/~gelman/blog/
[20]: http://hunch.net/?p=224&cpage=1#comment-58852
[21]: http://www.stat.columbia.edu/~cook/movabletype/archives/2007/03/classifying_cla.html
[22]: http://hunch.net/?p=224&cpage=1#comment-58869
[23]: http://jed.jive.com/?p=27
[24]: http://hunch.net/?p=224&cpage=1#comment-58987
[25]: http://1.gravatar.com/avatar/a7387a90d56f47af17f3bf6b6ac87ad7?s=32&d=blank&r=g
[26]: http://hunch.net/?p=224&cpage=1#comment-59095
[27]: http://hunch.net/?p=224&cpage=1#comment-59097
[28]: http://0.gravatar.com/avatar/f085b72b898fd6c12c0cb0c920925303?s=32&d=blank&r=g
[29]: http://www.socher.org
[30]: http://hunch.net/?p=224&cpage=1#comment-1591694
[31]: http://1.gravatar.com/avatar/7ea65264569a669a34215ad485f3eee8?s=32&d=blank&r=g
[32]: http://hunch.net/?p=224&cpage=1#comment-59244
[33]: http://2.gravatar.com/avatar/2a2c9edb45cfec470561de3f40c8d20a?s=32&d=blank&r=g
[34]: http://individual.utoronto.ca/dwf/
[35]: http://hunch.net/?p=224&cpage=1#comment-59775
[36]: http://0.gravatar.com/avatar/312de276d1d00a57a993e97bd1d6f1b6?s=32&d=blank&r=g
[37]: http://www.dataminingblog.com
[38]: http://hunch.net/?p=224&cpage=1#comment-60187
[39]: http://0.gravatar.com/avatar/fec3e420cbc260b8f094c0caa7dfa3f9?s=32&d=blank&r=g
[40]: http://hunch.net/?p=224&cpage=1#comment-60404
[41]: http://1.gravatar.com/avatar/78212ab30c7ff9d10071a1b1c7e66575?s=32&d=blank&r=g
[42]: http://hal3.name
[43]: http://hunch.net/?p=224&cpage=1#comment-60494
[44]: http://growthratenlgn.wordpress.com/2007/03/15/mdl-theory-and-machine-learning/
[45]: http://hunch.net/?p=224&cpage=1#comment-60571
[46]: http://2.gravatar.com/avatar/?s=32&d=blank&r=g
[47]: http://stat.columbia.edu/~jakulin
[48]: http://hunch.net/?p=224&cpage=1#comment-60578
[49]: http://www.ailab.si/blaz/papers/2004-PKDD.pdf
[50]: http://1.gravatar.com/avatar/a42e918ef2ee84cc59208293c1ede26d?s=32&d=blank&r=g
[51]: http://absolutely-regular.blogspot.com/
[52]: http://hunch.net/?p=224&cpage=1#comment-61878
[53]: http://arxiv.org/abs/math.PR/0609835
[54]: http://0.gravatar.com/avatar/c1941ec8a7411dd8f4ccb31c29b8bcd7?s=32&d=blank&r=g
[55]: http://hunch.net/?p=224&cpage=1#comment-63272
[56]: http://2.gravatar.com/avatar/bd4a7dcf72551194f3e38ddfbc2727dc?s=32&d=blank&r=g
[57]: http://www.geocities.com/genericAI
[58]: http://hunch.net/?p=224&cpage=1#comment-63554
[59]: http://0.gravatar.com/avatar/fd40c3a08d2a5d62ef484ad463b689dd?s=32&d=blank&r=g
[60]: http://www.cs.washington.edu
[61]: http://hunch.net/?p=224&cpage=1#comment-75342
[62]: http://1.gravatar.com/avatar/dc20f7fc7b7dab70033b2a9d86c70144?s=32&d=blank&r=g
[63]: http://threewordslong.com/blog/
[64]: http://hunch.net/?p=224&cpage=1#comment-114364
[65]: http://1.gravatar.com/avatar/?s=32&d=blank&r=g
[66]: http://www.ik.com
[67]: http://hunch.net/?p=224&cpage=1#comment-133075
[68]: http://ajaygopalakrishnan.wordpress.com/2008/03/10/hunch-all-models-of-learning-have-flaws/
[69]: http://hunch.net/?p=224&cpage=1#comment-162394
[70]: http://abnercyh.wordpress.com/2008/07/06/study-ml-or-just-run-some-tools-of-ml/
[71]: http://hunch.net/?p=224&cpage=1#comment-195365
[72]: http://tagz.in/posts/1ii/comments/
[73]: http://hunch.net/?p=224&cpage=1#comment-281427
[74]: http://hunch.net/?page_id=1115
[75]: http://hunch.net/?page_id=270
[76]: http://hunch.net/?page_id=122
[77]: http://hunch.net/?page_id=284
[78]: http://www.feedburner.com/fb/images/pub/feed-icon16x16.png
[79]: http://feeds2.feedburner.com/MachineLearningtheory
[80]: http://eSwT
[81]: http://hunch.net/?page_id=284&cpage=1#comment-3089765
[82]: http://hunch.net/?page_id=284&cpage=1#comment-3089764
[83]: http://hunch.net/?page_id=284&cpage=1#comment-3089763
[84]: http://hunch.net/?p=8825714&cpage=1#comment-3089752
[85]: http://hunch.net/?p=8825714&cpage=1#comment-3089750
[86]: http://blog.computationalcomplexity.org/2018/02/np-is-hard.html
[87]: http://hunch.net/?p=8825714
[88]: http://feedproxy.google.com/~r/TheGeomblog/~3/ZZphn3nxqsc/a-metoo-testimonial-that-hits-close-to.html
[89]: https://blogs.princeton.edu/imabandit/2018/01/29/k-server-part-3-entropy-regularization-for-weighted-k-paging/
[90]: http://www.machinedlearnings.com/2017/12/nips-conversation-ai-workshop.html
[91]: http://hunch.net/?cat=22
[92]: http://hunch.net/?cat=30
[93]: http://hunch.net/?cat=4
[94]: http://hunch.net/?cat=35
[95]: http://hunch.net/?cat=53
[96]: http://hunch.net/?cat=42
[97]: http://hunch.net/?cat=31
[98]: http://hunch.net/?cat=37
[99]: http://hunch.net/?cat=33
[100]: http://hunch.net/?cat=55
[101]: http://hunch.net/?cat=66
[102]: http://hunch.net/?cat=15
[103]: http://hunch.net/?cat=62
[104]: http://hunch.net/?cat=27
[105]: http://hunch.net/?cat=73
[106]: http://hunch.net/?cat=23
[107]: http://hunch.net/?cat=1
[108]: http://hunch.net/?cat=63
[109]: http://hunch.net/?cat=13
[110]: http://hunch.net/?cat=74
[111]: http://hunch.net/?cat=20
[112]: http://hunch.net/?cat=57
[113]: http://hunch.net/?cat=40
[114]: http://hunch.net/?cat=68
[115]: http://hunch.net/?cat=36
[116]: http://hunch.net/?cat=32
[117]: http://hunch.net/?cat=3 "Topics on the organization of learning."
[118]: http://hunch.net/?cat=18 "Discussion of papers"
[119]: http://hunch.net/?cat=71
[120]: http://hunch.net/?cat=79
[121]: http://hunch.net/?cat=39
[122]: http://hunch.net/?cat=38
[123]: http://hunch.net/?cat=16 "Learning related problems that may be worth tackling."
[124]: http://hunch.net/?cat=2 "Open Problems & General questions."
[125]: http://hunch.net/?cat=28
[126]: http://hunch.net/?cat=21
[127]: http://hunch.net/?cat=24
[128]: http://hunch.net/?cat=9
[129]: http://hunch.net/?cat=19
[130]: http://hunch.net/?cat=34
[131]: http://hunch.net/?cat=26
[132]: http://hunch.net/?cat=25
[133]: http://hunch.net/?cat=5
[134]: http://hunch.net/?cat=48
[135]: http://hunch.net/?cat=54
[136]: http://hunch.net/?cat=10
[137]: http://hunch.net/?cat=17
[138]: http://hunch.net/?cat=41
[139]: http://www.conflate.net/icml/
[140]: http://conflate.net/inductio/
[141]: http://www.kdnuggets.com/
[142]: http://www.kernel-machines.org/phpbb/
[143]: http://ml.typepad.com/
[144]: http://mloss.org/community
[145]: http://www.eecs.umich.edu/~baveja/RLmainpage.html
[146]: http://machine-learning.blogspot.com/
[147]: http://en.wikipedia.org/wiki/Machine_learning
[148]: http://weblog.fortnow.com/
[149]: http://www.cra.org/govaffairs/blog/
[150]: http://geomblog.blogspot.com/
[151]: http://www.sixthform.info/maths/index.php
[152]: http://math.andrej.com/
[153]: http://www.michaelnielsen.org/blog/
[154]: http://blog.oddhead.com/
[155]: http://qualgorithms.blogspot.com/
[156]: http://dabacon.org/pontiff/
[157]: http://hunch.net/wp-login.php?action=register
[158]: http://hunch.net/wp-login.php
[159]: http://hunch.net/?feed=rss2
[160]: http://hunch.net/?feed=comments-rss2
[161]: https://wordpress.org/ "Powered by WordPress, state-of-the-art semantic personal publishing platform."
[162]: http://wordpress.org/ "Powered by WordPress, state-of-the-art semantic personal publishing platform."

  [*RSS]: Really Simple Syndication

