---
created_at: '2016-07-08T15:05:48.000Z'
title: Are we getting enough sulfur in our diet? (2007)
url: http://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/
author: PaulHoule
points: 52
story_text: 
comment_text: 
num_comments: 54
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1467990348
_tags:
- story
- author_PaulHoule
- story_12056022
objectID: '12056022'

---
[Source](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/ "Permalink to Are we getting enough sulfur in our diet?")

# Are we getting enough sulfur in our diet?

**Warning:** The NCBI web site requires JavaScript to function. [more...][1]
* [NCBI![NCBI Logo][2]][3]
* [Skip to main content][4]
* [Skip to navigation][5]
* [Resources][6]
* [How To][7]
* [About NCBI Accesskeys][8]

[My NCBI][9][Sign in to NCBI][10][Sign Out][11]

# [PMC][12]

[US National Library of Medicine][13]   
[National Institutes of Health][14]

Search databasePMCAll DatabasesAssemblyBiocollectionsBioProjectBioSampleBioSystemsBooksClinVarCloneConserved DomainsdbGaPdbVarESTGeneGenomeGEO DataSetsGEO ProfilesGSSGTRHomoloGeneIdentical Protein GroupsMedGenMeSHNCBI Web SiteNLM CatalogNucleotideOMIMPMCPopSetProbeProteinProtein ClustersPubChem BioAssayPubChem CompoundPubChem SubstancePubMedPubMed HealthSNPSparcleSRAStructureTaxonomyToolKitToolKitAllToolKitBookghUniGene

Search term

Search

* [Advanced][15]
* [Journal list][16]
* [Help][17]
* [Journal List][16]
* [Nutr Metab (Lond)][18]
* [v.4; 2007][19]
* PMC2198910

![Logo of nutrmeta][20]

Nutr Metab (Lond). 2007; 4: 24. 

Published online 2007 Nov 6.  doi:  [10.1186/1743-7075-4-24][21]

PMCID: PMC2198910

# Are we getting enough sulfur in our diet?

[Marcel E Nimni][22],![corresponding author][23]1 [Bo Han][24],1 and [Fabiola Cordoba][25]2

1Departments of Surgery and Biochemistry and Molecular Biology, Keck School of Medicine, University of Southern California, Los Angeles, CA. 90032, USA

2Pediatrics Medical Group, San Juan, 00907, Puerto Rico

![corresponding author][23]Corresponding author.

Marcel E Nimni: [moc.loa@700inmin][26];  Bo Han: [ude.csu@nahob][26];  Fabiola Cordoba: [moc.loa@abodrocaloibaf][26]

[Author information ►][27] [Article notes ►][27] [Copyright and License information ►][27]

Received 2007 May 8; Accepted 2007 Nov 6.

[Copyright][28] © 2007 Nimni et al; licensee BioMed Central Ltd.

This is an Open Access article distributed under the terms of the Creative Commons Attribution License (<http://creativecommons.org/licenses/by/2.0>), which permits unrestricted use, distribution, and reproduction in any medium, provided the original work is properly cited.

This article has been [cited by][29] other articles in PMC.

## Abstract

Sulfur, after calcium and phosphorus, is the most abundant mineral element found in our body. It is available to us in our diets, derived almost exclusively from proteins, and yet only 2 of the 20 amino acids normally present in proteins contains sulfur. One of these amino acids, methionine, cannot be synthesized by our bodies and therefore has to be supplied by the diet. Cysteine, another sulfur containing amino acid, and a large number of key metabolic intermediates essential for life, are synthesized by us, but the process requires a steady supply of sulfur.

Proteins contain between 3 and 6% of sulfur amino acids. A very small percentage of sulfur comes in the form of inorganic sulfates and other forms of organic sulfur present in foods such as garlic, onion, broccoli, etc.

The minimal requirements (RDA) for all the essential amino acids have always been estimated in terms of their ability to maintain a nitrogen balance. This method asses amino acid requirements for protein synthesis, only one of the pathways that methionine follows after ingestion. To adequately evaluate the RDA for methionine, one should perform, together with a nitrogen balance a sulfur balance, something never done, neither in humans nor animals.

With this in mind we decided to evaluate the dietary intake of sulfur (as sulfur amino acids) in a random population and perform sulfur balance studies in a limited number of human volunteers. Initially this was done to try and gain some information on the possible mode of action of a variety of sulfur containing compounds (chondroitin sulfate, glucosamine sulfate, and others, ) used as dietary supplements to treat diseases of the joints. Out of this study came information that suggested that a significant proportion of the population that included disproportionally the aged, may not be receiving sufficient sulfur and that these dietary supplements, were very likely exhibiting their pharmacological actions by supplying inorganic sulfur.

## Introduction

Because of the much larger implications of sulfur metabolism, and the role that this element plays in the synthesis of a very large number of key metabolic intermediates, such as glutathione, we decided to extend this review to include a broad scope of overlapping metabolic pathways that can be affected by insufficient or marginal intake of sulfur. The hope is that such a review will encourage further research into this very important and most often neglected area of metabolism. This includes the potential to affect the initiation and progression of a large number of anomalies presenting inflammatory and degenerative changes as well as those associated with normal aging and the wasting aspects of a large number of pathologies.

Sulfur containing metabolites, of which glutathione is a key exponent, merge in their functioning with many other compounds that play a major role in mechanisms which are receiving tremendous interests as parts of conventional and complementary medical care. These include the n-3 and n-6 polyunsaturated fatty acids, minerals such as Selenium, Zinc, Copper and Magnesium, vitamins E and C, antioxidants such as the proanthocyanidins and lipoic acid, many of which are involved in the synthesis of prostaglandins and in the antioxidant cascade. More and more evidence is accumulating and focusing on the cooperative role that glutathione and other sulfur metabolites play in the homeostatic control of these fundamental mechanisms.

### Metabolism of sulfur containing amino acids

Methionine and cysteine are both required for protein synthesis by simple-stomached mammals and avian species [[1][30]]. For optimal growth, diets must provide these two amino acids, or methionine alone. The physiological requirements for cysteine can be met by dietary cysteine or by an excess of dietary methionine. The molar efficiency of trans-sulfuration, i.e. methionine sulfur converted to cysteine sulfur, is 100%. Cysteine can reduce the requirements of dietary methionine even though no cysteine is converted to methionine in higher organisms by sparing its utilization for essential processes. From the standpoint of the diet, methionine alone is capable of providing all the necessary body sulfur, with the exception of the two sulfur-containing vitamins, thiamin and biotin.

In 1989 a subcommittee of the United States Food and Nutrition Board, National Research Council, issued its last update on recommended dietary allowances (RDA) for protein and amino acids (These recommendations rely on N balance studies performed many years ago [[2][31]-[4][32]]. The RDA for methionine (combined with cysteine) for adults has been set at 14 mg/Kg of body weight per day. Therefore a person weighing 70 Kg, independent of age or sex, requires the consumption of around 1.1 g (0.9 mMoles) of methionine/cysteine per day. When Rose proposed these amounts he suggested that a "safe intake" should be twice that amount or 2.0 g/day, probably acknowledging that his studies had been done on limited numbers of individuals, usually 3–6 for each amino acid.

These requirements of man for methionine, and the sparing effects of cysteine, determined in young healthy volunteers in 1955 by Rose et al are still accepted today, in spite of indications that they may not represent universal values [[5][33]]. Tuttle et al [[6][34]] feeding purified amino acid diets containing variable amounts of methionine to older individuals at the VA Hospital in Los Angeles/UCLA established values significantly higher than those previously established by Rose in young college students. They all needed more than 2.1 g/day, with some subjects requiring up to 3.0 g/day to remain in positive nitrogen balance. Although Fukagawa et al [[7][35]] were not able to confirm such differences using amino acid oxidation, rather that N-balance as criteria; they agreed that further studies were required. Neither their approaches, which relies on the production of isotope enriched CO2, nor the nitrogen balance studies take into account the unique role of the SAA (sulfur amino acids), to provide S for sulfation. Fuller and Garlick [[8][36]] who reviewed the subject in detail concluded that, both for men and women amino acid requirements appear underestimated.

In light of these concerns, particularly as it relates to the unique role of the SAA in providing sulfates for GAG (glycosaminoglycans) synthesis, it seems essential to determine if the needs for sulfur are being met, in particular as it relates to GAG and GSH (glutathione) in cartilage. One could predict that GAG synthesis may not fare well during marginal intakes, and that a preference will be given to the synthesis of proteins and essential metabolic intermediates like CoA, SAM (S-Adenosyl-L-Methionine), GSH, etc. in the brain and other fundamental organs. Unfortunately no studies have been performed to address this very important question.

Studies in humans are not easy to perform, are costly and subject to many variables. In other species, there appears to be more information, particularly in poultry or cattle, where growth stimulation represents a significant economic advantage. It should be noted that poultry diets are always supplemented with methionine/cysteine to enhance growth [[9][37],[10][38]].

### Factors that can reduce the availability of methionine/cysteine

Sulfation is a major pathway for detoxificication of pharmacological agents by the liver. As already mentioned, certain drugs that play a key role in the treatment of cartilage anomalies, such as acetaminophen require sulfate for their excretion. Acetaminophen is given in large doses to alleviate pain, and doses of up to 4 gm/day are recommended in the label, but often more is consumed. Thirty five % is excreted conjugated with sulfate and 3% conjugated with cysteine [[11][39]]. The rest is excreted conjugated with glucuronic acid, incidentally also one of the major components of GAG.

Methionine or cysteine (0.5%) added to the diet can overcome the severe methionine deficiency induced in rats by the addition of 1% acetaminophen, (an equivalent to the 4 gm/day to a human dose) [[12][40]]. It is interesting to note that D- as well as L-methionine could restore growth, implying that depletion of sulfur was the primary defect and not one related to protein synthesis.

Most important is that hepatic concentrations of active sulfate, in the form of PAPS (adenosine 3'-phosphate 5'-phosphosulftate) a key metabolic precursor of GAG was also decreased and could be restored to normal by supplementation with methionine [[13][41]]. Urinary sulfate excretion was reduced up to 95% by feeding low-methionine diets to rats, and a 60% decrease in liver methionine was observed, [[14][42]]. Depending on the degree of depletion restoration of normal sulfate excretion and levels of liver glutathione could be achieved during supplementation. Inorganic sulfate was not as effective in restoring PAPS levels as methionine (Fig ​[(Fig11][43]).

![Figure 1][44]

[Figure 1][43]

Simplified diagram that depicts the relationships between SAA, GAG synthesis, storage of cysteine as glutathione, protein synthesis and nitrogen metabolism.

In rats exposed to a deficient intake of sulfur to study sulfation of acetaminophen for purpose of biodegradation alterations in PAPS homeostasis were observed [[15][45]]. Concomitantly these animals eliminated acetaminophen from blood at a slower rate and converted it to a toxic thioether intermediate. Reduced sulfation appears to be caused by decreased availability of inorganic sulfate for PAPS synthesis.

### Glutathione (GSH) a key metabolite and storage form for sulfur

Sulfur amino acids contribute substantially to the maintenance and integrity of the cellular systems by influencing cellular redox state and the capacity to detoxify toxic compounds, free radicals and reactive oxygen species [[16][46]]. Cysteine and methionine are not stored in the body. Any dietary excess is readily oxidized to sulfate, excreted in the urine (or reabsorbed depending on dietary levels) or stored in the form of glutathione (GSH). Even in extreme situations, such as when tryptophane deficiency leads to a general catabolic effect, the organism tries to spare the loss of sulfur by continuing to store any available sulfur as GSH in the liver [[17][47]]. The availability of cysteine appears to be the rate limiting factor for synthesis of GSH. GSH values are subnormal in a large number of wasting diseases and following certain medications leading frequently to poor survival [[18][48],[19][49]]. By supplying SAA many of these changes can be reversed. In the brain, which is usually the most spared organ during nutrient deficiencies, GSH concentration declines in order to maintain adequate levels of cysteine. This loss of GSH impairs antioxidant defenses. The active form of glutathione is the reduced form, GSH, while the inactive form GSSG, has to be converted to GSH. The usual ratio of GSH:GSSG in tissues is around 100:1. Cartilage, less essential for survival, may not fare well under conditions of sulfur deprivation, explaining why dietary supplements containing sulfur (chondroitin sulfate, glucosamine sulfate, MSM (Methylsulfonylmethane), etc.) may be of benefit in the treatment of joint diseases [[20][50]]. Neither GSH nor GAG synthesis have been investigated in this context.

Even sulfurated water hydrotherapy, many times accompanied by the ingestion of such waters, and considered an empirical treatment for a variety of diseases, has been shown to involve the GSH related antioxidant cascade [[21][51],[22][52]]. The relationship of diet, age and other physiological parameters to blood and tissue concentrations of GSH are well documented [[23][53]-[26][54]]. Since all the dietary supplements investigated containing sulfate, including MSM [[27][55]] are readily metabolized prior or shortly after absorption to sulfate or small molecular weight intermediates, they should be able to spare losses of GSH associated with dietary deficiencies, increased utilization due to disease or altered immune function.

Reactive oxygen species (ROS) are generated during normal cellular activity and may exist in excess in some pathophysiological conditions, such as inflammation or preperfusion injury. These molecules oxidize a variety of cellular constituents, but sulfur-containing amino acid residues are especially susceptible [[28][56]]. Therefore exploring fundamental aspects of sulfur metabolism such as the regulation of cell function by methionine oxidation and reduction and the antioxidant effects of sulfur-containing amino acids [[29][57]] may help elucidate the mechanism by which the dietary supplements in question work.

### Glutathione: its protective role against oxidative and free radical damage and its potential to enhance the immune function

The manner in which cells and tissues respond to variations in SAA intake is constrained by the characteristics of the key enzymes in the metabolic pathways involved [[30][58]]. At low intracellular concentrations of methionine, remethylation of the metabolic product is favored over transsulfuration, and methionine is conserved. With increasing methionine intake, the transsulfuration pathway, which provides a substrate for GSH synthesis, is increased.

Thus, under conditions of low SAA intake, protein synthesis will be maintained, and synthesis of sulfate and GSH will be curtailed. Changes in the availability of GSH are likely to influence in a negative fashion the function of the immune system and of the antioxidant defense mechanisms.

High dietary intakes methionine (5–6 g/day) on the other hand have been shown to raise plasma levels of homocysteine, despite adequate intakes of B vitamins [[31][59]-[33][60]]. This raises some concern as one does not want to activate the immune system at the cost of enhancing monocyte adherence to endothelial cells.

As discussed earlier GSH is influenced by dietary SAA intake. In an isotopic study in rats, when diets with various SAA contents were fed at adequate levels, 7 molecules of S were incorporated into GSH for every 10 incorporated into protein [[34][61]]. At inadequate levels of intake the ratio fell to <3:10. This response to a low intake of SAA is causes antioxidant defenses to become compromised.

A reduction in the levels of GSH, and consequently of antioxidant defenses, may increase the risk of damage to the host via transcription factor activation leading to up-regulation of proinflammatory cytokines, such as nuclear transcription factors and activator proteins, induced in turn by agents such as hydrogen peroxide, mitogens, bacteria, viruses, and UV and ionizing radiation.

Oxidant damage to cells will give rise to a cascade of proinflammatory effects by the production of lipid peroxides. Even though some of these effects are biphasic in nature as it relates to levels of SAA, it is generally accepted that GSH and the associated antioxidant activity exerts an immune enhancing effect by activating transcription factors that are strongly associated with cell proliferation as well as a parallel an anti-inflammatory effect as described earlier.

Further knowledge of these metabolic processes, at other levels beyond the availability of substrate, will be necessary for us to be able to modulate with more accuracy these events to the benefit of the whole organism.

### Regulation of prostaglandin biosynthesis by glutathione

Prostaglandins (PGs) are very well known to play an important role in a variety of normal body functions as well in key metabolic steps associated with many of the events associated with inflammation.

PGs are synthesized from free arachidonic acid via two isoforms of cyclooxygenase (COX, also referred to as PGH2 synthetase). Although the availability of arachidonic acid has been actively investigated as a major metabolic factor controlling PG production, it is clear that other cellular cofactors may also regulate PG biosynthesis.

PGH synthetase has two activities, the cyclooxygenase activity which introduces the 5-membered ring into the PUFA (polyunsaturated fatty acid), and another which introduces an endoperoxide and a hydroperoxide into the PUFA. The peroxidase activity reduces the hydroperoxide into a hydroxyl group using GSH as a source of reducing equivalents.

The observation that both the constitutive and the mitogen inducible isoforms of prostaglandin H2 synthetase are markedly affected by GSH and GSH peroxidase [[35][62]], has catalyzed significant interest in connection with this process. The sites of action of GSH and GSH peroxidase on the metabolic pathway in question is shown in Fig ​[Fig22][63].

![Figure 2][64]

[Figure 2][63]

Enzymatic conversion of arachidonic acid (AA) to PGs and the sites of inhibition by GSH and GSH peroxidase (GSSPx). (Adapted from Marglit et al. [36]).

Studies by Margalit et al [[36][65]] has provided clear evidence in mice that elevated levels of GSH inhibit PG production, and most likely exhibit its anti-inflammatory effects in a urate crystal induced model via this mechanism. This attenuation of PG synthesis in vivo sheds light on another potential benefit associated with increased SAA intake and adequate levels of tissue GSH. From the practical point of view, it raises the possibility that a satisfactory intake of SAA combined with PUFA may prove of significant benefit to individuals suffering from a variety of joint anomalies associated with inflammation.

The question of how in the presence of adequate PUFA precursors the constitutive and inducible forms of prostaglandin H synthetase can be induced to generate the appropriate forms of prostaglandin required to maintain tissue homeostasis will rely on further understanding of the co-factors and feedback mechanisms involved.

Until these fundamental questions are answered, the best we can do is to continue to reduce the ratio of omega 6/omega 3 in our dietary supply of PUFA (which currently is around 10.0 compared to 12.0 just a few years ago) by increasing consumption of fish and certain plant oils, to what is considered an ideal ratio of 2.3/1.0 [[37][66]].

### Metabolic studies exploring the relationship of dietary sulfur intake to urinary excretion of inorganic sulfate

The lack of available data on the relationship of dietary supplements, such as chondroitin sulfate and its analogues, to dietary intake of sulfur and to any possible relationship encouraged us to contemplate a series of human metabolic/balance studies that would relate intake of proteins, dietary supplements containing sulfur and SAA to sulfate excretion.

Our preliminary studies were presented at the American College of Clinical Nutrition, American College of Rheumatology (2001) and subsequently published [[20][50]]. These studies, even though limited in scope, provide further evidence for the ready conversion of sulfur in dietary supplements into inorganic sulfate. The retention of sulfur from SAA or from the dietary supplements administered during the ingestion of low or marginal levels of protein as compared to the enhanced excretion during higher levels of intake provided valuable clues (Fig. ​[(Fig.3).3][67]). It would appear from our findings that the minimum adequate intake values determined in a VA setting in older people by Tuttle et al [[6][34]] may closer to being accurate than those currently accepted as the RDA.

![Figure 3][68]

[Figure 3][67]

Intake of SAA as part of the basic diet (dark bar) are superimposed by a 10 mmole supplement of methionine administered as a single dose on the morning of the experiment. The total height of the bar therefore represents intake of S in mmoles. In an adjacent **...**

Our studies were performed in normal volunteers (ages 35–70). Sulfate, free and esterified were measured by a modification of the nephelometric method of Berglund and Sorbo [[38][69]] and urine creatinine using a kit (555-A) from Sigma. Intake of SAA was evaluated with the aid of a Nutritional Analysis Software (ESHA Research, version 7.6). L-methionine (Solgar) was purchased as dietary supplements. A sustained release formulation of L-methionine was specially prepared by Xcel Medical Pharmacy (Woodland Hills, CA.).

### Relationship between dietary intake of protein with or without Methionine or S-containing compounds and urinary excretion of free sulfate

Subjects were adapted to a particular level of dietary protein by starting them on their diets 24 hours in advance of the actual test. Protein levels were incremented by the addition of low-fat tuna, which is mostly protein, to the basal diet. Figure ​[Figure33][67] summarizes sulfur balance studies that include L-methionine supplements.

Our findings (Fig ​[(Fig3)3][67]) clearly demonstrate that S retention occurs during the consumption of low levels of protein. When less than 10 mmoles of sulfur derived from dietary proteins are consumed, supplementing the diet with 10 mmoles of L-methionine was accompanied by retention of this amino acid. At higher levels of dietary protein intake, when the requirements of sulfur are presumably met, essentially all the methionine added to the diet is excreted in the urine.

The significant retention of methionine at low levels of protein intake gave the first clues that our dietary supply of sulfur could be borderline or even unsatisfactory for many individuals.

### Intake of SAA in a normal population: relationship to the RDA and to the potential loss of sulfate associated with drug metabolism

A generalized assessment of diet intake and quality is very difficult to make because of obvious reasons. The heterogeneity of populations (cultural, socio-economic, ethnic, geography, occupation, fast-food consumption, advertising, etc) all influence food intake. Nevertheless, it seemed important for the purpose of this study to try and generate a profile that would cover various segments of the population, and relate the values obtained to the accepted RDA for SAA and to the alternate higher requirements suggested by others. To gain further insight we grouped the various individuals evaluated into subgroups (Table ​[(Table11][70]).

![Table 1][71]

[Table 1][70]

Average sulfur amino acid intake associated with the consumption of a variety of typical diets.

Even though diets vary periodically we noticed that individuals tend to adopt certain repetitive patterns that in a way facilitated the evaluation. Intake of SAA measured in 32 individuals ranged between 1.8 and 6.0 g/day (14 and 45 mmoles/day). For purposes of calculations the cysteine and methionine were combined as SAA. In general the ratio of cysteine/methionine is close to one for poultry and red meat protein, and to 0.7 for fish. Dairy products tend to have slightly higher levels of methionine and starch rich foods slightly more cysteine. Eggs contain significantly more cysteine. To estimate molar concentrations a 1:1 ratio was employed. Some of the lower SAA values recorded in our survey included individuals who tended to be more health conscious and consume no red meet and little animal protein, as well as those consuming "fad diets". Many older people could turn out to be outright deficient (group X) independent of the criteria used (Fig ​[(Fig4).4][72]). Obviously these dietary estimates have to be considered very preliminary, but they are meant, at this time, to attempt to shed some light on an area seldom explored.

![Figure 4][73]

[Figure 4][72]

Dietary intake of SAA (methionine plus cysteine) measured in various subgroups of a population. These were compared to suggested requirements: the RDA (1989), 2× the RDA (Rose's safety margin) [4] and Tuttle et al [6] determined in older individuals. **...**

The above figure compares the SAA intake in g/day to the accepted RDA (1989), twice the RDA values accepted to provide greater safety to a large population, and to values arrived to for older individuals by thee VA study of Tuttle et al. [[6][34]].

Also a column is included, in which the available SAA are reduced by 0.9 g/day, equivalent to a SAA loss associated with the intake of the standard higher recommended dose of acetaminophen. As already noted, this drug, as well as several others, is excreted in great part conjugated with sulfate. Depending on which assumption for minimum requirements are used, only those groups who emerge above the cut-off lines would be receiving an adequate amount of SAA. Using Tuttle et al estimates [[6][34]] (which agree well with our current estimates) combined with the estimated loss of sulfate due to acetaminophen conjugation, a large segment of the population, which include those most vulnerable to OA, would appear to be sulfur deficient or receiving marginal intakes.

At this time we cannot draw any solid conclusions from these estimates. We know that renal re-absorption of sulfates increases during periods of deficiency [[39][74]] but not how long such a sparing effect can hold. The values obtained by Tuttle et al are derived from a limited selected VA population. So are ours as well as those of Rose et al. Until these studies are expanded to include simultaneous S and N-Balance determinations and biosynthetic studies in animals, and well controlled S-balance studies in humans are performed we will not be able to clearly answer this important question.

It should be pointed out that we could not find in the recorded literature any studies that effectively measure sulfur balance in human or other animals. All metabolic studies in this connection, even those that focus on the requirements for sulfur amino acids, study nitrogen balance but not sulfur balance. Essentially this means that the role of sulfur amino acids has only been evaluated in herms of protein synthesis, but never in terms of their ability to contribute sulfur to so many important metabolites. As part of our preliminary investigations we evaluated the dietary intake of SAA, the urinary excretion of inorganic sulfate and of creatinine by a 35 year old male subject consuming a random balanced diet over a 3 day period. Results are summarized in Fig ​[Fig55][75].

![Figure 5][76]

[Figure 5][75]

Urinary excretion of sulfates and creatinine during consumption of a standard diet, over a period of 48 hours.

The above figure emphasizes another aspect of the proposed studies, the relationship between S and N excretion. We did not include the ethereal sulfate (less than 5% of total) since no medication was being consumed. Excretion of creatinine over a 24 hour periods has for a long time been related to muscle mass and used for metabolic calculations. They are not useful for N- balance studies since they do not follow protein intake [[40][77]]. On the other hand it is clear that sulfate intake and excretion correlate quite well. Free amino acids in general cannot be stored and the SH moiety of cysteine, in particular, is readily oxidized. Cysteine can be cytotoxic since the reactive thiol-amine structure can combine with aldehydes such as pyridoxal, and can also chelate essential divalent cations. SAA are used to replenish the stores of GSH, which can be considered a storage form for sulfur, and only when this goal is met is the excess oxidized to sulfate.

The excretion of sulfate associated with the administration of methyl prednisolone is included to illustrate how a catabolic event can affect sulfur loss (Fig ​[(Fig6).6][78]). Since steroids are frequently used by patients with joint diseases, the large excretion of sulfate may, among other things, interfere with PG synthesis and other important metabolites such as GSH. This aspect of the catabolic effect of steroids does not seem to have been explored.

![Figure 6][79]

[Figure 6][78]

Urinary excretion of free sulfate following a single oral dose of methyl prednisolone (24 mg) followed by a second dose of (20 mg) the following day, while ingesting a diet that supplied 19 mmoles of SAA/day.

Consumption of sparkling mineral water containing 0.5 g of sulfate/liter (in this case San Pellegrino, one of the very few mineral waters that contains sulfate ions) throughout the day (2 liters containing approximately 10 mmoles) was accompanied by quantitative excretion of sulfate when dietary protein levels supplied 25 mmoles of SAA or more per day (Fig ​[(Fig77][80]).

![Figure 7][81]

[Figure 7][80]

Twenty four hour urinary excretion of sulfate by individuals consuming different amounts of protein combined with 10 mmoles of sulfate from a mineral water source, evenly distributed through out the daytime hours, and compared to control (case 1, basal **...**

These findings support the observation, sometimes disputed, that inorganic sulfates are readily absorbed and excreted in urine, in spite of the osmotic effects that they can generate and which lead to their use as laxatives [[11][39],[41][82]]. In our case, steady administration of a dilute solution may have facilitated absorption from the GI tract and enhanced urinary excretion. Absorption in the small intestine is estimated to reach 5 mmoles/day, and the remainder is absorbed in the colon [[41][82]].

Levels of sulfates in drinking water vary considerably with their source and location. A study in Ohio, evaluating sulfate concentrations in well waters consumed by farm animals, revealed values that ranged between 6 and 1,600 g/liter. The water in our studies, San Pellegrino, from an Italian source is stated in the label to contain .535 g sulfate ions per liter. We found experimentally that the batches used did not vary more than 5% from the stated value. Inorganic sulfates are only very minor components of our diet. Some processed or enriched foods contain minute amounts of sulfites as preservatives and certain additives included in flour, for instance, (ferric sulfate) can contain sulfate. Garlic, onions, and brussel sprouts contain significant amounts of sulfur. Feedstuffs fed to animals has been investigated for their sulfur content in much more detail than foods for humans, and ranges from 0.2% in beet pulp to 1.2% in canola meal (on a dry weight basis) have been observed. As noted earlier the levels of sulfur in the diet can greatly affect the growth and health of livestock.

### Protein and amino acid requirements of the elderly with special focus on sulfur containing amino acids

The estimated protein requirements, for all ages, as discussed earlier, has been based on nitrogen equilibrium studies, and aided occasionally by functional indicators such as immune function or muscle strength. Data from various sources, suggests that the protein requirements for nitrogen equilibrium in the elderly is greater than the 0.8 gm/kg body weight/day. Values of around 1.0 gm/Kg have been suggested [[42][83]]. However because of methodological difficulties the data does not allow for a very confident prediction.

As pointed out by Young [[43][84]] our knowledge of the dietary requirements for older individuals are often limited and contradictory, although significant efforts continue to be made to overcome this problem. There is a general consensus that the protein requirements of this population are underestimated and it was suggested that a total of 15% of the energy requirements of this population be supplied by proteins. This would translate into an average of around 75–85 g of protein/day. This amount of protein, would supply approximately 3.5 to 4.0 g of SAA per day, which should more than meet all estimates for the requirements of these amino acids. Unfortunately these levels of protein intake are infrequently met by the older segment of the population. The well established sarcopenia associated with older age seems to be associated in part to a decline in protein and energy intake, caused by changes in taste sensation, alterations in dentition, social isolation, depression and economic factors. In addition to the less than optimal food intake, older individuals appear to substitute protein in preference to fat and carbohydrate rich meals, which may again reflect changes in taste [[44][85]]. The WHO recommendations for SAA intake of 13 mg/kg of body weight are in the same range as those suggested by the RDA. There is a consensus that in diseases and following trauma these values may be 2 or 3 times higher [[45][86]].

There is a growing body of data pointing out the potential importance of oxidative stress and resulting changes in redox state in numerous diseases, including sepsis, chronic inflammation, cancer AIDS/HIV, and of course aging. These observations warrant continued attention for the potential supplementation role of SAA supplementation, in the form of additional protein or as has been found useful, N-acetylcysteine in some particular circumstances. Because of the toxicity of cysteine, and possibly even of methionine supplements given in excess, and the intrinsic problems associated with an induced amino acid imbalance, proteins rich in SAA have been considered as supplements. Immunocal®, a purified milk fraction enriched in whey protein is currently being used because of its potential to augment antioxidant defenses and improve immune function [[46][87]]. Twenty grams/day of Immunocal significantly enhanced muscular performance and lymphocyte GSH in a group of 20 young adults. Although whey proteins contain significantly more cysteine than casein (2.5% vs. 0.35) the total amount of total SAA is less significantly different (5.2% vs. 3.2%).

Cost and availability become another key factor in reducing dietary protein intake in the aged as do perceived intolerance to certain food groups, difficulty tearing and chewing fibrous foods, as well as the fear of consuming too much fat or cholesterol. Unfortunately eggs, which have a amino acid profile considered as a standard against which other proteins are compared, and which are amongst the proteins with a higher SAA content and are amongst the least expensive in terms of cost, are often not included as major ingredients in the diets of older people.

The importance of dietary protein cannot be underestimated in this population since inadequate protein intake contributes, among other things, to a decrease in lung reserve capacity, increased skin fragility, osteoporosis, decreased immune function and muscle mass (sarcopenia), poor healing and longer recuperation from illness [[2][31],[47][88]].

## Discussion

Glutathione (GSH)is the most abundant low molecular weight thiol and form of storage of SH-. Animal and human studies have demonstrated that adequate protein nutrition is crucial for the maintenance of GSH homeostasis [[48][89]]. Elevated levels of GSH inhibit prostaglandin production by a direct interaction with COX enzymes, of potential significance in the progression of inflammatory or degenerative states [[36][65]]. It is of particular interest, as discussed earlier that prostagandins synthesized from PUFA and most of the non-steroidal anti-inflammatory drugs share this same locus of involvement. It is also relevant that some recent studies have found that on occasions the pain reduction in OA associated with the administration of chondroitin sulfate, a source of sulfur, was found to be equivalent to that provided by NSAID. The reasons for such unpredictable results, we suspect could be associated with differences in levels of protein in the diet, the better responders consuming higher amounts of SAA. This hypothesis will have to be evaluated in future clinical studies.

As discussed neither cysteine nor methionine are stored in the body. Any dietary excess is readily oxidized to sulfate, excreted in the urine (or reabsorbed depending on dietary levels) or stored in the form of glutathione (GSH). Even in extreme situations, such as when tryptophane deficiency leads to a general catabolic effect, the organism tries to spare the loss of sulfur by continuing to store any available sulfur as GSH in the liver. GSH values are subnormal in a large number of wasting diseases and following certain medications, and by supplying SAA many of these changes can be reversed [[49][90]]. Whether dietary supplements containing sulfur display similar effects has not been evaluated systematically. Documented improvements in OA and joint pains associated with sulfurated water hydrotherapy, many times accompanied by the simultaneous ingestion of such waters has also been related to the GSH involvement in the antioxidant cascade.

In spite of the apparent complexity associated with evaluating the dietary intake of a population as a whole a pattern seems to emerge, even when evaluating small groups of individuals. In milk and dairy products the methionine/cysteine ratio is around 3/1. It is roughly the same in fishes such as canned tuna, which we used as a source of protein supplement in our studies, and in meats. In eggs, soy beans and other plant products it is around 4/3. The amount of protein in the various foods varies considerably, and the amount of SAA fluctuates. Chicken, fish and beef proteins contain an average of around 5% of SAA. Dairy products, milk, cheese, etc, contain lower levels, around 4%, primarily due to the lower content of SAA in casein. The whey protein fraction, accounts for about 20% of the milk proteins (rich in lactoglobulins) contains more SAA, and is used therapeutically or as a dietary supplement. Plant proteins, in addition to be present in lower amounts, are relatively low in SAA, averaging below 4%. The highest content of SAA is found in egg products, the egg white containing around 8% of SAA.

Consequently the ratios observed in a dietary survey will reflect the amounts of meats, eggs and plant products consumed. The amounts of protein, as a % of the calories consumed, is a major variable in the population. The more weight conscious individuals, and often the ones in more affluent societies, tend to consume less carbohydrate and fats and more proteins. This is counterbalanced some times by the tendency of many to consume less animal products and therefore to include more carbohydrates. In addition the desire to lose weight may reduce both calories and protein intake. Older people, at a time when OA becomes more prevalent, decrease their food intake often at the expense of proteins, frequently due to economic concerns.

Most individuals fall in between the groups established arbitrarily for the purpose of this study, but once a dietary pattern is established deviations are much less than expected. In our experimental studies, the levels of SAA were predetermined and individuals placed on pre-assigned diets containing known amounts of protein. This is critical, since even though the amounts of SAA intake closely reflects the rate of sulfate excretion, below a certain level of intake tubular reabsorption of sulfates prevents further loss. In rats, sulfate renal clearance was significantly decreased in animals that received a low methionine diet, a reflection of a sparing mechanism to retain sulfate [[39][74]]. A major unanswered question is how the overall caloric intake affects the requirements of sulfur used for other than protein synthetic purposes, and how long a sparing effect can continue during the prolonged intake of a low protein diet.

Any excess of SAA is oxidized to inorganic sulfate and excrete in the urine as neither organic nor inorganic excesses of sulfur can be stored. The normal concentration of sulfate in serum is around 3.5 mg/100 ml, roughly 5–10% of that as ether sulfate and the rest as sulfate ions. Sulfur is excreted in the urine as it exists in blood.

A deficiency of sulfur amino acids has been shown to compromise glutathione synthesis to a greater extent than protein synthesis in the presence and absence of inflammatory stimulus [[34][61]]. During an immune/inflammatory response a combination of enhanced utilization of cysteine for GSH synthesis and cell replication may be what leadsto a depletion of cellular SAM.

In man serum fasting levels of inorganic sulfate were shown to increase with age and exhibit a circadian rhythm, probably associated with food intake. Genetic defects in sulfate transport have been associated with congenital osteochondrodystrophies that may be lethal and provide insights into sulfate transport and hormonal and nutritional regulation [[50][91]]. Whereas low levels of dietary protein led to hip joint displasia in mice and rats normal levels inhibited the development of OA.

Even though under normal circumstances dietary inorganic sulfate contributes very little to our sulfate pool, the exogenous administration of small amounts of sulfate in selected forms of delivery may be useful, since contrary to what is still a common belief sulfate can be absorbed form the GI tract [[41][82],[51][92]]. Along these lines the possible beneficial effects of inorganic sulfates in drinking water should be evaluated. Certain sulfur containing thermal water baths have been found to be of benefit, probably via transdermal penetration or because of actual drinking of such waters at health spas [[21][51],[52][93]-[55][94]].

On the other hand it is important to recollect that sulfation is a major pathway for detoxification of pharmacological agents by the liver. Drugs such as acetaminophen, so frequently used in the treatment of pain associated with joint diseases, require large amounts of sulfate for their excretion. Doses of up to 4 g/day are not infrequent. Thirty five % is excreted conjugated with sulfate, 3% conjugated with cysteine [[12][40]] and the rest conjugated with glucuronic acid, incidentally a major component of glycosamino glycans (GAG) which are so critical for the integrity of cartilage and other connective tissues.

Methionine or cysteine (0.5%) added to the diet can overcome the severe methionine deficiency induced in rats by the addition of 1% acetaminophen, an equivalent to the 4 g/day of the human dose. D- as well as L-methionine were found to be equally effective, suggesting that depletion of sulfur was at the root of the primary defect and that it was unrelated to protein synthesis. It is well known that N-acetyl-p-benzoquinoneimine, a toxic metabolite of acetaminophen is detoxified by hepatic GSH. Rapid administration of acetyl-cysteine to restore GSH levels remains the treatment of choice following acetaminophen poisoning. Hepatic concentrations of active sulfate, in the form of PAPS (adenosine-3'-phosphate 5'-phosphosulfate) were also decreased and could be restored to normal by supplementation with methionine [[13][41]].

The effectiveness of D-methionine in this connection brings back to mind the early studies of Rose who used DL-methionine in his early balance studies which led to the RDA recommendations, again suggesting a significant role for the SAA, beyond that of protein synthesis. That cysteine, sulfite and other sources of sulfates can serve as precursors for GAG synthesis has been well established [[56][95]-[58][96]]. Also restricting the availability of dietary sulfur in rats (cysteine, sulfate) decreased the biotransformation of acetaminophen, as a consequence of the absence of inorganic sulfate for PAPS synthesis [[13][41],[15][45]]. Consequently, addition of a sulfur containing compound to medications such as acetaminophen or catabolic agents such as the corticosteroids, may be a potential way to compensate for sulfur loss.

A major question that arises in connection with dietary supplements that provide organic forms of sulfur, is whether the diet could account for differences in response amongst individuals. It is possible that the individuals that benefit mostly from these supplements are those that consume inadequate amounts of protein or other sources of dietary sulfate. A recent publication by Drogue [[59][97],[60][98]], who has extensively investigated the relationship of oxidative stress and aging, has concluded that this event may be in great part be associated with a deficit of cysteine and to a suboptimal intake of SAA.

Finally it may be relevant to conclude this review with a statement taken from Sir Stanley Davidson and Passmore's classic textbook of Human Nutrition and Dietetics [[61][99]] who suggested that" it is not unlikely that some of the effects of protein deficiency are in fact due to failure of sulfur containing intermediates or even to sulfur containing polysaccharides. It is even possible that the ancient nostrum of 'brimstone and treacle' (_sulfur and molasses_) had nutritional value unsuspected by modern knowledge".

## References

* Griffith OW. Mammalian sulfur amino acid metabolism: an overview. Methods Enzymol. 1987\. [[PubMed][100]]
* Campbell WW, Crim MC, Dallal GE, Young VR, Evans WJ. Increased protein requirements in elderly people: new data and retrospective reassessments. Am J Clin Nutr. 1994;60:501–509. [[PubMed][101]]
* Wretlind KA, Rose WC. Methionine requirement for growth and utilization of its optical isomers. J Biol Chem. 1950;187:697–703. [[PubMed][102]]
* Rose WC, Wixom RL. The amino acid requirements of man. XIII. The sparing effect of cystine on the methionine requirement. J Biol Chem. 1955;216:753–773. [[PubMed][103]]
* Crim MCM., HN . In: Proteins and Amino Acids, in Modern Nutrition in Health and Disease. Shils ME OJASM, editor. Baltimore, Williams & Wilkins; 1994. 
* Tuttle SG, Bassett SH, Griffith WH, Mulcare DB, Swendseid ME. Further Observations on the Amino Acid Requirements of Older Men. Ii. Methionine and Lysine. Am J Clin Nutr. 1965;16:229–231. [[PubMed][104]]
* Fukagawa NK, Yu YM, Young VR. Methionine and cysteine kinetics at different intakes of methionine and cysteine in elderly men and women. Am J Clin Nutr. 1998;68:380–388. [[PubMed][105]]
* Fuller MF, Garlick PJ. Human amino acid requirements: can the controversy be resolved? Annu Rev Nutr. 1994;14:217–241. doi: 10.1146/annurev.nu.14.070194.001245. [[PubMed][106]] [[Cross Ref][107]]
* Anderson JO, Warnick RE, Dalai RK. Replacing dietary methionine and cystine in chick diets with sulfate or other sulfur compounds. Poult Sci. 1975;54:1122–1128. [[PubMed][108]]
* Schutte JBP., M Effects of dietary sulphur-containing amino acids on performance and breast meat deposition of broiler chicks during the growing and finishing phases. Br Poult Sci. 1995;36(5): 747-62 [[PubMed][109]]
* Lin JH, Levy G. Renal clearance of inorganic sulfate in rats: effect of acetaminophen-induced depletion of endogenous sulfate. J Pharm Sci. 1983;72:213–217. doi: 10.1002/jps.2600720303. [[PubMed][110]] [[Cross Ref][111]]
* McLean AE, Armstrong GR, Beales D. Effect of D- or L-methionine and cysteine on the growth inhibitory effects of feeding 1% paracetamol to rats. Biochem Pharmacol. 1989;38:347–352. doi: 10.1016/0006-2952(89)90048-8. [[PubMed][112]] [[Cross Ref][113]]
* Glazenburg EJ, Jekel-Halsema IM, Scholtens E, Baars AJ, Mulder GJ. Effects of variation in the dietary supply of cysteine and methionine on liver concentration of glutathione and "active sulfate" (PAPS) and serum levels of sulfate, cystine, methionine and taurine: relation to the metabolism of acetaminophen. J Nutr. 1983;113:1363–1373. [[PubMed][114]]
* Rozman P, Kim HJ, Madhu C, Gregus Z, Klaassen CD. Homeostasis of sulfate and 3'-phosphoadenosine 5'-phosphosulfate in rats with deficient dietary intake of sulfur. Drug Metab Dispos. 1992;20:374–378. [[PubMed][115]]
* Gregus Z, Kim HJ, Madhu C, Liu Y, Rozman P, Klaassen CD. Sulfation of acetaminophen and acetaminophen-induced alterations in sulfate and 3'-phosphoadenosine 5'-phosphosulfate homeostasis in rats with deficient dietary intake of sulfur. Drug Metab Dispos. 1994;22:725–730. [[PubMed][116]]
* Townsend DM, Tew KD, Tapiero H. Sulfur containing amino acids and human disease. Biomed Pharmacother. 2004;58:47–55. doi: 10.1016/j.biopha.2003.11.005. [[PubMed][117]] [[Cross Ref][118]]
* Tateishi N, Higashi T, Naruse A, Hikita K, Sakamoto Y. Relative contributions of sulfur atoms of dietary cysteine and methionine to rat liver glutathione and proteins. J Biochem (Tokyo) 1981;90:1603–1610. [[PubMed][119]]
* Breitkreutz R, Babylon A, Hack V, Schuster K, Tokus M, Bohles H, Hagmuller E, Edler L, Holm E, Droge W. Effect of carnitine on muscular glutamate uptake and intramuscular glutathione in malignant diseases. Br J Cancer. 2000;82:399–403. doi: 10.1054/bjoc.1999.0933. [[PMC free article][120]] [[PubMed][121]] [[Cross Ref][122]]
* Droge W, Breitkreutz R. Glutathione and immune function. Proc Nutr Soc. 2000;59:595–600. [[PubMed][123]]
* Nimni ME CF., Strates B and Han B Chondroitin sulfate and sulfur containing condroprotective agents: Is there a basis for their Pharmacological action? Curr Rheum Rev. 2006;2:137–149. doi: 10.2174/157339706776876017. [[Cross Ref][124]]
* Ekmekcioglu C, Strauss-Blasche G, Holzer F, Marktl W. Effect of sulfur baths on antioxidative defense systems, peroxide concentrations and lipid levels in patients with degenerative osteoarthritis. Forsch Komplementarmed Klass Naturheilkd. 2002;9:216–220. doi: 10.1159/000066031. [[PubMed][125]] [[Cross Ref][126]]
* Scheidleder B, Holzer F, Marktl W. [Effect of sulfur administration on lipid levels, antioxidant status and peroxide concentration in health resort patients] Forsch Komplementarmed Klass Naturheilkd. 2000;7:75–78. doi: 10.1159/000021313. [[PubMed][127]] [[Cross Ref][128]]
* Boebel KP, Baker DH. Blood and liver concentrations of glutathione, and plasma concentrations of sulfur-containing amino acids in chicks fed deficient, adequate, or excess levels of dietary cysteine. Proc Soc Exp Biol Med. 1983;172:498–501. [[PubMed][129]]
* Jones DP, Carlson JL, Mody VC, Cai J, Lynn MJ, Sternberg P. Redox state of glutathione in human plasma. Free Radic Biol Med. 2000;28:625–635. doi: 10.1016/S0891-5849(99)00275-0. [[PubMed][130]] [[Cross Ref][131]]
* Cho ES, Johnson N, Snider BC. Tissue glutathione as a cyst(e)ine reservoir during cystine depletion in growing rats. J Nutr. 1984;114:1853–1862. [[PubMed][132]]
* Erden-Inal M, Sunal E, Kanbak G. Age-related changes in the glutathione redox system. Cell Biochem Funct. 2002;20:61–66. doi: 10.1002/cbf.937. [[PubMed][133]] [[Cross Ref][134]]
* Richmond VL. Incorporation of methylsulfonylmethane sulfur into guinea pig serum proteins. Life Sci. 1986;39:263–268. doi: 10.1016/0024-3205(86)90540-0. [[PubMed][135]] [[Cross Ref][136]]
* Hoshi T, Heinemann S. Regulation of cell function by methionine oxidation and reduction. J Physiol. 2001;531:1–11. doi: 10.1111/j.1469-7793.2001.0001j.x. [[PMC free article][137]] [[PubMed][138]] [[Cross Ref][139]]
* Atmaca G. Antioxidant effects of sulfur-containing amino acids. Yonsei Med J. 2004;45:776–788. [[PubMed][140]]
* Grimble RF. The effects of sulfur amino acid intake on immune function in humans. J Nutr. 2006;136:1660S–1665S. [[PubMed][141]]
* Ditscheid B, Funfstuck R, Busch M, Schubert R, Gerth J, Jahreis G. Effect of L-methionine supplementation on plasma homocysteine and other free amino acids: a placebo-controlled double-blind cross-over study. Eur J Clin Nutr. 2005;59:768–775. doi: 10.1038/sj.ejcn.1602138. [[PubMed][142]] [[Cross Ref][143]]
* Verhoef P, van Vliet T, Olthof MR, Katan MB. A high-protein diet increases postprandial but not fasting plasma total homocysteine concentrations: a dietary controlled, crossover trial in healthy volunteers. Am J Clin Nutr. 2005;82:553–558. [[PubMed][144]]
* Ward M, McNulty H, McPartlin J, Strain JJ, Weir DG, Scott JM. Effect of supplemental methionine on plasma homocysteine concentrations in healthy men: a preliminary study. Int J Vitam Nutr Res. 2001;71:82–86. doi: 10.1024/0300-9831.71.1.82. [[PubMed][145]] [[Cross Ref][146]]
* Grimble RF, Grimble GK. Immunonutrition: role of sulfur amino acids, related amino acids, and polyamines. Nutrition. 1998;14:605–610. doi: 10.1016/S0899-9007(98)80041-5. [[PubMed][147]] [[Cross Ref][148]]
* Capdevila JH, Morrow JD, Belosludtsev YY, Beauchamp DR, DuBois RN, Falck JR. The catalytic outcomes of the constitutive and the mitogen inducible isoforms of prostaglandin H2 synthase are markedly affected by glutathione and glutathione peroxidase(s) Biochemistry. 1995;34:3325–3337. doi: 10.1021/bi00010a023. [[PubMed][149]] [[Cross Ref][150]]
* Margalit A, Hauser SD, Zweifel BS, Anderson MA, Isakson PC. Regulation of prostaglandin biosynthesis in vivo by glutathione. Am J Physiol. 1998;274:R294–302. [[PubMed][151]]
* Kris-Etherton PM, Taylor DS, Yu-Poth S, Huth P, Moriarty K, Fishell V, Hargrove RL, Zhao G, Etherton TD. Polyunsaturated fatty acids in the food chain in the United States. Am J Clin Nutr. 2000;71:179S–88S. [[PubMed][152]]
* Berglund F, Sorbo B. Turbidimetric analysis of inorganic sulfate in serum, plasma and urine. Scand J Clin Lab Invest. 1960;12:147–153. doi: 10.3109/00365516009062416. [[PubMed][153]] [[Cross Ref][154]]
* Benincosa LJ, Sagawa K, Morris ME. Renal adaptation to altered dietary sulfate in rats. J Pharmacol Exp Ther. 1995;272:248–255. [[PubMed][155]]
* Boeniger MF, Lowry LK, Rosenberg J. Interpretation of urine results used to assess chemical exposure with emphasis on creatinine adjustments: a review. Am Ind Hyg Assoc J. 1993;54:615–627. [[PubMed][156]]
* Florin T, Neale G, Gibson GR, Christl SU, Cummings JH. Metabolism of dietary sulphate: absorption and excretion in humans. Gut. 1991;32:766–773. doi: 10.1136/gut.32.7.766. [[PMC free article][157]] [[PubMed][158]] [[Cross Ref][159]]
* Kurpad AV, Vaz M. Protein and amino acid requirements in the elderly. Eur J Clin Nutr. 2000;54 Suppl 3:S131–42. [[PubMed][160]]
* Young VR. Protein and amino acid metabolism with reference to aging and the elderly. Prog Clin Biol Res. 1990;326:279–300. [[PubMed][161]]
* Morley JE. Anorexia of aging: physiologic and pathologic. Am J Clin Nutr. 1997;66:760–773. [[PubMed][162]]
* van de Poll MC, Dejong CH, Soeters PB. Adequate range for sulfur-containing amino acids and biomarkers for their excess: lessons from enteral and parenteral nutrition. J Nutr. 2006;136:1694S–1700S. [[PubMed][163]]
* Lands LC, Grey VL, Smountas AA. Effect of supplementation with a cysteine donor on muscular performance. J Appl Physiol. 1999;87:1381–1385. [[PubMed][164]]
* Chernoff R. Protein and older adults. J Am Coll Nutr. 2004;23:627S–630S. [[PubMed][165]]
* Wu G, Fang YZ, Yang S, Lupton JR, Turner ND. Glutathione metabolism and its implications for health. J Nutr. 2004;134:489–492. [[PubMed][166]]
* Lyons J, Rauh-Pfeiffer A, Yu YM, Lu XM, Zurakowski D, Tompkins RG, Ajami AM, Young VR, Castillo L. Blood glutathione synthesis rates in healthy adults receiving a sulfur amino acid-free diet. Proc Natl Acad Sci U S A. 2000;97:5071–5076. doi: 10.1073/pnas.090083297. [[PMC free article][167]] [[PubMed][168]] [[Cross Ref][169]]
* Cole DE, Evrovski J. The clinical chemistry of inorganic sulfate. Crit Rev Clin Lab Sci. 2000;37:299–344. doi: 10.1080/10408360091174231. [[PubMed][170]] [[Cross Ref][171]]
* Krijgsheld KR, Glazenburg EJ, Scholtens E, Mulder GJ. The oxidation of L- and D-cysteine to inorganic sulfate and taurine in the rat. Biochim Biophys Acta. 1981;677:7–12. [[PubMed][172]]
* Hartmann F. [Percutaneous resorption of antirheumatic substances] Z Rheumaforsch. 1968;27:12–19. [[PubMed][173]]
* Callies R. [Aspects of differential balneotherapy in rheumatic diseases] Z Physiother. 1971;23:397–409. [[PubMed][174]]
* Sukenik S, Buskila D, Neumann L, Kleiner-Baumgarten A, Zimlichman S, Horowitz J. Sulphur bath and mud pack treatment for rheumatoid arthritis at the Dead Sea area. Ann Rheum Dis. 1990;49:99–102. [[PMC free article][175]] [[PubMed][176]]
* Sukenik S. Balneotherapy for rheumatic diseases at the Dead Sea area. Isr J Med Sci. 1996;32 Suppl:S16–9. [[PubMed][177]]
* Silbert CK, Palmer ME, Humphries DE, Silbert JE. Production of [3H]hexosamine-labeled proteoglycans by cultures of normal and diabetic skin fibroblasts: dilution of exogenous [3H]glucosamine by endogenous hexosamine from glucose and other sources. Arch Biochem Biophys. 1989;268:393–397. doi: 10.1016/0003-9861(89)90600-0. [[PubMed][178]] [[Cross Ref][179]]
* Humphries DE, Silbert CK, Silbert JE. Sulphation by cultured cells. Cysteine, cysteinesulphinic acid and sulphite as sources for proteoglycan sulphate. Biochem J. 1988;252:305–308. [[PMC free article][180]] [[PubMed][181]]
* Imai Y, Yanagishita M, Hascall VC. Measurement of contribution from intracellular cysteine to sulfate in phosphoadenosine phosphosulfate in rat ovarian granulosa cells. Arch Biochem Biophys. 1994;312:392–400. doi: 10.1006/abbi.1994.1324. [[PubMed][182]] [[Cross Ref][183]]
* Droge W. Oxidative stress and ageing: is ageing a cysteine deficiency syndrome? Philos Trans R Soc Lond B Biol Sci. 2005;360:2355–2372. doi: 10.1098/rstb.2005.1770. [[PMC free article][184]] [[PubMed][185]] [[Cross Ref][186]]
* Droge W, Kinscherf R, Hildebrandt W, Schmitt T. The deficit in low molecular weight thiols as a target for antiageing therapy. Curr Drug Targets. 2006;7:1505–1512. [[PubMed][187]]
* Davidson S., Passmore, R. Human Nutrition and Dietetics. , Williams and Wilkins, Baltimore; 1959. 
* * *

Articles from Nutrition & Metabolism are provided here courtesy of **BioMed Central**

## Formats:

* Article
| 
* [PubReader][188]
| 
* [ePub (beta)][189]
| 
* [PDF (524K)][190]
| 
* [Citation][27]

## Share

* ![Share on Facebook][191][ Facebook ][192]
* ![Share on Twitter][193][ Twitter ][194]
* ![Share on Google Plus][195][ Google+ ][196]

[Support Center][197] [Support Center][198]

External link. Please review our [privacy policy][199]. 

[NLM][200]

[NIH][201]

[DHHS][202]

[USA.gov][203]

[National Center for Biotechnology Information][204],  [U.S. National Library of Medicine][205] 8600 Rockville Pike, Bethesda MD, 20894 USA

[Policies and Guidelines][206] | [Contact][207]

![statistics][208]

[1]: https://www.ncbi.nlm.nih.gov/guide/browsers/#enablejs "Learn how to enable JavaScript"
[2]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/28977 "NCBI"
[3]: https://www.ncbi.nlm.nih.gov/ "NCBI Home"
[4]: https://www.ncbi.nlm.nih.gov#maincontent "Skip to the content"
[5]: https://www.ncbi.nlm.nih.gov#navcontent "Skip to the navigation"
[6]: https://www.ncbi.nlm.nih.gov/static/header_footer_ajax/submenu/#resources
[7]: https://www.ncbi.nlm.nih.gov/static/header_footer_ajax/submenu/#howto
[8]: https://www.ncbi.nlm.nih.gov/guide/browsers/#accesskeys "About My NCBI Accesskeys"
[9]: https://www.ncbi.nlm.nih.gov/myncbi/
[10]: https://www.ncbi.nlm.nih.gov/account/
[11]: https://www.ncbi.nlm.nih.gov/account/signout/
[12]: https://www.ncbi.nlm.nih.gov/pmc/
[13]: https://www.nlm.nih.gov/ "US National Library of Medicine"
[14]: https://www.nih.gov/ "National Institutes of Health"
[15]: https://www.ncbi.nlm.nih.gov/pmc/advanced/
[16]: https://www.ncbi.nlm.nih.gov/pmc/journals/
[17]: https://www.ncbi.nlm.nih.gov/books/NBK3825/
[18]: https://www.ncbi.nlm.nih.gov/pmc/journals/272/
[19]: https://www.ncbi.nlm.nih.gov/pmc/issues/141367/
[20]: https://www.ncbi.nlm.nih.gov/corehtml/pmc/pmcgifs/logo-nutrmeta.png
[21]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1186%2F1743-7075-4-24
[22]: https://www.ncbi.nlm.nih.gov/pubmed/?term=Nimni%20ME%5BAuthor%5D&cauthor=true&cauthor_uid=17986345
[23]: https://www.ncbi.nlm.nih.gov/corehtml/pmc/pmcgifs/corrauth.gif
[24]: https://www.ncbi.nlm.nih.gov/pubmed/?term=Han%20B%5BAuthor%5D&cauthor=true&cauthor_uid=17986345
[25]: https://www.ncbi.nlm.nih.gov/pubmed/?term=Cordoba%20F%5BAuthor%5D&cauthor=true&cauthor_uid=17986345
[26]: mailto:dev%40null
[27]: https://www.ncbi.nlm.nih.gov#
[28]: https://www.ncbi.nlm.nih.gov/pmc/about/copyright/
[29]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/citedby/
[30]: https://www.ncbi.nlm.nih.gov#B1
[31]: https://www.ncbi.nlm.nih.gov#B2
[32]: https://www.ncbi.nlm.nih.gov#B4
[33]: https://www.ncbi.nlm.nih.gov#B5
[34]: https://www.ncbi.nlm.nih.gov#B6
[35]: https://www.ncbi.nlm.nih.gov#B7
[36]: https://www.ncbi.nlm.nih.gov#B8
[37]: https://www.ncbi.nlm.nih.gov#B9
[38]: https://www.ncbi.nlm.nih.gov#B10
[39]: https://www.ncbi.nlm.nih.gov#B11
[40]: https://www.ncbi.nlm.nih.gov#B12
[41]: https://www.ncbi.nlm.nih.gov#B13
[42]: https://www.ncbi.nlm.nih.gov#B14
[43]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/figure/F1/
[44]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/bin/1743-7075-4-24-1.gif "Figure 1"
[45]: https://www.ncbi.nlm.nih.gov#B15
[46]: https://www.ncbi.nlm.nih.gov#B16
[47]: https://www.ncbi.nlm.nih.gov#B17
[48]: https://www.ncbi.nlm.nih.gov#B18
[49]: https://www.ncbi.nlm.nih.gov#B19
[50]: https://www.ncbi.nlm.nih.gov#B20
[51]: https://www.ncbi.nlm.nih.gov#B21
[52]: https://www.ncbi.nlm.nih.gov#B22
[53]: https://www.ncbi.nlm.nih.gov#B23
[54]: https://www.ncbi.nlm.nih.gov#B26
[55]: https://www.ncbi.nlm.nih.gov#B27
[56]: https://www.ncbi.nlm.nih.gov#B28
[57]: https://www.ncbi.nlm.nih.gov#B29
[58]: https://www.ncbi.nlm.nih.gov#B30
[59]: https://www.ncbi.nlm.nih.gov#B31
[60]: https://www.ncbi.nlm.nih.gov#B33
[61]: https://www.ncbi.nlm.nih.gov#B34
[62]: https://www.ncbi.nlm.nih.gov#B35
[63]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/figure/F2/
[64]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/bin/1743-7075-4-24-2.gif "Figure 2"
[65]: https://www.ncbi.nlm.nih.gov#B36
[66]: https://www.ncbi.nlm.nih.gov#B37
[67]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/figure/F3/
[68]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/bin/1743-7075-4-24-3.gif "Figure 3"
[69]: https://www.ncbi.nlm.nih.gov#B38
[70]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/table/T1/
[71]: /pmc/articles/PMC2198910/table/T1/?report=thumb "Table 1"
[72]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/figure/F4/
[73]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/bin/1743-7075-4-24-4.gif "Figure 4"
[74]: https://www.ncbi.nlm.nih.gov#B39
[75]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/figure/F5/
[76]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/bin/1743-7075-4-24-5.gif "Figure 5"
[77]: https://www.ncbi.nlm.nih.gov#B40
[78]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/figure/F6/
[79]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/bin/1743-7075-4-24-6.gif "Figure 6"
[80]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/figure/F7/
[81]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/bin/1743-7075-4-24-7.gif "Figure 7"
[82]: https://www.ncbi.nlm.nih.gov#B41
[83]: https://www.ncbi.nlm.nih.gov#B42
[84]: https://www.ncbi.nlm.nih.gov#B43
[85]: https://www.ncbi.nlm.nih.gov#B44
[86]: https://www.ncbi.nlm.nih.gov#B45
[87]: https://www.ncbi.nlm.nih.gov#B46
[88]: https://www.ncbi.nlm.nih.gov#B47
[89]: https://www.ncbi.nlm.nih.gov#B48
[90]: https://www.ncbi.nlm.nih.gov#B49
[91]: https://www.ncbi.nlm.nih.gov#B50
[92]: https://www.ncbi.nlm.nih.gov#B51
[93]: https://www.ncbi.nlm.nih.gov#B52
[94]: https://www.ncbi.nlm.nih.gov#B55
[95]: https://www.ncbi.nlm.nih.gov#B56
[96]: https://www.ncbi.nlm.nih.gov#B58
[97]: https://www.ncbi.nlm.nih.gov#B59
[98]: https://www.ncbi.nlm.nih.gov#B60
[99]: https://www.ncbi.nlm.nih.gov#B61
[100]: https://www.ncbi.nlm.nih.gov/pubmed/3309559
[101]: https://www.ncbi.nlm.nih.gov/pubmed/8092084
[102]: https://www.ncbi.nlm.nih.gov/pubmed/14803453
[103]: https://www.ncbi.nlm.nih.gov/pubmed/13271351
[104]: https://www.ncbi.nlm.nih.gov/pubmed/14253894
[105]: https://www.ncbi.nlm.nih.gov/pubmed/9701197
[106]: https://www.ncbi.nlm.nih.gov/pubmed/7946519
[107]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1146%2Fannurev.nu.14.070194.001245
[108]: https://www.ncbi.nlm.nih.gov/pubmed/1161701
[109]: https://www.ncbi.nlm.nih.gov/pubmed/8746976
[110]: https://www.ncbi.nlm.nih.gov/pubmed/6842370
[111]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1002%2Fjps.2600720303
[112]: https://www.ncbi.nlm.nih.gov/pubmed/2914020
[113]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1016%2F0006-2952(89)90048-8
[114]: https://www.ncbi.nlm.nih.gov/pubmed/6864334
[115]: https://www.ncbi.nlm.nih.gov/pubmed/1355710
[116]: https://www.ncbi.nlm.nih.gov/pubmed/7835224
[117]: https://www.ncbi.nlm.nih.gov/pubmed/14739061
[118]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1016%2Fj.biopha.2003.11.005
[119]: https://www.ncbi.nlm.nih.gov/pubmed/7333998
[120]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2363291/
[121]: https://www.ncbi.nlm.nih.gov/pubmed/10646895
[122]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1054%2Fbjoc.1999.0933
[123]: https://www.ncbi.nlm.nih.gov/pubmed/11115795
[124]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.2174%2F157339706776876017
[125]: https://www.ncbi.nlm.nih.gov/pubmed/12232493
[126]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1159%2F000066031
[127]: https://www.ncbi.nlm.nih.gov/pubmed/10899743
[128]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1159%2F000021313
[129]: https://www.ncbi.nlm.nih.gov/pubmed/6844358
[130]: https://www.ncbi.nlm.nih.gov/pubmed/10719244
[131]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1016%2FS0891-5849(99)00275-0
[132]: https://www.ncbi.nlm.nih.gov/pubmed/6481481
[133]: https://www.ncbi.nlm.nih.gov/pubmed/11835271
[134]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1002%2Fcbf.937
[135]: https://www.ncbi.nlm.nih.gov/pubmed/3736326
[136]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1016%2F0024-3205(86)90540-0
[137]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2278441/
[138]: https://www.ncbi.nlm.nih.gov/pubmed/11179387
[139]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1111%2Fj.1469-7793.2001.0001j.x
[140]: https://www.ncbi.nlm.nih.gov/pubmed/15515186
[141]: https://www.ncbi.nlm.nih.gov/pubmed/16702336
[142]: https://www.ncbi.nlm.nih.gov/pubmed/15870821
[143]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1038%2Fsj.ejcn.1602138
[144]: https://www.ncbi.nlm.nih.gov/pubmed/16155267
[145]: https://www.ncbi.nlm.nih.gov/pubmed/11276928
[146]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1024%2F0300-9831.71.1.82
[147]: https://www.ncbi.nlm.nih.gov/pubmed/9684264
[148]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1016%2FS0899-9007(98)80041-5
[149]: https://www.ncbi.nlm.nih.gov/pubmed/7880828
[150]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1021%2Fbi00010a023
[151]: https://www.ncbi.nlm.nih.gov/pubmed/9486284
[152]: https://www.ncbi.nlm.nih.gov/pubmed/10617969
[153]: https://www.ncbi.nlm.nih.gov/pubmed/13799367
[154]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.3109%2F00365516009062416
[155]: https://www.ncbi.nlm.nih.gov/pubmed/7815339
[156]: https://www.ncbi.nlm.nih.gov/pubmed/8237794
[157]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1378993/
[158]: https://www.ncbi.nlm.nih.gov/pubmed/1855683
[159]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1136%2Fgut.32.7.766
[160]: https://www.ncbi.nlm.nih.gov/pubmed/11041085
[161]: https://www.ncbi.nlm.nih.gov/pubmed/2405423
[162]: https://www.ncbi.nlm.nih.gov/pubmed/9322549
[163]: https://www.ncbi.nlm.nih.gov/pubmed/16702341
[164]: https://www.ncbi.nlm.nih.gov/pubmed/10517767
[165]: https://www.ncbi.nlm.nih.gov/pubmed/15640517
[166]: https://www.ncbi.nlm.nih.gov/pubmed/14988435
[167]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC25783/
[168]: https://www.ncbi.nlm.nih.gov/pubmed/10792033
[169]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1073%2Fpnas.090083297
[170]: https://www.ncbi.nlm.nih.gov/pubmed/10983997
[171]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1080%2F10408360091174231
[172]: https://www.ncbi.nlm.nih.gov/pubmed/7295791
[173]: https://www.ncbi.nlm.nih.gov/pubmed/4237713
[174]: https://www.ncbi.nlm.nih.gov/pubmed/5316938
[175]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1003986/
[176]: https://www.ncbi.nlm.nih.gov/pubmed/2180388
[177]: https://www.ncbi.nlm.nih.gov/pubmed/8756970
[178]: https://www.ncbi.nlm.nih.gov/pubmed/2643388
[179]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1016%2F0003-9861(89)90600-0
[180]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1149140/
[181]: https://www.ncbi.nlm.nih.gov/pubmed/3138971
[182]: https://www.ncbi.nlm.nih.gov/pubmed/8037451
[183]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1006%2Fabbi.1994.1324
[184]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1569588/
[185]: https://www.ncbi.nlm.nih.gov/pubmed/16321806
[186]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1098%2Frstb.2005.1770
[187]: https://www.ncbi.nlm.nih.gov/pubmed/17100590
[188]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/?report=reader
[189]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/epub/
[190]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2198910/pdf/1743-7075-4-24.pdf
[191]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047626
[192]: https://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2198910%2F
[193]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047627
[194]: https://twitter.com/intent/tweet?url=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2198910%2F&text=Are%20we%20getting%20enough%20sulfur%20in%20our%20diet%3F
[195]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047628
[196]: https://plus.google.com/share?url=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2198910%2F
[197]: 
[198]: https://support.ncbi.nlm.nih.gov/ics/support/KBList.asp?Time=2018-02-23T09:10:13-05:00&Snapshot=%2Fprojects%2FPMC%2FPMCViewer@4.45&Host=ptpmc202&ncbi_phid=F4FC0DB0A90202C100000000009F0095&ncbi_session=F4FC0DB0A9020C41_0159SID&from=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2198910%2F&Db=pmc&folderID=132&Ncbi_App=pmc&Page=literature&style=classic&deptID=28049
[199]: https://www.nlm.nih.gov/privacy.html
[200]: https://www.nlm.nih.gov "NLM"
[201]: https://www.nih.gov "NIH"
[202]: https://www.hhs.gov "DHHS"
[203]: https://www.usa.gov "USA.gov"
[204]: https://www.ncbi.nlm.nih.gov
[205]: https://www.nlm.nih.gov/
[206]: https://www.ncbi.nlm.nih.gov/home/about/policies.shtml
[207]: https://www.ncbi.nlm.nih.gov/home/about/contact.shtml
[208]: /stat?jsdisabled=true&ncbi_db=pmc&ncbi_pdid=article&ncbi_acc=&ncbi_domain=nutrmeta&ncbi_report=record&ncbi_type=fulltext&ncbi_objectid=&ncbi_pcid=/articles/PMC2198910/&ncbi_app=pmc

