---
created_at: '2016-12-27T01:19:24.000Z'
title: What was the role of MS-DOS in Windows 95? (2007)
url: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063
author: luu
points: 142
story_text: 
comment_text: 
num_comments: 43
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1482801564
_tags:
- story
- author_luu
- story_13260688
objectID: '13260688'

---
[Source](https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063 "Permalink to What was the role of MS-DOS in Windows 95? &#8211; The Old New Thing")

# What was the role of MS-DOS in Windows 95? &#8211; The Old New Thing

[ ![Microsoft logo][2] | ][3]

__

Search MSDN

Search all blogs

Search this blog

[Sign in][4]

#  [ The Old New Thing ][5] [ The Old New Thing ][5]

# What was the role of MS-DOS in Windows 95?

★★★★★

★★★★

★★★

★★

★

![avatar of oldnewthing][6][Raymond Chen - MSFT][7]December 24, 2007[134][8]
* [Share][9]
* [0][10]
* [0][10]
* * *

_Welcome, Slashdot readers. Remember, this Web site is [ for entertainment purposes only][11]._

[ Sean wants to know what the role of MS-DOS was in Windows 95][12]. I may regret answering this question since it's clear Slashdot bait. (Even if Sean didn't intend it that way, that's what it's going to turn into.) 

Here goes. Remember, what I write here may not be 100% true, but it is "true enough." (In other words, it gets the point across without getting bogged down in nitpicky details.) 

MS-DOS served two purposes in Windows 95\. 

* It served as the boot loader. 
* It acted as the 16-bit legacy device driver layer. 

When Windows 95 started up, a customized version of MS-DOS was loaded, and it's that customized version that processed your `CONFIG.SYS` file, launched `COMMAND.COM`, which ran your `AUTOEXEC.BAT` and which eventually ran `WIN.COM`, which began the process of booting up the VMM, or the 32-bit virtual machine manager. 

The customized version of MS-DOS was fully functional as far as the phrase "fully functional" can be applied to MS-DOS in the first place. It had to be, since it was all that was running when you ran Windows 95 in "single MS-DOS application mode." 

The `WIN.COM` program started booting what most people think of as "Windows" proper. It used the copy of MS-DOS to load the virtual machine manager, read the `SYSTEM.INI` file, load the virtual device drivers, and then it turned off any running copy of `EMM386` and switched into protected mode. It's protected mode that is what most people think of as "the real Windows." 

Once in protected mode, the virtual device drivers did their magic. Among other things those drivers did was "[suck the brains out of MS-DOS][13]," transfer all that state to the 32-bit file system manager, and then shut off MS-DOS. All future file system operations would get routed to the 32-bit file system manager. If a program issued an `int 21h`, the 32-bit file system manager would be responsible for handling it. 

And that's where the second role of MS-DOS comes into play. For you see, MS-DOS programs and device drivers loved to mess with the operating system itself. They would replace the `int 21h` service vector, they would patch the operating system, they would patch the low-level disk I/O services `int 25h` and `int 26h`. They would also do crazy things to the BIOS interrupts such as `int 13h`, the low-level disk I/O interrupt. 

When a program issued an `int 21h` call to access MS-DOS, the call would go first to the 32-bit file system manager, who would do some preliminary munging and then, if it detected that somebody had hooked the `int 21h` vector, it would _jump back into the 16-bit code_ to let the hook run. Replacing the `int 21h` service vector is logically analogous to subclassing a window. You get the old vector and set your new vector. When your replacement handler is called, you do some stuff, and then call the original vector to do "whatever would normally happen." After the original vector returned, you might do some more work before returning to the original caller. 

One of the 16-bit drivers loaded by `CONFIG.SYS` was called `IFSMGR.SYS`. The job of this 16-bit driver was _to hook MS-DOS first_ before the other drivers and programs got a chance! This driver was in cahoots with the 32-bit file system manager, for its job was to _jump from 16-bit code back into 32-bit code_ to let the 32-bit file system manager continue its work. 

In other words, MS-DOS was just an extremely elaborate [ decoy][14]. Any 16-bit drivers and programs would patch or hook what they thought was the real MS-DOS, but which was in reality just a decoy. If the 32-bit file system manager detected that somebody bought the decoy, it told the decoy to quack. 

Let's start with a system that didn't contain any "evil" drivers or programs that patched or hooked MS-DOS. 

| ----- |
|  Program calls int 21h |  
|    
 | 

**32-bit file system manager**

checks that nobody has patched or hooked MS-DOS  
performs the requested operation  
updates the state variables inside MS-DOS  
returns to caller |  
|  Program gets result |   |

This was paradise. The 32-bit file system manager was able to do all the work without having to deal with pesky drivers that did bizarro things. Note the extra step of updating the state variables inside MS-DOS. Even though we extracted the state variables from MS-DOS during the boot process, we keep those state variables in sync because drivers and programs frequently "knew" how those state variables worked and bypassed the operating system and accessed them directly. Therefore, the file system manager had to maintain the charade that MS-DOS was running the show (even though it wasn't) so that those drivers and programs saw what they wanted. 

Note also that those state variables were per-VM. (I.e., each MS-DOS "box" you opened got its own copy of those state variables.) After all, [ each MS-DOS box had its idea of what the current directory was][15], what was in the file tables, that sort of thing. This was all an act, however, because the real list of open files was kept in by the 32-bit file system manager. It had to be, because disk caches had to be kept coherent, and file sharing need to be enforced globally. If one MS-DOS box opened a file for exclusive access, then an attempt by a program running in another MS-DOS box to open the file should fail with a sharing violation. 

Okay, that was the easy case. The hard case is if you had a driver that hooked `int 21h`. I don't know what the driver does, let's say that it's a network driver that intercepts I/O to network drives and handles them in some special way. Let's suppose also that there's some TSR running in the MS-DOS box which has hooked `int 21h` so it can [ print a 1 to the screen when the `int 21h` is active and a 2 when the `int 21h` completes][16]. Let's follow a call to a local device (not a network device, so the network driver doesn't do anything): 

| ----- |
|  Program calls int 21h |  
|    
 | 

**32-bit file system manager**

notices that somebody has patched or hooked MS-DOS  
jumps to the hook (which is the 16-bit TSR) |  
|    
 | 

**16-bit TSR (front end)**

prints a 1 to the screen  
calls previous handler (which is the 16-bit network driver) |  
|    
 | 

**16-bit network driver (front end)**

decides that this isn't a network I/O request calls previous handler (which is the 16-bit IFSMGR hook) |  
|    
 | 

**16-bit IFSMGR hook**

tells 32-bit file system manager  
  that it's [ time to make the donuts][17] |  
|    
 | 

**32-bit file system manager**

regains control  
performs the requested operation  
updates the state variables inside MS-DOS  
returns to caller |  
|    
 | 

**16-bit network driver (back end)**

returns to caller |  
|    
 | 

**16-bit TSR (back end)**

prints a 2 to the screen  
returns to caller |  
|  Program gets result |   |

Notice that all the work is still being done by the 32-bit file system manager. It's just that the call gets routed through all the 16-bit stuff to maintain the charade that 16-bit MS-DOS is still running the show. The only 16-bit code that actually ran (in red) is the stuff that the TSR and network driver installed, plus a tiny bit of glue in the 16-bit IFSMGR hook. Notice that no 16-bit MS-DOS code ran. The 32-bit file manager took over for MS-DOS. 

A similar sort of "take over but let the crazy stuff happen if somebody is doing crazy stuff" dance took place when the I/O subsystem took over control of your hard drive from 16-bit device drivers. If it recognized the drivers, it would "suck their brains out" and take over all the operations, in the same way that the 32-bit file system manager took over operations from 16-bit MS-DOS. On the other hand, if the driver wasn't one that the I/O subsystem recognized, it let the driver be the one in charge of the drive. If this happened, it was said that you were going through the "real-mode mapper" since "real mode" was name for the CPU mode when protected mode was not running; in other words, the mapper was letting the 16-bit drivers do the work. 

Now, if you were unlucky enough to be using the real-mode mapper, you probably noticed that system performance to that drive was pretty awful. That's because you were using the old clunky single-threaded 16-bit drivers instead of the faster, multithread-enabled 32-bit drivers. (When a 16-bit driver was running, no other I/O could happen because 16-bit drivers were not designed for multi-threading.) 

This awfulness of the real-mode mapper actually came in handy in a backwards way, because it was an early indication that your computer got infected with an MS-DOS virus. After all, MS-DOS viruses did what TSRs and drivers did: They hooked interrupt vectors and took over control of your hard drive. From the I/O subsystem's point of view, they looked just like a 16-bit hard disk device driver! When people complained, "Windows suddenly started running really slow," we asked them to look at the system performance page in the control panel and see if it says that "Some drives are using MS-DOS compatiblity." If so, then it meant that the real-mode mapper was in charge, and if you didn't change hardware, it probably means a virus. 

Now, there are parts of MS-DOS that are unrelated to file I/O. For example, there are functions for allocating memory, [ parsing a string containing potential wildcards into FCB format][18], that sort of thing. Those functions were still handled by MS-DOS since they were just "helper library" type functions and there was no benefit to reimplementing them in 32-bit code aside from just being able to say that you did it. The old 16-bit code worked just fine, and if you let it do the work, you preserved compatibility with programs that patched MS-DOS in order to alter the behavior of those functions. 

Tags  [History][19]

* * *

Comments (134) 

1. ![][20] John says:

[ December 24, 2007 at 10:38 am][21]

The most impressive thing is that most of the time most of this stuff actually (mostly) worked.

2. ![][20] Aaargh! says:

[ December 24, 2007 at 2:20 pm][22]

I wanted to ask why this whole mess when most stuff needed to be ported to the new Win95 anyway because, like you said, the performance was horrible. 

But of course , the real mystery is: why win95 at all ? Why wasn’t Win95 just a ‘home edition’ of Win NT 4.0 ? What justified all the effort spent on the dead-end 9x OSes when you already had the NT kernel, which is way less horrible than the whol win 9x business ?

[_The fact that Windows 95 was such a success demonstrated that the “Hey everybody, abandon all your old hardware that doesn’t have 32-bit drivers and switch to Windows NT” strategy wasn’t working. -Raymond_]

3. ![][20] Skip says:

[ December 24, 2007 at 2:47 pm][23]

As far as the real-mode mapper being handy for detecting viruses, it definitely was.  I found one on my parents system that way.  They weren’t able to access their CD drive, and it wasn’t set up with a driver and MSCDEX in config.sys, so compatibility mode meant it went away.

Of course, at that point the conversation went something like this.

Me:  "I thought I installed antivirus software, but it’s not running?"

Mom: "Oh, I uninstalled that – it kept keeping me from opening my emails"

4. ![][24] [JamesNT][25] says:

[ December 24, 2007 at 2:47 pm][26]

Finally, an explanation as to what the real deal was with MS-DOS under Windows 95.  For all these years so many people have stated that Windows 95 was just a fancy screen saver for DOS or was totally based on DOS.  

Thank you, Lord Chen, for clearing up years upon years of false speculation and rantings.

We now return you to your regularly scheduled Christmas Special of Slashdot rantings from people who claim to know more about how this stuff works than the person who actually worked on Windows 95 or sits everyday beside someone who did.

JamesNT

5. ![][20] Aaargh! says:

[ December 24, 2007 at 3:10 pm][27]

“The fact that Windows 95 was such a success demonstrated that the ‘Hey everybody, abandon all your old hardware that doesn’t have 32-bit drivers and switch to Windows NT’ strategy wasn’t working.”

No it demonstrated that Win95 had a much better marketing campaign than WinNT. NT4 ‘home edition’ would have worked just as well. Most consumers had never heard of such a beast as win NT. 

And what “old hardware that doesn’t have 32-bit drivers” are you talking about ? The only thing this fixed is some filesystem access support and that sucked so much that it wasn’t usable anyway. If you wanted windows apps to be able to use your hardware, you needed windows drivers.

[_“If you wanted windows apps to be able to use your hardware, you needed windows drivers.” Not true. Windows 3.1 worked just fine with 16-bit MS-DOS drivers. -Raymond_]

6. ![][20] Yuhong Bao says:

[ December 24, 2007 at 3:24 pm][28]

Mom: "Oh, I uninstalled that – it kept keeping me from opening my emails"

Did that email really have a virus? If not, that antivirus software is bad and should be replaced.

7. ![][20] Gazpacho says:

[ December 24, 2007 at 3:30 pm][29]

When the major OEMs say "support the old/new drivers," Microsoft does it. From what I’ve heard, a similar demand from the OEMs played a large part in Windows ME’s problems.

8. ![][20] [John Topley][30] says:

[ December 24, 2007 at 3:34 pm][31]

"But of course , the real mystery is: why win95 at all ? Why wasn’t Win95 just a ‘home edition’ of Win NT 4.0 ? What justified all the effort spent on the dead-end 9x OSes when you already had the NT kernel, which is way less horrible than the whol win 9x business ?"

No mystery. The hardware requirements for Windows NT at the time were just too steep (and Windows NT 4.0 wasn’t around when Windows 95 development started in about 1993). The major leap forward for Windows 95 was the new shell; under the hood it was a logical continuation of the VMM technology that debuted in Windows 3.x. The whole thing was a glorious, ingenious and incredibly commercially successful hack!

9. ![][20] Nobody Real says:

[ December 24, 2007 at 3:46 pm][32]

Of course, Andrew Schulman’s "Unauthorized Windows 95" goes into this a great deal more detail.

The problem with the book, however, is that it’s misleading.  He spends 90% of pretending that Windows 95 is a shell on DOS, and then in fine print basically admits that no, it’s not, and there’s a lot more to it than that.

Being sensational sells books, unfortunately, but the information is there in that book, if you’re willing to do more than just skim it.

10. ![][20] [Ken Hagan][33] says:

[ December 24, 2007 at 5:11 pm][34]

"The hardware requirements for Windows NT at the time were just too steep."

Funnily enough, I always felt that NT ran rather better than Win95 on realistic hardware. I think the "minimum hardware requirement" has always been a figment of some marketeer’s imagination. Every version of Windows has been almost unusable unless you had at least double the "minimum" memory.

11. ![][20] Dan says:

[ December 24, 2007 at 5:37 pm][35]

"Minimum" can mean minimum needed to have a good experience, or it can mean minimum needed so the product doesn’t crash on start up.

12. ![][20] Yuhong Bao says:

[ December 24, 2007 at 6:15 pm][36]

"Funnily enough, I always felt that NT ran rather better than Win95 on realistic hardware."

Indeed NT ran better than 95 on Pentium Pros. SMP also requires NT.

13. ![][20] Eric TF Bat says:

[ December 24, 2007 at 7:32 pm][37]

This is what I love about Old New Thing: I can be secure in the knowledge that I KNOW how things work (and I KNOW that Microsoft programmers are all slack buggers who’ve never done a day’s work in their lives) and one of your articles forces me to realise that I didn’t really know — and that some MS programmers, at least, are actually so clever it’s scary.

Keeping stuff backwards-compatible (whether in MS software or anywhere else) reminds me of all the work the ancients put in to predict the movements of the planets in a geocentric universe.  To get the numbers right, given that they were assuming circular orbits around the earth rather than elliptical ones around the sun, they had to work out a complex system of cycles and epicycles, a marvel of pre-computer mathematical empiricism.  In a sense, having to support old versions of popular software is like having to obey the religious strictures of the geocentric universe: you can be pretty damn clever with your creations even when your foundations are less than perfect.

14. ![][20] Triangle says:

[ December 24, 2007 at 8:56 pm][38]

Why was this article branded with the slashdot disclaimer?

15. ![][20] [Dean Harding][39] says:

[ December 24, 2007 at 10:05 pm][40]

"If not, that antivirus software is bad and should be replaced."

Well given that he was investigating a virus infection, it looks like the email DID have a virus (or something did, anyway).

16. ![][20] [Dean Harding][41] says:

[ December 24, 2007 at 10:08 pm][42]

"NT4 ‘home edition’ would have worked just as well."

I’ll nominate you for the Nobel Prize just as soon as you show us that time machine you seem to have.

17. ![][20] Grijan says:

[ December 24, 2007 at 10:09 pm][43]

"Funnily enough, I always felt that NT ran rather better than Win95 on realistic hardware."

Let’s compare. Windows 95 "required" 4 Mb of RAM and ran fine with 8 Mb. On the other hand, Windows NT 4.0 "required" 8 Mb of RAM (would boot, but it took ages), and ran fine with 16 Mb. Windows 95 gets a point.

Also, what if I had that CD-ROM drive, sound card or scanner for which there were only real mode or Windows 3.x drivers? They wouldn’t work in NT 4 no matter what I did. And these were fairly common back in 1995. Windows 95 gets another point.

Result: Windows 95, two points. Windows NT 4, zero points. NT may be clean, elegant solid and fast, but if it doesn’t work on your hardware, it’s no option. It’s no surprise ’95 was such a success, no matter how many gazillions Microsoft spent in marketing.

18. ![][20] Andrei says:

[ December 24, 2007 at 10:49 pm][44]

@Raymond:

“Windows 3.1 worked just fine with 16-bit MS-DOS drivers”

Windows 3.1 was not OS, but a graphic shell on top of MS-DOS.  It would have been quite strange, had it not been happy with 16-bit MS-DOS drivers.

@Aaargh!:

“”The fact that Windows 95 was such a success demonstrated that the ‘Hey everybody, abandon all your old hardware that doesn’t have 32-bit drivers and switch to Windows NT’ strategy wasn’t working.””

“No it demonstrated that Win95 had a much better marketing campaign than WinNT.”

No, Raymond’s right here.  You probably have not run NT at home in those years.  Or if you did, you have not tried to run some of the games and/or applications that weren’t “behaving” in 32-bit environment and the VM.  I, for one, remember how your brains could be sucked totally out trying to get a Clipper app to run reliably in NT’s NTVDM…

[_“Windows 3.1 was not OS, but a graphic shell on top of MS-DOS.” Whether it was or not is beside the point. People ran Windows 3.1 with 16-bit MS-DOS drivers. If you want them to upgrade from Windows 3.1 to something else, you need to support those 16-bit MS-DOS drivers or convince them to abandon their old hardware. In 1995, a CD-ROM drive cost $200. You make the call. -Raymond_]

19. ![][20] foxyshadis says:

[ December 24, 2007 at 10:57 pm][45]

"Indeed NT ran better than 95 on Pentium Pros."

A Pentium Pro cost over $1000 at the time of Windows 95’s release – it really targeted 486 and Pentium. And it really did target its minimum of 4-8 mb of memory; plenty of cheapskate OEMs installed it on junkers, where NT 3.5 is almost unusable even with 16. There are also aspects of Windows 95, particularly in the GUI and shell, that far exceeded NT’s capability at the time and wouldn’t show up until NT 4 a year later.

Hindsight is always 20/20, as well.

20. ![][20] Mark says:

[ December 25, 2007 at 12:17 am][46]

I always laugh when I read others’ claims of "ran better than" or "ran faster than."  More times that I can count I’ve sat down at computers running this OS or that (Linux, NT, OS2) and claimed to smoke WinXX only to find them pathetically slow and unresponsive by my standards on windows.  This even though my hardware was most often the lesser and my apps most often the hungrier.

That’s not to suggest that other experiences are invalid, but to offer that often our needs and  frames of reference differ.  Win95, Win98, and Win98SE flat out smoked NT4 on every box I ever ran them on – albeit the last being a PIII 450 with 512MB RAM.  They had far more stability problems, but even with the crashes and reboots they were far more enjoyable and productive for me.  I cursed NT’s slowness and unresponsiveness (due to seemingly constant disk access) way more than WinXX’s instability and crashing.

When I took my current development job, where the hardware is mostly older P4-2Ghz machines with 1GB RAM running XPSP2, I asked for a primary PC with Win98SE.  I took a lot of ragging from fellow developers about that but it wasn’t long before my manager was giving them all hard times about not running SE.  It seemed that almost no matter what was asked of us I could perform it faster on the SE machine than they could on XP.

Of course I run XPSP2 at home on a much more modern, and very tweaked, box.  There the speed and responsiveness keep pace with me and the stability makes it worth abandoning 98SE.

21. ![][20] [Joshua][47] says:

[ December 25, 2007 at 2:36 am][48]

@Aargh: [And what "old hardware that doesn’t have 32-bit drivers" are you talking about ?]

You know, funny thing is, this is the same problem plaguing the transition from 32-bit and 64-bit, and probably close to the same reason Vista came out in both versions. You can’t expect millions of people to go out and buy the latest hardware just to run your software… can you?

22. ![][20] Jonathan says:

[ December 25, 2007 at 3:00 am][49]

Win95 did run better on 16MB machines than NT4 – you had to have 32MB for NT to have a comparable level of performance. Also, NT4 had a lower level of support for DOS program, specifically games.

Being a PC technician in the late Win95 era, I found out the following path to MS-DOS compatiblity mode:

    1. Computer has an Intel chipset from the late Pentium era (430VX or 430TX), and no CD drive.
    2. You install Win95 on it without CDROM – probably by copying the 30MB installation dir to the HD from a temp CDROM or whatever, and then installing from it.

    3. During installation, the PnP manager doesn’t recognize the chipset’s IDE controller (because it doesn’t exist in the in-box INFs). So, the non-PnP manager recognizes the IDE controller as "Standard ESDI controller" or something. But, it only recognizes the first controller, since the second doesn’t have anything connected to it. Installation completes, and everyone is happy.

    4. Later, customer purchases a CDROM (as part of a "multimedia package" – CDROM, sound and speakers). Technician connects it, but Windows doesn’t recognize it.

    5. Technician runs the diskette that comes with the CDROM. That diskette installs a DOS CDROM driver in config.sys, and msdecx.exe in autoexec.bat.

Result: CDROM work, but in MS-DOS compatiblity mode.

This annoyed me enough to hack the new INFs into Win95: <http://powerjoe.tripod.com/win95mod.html>

23. ![][20] Dave says:

[ December 25, 2007 at 6:36 am][50]

> On the other hand, Windows NT 4.0 "required" 8 Mb of RAM
> 
> (would boot, but it took ages), and ran fine with 16 Mb. 

Have you tried installing NT 4 on the recommended minimum memory?  It would actually install on the set amount, but needed the next step up in order to run.  My memory tells me the steps were 12MB to install and 16MB to run, but it was more than ten years ago so it could well have been 8 and 12.  I remember the discrepancy because we were incredibly pissed that after getting a machine theoretically capable of running it we then had to stop what we were doing and go out and buy more memory to really run it.

24. ![][20] Dave says:

[ December 25, 2007 at 6:38 am][51]

Oops, it was NT 3.51 and not 4.0, which didn’t come out until some time later.  Ahh, memories of feeding in a stack of floppies only to have the nth one come up with a bad sector…

25. ![][20] Ibod Catooga says:

[ December 25, 2007 at 7:07 am][52]

I installed MS-DOS on my cat, but when I tried to put more memory in its pooper to run WIN95, it gave me an error.

The SIMM chips wouldn’t fit in its DIMM hole.

26. ![][20] cmov says:

[ December 25, 2007 at 8:20 am][53]

What is it with these people. There’s a really annoying myth among them that installing more RAM improves performance.

More pages committed to physical RAM != better performance.

Higher clock frequencys may improve performance, but if you don’t see squiggles on the CPU-usage history in task manager, you’ll hardly notice any difference.

Faster storage media, controllers and buses improve I/O performance, but if you never see your HDD LED flashing then you’ll hardly notice the difference.

Only if the performance of the program you run is limited by how much paging your computer can do, more available physical memory can improve /perceived/ performance. But actually, under the hood everything is equally fast or slow. To use a bad car analogy, driving a wider road doesn’t make your car faster. (It merely allows more simultaneous cars.)

27. ![][20] Thom says:

[ December 25, 2007 at 10:23 am][54]

I loved and hated MS-DOS compatiblity.  The few times it alerted me to viruses on friends or families computers I loved it, but the many times a CD-ROM driver caused it I hated it.  It’s nice to know the whys.

I didn’t use NT until NT4 so it’s my only reference against win9x systems.  The latter ran considerably faster and smoother for me until I increased ram beyond 384MB.  Beyond that I liked NT better because other apps were more responsive during Visual Studio compiles.

28. ![][20] Gabe says:

[ December 25, 2007 at 12:34 pm][55]

Jonathan: If you were installing Win95 on a machine without a CD-ROM drive, you were almost certainly doing it from the 13 floppy disks that it came with.

29. ![][20] Neil says:

[ December 25, 2007 at 1:03 pm][56]

Even better than the above is when Windows 95 starts installing from the CD-ROM but is unable to load the protected-mode drivers for it (because the cdrom driver is still in config.sys) but can’t access it in real mode either (because it removed mscdex from autoexec.bat). Windows 98 "solved" this problem with a .inf file… on the CD-ROM…

30. ![][20] BryanK says:

[ December 25, 2007 at 9:33 am][57]

Ah, so *that’s* what ifsmgr.sys was used for!

That bugged me a bit back when I last used win98; not enough to go looking for what it actually did, or try to figure out how to remove it, but enough to wonder why it was there, and why it took a couple tens of K of memory (or something like that) according to "mem /c".  Now I know.  Thanks!  :-)

31. ![][58] bcthanks says:

[ December 26, 2007 at 1:58 am][59]

"You know, funny thing is, this is the same problem plaguing the transition from 32-bit and 64-bit, and probably close to the same reason Vista came out in both versions."

There’s a big difference between Win95 not being 32-bit clean and 64-bit Vista: the hardware of any Win95 computer is capable of running 32-bit clean except for the lack of drivers. Whereas there are many 32-bit computers that just canot run 64-bit code (i.e, older 32-bit only CPU)

The entire PC industry has come a long way in standardizing hardware. For example, nobody loads vendor-specific CD-ROM drivers anymore because everything is ATAPI or SCSI.

Of course there is still a ways to go, like why does every network card need a different driver?

32. ![][60] [Dean Harding][61] says:

[ December 26, 2007 at 4:54 am][62]

"Whereas there are many 32-bit computers that just canot run 64-bit code"

The only difference between a 64-bit computer and a 32-bit one is the CPU. And 90% (if not 100%) of CPUs sold today are capable of 64-bit. It’s like saying that you had to upgrade your 286 CPU to a 386 in order to run Windows 95. By the time Windows 95 came out, nobody was selling 286’s either.

The only thing stopping adoption of 64-bit Vista is driver support (well, that and the fact that it costs more than 32-bit Vista… what’s up with that?!)

33. ![][20] [Inferis’ Mind Dump » Blog Archive » MS-DOS in Win95][63] says:

[ December 26, 2007 at 5:21 am][64]

PingBack from <http://blog.blergh.be/2007/12/26/ms-dos-in-win95/>

34. ![][20] [Myria][65] says:

[ December 25, 2007 at 9:35 pm][66]

"You know, funny thing is, this is the same problem plaguing the transition from 32-bit and 64-bit, and probably close to the same reason Vista came out in both versions. You can’t expect millions of people to go out and buy the latest hardware just to run your software… can you?"

It’s even worse with 64-bit Windows.  With Win95, the lack of drivers was only because the manufacturers didn’t want to revisit an operating system released later.  With Win64, it’s both that *and* that the software/hardware manufacturers just don’t care for even new products.

Guitar Hero 3’s copy protection system doesn’t work on Win64 because it’s a 32-bit kernel driver.  And Guitar Hero 3 was released in 2007!  (My guess is that a crack would work, but I haven’t tried.)

35. ![][20] [Sean W.][67] says:

[ December 25, 2007 at 10:09 pm][68]

Now *this* is why I read the Old New Thing!  Thank you, Raymond, for finally and definitively demystifying something techie people have argued about for years.

And while I sometimes may argue with MSFT’s design decisions, I have to say this MS-DOS fakery business was truly one of MSFT’s more elegant and clever solutions.  For the exact problem posed (new memory model + full backwards compatibility), I doubt there exists better way to solve it.  Long overdue kudos on this.

36. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][69] says:

[ December 26, 2007 at 6:10 am][70]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95/>

37. ![][20] Anon says:

[ December 26, 2007 at 7:08 am][71]

Thanks for these article Raymond – they really are entertaining. I’m one of the Slashdot stamping horde that I know you hate but I just want to say I enjoy reading them. Double thanks for links to sites explaining the references to American culture (I’m European) – that’s a thoughtful touch.

38. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][72] says:

[ December 26, 2007 at 7:10 am][73]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-2/>

39. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][74] says:

[ December 26, 2007 at 8:10 am][75]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-3/>

40. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][76] says:

[ December 26, 2007 at 9:10 am][77]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-4/>

41. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][78] says:

[ December 26, 2007 at 9:15 am][79]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-5/>

42. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][80] says:

[ December 26, 2007 at 9:20 am][81]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-6/>

43. ![][20] Bryan says:

[ December 26, 2007 at 9:21 am][82]

cmov:

"But actually, under the hood everything is equally fast or slow. To use a bad car analogy, driving a wider road doesn’t make your car faster. (It merely allows more simultaneous cars.)"

…which is a performance improvement if you have a bottleneck of cars.

Hard Drive access is not as fast as any other type of memory access, so I don’t get your "under the hood" thing.

But anyway – great topic :)  I enjoyed reading this on Christmas Eve from home.

44. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][83] says:

[ December 26, 2007 at 9:25 am][84]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-7/>

45. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][85] says:

[ December 26, 2007 at 9:30 am][86]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-8/>

46. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][87] says:

[ December 26, 2007 at 9:35 am][88]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-9/>

47. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][89] says:

[ December 26, 2007 at 9:40 am][90]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-10/>

48. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][89] says:

[ December 26, 2007 at 9:40 am][91]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-10/>

49. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][92] says:

[ December 26, 2007 at 9:45 am][93]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-11/>

50. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][94] says:

[ December 26, 2007 at 9:50 am][95]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-12/>

51. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][96] says:

[ December 26, 2007 at 9:56 am][97]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-13/>

52. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][98] says:

[ December 26, 2007 at 10:01 am][99]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-14/>

53. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][100] says:

[ December 26, 2007 at 10:06 am][101]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-15/>

54. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][102] says:

[ December 26, 2007 at 10:10 am][103]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-16/>

55. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][104] says:

[ December 26, 2007 at 10:11 am][105]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-17/>

56. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][106] says:

[ December 26, 2007 at 10:15 am][107]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-18/>

57. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][108] says:

[ December 26, 2007 at 10:16 am][109]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-19/>

58. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][110] says:

[ December 26, 2007 at 10:20 am][111]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-20/>

59. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][112] says:

[ December 26, 2007 at 10:22 am][113]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-21/>

60. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][114] says:

[ December 26, 2007 at 10:25 am][115]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-22/>

61. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][116] says:

[ December 26, 2007 at 10:27 am][117]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-23/>

62. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][118] says:

[ December 26, 2007 at 10:30 am][119]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-24/>

63. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][120] says:

[ December 26, 2007 at 10:32 am][121]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-25/>

64. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][122] says:

[ December 26, 2007 at 10:35 am][123]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-26/>

65. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][122] says:

[ December 26, 2007 at 10:35 am][124]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-26/>

66. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][125] says:

[ December 26, 2007 at 10:37 am][126]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-27/>

67. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][127] says:

[ December 26, 2007 at 10:40 am][128]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-28/>

68. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][129] says:

[ December 26, 2007 at 10:42 am][130]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-29/>

69. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][131] says:

[ December 26, 2007 at 10:45 am][132]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-30/>

70. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][133] says:

[ December 26, 2007 at 10:48 am][134]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-31/>

71. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][135] says:

[ December 26, 2007 at 10:50 am][136]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-32/>

72. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][137] says:

[ December 26, 2007 at 10:56 am][138]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-33/>

73. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][139] says:

[ December 26, 2007 at 11:01 am][140]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-34/>

74. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][139] says:

[ December 26, 2007 at 11:01 am][141]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-34/>

75. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][142] says:

[ December 26, 2007 at 11:06 am][143]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-35/>

76. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][144] says:

[ December 26, 2007 at 11:10 am][145]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-36/>

77. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][146] says:

[ December 26, 2007 at 11:11 am][147]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-37/>

78. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][148] says:

[ December 26, 2007 at 11:15 am][149]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-38/>

79. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][150] says:

[ December 26, 2007 at 11:16 am][151]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-39/>

80. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][152] says:

[ December 26, 2007 at 11:20 am][153]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-40/>

81. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][154] says:

[ December 26, 2007 at 11:22 am][155]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-41/>

82. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][156] says:

[ December 26, 2007 at 11:25 am][157]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-42/>

83. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][158] says:

[ December 26, 2007 at 11:27 am][159]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-43/>

84. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][160] says:

[ December 26, 2007 at 11:30 am][161]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-44/>

85. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][162] says:

[ December 26, 2007 at 11:32 am][163]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-45/>

86. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][164] says:

[ December 26, 2007 at 11:35 am][165]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-46/>

87. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][166] says:

[ December 26, 2007 at 11:37 am][167]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-47/>

88. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][168] says:

[ December 26, 2007 at 11:40 am][169]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-48/>

89. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][170] says:

[ December 26, 2007 at 11:42 am][171]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-49/>

90. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][172] says:

[ December 26, 2007 at 11:45 am][173]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-50/>

91. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][174] says:

[ December 26, 2007 at 11:48 am][175]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-51/>

92. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][176] says:

[ December 26, 2007 at 11:50 am][177]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-52/>

93. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][178] says:

[ December 26, 2007 at 11:56 am][179]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-53/>

94. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][180] says:

[ December 26, 2007 at 12:01 pm][181]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-54/>

95. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][182] says:

[ December 26, 2007 at 12:06 pm][183]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-55/>

96. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][184] says:

[ December 26, 2007 at 12:10 pm][185]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-56/>

97. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][186] says:

[ December 26, 2007 at 12:11 pm][187]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-57/>

98. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][188] says:

[ December 26, 2007 at 12:15 pm][189]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-58/>

99. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][190] says:

[ December 26, 2007 at 12:16 pm][191]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-59/>

100. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][192] says:

[ December 26, 2007 at 12:20 pm][193]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-60/>

101. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][194] says:

[ December 26, 2007 at 12:22 pm][195]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-61/>

102. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][196] says:

[ December 26, 2007 at 12:25 pm][197]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-62/>

103. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][198] says:

[ December 26, 2007 at 12:27 pm][199]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-63/>

104. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][200] says:

[ December 26, 2007 at 12:30 pm][201]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-64/>

105. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][202] says:

[ December 26, 2007 at 12:32 pm][203]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-65/>

106. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][204] says:

[ December 26, 2007 at 12:35 pm][205]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-66/>

107. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][206] says:

[ December 26, 2007 at 12:37 pm][207]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-67/>

108. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][208] says:

[ December 26, 2007 at 12:40 pm][209]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-68/>

109. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][210] says:

[ December 26, 2007 at 12:42 pm][211]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-69/>

110. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][212] says:

[ December 26, 2007 at 12:45 pm][213]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-70/>

111. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][214] says:

[ December 26, 2007 at 12:48 pm][215]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-71/>

112. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][216] says:

[ December 26, 2007 at 12:50 pm][217]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-72/>

113. ![][20] [Caminews » The Old New Thing : What was the role of MS-DOS in Windows 95?][218] says:

[ December 26, 2007 at 12:56 pm][219]

PingBack from <http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-73/>

114. ![][20] [Larry Osterman][220] says:

[ December 26, 2007 at 2:47 pm][221]

cmov: You’re wrong.  Adding more RAM does improve performance, to a limit (and in 1995, you were always at the limit).

Committed memory needs to go somewhere, either to RAM or to the hard disk.  Since the hard disk is many orders of magnitude slower than memory, anything that reduces swapping improves performance.

115. ![][20] [Inferis’ Mind Dump » Blog Archive » links for 2007-12-26][222] says:

[ December 26, 2007 at 5:21 pm][223]

PingBack from <http://blog.blergh.be/2007/12/26/links-for-2007-12-26/>

116. ![][20] Dr. Nick says:

[ December 26, 2007 at 6:03 pm][224]

I think you got pingbacked.

117. ![][20] Jimbo says:

[ December 26, 2007 at 7:15 pm][225]

bcthanks sez:

"… nobody loads vendor-specific CD-ROM drivers anymore because everything is ATAPI or SCSI.

Of course there is still a ways to go, like why does every network card need a different driver?"

You’re mixing driver layers and hardware technology.  SCSI CD-ROM drives should (or, "should") accept all standard SCSI commands, hence no need for separate drivers for each drive.  In SCSI, one CD-ROM drive should (again, "should") look like the next one.

However, each SCSI host adapter (the SCSI card) is different, and needs its own driver.  On NT this is called a SCSI miniport driver.  It’s the go-between between MS’s SCSI port driver (which the SCSI CD-ROM driver talks to) and the SCSI card hardware itself.

If you’re using widely available SCSI technology (i.e. Adaptec), you don’t need to install a special miniport driver because they come with the out-of-box installation.  Also, many knock-off brands are register-compatible with major vendors’ cards (again, Adaptec), and so the standard miniport drivers will recognize and operate with them.

So: NT understands Ethernet frames and Ethernet hardware basic principles, but doesn’t know the particulars of every Ethernet card (although there’s plenty of register-compatible hardware out there, i.e. NE2000-compatible).  I’m not sure they’re named this way, but I suspect what you’re installing are network miniport drivers, analogous to the SCSI situation.

118. ![][226] CGomez says:

[ December 26, 2007 at 7:49 pm][227]

Pre Win95, I used to use DOS 6’s menu option to run seperate configs for different programs and games.  I had one for Win 3.1 as well.

On Win95’s release, that all went away.  I really cant think of an application I had to stop using.  At one point I didnt use those apps ever again, but that was probably around when Win2000 came out.

Win95 was a triumph, because it smoothed the transition away from DOS.  The transition wasn’t happening, and this allowed it to occur.

119. ![][20] dteven says:

[ December 27, 2007 at 12:13 am][228]

> truly one of MSFT’s more elegant and clever solutions.

Microsoft didn’t invent the DOS extender.  Phar Lap and Rational Systems did.

[_But DOS extenders let MS-DOS do the real file system work at the end of the day. -Raymond_]

120. ![][20] Grijan says:

[ December 26, 2007 at 10:47 pm][229]

Dave said:

> Have you tried installing NT 4 on the recommended minimum memory?

Yes, I have run Windows NT 4 for five years (from 1997 to 2002) with several different configurations, the first one being a Pentium 75 with 16 Mb of RAM. It felt reasonably responsive, unless I opened more applications than fitted in RAM and it started paging. Anyway, NT 4 was a bit slower than Windows 3.1 or 95 on the same hardware (not surprisingly), but, for me, the stability made it worth.

My Pentium 75 computer had a bug in the motherboard, and sometimes, after a reboot, it would only see the first 8 Mb of RAM, requiring a hard reset to fix it. When I didn’t notice it at the POST screen, NT 4 would try to boot – and it always succeeded, arriving at the desktop after several minutes of frenzy paging :-) . So, I can assure you that even if the official specs say NT 4 requires 12 Mb of RAM, it *can* boot with just 8 Mb.

The last configuration I ran NT 4 on, just before switching to XP, was an AMD K7 500 with 128 Mb of RAM. Each time I had to sit on a comparable Windows 98 machine, I found no noticeable difference in speed in either way, but felt that memory-intensive applications usually ran worse in 98.

121. ![][20] Aidan Thornton says:

[ December 27, 2007 at 10:56 am][230]

Myria: most copy protection schemes are evil, evil monstrosities that make dodgy assumptions, do awful things to system security and/or break at the slightest change.

It’s just their nature – the requirements inevitably result in nasty, evil code that does several dozen things which it has no business doing and which have serious issues. If Microsoft wanted to do the right thing, they’d pick some of the worse practices and refuse the offending software permission to use their trademarks and "compatible with xxx" logos.

The Wine devs analysed a particularly evil example recently. Apparently, it disassembled all entry points to certain system libraries and did analysis of the code. If it didn’t like what it saw, it aborted execution.

This has to be a app compat expert’s worst nightmare, particularly since it can apparently follow several levels of jumps into non-exported code. Also, many of the criteria are statistical with a threshold for acceptance, so it probably wouldn’t even need compiler changes or unusual code to trip it.

(Of course, the fact that this made the code incompatible with Linux means that Microsoft is probably more likely to reward than punish the companies involved.)

122. ![][20] cmov says:

[ December 27, 2007 at 3:20 pm][231]

A RAID 0 array with 10krpm disks and a decent controller can perform really well when the memory manager is paging like if there’s no tomorrow. Even though to the end user this may be totally meaningless, the computer is still pretty fast at what it does.

So I’m being the hardware guy here: it’s a software problem. I know software people like to blame the hardware but they’re wrong. TBH I’m not a hardware geek and my computers probably won’t run Vista very well if at all, but it’s getting annoying to hear people cry that they’ve installed another GiB or 2 of RAM and things aren’t any faster. They should’ve known better.

To improve software performance by adding hardware is "cheating". It doesn’t solve the problem, it merely works around it. Use memory profilers or at the very least plain task manager to measure memory usage, make sure there are no suprises.

To be a bit more ontopic here: A typical DOS program could run well within low memory (which was like, the famous and misquoted(?) 640kB). Ofcourse a minimal Windows program needs at least 2MiB but more realistically 5MiB, still programs should be designed to use no more memory then neccesary for its purpose.

123. ![][20] [Scott][232] says:

[ December 27, 2007 at 5:17 pm][233]

@Nobody Real:

I never got the sense that Windows was a shell, reading "Schulman’s Inside Windows 95".  I thought he made a rather strong case that DOS was pretty much gone.  He goes through a lot of trouble to explain all that VMM32.SYS was really the boss and not MS-DOS.  I remember a lot elaborate examples, and it wasn’t the fine print.

124. ![][234] Igor Levicki says:

[ December 27, 2007 at 6:35 pm][235]

"You know, funny thing is, this is the same problem plaguing the transition from 32-bit and 64-bit, and probably close to the same reason Vista came out in both versions."

Yeah… only this time situation is vastly different. You can buy 8GB of DDR2-800 for as low as $175 and 32-bit Vista can’t use more than 3GB, not to mention that if you run three-way SLI with 8800GTX Ultra, those 3GB quickly go down to 1.75GB and with less than 4GB Vista is unusable anyway unless you consider using calculator and notepad as a serious computer use.

125. ![][236] Triangle says:

[ December 27, 2007 at 11:16 pm][237]

Thursday, December 27, 2007 3:20 PM by cmov

" … it’s getting annoying to hear people cry that they’ve installed another GiB or 2 of RAM and things aren’t any faster. They should’ve known better."

Obviously you’ve never met an average Windows user.

"To be a bit more ontopic here: A typical DOS program could run well within low memory (which was like, the famous and misquoted(?) 640kB). Ofcourse a minimal Windows program needs at least 2MiB but more realistically 5MiB, still programs should be designed to use no more memory then neccesary for its purpose."

That is true. However: You’re average DOS program doesn’t have translucent window borders, and a very long time ago Windows gave up on being compact. The cost of RAM has dropped, so Microsoft simply doesn’t seriously optimize memory usage anymore.

126. ![][20] Yuhong Bao says:

[ December 28, 2007 at 2:58 pm][238]

"You can buy 8GB of DDR2-800 for as low as $175 and 32-bit Vista can’t use more than 3GB, not to mention that if you run three-way SLI with 8800GTX Ultra, those 3GB quickly go down to 1.75GB"

Until you enable PAE, then the physical address space is expanded to 36-bit.

BTW, in case you are confused about the interaction between PAE and NX:

<http://yuhong386.spaces.live.com/blog/cns>!57E2793D0C53276F!147.entry

127. ![][20] Sam says:

[ December 28, 2007 at 4:38 pm][239]

Igor: not to mention that if you run three-way SLI with 8800GTX Ultra, those 3GB quickly go down to 1.75GB

No. What’s with the myth that graphics cards map their entire video RAM into the proccessor’s address space?

They don’t. They use an "apature" – a small(ish) "window" of RAM that is mapped to the part of graphics memory that the proccessor want’s to use at that particular moment.

On systems that I’ve seen, this apature tends to be around 128MB, although it could be larger on high-performance systems.

128. ![][20] [AlmostAlive][240] says:

[ December 29, 2007 at 2:10 am][241]

This was an awesome article — throughly enjoyed it!  

Most people complaining about Windows 95 have completely forgotten what things were like back then.  If you had a CD-ROM, you were quite likely using an MS-DOS driver to access it.  I still had plenty of DOS apps that required me to exit Windows to run (like games, demos, etc).  And I ran Windows 95 in 4MB of RAM and it worked great.  This was not a time for NT 3.51 to be in the hands of regular people!

129. ![][20] [The purpose of DOS under Windows 95 « Surviving Technology][242] says:

[ December 29, 2007 at 7:57 pm][243]

PingBack from <http://jamesnt.wordpress.com/2007/12/30/the-purpose-of-dos-under-windows-95/>

130. ![][20] Yuhong Bao says:

[ December 30, 2007 at 1:44 am][244]

Unfortuately however, even if Win32 existed since NT 3.1, Windows 95 encouraged a lot of Win32 apps that did not handle NT’s security well, causing trouble when 9x was finally abandoned. Originally it was supposed to be after 98, but it was later pushed to after Me. BTW, be glad Nepture did not release, else 9x vs NT would be even more confusing.

131. ![][20] Gazpacho says:

[ December 30, 2007 at 1:22 pm][245]

Warn off the Slashdot trolls, get spammed. It’s a no-win situation.

132. ![][20] SRS says:

[ December 30, 2007 at 3:50 pm][246]

If you think that win 3.1 was just a simple shell over DOS, it’s instructive to do some research on win386.exe (remember 386-Enhanced mode, anyone?). The vmm + numerous vxds inside win386.exe were a new protected mode OS that certainly wasn’t DOS – we just didn’t know it at the time…

133. ![][20] Miral says:

[ December 31, 2007 at 3:53 am][247]

"Until you enable PAE, then the physical address space is expanded to 36-bit."

I’ve enabled PAE on my Vista 32-bit box with 4GB physical RAM, and it can still only see 3GB.  So I’m calling shenanigans.

And BTW, Raymond, I think you’re getting pingback spam.  Just a hunch.  :)

134. ![][20] [/dev/null][248] says:

[ January 12, 2008 at 1:38 am][249]

I read Raymond Chen’s blog from time to time, somewhat because he’s a really conversational writer, and somewhat because he’s got lots of interesting things to say about the history of Windows. I was amused by this post about MS-DOS…

Comments are closed.

[Skip to main content][250]

## Follow Us

## News

Holy cow, [I wrote a book][251]

![][252]

## Basics

* [Archives][253]
* [Ground Rules][254]
* [Suggestion Box][255]
* [Contact Me][256]
* [Disclaimers and such][257]

## Categories

* [Code][258]
* [Non-Computer][259]
* [Other][260]
* [History][19]
* [Tips/Support][261]

## Archives

* [February 2018][262] (16)
* [January 2018][263] (29)
* [All of 2018][264] (45)
* [All of 2017][265] (285)
* [All of 2016][266] (276)
* [All of 2015][267] (276)
* [All of 2014][268] (304)
* [All of 2013][269] (348)
* [All of 2012][270] (307)
* [All of 2011][271] (310)
* [All of 2010][272] (360)
* [All of 2009][273] (420)
* [All of 2008][274] (431)
* [All of 2007][275] (460)
* [All of 2006][276] (430)
* [All of 2005][277] (396)
* [All of 2004][278] (440)
* [All of 2003][279] (189)

[Privacy & Cookies][280] [Terms of Use][281] [Trademarks][282]

[ ][283]

© 2018 Microsoft 

[1]: https://go.microsoft.com/fwlink/?linkid=845480
[2]: https://blogs.msdn.microsoft.com/oldnewthing/wp-content/themes/microsoft/images/ms-logo-gray.svg
[3]: https://www.microsoft.com/
[4]: https://blogs.msdn.microsoft.com/wp-login.php?aadsso_action=login
[5]: https://blogs.msdn.microsoft.com/oldnewthing
[6]: https://i1.social.s-msft.com/profile/u/avatar.jpg?displayname=Raymond+Chen+-+MSFT&size=extralarge&version=00000000-0000-0000-0000-000000000000
[7]: https://social.msdn.microsoft.com/profile/Raymond+Chen+-+MSFT
[8]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comments
[9]: https://www.facebook.com/sharer/sharer.php?u=https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063&src=sdkpreparse
[10]: https://blogs.msdn.microsoft.com#
[11]: http://blogs.msdn.com/oldnewthing/archive/2007/08/10/4315707.aspx
[12]: http://blogs.msdn.com/oldnewthing/pages/407234.aspx#442593
[13]: http://blogs.msdn.com/larryosterman/archive/2004/08/12/213681.aspx
[14]: http://blogs.msdn.com/oldnewthing/archive/2006/01/10/511201.aspx
[15]: http://blogs.msdn.com/oldnewthing/archive/2007/12/18/6794821.aspx#6825546
[16]: http://www.frontiernet.net/%7Efys/tsrdemo.htm#below2
[17]: http://www.ciadvertising.org/sa/spring_04/adv382j/cristin44/donuts.html
[18]: http://blogs.msdn.com/oldnewthing/archive/2007/12/17/6785519.aspx
[19]: https://blogs.msdn.microsoft.com/oldnewthing/tag/history
[20]: https://secure.gravatar.com/avatar/3651e719491c63d4424134d66fe53db9?s=56&d=mm&r=g
[21]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580313
[22]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580323
[23]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580333
[24]: https://i1.social.s-msft.com/profile/u/avatar.jpg?displayname=JamesNT&size=extralarge&version=a11358f3-e35d-4a14-873c-7c4eb53f83d1
[25]: https://social.msdn.microsoft.com/profile/JamesNT
[26]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580343
[27]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580353
[28]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580363
[29]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580383
[30]: http://www.johntopley.com/
[31]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580393
[32]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580403
[33]: http://K.Hagan@thermoteknix.com
[34]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580433
[35]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580443
[36]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580453
[37]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580463
[38]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580473
[39]: http://codeka.com/blogs/
[40]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580483
[41]: http://codeka.com/blogs
[42]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580493
[43]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580503
[44]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580513
[45]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580523
[46]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580533
[47]: http://www.gibixonline.com
[48]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580543
[49]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580553
[50]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580563
[51]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580573
[52]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580583
[53]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580593
[54]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580613
[55]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580623
[56]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580643
[57]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580603
[58]: https://secure.gravatar.com/avatar/78a9665f09637eaeff01e6e82a25d90a?s=56&d=mm&r=g
[59]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580823
[60]: https://i1.social.s-msft.com/profile/u/avatar.jpg?displayname=Dean+Harding&size=extralarge&version=00000000-0000-0000-0000-000000000000
[61]: https://social.msdn.microsoft.com/profile/Dean+Harding
[62]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580843
[63]: http://blog.blergh.be/2007/12/26/ms-dos-in-win95/
[64]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580853
[65]: http://www.pagetable.com/
[66]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580793
[67]: http://www.werkema.com
[68]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580803
[69]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95/
[70]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580863
[71]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580883
[72]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-2/
[73]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580893
[74]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-3/
[75]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580903
[76]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-4/
[77]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580923
[78]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-5/
[79]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580933
[80]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-6/
[81]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580943
[82]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580953
[83]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-7/
[84]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580963
[85]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-8/
[86]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580973
[87]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-9/
[88]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580983
[89]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-10/
[90]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-580993
[91]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581003
[92]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-11/
[93]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581013
[94]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-12/
[95]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581023
[96]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-13/
[97]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581043
[98]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-14/
[99]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581053
[100]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-15/
[101]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581063
[102]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-16/
[103]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581073
[104]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-17/
[105]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581083
[106]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-18/
[107]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581093
[108]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-19/
[109]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581113
[110]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-20/
[111]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581123
[112]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-21/
[113]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581133
[114]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-22/
[115]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581143
[116]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-23/
[117]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581153
[118]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-24/
[119]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581163
[120]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-25/
[121]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581173
[122]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-26/
[123]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581183
[124]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581193
[125]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-27/
[126]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581203
[127]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-28/
[128]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581213
[129]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-29/
[130]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581223
[131]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-30/
[132]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581233
[133]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-31/
[134]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581243
[135]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-32/
[136]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581253
[137]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-33/
[138]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581263
[139]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-34/
[140]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581273
[141]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581283
[142]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-35/
[143]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581293
[144]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-36/
[145]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581313
[146]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-37/
[147]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581323
[148]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-38/
[149]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581333
[150]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-39/
[151]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581343
[152]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-40/
[153]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581363
[154]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-41/
[155]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581373
[156]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-42/
[157]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581383
[158]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-43/
[159]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581393
[160]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-44/
[161]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581403
[162]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-45/
[163]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581413
[164]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-46/
[165]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581423
[166]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-47/
[167]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581433
[168]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-48/
[169]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581443
[170]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-49/
[171]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581453
[172]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-50/
[173]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581463
[174]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-51/
[175]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581493
[176]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-52/
[177]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581503
[178]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-53/
[179]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581523
[180]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-54/
[181]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581533
[182]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-55/
[183]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581543
[184]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-56/
[185]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581553
[186]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-57/
[187]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581563
[188]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-58/
[189]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581583
[190]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-59/
[191]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581593
[192]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-60/
[193]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581603
[194]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-61/
[195]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581613
[196]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-62/
[197]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581623
[198]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-63/
[199]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581633
[200]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-64/
[201]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581643
[202]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-65/
[203]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581653
[204]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-66/
[205]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581663
[206]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-67/
[207]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581673
[208]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-68/
[209]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581683
[210]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-69/
[211]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581693
[212]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-70/
[213]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581703
[214]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-71/
[215]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581713
[216]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-72/
[217]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581723
[218]: http://www.caminews.it/the-old-new-thing-what-was-the-role-of-ms-dos-in-windows-95-73/
[219]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581743
[220]: http://blogs.msdn.com/larryosterman
[221]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581823
[222]: http://blog.blergh.be/2007/12/26/links-for-2007-12-26/
[223]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581863
[224]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581903
[225]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581923
[226]: https://secure.gravatar.com/avatar/1c58c93cb75549046a87a37fef7f0587?s=56&d=mm&r=g
[227]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581943
[228]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-582013
[229]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-581983
[230]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-582113
[231]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-582273
[232]: http://www.tringali.org
[233]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-582323
[234]: https://secure.gravatar.com/avatar/10fb13a44edf9a84624bbe62dff7d5bc?s=56&d=mm&r=g
[235]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-582343
[236]: https://secure.gravatar.com/avatar/90dd2e2e186a035b87525d780ce653e1?s=56&d=mm&r=g
[237]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-582383
[238]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-582693
[239]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-582793
[240]: http://www.crazyontap.com
[241]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-582853
[242]: http://jamesnt.wordpress.com/2007/12/30/the-purpose-of-dos-under-windows-95/
[243]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-582953
[244]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-583013
[245]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-583043
[246]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-583053
[247]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-583093
[248]: http://www.milkmandan.org/dev/null/archives/2008/01/sucking_the_bra.html
[249]: https://blogs.msdn.microsoft.com/oldnewthing/20071224-00/?p=24063#comment-588863
[250]: https://blogs.msdn.microsoft.com#primary
[251]: https://blogs.msdn.microsoft.com/oldnewthing/archive/2006/12/07/1233002.aspx
[252]: https://msdnshared.blob.core.windows.net/media/2017/06/cover.jpg
[253]: https://blogs.msdn.microsoft.com/b/oldnewthing/p/archives.aspx
[254]: https://blogs.msdn.microsoft.com/b/oldnewthing/archive/2004/02/21/77681.aspx
[255]: https://blogs.msdn.microsoft.com/b/oldnewthing/archive/2010/07/20/10040074.aspx
[256]: https://blogs.msdn.microsoft.com/b/oldnewthing/pages/232903.aspx
[257]: https://blogs.msdn.microsoft.com/b/oldnewthing/pages/4520252.aspx
[258]: https://blogs.msdn.microsoft.com/oldnewthing/tag/code
[259]: https://blogs.msdn.microsoft.com/oldnewthing/tag/non-computer
[260]: https://blogs.msdn.microsoft.com/oldnewthing/tag/other
[261]: https://blogs.msdn.microsoft.com/oldnewthing/tag/tipssupport
[262]: https://blogs.msdn.microsoft.com/oldnewthing/2018/02
[263]: https://blogs.msdn.microsoft.com/oldnewthing/2018/01
[264]: https://blogs.msdn.microsoft.com/oldnewthing/2018
[265]: https://blogs.msdn.microsoft.com/oldnewthing/2017
[266]: https://blogs.msdn.microsoft.com/oldnewthing/2016
[267]: https://blogs.msdn.microsoft.com/oldnewthing/2015
[268]: https://blogs.msdn.microsoft.com/oldnewthing/2014
[269]: https://blogs.msdn.microsoft.com/oldnewthing/2013
[270]: https://blogs.msdn.microsoft.com/oldnewthing/2012
[271]: https://blogs.msdn.microsoft.com/oldnewthing/2011
[272]: https://blogs.msdn.microsoft.com/oldnewthing/2010
[273]: https://blogs.msdn.microsoft.com/oldnewthing/2009
[274]: https://blogs.msdn.microsoft.com/oldnewthing/2008
[275]: https://blogs.msdn.microsoft.com/oldnewthing/2007
[276]: https://blogs.msdn.microsoft.com/oldnewthing/2006
[277]: https://blogs.msdn.microsoft.com/oldnewthing/2005
[278]: https://blogs.msdn.microsoft.com/oldnewthing/2004
[279]: https://blogs.msdn.microsoft.com/oldnewthing/2003
[280]: https://msdn.microsoft.com/dn529288
[281]: https://msdn.microsoft.com/cc300389
[282]: https://www.microsoft.com/en-us/legal/intellectualproperty/Trademarks/EN-US.aspx
[283]: https://www.microsoft.com

