---
created_at: '2013-01-15T20:54:50.000Z'
title: Stuff (2007)
url: http://www.paulgraham.com/stuff.html
author: gatsby
points: 121
story_text: ''
comment_text: 
num_comments: 94
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1358283290
_tags:
- story
- author_gatsby
- story_5062936
objectID: '5062936'

---
[Source](http://www.paulgraham.com/stuff.html "Permalink to Stuff")

# Stuff


| ----- |
| ![][1] | ![][2] | ![][3]  
  

| ![Stuff][4]  
  
July 2007  
  
I have too much stuff. Most people in America do. In fact, the poorer people are, the more stuff they seem to have. Hardly anyone is so poor that they can't afford a front yard full of old cars.  
  
It wasn't always this way. Stuff used to be rare and valuable. You can still see evidence of that if you look for it. For example, in my house in Cambridge, which was built in 1876, the bedrooms don't have closets. In those days people's stuff fit in a chest of drawers. Even as recently as a few decades ago there was a lot less stuff. When I look back at photos from the 1970s, I'm surprised how empty houses look. As a kid I had what I thought was a huge fleet of toy cars, but they'd be dwarfed by the number of toys my nephews have. All together my Matchboxes and Corgis took up about a third of the surface of my bed. In my nephews' rooms the bed is the only clear space.  
  
Stuff has gotten a lot cheaper, but our attitudes toward it haven't changed correspondingly. We overvalue stuff.  
  
That was a big problem for me when I had no money. I felt poor, and stuff seemed valuable, so almost instinctively I accumulated it. Friends would leave something behind when they moved, or I'd see something as I was walking down the street on trash night (beware of anything you find yourself describing as "perfectly good"), or I'd find something in almost new condition for a tenth its retail price at a garage sale. And pow, more stuff.  
  
In fact these free or nearly free things weren't bargains, because they were worth even less than they cost. Most of the stuff I accumulated was worthless, because I didn't need it.  
  
What I didn't understand was that the value of some new acquisition wasn't the difference between its retail price and what I paid for it. It was the value I derived from it. Stuff is an extremely illiquid asset. Unless you have some plan for selling that valuable thing you got so cheaply, what difference does it make what it's "worth?" The only way you're ever going to extract any value from it is to use it. And if you don't have any immediate use for it, you probably never will.  
  
Companies that sell stuff have spent huge sums training us to think stuff is still valuable. But it would be closer to the truth to treat stuff as worthless.  
  
In fact, worse than worthless, because once you've accumulated a certain amount of stuff, it starts to own you rather than the other way around. I know of one couple who couldn't retire to the town they preferred because they couldn't afford a place there big enough for all their stuff. Their house isn't theirs; it's their stuff's.  
  
And unless you're extremely organized, a house full of stuff can be very depressing. A cluttered room saps one's spirits. One reason, obviously, is that there's less room for people in a room full of stuff. But there's more going on than that. I think humans constantly scan their environment to build a mental model of what's around them. And the harder a scene is to parse, the less energy you have left for conscious thoughts. A cluttered room is literally exhausting.  
  
(This could explain why clutter doesn't seem to bother kids as much as adults. Kids are less perceptive. They build a coarser model of their surroundings, and this consumes less energy.)  
  
I first realized the worthlessness of stuff when I lived in Italy for a year. All I took with me was one large backpack of stuff. The rest of my stuff I left in my landlady's attic back in the US. And you know what? All I missed were some of the books. By the end of the year I couldn't even remember what else I had stored in that attic.  
  
And yet when I got back I didn't discard so much as a box of it. Throw away a perfectly good rotary telephone? I might need that one day.  
  
The really painful thing to recall is not just that I accumulated all this useless stuff, but that I often spent money I desperately needed on stuff that I didn't.  
  
Why would I do that? Because the people whose job is to sell you stuff are really, really good at it. The average 25 year old is no match for companies that have spent years figuring out how to get you to spend money on stuff. They make the experience of buying stuff so pleasant that "shopping" becomes a leisure activity.  
  
How do you protect yourself from these people? It can't be easy. I'm a fairly skeptical person, and their tricks worked on me well into my thirties. But one thing that might work is to ask yourself, before buying something, "is this going to make my life noticeably better?"  
  
A friend of mine cured herself of a clothes buying habit by asking herself before she bought anything "Am I going to wear this all the time?" If she couldn't convince herself that something she was thinking of buying would become one of those few things she wore all the time, she wouldn't buy it. I think that would work for any kind of purchase. Before you buy anything, ask yourself: will this be something I use constantly? Or is it just something nice? Or worse still, a mere bargain?  
  
The worst stuff in this respect may be stuff you don't use much because it's too good. Nothing owns you like fragile stuff. For example, the "good china" so many households have, and whose defining quality is not so much that it's fun to use, but that one must be especially careful not to break it.  
  
Another way to resist acquiring stuff is to think of the overall cost of owning it. The purchase price is just the beginning. You're going to have to _think_ about that thing for years—perhaps for the rest of your life. Every thing you own takes energy away from you. Some give more than they take. Those are the only things worth having.  
  
I've now stopped accumulating stuff. Except books—but books are different. Books are more like a fluid than individual objects. It's not especially inconvenient to own several thousand books, whereas if you owned several thousand random possessions you'd be a local celebrity. But except for books, I now actively avoid stuff. If I want to spend money on some kind of treat, I'll take services over goods any day.  
  
I'm not claiming this is because I've achieved some kind of zenlike detachment from material things. I'm talking about something more mundane. A historical change has taken place, and I've now realized it. Stuff used to be valuable, and now it's not.  
  
In industrialized countries the same thing happened with food in the middle of the twentieth century. As food got cheaper (or we got richer; they're indistinguishable), eating too much started to be a bigger danger than eating too little. We've now reached that point with stuff. For most people, rich or poor, stuff has become a burden.  
  
The good news is, if you're carrying a burden without knowing it, your life could be better than you realize. Imagine walking around for years with five pound ankle weights, then suddenly having them removed.  
  
  
  
  
  
  
  
 | 

  

| ----- |
| ![][2] | 
| ![][5] | ![][2] | [Spanish Translation][6]  
![][2]  
 | ![][2] | ![][5] | ![][2] | [Russian Translation][7]  
![][2]  
 | 
| ![][2] |  | | | | | |
| ![][2] | 
| ![][5] | ![][2] | [Italian Translation][8]  
![][2]  
 | ![][2] | ![][5] | ![][2] | [Polish Translation][9]  
![][2]  
 | 
| ![][2] |  | | | | | |
| ![][2] | 
| ![][5] | ![][2] | [Turkish Translation][10]  
![][2]  
 | ![][2] | ![][5] | ![][2] | [French Translation][11]  
![][2]  
 | 
| ![][2] |  | | | | | |
| ![][2] | 
| ![][5] | ![][2] | [Slovak Translation][12]  
![][2]  
 | ![][2] | ![][5] | ![][2] | [Romanian Translation][13]  
![][2]  
 | 
| ![][2] |  | | | | | |
| ![][2] | 
| ![][5] | ![][2] | [German Translation][14]  
![][2]  
 | 
| ![][2] |  | |

  
 | 

[1]: http://ep.yimg.com/ay/paulgraham/essays-1.gif
[2]: http://ep.yimg.com/ca/Img/trans_1x1.gif
[3]: http://ep.yimg.com/ca/I/paulgraham_2271_3232
[4]: http://ep.yimg.com/ca/I/paulgraham_2202_8304883
[5]: http://ep.yimg.com/ca/I/paulgraham_2271_5194
[6]: http://betawriting.blogspot.com/2007/08/cosas-por-paul-graham.html
[7]: http://ryba4.com/translations/stuff
[8]: http://www.internazionale.it/interblog/index.php?itemid=2196
[9]: http://nhw.pl/pl/2007/11/rzeczy
[10]: http://tayfunsen.blogspot.com/2007/12/eyalar.html
[11]: http://versionfrancaise.blogspot.com/2008/07/trucs.html
[12]: http://aan.bloguje.sk/801255-veci-paul-graham.php
[13]: http://marius.sigheti.eu/lucruri/
[14]: http://52wege.de/von-der-wertlosigkeit-der-dinge

