---
created_at: '2014-04-20T18:37:25.000Z'
title: Nuclear plants release less radiation into environment than coal plants (2007)
url: http://www.scientificamerican.com/article/coal-ash-is-more-radioactive-than-nuclear-waste/
author: ch4s3
points: 79
story_text: ''
comment_text: 
num_comments: 55
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1398019045
_tags:
- story
- author_ch4s3
- story_7617940
objectID: '7617940'

---
[Source](https://www.scientificamerican.com/article/coal-ash-is-more-radioactive-than-nuclear-waste/ "Permalink to Coal Ash Is More Radioactive Than Nuclear Waste - Scientific American")

# Coal Ash Is More Radioactive Than Nuclear Waste - Scientific American

We use cookies to provide you with a better onsite experience. By continuing to browse the site you are agreeing to our use of cookies in accordance with our [Cookie Policy][1].

[Skip to main content][2]

[Subscribe][3]Menu

[Scientific American][4]

* English 
* [Cart 0][5]
* Sign In| [Register][6] Email:Password:[Forgot password?][7]Login![Loading][8][Not yet registered?][6]
Search[Subscribe][9]

* [English][4]
* [Español][10]
* [العربية][11]
* [Other Editions][12]

Close

SearchCloseSearch

(examples: physics, climate change, etc.)

* [The Sciences][13]
* [Mind][14]
* [Health][15]
* [ Tech][16]
* [Sustainability][17]
* [Education][18]
* [Video][19]
* [Podcasts][20]
* [Blogs][21]
* [Store][22]
* [Subscribe][3]
* [Current Issue][23]
* [Cart][5]
* [Sign In][24]
* [Register][6]
* Share
* Latest
* * * * * Share
* Latest
* * * * [Energy][25]

# Coal Ash Is More Radioactive Than Nuclear Waste

By burning away all the pesky carbon and other impurities, coal power plants produce heaps of radiation

* By [Mara Hvistendahl][26] on December 13, 2007
* * * * * * Share on Facebook

Share on Twitter

Share on Reddit

Email

Print

Share via

* [Google+][27]
* [Stumble Upon][27]

![Coal Ash Is More Radioactive Than Nuclear Waste][28]

_Credit: ©ISTOCKPHOTO.COM_

Advertisement

The popular conception of nuclear power is straight out of _The Simpsons_: Springfield abounds with signs of radioactivity, from the strange glow surrounding Mr. Burn's nuclear power plant workers to Homer's low sperm count. Then there's the local superhero, Radioactive Man, who fires beams of "nuclear heat" from his eyes. Nuclear power, many people think, is inseparable from a volatile, invariably lime-green, mutant-making radioactivity.

Coal, meanwhile, is believed responsible for a host of more quotidian problems, such as mining accidents, acid rain and [greenhouse gas emissions][29]. But it isn't supposed to spawn three-eyed fish like Blinky.

Over the past few decades, however, a series of studies has called these stereotypes into question. Among the surprising conclusions: the waste produced by coal plants is actually more radioactive than that generated by their nuclear counterparts. In fact, the fly ash emitted by a power plant—a by-product from burning coal for electricity—carries into the surrounding environment 100 times more radiation than a nuclear power plant producing the same amount of energy. * [_See Editor's Note at end of [page 2][30]]_

At issue is coal's content of uranium and thorium, both radioactive elements. They occur in such trace amounts in natural, or "whole," coal that they aren't a problem. But when coal is burned into fly ash, uranium and thorium are concentrated at up to 10 times their original levels.

Fly ash uranium sometimes leaches into the soil and water surrounding a coal plant, affecting cropland and, in turn, food. People living within a "stack shadow"—the area within a half- to one-mile (0.8- to 1.6-kilometer) radius of a coal plant's smokestacks—might then ingest small amounts of radiation. Fly ash is also disposed of in landfills and abandoned mines and quarries, posing a potential risk to people living around those areas.

In a 1978 paper for _Science,_ J. P. McBride at Oak Ridge National Laboratory (ORNL) and his colleagues looked at the uranium and thorium content of fly ash from coal-fired power plants in Tennessee and Alabama. To answer the question of just how harmful leaching could be, the scientists estimated radiation exposure around the coal plants and compared it with exposure levels around boiling-water reactor and pressurized-water nuclear power plants.

The result: estimated radiation doses ingested by people living near the coal plants were equal to or higher than doses for people living around the nuclear facilities. At one extreme, the scientists estimated fly ash radiation in individuals' bones at around 18 millirems (thousandths of a rem, a unit for measuring doses of ionizing radiation) a year. Doses for the two nuclear plants, by contrast, ranged from between three and six millirems for the same period. And when all food was grown in the area, radiation doses were 50 to 200 percent higher around the coal plants.

McBride and his co-authors estimated that individuals living near coal-fired installations are exposed to a maximum of 1.9 millirems of fly ash radiation yearly. To put these numbers in perspective, the average person encounters 360 millirems of annual "background radiation" from natural and man-made sources, including substances in Earth's crust, cosmic rays, residue from nuclear tests and smoke detectors.

Dana Christensen, associate lab director for energy and engineering at ORNL, says that health risks from radiation in coal by-products are low. "Other risks like being hit by lightning," he adds, "are three or four times greater than radiation-induced health effects from coal plants." And McBride and his co-authors emphasize that other products of coal power, like emissions of acid rain–producing sulfur dioxide and smog-forming nitrous oxide, pose greater health risks than radiation.

The U.S. Geological Survey (USGS) maintains an online database of fly ash–based uranium content for sites across the U.S. In most areas, the ash contains less uranium than some common rocks. In Tennessee's Chattanooga shale, for example, there is more uranium in phosphate rock.

Robert Finkelman, a former USGS coordinator of coal quality who oversaw research on uranium in fly ash in the 1990s, says that for the average person the by-product accounts for a miniscule amount of background radiation, probably less than 0.1 percent of total background radiation exposure. According to USGS calculations, buying a house in a stack shadow—in this case within 0.6 mile [one kilometer] of a coal plant—increases the annual amount of radiation you're exposed to by a maximum of 5 percent. But that's still less than the radiation encountered in normal yearly exposure to X-rays.

So why does coal waste appear so radioactive? It's a matter of comparison: The chances of experiencing adverse health effects from radiation are slim for both nuclear and coal-fired power plants—they're just somewhat higher for the coal ones. "You're talking about one chance in a billion for nuclear power plants," Christensen says. "And it's one in 10 million to one in a hundred million for coal plants."

Radiation from uranium and other elements in coal might only form a genuine health risk to miners, Finkelman explains. "It's more of an occupational hazard than a general environmental hazard," he says. "The miners are surrounded by rocks and sloshing through ground water that is exuding radon."

Developing countries like India and China continue to unveil [new coal-fired plants][31]—at the rate of one every seven to 10 days in the latter nation. And the U.S. still draws around half of its electricity from coal. But coal plants have an additional strike against them: they [emit harmful greenhouse gases][32].

With the [world now focused on addressing climate change][33], [nuclear power][34] is gaining favor in some circles. China aims to quadruple nuclear capacity to 40,000 megawatts by 2020, and the U.S. may build [as many as 30 new reactors][35] in the next several decades. But, although the risk of a nuclear core meltdown is very low, the impact of such an event creates a stigma around the [noncarbon power source][36].

The [question][37] boils down to the accumulating impacts of daily incremental pollution from burning coal or the small risk but [catastrophic consequences][38] of even one nuclear meltdown. "I suspect we'll hear more about this rivalry," Finkelman says. "More coal will be mined in the future. And those ignorant of the issues, or those who have a vested interest in other forms of energy, may be tempted to raise these issues again."

_*Editor's Note (12/30/08): In response to some [concerns raised by readers][39], a change has been made to this story. The sentence marked with an asterisk was changed from "In fact, fly ash—a by-product from burning coal for power—and other coal waste contains up to 100 times more radiation than nuclear waste" to "In fact, the fly ash emitted by a power plant—a by-product from burning coal for electricity—carries into the surrounding environment 100 times more radiation than a nuclear power plant producing the same amount of energy." Our source for this statistic is Dana Christensen, an associate lab director for energy and engineering at Oak Ridge National Laboratory as well as 1978 paper in Science authored by J. P. McBride and colleagues, also of ORNL.  
  
As a general clarification, ounce for ounce, coal ash released from a power plant delivers more radiation than nuclear waste shielded via water or dry cask storage._

[ ![][40] Rights & Permissions ][27]

### ABOUT THE AUTHOR(S)

![][41]

Mara Hvistendahl

Mara Hvistendahl is a contributing correspondent at Science and author of _Unnatural Selection: Choosing Boys over Girls, and the Consequences of a World Full of Men_ (PublicAffairs, 2011). She is currently writing a book on the rise of economic and cyber-spying and the global battle over technological secrets.

Credit: Nick Higgins

#### Recent Articles

* [1 World, 10 Billion People: Who Thrives, and Who Falls Behind?][42]
* [China's New Birth Rule Can't Restore Missing Women and Fix a Population][43]
* [How Ultrasound Changed the Human Sex Ratio][44]

Advertisement

## Read This Next

![The Future of Energy: Earth, Wind and Fire][45]

### [The Future of Energy: Earth, Wind and Fire][46]

[The Sciences

![Coal-Friendly Climate Changes in Kansas][47]

### Coal-Friendly Climate Changes in Kansas

October 19, 2007 — David Biello

][48]

[Sustainability

![Future of ][49]

### Future of "Clean Coal" Power Tied to (Uncertain) Success of Carbon Capture and Storage

March 14, 2007 — David Biello

][50]

[Sustainability

![Nuclear Power Reborn][51]

### Nuclear Power Reborn

September 26, 2007 — David Biello

][52]

## Newsletter

## Get smart. Sign up for our email newsletter.

[Sign Up][53]

## Every Issue. Every Year. 1845 - Present

Neuroscience. Evolution. Health. Chemistry. Physics. Technology.

[Subscribe Now!][54]![Every Issue. Every Year. 1845 - Present][55]Coal Ash Is More Radioactive Than Nuclear WasteBy burning away all the pesky carbon and other impurities, coal power plants produce heaps of radiation

Follow us

* [instagram][56]
* [soundcloud][57]
* [youtube][58]
* [twitter][59]
* [facebook][60]
* [rss][61]
* [Store][22]
* [About][62]
* [Press Room][63]
* [More ][27]
* [FAQs][64]
* [Contact Us][65]
* [Site Map][66]
* [Advertise][67]
* [Special Ad Sections][68]
* [SA Custom Media][69]
* [Terms of Use][70]
* [Privacy Policy][71]
* [Use of Cookies][72]

Scientific American is part of Springer Nature, which owns or has commercial relations with thousands of scientific publications (many of them can be found at [www.springernature.com/us][73]). Scientific American maintains a strict policy of editorial independence in reporting developments in science to our readers.

© 2018 Scientific American, a Division of Nature America, Inc.

All Rights Reserved.

![dcsimg][74]

### Confronting Common Wisdom

![][75]

[Learn More][76]

![][77]

[1]: http://www.scientificamerican.com/page/use-of-cookies/
[2]: https://www.scientificamerican.com#sa_body
[3]: https://www.scientificamerican.com/store/subscribe/scientific-american-magazine/?WT.ac=SA_ecom_SA_Nav_Subscribe_white
[4]: https://www.scientificamerican.com/
[5]: https://www.scientificamerican.com/store/shopping-cart/
[6]: https://www.scientificamerican.com/my-account/register/
[7]: https://www.scientificamerican.com/my-account/forgot-password/
[8]: https://www.scientificamerican.com/public/resources/loader-eba9d808f62929c2c4c744e562eca7d9.gif
[9]: https://www.scientificamerican.com/store/subscribe/scientific-american-magazine/?WT.ac=SA_ecom_SA_Nav-Subscribe-mobile
[10]: https://www.scientificamerican.com/espanol/
[11]: https://www.scientificamerican.com/arabic/
[12]: https://www.scientificamerican.com/page/international/
[13]: https://www.scientificamerican.com/the-sciences/
[14]: https://www.scientificamerican.com/mind/
[15]: https://www.scientificamerican.com/health/
[16]: https://www.scientificamerican.com/tech/
[17]: https://www.scientificamerican.com/sustainability/
[18]: https://www.scientificamerican.com/education/
[19]: https://www.scientificamerican.com/video/
[20]: https://www.scientificamerican.com/podcasts/
[21]: https://blogs.scientificamerican.com/
[22]: https://www.scientificamerican.com/store/
[23]: https://www.scientificamerican.com/magazine/sa/2018/03-01/
[24]: https://www.scientificamerican.com/my-account/login/
[25]: https://www.scientificamerican.com/energy/
[26]: https://www.scientificamerican.com/author/mara-hvistendahl/
[27]: https://www.scientificamerican.com#
[28]: https://static.scientificamerican.com/sciam/cache/file/D5B975F6-5EF8-4999-9B8C88368D25328E.jpg?w=590&h=393&47EBE0DA-FDF4-4C57-B44CD7DB9FDC073C
[29]: https://www.scientificamerican.com/article/coal-friendly-climate-changes-in-kansas
[30]: https://www.scientificamerican.com/article/coal-ash-is-more-radioactive-than-nuclear-waste&page=2
[31]: https://www.scientificamerican.com/article/climate-change-pollution-rising-again
[32]: https://www.scientificamerican.com/article/future-of-clean-coal-tied-to-success-of-carbon-capture-and-storage
[33]: https://www.scientificamerican.com/article/world-leaders-urge-action-on-climate-change
[34]: https://www.scientificamerican.com/article/the-nuclear-option
[35]: https://www.scientificamerican.com/article/nuclear-power-reborn
[36]: https://www.scientificamerican.com/article/combating-climate-change-energy-supply
[37]: https://www.scientificamerican.com/article/simcity-societies-a-green
[38]: https://www.scientificamerican.com/article/nuclear-mishap-or-meltdown-a-matter-of-degree
[39]: http://www.cejournal.net/?p=227
[40]: https://www.scientificamerican.com/themes/responsive/images/global/rightsPermsIcon.png
[41]: https://static.scientificamerican.com/sciam/cache/file/F3467614-598B-4E17-85FB7C1D9C58AD87_small.jpg
[42]: https://www.scientificamerican.com/article/1-world-10-billion-people-who-thrives-and-who-falls-behind/
[43]: https://www.scientificamerican.com/article/china-s-new-birth-rule-can-t-restore-missing-women-and-fix-a-population/
[44]: https://www.scientificamerican.com/article/how-ultrasound-changed-human-sex-ratio/
[45]: https://static.scientificamerican.com/sciam/cache/file/E251B248-94A5-48E4-9A33F19BBB37C8D3_medium.jpg?w=170&h=113&fit=crop
[46]: http://books.scientificamerican.com/sa-ebooks/books/the-future-of-energy-earth-wind-and-fire/?WT.mc_id=SA_EDITORIAL_EMAIL
[47]: https://static.scientificamerican.com/sciam/cache/file/2B256C3F-6270-4C9F-BABD983FF9AC4C00_medium.jpg?w=170&h=113&fit=crop
[48]: https://aws.scientificamerican.com/article/coal-friendly-climate-changes-in-kansas/
[49]: https://static.scientificamerican.com/sciam/cache/file/F76ED4BD-D339-433E-863BEBCA7D89E277_medium.gif?w=170&h=113&fit=crop
[50]: https://aws.scientificamerican.com/article/future-of-clean-coal-tied-to-success-of-carbon-capture-and-storage/
[51]: https://static.scientificamerican.com/sciam/cache/file/2BD3A833-9CB2-49B3-8DFB4D21DB42B7C8_medium.jpg?w=170&h=113&fit=crop
[52]: https://aws.scientificamerican.com/article/nuclear-power-reborn/
[53]: https://www.scientificamerican.com/page/newsletter-sign-up/?origincode=2016_sciam_ArticleFooter_NewsletterSignUp&category=subjects/technology/energy&idr=true&WT.ac=SA_Article_Footer_NewsletterSubscribe&wtaction=SA_SubmitForm_NewsletterSubscribe
[54]: http://www.scientificamerican.com/store/subscribe/scientific-american-magazine/?WT.ac=SA_ecom_SA_FooterPromo
[55]: https://static.scientificamerican.com/sciam/cache/file/BD1A6893-C362-486B-B0FBB38C1A104C46_source.png?w=385&h=375
[56]: https://www.instagram.com/scientific_american/?hl=en "instagram"
[57]:  "soundcloud"
[58]: https://www.youtube.com/user/SciAmerican "youtube"
[59]: https://twitter.com/sciam "twitter"
[60]: https://www.facebook.com/ScientificAmerican "facebook"
[61]: http://rss.sciam.com/ScientificAmerican-Global "rss"
[62]: https://www.scientificamerican.com/page/about-scientific-american/
[63]: https://www.scientificamerican.com/pressroom/
[64]: https://www.scientificamerican.com/page/frequently-asked-questions/
[65]: https://www.scientificamerican.com/page/contact-us/
[66]: https://www.scientificamerican.com/page/sitemap
[67]: https://www.scientificamerican.com/mediakit/
[68]: https://www.scientificamerican.com/ad-sections/
[69]: https://www.scientificamerican.com/page/custom-media-and-partnerships/
[70]: https://www.scientificamerican.com/page/terms-of-use/
[71]: https://www.scientificamerican.com/page/privacy-policy/
[72]: https://www.scientificamerican.com/page/use-of-cookies/
[73]: http://www.springernature.com/us
[74]: //statse.webtrendslive.com/dcszbiart00000oiar2s6w5ud_4y9j/njs.gif?dcsuri=/nojavascript&WT.js=No&WT.tv=10.4.12&dcssip=www.sciam.com
[75]: https://static.scientificamerican.com/sciam/cache/file/E565E90A-ABD8-4417-8B932A09C2A17179_source.png
[76]: https://www.scientificamerican.com/store/books/the-science-of-diet-exercise/?utm_source=site&utm_medium=display&utm_campaign=ebook-dietexercise&utm_content=banner&utm_term=SA-EB_DietExercise-1_CVP_v1_display_toaster
[77]: //secure-us.imrworldwide.com/cgi-bin/m?ci=us-403331h&cg=0&cc=1&ts=noscript

