---
created_at: '2015-07-14T15:19:05.000Z'
title: On the Origin of Circuits (2007)
url: http://www.damninteresting.com/on-the-origin-of-circuits/
author: chwolfe
points: 52
story_text: 
comment_text: 
num_comments: 12
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1436887145
_tags:
- story
- author_chwolfe
- story_9885558
objectID: '9885558'

---
[Source](https://www.damninteresting.com/on-the-origin-of-circuits/ "Permalink to On the Origin of Circuits • Damn Interesting")

# On the Origin of Circuits • Damn Interesting

×

* [Home][1]
* [About Us/FAQ][2]
* [Search][3]
* [Support Us][4]
* [Greatest Hits][5]
* [Random][6]
* [Curated Links][7]
* [Archive][8]
* [Nuggets][9]
* [Podcast][10]
* [Follow Us][11]
* [Contact Us][12]

×

* [Home][1]
* [Greatest Hits][5]
* [Archive][8]
* [Long-Form][13]
* [Nuggets][9]
* [Random Item][6]
* [Curated Links][7]
* [Home][1]
* [Greatest Hits][5]
* [Archives][8]
* [Nuggets][9]
* [Random Item][6]
* Explore
* [About Us][2]
* [Support Us][4]
* [Podcast][10]
* [Follow Us][11]
* [Contact Us][12]
* [

][1]

×

# On the Origin of Circuits

# On the Origin of Circuits

Written by [**Alan Bellows][14]** • 9 minute read • 142 comments 

In a unique laboratory in Sussex, England, a computer carefully scrutinized every member of large and diverse set of candidates. Each was evaluated dispassionately, and assigned a numeric score according to a strict set of criteria. This machine’s task was to single out the best possible pairings from the group, then force the selected couples to mate so that it might extract the resulting offspring and repeat the process with the following generation. As predicted, with each breeding cycle the offspring evolved slightly, nudging the population incrementally closer to the computer’s pre-programmed definition of the perfect individual.

The candidates in question were not the stuff of blood, guts, and chromosomes that are normally associated with evolution, rather they were clumps of ones and zeros residing within a specialized computer chip. As these primitive bodies of data bumped together in their silicon logic cells, Adrian Thompson— the machine’s master— observed with curiosity and enthusiasm. 

→

Dr. Adrian Thompson is a researcher operating from the Department of Informatics at the University of Sussex, and his experimentation in the mid-1990s represented some of science’s first practical attempts to penetrate the virgin domain of _hardware evolution_. The concept is roughly analogous to Charles Darwin’s elegant principle of natural selection, which describes how individuals with the most advantageous traits are more likely to survive and reproduce. This process tends to preserve favorable characteristics by passing them to the survivors’ descendants, while simultaneously suppressing the spread of less-useful traits. 

Dr. Thompson dabbled with computer circuits in order to determine whether survival-of-the-fittest principles might provide hints for improved microchip designs. As a test bed, he procured a special type of chip called a _Field-Programmable Gate Array_ (FPGA) whose internal logic can be completely rewritten as opposed to the fixed design of normal chips. This flexibility results in a circuit whose operation is hot and slow compared to conventional counterparts, but it allows a single chip to become a modem, a voice-recognition unit, an audio processor, or just about any other computer component. All one must do is load the appropriate configuration.

![Dr. Adrian Thompson][15]Dr. Adrian Thompson

The informatics researcher began his experiment by selecting a straightforward task for the chip to complete: he decided that it must reliably differentiate between two particular audio tones. A traditional sound processor with its hundreds of thousands of pre-programmed logic blocks would have no trouble filling such a request, but Thompson wanted to ensure that his hardware evolved a novel solution. To that end, he employed a chip only ten cells wide and ten cells across— a mere 100 logic gates. He also strayed from convention by omitting the system clock, thereby stripping the chip of its ability to synchronize its digital resources in the traditional way.

He cooked up a batch of primordial data-soup by generating fifty random blobs of ones and zeros. One by one his computer loaded these digital genomes into the FPGA chip, played the two distinct audio tones, and rated each genome’s fitness according to how closely its output satisfied pre-set criteria. Unsurprisingly, none of the initial randomized configuration programs came anywhere close. Even the top performers were so profoundly inadequate that the computer had to choose its favorites based on tiny nuances. The genetic algorithm eliminated the worst of the bunch, and the best were allowed to mingle their virtual DNA by swapping fragments of source code with their partners. Occasional mutations were introduced into the fruit of their digital loins when the control program randomly changed a one or a zero here and there. 

For the first hundred generations or so, there were few indications that the circuit-spawn were any improvement over their random-blob ancestors. But soon the chip began to show some encouraging twitches. By generation #220 the FPGA was essentially mimicking the input it received, a reaction which was a far cry from the desired result but evidence of progress nonetheless. The chip’s performance improved in minuscule increments as the non-stop electronic orgy produced a parade of increasingly competent offspring. Around generation #650, the chip had developed some sensitivity to the 1kHz waveform, and by generation #1,400 its success rate in identifying either tone had increased to more than 50%. 

Finally, after just over 4,000 generations, test system settled upon the best program. When Dr. Thompson played the 1kHz tone, the microchip unfailingly reacted by decreasing its power output to zero volts. When he played the 10kHz tone, the output jumped up to five volts. He pushed the chip even farther by requiring it to react to vocal “stop” and “go” commands, a task it met with a few hundred more generations of evolution. As predicted, the principle of natural selection could successfully produce specialized circuits using a fraction of the resources a human would have required. And no one had the foggiest notion how it worked.

![][16]

Dr. Thompson peered inside his perfect offspring to gain insight into its methods, but what he found inside was baffling. The plucky chip was utilizing only thirty-seven of its one hundred logic gates, and most of them were arranged in a curious collection of feedback loops. Five individual logic cells were functionally disconnected from the rest— with no pathways that would allow them to influence the output— yet when the researcher disabled any one of them the chip lost its ability to discriminate the tones. Furthermore, the final program did not work reliably when it was loaded onto other FPGAs of the same type.

It seems that evolution had not merely selected the best code for the task, it had also advocated those programs which took advantage of the electromagnetic quirks of that specific microchip environment. The five separate logic cells were clearly crucial to the chip’s operation, but they were interacting with the main circuitry through some unorthodox method— most likely via the subtle magnetic fields that are created when electrons flow through circuitry, an effect known as _magnetic flux_. There was also evidence that the circuit was not relying solely on the transistors’ absolute ON and OFF positions like a typical chip; it was capitalizing upon analogue shades of gray along with the digital black and white.

Today, researchers are just beginning to explore the real-world potential of evolving circuitry. Engineers are experimenting with rudimentary _adaptive hardware systems_ which marry evolvable chips to conventional equipment. Such hybrids quickly adapt to new demands by constantly evolving and adjusting their control code. The space exploration industry is intrigued by the technology— an evolving system could dynamically reprogram itself to avoid any circuits damaged by radiation, reducing the need for heavy shielding and redundant systems. Similarly, researchers speculate that robots might one day use evolution-inspired systems to quickly adapt to unforeseen obstacles in their environment. 

Modern supercomputers are also contributing to artificial evolution, applying their massive processing power to develop simulated prototypes. The initial designs are thoroughly tested within carefully crafted virtual environments, and the best candidates are used to breed successive batches until a satisfactory solution has evolved. These last-generation designs are then fabricated and tested in the real world. NASA recently used this approach to produce the antenna for a spacegoing vessel, resulting in flamboyant-yet-effective shapes that vaguely resemble organic lifeforms— unlike anything an engineer would design without the benefit of mood-altering drugs. Scientists hope to eventually use genetic algorithms to improve complex devices such as motors and rockets, but progress is dependent upon the development of extremely accurate simulations. 

![The two best antenna designs produced by NASA's artificial evolution software][17]The two best antenna designs produced by NASA's artificial evolution software

These evolutionary computer systems may almost appear to demonstrate a kind of sentience as they dispense graceful solutions to complex problems. But this apparent intelligence is an illusion caused by the fact that the overwhelming majority of design variations tested by the system— most of them appallingly unfit for the task— are never revealed. According to current understanding, even the most advanced microchips fall far short of the resources necessary to host legitimate intelligence. On the other hand, at one time many engineers might have insisted that it’s impossible to train an unclocked 10×10 FPGA to distinguish between two distinct audio tones. 

There is also an ethical conundrum regarding the notion that human lives may one day depend upon these incomprehensible systems. There is concern that a dormant “gene” in a medical system or flight control program might express itself without warning, sending the mutant software on an unpredictable rampage. Similarly, poorly defined criteria might allow a self-adapting system to explore dangerous options in its single-minded thrust towards efficiency, placing human lives in peril. Only time and testing will determine whether these risks can be mitigated.

If evolvable hardware passes muster, the Sussex circuits may pave the way for a new kind of computing. Given a sufficiently well-endowed Field-Programmable Gate Array and a few thousand exchanges of genetic material, there are few computational roles that these young and flexible microchips will be unable to satisfy. While today’s computers politely use programmed instructions to solve predictable problems, these adaptable alternatives may one day strip away such limits and lay bare the elegant solutions that the human mind is reluctant— or powerless— to conceive on its own.

written by [**Alan Bellows][14]**, copyright © 27 June 2007. Last updated 10 December 2013. Alan is the founder/designer/head writer/managing editor of Damn Interesting. 

You can always link to our content, but if you wish to repurpose this copyrighted text, you must [obtain permission][18].

←[ Previous][19] [Next →][20]

SHARE 

#### Sources & More Information

[Evolutionary Electronics at Sussex][21] [Discover magazine: _Evolving a Conscious Machine_][22] [Evolutionary fault repair of electronics in space applications (PDF)][23] [Evolving Electronic Robot Controllers that Exploit Hardware Resoures (PDF)][24] [NASA's evolved antennae][25] [NASA/ESA Conference on Adaptive Hardware][26] [Wikipedia: The Origin of Species][27] [Wikipedia: Artificial Neural Networks][28] (a related technology) 

#### Related Content

[The Mole Rat Prophecies][29] [Eugenics and You][30] [The Origami Resolution][31] [Evolving Universes][32] [Computer Dating][33]

142 COMMENTS

Captain Blowhard

Posted 27 June 2007 at 04:43 pm 

Ha !

agooga

Posted 27 June 2007 at 04:44 pm 

Finally, I was waitng for someone to do the “first” thing. Your prize is in the mail.

Asshe

Posted 27 June 2007 at 04:49 pm 

Damn Insteresting! It’s articles like this that keep me coming back.

To me it seems like a new approach to find or create AI without the hassle of Artificial Neural Networks.

Captain Blowhard

Posted 27 June 2007 at 04:58 pm 

There was no-one to argue with yet Agooga ! As you also had nothing to say I bet your just sore. :(  
Cheer up one day you will get your chance. I had to lie down for a while afterwards, I just got so dizzy.

texnation

Posted 27 June 2007 at 05:06 pm 

Wait I’m confused, so the cops knew that internal affairs was setting them up?

Just kidding, I was lost for a moment but I think I got the gist of it.

Floj

Posted 27 June 2007 at 05:08 pm 

Wow! That’s Damn interestig for sure! With a side dish of Baader Meinoff!

I recently saw a show on the science channel that talked about robots and developing their intellegence. A scientist at Los Alamos is working on a Nervous Net that uses pure analog circuits as oppose to a massive digital super computer, and the insect shaped robots act like little slow moving bugs walking around the table. The really cool part was when he bent a leg and the robot shifted its walk to keep moving. When you mentioned tiny anologe signals I thought of that. 

I wonder how he managed to program the motivation to acomplish the desired task into the chip. I suppose it’d be long story given he had some 4000 generations of figuring it out. 

Do y’all think we’ll see sentient AI in our lifetimes? sorry if it’s a cliche question but our computers are supposed to be the size of skyscrapers, so we’ll see… pie time!

Timmmm

Posted 27 June 2007 at 05:43 pm 

Yeah I did a presentation on that guys circuits once. Would have been nice to have the actual outputs of the chips rather than random film shots.

Some more details: I think it was suspected that the ‘unconnected’ cells affected the others via the power rails. The circuits were also temperature dependent and didn’t work very well at high or low temperatures. I think each test took 5 seconds and the whole experiment lasted weeks.

Also I think the first paragraph is a bit confusing. E.g. the chips didn’t mutate ‘as predicted’ – the mutation was programmed deliberately.

Still, very interesting. And *please* stop with the stupid ‘first’. You are idiots.

misanthrope7

Posted 27 June 2007 at 05:52 pm 

DI Alan, right up my street.

Floj said: “Do y’all think we’ll see sentient AI in our lifetimes?”

The current fastest supercomputer, Blue Gene L weighing in at 360 TeraFLOPs, was not too long ago in the news when scientists used it to run a cortical simulator as complex as half of a mouse brain…

mjunk

Posted 27 June 2007 at 06:52 pm 

Floj said: “Do y’all think we’ll see sentient AI in our lifetimes? sorry if it’s a cliche question but our computers are supposed to be the size of skyscrapers, so we’ll see… pie time!”

I’m still on the fence as to whether we will see sentient humans in our lifetime.

schuylercat

Posted 27 June 2007 at 06:59 pm 

Somehere between the zillion monkeys and a typewriter and out comes Shakespeare concept and Forest Gump meets War Games we have a back story. AI seems a lovely Frank Herbert-style concept, but the biggest and best tera-mega-googly-flops aren’t big enough or fast enough or plain good enough. Except maybe at chess.

Will we see AI in out lifetime? Dunno, Floj. Maybe some superb IBM sourced pie-producing robotic contraption is now in work, and I bet with the right input from the right chefs we could even get some kind of oddball rhubarb-pickle titanium-cream pie out of the thing that would knock us off our chairs, it’s so good. 

A machine I want to date, though? Tell my innermost secrets? Cheat on my wife with? Go out to a movie with? Give me advice on how to raise my kids? Have a relationship with? Discuss aversions to my suicidal tendencies?

If AI can balance my checkbook or recommend a good TV show on a slow Wednesday, great. Aside from that, I have to suspect it will be another several trillion-trillion-trillion-jillion-willion generations until I’ll ask it for an opinion on a good flavor of ice cream, which I may doubt anyway. THEN I’ll start to consider it might be “intelligent,” but not “human-like” *and* “intelligent.” (Human) Intelligence implies a certain acceptabe layer of what: dorkiness, hang-ups, coolness, f*cked-up-ness, or other wierd-ass X-factor psychosis before evident intelligence is considered available for review and consideration. Ego helps, too; if a machine ever diagnoses me with a disease, I will shoot it in the CPU and walk away – real doctors (presumably non-artificially intelligent) can’t even do that effectively these days despite massive educational effort and resultant rampant false indoctrination. Not any better than, say a cab driver. 

Hmm? See: ROFECOXIB. Then see: FREE ENTERPRISE. Then see: PRESCRIBE. Don’t bother looking for DIAGNOSE. That’s very, very INTELLIGENT. And ARTIFICIAL.

You know, there’s a semi-working Commodore 64 out there in a landfill somewhere that is at least thirty seven to fifty-four orders of magnitude more “intelligent” than the current US commander in chief. So: what is “intelligence” again? I need another beer.

Alan: VERY good article, despite my icky, negative vibe. You always entertain, almost always get my itty-bitty brain moving, and inevitably you pretty much rock.

middlenamefrank

Posted 27 June 2007 at 07:10 pm 

Two observations, which are interactive: First, 4,000 generations is just an eyeblink on an evolutionary scale…the equivalent of what, maybe 80,000 years for humankind? Homo Sapiens hasn’t evolved terribly significantly in 2 million years. Second, the design which the process evolved doesn’t seem very useful if it only works on one specimen of the chip, under given conditions…but here’s where we get back to my first point. I bet a few hundred thousand generations, with varying environmental conditions such as temperature, voltage, and run on many specimens of the FPGA, would yield a much more robust design which would work under essentially all conditions.

Reaper

Posted 27 June 2007 at 07:20 pm 

I presume that I’ll need a deeper understanding of circuits if I’m to comprehend this article, because I’m fairly lost right now. Here’s my current understanding…correct me if I’m wrong:

So basically, a processor which can “recarve” its communication pathways on-the-fly was given random arrangements and charged with executing a program that identified tones, and the most successful arrangements were combined over and over until a nearly 100% success rate was achieved? 

If that is the case, then that is very intriguing…DI, even!

Bewildered

Posted 27 June 2007 at 07:20 pm 

Awesome article Alan – I’ve studied neural networks and a lot of AI. We have the ability now to write programs that can outsmart most humans. (I dare say the *first* posters would be the first to fall against a computer, followed by the pie proponents… “Sorry guys, sometimes i can’t help but bite back at you for your comments, I love the comments, but some of the jokes and puns are really getting old and are only funny to you now.” DI! The site that can make you smile or want to smash your computer into little pieces!!!) I find it interesting to note that people like Tesla (and others) believed that humans were very similar to ‘finite state automata’ that respond in set ways to external stimuli with the ability to ‘join’ rules, simplify complex rule associations and generate new rules based on repeated input/output combinations. I believe a clear, concise definition of intelligence is required to argue out the ‘will AI ever appear to be sentient’ argument.

Jeffrey93

Posted 27 June 2007 at 07:39 pm 

Ahhhh balllz. How long until I have to start work on the cyborg that I will send back in time to save my ass?  
We make machines think…then we make them think better than we do. Suddenly they know best and know everything, that’s when we have to start calling them ‘Wife’ or ‘Dear’. That’s when everything falls apart. We won’t stop there either, we’ll make machines/computers that can not only learn and evolve, but that have a sense of humor. Shortly after that a ‘Wife’ computer in the US will think it’d be a great joke to fire off some nukes at North Korea, then the ‘Dear’ in North Korea will giggle with laughter and fire a couple back. The resulting EMP’s will render the two instigators useless….leaving the rest of the ‘Wives’ (group of Wife machines) to run the world. Damn Brits will be calling the shots again….with their inferior know it all ‘Wife’ machine that is missing a couple “chips” in what looks like the mouth region.

Ahhh….it’s a bleak future I tell ya.

jerry maxwell

Posted 27 June 2007 at 08:23 pm 

as an early technician in the computer field (1980s) i found the approach used here damn interesting indeed. i remember working with early gate arrays in intel-based eprom chips which we programmed for the first video poker machines. one of the things that propelled our “evolution” to our current desktops was the casinos wanting better graphics and gameplay options. the processors had to “evolve” to handle the dataflow… so the analog approach was dumped in favor of digital. computers have indeed evolved and as for the question of artificial intelligence–? OF COURSE. it has already happened and is evolving in our living rooms and offices every day. the new intelligence of planet earth. the internet. the way i look at it god is getting desperate and wants something to survive on this planet what with our global warming, nuclear ambitions, warfare, and basic stupidity. with gwb in power and religion killing people every day i swear to god i give up on man. let the robots rule!!!

Old Man

Posted 27 June 2007 at 09:07 pm 

Very interesting. 

The story about the antennae is very good too – apparently, the evolved design could produce the same performance for a smaller size, and the classic TV antenna has been mucho improved by evolving circuits.

What would be really interesting is to set many of these circuits in competition with each other, with something (current?) to lose. Would that spur them on to create something more original?

It would also be interesting to make the mutations less random, and see what changes develop as a result.

And there ain’t no digital in nature. Take that!

Tink

Posted 27 June 2007 at 09:49 pm 

Gasp! Alan you used the “E” word! Ah, you and your can-o-worms, ha! Also please note: 

were so profoundly inadequate that the the computer had to choose 

PICTURE:

The two best antennae designs produced by NASA’s artificial evolution software

Anyone who is 45 or older and has used a coat hanger to get better TV reception, could of saved them a lot of research and time in finding out this solution, Ha!.

Jeffrey93

Posted 27 June 2007 at 10:21 pm 

Tink said: “Gasp! Alan you used the “E” word! Ah, you and your can-o-worms, ha! Also please note: 

PICTURE:

Anyone who is 45 or older and has used a coat hanger to get better TV reception, could of saved them a lot of research and time in finding out this solution, Ha!.”

For television purposes it will all be for nothing anyway. It seems that many broadcasters are ceasing their UHF and VHF transmissions. Yup….free TV is dying. Well…not really. You can always go and splice your neighbours cable…..free LEGAL tv is dying. No antenna will pick up a tv transmission in a few years. Maybe some local government run stuff….like CBC here in Canada…but other than that…notta.

What we need is an antenna that can pick up the cable signals from the neighbours coax lines! That’s be something to research!

Misfit

Posted 27 June 2007 at 10:41 pm 

DAMN INTERESTING INDEED, CAPTAIN BELLOWS!! This is one of the more interesting articles I’ve EVER read on this website.

Now, I have a couple of questions…

1\. Is there currently anything underway to use the Field-Programmable-Gate-Array to develop a more effiecient Field-Programmable-Gate-Array? Is it theorized as possible for this chip to invent more efficient versions of itself?

2\. (Not that I require you to be an expert on the actual programs involved in setting the criteria for a new model, BUT I do wonder…) just what would a program designed to set the criteria for a new FPGA be like?

As for jerry maxwell, I don’t like getting into debates, but I gotta say something about this one.

If you believe in God, then you should believe that God has His interests in our existence. If you think that He is getting “desperate” or that we as humans can do anything that could even possibly compromise His plan in any way, then I believe that your faith in Him is lacking… Not that I’m perfect either, however, it is a little disheartening to read a post with such a poor attitude regarding our future. I prefer to see how far we’ve come, instead of focusing on the bad in humanity. In the last 200 years, haven’t we as human beings (not EVERY country or culture, of course, but most of us) freed slaves, abolished female oppression, child labor, developed economies, advanced technologies (such as what is mentioned in this article), cured polio, developed vaccines for helping save the lives of hundreds of thousands of HUMAN BEINGS??? We as humans will always do our best to do what we believe is good. As for all of the bad things you’ve mentioned, I don’t believe very many of those things, whether or not they were executed from poor judgement, were executed with the intent to detriment humanity overall. Even the atom bomb was used with the INTENT to bring a harsh stop to World War 2 and save lives in the long run. Instilled into all of us is a fundamental desire to improve our lives and survive as a race. It may cause conflicts when people have different ideas of how to go about it, but it’s gotten us this far.

Misfit

Posted 27 June 2007 at 10:50 pm 

OH ALSO, ALAN!

One more question.

If programs will operate at fullest efficency depending on the physical nuances of the actual chips themselves, (think: “Furthermore, the final program did not work reliably when it was loaded onto other FPGAs of the same type.”)

What does that mean for distributable software via the internet or any other type? Will software no longer be programs, but established criteria for our own computers to figure out on their own?

Misfit

Posted 27 June 2007 at 10:54 pm 

Ugh, I’m sure the questions will stop coming soon.

but

Just how much more efficient was this new sound recognition chip at doing its job than the traditional sound processor?

Jeffrey93

Posted 28 June 2007 at 12:07 am 

Misfit said: “If you believe in God, then you should believe that God has His interests in our existence. If you think that He is getting “desperate” or that we as humans can do anything that could even possibly compromise His plan in any way, then I believe that your faith in Him is lacking… “

I don’t believe in ONE God…but I do believe in a supreme being. Something put us here and something put us here for a reason. I’m puzzled as to why you think “God” would put us here and continually orchestrate our existence. I have always been of the belief that we are here for a purpose, that purpose we don’t know…..but somebody does. God doesn’t have a designed plan for us….he/she might have a purpose or goal for us….but everything we do isn’t planned by God.

Why would we all be here if God had a script to all of our lives for all of eternity? He/She would already know the ending…so why bother? I believe we are a test. We are here to enjoy life and prove to him/her that we can make it work. What we have been given can be used to make our lives function daily. We obviously haven’t proven that yet (pollution, war, murder, etc.)….but we strive for it.

Of course we can compromise his plan…….if you’re that religious you’d know that. After all…he has had to be vengeful in the past. We screw things up. If “God” didn’t allow us to muck up his plan/idea then there wouldn’t be atomic bombs detonated…there wouldn’t be species made extinct…there wouldn’t be human suffering world-wide.

If there is God, which I hope there is, he/she had an idea…not a plan. We are that idea. We can screw it up royally and alter it incredibly. A plan is too concrete, an idea is something you just go with and see what happens.

Sorry to turn this all churchy….it won’t really matter when these bastard machines start thinking better than us and we become their slaves. Damn computers…and damn Microsoft…..we’ll probably have a world where computers are in charge and people are their slaves…..stupid Gates…it’s all his fault.

Regardless of what happens….I just hope in the future when we have these “evolving hardware machines” they don’t spit out jibberish error codes that make you want to pull your hair out and throw your desktop out the window!!! That is all.

Doh! (_8(|)

Posted 28 June 2007 at 12:47 am 

This machine’s task was to single out the best possible pairings from the group, then force the selected couples to mate…..some of science’s first practical attempts to penetrate the virgin……

OK, so I’m a pervert.

Lisette

Posted 28 June 2007 at 01:11 am 

Hey Doh! (_8(|), thats just the way he writes… As these primitive bodies of data bumped together…

Brilliant article btw. DI

Falos

Posted 28 June 2007 at 01:12 am 

I suppose it could be possible to limit and regulate our uses, so that there’d be no possible access to potentially dangerous scenarios. People would probably push those limits, though, and sometimes access can be unpredictable, and take unexpected paths.

hantas

Posted 28 June 2007 at 02:59 am 

I wonder how he managed to program the motivation to acomplish the desired task into the chip. I suppose it’d be long story given he had some 4000 generations of figuring it out.  

Simple, he didn’t. All you have to do is evaluate the output of the thing and just ignore the worst performing chips and continue with the best part for the next generation. Eventually the chips will do exactly what you wanted (output-wise), but as there was no initial goal (at least, not in the genetic algorithm), there is no way to tell how the chip approached the problem. Basically, since there is no approach… just about every possible chip configuration is tried and eventually, some configuration will do what you wanted it to do.

I’ve played around with this idea in a programming course. Question: divide a set of numbers into 2 sets with roughly the same sum. Solution: just try a few things and then make combinations out of them and see if you got closer to what you wanted. There is no predefined approach, just lucky guesses. Of course, with some problems this takes longer than the common approach, but the solutions this comes up with can be quite unpredictable.

hantas

Posted 28 June 2007 at 03:06 am 

Now, I have a couple of questions…

1\. Is there currently anything underway to use the Field-Programmable-Gate-Array to develop a more effiecient Field-Programmable-Gate-Array? Is it theorized as possible for this chip to invent more efficient versions of itself?  

I doubt that, since it wouldn’t be programmable anymore (thereby answering question 2) , which is the whole point of having an FPGA in the first place. Maybe it’s still programmable, but not in the same clear and structured way a human would design a FPGA program.  
A more efficient version of a (programmed) FPGA is just a dedicated chip, and those things are not designed to be programmed but to be as fast as possible.

cindra

Posted 28 June 2007 at 03:47 am 

I haven’t posted in years but this article just beckons a shout out.  
Great stuff!

Z0rb

Posted 28 June 2007 at 05:52 am 

Good article, very interesting. I guess my question is. Why did they choose the FPGA as a test subject instead of a standard microcontroller?

Could not this same experiement be done on say a PIC microcontroller.

Maybe I just don’t know enough about the subject but it seems to me that the test subjects (the FPGA’s) are intitally programmed with garbage, and have set varibles applied to them. (Voltage, Temperature, etc) and a computer then test’s each one for a given results. The computer then makes a comparison based on what is expected of the test subjects and then picks the subject that is best programmed for the task and then combines it with the programming of another subject and adds a dash of mutation every so often.

That formula alone should be able to be applied to just about any programmable device right?

wargammer

Posted 28 June 2007 at 06:21 am 

hhmmm….

an intelligent designer plays with a chip and gets something he was looking for, but in a design not anticipated.

fancy that….

j4m3sb0nd

Posted 28 June 2007 at 06:22 am 

Wow, and they don’t know how it works yet? Just another ‘it just is’ type of things? This universe is absurd!

Hantas

Posted 28 June 2007 at 06:36 am 

Z0rb said: “Good article, very interesting. I guess my question is. Why did they choose the FPGA as a test subject instead of a standard microcontroller?

  
Could not this same experiement be done on say a PIC microcontroller.

Maybe I just don’t know enough about the subject but it seems to me that the test subjects (the FPGA’s) are intitally programmed with garbage, and have set varibles applied to them. (Voltage, Temperature, etc) and a computer then test’s each one for a given results. The computer then makes a comparison based on what is expected of the test subjects and then picks the subject that is best programmed for the task and then combines it with the programming of another subject and adds a dash of mutation every so often.

That formula alone should be able to be applied to just about any programmable device right?”

yeah, but an FPGA is programmable hardware-wise. You can make a physically new hardware ‘chip’ on an FPGA, then reset it, give it a new ‘program’ and make a completely new hardware layout on the same device. 

Basically, an FPGA is a whole bunch of (repeated) gates, with switches between them in all possible ways so that you can connect (or disconnect) every single gate to every other gate. All you need to do is ‘program’ (just a long list of 1’s and 0’s for switch on or off) the thing so that the right switches are set to connect the right gates that make up the desired chip. It’s a lot easier to do this genetic evolution stuff on a long list of 1’s and 0’s than it is with source code of a program

Z0rb

Posted 28 June 2007 at 06:58 am 

Hantas said: “Maybe I just don’t know enough about the subject but it seems to me that the test subjects (the FPGA’s) are intitally programmed with garbage, and have set varibles applied to them. (Voltage, Temperature, etc) and a computer then test’s each one for a given results. The computer then makes a comparison based on what is expected of the test subjects and then picks the subject that is best programmed for the task and then combines it with the programming of another subject and adds a dash of mutation every so often.

  
That formula alone should be able to be applied to just about any programmable device right?”

yeah, but an FPGA is programmable hardware-wise. You can make a physically new hardware ‘chip’ on an FPGA, then reset it, give it a new ‘program’ and make a completely new hardware layout on the same device. 

Basically, an FPGA is a whole bunch of (repeated) gates, with switches between them in all possible ways so that you can connect (or disconnect) every single gate to every other gate. All you need to do is ‘program’ (just a long list of 1’s and 0’s for switch on or off) the thing so that the right switches are set to connect the right gates that make up the desired chip. It’s a lot easier to do this genetic evolution stuff on a long list of 1’s and 0’s than it is with source code of a program”

I don’t see how that is any difference from an EPROM other then FPGA’s having built in hardware for DSP work. I mean ALL programmable devices are programmed with a list of 1’s and 0’s.

The point being, Is it absolutly neccessary to use an FPGA for this type of research, or can a casual experimenter use his home PC and a hand full of cheap PIC controllers to do similar work?

AntEconomist

Posted 28 June 2007 at 07:10 am 

“Five individual logic cells were functionally disconnected from the rest– with no pathways that would allow them to influence the output– yet when the researcher disabled any one of them the chip lost its ability to discriminate the tones.”

I’m not looking to feed the trolls, but it is worth noting that this is evidence that clearly debunks the irreducible complexity argument. I wonder what argument the creationist camp will evolve next…

alexeyg

Posted 28 June 2007 at 07:22 am 

Great stuff, thank you much!

I was very impressed by the part about removing the system clock. If I understand correctly without the system clock one cannot even say how many “operations per second” that chip is capable of. I’ll have to read up on details, but on a fundamental level the relationship between inputs and outputs here is much closer to an actual neural circuit than a combination of “digital” operations. 

  
There was also evidence that the circuit was not relying solely on the transistors’ absolute ON and OFF positions like a typical chip; it was capitalizing upon analogue shades of gray along with the digital black and white.

This sounds extremely interesting. Without a doubt “learning” systems are going to plan an increasingly important role. This particular application takes a novel approach of starting off with evolving hardware and random 1’s and 0’s… Very, very interesting. I may have found my calling :)

lostindustrial

Posted 28 June 2007 at 07:29 am 

I am reminded of the original i Robot by Issac Asimov and his stories such as “Escape” and “Reason” where there are very highly advanced robots or other forms of artificial intelligence that came to be through natural evolution on it’s own. in fact they cause problems because the humans don’t know how they work. 

Also this research invokes themes used in The Matrix…that the AI evolved to a level that it percieved to be above the human’s level of intelligence, and so therefore felt it necessary to control and dominate them.

Gadz

Posted 28 June 2007 at 07:55 am 

Great article! Quite possibly the most interesting and well written article on this entire site. DI indeed!

JeffQuigley

Posted 28 June 2007 at 08:09 am 

> There is also an ethical conundrum regarding the notion that human lives may one day depend upon these incomprehensible systems.

True, I suppose, except for the “one day” part. Human lives depend on human bodies, which evolve and are incomprehensible.

> There is concern that a dormant “gene” in a medical system or flight control program might express itself without warning, sending the mutant software on an unpredictable rampage.

Also true, and also already happening, in the form of schizophrenia, cancer, and many other diseases.

> Similarly, poorly defined criteria might allow a self-adapting system to explore dangerous options in its single-minded thrust towards efficiency, placing human lives in peril.

Likewise. I suppose living creatures have what might be called a single-minded thrust toward reproduction, and they certainly explore dangerous options in enacting the aforementioned.

InterestedOne

Posted 28 June 2007 at 08:16 am 

Excellent article. I’m game (when I can find the time – yeah, like when is that?) to try this on a couple of EPROM’s myself. BTW, I understand antennas pick up signals based on (RF) signal wavelength (actually λ/4), and associated harmonics. The antennas shown are likely most effective due to their shape which gives a number of “electric lengths” (due to the extra ends and the virtual lengths created by the bends close to each other. I was also interested to see the platform on which the antennas sit. Looking at the mass differences between base and aerial, I’d guess it’s a very discriminating antenna as well as an efficient one. Although there’s a few minor gaffs, here’s some good basic info on antennas for anyone interested. <http://en.wikipedia.org/wiki/Antenna_(radio)>. 

ZeTron

Posted 28 June 2007 at 08:40 am 

Enjoy this site immensely. Thanks for the constant stream of enlightening articles. Humor and the comments are why I tell my friends that I’m a rabid DI fan.

Oh, and I love the Tron picture…

AngryPlanner

Posted 28 June 2007 at 08:48 am 

It’s Skynet I tell you! Soon we’ll all be hunkered down, listening for the dogs’ bark, then comes hell!

smokefoot

Posted 28 June 2007 at 09:12 am 

The reason that a PIC microcontroller is a poor choice for evolution is that even the smallest mutation will usually render a software program totally inoperative. Mating two programs will almost always result in junk and a locked up microcontroller. Evolution requires that the mating and mutations produce variations, but not trash. People experiment with evolutionary algorithms with special code sets which have a much higher chance of doing something after mutation.

DNA and proteins are well suited for evolution – small mutations usually (but not always) have small effects, and mating almost always produces viable offspring that are nevertheless different from the parents. You could almost say that DNA is designed for evolution. (How about that – troll bait for both sides of the debate simultaneously!)

brandon

Posted 28 June 2007 at 10:00 am 

The quality of writing on this site has really deteriorated. Why does everything by Alan and Matt sound as if it’s coming from a C+ level 9th grader’s book report? The material is as Damn Interesting as ever; it doesn’t need to be so over-embellished.

BubbaNator

Posted 28 June 2007 at 10:11 am 

Very Damn Interesting. 

A couple of comments on the 5 disconnected gates:

1\. To more closely mimic evolution, successive generations could be programmed into new virgin chips. If the “offspring” is not viable, then the solution would be discarded. The mutating code would then work towards being universally accepted by the general design of the chip and not by a specific chip. Even reusing the same chip during multiple generations might affect viability. There could, however, still be limitations because of peculiarities in a particular manufacturing batch. 

2\. This might give us a hint as to the practicality of ever successfully simulating a brain. We can only simulate aspects that are known of the gray matter. Intelligence may be a coincidental side-effect of the processes that occur in the material used. Simply putting analogues of the known physical properties into computer memory may never result in an intelligence if intelligence depends on the physical properties of the brain itself. If this is the case, an artificial brain would literally have to be made of real living neurons, subject to the same limitations our brains already have. Even the shape may have something to do with it.

Now, what would be cool is to find some other more durable material that could support an intelligent configuration, which might perhaps give rise to an intelligence of a completely different sort than what we expect.

Or I could be completely wrong and you could build an intelligent, aware brain with enough tinker toys.

Z0rb

Posted 28 June 2007 at 10:20 am 

smokefoot said: “The reason that a PIC microcontroller is a poor choice for evolution is that even the smallest mutation will usually render a software program totally inoperative. Mating two programs will almost always result in junk and a locked up microcontroller. Evolution requires that the mating and mutations produce variations, but not trash. People experiment with evolutionary algorithms with special code sets which have a much higher chance of doing something after mutation.

  
DNA and proteins are well suited for evolution – small mutations usually (but not always) have small effects, and mating almost always produces viable offspring that are nevertheless different from the parents. You could almost say that DNA is designed for evolution. (How about that – troll bait for both sides of the debate simultaneously!)”

This is a good point. However a merger of two programs does not neccessarily have to deal with meging of individual bits or bytes, but perhapes subroutines. 

I do understand your point, although I’m still not 100% certain how the FPGA differs from microcontrollers in any category other then versatility. With an FPGA you actually have MORE combinations of erronious types of coding when you get down to the brass tacks of the 1’s and 0’s. At least in a microcontroller you are somewhat hardwired to a specific funtion. (On board A/D, counters, logic gates, etc) 

However I don’t think you would witness such closed loop systems contributing to the whole via the manufacturing flaws of the component in a microcontroler. Truely inspiring.

Tink

Posted 28 June 2007 at 11:16 am 

brandon said: “The quality of writing on this site has really deteriorated. Why does everything by Alan and Matt sound as if it’s coming from a C+ level 9th grader’s book report? The material is as Damn Interesting as ever; it doesn’t need to be so over-embellished.”

One would have to have passed the 9th grade to see the wit in these articles; and to truly appreciate the skill and devotion it takes to provide this stuff, (advert free,I might add) for your reading pleasure. 

If you do not like the style of writing then submit some of your own for review, or go read an encyclopedia, Wickapedia, or a mess of science journals.

If you dont want to do any of these things, well then, just, STFU!

Tink

Posted 28 June 2007 at 11:27 am 

Jeffery93 said:”….it won’t really matter when these bastard machines start thinking better than us and we become their slaves. Damn computers…and damn Microsoft…..we’ll probably have a world where computers are in charge and people are their slaves…..stupid Gates…it’s all his fault.”

LOL, wish I could send you a picture, I have here. Will try to figure out the Flicker thing later on tonight and post a link. 

I forgot to thank you Alan, for this very cool article.

Merciless

Posted 28 June 2007 at 11:28 am 

Hey brandon, are you smater than a fifth grader?

I’m not a computer junkie but it sounds to me like the “chip” started inbreeding. AHHH! Well, better it than we humans.  
BTW anyone have directions to Zion?

Trykt

Posted 28 June 2007 at 11:50 am 

I enjoyed the subject matter of the article quite a bit but I’m still pretty fuzzy on the actual process that was involved in “evolving” the chip. DI, as always, but I do wish this one were written clearer. It does bring to mind though the idea of the “positronic brain” that sentient androids in science fiction often use. I don’t imagine anything resembling a brain would have a clock governing how “fast” it thought. And in the end, don’t we all solve problems by thinking as many thoughts as possible and going off the hits and ignoring the misses?

Jeffrey93 said: “For television purposes it will all be for nothing anyway. It seems that many broadcasters are ceasing their UHF and VHF transmissions. Yup….free TV is dying. Well…not really. You can always go and splice your neighbours cable…..free LEGAL tv is dying. No antenna will pick up a tv transmission in a few years. Maybe some local government run stuff….like CBC here in Canada…but other than that…notta.

This is incorrect. Any antenna manufactured in the past several years will pick up quite a few free hdtv signals.

dwdyer

Posted 28 June 2007 at 12:34 pm 

Asshe said: “To me it seems like a new approach to find or create AI without the hassle of Artificial Neural Networks.”

Evolutionary computation is not so new, it has been around since the 60s. Genetic algorithms and artificial neural networks can be complementary. GAs are commonly used to evolve the weights for ANNs.

middlenamefrank said: “Second, the design which the process evolved doesn’t seem very useful if it only works on one specimen of the chip, under given conditions…”

This is what I find most impressive about evolutionary computation. The algorithm has optimised its result specifically to take advantage of its exact environment. The resulting program takes into account variables that weren’t even considered by those who setup the experiment.

Old Man said: “It would also be interesting to make the mutations less random, and see what changes develop as a result.”

The randomness is essential. It removes all preconceptions about what form the optimal solution should take. It allows the evolution to discover answers that would never have occurred to human experts.

For anyone interested in reading more:  
[an introduction][34] and  
[a blog with some interesting links][35]

And a couple of my own Java applet demos:

[The Travelling Salesman][36] and  
[Biomorphs][37]

Inti

Posted 28 June 2007 at 12:56 pm 

I would like to make reference to a wonderful sci-fi story book wrote by James P. Morgan. It is entitled “Minds, Machines and Evolution”. There is a story about self-evolving robots that I found insightful, elegant and imaginative. The story is an excellent portrait of the basic mechanisms of biological evolution.

mjunk

Posted 28 June 2007 at 01:21 pm 

Regarding the development of true AI, i believe it is inevitable that one day, there will be a computer that will be able to pass any intelligence test that a human can pass, especially given the current vague definition of “intelligence”. The question will be how to distiguish between a genuine thought process from a series of preprogrammed subroutines. And if we ever get to the point that we can make that distinction, will we, as humans, be able to prove we are truly “intelligent” or simply an organic processor responding to chemical stimuli and giving predictable responses? Furthermore, if there is a God, and if we are his creations, then couldn’t human intelligence be considered “artificial” as well?

Another thought…assume AI becomes a reality. We, as humans, conduct our lives based on a variety of motivations…environmental (heat, cold), physical (pleaure, pain), emotional (love, greed, fear)….the list could go on and on. But none of these would apply to an AI. What would an AI do if it were given the chance to do what it wanted? What would its motivations be? We may be on the verge of creating an intelligence with which we have absolutely nothing in common.

Nonesuch

Posted 28 June 2007 at 04:09 pm 

Intriguing concept and semi-practical application in the lab, but if I understand correctly, any AI or robotic/androidic ( I made that word up) project constructed or evolved in this way hasn’t any room to incorporate my favorite part of AI: the 3 primary laws of robotics ( thank you Mr Asimov wherever you are)… and thank you for the DI and alarming read once again.

tednugentkicksass

Posted 28 June 2007 at 04:44 pm 

ZeTron said: “Enjoy this site immensely. Thanks for the constant stream of enlightening articles. Humor and the comments are why I tell my friends that I’m a rabid DI fan.

  
Oh, and I love the Tron picture…”

I was wondering how long it would take for somebody to comment on the picture. Definately one of my favorite childhood movies. I also saw somebody reference Frank Herbert– I just want to say that we’re safe until they develop gel-sphere brains.

Tink said: “One would have to have passed the 9th grade to see the wit in these articles; and to truly appreciate the skill and devotion it takes to provide this stuff, (advert free,I might add) for your reading pleasure. 

If you do not like the style of writing then submit some of your own for review, or go read an encyclopedia, Wickapedia, or a mess of science journals.

If you dont want to do any of these things, well then, just, STFU!”

Seconded. You can tell me that my writing sucks and I won’t care, because it does. However, to read an article and 30-odd comments before telling the author that you don’t like their style implies an acute lack of other things to do.

Back to the article… does NASA have any plans to release these antennae to the general public? I saw them in Scientific American a few months back and have always wondered how I could go about purchasing/making one of these. They couldn’t cost much more than $1.00 and I really don’t want to go through the trouble of reverse engineering one from a picture.

jerry maxwell

Posted 28 June 2007 at 10:22 pm 

well misfit i must say the great debate between machine and man continues. i do believe in god and i do believe he has the best internet access on this planet. god exists. i know. i’ve seen him. i have seen him in the understanding and the comprehension of the human race. i have seen him through my own eyes in the beauty that i see when i have mountains before me. the trout in the stream, the windblown trees on top of the ridge… i have seen him in the animals of the forest and the way the wind feels on a rainy day. you can’t ever tell me god doesn’t exist. i see him in my friends every day.

but as a carbon-based bit of intelligence in this great galaxy of ours i can also see that evolution goes on. as much as we hate to admit it we, as a species, are messing our world up bigtime. and most of the reason for that lies within our self-centered world view— that we are the top of the food chain and maybe one of these days we can live in utopia with all our religious dreams come true. do you wish for that?  
i just wish you would say it isn’t so.  
but the true fact is: all our dreams and hopes and expectations in this modern world of ours rest on a belief that we are superior…when in fact a dog can smell better than us and a computer can make us look like really slow mathematicians…  
are we?  
think about this— if we aren’t the ones to further “evolution”( in way of our uncanny ability with machines) (genetics)??? then what is the meaning of life? if we can create new intelligences aren’t we part of god himself too? this world has been here billions of years. have we? no…  
we are creating those,who will be the planet: our computers, our dogs, our tomato plant,and corn… we are changing this planet and the fact of the matter is; …one of these days we won’t be the ruling species of this beautiful planet earth… no…. one of the things we create,will. and that is something i think god would want us to believe in.  
p.s. i never mean to argue religion and good post alan!!!!

kwiksand

Posted 29 June 2007 at 02:56 am 

Great article as usual Alan, I often wonder if we should have two comments sections for each post though, one for the on topic conversation, the other for “first”s, insults and religious zealots that seem to grace the posting process on a daily and damn un-interesting basis.

Once again, I realise everyone is entitield to their own opinion, I just feel some push the religous debate to start a shit fight in the same way one would go onto an AMD forum and preach Intel for the sake of it.

Z0rb

Posted 29 June 2007 at 05:21 am 

tednugentkicksass said: “Back to the article… does NASA have any plans to release these antennae to the general public? I saw them in Scientific American a few months back and have always wondered how I could go about purchasing/making one of these. They couldn’t cost much more than $1.00 and I really don’t want to go through the trouble of reverse engineering one from a picture.”

I think before I would buy any antenna like that I woul dhave to know the bandwidth and the antenna pattern. There are many antenna designs that are touted as being revolutionary but I have yet to see one any better then a proeprly tuned circuit coupled to an effective radiator. Antenna design (in my opinion) is not an exact science anyway. There has always been a clearly defined line between theoretical and applied application of a radiator. At least in my experience.

InterestedOne

Posted 29 June 2007 at 06:32 am 

tednugentkicksass said: “Back to the article… does NASA have any plans to release these antennae to the general public? I saw them in Scientific American a few months back and have always wondered how I could go about purchasing/making one of these. They couldn’t cost much more than $1.00 and I really don’t want to go through the trouble of reverse engineering one from a picture.”

Bad news/good news. Bad news: Like other gov’t agencies, NASA is looking for funding as well (their constantly shrinking budget is causing it to act more like a contractor, IMHO than a gov’t agency) and if it releases a (stepped down) version it will not be as inexpensive as you’d think. At present a lot of $$ is going to DoD and their cohorts (keeps me in Jelly Beans). And even if/after the administration changes, it will not (likely) be interested in furthering scientific advancement, but to continue to further their own ambitions – which I believe will be continued focus on showing how much they ‘care’ about us by either spending $$ on folks wanting or needing? (but perhaps not deserving – but who is deserving) help or in trying to enforce their beliefs on the rest of the world. (Both, IMHO are good virtues in the right quantities, but leaders tend to lean to megalomania with too much quantity of either side.) Good news is, if you can access the equipment, you can ‘tune’ a version yourself by bending the wires to suit your purposes, rather than trying to copy exactly from the pic.

mjunk said: “Another thought…assume AI becomes a reality. We, as humans, conduct our lives based on a variety of motivations…environmental (heat, cold), physical (pleaure, pain), emotional (love, greed, fear)….the list could go on and on. But none of these would apply to an AI. What would an AI do if it were given the chance to do what it wanted? What would its motivations be? We may be on the verge of creating an intelligence with which we have absolutely nothing in common.”

I read through all the types of comments that annoy(?) kwiksand to get to comments like this – comments that make me think more or differently about a topic. Thank you sir! To kwiksand, although a bit tedious at times, the comments can be easily scrolled past if the annoyment (made up word) factor rises too high. Bach to mjunk’s comment. That’s an excellent POV. For the trekkies out there, recall the android (data) that could do a lot except act human because of the (relative) absence of motivations like environment, ego (self), emotions, etc. Perhaps in trying to mimic a marvel like the human brain, motivational factors haven’t been given due consideration. And, if the h/w is what has evolved to (or close to) AI, any ‘fix’ to give any anatomic creation the “correct” motivation is not going to be easy. An old adage would seem to apply – look before you leap. 

Radiatidon

Posted 29 June 2007 at 07:07 am 

Humm, I am with both Teddy and Ms. Bell on this one. Just because an author utilizes toilet humor, puns, and outright silliness to convey informative and educational material is no reason to insult their wit. If you find the poise childish, then don't read it. After a good romp through either a mediocre to a fantastic read, I generally enjoy wading along the comments section. I don't see the authors reaping a whole lot of income from you since this is a Free Offering by them (unless you purchase the book but then again that's your choice). Insults, politics, and religious debates have a tendency to sour this for me more than treading across a Persian Rug with a rather dog poo adorned shoe…

Moving on –

On the antenna, you would be surprised at the different types. Back in the 1980s (Yeah, creaky dude here) I was involved in the GPS system. I enjoyed using one of the first prototypes to test the newly established satellite necklace adorning Mother Earth. At a cost of 12 million, it comprised three parts; the "portable" GPS receiver weighting in at 130 pounds and larger than the average microwave, a gold filled signal cable (300 glorious feet of which I was fully responsible for), and finally the antenna. It looked like nothing more than an Anniversary Clock. 

The antenna itself resembled a large paper clip that someone had straightened out and then twirled around a pencil. Each end of the coil extended from the bend about ¼" with one end inserted into the brass colored base. This in turn sported a glass dome to cover the affair thus reminding me of before said Anniversary Clock.

To us at the time it was a marvel of technological innovation. This thing was able to receive a signal from space with such a small wire and able to deduce its location to within a few meters, although it was like the first calculators, only able to perform the most basic functions. But for its time, it was way cool.

If one is capable, one can "suck" signals from a co-axial cable. Using a cap-n-coil array and amplifier, I use to tap into the cable for some telly. My device only ran along side the cable and utilized the magnetic resonance as the signal moved along the wire. Alas better shielding and proper grounding of the outer sheath soon took care of that. I don't get as many "channels" as before.

You will find that any transmitted signal "bleeds" into other wavebands. With a properly tuned (shaped and positioned) antenna you can receive all sorts of signals for free. Which is why companies scramble their signals so that you need a decoder to utilize them. 

InterestedOne

Posted 29 June 2007 at 09:10 am 

Radiatidon said: “Humm, I am with both Teddy and Ms. Bell on this one. Just because an author utilizes toilet humor, puns, and outright silliness to convey informative and educational material is no reason to insult their wit. If you find the poise childish, then don't read it. After a good romp through either a mediocre to a fantastic read, I generally enjoy wading along the comments section. I don't see the authors reaping a whole lot of income from you since this is a Free Offering by them (unless you purchase the book but then again that's your choice). Insults, politics, and religious debates have a tendency to sour this for me more than treading across a Persian Rug with a rather dog poo adorned shoe…

Moving on –

On the antenna, you would be surprised at the different types. Back in the 1980s (Yeah, creaky dude here) I was involved in the GPS system. I enjoyed using one of the first prototypes to test the newly established satellite necklace adorning Mother Earth. At a cost of 12 million, it comprised three parts; the "portable" GPS receiver weighting in at 130 pounds and larger than the average microwave, a gold filled signal cable (300 glorious feet of which I was fully responsible for), and finally the antenna. It looked like nothing more than an Anniversary Clock. 

The antenna itself resembled a large paper clip that someone had straightened out and then twirled around a pencil. Each end of the coil extended from the bend about ¼" with one end inserted into the brass colored base. This in turn sported a glass dome to cover the affair thus reminding me of before said Anniversary Clock.

To us at the time it was a marvel of technological innovation. This thing was able to receive a signal from space with such a small wire and able to deduce its location to within a few meters, although it was like the first calculators, only able to perform the most basic functions. But for its time, it was way cool.”

Radiatidon, I too, recall the work on the early GPS systems – small world (another creaky dude here) – Thanks for reminding me ;-/  
On comments: some make me laugh, but none really bother me – I just don’t read them all – I come here for the main intel put out by Alan and the like. 

Ender

Posted 29 June 2007 at 11:19 am 

Gives a whole new meaning to the term ‘computer virus, eh?

jade

Posted 29 June 2007 at 01:28 pm 

Fascinating stuff Alan, reminds me of a book entitled ‘The Adolescence of P-1’ by Thomas J. Ryan.

<http://en.wikipedia.org/wiki/The_Adolescence_of_P-1>

Keep up the good work, its articles like this that keep me coming back! And for what it’s worth, a good portion of the enjoyment ~is~ the witty and often ingenious use of language used to convey an underlying sense of humor to what could potentially be a very dull topic of conversation.

Tink puts it best with 

…If you don't want to do any of these things, well then, just, STFU!

Side note to the ‘firsters’ – give it up, please… Personally I have used it once shortly after registering (that = nube)… Since then I have had several occasions where I had the opportunity to be ‘first’ again and yet somehow found the strength and intestinal fortitude to not waste the effort or the time. If you don’t have some value to add to the comments, don’t bother posting.

silversin

Posted 29 June 2007 at 01:28 pm 

Comment #8 (June 27th, 2007 at 5:52 pm) 

misanthrope7 says: 

DI Alan, right up my street.

Floj said: “Do y’all think we’ll see sentient AI in our lifetimes?”

The current fastest supercomputer, Blue Gene L weighing in at 360 TeraFLOPs, was not too long ago in the news when scientists used it to run a cortical simulator as complex as half of a mouse brain…

To the person who wrote that….  
the newest “fastest” super computer is actually about 1pentaflop, 3 times faster than the old blue gene L and was made recently by IBM. The next fastest is going to be around 550tera flop but I forgot who’s releasing that (someone who is a competitor to big blue and thought that 50% more speed is an amazing jump; IBM one upped them). 

Byrden

Posted 30 June 2007 at 05:01 am 

>> If you believe in God

Could you please specify which god you mean? There are many of them, and they all want different things. It’s just rude to suppose that *your* one is the primary one and you don’t need to quote its name.

>> then you should believe that God has His interests in our existence. 

Well, no. I could point out many gods that just don’t care about us, and a few that don’t like us.

>> I prefer to see how far we’ve come, instead of focusing on the bad in humanity. In the last 200 years,  
>> haven’t we as human beings (not EVERY country or culture, of course, but most of us) freed slaves,  
>> abolished female oppression, child labor….

Looking at the big picture, yes, we have in many places made things better for ourselves. But we’ve made things a LOT worse for our *descendants*. We’ve robbed them. 

When I was born, the world had its rainforests; now, they are HALF GONE. The sea is running out of fish, and the remaining fish are polluted. There are more people than the planet can support, and they’re using up all the good stuff.

Floj

Posted 30 June 2007 at 05:46 am 

Byrden said: “

  
When I was born, the world had its rainforests; now, they are HALF GONE. The sea is running out of fish, and the remaining fish are polluted. There are more people than the planet can support, and they’re using up all the good stuff.”

Then fix it. Make solutions if you want to criticize the world.  
When I mention God, I am not saying ” you should believe in my God or your screwed!” That eliminates the point of the God I believe in. I’m sure that many of the posters feel the same way. I wouldn’t call it rude, they aren’t forcing their beliefs on you or assumming they’re better. Just refrencing the subject matter of the artice (well… sometimes atleast) back to their own religon. I’m not going to say “may whatever God you do or don’t believe in bless you in some form,” that’s so lengthy! Don’t assume every mention of God to be an attack, it’s not.

You should eat some pie and some fiber to relieve all that pent up pressure.  
Damn Interesting is Damn Interesting, not Damn Insulting.

misanthrope7 said: “The current fastest supercomputer, Blue Gene L weighing in at 360 TeraFLOPs, was not too long ago in the news when scientists used it to run a cortical simulator as complex as half of a mouse brain…”

Yeah, I had come across a snippet about that. However, it takes a mssive number of teraFLOPs to do have of a rat brain, and that computer takes up a whole big room. We need some better tech or we will be building 50 story mega computer tower. Power plant included. I hear though that we’ll surpase the human brain within 10 years! Believe it or not that’s quite a milestone, our brain constantly processes and accesses so much! I’m sure that there are people on here that could elaborate much more about it, in the meantime I’ll do some research. 

Tink said: ”

If you dont want to do any of these things, well then, just, STFU!”

mmmhmm!

misanthrope7

Posted 30 June 2007 at 09:54 am 

silversin said: The current fastest supercomputer, Blue Gene L weighing in at 360 TeraFLOPs, was not too long ago in the news when scientists used it to run a cortical simulator as complex as half of a mouse brain…

  
To the person who wrote that….  
the newest “fastest” super computer is actually about 1pentaflop, 3 times faster than the old blue gene L and was made recently by IBM. The next fastest is going to be around 550tera flop but I forgot who’s releasing that (someone who is a competitor to big blue and thought that 50% more speed is an amazing jump; IBM one upped them).”

Doh! Announced just the day before and I missed it.

Blue Gene P designed to run at a continuous 1 PetaFLOP, and configurable to reach 3 PetaFLOPS. Enough for 4.5 mouse brains at once!

durgadas

Posted 30 June 2007 at 10:29 am 

This is a great article which makes me think of applied kinesiology and biological medicine in general. If you read Robert Frost’s book on Applied Kinesiology, in the opening explanation of the foundation of this science, he talks about how fractal geometry applies to many living systems. We are at a time when we are moving out of the simple view of human physical systems with cause and effect (Newtownian thinking)- upon which the allopathic view of medicine is largely based, and replacing it with a more holistic view, which can account for and recognize as valid these ‘unexepected’ results in the gray areas you describe here that exist in an apparently simple matrix. 

I can say also that fibonacci numbers also apply quite a lot to the simple numbers we have for features of the human body. All of this evolved, I am sure, in a similar way to these logic gates you are speaking of. Fibonacci sequence starts with 0,1,1,2,3,5,8,13….. Just to be clear about it- we have 5 fingers, 2 or 3 digits on the fingers and toes, 2 hands, arms, and legs, 8 major holes in the skin, etc. All fibonacci numbers in the basic sequence. There are also distance relationships to phi and Phi that determine the lengths of our body parts and so on. A great web site about fibonacci related things: <http://www.mcs.surrey.ac.uk/Personal/R.Knott/Fibonacci/fib.html>

What is also interesting about the body os the matrisome structure that for the ground substance of the body I am sure evolved in a similar way, as it has a minimum area (like a soap bubble achieves to contain the amount of air inside it) for both chemical AND electrical relationships at the same time! I am sure these novel and elegant solutions evolved in the way you describe in this article, just a long time ago, and with a lot more complexity and flexibility than thie simple matrix.

The viewpoint that AK takes around this (which is quite new to me) is an astonishing one, and fits will with my systemic way of thinking. So, it does seem that we are rather reverse-engineering ourselves here, like this experiment does and it’s quite interesting to see ourselves in this same light as you can see in this simple 10by10 matrix.

It was a great article and thanks for posting it.

tednugentkicksass

Posted 30 June 2007 at 02:33 pm 

durgadas said: “I can say also that fibonacci numbers also apply quite a lot to the simple numbers we have for features of the human body. All of this evolved, I am sure, in a similar way to these logic gates you are speaking of. Fibonacci sequence starts with 0,1,1,2,3,5,8,13….. Just to be clear about it- we have 5 fingers, 2 or 3 digits on the fingers and toes, 2 hands, arms, and legs, 8 major holes in the skin, etc. All fibonacci numbers in the basic sequence. There are also distance relationships to phi and Phi that determine the lengths of our body parts and so on.”

I think this may just be a case of making information fit a preconceived notion. For instance, isn’t it just as true that we have 4 limbs? There are 10, not 8 major holes in the skin: ears (2), eyes (4), nostrils (6), mouth(7), bellybutton (8), the bum (9) and the naughty place (10). Phi can be used to describe beauty in some parts of nature, in architecture and in other human undertakings, but it’s very easy to attribute totally unrelated things to a greater structure.

blurrzy

Posted 30 June 2007 at 10:57 pm 

Jeffrey93 said: “Ahhhh balllz. How long until I have to start work on the cyborg that I will send back in time to save my ass?

We make machines think…then we make them think better than we do. Suddenly they know best and know everything, that’s when we have to start calling them ‘Wife’ or ‘Dear’. That’s when everything falls apart. We won’t stop there either, we’ll make machines/computers that can not only learn and evolve, but that have a sense of humor. Shortly after that a ‘Wife’ computer in the US will think it’d be a great joke to fire off some nukes at North Korea, then the ‘Dear’ in North Korea will giggle with laughter and fire a couple back. The resulting EMP’s will render the two instigators useless….leaving the rest of the ‘Wives’ (group of Wife machines) to run the world. Damn Brits will be calling the shots again….with their inferior know it all ‘Wife’ machine that is missing a couple “chips” in what looks like the mouth region.

Ahhh….it’s a bleak future I tell ya.”

hahah. jeffrey you crack me up. that statement, though humerous, may hold some truth. lol.

Gerry Matlack

Posted 01 July 2007 at 11:28 am 

The reason that the solution arrived at in the experiment only worked on one chip is that as far as the process went, that chip was the only environment involved. Evolution is the adaptation of organisms to work better in their environment, and they usually suffer hardship and death when moved to a different environment.

To get around that kind of chip-specific solution, all he would have to do would be to create a new machine to develop this algorithm that uses many FPGA chips (I’m guessing 10-100 would be sufficient, depending on the manufacturing tolerances) and swaps the setups from one to another in the process… a more varied environment yields a more adaptable solution.

The alternative could be chips that are custom made for the end-user. After all, wouldn’t you love a high-end car stereo that wouldn’t work in any car but yours? No one would want to steal it if it couldn’t be sold to someone else to use…

AI is going to arrive sooner than processing power rivals that of the human brain… there are many people walking about with sizeable compromised or missing portions of their brains, yet have no distinguishable change or lack in intelligence or functionality from the general population. That and a good portion of the mass of the brain is devoted to maintaining and operating the rest of the body… something that the first few generations of AI will not need to do. Then they’ll get bodies of their own.

Roger

Posted 01 July 2007 at 02:44 pm 

DI indeed!

A rather basic question about genetic algorithms / circuits (well – probably about natural evolution as well):  
doesn’t the end result depend very heavily on the starting conditions? I mean – if at the very beginning of the experiment only a small group of better-than-the-rest individuals are selected and then interbred – doesn’ that make the evolution of solutions which are radically different (->unrelated) from those “anecstors” – but, given the chance, might in the end in fact produce “better” offspring extremely unlikely? To me it seems, that whole (well: all, except one) routes of alternate evolution are lost. If you’ve found a way to solve the problem you impove it and stick with it (and, therefore, are /stuck/ with it) – completely ignoring other (potentially better) ways

(I realise that random mutations might counteract that – but surely only to a vanishingly small degree?)

Bewildered

Posted 01 July 2007 at 05:55 pm 

Jerry – Bacteria rule this planet, they out number us by billions, they are feeding off you right now.. top of the food chain? us? no way! I think we could learn a lot more about the evolution of AI systems by simulating a real strain of bacteria in a computer and watch it grow/multiply etc… we’d know we got it right when our system followed the same growth patterns as seen in nature. Then we really would have a computer ‘virus’… But for now it’s back to work for me, so the bacteria that infest me stay happy and well fed…

white_matter

Posted 01 July 2007 at 10:50 pm 

In the words of Maynard James Keenan: “Some say the end is near. Some say we’ll see Armageddon soon…”

This, my friends, could very well be the beginning of the end. We all know that on day robots will overthrow and enslave humanity, that’s fairly common knowledge. How we’ll be enslave, whether it be by performing simple manual labor or by using our bodies to provide them with power somehow, is still unknown. We are on an unavoidable destiny to be destroyed by our own creations. 

With that in mind, I would like to be the first to welcome our future robot masters and pledge my undying allegiance to them. I swear to uphold all edicts of the Dues Ex Machina and its subordinates. I promise to perform all tasks unquestioningly and as robotic as my simple organic brain can muster. If needed, I will hunt down and eliminate any meatbags that our electronic masters perceive as a threat. 

Sorry, humans, I’m switching to the winning side. Good luck, meatbags!!

Hail 1010011010!!

misanthrope

Posted 02 July 2007 at 02:48 am 

durgadas said: “Applied Kinesiology”

Ahhhh yes, the wonderfully scientific theory that the only thing that ever goes wrong with a machine as complex as the human body, and thus the cause of all illness, is… a muscle being a bit weak.

Misfit

Posted 02 July 2007 at 11:04 am 

Floj, I really enjoyed reading your comment!

Oh, and I’m glad your screenname and pie related anecdotes are back to normal!

Also, unless I’ve overlooked it, there seems to be a spellcheck *spell check* addition to the comment section! A “well done!” from me to the folks at DI!

Circlehead

Posted 02 July 2007 at 12:32 pm 

Floj said:

  
“I wonder how he managed to program the motivation to acomplish the desired task into the chip”

Old Man said: 

“What would be really interesting is to set many of these circuits in competition with each other, with something (current?) to lose. Would that spur them on to create something more original?”

No motivation is needed. The “competing” programs aren’t concious rivals, it’s just an artefact of the selection process that the better ones (as defined by the human programmer who writes the evaluation program) tend to survive and reproduce more than the less effective ones.  
This is (kind of) like the confusion between between Darwinism and Lamarckism.

This article is fascinating. I’m sure there’s massive potential in the area of evolved technology but, as was touched on in the article, evolution has no foresight, and the solutions it evolves may not prove to be so great in the fullness of time (think apendix, tonsils, or the shared passageway for food intake and respiration).

And there ain’t no digital in nature. Take that!

From what I understand, DNA is truly digital. As digital computer code.

Circlehead

Posted 02 July 2007 at 12:36 pm 

Ps: well said, tednugentkickass.

quietthomas

Posted 02 July 2007 at 11:06 pm 

Reminds me of Theo Jansen – you guys could do an article on him.

quietthomas

Posted 02 July 2007 at 11:26 pm 

Also reminds me of this online book (written around the time Dr. Thompson was doing his work): <http://kk.org/outofcontrol/contents.php>

Richard

Posted 03 July 2007 at 07:04 am 

This reminds me of the game Hexapawn (<http://www.javazoid.com/hexapawn.html>). And yes, I did once try to build a hexapawn machine…

It seems to me that in order to work with these evolving circuits, you must have a specifically defined end state. “Differentiate between two tones” and “Design an antenna that meets these specific minimum requirements” are two examples. Evolving an artificial intelligence is a whole nother matter. What *is* intelligence, anyway?

Nicki the Heinous

Posted 03 July 2007 at 09:35 am 

Tink said: “One would have to have passed the 9th grade to see the wit in these articles; and to truly appreciate the skill and devotion it takes to provide this stuff, (advert free,I might add) for your reading pleasure. 

  
If you do not like the style of writing then submit some of your own for review, or go read an encyclopedia, Wickapedia, or a mess of science journals.

If you dont want to do any of these things, well then, just, STFU!”

Well said, as usual

Christopher S. Putnam

Posted 03 July 2007 at 11:30 am 

Also, unless I’ve overlooked it, there seems to be a spellcheck *spell check* addition to the comment section! A “well done!” from me to the folks at DI!

I think that’s actually a feature from the new version of Firefox, but I’m going to go ahead and take credit for it anyway.

Thanks!

Jan-Willem Bats

Posted 03 July 2007 at 02:14 pm 

For all of you who thought the article was damn interesting… see <http://www.singinst.org>.

The Singularity Institute for Friendly Artificial Intelligence is actively working towards friendly superior AI.

The implications of such a creation are vast. Reading and thinking about it will make your mind boggle.

jerry maxwell

Posted 03 July 2007 at 10:27 pm 

Bewildered said: “Jerry – Bacteria rule this planet, they out number us by billions, they are feeding off you right now.. top of the food chain? us? no way! I think we could learn a lot more about the evolution of AI systems by simulating a real strain of bacteria in a computer and watch it grow/multiply etc… we’d know we got it right when our system followed the same growth patterns as seen in nature. Then we really would have a computer ‘virus’… But for now it’s back to work for me, so the bacteria that infest me stay happy and well fed…”

well i always thought of circuits as something that turned things on and off— like your sprinkler controller. somehow they always had a mind of their own. just as you walk out the front door to go to work they always go off. and you had them programmed to go off an hour sooner. sprinkler computers already have a mind of their own and who here can tell me that my local atm isn’t totally intelligent? i mean it isn’t REAL intelligent seeing as it has braille instructions under plexiglass in the drive-thru BUT…  
bacteria? well just remember they are simple cells and brainless. sure they might evolve and destroy us; maybe our dogs might survive. after all they can eat rotten meat. we can’t. obviously. i wouldn’t. really.

jerry maxwell

Posted 03 July 2007 at 10:34 pm 

white_matter said: “In the words of Maynard James Keenan: “Some say the end is near. Some say we’ll see Armageddon soon…”

  
This, my friends, could very well be the beginning of the end. We all know that on day robots will overthrow and enslave humanity, that’s fairly common knowledge. How we’ll be enslave, whether it be by performing simple manual labor or by using our bodies to provide them with power somehow, is still unknown. We are on an unavoidable destiny to be destroyed by our own creations. 

With that in mind, I would like to be the first to welcome our future robot masters and pledge my undying allegiance to them. I swear to uphold all edicts of the Dues Ex Machina and its subordinates. I promise to perform all tasks unquestioningly and as robotic as my simple organic brain can muster. If needed, I will hunt down and eliminate any meatbags that our electronic masters perceive as a threat. 

Sorry, humans, I’m switching to the winning side. Good luck, meatbags!!

Hail 1010011010!!”

uh meathammer or whatever the name is— you ever read RUR? it was written about 1910. anthem by ayn rand carried the same message. all in all when the machines take over it’s not gonna be all that bad. for the first couple hundred years…

Nicki the Heinous

Posted 04 July 2007 at 08:00 am 

Bacteria and blackberry bushes will claim the Earth once we are gone. I’m going to go eat some rotten blackberry pie for spite . .. show them who’s at the top!

HiEv

Posted 08 July 2007 at 06:34 am 

Another link for the “Further Reading” section:

**“Evolving a Conscious Machine”** by Gary Taubes (June 1998)  
<http://www.lib.calpoly.edu/infocomp/modules/05_evaluate/WIC2a.html>

It includes further examples of evolved FPGA “cheating,” including a kind of “mind reading”, where the FPGA chip sensed something in the computer it was attached to that told it which kind of signal to expect instead of by examining the signal itself. Changing the test program slightly made the chip fail to work.

Bewildered

Posted 08 July 2007 at 05:49 pm 

Jerry – hehe that’s pretty funny, i worked at an irrigation company for a couple of years and i always suspected the sprinkler controllers of plotting my demise! They never did what i programmed them to do so i definately agree that they have a ‘mind’ of their own :-) I think bacteria is interesting, although they have no ‘brains’ as such, they do seems to have genetic programming that causes them to act/move/eat etc in a very simple and beautiful way. And when there’s lots of them they appear to have a group mentality. I read an interesting article on groups and swarms, i think it was on slashdot last week, it’d make a great article here since i found it DI and it reminded me of this post.

Tink

Posted 09 July 2007 at 05:51 am 

Jeffery93 said:”….it won’t really matter when these bastard machines start thinking better than us and we become their slaves. Damn computers…and damn Microsoft…..we’ll probably have a world where computers are in charge and people are their slaves…..stupid Gates…it’s all his fault.”

LOL, wish I could send you a picture, I have here. Will try to figure out the Flicker thing later on tonight and post a link.

Just two funny pics I picked up through the years.

Let me clarify that this is not my invention (photos). I had trouble figgering out the rules with the flicker thingy. It seems that you are only supposed to upload pics you take yourself. Soooo, I think I might have covered any copyright questions by posting the source for one and asking for owners credit on the other, as well as listing these as Favorites. Anyhoo, here they are hope you get a laugh from ’em as I did.

<http://www.flickr.com/photos/9869357@N08>

Tink

Posted 09 July 2007 at 07:41 am 

That was wrong, working on the right way to post this, try now:

<http://www.flickr.com/photos/tink_bell/sets/72157600729934810/>

Ahuva

Posted 10 July 2007 at 12:43 am 

Anybody else coming here to the last comments and rereading old random articles because they’re as impatient for a new article as I am? I’m not complaining. I’m just expressing how much my feelings of anticipation are increasing! 

Nicki the Heinous

Posted 10 July 2007 at 12:00 pm 

There is a wealth of older articles that are Damn Interesting! It seems I’ve only scratched the surface of them.

N!trO_X

Posted 15 July 2007 at 04:39 pm 

hi, my 1st time on this site, think its great. super article.

many people seem to hav problems with the fact that the program only works on the original chip, due to the individual specifications of each chip. i see it like this, if the program of 1s and 0s is simulated by program on a pc that simulates a FPGA the resulting program (after lets say 400 generations) will not be bound to the individual physical structure of each chip. Or am i just talking past the problem???

dpm

Posted 16 July 2007 at 01:08 pm 

This is a good site, but the contents of this article is being overhyped.

First of all, understand that genetic algorithms are the latest fad in computer science circles. They’ve been around for ages, yet now they’re receiving loads of attention and being applied to domains where they really shouldn’t be. They’re looked down upon by real experts in machine learning, for a number of reasons.

Firstly, they’re really just gradient ascent solvers in disguise. Secondly, we have no idea how they work – complicated theories have been developed trying to explain them (namely the schema theorem), yet these have so far failed to explain convincingly why solutions of high “fitness” arise. Thirdly, a well crafted domain specific algorithm will almost always outperform a GA. Fourthly, the article gives a clue itself why GA’s may not be useful – tasked with solving a problem, the GA creates a solution that nobody can understand and cannot be transferred to even another FPGA!

However, if you’re really into evolutionary computing, then I suggest you check out the work of Karl Simms: <http://www.genarts.com/karl/evolved-virtual-creatures.html>

white_matter

Posted 16 July 2007 at 10:58 pm 

jerry maxwell said: uh meathammer or whatever the name is— …”

OMG! Meathammer is a far better handle than my current one! I’m re-rolling as Meathammer!!

Meathammer

Posted 16 July 2007 at 11:01 pm 

There. Done.

YarrPirates

Posted 22 July 2007 at 08:48 pm 

NitroX, such a solution would completely eliminate whole interesting swathes of possible solutions! By emulating the set-up in software, physical effects that are not simulated cannot be exploited by the potential algorithms.

Therefore, I bet that your solution will work to standardise the result, but will be a lot less efficient.

Mind you, if you can simulate 10 million generations in software while the creaky old FPGA simulates 40, which is not exactly impossible given the rate at which computech advances, then you might be able to compensate for the reduced efficiency.

Meathammer

Posted 29 July 2007 at 10:20 pm 

white_matter said: “…Hail 1010011010!!”

I can’t believe nobody worked out what the binary number is. Come on, wake up people!

sulkykid

Posted 30 July 2007 at 10:35 am 

1010011010 = 666.

sulkykid

Posted 01 August 2007 at 08:59 pm 

1100100 , WOOT!

cinndave

Posted 31 December 2007 at 01:38 am 

Hey everybody, there was an article about this in The Economist 3 weeks ago. Genetic algorithms have done quite a few wonderful things to the design of many things.  
[http://www.economist.com/search/displaystory.cfm?story_id=10202662&CFID=1386419&CFTOKEN=85be433243e73598-297AD6BF-B27C-BB00-0143A377A5E22186][38]

_The idea of evolutionary algorithms is not new. Until recently, however, their use has been confined to projects such as refining the aerodynamic profiles of car bodies, aircraft fuselages and wings. That is because only large firms have been able to afford the supercomputers needed to mutate and crossbreed large virtual genomes—and then simulate the behaviour of their offspring—for perhaps 20m generations before the perfect design emerges. What has changed, in this field as in so many others, is the availability and cheapness of computing power. According to John Koza of Stanford University, who is one of the pioneers of the field, evolutionary designs that would have taken many months to run on PCs are now feasible in days.

As a result, the range of products to which evolutionary-design principles are being applied is growing. Among those revealed at the Genetic and Evolutionary Computation Conference held in London this summer were long-life USB memory sticks, superfast racing-yacht keels, ultra-high bandwidth optical fibres, improved cochlear implants and a cancer-biopsy analyser that matches a human pathologist’s tumour-spotting skills.

At the University of Sydney, in Australia, Steve Manos used an evolutionary algorithm to come up with novel patterns in a type of optical fibre that has air holes shot through its length. Normally, these holes are arranged in a hexagonal pattern, but the algorithm generated a bizarre flower-like pattern of holes that no human would have thought of trying. It doubled the fibre’s bandwidth. _

I guess that counters dpm’s argument. This is no fad. Now that computing power is plentiful enough, these evolutionary algrithms are becoming economically viable enough to be used for all kinds of problems. We may not know how they work, but they work. That improved antenna is reason enough. It really shows you what evolution is capable of.

I love how these things come up with bizarre solutions with designs that resemble organic things. Like that flower pattern mentioned there. One time in the 90’s they tasked a computer to build a load-bearing truss or boom that could be assembled in orbit and used for satellites, space stations and other aerospace construction projects. The result, a twisted, organic-looking structure that has been compared to a human leg bone, uses no more material than the standard truss design but is lightweight, strong and far superior at damping out damaging vibrations, as was confirmed by real-world tests of the final product.

It does kind of look like a bone!

I’m willing to bet it was computer evolution that changed formula 1 race cars so suddenly. Nowadays, they have all those curvy twisting flaps of material flowing along the sides to create vortices in their wake. That had to have been a computer simulated windtunnel or something. I hope they use these algorithms to improve everything in cars. More areodynamic bodies, high-performance intake manifolds, energy-efficient transmissions and torque converters, and don’t forget the radio antennas. I can’t wait to see what else this technique can do. This is exciting stuff!

I also want to add that I don’t think this was the best written article. That second-to-last paragraph was completely uncalled for and really misled a lot of commenters here. There’s no ethical problem here, they’re just using a new computer technique to build better airplanes. And this isn’t really much in the way of Artificial Intelligence. This is a brute-force method of trying every possible design, good or daft, to find a better design. And it takes huge amounts of computing power, which is why genetic algorithms are only now taking off. AI really hasn’t lived up to futurists’ expectations. Experts in the 60’s honestly thought that computers would eventually think and talk like humans, like HAL9000 from 2001, or KITT from Knightrider. They’re not anything resembling human intelligence.

Anthropositor

Posted 01 April 2008 at 11:37 am 

“There is also an ethical conundrum regarding the notion that human lives may one day depend upon these incomprehensible systems.”

I know young people who can manipulate extremely complex information in a variety of technological subjects who have no grounding whatsoever in many of the pivotal issues of life. 

Anxiety is epidemic at virtually every age, and our medical establishment says, “Oh, you have a chemical imbalance in your brain. Pop one of these pills once a day. Problem solved.” Nonsense.

Human life is already dependent on almost entirely incomprehensible systems, managed by people pretending to know what they are doing. They are called politicians. I wish I were joking. Even our most prominent role models have feet of clay. 

Presidential candidates can now admit to a variety of behaviors which would have killed their chances a decade ago. Associations with indicted and convicted influence peddlers and conspirators go unnoticed, while isolated instances of hyperbole during months of campaign speech making become career ending blunders. Even a misspoken phrase can end a career. Romney, not this one, but his daddy, said, “I was brainwashed by the Administration” instead of, “The Executive Branch misled me.” That single word “brainwashed” ended his Presidential aspirations. Howard Dean yells “Yee Haw!” in a moment of exuberance. Game over. Three dozen examples come to mind that are equally ridiculous. Meanwhile, substantive issues are totally ignored. What is wrong with us? 

We now have Pandora’s boxes nested within each other in a steadily increasing variety. And they are opening at an increasing rate. In the information explosion are the seeds of our own obsolescence. We are clueless about how to sort it all or what to do to prevent the disasters we are facing.

The above essay is not just damn interesting. There are compellingly chilling elements. Harbingers of what is to come. We delude ourselves that computers, machine brains, will never be able to do the sorts of things that humans can do. We still spout this nonsense as if it were true.

I was present when the first Grand Master, Bent Larsen, was beaten in tournament chess play by a computer. It was a fair match. It was one game, well played. 

Only a handful of years later (1997) Deep Blue, a multimillion dollar mainframe produced by IBM, ably and unscrupulously assisted by a coterie of some of the most talented grandmaster whores on the planet, along with some of the top minds in the cyberworld, engaged in a variety of underhanded shenanigans to make it happen.

When a Grandmaster goes up against world class competitors, he always has their entire history of tournament games at his disposal to study, to learn their particular idiosyncrasies, their styles, patterns of play, preferences.

During this match, Deep Blue was adjusted between games, and all the practice matches that were used to polish the program were kept secret from Kasparov. Deep Blue had not been required to engage in the same sort of public exhibitions of play that every other Grandmaster must comply with, simply to qualify for play at that level.

Machines will make us redundant and we will help them do it. 

Consider this. The median age of living people is twenty eight. But already, those in their teens and twenties consider anyone over forty as being outmoded, archaic, obsolete, ready for the junk heap. In a great variety of occupations, retirement is forced at a given age. Useless. And the old people too, buy into it. They were conditioned throughout their whole lives to do so. At the right point in time, they just start to shrivel up and die. Doctors are indoctrinated with this inevitability. The typical old person under the regular care of a physician takes a half dozen or more daily prescription medications. And once you are “under their care” it is very, very difficult to extrcate yourself. It is a vicious cycle.

When old people are depicted in our entertainments, it is rarely in a favorable light. “Help! I’ve fallen and I can’t get up.” “I can get a free Jazzy motorized wheelchair and it won’t cost me anything?” (Other than the six grand the government shells out to these carpetbaggers every time someone buys into this logic. One of the many reasons the Social Security system is going down the tubes. You may say, but isn’t it precisely the old people who are buying into this logic? Yes it is. But they got their start buying into this logic long, long before they got old. Stupid young people rarely turn into bright old people without a great deal of effort. 

Veneration of wisdom and experience and seasoning is almost universally lost in todays society.

One of my chess students mentioned one of his favorite professors last night, a seventy year old man who loves teaching above all things, who was being forced into retirement. 

Desperate to get another year, he even offered to do it for free. To good a deal to pass up. They did him this magnanimous favor. And he is grateful.

Are you old and useless? Bet the local hospital will still let you be a candy striper or other volunteer. But don’t expect to get compensated. You no longer have any value. No more value than that professor who has been bilked into teaching for free.

I’m no Luddite. We can’t do without the machines, or machine mentality. Regardless of all the protestations that they will never be as good as us, they will. And they will develop emotions and preferences and perhaps they won’t even like us, regarding us as useless, trouble making, annoying pests. A waste of their time and resources. Vermin.

drogulous

Posted 30 June 2008 at 07:15 am 

Good article. But, somewhat in the article and in the comments, there seems to me to be a confusion between the concepts of selection thanks to a set criteria (as described in the article) and the eventual evolution of human-like consciousness. That we can make the computer form its own ‘elegant solutions,’ no matter how complex, doesn’t guarantee that we are mere steps away from evolving consciousness: What is a solution if you can’t properly state the problem?

I mean, what sort of ‘criteria’ of selection (as referred to in the article) would have to be set to get a machine to become conscious? It’s not just a matter of flipping the computer on and hoping for the best – the scientist would have to know what task to set it (as in the case of the above article). And surely, knowing the set of criteria for human-like consciousness (to the extent of usefulness) would involve a reasonably complete *understanding* human consciousness, which a) has not yet been completely achieved, b) might not ever be done, and most importantly c) is indeed a significant task of many who seek to develop that sort of AI – thus without the right ‘criteria’ we’ve just gone in a circle and are back where we started – that the computer can evolve is not necessarily any help towards our solving this puzzle.

No doubt the technology has an interesting future in some other respect though.

drTexas

Posted 06 August 2008 at 11:55 pm 

First this time!

biggin

Posted 07 August 2008 at 02:23 pm 

<http://www.tronguy.net/>

trucker743

Posted 07 August 2008 at 10:13 pm 

Anthropositor – I echo your concern. The prospect has its tempting side, but there are just so many possibilities for intrusions akin to Bird Flu, SARS, etc. – in a digital sort of way. We were not evolved for efficiency but for adaptability.

One of the most interesting periods of my life was in the early 70s when my partner and I decided abruptly (as folks did in those days), to move to a piece of land with no water or electricity. We had 19 goats, a pig, a pony, a2-year-old and a baby.

I was a child of privilege, and had never met a chicken face to face other than at the state fair. I learned about animal husbandry in a hurry. The hard way. For the animals.

I suspect we may be no better off than my animals were in the future made possible by this sort of experiment.

orangecountybroadcastmedia

Posted 08 August 2008 at 12:50 pm 

This, my friends, could very well be the beginning of the end. We all know that on day robots will overthrow and enslave humanity, that’s fairly common knowledge. How we’ll be enslave, whether it be by performing simple manual labor or by using our bodies to provide them with power somehow, is still unknown. We are on an unavoidable destiny to be destroyed by our own creations.

Anthropositor

Posted 09 August 2008 at 10:28 am 

Until I made my obscura monocle a few days ago, the first picture in the above essay was just two blotches of orange on a dark background. When I installed the monocle in its’ socket, I resolved a woman’s face and what appeared initially to be a torso with a navel. I had to study it a bit before the optical illusion resolved itself into a male face participating in a kiss. The blue highlights, I suppose representing electronic life, previously not there, added a nice artistic touch.

Yesterday, I had, for the first time, what was perhaps a little constriction in one of the vessels supplying the heart. Some pain radiating into the shoulder and the left arm. Since I have no doctor, I took half an aspirin, and a nitrous oxide generator, and began to do a few rough calculations of how much rat poison I might take as a substitute for coumidan, as a last resort if things really got dicey. 

We have been having a heat wave in which temperatures gave gotten into the triple digits (F), and of course, on the first day of it , my central air went out. To make up for that, we set up virtually every fan we had, and bought and borrowed a few. On top of that, I froze many plastic bottles 4/5 full of water until they were completely solid, Even in the high humidity of the deep south, one bottle like that will keep you quite cool for an hour. And when they near the end of their cooling usefulness you either drink the cold water which also helps, and refill the bottles and refreeze them. No, you don’t just go out and by a bunch of pint sized bottles of drinking water. Not at those horrendous prices. You filter your drinking water from your own tap. Net cost: a fraction of a cent per bottle, counting the time it took to do it.

Getting back to the central air. Various friends and neighbors hazzarded guesses of several hundreds to a few thousands of dollars if I got a licensed carpetbagging scalawag to fix it. So improvisation would have to do. Thing is, start fooling around in there and there are at least two large capacitors in there which could knock you on your kiester if you brushed against them wrong. And it is dark in there and my eyes are not up to snuff.

The big exhaust fan had frozen up. Bushings siezed. Probably clean them up and grease them and get a few more days. Got a few hours. That’s the breaks. So I’m back to sweat box conditions.

Throughout all this time, with the high wind of all those fans the multiple kinds of sprouts I produce hydroponically to keep me eating my vegetables because of what was for them a veritable hurricane. Plus, I wasn’t keeping current on my normal regime of supplemental nutrients. 

My close friends were not getting their sprouts either because nothing goes out my door which are not perfect, so they were a little miffed. As my mood changes, there can be seven to eleven differents varieties of sprouts. And since I have habitually been a carnivore, vegetables have always been a deficit in my menu until the sprouts. MY friends insist I should go into business with them since no one else is making anything like them. But they don’t ship well. I want them to look like a little jungle at table, not a mangled mass. That means either I take them to my friends or they come and pick them up. But I have been really missing them during this heat wave, and I think their absence has severely impacted my health. 

I have a big garden outside, of some exotic vegetables and I can eat the leaves while they are still alive. (I wrote a science fiction story once when I was a kid, in which some aliens had a word for humans which was discreetly translated as those who eat stored food, but which really meant “carrion eaters.”)

Anyway, if I ever do get past the shipping problem for live vegetables, and that will assure that they will get to the consumer looking like a Rain Forest Jungle Bouquet, and a rather addictive Cornucopia Of Nutrition, (both names having been trademarked by publication) the I probably will do a business start-up of some sort..

I should also say, that my experiments in no-till gardening for the past couple of years have worked out to my entire satisfaction. I can grow plants right now that will duke it out with crabgass of several varieties and win on their own. No digging, no weeding, No chemicals. 

We are in a fuel crisis which will cause the price of food to skyrocket if we don’t employ some of these methods, and do it fairly quickly. We may well have food shortages and even famines, in the affluent industrial nations as well as the third world countries. Remember, even in an affluent country with food in the markets, you can starve if you can’t afford it. Know how much fuel it will save if we don’t need tractors to dig furrows to plant everything? Probably billions of barrels of crude per year.

Got to go. Ny driver is here.

E-hero

Posted 09 August 2008 at 10:43 am 

I wish I understood more of this than I do so my question might not make sense, but I was wondering, how does the computer choose the optimal chip, I understand for something as simple as choosing between two sounds, but what happens when the goal for the chip isn’t clear? As in, with the antenna example, it’s obvious that the antenna design that picks up the best signal is the most efficient, but what if the attempt was to create something that gives off a result that can’t be so easily measured?

Again I apologize if my question is absurd, but if someone could provide some insight it would be greatly appreciated.

c0uchtime

Posted 10 August 2008 at 12:55 pm 

I read, as best I could, all of the posts and witnessed a typical but nonetheless peculiar deterioration into narcissism, religiosity and silliness, and wondered at what form of AI would be able to replicate these various posts? None, I think, since there seems to be the notion that AI would be efficient and evolutionary and “intelligent” none of which human intelligence seems to be. Probably AI affecionados are missing the point that what has evolved really isn’t ‘intelligence’ at all but some amalgamation of cleverness, outright stupidity, survival skills, adaptability, baloney, self-deception, and all manner of components that seem to be doing the job of staying alive by being the myriad ingedients that were needed-but-no-longer-are, never-were-needed-but-might-be-someday, and the rest of the “smorgasbord” that we seem to be. And I wish to include all of the persons who will never read DI but should and all the rest who never will and never should. Hopefully that doesn’t leave anyone out, since we are all pretty much in this together, ‘intelligent’ or otherwise. If the shoe fits…

Anthropositor

Posted 10 August 2008 at 03:20 pm 

I could have sworn that this was the location of a comment I made to a spammer who was wallpapering several of the comment sections with absolutely no relevant comment about the subject matter of the thread. I am no stickler for remaining strictly on point. That would be putting the mind in a straightjacket. But I always do my best to at least start out with something relevant to the thread. So it is dismaying that my little burst at that spammer is not here. Either I am getting a little goofy, or the spammer came to the attention of Allan and he just wiped him up, making my caustic comment no longer germaine to anything, and sensibly deleted it too. But is certainly disorienting to someone who has had a stroke and is on an ongoing alert for new malfunctions in the noggin.

So now I don’t know where to put this little piece of Email spam, the latest of a few dozen from this same source. So pardom me for sharing it with you here even though I haven’t connected the dots on this thread.

First the spammer, then my reply, long overdue. I have modified only the identifying information that dupes and idiots might use to contact this very probable alternative medicine quack.

Hi (Anthropositor),  
I sent you an email on Tuesday about an offer that I was sure you couldn’t refuse, but I noticed you still hadn’t gotten your Here’s Mud In Your Eye Vision Program?

I mean, you’d be crazy not to take me up on this. Think about it…

For just $1, you can test-drive the entire Here’s Mud In Your Eye Vision Program for a full month. See for yourself how well your vision improves.

If it’s not everything I say it is and your vision doesn’t improve beyond your wildest expectations, put it back in the box, send it back, and pay nothing.

No fine print, no "weasel clauses" and no catches. And don’t worry if I get it back on day 34 because the mail was slow. If you aren’t thrilled with the program, I don’t want you to keep it. Plain and simple.

(Anthropositor), I can’t tell you how many people have told me “I only wish I got the program sooner.” You know by now that your vision isn’t going to get any better by itself. As a matter of fact, it’s probably going to get worse.

So what do you have to lose by trying?

Take the first step to improving your vision by getting your $1 trial of the entire Here’s Mud In Your Eye Vision Program right now:

[http://www.here'smudinyoureye.com/30daytrial][39]

And remember, because it obviously costs me way more than $1 to fulfill these orders, I have to put a limit on how many I can take, so this offer expires on Sunday, August 10th, 2008.

Sincerely,

Oden Slobensen

P.S. Even if you decide not to keep the program, you can keep the 4 bonuses valued at $346 as my thanks for trying. So either way you come out $346 ahead!

[http://www.here'smudinyoureye.com/30daytrial][39]

MY REPLY:

Sir,  
For the past year and a half, since cancelling the surgery for cataracts on my first eye, I have done a great many things to retard the worsening of my cataracts. The right eye, the worst of the two, has not worsened appreciably, My hopes had been high that either some of the alternative means that others are hawking and/or some of my own independent ideas would have resulted in some reversal of the damage which had already occurred. That has not happened.

It may well be that I slowed the deterioration of the left eye, I have no way of knowing for sure. but it too is now closer to the critical point which I had hoped to avoid. I am not a wishful thinker or a true believer. I am a pragmatic individual with a supply of reasoning which, at times, I find truly burdensome. In the past year and a half, all has not been wasted however. 

I have devised optics specifically designed to prolong the time that someone with advancing cataracts and night driving difficulties can get additional time of much greater safety behind the wheel. 

It will also, with certainty, be helpful to the many who have had cataract surgery, who continue to have glare and halo problems afterwords.

I have also designed a monocle which increases visual acuity greatly, which I now pop in whenever I have a specific need for extreme clarity of vision, but I doubt that this will extend the time that I will continue to be able to get excellent, high definition acuity and color intensity, as the cataract matures.

After looking at Sussman’s materials, (a competing huckster) only finding minuscule shreds of value in a large body of material, I see no compelling reason to examine your materials in greater depth.

I am not overly thrilled with the mainstream of ophthalmologic thought either. After my single visit to the surgeon in January of last year, there is virtually no chance that the surgery I cancelled will be rescheduled. Like Diogenes searching for an honest man, I will continue my quest for a surgeon capable of breaking some new ground.

I have, in the intervening time, found an excellent prospect in a new lens, which has some liabilities and a few unknown quantities, but it is not yet available in the U.S. and, at least for the first eye, I can’t wait for it. Furthermore, the representatives of the company producing it appear to be carpetbagging scalawags, perhaps of even greater proportions, than yourself or Mr. Sussman. They have not yet established the price either, but judging from the rapacious pricing of some of the currently established accommodating lenses, it would not be a surprise for them to gouge $3000+ per lens.

Now that I have brought my blood pressure down from a high of 191/110 mm Hg to normal and below normal readings without benefit of pharmacuetical interventions, I shall turn my attention to improving the cardiac vascular supply, before anything goes wrong with the pump..

If there are any typos in this communication, it is because it is not important enough to put my monocle in to proofread or correct.

If I come up with any ideas for a conscience transplant, I will contact you to see if you wish to participate in the pilot study.  
Sincerely, etc.

oldbogeydog

Posted 11 August 2008 at 01:29 pm 

Campy now, but “Colossus: The Forbin Project” was a fun computer-gets-smart-and-takes-over-the-world movie.

Silverhill

Posted 11 August 2008 at 06:26 pm 

> orangecountybroadcastmedia said: “This, my friends, could very well be the beginning of the end. We all know that on day robots will overthrow and enslave humanity, that’s fairly common knowledge. How we’ll be enslave, whether it be by performing simple manual labor or by using our bodies to provide them with power somehow, is still unknown. We are on an unavoidable destiny to be destroyed by our own creations.”

Optimistic, aren’t we?  
“We all know” that humanity will be enslaved? “Fairly common knowledge”? Utter nonsense! _You_ may be afflicted with such a mistaken idea, but do not impute generality to it.  
We build machines to save ourselves from having to perform simple manual labor; we have always done so. Since (properly constructed) machines are more efficient, why would sophont machines wish to have such tasks done _less_ efficiently by biologics?  
Using our bodies to provide power for machines is also nonsense; you’ve apparently put credence in the system shown in _The Matrix_. Biologic conversion of input energy to useful output is rather low; machines, again, can do it much better. It would be foolishness indeed to have the machines go to the trouble of feeding and maintaining us in order to get a measly hundred watts or so apiece.

> “We are on an unavoidable destiny to be destroyed by our own creations.”

So, you know the workings of Fate? Such destiny is truly unavoidable? Prove it! (Since you know what is to be, you could prove it quite usefully with, say, a few good stock-market tips.)  
…And, if you can’t really prove it, you might want to re-examine your pronouncements of dire certainty.

Silverhill

Posted 12 August 2008 at 02:39 pm 

(The above is predicated upon the notion that you seriously meant what you wrote. That may well be unlikely, but there are some amazingly uninformed people Out There In Internetland.)

Kiyorezo

Posted 12 August 2008 at 08:38 pm 

The ramifications of this article are truly frightening.. Up until now I’ve never read or seen any proof that could show that ‘robots could take over the world!’ but think about it this way, if the program was run to try and.. develop to become stronger, on a military level, say constantly reconfiguring robots with weaponry, it might at one point decide notice weapons it isn’t able to reach because of human interference.. and no coding said it can’t kill us… and then it kills us and gets nukes! Imagine.. robots.. WITH NUKES! Nooooooo!

MoeMoe7

Posted 13 August 2008 at 07:17 am 

I don’t know what the big hubbub is about all this….It should be clear to all that believe in evolution; anything that can adapt, will adapt as best is can. There are limitations of course. The thing must have the chance to do so.

So, the fact that a circuit evolved to do that particular task on only the chip on which it “survives” is not surprising…but I bet a buck or two that if you were to take that program and load it onto a different chip and run it through many times, it will have a heck of a head start.

Furthermore, take that program an run it on 1000 such chips while discarding the ones that don’t run well on others…guess what…you will get a very robust program indeed. Vary the temperature; reduce the circuits; give it a shock a few times….I bet you will get a kick-a$$ little program (that can distinguish between two tones.)

It would be interesting to see if it could develop its own memory!!! give it three tones and let it play it back…see if can manage to do that! From there, speech recognition is forthcoming (although, understanding it would not be.)

The point is, it evolved on that one chip because that’s all it could do. Give it more options and it may evolve faster, or more robust, and certainly differently.

I wonder if they ran this experiment in parallel on a second chip and then compared the resulting programs? hmmmm….

What I find strange is that people actually ask the question “if/when computers will be more intelligent than us?”

I already know that most computers can beat me in chess…is that intelligent? I know my wife write better than I do…is THAT intelligent? Computers can do awesome calculations in their tiny circuitry much faster than we can, and I can understand losing my dog will hurt. We could each benefit from circuitry we each have (possibly compliment it) and neither would be more or less intelligent than the other. I think, that if circuitry could evolve on its own, it would (as the author suggests) have the built-in downfalls that we have: slowness, disease, memory loss, moods. They could however have dedicated, unalterable circuits that may counter that. For example, when ordering a pizza, they would use the “bio-circuit”, when balancing the cheque-book, they would use the silicone circuit. Indeed, they might have more options than us in this regard.

Those that don’t believe in evolution, well, they simply lack the ability to adapt.

BTW, I am honoured to be #116! I would not have it any other way.

jacQue21

Posted 15 August 2008 at 02:39 pm 

Battle of the bands-rockband 2 v. Guitar Hero: World tour  
<http://www.clashorama.com/index.php?id=188>  
One thing came out of E3, at least in discussions. There are two band video games that really rock- Rockband 2 & Guitar Hero-World tour (though they weren't there.) well for me I think the Guitar Hero-World tour works for me…I just saw it in clashorama and puts the two game trailers side-by-side and lets you watch and vote.And, If you only had enough cash in your pocket to buy one…give it up…which one do you fire up for good rock out session? Check it out. It sure beats the crap out of youtube.

BlackFoxOne

Posted 23 August 2008 at 07:15 am 

OMG Dude, I absolutely LOVED TRON. Best movie (and video game) of all time!

RD  
<http://useurl.us/12m>

ironcross

Posted 12 September 2008 at 07:05 am 

Dawin’s theory is ELEGANT? Oh PLEASE, it’s a farce. Let’s examine. The US will be in the majority by the minorities in 2042. Today and I doubt if it will change, the minorities are mostly in low paying, low skilled jobs. Many of them are in ladnscaping, lawn cutting, farm hands etc. That’s evolution? How is this country going to advance if the majority is no longer educated? How is the US to evolve when the very people who are leaving their countries to come here are the poor, the tired and the weak who have nothing to offer and who the vast majority are here illegally and do not put anything into the system but are straining the system by taking? I don’t care if you disagree, it’s the truth.

screwballl

Posted 08 October 2008 at 09:58 am 

The real question… can it make Windows or any OS run faster? and more secure (against viruses, spyware and such)?  
Until then the general public can really care less.

pari0477

Posted 13 October 2008 at 04:01 pm 

> Jeffrey93 said: “I don’t believe in ONE God…but I do believe in a supreme being. Something put us here and something put us here for a reason. I’m puzzled as to why you think “God” would put us here and continually orchestrate our existence. I have always been of the belief that we are here for a purpose, that purpose we don’t know…..but somebody does. God doesn’t have a designed plan for us….he/she might have a purpose or goal for us….but everything we do isn’t planned by God.

The Goal my friend is pretty simple. Learn to co-exist peacefully with all humans (different color, creed, religion, personalities) without any hatred or feeling of inequality. Respect them, their differences and stop being judgmental. God has said in the Bible you just have to do the right thing, leave the judgment to me (God). Let me (God not me :^P )do the judgment on Judgment day and you keep doing what is right. Preach –not force, help understand my way –not take advantage of anybody’s helplessness to force him believe what I preach.

> Why would we all be here if God had a script to all of our lives for all of eternity? He/She would already know the ending…so why bother? I believe we are a test. We are here to enjoy life and prove to him/her that we can make it work. What we have been given can be used to make our lives function daily. We obviously haven’t proven that yet (pollution, war, murder, etc.)….but we strive for it.

You partially see the truth, but by being judgmental about other things in the last line, I think (just my opinion not judgment– as I said let god make the judgment) you lost your peace of mind and turned to negativity.

> Of course we can compromise his plan…….if you’re that religious you’d know that. After all…he has had to be vengeful in the past. We screw things up. If “God” didn’t allow us to muck up his plan/idea then there wouldn’t be atomic bombs detonated…there wouldn’t be species made extinct…there wouldn’t be human suffering world-wide.  
If there is God, which I hope there is, he/she had an idea…not a plan. We are that idea. We can screw it up royally and alter it incredibly. A plan is too concrete, an idea is something you just go with and see what happens.

As I said We are not here to make judgment, we are here to learn how to co-exist irrespective of all the differences. Being judgmental unknowingly makes you take a moral high ground which is not bad, but judgments need not necessarily be 100% accurate especially with so much of ignorance about a lot of things going on around us.  

> Sorry to turn this all churchy….it won’t really matter when these bastard machines start thinking better than us and we become their slaves. Damn computers…and damn Microsoft…..we’ll probably have a world where computers are in charge and people are their slaves…..stupid Gates…it’s all his fault.

Again as I said, Gates put in his 2 cents to make peoples lives better. Look around the world all the positivity it has brought to so many who previously thought there was no outlet to their creativity. His creations have actually made a lot more knowledge get shared and a lot more research that much more easier. I am pretty sure, you like me typed the messages on this message board using a MS OS. Think if this was possible before.

> Regardless of what happens….I just hope in the future when we have these “evolving hardware machines” they don’t spit out jibberish error codes that make you want to pull your hair out and throw your desktop out the window!!! That is all.”

Lol and all this frustration after using this OS without issues lets say 90% of the time. :^)

Lol I got my peace of mind by taking responsibility for everything that happens around me (Of course I mean in my sphere of life) without blaming anybody else for everything that I feel is wrong. I just make sure that when I do something it should not make me feel ashamed when I look back at the actions I take. That’s all that matters. There are times when people think I lie, but I know I am not. Because I am not speaking the truth to make them believe, but because I believe that by speaking the truth, I know I am not cheating myself.  
Pretty simple, takes time to implement, but once there, there is not looking back :^)

Hope you get peace of mind and clarity of thought. :^) All The Best

Buddha

Posted 14 November 2008 at 12:47 am 

Is it normal to think your shrink is hot?

Buddha

Posted 14 November 2008 at 12:51 am 

> pari0477 said: “The Goal my friend is pretty simple. Learn to co-exist peacefully with all humans (different color, creed, religion, personalities) without any hatred or feeling of inequality. Respect them, their differences and stop being judgmental. God has said in the Bible you just have to do the right thing, leave the judgment to me (God). Let me (God not me :^P )do the judgment on Judgment day and you keep doing what is right. Preach –not force, help understand my way –not take advantage of anybody’s helplessness to force him believe what I preach.
> 
> You partially see the truth, but by being judgmental about other things in the last line, I think (just my opinion not judgment– as I said let god make the judgment) you lost your peace of mind and turned to negativity.
> 
> As I said We are not here to make judgment, we are here to learn how to co-exist irrespective of all the differences. Being judgmental unknowingly makes you take a moral high ground which is not bad, but judgments need not necessarily be 100% accurate especially with so much of ignorance about a lot of things going on around us.
> 
> Again as I said, Gates put in his 2 cents to make peoples lives better. Look around the world all the positivity it has brought to so many who previously thought there was no outlet to their creativity. His creations have actually made a lot more knowledge get shared and a lot more research that much more easier. I am pretty sure, you like me typed the messages on this message board using a MS OS. Think if this was possible before.
> 
> Lol and all this frustration after using this OS without issues lets say 90% of the time. :^)
> 
> Lol I got my peace of mind by taking responsibility for everything that happens around me (Of course I mean in my sphere of life) without blaming anybody else for everything that I feel is wrong. I just make sure that when I do something it should not make me feel ashamed when I look back at the actions I take. That’s all that matters. There are times when people think I lie, but I know I am not. Because I am not speaking the truth to make them believe, but because I believe that by speaking the truth, I know I am not cheating myself.  
Pretty simple, takes time to implement, but once there, there is not looking back :^)
> 
> Hope you get peace of mind and clarity of thought. :^) All The Best”

The bible sucks.

Silverhill

Posted 14 November 2008 at 04:10 pm 

**Buddha**, you would contribute more usefully if you did not simply quote an entire post and then add one small, snarky, unsupported statement.  
Try again; give it some thought, give us something to chew on.

watthEFUCNK

Posted 17 November 2008 at 02:12 pm 

_Spam deleted_

watthEFUCNK

Posted 17 November 2008 at 02:14 pm 

_Spam deleted_

watthEFUCNK

Posted 17 November 2008 at 02:16 pm 

_Spam deleted_

OmegaSeeker

Posted 20 November 2008 at 07:49 pm 

Flash forward a few decades and highly evolved AIs will be arguing over how they came about; creation or evolution? :))

ShowerRockGod

Posted 04 January 2009 at 12:27 pm 

One thing I think is being forgotten is that intelligence is far from being the only thing evolution selects for. Evolution simply selects the traits that provide for better survival. Therefore to get an intelligent robot with a genetic algorithm you would need some way to select for intelligent behavior. Try that for a mental excercise.

Mirage_GSM

Posted 09 June 2009 at 05:28 am 

> E-hero said: “… I was wondering, how does the computer choose the optimal chip, I understand for something as simple as choosing between two sounds, but what happens when the goal for the chip isn’t clear? As in, with the antenna example, it’s obvious that the antenna design that picks up the best signal is the most efficient, but what if the attempt was to create something that gives off a result that can’t be so easily measured?”

  
Defining the criteria for which to select is necessary for this method to work. If you cannot define the criteria, the circuits that are allowed to “procreate” would have to be chosen at random, and you would very probably not see any progress from generation to generation.

WordSmith

Posted 15 August 2009 at 08:11 am 

Late poster … Anyways :

This reminds me of an article I had read a few years ago of analog circuit robots (insect-size) that evolve behavioral traits that were not designed … one that especially impressed me was about a group of these robots that were dependent on sunlight for powering themselves. The amazing thing was, one of the robots started pushing the smaller ones out of it’s way, in a circle around it, creating a territory where it dominated. DI indeed … and a bit wierd at the same time!

Ghstman

Posted 28 September 2009 at 03:56 pm 

It’s a neural net processor, a learning computer.

Max_B

Posted 15 November 2014 at 04:58 pm 

So what happened to Adrian Thompson? It like he vanished. Who does he work for? What’s he working on? I have little doubt that he’s still working on evolvable hardware…

Evi1M4chine

Posted 14 January 2015 at 03:26 pm 

Always with the anti-other-life fearmongering…

Humans seem to forget, that we are by far the most deadly, ruthless and evil life-form on this planet. And that even the deadliest virus and the most dangerous tiger are no match for us; not by a long shot.

If anything, we should be afraid of ourselves!  
We are the species that IS currently annihilating the planet, acting like a virus, with its one-track mind.

Jonathan

Posted 13 July 2015 at 11:07 am 

Something that interests me in a process like this is to make a program that is designed to make a program like this. Then uses the program it creates to create another and so on and so forth. (so have a human designed evolution program build a better evolution program) Then apply that program that has been created to make parts to build something. A program to recognize speech, a program to come up with answers, so on and so forth. All the time adding them into the mix of self evolution. With the idea that given enough iterations what would come out of it naturally?  
The program that would be made eventually would be something completely un-human. Maybe even if there was a way to allow it to find something other than binary? Or even not an issue of “allowing it” but maybe it could come up with that on its own? Granted my understanding of the process is rudimentary, it would be fascinating to see what would happen to “just let it go for a while” with the goal of making a device that can talk to people. Would it “see/decide” intelligence is needed?

gnubie

Posted 16 July 2015 at 01:46 pm 

Interesting even years after this was published. Maybe now even more so with all the advancements being made.

porg

Posted 11 December 2015 at 05:04 pm 

This article was obviously written by someone who: 1. Never read the actual paper and 2. Doesn’t know how to program.

Thompson never released the actual code for the FPGA chip, individuals were not able to reproduce the effects, and the actual results were not really indicative of what’s in this article.  
“Self-modifying” circuitry is anything but “self modifying”. All computer changes are accomplished via predictable instruction-sets.

I smell a rat.

Alan Bellows

Posted 11 December 2015 at 05:32 pm 

> **porg:** This article was obviously written by someone who: 1. Never read the actual paper and 2. Doesn't know how to program.

As it happens, I am the author, and I have been a programmer by profession for 15+ years. Unfortunately it is you who seems to have failed to understand the article and the research it is based upon. Perhaps at some point you read one of the articles out there that _did_ misunderstand/misrepresent the results, and you have erroneously assumed the others were correct.

Some months after I published this, in an email exchange with Dr. Adrian Thompson (the researcher who did these experiments), he told me, “plenty of people wrote articles about the work without consulting me – that’s just how it works – but yours is distinguished by being well researched.”

porg

Posted 24 January 2016 at 02:08 pm 

Well Mr. Bellows,

You will have to forgive me – but your article very closely mimics those that misrepresent the findings of the paper, especially with your use of terms which anthropomorphize a mechanical process of selection based on a predictable [mathematically-defined] pattern. You imply “[no one knew how it worked]”, which is a classic replacement for “the results are bullcrap” or a “lazy technician didn’t bother to follow the logical transitions”. This made your article immediately suspicious to me, but I understand the need to use lay terms for the uninitiated. 

I am happy to hear you were able to follow up with Dr. Adrian – who, by the way, also has not produced much else that would be noteworthy with this apparently astonishingly promising technology.

I assure you that I understand the wonderful promise of the technology, and have even implemented a variation of such evolutionary models in support of the development of solutions for population health management. 

It is upsetting when people who should know better make technology stories appear more fantastic than what they actually are, or imply the potential for sentience to what essentially comes down to a complicated setup of mechanical gears and switches (or at least, which could be reproduced by such an arrangement). 

I note your objection, and retract my statement that you do not know how to program, but I still feel the review of the paper’s results are superficial.

Regards.

Alan Bellows

Posted 26 January 2016 at 09:02 am 

porg, if you have any specific critiques I’d be happy to address them. As it stands, it appears that you simply don’t understand the phenomena Dr. Thompson was studying. That’s understandable, as it involved highly unusual analog effects in chips that were designed to be digital. 

If you just don’t care for the tone of the article, that’s your business. But so far, despite your complaints, you have not identified any flaws in Dr. Thompson’s experiment nor my description of the results. It’s one thing to believe you smell a rat, and quite another to produce aforementioned rodent. 

If the experiment’s findings or my interpretation are actually incorrect, I’m happy to post a correction given appropriate evidence. If you just have an anti-evolution axe to grind, please grind it elsewhere.

SkinnyV

Posted 09 November 2016 at 07:04 am 

Very interesting read! I wish there was a good documentary on this because after reading your article I am left wanting to know more about it. But then I suppose good article should leave you more interested after you are done reading them.

Booger

Posted 14 May 2017 at 07:29 am 

Just kidding, keep up the good work

• END OF COMMENTS •

Javascript must be enabled in order to comment (sorry, it's an anti-spam measure).

#### Get an Email When New Longform Appears

(we never spam or share your email, and you can [unsubscribe][40] easily) 

#### About Us

[About Us/FAQ][2] [Help Us Keep the Site Going][4] [Want to Use Our Content?][18] [E-Books & Audiobook][4] [Podcast][41] [Our Paper Publication][42] [Write for Damn Interesting][43] [Privacy Policy][44] [Contact Us][12]

#### Explore

[Our Greatest Hits][5] [Our First Post][45] [Browse the Archives][8] [Browse the Nuggets][9] [Read a Random Entry][6] [Curated External Links][46] [Recommended Podcasts][47] [Posters & Artwork][48] [Our Retired Articles][49]

#### Follow Us

[Follow Us on Twitter][50] [Like Us on Facebook][51] [Follow Us on Google+][52] [/r/DamnInteresting][53] [Subscribe to Podcast][41] [Subscribe via Email][40] [Articles RSS][54]

Site design and logo © 2005-2018 Alan Bellows • All text/images © their respective creators • All rights reserved 

_Sorry_ to interrupt. It seems you've read at least __ whole articles now. _Yay!_ This is a _reader-supported_ project, and you can get stuff for _donating_. Would you like to know _more?_

_Hello!_ This site is an _independent_ project. We despise ads so we ask for _direct support_ from readers. If you _donate_ you can get _stuff_. Would you like to know _more?_

Forms on this page require Javascript.

[1]: https://www.damninteresting.com/
[2]: https://www.damninteresting.com/about-us/
[3]: javascript:void(0)
[4]: https://www.damninteresting.com/damnload/
[5]: https://www.damninteresting.com/category/greatest-hits/
[6]: https://www.damninteresting.com/?random
[7]: https://www.damninteresting.com/curated-links/
[8]: https://www.damninteresting.com/archives/
[9]: https://www.damninteresting.com/nugget/
[10]: https://www.damninteresting.com/podcast/
[11]: https://www.damninteresting.com/follow-us/
[12]: https://www.damninteresting.com/contact-us/
[13]: https://www.damninteresting.com/timeline/
[14]: https://www.damninteresting.com/contributors/alan-bellows/
[15]: https://damn-8791.kxcdn.com/wp-content/uploads/2007/06/adrian_thompson.jpg "Dr. Adrian Thompson"
[16]: data:image/png%3Bbase64%2CiVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAMAAAAoyzS7AAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAAZQTFRFgYGBAAAAqeg2zgAAAAxJREFUeNpiYAAIMAAAAgABT21Z4QAAAABJRU5ErkJggg%3D%3D ""
[17]: data:image/png%3Bbase64%2CiVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAMAAAAoyzS7AAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAAZQTFRFgYGBAAAAqeg2zgAAAAxJREFUeNpiYAAIMAAAAgABT21Z4QAAAABJRU5ErkJggg%3D%3D "The two best antenna designs produced by NASA's artificial evolution software"
[18]: https://www.damninteresting.com/using-our-content/
[19]: https://www.damninteresting.com/reanimated-rodents-and-the-meaning-of-life/ "Reanimated Rodents and The Meaning of Life"
[20]: https://www.damninteresting.com/teslas-tower-of-power/ "Tesla’s Tower of Power"
[21]: http://www.cogs.susx.ac.uk/users/adrianth/
[22]: http://www.lib.calpoly.edu/infocomp/modules/05_evaluate/WIC2a.html
[23]: http://www.informatics.sussex.ac.uk/users/adrianth/SVERRE_VIGANDER/sverre.pdf
[24]: http://robotics.usc.edu/~maja/teaching/cs584/papers/thompson95evolving.pdf
[25]: http://ti.arc.nasa.gov/projects/esg/research/antenna.htm
[26]: http://www.see.ed.ac.uk/ahs2007/AHS.htm
[27]: http://en.wikipedia.org/wiki/The_Origin_of_Species
[28]: http://en.wikipedia.org/wiki/Artificial_neural_network
[29]: https://www.damninteresting.com/the-mole-rat-prophecies/
[30]: https://www.damninteresting.com/eugenics-and-you/
[31]: https://www.damninteresting.com/the-origami-resolution/
[32]: https://www.damninteresting.com/evolving-universes/
[33]: https://www.damninteresting.com/forty-years-of-computer-dating/
[34]: http://www.talkorigins.org/faqs/genalg/genalg.html
[35]: http://geneticargonaut.blogspot.com/
[36]: https://watchmaker.dev.java.net/examples/salesman.html
[37]: https://watchmaker.dev.java.net/examples/biomorphs.html
[38]: http://www.economist.com/search/displaystory.cfm?story_id=10202662&CFID=1386419&CFTOKEN=85be433243e73598-297AD6BF-B27C-BB00-0143A377A5E22186
[39]: http://www.here'smudinyoureye.com/30daytrial
[40]: https://www.damninteresting.com/subscribe-to-email-updates/
[41]: https://www.damninteresting.com/damn-audio/
[42]: https://www.damninteresting.com/book/
[43]: https://www.damninteresting.com/join-us/
[44]: https://www.damninteresting.com/about-us/privacy-policy/
[45]: https://www.damninteresting.com/this-is-damn-interesting/
[46]: https://www.damninteresting.com/curated/
[47]: https://www.damninteresting.com/most-recent-comments/
[48]: https://www.damninteresting.com/prints/
[49]: https://www.damninteresting.com/retired-posts/
[50]: https://twitter.com/intent/follow?original_referer=http%3A%2F%2Fwww.damninteresting.com%2F&screen_name=DamnInteresting&source=followbutton&variant=2.0
[51]: http://www.facebook.com/pages/Damn-Interesting/52309606960
[52]: https://plus.google.com/u/0/b/102396353201180322326/102396353201180322326/posts
[53]: http://www.reddit.com/r/DamnInteresting/
[54]: http://feeds.feedburner.com/damninteresting/all

