---
created_at: '2016-12-23T00:29:02.000Z'
title: The Disadvantages of an Elite Education (2008)
url: https://theamericanscholar.org/the-disadvantages-of-an-elite-education/
author: jmarbach
points: 238
story_text: 
comment_text: 
num_comments: 206
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1482452942
_tags:
- story
- author_jmarbach
- story_13241784
objectID: '13241784'

---
[Source](https://theamericanscholar.org/the-disadvantages-of-an-elite-education/ "Permalink to The American Scholar: The Disadvantages of an Elite Education - William Deresiewicz")

# The American Scholar: The Disadvantages of an Elite Education - William Deresiewicz

![][1]

Toggle navigation

* [Home][2]
* [Daily Scholar][3]
* [Current Issue][4]
* [Past Issues][5]
* [Essays][6]
* [Book Reviews][7]
* [Podcast][8]
* [Subscribe][9]

![][1]

* [Home][2]
* [Daily Scholar][3]
* [Current Issue][4]
* [Past Issues][5]
* [Essays][6]
* [Book Reviews][7]
* [Podcast][8]
* [Subscribe][9]

####  [Exhortation][10] \- [Summer 2008][11]

# The Disadvantages of an Elite Education

[Print][12]

Our best universities have forgotten that the reason they exist is to make minds, not careers

![][13]

Flickr/Jim Alden

### By William Deresiewicz

#### 

June 1, 2008

  

 

![][14]

_Listen to a narrated version of this essay:_

* * *

It didn't dawn on me that there might be a few holes in my education until I was about 35. I'd just bought a house, the pipes needed fixing, and the plumber was standing in my kitchen. There he was, a short, beefy guy with a goatee and a Red Sox cap and a thick Boston accent, and I suddenly learned that I didn't have the slightest idea what to say to someone like him. So alien was his experience to me, so unguessable his values, so mysterious his very language, that I couldn't succeed in engaging him in a few minutes of small talk before he got down to work. Fourteen years of higher education and a handful of Ivy League degrees, and there I was, stiff and stupid, struck dumb by my own dumbness. "Ivy retardation," a friend of mine calls this. I could carry on conversations with people from other countries, in other languages, but I couldn't talk to the man who was standing in my own house.

It's not surprising that it took me so long to discover the extent of my miseducation, because the last thing an elite education will teach you is its own inadequacy. As two dozen years at Yale and Columbia have shown me, elite colleges relentlessly encourage their students to flatter themselves for being there, and for what being there can do for them. The advantages of an elite education are indeed undeniable. You learn to think, at least in certain ways, and you make the contacts needed to launch yourself into a life rich in all of society's most cherished rewards. To consider that while some opportunities are being created, others are being cancelled and that while some abilities are being developed, others are being crippled is, within this context, not only outrageous, but inconceivable.

I'm not talking about curricula or the culture wars, the closing or opening of the American mind, political correctness, canon formation, or what have you. I'm talking about the whole system in which these skirmishes play out. Not just the Ivy League and its peer institutions, but also the mechanisms that get you there in the first place: the private and affluent public "feeder" schools, the ever-growing parastructure of tutors and test-prep courses and enrichment programs, the whole admissions frenzy and everything that leads up to and away from it. The message, as always, is the medium. Before, after, and around the elite college classroom, a constellation of values is ceaselessly inculcated. As globalization sharpens economic insecurity, we are increasingly committing ourselves—as students, as parents, as a society—to a vast apparatus of educational advantage. With so many resources devoted to the business of elite academics and so many people scrambling for the limited space at the top of the ladder, it is worth asking what exactly it is you get in the end—what it is we all get, because the elite students of today, as their institutions never tire of reminding them, are the leaders of tomorrow.

* * *

The first disadvantage of an elite education, as I learned in my kitchen that day, is that it makes you incapable of talking to people who aren't like you. Elite schools pride themselves on their diversity, but that diversity is almost entirely a matter of ethnicity and race. With respect to class, these schools are largely—indeed increasingly—homogeneous. Visit any elite campus in our great nation and you can thrill to the heartwarming spectacle of the children of white businesspeople and professionals studying and playing alongside the children of black, Asian, and Latino businesspeople and professionals. At the same time, because these schools tend to cultivate liberal attitudes, they leave their students in the paradoxical position of wanting to advocate on behalf of the working class while being unable to hold a simple conversation with anyone in it. Witness the last two Democratic presidential nominees, Al Gore and John Kerry: one each from Harvard and Yale, both earnest, decent, intelligent men, both utterly incapable of communicating with the larger electorate.

But it isn't just a matter of class. My education taught me to believe that people who didn't go to an Ivy League or equivalent school weren't worth talking to, regardless of their class. I was given the unmistakable message that such people were beneath me. We were "the best and the brightest," as these places love to say, and everyone else was, well, something else: less good, less bright. I learned to give that little nod of understanding, that slightly sympathetic "Oh," when people told me they went to a less prestigious college. (If I'd gone to Harvard, I would have learned to say "in Boston" when I was asked where I went to school—the Cambridge version of noblesse oblige.) I never learned that there are smart people who don't go to elite colleges, often precisely for reasons of class. I never learned that there are smart people who don't go to college at all.

I also never learned that there are smart people who aren't "smart." The existence of multiple forms of intelligence has become a commonplace, but however much elite universities like to sprinkle their incoming classes with a few actors or violinists, they select for and develop one form of intelligence: the analytic. While this is broadly true of all universities, elite schools, precisely because their students (and faculty, and administrators) possess this one form of intelligence to such a high degree, are more apt to ignore the value of others. One naturally prizes what one most possesses and what most makes for one's advantages. But social intelligence and emotional intelligence and creative ability, to name just three other forms, are not distributed preferentially among the educational elite. The "best" are the brightest only in one narrow sense. One needs to wander away from the educational elite to begin to discover this.

What about people who aren't bright in any sense? I have a friend who went to an Ivy League college after graduating from a typically mediocre public high school. One of the values of going to such a school, she once said, is that it teaches you to relate to stupid people. Some people are smart in the elite-college way, some are smart in other ways, and some aren't smart at all. It should be embarrassing not to know how to talk to any of them, if only because talking to people is the only real way of knowing them. Elite institutions are supposed to provide a humanistic education, but the first principle of humanism is Terence's: "nothing human is alien to me." The first disadvantage of an elite education is how very much of the human it alienates you from.

* * *

The second disadvantage, implicit in what I've been saying, is that an elite education inculcates a false sense of self-worth. Getting to an elite college, being at an elite college, and going on from an elite college—all involve numerical rankings: SAT, GPA, GRE. You learn to think of yourself in terms of those numbers. They come to signify not only your fate, but your identity; not only your identity, but your value. It's been said that what those tests really measure is your ability to take tests, but even if they measure something real, it is only a small slice of the real. The problem begins when students are encouraged to forget this truth, when academic excellence becomes excellence in some absolute sense, when "better at X" becomes simply "better."

There is nothing wrong with taking pride in one's intellect or knowledge. There is something wrong with the smugness and self-congratulation that elite schools connive at from the moment the fat envelopes come in the mail. From orientation to graduation, the message is implicit in every tone of voice and tilt of the head, every old-school tradition, every article in the student paper, every speech from the dean. The message is: You have arrived. Welcome to the club. And the corollary is equally clear: You deserve everything your presence here is going to enable you to get. When people say that students at elite schools have a strong sense of entitlement, they mean that those students think they deserve more than other people because their SAT scores are higher.

At Yale, and no doubt at other places, the message is reinforced in embarrassingly literal terms. The physical form of the university—its quads and residential colleges, with their Gothic stone façades and wrought-iron portals—is constituted by the locked gate set into the encircling wall. Everyone carries around an ID card that determines which gates they can enter. The gate, in other words, is a kind of governing metaphor—because the social form of the university, as is true of every elite school, is constituted the same way. Elite colleges are walled domains guarded by locked gates, with admission granted only to the elect. The aptitude with which students absorb this lesson is demonstrated by the avidity with which they erect still more gates within those gates, special realms of ever-greater exclusivity—at Yale, the famous secret societies, or as they should probably be called, the open-secret societies, since true secrecy would defeat their purpose. There's no point in excluding people unless they know they've been excluded.

One of the great errors of an elite education, then, is that it teaches you to think that measures of intelligence and academic achievement are measures of value in some moral or metaphysical sense. But they're not. Graduates of elite schools are not more valuable than stupid people, or talentless people, or even lazy people. Their pain does not hurt more. Their souls do not weigh more. If I were religious, I would say, God does not love them more. The political implications should be clear. As John Ruskin told an older elite, grabbing what you can get isn't any less wicked when you grab it with the power of your brains than with the power of your fists. "Work must always be," Ruskin says, "and captains of work must always be….[But] there is a wide difference between being captains…of work, and taking the profits of it."

* * *

The political implications don't stop there. An elite education not only ushers you into the upper classes; it trains you for the life you will lead once you get there. I didn't understand this until I began comparing my experience, and even more, my students' experience, with the experience of a friend of mine who went to Cleveland State. There are due dates and attendance requirements at places like Yale, but no one takes them very seriously. Extensions are available for the asking; threats to deduct credit for missed classes are rarely, if ever, carried out. In other words, students at places like Yale get an endless string of second chances. Not so at places like Cleveland State. My friend once got a D in a class in which she'd been running an A because she was coming off a waitressing shift and had to hand in her term paper an hour late.

That may be an extreme example, but it is unthinkable at an elite school. Just as unthinkably, she had no one to appeal to. Students at places like Cleveland State, unlike those at places like Yale, don't have a platoon of advisers and tutors and deans to write out excuses for late work, give them extra help when they need it, pick them up when they fall down. They get their education wholesale, from an indifferent bureaucracy; it's not handed to them in individually wrapped packages by smiling clerks. There are few, if any, opportunities for the kind of contacts I saw my students get routinely—classes with visiting power brokers, dinners with foreign dignitaries. There are also few, if any, of the kind of special funds that, at places like Yale, are available in profusion: travel stipends, research fellowships, performance grants. Each year, my department at Yale awards dozens of cash prizes for everything from freshman essays to senior projects. This year, those awards came to more than $90,000—in just one department.

Students at places like Cleveland State also don't get A-'s just for doing the work. There's been a lot of handwringing lately over grade inflation, and it is a scandal, but the most scandalous thing about it is how uneven it's been. Forty years ago, the average GPA at both public and private universities was about 2.6, still close to the traditional B-/C+ curve. Since then, it's gone up everywhere, but not by anything like the same amount. The average gpa at public universities is now about 3.0, a B; at private universities it's about 3.3, just short of a B+. And at most Ivy League schools, it's closer to 3.4. But there are always students who don't do the work, or who are taking a class far outside their field (for fun or to fulfill a requirement), or who aren't up to standard to begin with (athletes, legacies). At a school like Yale, students who come to class and work hard expect nothing less than an A-. And most of the time, they get it.

In short, the way students are treated in college trains them for the social position they will occupy once they get out. At schools like Cleveland State, they're being trained for positions somewhere in the middle of the class system, in the depths of one bureaucracy or another. They're being conditioned for lives with few second chances, no extensions, little support, narrow opportunity—lives of subordination, supervision, and control, lives of deadlines, not guidelines. At places like Yale, of course, it's the reverse. The elite like to think of themselves as belonging to a meritocracy, but that's true only up to a point. Getting through the gate is very difficult, but once you're in, there's almost nothing you can do to get kicked out. Not the most abject academic failure, not the most heinous act of plagiarism, not even threatening a fellow student with bodily harm—I've heard of all three—will get you expelled. The feeling is that, by gosh, it just wouldn't be fair—in other words, the self-protectiveness of the old-boy network, even if it now includes girls. Elite schools nurture excellence, but they also nurture what a former Yale graduate student I know calls "entitled mediocrity." A is the mark of excellence; A- is the mark of entitled mediocrity. It's another one of those metaphors, not so much a grade as a promise. It means, don't worry, we'll take care of you. You may not be all that good, but you're good enough.

Here, too, college reflects the way things work in the adult world (unless it's the other way around). For the elite, there's always another extension—a bailout, a pardon, a stint in rehab—always plenty of contacts and special stipends—the country club, the conference, the year-end bonus, the dividend. If Al Gore and John Kerry represent one of the characteristic products of an elite education, George W. Bush represents another. It's no coincidence that our current president, the apotheosis of entitled mediocrity, went to Yale. Entitled mediocrity is indeed the operating principle of his administration, but as Enron and WorldCom and the other scandals of the dot-com meltdown demonstrated, it's also the operating principle of corporate America. The fat salaries paid to underperforming CEOs are an adult version of the A-. Anyone who remembers the injured sanctimony with which Kenneth Lay greeted the notion that he should be held accountable for his actions will understand the mentality in question—the belief that once you're in the club, you've got a God-given right to stay in the club. But you don't need to remember Ken Lay, because the whole dynamic played out again last year in the case of Scooter Libby, another Yale man.

* * *

If one of the disadvantages of an elite education is the temptation it offers to mediocrity, another is the temptation it offers to security. When parents explain why they work so hard to give their children the best possible education, they invariably say it is because of the opportunities it opens up. But what of the opportunities it shuts down? An elite education gives you the chance to be rich—which is, after all, what we're talking about—but it takes away the chance not to be. Yet the opportunity not to be rich is one of the greatest opportunities with which young Americans have been blessed. We live in a society that is itself so wealthy that it can afford to provide a decent living to whole classes of people who in other countries exist (or in earlier times existed) on the brink of poverty or, at least, of indignity. You can live comfortably in the United States as a schoolteacher, or a community organizer, or a civil rights lawyer, or an artist—that is, by any reasonable definition of comfort. You have to live in an ordinary house instead of an apartment in Manhattan or a mansion in L.A.; you have to drive a Honda instead of a BMW or a Hummer; you have to vacation in Florida instead of Barbados or Paris, but what are such losses when set against the opportunity to do work you believe in, work you're suited for, work you love, every day of your life?

Yet it is precisely that opportunity that an elite education takes away. How can I be a schoolteacher—wouldn't that be a waste of my expensive education? Wouldn't I be squandering the opportunities my parents worked so hard to provide? What will my friends think? How will I face my classmates at our 20th reunion, when they're all rich lawyers or important people in New York? And the question that lies behind all these: Isn't it beneath me? So a whole universe of possibility closes, and you miss your true calling.

This is not to say that students from elite colleges never pursue a riskier or less lucrative course after graduation, but even when they do, they tend to give up more quickly than others. (Let's not even talk about the possibility of kids from privileged backgrounds not going to college at all, or delaying matriculation for several years, because however appropriate such choices might sometimes be, our rigid educational mentality places them outside the universe of possibility—the reason so many kids go sleepwalking off to college with no idea what they're doing there.) This doesn't seem to make sense, especially since students from elite schools tend to graduate with less debt and are more likely to be able to float by on family money for a while. I wasn't aware of the phenomenon myself until I heard about it from a couple of graduate students in my department, one from Yale, one from Harvard. They were talking about trying to write poetry, how friends of theirs from college called it quits within a year or two while people they know from less prestigious schools are still at it. Why should this be? Because students from elite schools expect success, and expect it now. They have, by definition, never experienced anything else, and their sense of self has been built around their ability to succeed. The idea of not being successful terrifies them, disorients them, defeats them. They've been driven their whole lives by a fear of failure—often, in the first instance, by their parents' fear of failure. The first time I blew a test, I walked out of the room feeling like I no longer knew who I was. The second time, it was easier; I had started to learn that failure isn't the end of the world.

* * *

But if you're afraid to fail, you're afraid to take risks, which begins to explain the final and most damning disadvantage of an elite education: that it is profoundly anti-intellectual. This will seem counterintuitive. Aren't kids at elite schools the smartest ones around, at least in the narrow academic sense? Don't they work harder than anyone else—indeed, harder than any previous generation? They are. They do. But being an intellectual is not the same as being smart. Being an intellectual means more than doing your homework.

![][15]

If so few kids come to college understanding this, it is no wonder. They are products of a system that rarely asked them to think about something bigger than the next assignment. The system forgot to teach them, along the way to the prestige admissions and the lucrative jobs, that the most important achievements can't be measured by a letter or a number or a name. It forgot that the true purpose of education is to make minds, not careers.

Being an intellectual means, first of all, being passionate about ideas—and not just for the duration of a semester, for the sake of pleasing the teacher, or for getting a good grade. A friend who teaches at the University of Connecticut once complained to me that his students don't think for themselves. Well, I said, Yale students think for themselves, but only because they know we want them to. I've had many wonderful students at Yale and Columbia, bright, thoughtful, creative kids whom it's been a pleasure to talk with and learn from. But most of them have seemed content to color within the lines that their education had marked out for them. Only a small minority have seen their education as part of a larger intellectual journey, have approached the work of the mind with a pilgrim soul. These few have tended to feel like freaks, not least because they get so little support from the university itself. Places like Yale, as one of them put it to me, are not conducive to searchers.

Places like Yale are simply not set up to help students ask the big questions. I don't think there ever was a golden age of intellectualism in the American university, but in the 19th century students might at least have had a chance to hear such questions raised in chapel or in the literary societies and debating clubs that flourished on campus. Throughout much of the 20th century, with the growth of the humanistic ideal in American colleges, students might have encountered the big questions in the classrooms of professors possessed of a strong sense of pedagogic mission. Teachers like that still exist in this country, but the increasingly dire exigencies of academic professionalization have made them all but extinct at elite universities. Professors at top research institutions are valued exclusively for the quality of their scholarly work; time spent on teaching is time lost. If students want a conversion experience, they're better off at a liberal arts college.

When elite universities boast that they teach their students how to think, they mean that they teach them the analytic and rhetorical skills necessary for success in law or medicine or science or business. But a humanistic education is supposed to mean something more than that, as universities still dimly feel. So when students get to college, they hear a couple of speeches telling them to ask the big questions, and when they graduate, they hear a couple more speeches telling them to ask the big questions. And in between, they spend four years taking courses that train them to ask the little questions—specialized courses, taught by specialized professors, aimed at specialized students. Although the notion of breadth is implicit in the very idea of a liberal arts education, the admissions process increasingly selects for kids who have already begun to think of themselves in specialized terms—the junior journalist, the budding astronomer, the language prodigy. We are slouching, even at elite schools, toward a glorified form of vocational training.

Indeed, that seems to be exactly what those schools want. There's a reason elite schools speak of training leaders, not thinkers—holders of power, not its critics. An independent mind is independent of all allegiances, and elite schools, which get a large percentage of their budget from alumni giving, are strongly invested in fostering institutional loyalty. As another friend, a third-generation Yalie, says, the purpose of Yale College is to manufacture Yale alumni. Of course, for the system to work, those alumni need money. At Yale, the long-term drift of students away from majors in the humanities and basic sciences toward more practical ones like computer science and economics has been abetted by administrative indifference. The college career office has little to say to students not interested in law, medicine, or business, and elite universities are not going to do anything to discourage the large percentage of their graduates who take their degrees to Wall Street. In fact, they're showing them the way. The liberal arts university is becoming the corporate university, its center of gravity shifting to technical fields where scholarly expertise can be parlayed into lucrative business opportunities.

It's no wonder that the few students who are passionate about ideas find themselves feeling isolated and confused. I was talking with one of them last year about his interest in the German Romantic idea of _bildung,_ the upbuilding of the soul. But, he said—he was a senior at the time—it's hard to build your soul when everyone around you is trying to sell theirs.

Yet there is a dimension of the intellectual life that lies above the passion for ideas, though so thoroughly has our culture been sanitized of it that it is hardly surprising if it was beyond the reach of even my most alert students. Since the idea of the intellectual emerged in the 18th century, it has had, at its core, a commitment to social transformation. Being an intellectual means thinking your way toward a vision of the good society and then trying to realize that vision by speaking truth to power. It means going into spiritual exile. It means foreswearing your allegiance, in lonely freedom, to God, to country, and to Yale. It takes more than just intellect; it takes imagination and courage. "I am not afraid to make a mistake," Stephen Dedalus says, "even a great mistake, a lifelong mistake, and perhaps as long as eternity, too."

* * *

Being an intellectual begins with thinking your way outside of your assumptions and the system that enforces them. But students who get into elite schools are precisely the ones who have best learned to work within the system, so it's almost impossible for them to see outside it, to see that it's even there. Long before they got to college, they turned themselves into world-class hoop-jumpers and teacher-pleasers, getting A's in every class no matter how boring they found the teacher or how pointless the subject, racking up eight or 10 extracurricular activities no matter what else they wanted to do with their time. Paradoxically, the situation may be better at second-tier schools and, in particular, again, at liberal arts colleges than at the most prestigious universities. Some students end up at second-tier schools because they're exactly like students at Harvard or Yale, only less gifted or driven. But others end up there because they have a more independent spirit. They didn't get straight A's because they couldn't be bothered to give everything in every class. They concentrated on the ones that meant the most to them or on a single strong extracurricular passion or on projects that had nothing to do with school or even with looking good on a college application. Maybe they just sat in their room, reading a lot and writing in their journal. These are the kinds of kids who are likely, once they get to college, to be more interested in the human spirit than in school spirit, and to think about leaving college bearing questions, not resumés.

I've been struck, during my time at Yale, by how similar everyone looks. You hardly see any hippies or punks or art-school types, and at a college that was known in the '80s as the Gay Ivy, few out lesbians and no gender queers. The geeks don't look all that geeky; the fashionable kids go in for understated elegance. Thirty-two flavors, all of them vanilla. The most elite schools have become places of a narrow and suffocating normalcy. Everyone feels pressure to maintain the kind of appearance—and affect—that go with achievement. (Dress for success, medicate for success.) I know from long experience as an adviser that not every Yale student is appropriate and well-adjusted, which is exactly why it worries me that so many of them act that way. The tyranny of the normal must be very heavy in their lives. One consequence is that those who can't get with the program (and they tend to be students from poorer backgrounds) often polarize in the opposite direction, flying off into extremes of disaffection and self-destruction. But another consequence has to do with the large majority who can get with the program.

I taught a class several years ago on the literature of friendship. One day we were discussing Virginia Woolf's novel _The Waves,_ which follows a group of friends from childhood to middle age. In high school, one of them falls in love with another boy. He thinks, "To whom can I expose the urgency of my own passion?…There is nobody—here among these grey arches, and moaning pigeons, and cheerful games and tradition and emulation, all so skilfully organised to prevent feeling alone." A pretty good description of an elite college campus, including the part about never being allowed to feel alone. What did my students think of this, I wanted to know? What does it mean to go to school at a place where you're never alone? Well, one of them said, I do feel uncomfortable sitting in my room by myself. Even when I have to write a paper, I do it at a friend's. That same day, as it happened, another student gave a presentation on Emerson's essay on friendship. Emerson says, he reported, that one of the purposes of friendship is to equip you for solitude. As I was asking my students what they thought that meant, one of them interrupted to say, wait a second, why do you need solitude in the first place? What can you do by yourself that you can't do with a friend?

So there they were: one young person who had lost the capacity for solitude and another who couldn't see the point of it. There's been much talk of late about the loss of privacy, but equally calamitous is its corollary, the loss of solitude. It used to be that you couldn't always get together with your friends even when you wanted to. Now that students are in constant electronic contact, they never have trouble finding each other. But it's not as if their compulsive sociability is enabling them to develop deep friendships. "To whom can I expose the urgency of my own passion?": my student was in her friend's room writing a paper, not having a heart-to-heart. She probably didn't have the time; indeed, other students told me they found their peers too busy for intimacy.

What happens when busyness and sociability leave no room for solitude? The ability to engage in introspection, I put it to my students that day, is the essential precondition for living an intellectual life, and the essential precondition for introspection is solitude. They took this in for a second, and then one of them said, with a dawning sense of self-awareness, "So are you saying that we're all just, like, really excellent sheep?" Well, I don't know. But I do know that the life of the mind is lived one mind at a time: one solitary, skeptical, resistant mind at a time. The best place to cultivate it is not within an educational system whose real purpose is to reproduce the class system.

* * *

The world that produced John Kerry and George Bush is indeed giving us our next generation of leaders. The kid who's loading up on AP courses junior year or editing three campus publications while double-majoring, the kid whom everyone wants at their college or law school but no one wants in their classroom, the kid who doesn't have a minute to breathe, let alone think, will soon be running a corporation or an institution or a government. She will have many achievements but little experience, great success but no vision. The disadvantage of an elite education is that it's given us the elite we have, and the elite we're going to have.

  

William Deresiewicz is an essayist and critic. His book [_Excellent Sheep: The Miseducation of the American Elite and the Way to a Meaningful Life][16] is based in part on his essays "[The Disadvantages of an Elite Education][17]" and "[Solitude and Leadership][18]." To read all the posts from his weekly blog, "All Points," click [here][19]. He is a contributing editor of the magazine.

  

Comments are closed for this post.

![][20]

  

##### Advertisement

## E-newsletter

![][21]

### By

Enter your email address to subscribe. *

Subscribe

## [The Daily Scholar][22]

![][23]

#### [Deep in the Heart][24]

##### [Coming Home][25]

![][26]

#### [Measure by Measure][27]

##### [Ah, Bitter Chill It Was!][28]

![][29]

#### [View from Rue Saint-Georges][30]

##### [On a Walkabout][31]

![][32]

#### [Next Line, Please][33]

##### [Postcard From the Future][34]

![][35]

#### [Portrait of the Artist][36]

##### [Nolan Preece][37]

![][38]   

## THIS WEEK'S ARCHIVE PICK

### [St. Augustine and the Hall of Memory][39]

** By Greta Austin**

Greta Austin's aunt spent 60 years in her old Victorian house and never changed a thing, living vicariously through her family and her own memories. The act of remembering for Aunt Lillian "was not just recollection of the past; it was all of experience, all of herself, which she then considered, organized, classified, and stored." She never had to renovate her home because, in St. Augustine's words, memory was its own house, full of rooms in which to store images and experiences. Read Austin's loving and poetic tribute to her aunt from our Winter 2012 issue.

## WEB EXCLUSIVES

### [Editors' Picks][40]

Best-of lists from bad romances to Shakespearean verse

  

### [The Guest List][41]

We ask our favorite writers about their favorite titles

  

### [The Daily Scholar Archives][42]

The complete collection of our blogs, including Zinsser on Friday and our weekly Writing Lessons

  

### [Online Essays][43]

Works you won't find in print edition, from the likes of Harold Holzer, Wendy Smith, and Neil Shea

![][44]

######## BRIEF EXCERPTS FROM NEW BOOKS

  

### [The Seabird's Cry][45]

**By Adam Nicolson**

Adam Nicolson's look at the great avian ocean voyagers

##### Advertisement

[About Us

[Current Issue][4]

[Past Issues][5]

[Essays][6]

[Contact Us

[Submissions][46]

[Donate][47]

[Advertise][48]

Sponsored by Phi Beta Kappa   
Copyright © 2017 [The American Scholar][49]

![Quantcast][50]

[1]: https://theamericanscholar.org/static/images/scholar_logo_hires_500px.png
[2]: https://theamericanscholar.org/
[3]: https://theamericanscholar.org/the-daily-scholar
[4]: https://theamericanscholar.org/issues/winter-2018/
[5]: https://theamericanscholar.org/past-issues
[6]: https://theamericanscholar.org/dept/essays
[7]: https://theamericanscholar.org/dept/book-reviews
[8]: https://theamericanscholar.org/podcast
[9]: https://theamericanscholar.org/subscribe
[10]: https://theamericanscholar.org/dept/exhortation/
[11]: https://theamericanscholar.org/issues/summer-2008/
[12]: https://theamericanscholar.org#
[13]: https://theamericanscholar.org/uploads/2008/06/grads-600x315.png
[14]: https://theamericanscholar.org/uploads/2008/06/grads-800x420.png
[15]: https://theamericanscholar.org/uploads/2010/03/deresiewicz-new.png
[16]: http://pages.simonandschuster.com/excellentsheep
[17]: http://theamericanscholar.org/the-disadvantages-of-an-elite-education/
[18]: http://theamericanscholar.org/solitude-and-leadership/
[19]: http://theamericanscholar.org/the-complete-all-points/
[20]: https://theamericanscholar.org/uploads/2017/10/smarty_blues_300.png
[21]: https://img.mailinblue.com/new_images/loader_sblue.gif
[22]: https://theamericanscholar.org/the-daily-scholar/
[23]: https://theamericanscholar.org/uploads/2017/10/coving1-45x42.png
[24]: https://theamericanscholar.org/daily-scholar/deep-in-the-heart/
[25]: https://theamericanscholar.org/coming-home/
[26]: https://theamericanscholar.org/uploads/2017/01/sudip_553ch-45x42.png
[27]: https://theamericanscholar.org/daily-scholar/measure-by-measure/
[28]: https://theamericanscholar.org/ah-bitter-chill-it-was/
[29]: https://theamericanscholar.org/uploads/2016/06/chatterton-williams-crop01-45x42.png
[30]: https://theamericanscholar.org/daily-scholar/view-from-rue-saint-georges/
[31]: https://theamericanscholar.org/on-a-walkabout/
[32]: https://theamericanscholar.org/uploads/2014/04/Lyre-45x42.jpg
[33]: https://theamericanscholar.org/daily-scholar/next-line-please/
[34]: https://theamericanscholar.org/postcard-from-the-future/
[35]: https://theamericanscholar.org/uploads/2017/01/pallette-02-45x42.png
[36]: https://theamericanscholar.org/daily-scholar/portrait-of-the-artist/
[37]: https://theamericanscholar.org/nolan-preece/
[38]: https://theamericanscholar.org/uploads/2014/04/2ndLook.jpg
[39]: https://theamericanscholar.org/st-augustine-and-the-hall-of-memory/
[40]: https://theamericanscholar.org/dept/editors-picks/
[41]: https://theamericanscholar.org/dept/the-guest-list/
[42]: https://theamericanscholar.org/the-daily-scholar-archives/
[43]: https://theamericanscholar.org/dept/web-exclusive/
[44]: https://theamericanscholar.org/uploads/2015/08/shelf-life-e1438874439558.png
[45]: https://theamericanscholar.org/the-seabirds-cry/
[46]: https://theamericanscholar.submittable.com/submit
[47]: https://theamericanscholar.org/support
[48]: https://theamericanscholar.org/advertising
[49]: https://theamericanscholar.org
[50]: https://pixel.quantserve.com/pixel/p-gLqgnYps-c79e.gif

