---
created_at: '2017-09-02T08:37:07.000Z'
title: 'Brain foods: the effects of nutrients on brain function (2008)'
url: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2805706/
author: lainon
points: 132
story_text: 
comment_text: 
num_comments: 27
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1504341427
_tags:
- story
- author_lainon
- story_15154959
objectID: '15154959'

---
[Source](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2805706/ "Permalink to Brain foods: the effects of nutrients on brain function")

# Brain foods: the effects of nutrients on brain function

**Warning:** The NCBI web site requires JavaScript to function. [more...][1]
* [NCBI![NCBI Logo][2]][3]
* [Skip to main content][4]
* [Skip to navigation][5]
* [Resources][6]
* [How To][7]
* [About NCBI Accesskeys][8]

[My NCBI][9][Sign in to NCBI][10][Sign Out][11]

# [PMC][12]

[US National Library of Medicine][13]   
[National Institutes of Health][14]

Search databasePMCAll DatabasesAssemblyBiocollectionsBioProjectBioSampleBioSystemsBooksClinVarCloneConserved DomainsdbGaPdbVarESTGeneGenomeGEO DataSetsGEO ProfilesGSSGTRHomoloGeneIdentical Protein GroupsMedGenMeSHNCBI Web SiteNLM CatalogNucleotideOMIMPMCPopSetProbeProteinProtein ClustersPubChem BioAssayPubChem CompoundPubChem SubstancePubMedPubMed HealthSNPSparcleSRAStructureTaxonomyToolKitToolKitAllToolKitBookghUniGene

Search term

Search

* [Advanced][15]
* [Journal list][16]
* [Help][17]
* [Journal List][16]
* [HHS Author Manuscripts][18]
* PMC2805706

![Logo of nihpa][19]

Nat Rev Neurosci. Author manuscript; available in PMC 2010 Jan 12.

Published in final edited form as:

[Nat Rev Neurosci. 2008 Jul; 9(7): 568–578. ][20]

doi:  [10.1038/nrn2421][21]

PMCID: PMC2805706

NIHMSID: NIHMS162299

# Brain foods: the effects of nutrients on brain function

[Fernando Gómez-Pinilla][22]

Fernando Gómez-Pinilla,  Departments of Neurosurgery and Physiological Science, University of California at Los Angeles School of Medicine, Los Angeles 90095, California, USA;

Fernando Gómez-Pinilla: [ude.alcu.tendem@ipzemogf][23]

[Author information ►][24] [Copyright and License information ►][24]

[Copyright notice][25] and [Disclaimer][26]

The publisher's final edited version of this article is available at [Nat Rev Neurosci][20]

See other articles in PMC that [cite][27] the published article.

## Abstract

It has long been suspected that the relative abundance of specific nutrients can affect cognitive processes and emotions. Newly described influences of dietary factors on neuronal function and synaptic plasticity have revealed some of the vital mechanisms that are responsible for the action of diet on brain health and mental function. Several gut hormones that can enter the brain, or that are produced in the brain itself, influence cognitive ability. In addition, well-established regulators of synaptic plasticity, such as brain-derived neurotrophic factor, can function as metabolic modulators, responding to peripheral signals such as food intake. Understanding the molecular basis of the effects of food on cognition will help us to determine how best to manipulate diet in order to increase the resistance of neurons to insults and promote mental fitness.

Although food has classically been perceived as a means to provide energy and building material to the body, its ability to prevent and protect against diseases is starting to be recognized. In particular, research over the past 5 years has provided exciting evidence for the influence of dietary factors on specific molecular systems and mechanisms that maintain mental function. For instance, a diet that is rich in omega-3 fatty acids is garnering appreciation for supporting cognitive processes in humans[1][28] and upregulating genes that are important for maintaining synaptic function and plasticity in rodents[2][29]. In turn, diets that are high in saturated fat are becoming notorious for reducing molecular substrates that support cognitive processing and increasing the risk of neurological dysfunction in both humans[3][30] and animals[4][31]. Although these studies emphasize an important effect of food on the brain, further work is necessary to determine the mechanisms of action and the conditions for therapeutic applications in humans.

Over thousands of years, diet, in conjunction with other aspects of daily living, such as exercise, has had a crucial role in shaping cognitive capacity and brain evolution ([BOX 1][32]). Advances in molecular biology have revealed the ability of food-derived signals to influence energy metabolism and synaptic plasticity and, thus, mediate the effects of food on cognitive function, which is likely to have been crucial for the evolution of the modern brain. Feeding habits have been intrinsically associated with the development of human civilization, as people’s choice of what to eat is influenced by culture, religion and society. The newly discovered effects of food on cognition are intriguing for the general public, as they might challenge preconceptions, and they attract substantial interest from the media. The fact that feeding is an intrinsic human routine emphasizes the power of dietary factors to modulate mental health not only at the individual level, but also at the collective, population-wide level. Here I discuss the effects of both internal signals that are associated with feeding and dietary factors on cell metabolism, synaptic plasticity and mental function ([FIG. 1][33]). Throughout I use the term cognition from a neurobiological perspective, to refer to the mental processes that are involved in acquiring knowledge and to the integration of these processes into the conscious aspect of emotions, which influences mood and has psychiatric manifestations[5][34].

### Box 1Feeding as an adaptive mechanism for the development of cognitive skills

![An external file that holds a picture, illustration, etc.
Object name is nihms162299u1.jpg][35]

Adaptations that facilitated food acquisition and energy efficiency exerted strong evolutionary pressures on the formation of the modern brain and the energy-demanding development of cognitive skills. For example, the wildebeest annually travels hundreds of miles to find feeding grounds in the savannah, a behaviour that requires fully operational and complex navigational, defensive and cognitive conducts for survival. The function of brain centres that control eating behaviour is integrated with those of centres that control cognition ([FIG. 1][33]). For instance, animals that eat a potentially poisonous meal develop a perpetual aversion to its flavour through complex mechanisms of learning and memory that involve the hypothalamus, the hippocampus and the amygdala[133][36]. In turn, pleasant memories of foods have been related to brain pathways that are associated with reward[134][37].

Abundant paleontological evidence suggests that there is a direct relationship between access to food and brain size, and that even small differences in diet can have large effects on survival and reproductive success[135][38]. Larger brains in humanoids are associated with the development of cooking skills, access to food, energy savings and upright walking and running[136][39]; all of these features require coordination with cognitive strategies that are centred in successful feeding. Dietary consumption of omega-3 fatty acids is one of the best-studied interactions between food and brain evolution. Docosahexaenoic acid (DHA) is the most abundant omega-3 fatty acid in cell membranes in the brain[137][40]; however, the human body is not efficient at synthesizing DHA, so we are largely dependent on dietary DHA[138][41]. It has been proposed that access to DHA during hominid evolution had a key role in increasing the brain/body-mass ratio (also known as encephalization)[138][41] (see figure, part **a**). The fact that DHA is an important brain constituent supports the hypothesis that a shore-based diet high in DHA was indispensable for hominid encephalization. Indeed, archeological evidence shows that early hominids adapted to consuming fish and thus gained access to DHA before extensive encephalization occurred. The interplay between brain and environment is ongoing. Over the past 100 years, the intake of saturated fatty acids, linoleic acid and _trans_ fatty acids has increased dramatically in Western civilizations, whereas the consumption of omega-3 fatty acids has decreased. This might explain the elevated incidence of major depression in countries such as the United States and Germany (see figure, part **b**)[78][42]. Both photographs in part **a** ©Jeffrey H. Schwartz. Part **b** of the figure reproduced, with permission, from REF. [78][42] © (1998) Lancet Publishing Group.

![Figure 1][43]

[Figure 1][33]

**Effects of feeding on cognition**

## Internal signals and cognition

The influence of visceral signals on mental function has been appreciated since ancient times, and to this day lifestyle factors, such as diet and exercise, are used as part of therapies to reduce depression, schizophrenia and bipolar disorders. In this section I discuss the influence of vagal nerve stimulation (VNS) and gut hormones on cognition and emotion ([FIG. 1][33]).

### Effects of vagal nerve stimulation on cognition

Vagal afferents from the gastrointestinal tract are critical for monitoring various aspects of digestion, such as the release of enzymes and food absorption. The use of VNS has become a routinely approved procedure for the treatment of refractory partial-onset seizures. Based on observations that the application of VNS to patients with epilepsy was associated with improved mood, VNS was perceived as a potential treatment for depression. In humans, VNS failed to produce improvements in depression patients who participated in a short-term open trial (lasting 10 weeks)[6][44]; however, in a longer-term study (lasting 12 months), VNS produced beneficial effects that were sustained after 2 years[7][45]. Specifically, patients treated with VNS doubled their improvement per month in the Inventory of Depressive Symptoms self report relative to patients receiving treatment as usual (TAU) by itself. TAU consisted of managing treatment-resistant depression with medication or with another therapy that was deemed appropriate by the treating physician. Based on the results of the long-term studies, the US Food and Drug Administration recently approved the use of VNS for the treatment of chronic (not acute) resistant depression (see REF. [8][46] for a review). Although the mechanisms that underlie the effects of VNS on depression are not well-understood, a recent study demonstrated that VNS increases the levels of the mRNAs for brain-derived neurotrophic factor (BDNF) and fibroblast growth factor 2 (FGF2) in the rat hippocampus and cerebral cortex, as well as the level of noradrenaline in the prefrontal cortex[9][47]. As elevations of BDNF[10][48] and noradrenaline have been associated with the effects of antidepressant treatments, these findings provide insights into how signals derived from the gut can affect mood. Furthermore, on the basis that neurons of the dorsal motor nucleus of the vagus nerve retrogradely transport BDNF and other neurotrophins[11][49], it is likely that neurotrophins are involved in sensory and motor signalling from the viscera. Interestingly, a separate line of investigations indicated that the application of VNS to humans[12][50] or rodents[12][50] enhanced memory performance, suggesting that the information that is signalled to the brain by the vagus nerve might serve to influence higher-order cognitive processing.

### Gut hormones associated with cognition

In addition to the capacity of the gut to directly stimulate molecular systems that are associated with synaptic plasticity and learning, several gut hormones or peptides, such as leptin, ghrelin, glucagon-like peptide 1 (GLP1) and insulin have been found to influence emotions and cognitive processes ([FIG. 1][33]).

Leptin is synthesized in adipose tissue and sends signals to the brain to reduce appetite (see REF. [13][51] for a review). Leptin receptors have been identified in several brain areas, including the hypothalamus, the cerebral cortex and the hippocampus. The fact that leptin elevates BDNF expression in the hypothalamus suggests that BDNF might mediate the effects of leptin on food intake and energy homeostasis[14][52]. Like BDNF, leptin facilitates synaptic plasticity in the hippocampus[15][53]. Genetically obese rodents with dysfunctional leptin receptors show impairments in long-term potentiation (LTP) and long-term depression and difficulties in spatial learning[16][54]. These effects were rescued by administrating leptin into the hippocampus[15][53],[17][55]. New studies showing that leptin promotes rapid changes in hippocampal dendritic morphology suggest that leptin exerts a direct action on hippocampal plasticity[18][56].

Ghrelin is an adipogenic hormone that is secreted by an empty stomach (see REF. [19][57] for a review); it acts as an appetite stimulant in mice[20][58] and humans[21][59]. Ghrelin is the endogenous ligand of the growth hormone secretagogue receptor, which is expressed in the arcuate nucleus in the hypothalamus[22][60] and in the hippocampus[23][61]. Peripheral administration of ghrelin increases food intake in normal rodents[24][62],[25][63] and humans[26][64],[27][65], whereas chronic administration can lead to adiposity[24][62],[25][63]. Ghrelin also promotes rapid reorganization of synaptic terminals in the hypothalamus[28][66], and in the hippocampus it promotes synapse formation in dendritic spines and LTP, which are paralleled by enhanced spatial learning and memory formation[29][67].

GLP1, which is synthesized by intestinal cells, regulates energy metabolism by stimulating pancreatic insulin secretion and subsequent glucose uptake by muscle cells, and by suppressing food intake through actions on the hypothalamus. GLP1 receptors are expressed in neurons, and infusion of GLP1 into the brain has been shown to improve associative and spatial memory in rats[30][68]. Owing to their multiple actions on somatic and neural targets, ghrelin, leptin and GLP1 can integrate processes that influence cognition and emotion.

Finally, insulin, which has classically been regarded as a gut hormone that is produced in the pancreas, has also been found to alter synaptic activity and cognitive processing (see REF. [31][69] for a review). Insulin secretion is normally stimulated by the mental anticipation to meals and continues during digestion and the absorption of foods into the bloodstream. Insulin can enter the brain and interact with specific signal-transduction receptors located in discrete brain regions, such as the hippocampus. Overall, the evidence seems to indicate that the act of feeding can itself modulate cognitive processes on two levels, through neural circuits that connect the gut and the brain and through the release of gut peptides into the bloodstream ([FIG. 1][33]).

Thus, as predicted from an evolutionary perspective, the gut does influence the molecular mechanisms that determine the capacity for acquiring new memories and that control emotions, as well as overall mental function. It is not surprising that visceral signals are now recognized as essential factors for the treatment of psychiatric disorders. The challenge now is to better our understanding of the molecular mechanisms by which peripheral signals can modulate mental processes.

## From energy metabolism to cognition

The brain consumes an immense amount of energy relative to the rest of the body. Thus, the mechanisms that are involved in the transfer of energy from foods to neurons are likely to be fundamental to the control of brain function. Processes that are associated with the management of energy in neurons can affect synaptic plasticity[32][70] ([FIG. 2][71]), which could explain how metabolic disorders can affect cognitive processes. Interestingly, synaptic function can, in turn, alter metabolic energy, allowing mental processes to influence somatic function at the molecular level. BDNF is an excellent example of a signalling molecule that is intimately related to both energy metabolism and synaptic plasticity: it can engage metabolic signals to affect cognitive function[32][70]. BDNF is most abundant in brain areas that are associated with cognitive and metabolic regulation: the hippocampus and the hypothalamus, respectively[33][72]. Learning to carry out a task increases BDNF-mediated synaptic plasticity in the hippocampus[34][73],[35][74], and genetic deletion of the _BDNF_ gene impairs memory formation[36][75],[37][76]. The Met variant of the Val66Met BDNF polymorphism, a common genotype in humans that is related to abnormal trafficking and secretion of BDNF in neuronal cells[38][77], is associated with abnormal hippocampal functioning and memory processing[39][78]. In turn, BDNF has also been shown to influence multiple parameters of energy metabolism, such as appetite suppression[40][79],[41][80], insulin sensitivity [42][81],[43][82] and glucose[44][83] and lipid metabolism[45][84]. In addition, the hypothalamic melanocortin 4 receptor, which is crucial for the control of energy balance, regulates the expression of BDNF in the ventral medial hypothalamus[46][85], supporting an association between energy metabolism and synaptic plasticity. In rodents, a reduction in energy metabolism caused by infusing a high dose of vitamin D3 into the brain has been shown to abolish the effects of exercise on downstream effectors of BDNF-mediated synaptic plasticity, such as calcium/calmod-ulin-dependent protein kinase II (CaMKII), synapsin I and cyclic AMP-responsive element (CRE)-binding protein (CREB)[32][70]. In humans, a _de novo_ mutation in TrkB, a BDNF receptor, has been linked with hyperphagic obesity, as well as impairments in learning and memory [47][86]. Although energy metabolism and BDNF-mediated synaptic plasticity seem to be interconnected, further studies are crucial to determine the confines of this relationship for the modulation of cognitive function.

![Figure 2][87]

[Figure 2][71]

**Energy homeostasis and cognition**

The mechanism whereby BDNF affects metabolism and synaptic plasticity seems to involve insulin-like growth factor 1 (IGF1)[48][88]. IGF1 is synthesized in the liver, in skeletal muscle and throughout the brain, whereas brain IGF1 receptors are expressed mainly in the hippocampus[49][89]. A reduction of IGF1 signalling in rodents results in hyperglycaemia and insulin resistance, and infusion of IGF1 into the brain decreases plasma insulin levels and increases insulin sensitivity[50][90]. IGF1 also supports nerve growth and differentiation, neurotransmitter synthesis and release[51][91] and synaptic plasticity[52][92], and might contribute to sustaining cognitive function after brain insults[53][93],[54][94], diabetes[55][95] and aging[56][96]. IGF1 has been shown in rodents to entrain similar downstream pathways to BDNF, such as the Akt signalling system[57][97]. Interestingly, the omega-3 fatty acid docosahexaenoic acid (DHA) stimulates neuronal plasticity through the Akt pathway[58][98], suggesting that Akt activation might be crucial for integrating the effects of food-derived signals on brain plasticity. The phosphatidyl-inositol 3-kinase (PI3K)/Akt/mammalian target of rapamycin (mTOR) signalling pathway seems to integrate the effects of BDNF and IGF1 on energy metabolism, synaptic plasticity, and learning and memory ([FIG. 3][99]).

![Figure 3][100]

[Figure 3][99]

**Dietary omega-3 fatty acids can affect synaptic plasticity and cognition**

Disturbances in energy homeostasis have been linked to the pathobiology of several mental diseases, and so dietary management is becoming a realistic strategy to treat psychiatric disorders. Numerous studies have found that there might be an association between abnormal metabolism (diabetes type II, obesity and metabolic syndrome) and psychiatric disorders[59][101]. In a large study of patients with manic depression[60][102] or schizophrenia[61][103],[62][104], the rate of diabetes was found to be higher than in the general population (1.2% of people aged 18–44 years and 6.3% of people aged 45–64 years[163][105]). The overall prevalence of diabetes in a group of 95 patients with schizophrenia was 15.8%, and this increased to 18.9% with age[61][103], whereas diabetes in 203 patients with manic depression ranged from 2.9% in patients of approximately 30 years of age to 25% in patients of 75–79 years of age[60][102]. However, it is difficult to ascertain a cause–effect relationship between diabetes and psychiatric disorders in these studies given that schizophrenia, manic depression and other psychiatric disorders are associated with poor quality of life and the side effects of anti-psychotic medication. On the basis of its effects on synaptic plasticity and energy metabolism, BDNF has been the focus of research into current hypotheses of schizophrenia and depression[63][106]–[66][107]. Low levels of BDNF in the plasma are associated with impaired glucose metabolism and type II diabetes[67][108], and BDNF is reduced in the hippocampus, in various cortical areas[68][109] and in the serum[69][110] of patients with schizophrenia. In mice, genetic deletion of the TrkB receptor in the forebrain produces schizophrenic-like behaviour[70][111]. Furthermore, BDNF levels are reduced in the plasma of patients with major depression[71][112], and chronic administration of antidepressants elevates hippocampal BDNF levels[72][113]. A recent study in rodents demonstrated that defeat stress, an animal model of depression, induced a lasting repression of BDNF transcripts, whereas antidepressant treatment reversed this repression by inducing histone acetylation[73][114]. Although the evidence is not conclusive to argue that BDNF has a role in mediating depression or schizophrenia, it is becoming clear that most treatments for depression or schizophrenia — that is, exercise and drugs — involve the action of BDNF.

## Effects of nutrients on cognition

Several dietary components have been identified as having effects on cognitive abilities ([TABLE 1][115]). Dietary factors can affect multiple brain processes by regulating neurotransmitter pathways, synaptic transmission, membrane fluidity and signal-transduction pathways. This section focuses on recent evidence that shows the capacity of nutrients to affect neural pathways that are associated with synaptic plasticity.

![Table 1][116]

[Table 1][115]

Select nutrients that affect cognitive function

Dietary lipids, which were originally thought to affect the brain through their effects on cardiovascular physiology, are garnering recognition for their direct actions on the brain. Omega-3 polyunsaturated fatty acids are normal constituents of cell membranes and are essential for normal brain function ([FIG. 3][99]). In spite of the large variability in the design of experiments to evaluate the action of different dietary elements on cognitive abilities, there is a general consensus that a deficiency of omega-3 fatty acids in rodents results in impaired learning and memory[74][117],[75][118]. Dietary deficiency of omega-3 fatty acids in humans has been associated with increased risk of several mental disorders, including attention-deficit disorder, dyslexia, dementia, depression, bipolar disorder and schizophrenia[76][119]–[80][120]. As the omega-3 fatty acid DHA is a prominent component of neuronal membranes, and as the human body is inefficient in synthesizing DHA, we are reliant on dietary DHA. Some of the mechanisms by which DHA affects brain plasticity and cognition are starting to be elucidated. For example, DHA dietary supplementation has been found to elevate levels of hippocampal BDNF and enhance cognitive function in rodent models of brain trauma[81][121]. DHA might enhance cognitive abilities by facilitating synaptic plasticity and/or enhancing synaptic membrane fluidity; it might also act through its effects on metabolism, as DHA stimulates glucose utilization[82][122] and mitochondrial function[83][123], reducing oxidative stress (OS)[81][121].

Most of the studies in humans have been directed at evaluating the effects of omega-3 fatty acids on reducing the cognitive deficit that is associated with psychiatric disorders. Several other, widely publicized, attempts to determine the effects of omega-3 fatty acid supplementation on the performance of school children have been carried out. A randomized double-blind controlled trial in which half of the children received omega-3 fatty acids and the other half received placebos is being conducted across several schools in Durham, UK[84][124]. Previous studies from the same investigators showed that omega-3 fatty acid supplementation was associated with reduced cognitive deficits (in reading and spelling, and teaching-rated behaviour) in children affected with developmental coordination disorder — that is, in children with specific impairments of motor function that are independent of their motor ability [85][125]. In the new studies, children were selected on the basis that “they were not fulfilling their potential at school” but their general ability was deemed “normal”, and they were subjected to regular tests to measure their coordination, concentration and academic ability. According to preliminary results[84][124], some level of improvement in school performance was observed in the group receiving omega-3 fatty acids, unleashing a flurry of speculations from the media. Although the results of the Durham study require scientific scrutiny for validation, they seem to agree with those of another study[86][126] in which omega-3 fatty acids (DHA 88 mg per day and eicosapentaenoic acid (EPA) 22 mg per day) and micro-nutrients (iron, zinc, folate and vitamins A, B6, B12 and C) were provided in a drink mix to 396 children (6–12 years of age) in Australia and 394 children in Indonesia. The results showed higher scores on tests that measured verbal intelligence and learning and memory after 6 and 12 months in both boys and girls in Australia, but in only girls in Indonesia. Although these results are consistent with described roles of omega-3 fatty acids during brain development and cognition[87][127], it is plausible that the other dietary supplements that were present in the cocktail could have contributed to the behavioural effects. This would suggest that select dietary components might act in an additive fashion.

In contrast to the healthy effects of diets that are rich in omega-3 fatty acids, epidemiological studies indicate that diets with high contents of _trans_ and saturated fats adversely affect cognition[3][30]. Rodent studies that evaluated the effects of “junk food”, characterized by high contents of saturated fat and sucrose, have shown a decline in cognitive performance and reduced hippocampal levels of BDNF-related synaptic plasticity after only 3 weeks of dietary treatment[4][31]. These findings suggest that the diet had a direct effect on neurons that was independent of insulin resistance or obesity. More alarming is the fact that this diet elevated the neurological burden that was associated with experimental brain injury, as evidenced by worse performance in learning tasks and a reduction of BDNF-mediated synaptic plasticity [88][128]. Evidence that the antioxidants curcumin and vitamin E counteracted the effects of the diet suggests that increased OS might mediate the effects of the diet on plasticity [89][129],[90][130].

Flavonols are part of the flavonoid family that is found in various fruits, cocoa, beans and the _Ginkgo biloba_ tree. Although the antioxidant effects of flavonols are well established _in vitro_, there is general agreement that flavonols have more complex actions _in vivo_ that require further investigation. The flavonol quercetin, a major component of _G. biloba_ extracts, has been shown to reduce learning and memory impairment in cerebral ischaemic rodents[91][131]. Dietary supplementation with the plant-derived flavanol (−) epicathechin, which has been shown to cross the blood–brain barrier, elevated indices of synaptic spine density and angiogenesis and increased hippocampus-dependent memory in mice[92][132]. More interestingly, the positive effects of (−) epicathechin dietary supplementation on memory formation in this study were found to be further enhanced by concomitant exercise (see [BOX 2][133]).

### Box 2Additive effects of diet and exercise on synaptic plasticity and cognition

![An external file that holds a picture, illustration, etc.
Object name is nihms162299u2.jpg][134]

Recent studies have shown a cooperative action of diet and exercise at the molecular level, which could influence cognitive abilities. In addition to its capacity to benefit overall health, numerous studies have shown that exercise enhances learning and memory under a variety of conditions (for reviews see REFS [139][135], [140][136]). In humans, exercise has been shown to counteract the mental decline that is associated with aging[141][137], enhance the mental capacity of young adults[142][138] and facilitate functional recovery after brain injury or disease[131][139]. Studies that showed that exercise promotes neurogenesis in the brain of adult rodents[143][140] and humans[144][141] have introduced the possibility that new proliferating neurons might contribute to the effects of exercise on enhancing learning and memory. In rodents, exercise (Exc) and docosahexaenoic acid (DHA) dietary supplementation combined (DHA+Exc) had a greater effect on brain-derived neurotrophic factor (BDNF)-mediated synaptic plasticity (see figure, part **a**, blue bars) and cognition (spatial learning ability, yellow bars) than either factor alone[132][142], highlighting the potential of this approach for treating brain injuries. Similarly, the combination of a flavonoid-enriched diet and exercise increased the expression of genes that have a positive effect on neuronal plasticity and decreased the expression of genes that are involved in deleterious processes, such as inflammation and cell death[92][132]. Exercise has also been proven to be effective at reducing the deleterious effects of unhealthy diets, such as those that are high in saturated fat and sucrose (HF) (see figure, part **b**)[4][31]. Molecules that could explain the synergistic effects of diet and exercise include BDNF, which has emerged as an important factor for translating the effects of exercise on synaptic plasticity and cognitive function[132][142],[145][143], and several molecules that are associated with the action of BDNF on synaptic function, such as synapsin I, calcium/calmodulin-dependent protein kinase II (CaMKII) and cyclic AMP-responsive element (CRE)-binding protein (CREB). A comprehensive evaluation of how diet interacts with other lifestyle factors is important for determining the best way to enhance brain function and mental health.

Folate or folic acid is found in various foods, including spinach, orange juice and yeast. The liver generates several forms of folate after the intestine has absorbed vitamin B. Folate deficiency, which is mostly caused by low dietary intake, has been associated with a number of physiological abnormalities during development and adulthood[93][144]. Adequate levels of folate are essential for brain function, and folate deficiency can lead to neurological disorders, such as depression[94][145] and cognitive impairment. Folate supplementation either by itself [95][146],[96][147] or in conjunction with other B vitamins[97][148],[98][149] has been shown to be effective at preventing cognitive decline and dementia during aging, and at potentiating the effects of antidepressants[99][150]. The results of a recent randomized clinical trial indicated that a 3-year folic acid supplementation can help to reduce the age-related decline in cognitive function[100][151]. These studies, however, have sparked further debate in the scientific community that age, vitamin B12 status, genetic makeup, the presence of existing medical conditions and the current drug programme of patients receiving folic acid are important factors to be taken into consideration to reduce undesirable secondary effects, such as anaemia, low immune function and cancer[101][152]. The effects of other nutrients on cognition are summarized in [TABLE 1][115].

## Caloric intake and cognition

### Caloric restriction

Altering the caloric content of the diet is a potential means by which to affect cognitive capacity. New research indicates that metabolic processes that are initiated by the burning of fuels in mitochondria can modulate select aspects of synaptic plasticity and hence have the potential to affect cognitive function ([FIG. 2][71]). Certain mechanisms that regulate cell metabolism are integrated with mechanisms that modulate synaptic function. For example, excess calories can reduce synaptic plasticity[32][70],[102][153] and increase the vulnerability of cells to damage[103][154] by causing free-radical formation that surpasses the buffering capacity of the cell. Moderate caloric restriction could thus protect the brain by reducing oxidative damage to cellular proteins, lipids and nucleic acids[104][155]. Studies in rodents indicate that elevated OS decreases BDNF-mediated synaptic plasticity and cognitive function[32][70],[102][153]. Caloric restriction also elevates levels of BDNF[105][156],[106][157], suggesting that BDNF might mediate the effects of low caloric intake on synaptic plasticity. Reducing caloric intake to approximately 40% of control nominal values in mice from weaning to 35 months of age decreases the deficits in motor and cognitive function that are associated with aging[107][158]. Alternate-day feeding ameliorates age-related deficits in cognitive function in a mouse model of Alzheimer’s disease when the feeding programme is maintained between 3 and 17 months of age[108][159].

According to the ‘thrifty-gene’ hypothesis, our genome has adapted through thousands of years of evolution to profit from nominal amounts of calories in order to cope with limited food resources[109][160]. A standing concern in the field has been how caloric intake or meal frequency affects energy metabolism and health in humans. Recent studies in middle-aged men and women have established that alterations in meal frequency, without a reduction in energy intake, result in unchanged levels of several metabolic parameters, such as glucose, insulin, leptin and BDNF[110][161]. However, another study in which subjects were maintained on an alternate-day caloric-restriction diet over a 2-month period resulted in weight loss and improved cardiovascular-disease and diabetes-risk profiles[111][162]. The apparent discrepancy between these two studies suggests that the number of calories seems to be a crucial factor for the physiological effects, such that controlled meal skipping or intermittent caloric restriction might have health benefits in humans. However, further preclinical information is required for the design of therapeutic applications, so caution should be exerted in the interpretation of these studies to avoid misconceptions such as the belief that a low-calorie diet might be sufficient to promote health. This view disregards the fact that the nutritional balance of the diet is a vital requirement for the potential health benefits of low-calorie diets. It will be of considerable interest to determine how these dietary manipulations can affect other physiological parameters, such as hormonal profiles and immune-system status, which are crucial for assessing the benefits of restricted caloric intake for therapeutic purposes.

### Antioxidant foods

The brain is highly susceptible to oxidative damage because of its high metabolic load and its abundance of oxidizable material, such as the poly-unsaturated fatty acids that form the plasma membranes of neural cells. Several ‘anti-oxidant diets’ have become popular for their publicized positive effects on neural function. Berries, for example, have been shown to have strong antioxidant capacity, but only a limited number of their many components have been evaluated separately: two tannins (procyanidin and prodelphinidin), anthocyanins and phenolics (see REF. [112][163] for a review). In rats, polyphenols have been shown to increase hippocampal plasticity (as measured by increases in HSP70 (REF. [113][164]) and IGF1 (REF. [114][165])), to provide protection against kainate-induced damage[115][166] and to benefit learning and memory performance[114][165]. It is not clear how berry extracts can benefit plasticity and cognition, but their effects are probably associated with their ability to maintain metabolic homeostasis, as this would protect membranes from lipid peroxidation and affect synaptic plasticity.

Various micronutrients with an anti-oxidant capacity that has been associated with mitochodrial activity have been shown to influence cognitive function. Alpha lipoic acid, which is found in meats such as kidney, heart and liver, and vegetables such as spinach, broccoli and potatoes, is a coenzyme that is important for maintaining energy homeostasis in mitochondria[116][167]. Alpha lipoic acid has been shown to improve memory deficits in animal models of Alzheimer’s disease[117][168] and to reduce cognitive decay in a small group of patients with Alzheimer’s disease[118][169]. Vitamin E, or α-tocopherol, has also been implicated in cognitive performance, as decreasing serum levels of vitamin E were associated with poor memory performance in older individuals[119][170]. Vitamin E is abundant in vegetable oils, nuts, green leafy vegetables and fortified cereals, and has been shown to extend lifespan and improve mitochondrial function and neurological performance in aging mice[120][171]. The mechanisms by which vitamin E can affect cognition are not well-understood, but they are likely to be related to the putative capacity of antioxidants to support synaptic plasticity[102][153] by protecting synaptic membranes from oxidation. Finally, the curry spice curcumin, a traditional food preservative and medicinal herb in India[121][172],[122][173], has been shown to reduce memory deficits in animal models of Alzheimer’s disease[123][174] and brain trauma[89][129]. Curcumin is relatively non-toxic and has few side effects at doses greater than the low dose that has been tested in mice[122][173]. Given the high consumption of curcumin in India, it is possible that it might contribute to the low prevalence of Alzheimer’s disease in that country[124][175]. Curcumin is a strong antioxidant that seems to protect the brain from lipid peroxidation[125][176] and nitric-oxide-based radicals[126][177].

## Diet and epigenetics

A number of innovative studies are pointing to the exciting possibility that the effects of diet on mental health can be transmitted across generations. The results of these studies indicate the importance of dietary components in influencing epigenetic events — that is, non-genetic events, such as DNA methylation, transcriptional activation, translational control and post-translational modifications that cause a potentially heritable phenotypic change — and, thus, their potential for disease modulation. The results of a longitudinal study that included more than 100 years of birth, death, health and genealogical records of 300 Swedish families in an isolated village showed that an individual’s risk for diabetes and early death was increased if their paternal grandparents grew up in times of food abundance rather than times of food shortage[164][178]. Although the molecular mechanisms for the influence of diet on epigenetics are unknown, it is known that the BDNF system is particularly susceptible to epigenetic modifications that influence cognitive function[127][179]. Chromatin modifications at specific BDNF promoters determine the differential expression of discrete BDNF splice variants. Such modifications have been observed in Alzheimer’s disease[128][180] and can also be elicited by particular antidepressant drugs[73][114]. Accordingly, it is likely that the various BDNF splice variants have differential effects on neuronal plasticity and cognition (see REF. [65][181] for a review). Neural activity dissociates methyl-CpG-binding protein 2 (MECP2) from its latent location at BDNF promoter III, enabling transcription of BDNF[129][182]. A recent study in a rodent model of depression demonstrated that depressive manifestations and subsequent antidepressant treatment are associated with sustained changes in histone acetylation and methylation at BDNF promoter III[73][114].

These studies represent a starting point for understanding how intracellular signalling that is triggered by lifestyle factors can promote lasting changes in DNA function in the brain and in cognitive capacity. Silent information regulator 2 (SIRT2), a member of the sirtuin protein family, has emerged as an important modulator of genomic stability and cellular homeostasis that seems to act by silencing the function of specific genes. A diet that is high in saturated fat reduces the expression of SIRT2 in the rat hippocampus[90][130], whereas a diet that is high in omega-3 fatty acids has the opposite effect[2][29]. Although the mechanisms that are involved in the regulation of SIRT2 by dietary factors require further investigation, the fact that energy metabolism is involved in the modulation of SIRT2 (as with BDNF) can provide a link for the influence of dietary factors on long-term genomic stability. Interestingly, a recent study in humans examined the association between _SIRT1_ (homologous to the rat _Sirt2_ gene) gene polymorphisms and cognition[130][183]. In this study, 1,245 inhabitants of Leiden (in the Netherlands) who were at least 85 years old were genotyped for 5 _SIRT1_ polymorphisms during a period of 4.4 years. Those who were homozygous for one of the polymorphisms that affected the _SIRT1_ promoter region showed better preservation on all measurements of cognitive function than the others. Findings that SIRT2 protein is present in rodent hippocampal tissue[2][29] and that _S_IRT2 function is involved in the maintenance of energy homeostasis could provide clues to how _SIRT1_ might relate to cognitive function.

## Conclusions and future directions

Diet, exercise and other aspects of our daily interaction with the environment have the potential to alter our brain health and mental function. We now know that particular nutrients influence cognition by acting on molecular systems or cellular processes that are vital for maintaining cognitive function. This raises the exciting possibility that dietary manipulations are a viable strategy for enhancing cognitive abilities and protecting the brain from damage, promoting repair and counteracting the effects of aging. Emerging research indicates that the effects of diet on the brain are integrated with the actions of other lifestyle modalities, such as exercise (see [BOX 2][133]) and sleep[131][139],[132][142]. The combined action of particular diets and exercise on the activation of molecular systems that are involved in synaptic plasticity has strong implications for public health and the design of therapeutic interventions. Owing to the encouraging results of clinical and preclinical studies that showed the beneficial effects of foods on the brain, the topic has attracted substantial media attention. Some of the information that has been conveyed has been hazy or exaggerated, and has contributed to people’s apprehension of taking advantage of scientific advances. As discussed, several dietary components have been found to have positive effects on cognition; however, caution is required, as a balanced diet is still the stepping-stone for any dietary supplementation. By the same token, popular dietary prescriptions that might help to reduce weight do not necessarily benefit the physiology of the body or the mind.

Brain networks that are associated with the control of feeding are intimately associated with those that are involved in processing emotions, reward and cognition. A better understanding of how these networks interact will probably produce fundamental information for the development of strategies to reduce food addiction and obesity, a major social and economic burden in Western society. It is encouraging that modern psychiatry has started to appraise the implementation of some of these concepts for the treatment of various mental disorders. For example, a consensus report from the American Psychiatric Association’s Committee on Research on Psychiatric Treatments has provided general guiding principles for the use of omega-3 fatty acids for the treatment of mood disorders[80][120].

The fact that dietary factors and other aspects of lifestyle have an effect on a long-term timescale contributes to an under-estimation of their importance for public health. Accordingly, the slow and imperceptible cognitive decay that characterizes normal aging is within the range-of-action of brain foods, such that successful aging is an achievable goal for dietary therapies. The capacity of diet to modulate cognitive abilities might have even longer-term implications in light of recent studies that imply that nutritional effects might be transmitted over generations by influencing epigenetic events. Research indicating that an excessive intake of calories might negate the positive effects of certain diets suggests that there is an undefined line between abundance of foods and neural health. Ironically, judging by the increasing rate of obesity in Western countries, which affects individual’s health and the economy as a whole, the excessive food intake in these wealthy nations seems to be almost as harmful as the lack of it in poor countries. It is intriguing that several countries with limited resources, such as India, have a reduced prevalence of neurological disorders that have been associated with diet, such as Alzheimer’s disease. This raises the concern of whether industrialized societies are consuming a balanced diet that takes into consideration appropriate numbers of calories as well as appropriate nutrients and adequate levels of exercise. Many practical questions regarding the design of diets to specifically improve brain function, such as type, frequency and amount of nutrients that constitute healthy brain food, remain to be answered, but we are beginning to uncover the basic principles that are involved in the actions of foods on the brain. Incorporating this knowledge into the design of novel treatments could be vital to combating mental diseases and neurological weaknesses.

## Acknowledgments

In the elaboration of this article, I greatly benefited from inspirational discussions with G. Cole, I. Cook, R. Edgerton, T. Jones and D. Glanzman. I would also like to thank A. She and S. Kim for valuable editorial assistance. I am thankful to the reviewers for their constructive feedback, and to the National Institute of Neurological Disorder and Stroke (NS50465) for funding support.

## Footnotes

**DATABASES**

Entrez Gene:<http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?db=gene>Akt | BDNF | CaMKII | CREB | FGF2 | ghrelin | GLP1 | HSP70 |IGF1 | leptin | MECP2 | mTOR | Sirt 2 | SIRT1 | TrkB

**FURTHER INFORMATION**

Fernando Gomez-Pinilla's homepages:<http://www.physci.ucla.edu/research/GomezPinilla/><http://faculty.neuroscience.ucla.edu/institution/personnel?personnel%5fid=45774>

All links are active in the online pdf

## References

1\. McCann JC, Ames BN. Is docosahexaenoic acid, an n-3 long-chain polyunsaturated fatty acid, required for development of normal brain function? An overview of evidence from cognitive and behavioral tests in humans and animals. Am J Clin Nutr. 2005;82:281–295. [[PubMed][184]]

2\. Wu A, Ying Z, Gomez-Pinilla F. Omega-3 fatty acids supplementation restores mechanisms that maintain brain homeostasis in traumatic brain injury. J Neurotrauma. 2007;24:1587–1595. [[PubMed][185]]

3\. Greenwood CE, Winocur G. High-fat diets, insulin resistance and declining cognitive function. Neurobiol Aging. 2005;26 (Suppl 1):42–45. [[PubMed][186]]

4\. Molteni R, Barnard JR, Ying Z, Roberts CK, Gomez-Pinilla F. A high-fat, refined sugar diet reduces hippocampal brain-derived neurotrophic factor, neuronal plasticity, and learning. Neuroscience. 2002;112:803–814. [[PubMed][187]]

5\. Pessoa L. On the relationship between emotion and cognition. Nature Rev Neurosci. 2008;9:148–158. [[PubMed][188]]

6\. Rush AJ, et al. Vagus nerve stimulation for treatment-resistant depression: a randomized, controlled acute phase trial. Biol Psychiatry. 2005;58:347–354. [[PubMed][189]]

7\. Nahas Z, et al. Two-year outcome of vagus nerve stimulation (VNS) for treatment of major depressive episodes. J Clin Psychiatry. 2005;66:1097–1104. [[PubMed][190]]

8\. George MS, et al. Brain stimulation for the treatment of psychiatric disorders. Curr Opin Psychiatry. 2007;20:250–254. [[PubMed][191]]

9\. Follesa P, et al. Vagus nerve stimulation increases norepinephrine concentration and the gene expression of BDNF and bFGF in the rat brain. Brain Res. 2007;1179:28–34. [[PubMed][192]]

10\. Nibuya M, Morinobu S, Duman RS. Regulation of BDNF and trkB mRNA in rat brain by chronic electroconvulsive seizure and antidepressant drug treatments. J Neurosci. 1995;15:7539–7547. [[PubMed][193]]

11\. Helke CJ, et al. Axonal transport of neurotrophins by visceral afferent and efferent neurons of the vagus nerve of the rat. J Comp Neurol. 1998;393:102–117. [[PubMed][194]]

12\. Clark KB, Naritoku DK, Smith DC, Browning RA, Jensen RA. Enhanced recognition memory following vagus nerve stimulation in human subjects. Nature Neurosci. 1999;2:94–98. [[PubMed][195]]

13\. Harvey J. Leptin regulation of neuronal excitability and cognitive function. Curr Opin Pharmacol. 2007;7:643–647. [[PMC free article][196]] [[PubMed][197]]

14\. Komori T, Morikawa Y, Nanjo K, Senba E. Induction of brain-derived neurotrophic factor by leptin in the ventromedial hypothalamus. Neuroscience. 2006;139:1107–1115. [[PubMed][198]]

15\. Shanley LJ, Irving AJ, Harvey J. Leptin enhances NMDA receptor function and modulates hippocampal synaptic plasticity. J Neurosci. 2001;21:RC186. [[PubMed][199]]

16\. Li XL, et al. Impairment of long-term potentiation and spatial memory in leptin receptor-deficient rodents. Neuroscience. 2002;113:607–615. [[PubMed][200]]

17\. Wayner MJ, Armstrong DL, Phelix CF, Oomura Y. Orexin-A (Hypocretin-1) and leptin enhance LTP in the dentate gyrus of rats _in vivo_. Peptides. 2004;25:991–996. [[PubMed][201]]

18\. O’Malley D, et al. Leptin promotes rapid dynamic changes in hippocampal dendritic morphology. Mol Cell Neurosci. 2007;35:559–572. [[PMC free article][202]] [[PubMed][203]]

19\. van der Lely AJ, Tschop M, Heiman ML, Ghigo E. Biological, physiological, pathophysiological, and pharmacological aspects of ghrelin. Endocr Rev. 2004;25:426–457. [[PubMed][204]]

20\. Asakawa A, et al. Antagonism of ghrelin receptor reduces food intake and body weight gain in mice. Gut. 2003;52:947–952. [[PMC free article][205]] [[PubMed][206]]

21\. Cummings DE, et al. A preprandial rise in plasma ghrelin levels suggests a role in meal initiation in humans. Diabetes. 2001;50:1714–1719. [[PubMed][207]]

22\. Shuto Y, et al. Generation of polyclonal antiserum against the growth hormone secretagogue receptor (GHS-R): evidence that the GHS-R exists in the hypothalamus, pituitary and stomach of rats. Life Sci. 2001;68:991–996. [[PubMed][208]]

23\. Guan XM, et al. Distribution of mRNA encoding the growth hormone secretagogue receptor in brain and peripheral tissues. Brain Res Mol Brain Res. 1997;48:23–29. [[PubMed][209]]

24\. Tschop M, Smiley DL, Heiman ML. Ghrelin induces adiposity in rodents. Nature. 2000;407:908–913. [[PubMed][210]]

25\. Wren AM, et al. The novel hypothalamic peptide ghrelin stimulates food intake and growth hormone secretion. Endocrinology. 2000;141:4325–4328. [[PubMed][211]]

26\. Druce MR, et al. Subcutaneous administration of ghrelin stimulates energy intake in healthy lean human volunteers. Int J Obes (Lond) 2006;30:293–296. [[PubMed][212]]

27\. Wren AM, et al. Ghrelin enhances appetite and increases food intake in humans. J Clin Endocrinol Metab. 2001;86:5992. [[PubMed][213]]

28\. Pinto S, et al. Rapid rewiring of arcuate nucleus feeding circuits by leptin. Science. 2004;304:110–115. [[PubMed][214]]

29\. Diano S, et al. Ghrelin controls hippocampal spine synapse density and memory performance. Nature Neurosci. 2006;9:381–388. [[PubMed][215]]

30\. During MJ, et al. Glucagon-like peptide-1 receptor is involved in learning and neuroprotection. Nature Med. 2003;9:1173–1179. [[PubMed][216]]

31\. McNay EC. Insulin and ghrelin: peripheral hormones modulating memory and hippocampal function. Curr Opin Pharmacol. 2007;7:628–632. [[PubMed][217]]

32\. Vaynman S, Ying Z, Wu A, Gomez-Pinilla F. Coupling energy metabolism with a mechanism to support brain-derived neurotrophic factor-mediated synaptic plasticity. Neuroscience. 2006;139:1221–1234. [[PubMed][218]]

33\. Nawa H, Carnahan J, Gall C. BDNF protein measured by a novel enzyme immunoassay in normal brain and after seizure: partial disagreement with mRNA levels. Eur J Neurosci. 1995;7:1527–1535. [[PubMed][219]]

34\. Kesslak JP, So V, Choi J, Cotman CW, Gomez-Pinilla F. Learning upregulates brain-derived neurotrophic factor messenger ribonucleic acid: a mechanism to facilitate encoding and circuit maintenance? Behav Neurosci. 1998;112:1012–1019. [[PubMed][220]]

35\. Hall J, Thomas KL, Everitt BJ. Rapid and selective induction of BDNF expression in the hippocampus during contextual learning. Nature Neurosci. 2000;3:533–535. [[PubMed][221]]

36\. Linnarsson S, Bjorklund A, Ernfors P. Learning deficit in BDNF mutant mice. Eur J Neurosci. 1997;9:2581–2587. [[PubMed][222]]

37\. Ma YL, Wang HL, Wu HC, Wei CL, Lee EH. Brain-derived neurotrophic factor antisense oligonucleotide impairs memory retention and inhibits long-term potentiation in rats. Neuroscience. 1998;82:957–967. [[PubMed][223]]

38\. Chen ZY, et al. Variant brain-derived neurotrophic factor (BDNF) (Met66) alters the intracellular trafficking and activity-dependent secretion of wild-type BDNF in neurosecretory cells and cortical neurons. J Neurosci. 2004;24:4401–4411. [[PubMed][224]]

39\. Egan MF, et al. The BDNF val66met polymorphism affects activity-dependent secretion of BDNF and human memory and hippocampal function. Cell. 2003;112:257–269. [[PubMed][225]]

40\. Kernie SG, Liebl DJ, Parada LF. BDNF regulates eating behavior and locomotor activity in mice. EMBO J. 2000;19:1290–1300. [[PMC free article][226]] [[PubMed][227]]

41\. Lyons WE, et al. Brain-derived neurotrophic factor-deficient mice develop aggressiveness and hyperphagia in conjunction with brain serotonergic abnormalities. Proc Natl Acad Sci USA. 1999;96:15239–15244. [[PMC free article][228]] [[PubMed][229]]

42\. Pelleymounter MA, Cullen MJ, Wellman CL. Characteristics of BDNF-induced weight loss. Exp Neurol. 1995;131:229–238. [[PubMed][230]]

43\. Nakagawa T, et al. Brain-derived neurotrophic factor (BDNF) regulates glucose and energy metabolism in diabetic mice. Diabetes Metab Res Rev. 2002;18:185–191. [[PubMed][231]]

44\. Tonra JR, et al. Brain-derived neurotrophic factor improves blood glucose control and alleviates fasting hyperglycemia in C57BLKS-Leprdb/leprdb mice. Diabetes. 1999;48:588–594. [[PubMed][232]]

45\. Tsuchida A, et al. Brain-derived neurotrophic factor ameliorates lipid metabolism in diabetic mice. Diabetes Obes Metab. 2002;4:262–269. [[PubMed][233]]

46\. Xu B, et al. Brain-derived neurotrophic factor regulates energy balance downstream of melanocortin-4 receptor. Nature Neurosci. 2003;6:736–742. [[PMC free article][234]] [[PubMed][235]]

47\. Yeo GS, et al. A _de novo_ mutation affecting human TrkB associated with severe obesity and developmental delay. Nature Neurosci. 2004;7:1187–1189. [[PubMed][236]]

48\. Ding Q, Vaynman S, Akhavan M, Ying Z, Gomez-Pinilla F. Insulin-like growth factor I interfaces with brain-derived neurotrophic factor-mediated synaptic plasticity to modulate aspects of exercise-induced cognitive function. Neuroscience. 2006;140:823–833. [[PubMed][237]]

49\. Islam A, et al. Changes in IGF-1 receptors in the hippocampus of adult rats after long-term adrenalectomy: receptor autoradiography and _in situ_ hybridization histochemistry. Brain Res. 1998;797:342–346. [[PubMed][238]]

50\. Foster LA, Ames NK, Emery RS. Food intake and serum insulin responses to intraventricular infusions of insulin and IGF-I. Physiol Behav. 1991;50:745–749. [[PubMed][239]]

51\. Anlar B, Sullivan KA, Feldman EL. Insulin-like growth factor-I and central nervous system development. Horm Metab Res. 1999;31:120–125. [[PubMed][240]]

52\. Torres-Aleman I. Insulin-like growth factors as mediators of functional plasticity in the adult brain. Horm Metab Res. 1999;31:114–119. [[PubMed][241]]

53\. Saatman KE, et al. Insulin-like growth factor-1 (IGF-1) improves both neurological motor and cognitive outcome following experimental brain injury. Exp Neurol. 1997;147:418–427. [[PubMed][242]]

54\. Carro E, Trejo JL, Busiguina S, Torres-Aleman I. Circulating insulin-like growth factor I mediates the protective effects of physical exercise against brain insults of different etiology and anatomy. J Neurosci. 2001;21:5678–5684. [[PubMed][243]]

55\. Lupien SB, Bluhm EJ, Ishii DN. Systemic insulin-like growth factor-I administration prevents cognitive impairment in diabetic rats, and brain IGF regulates learning/memory in normal adult rats. J Neurosci Res. 2003;74:512–523. [[PubMed][244]]

56\. Markowska AL, Mooney M, Sonntag WE. Insulin-like growth factor-1 ameliorates age-related behavioral deficits. Neuroscience. 1998;87:559–569. [[PubMed][245]]

57\. Johnson-Farley NN, Patel K, Kim D, Cowen DS. Interaction of FGF-2 with IGF-1 and BDNF in stimulating Akt, ERK, and neuronal survival in hippocampal cultures. Brain Res. 2007;1154:40–49. [[PMC free article][246]] [[PubMed][247]]

58\. Akbar M, Calderon F, Wen Z, Kim HY. Docosahexaenoic acid: a positive modulator of Akt signaling in neuronal survival. Proc Natl Acad Sci USA. 2005;102:10858–10863. [[PMC free article][248]] [[PubMed][249]]

59\. Sacks FM. Metabolic syndrome: epidemiology and consequences. J Clin Psychiatry. 2004;65 (Suppl 18):3–12. [[PubMed][250]]

60\. Lilliker SL. Prevalence of diabetes in a manic-depressive population. Compr Psychiatry. 1980;21:270–275. [[PubMed][251]]

61\. Mukherjee S, Decina P, Bocola V, Saraceni F, Scapicchio PL. Diabetes mellitus in schizophrenic patients. Compr Psychiatry. 1996;37:68–73. [[PubMed][252]]

62\. Dixon L, et al. Prevalence and correlates of diabetes in national schizophrenia samples. Schizophr Bull. 2000;26:903–912. [[PubMed][253]]

63\. Angelucci F, Brene S, Mathe AA. BDNF in schizophrenia, depression and corresponding animal models. Mol Psychiatry. 2005;10:345–352. [[PubMed][254]]

64\. Nestler EJ, et al. Neurobiology of depression. Neuron. 2002;34:13–25. [[PubMed][255]]

65\. Martinowich K, Manji H, Lu B. New insights into BDNF function in depression and anxiety. Nature Neurosci. 2007;10:1089–1093. [[PubMed][256]]

66\. Duman RS. Synaptic plasticity and mood disorders. Mol Psychiatry. 2002;7 (Suppl 1):S29–S34. [[PubMed][257]]

67\. Krabbe KS, et al. Brain-derived neurotrophic factor (BDNF) and type 2 diabetes. Diabetologia. 2007;50:431–438. [[PubMed][258]]

68\. Durany N, et al. Brain-derived neurotrophic factor and neurotrophin 3 in schizophrenic psychoses. Schizophr Res. 2001;52:79–86. [[PubMed][259]]

69\. Toyooka K, et al. Decreased levels of brain-derived neurotrophic factor in serum of chronic schizophrenic patients. Psychiatry Res. 2002;110:249–257. [[PubMed][260]]

70\. Zorner B, et al. Forebrain-specific trkB-receptor knockout mice: behaviorally more hyperactive than “depressive” Biol Psychiatry. 2003;54:972–982. [[PubMed][261]]

71\. Karege F, et al. Decreased serum brain-derived neurotrophic factor levels in major depressed patients. Psychiatry Res. 2002;109:143–148. [[PubMed][262]]

72\. Chen B, Dowlatshahi D, MacQueen GM, Wang JF, Young LT. Increased hippocampal BDNF immunoreactivity in subjects treated with antidepressant medication. Biol Psychiatry. 2001;50:260–265. [[PubMed][263]]

73\. Tsankova NM, et al. Sustained hippocampal chromatin regulation in a mouse model of depression and antidepressant action. Nature Neurosci. 2006;9:519–525. [[PubMed][264]]

74\. Bourre JM, et al. The effects of dietary α-linolenic acid on the composition of nerve membranes, enzymatic activity, amplitude of electrophysiological parameters, resistance to poisons and performance of learning tasks in rats. J Nutr. 1989;119:1880–1892. [[PubMed][265]]

75\. Moriguchi T, Greiner RS, Salem N., Jr Behavioral deficits associated with dietary induction of decreased brain docosahexaenoic acid concentration. J Neurochem. 2000;75:2563–2573. [[PubMed][266]]

76\. Adams PB, Lawson S, Sanigorski A, Sinclair AJ. Arachidonic acid to eicosapentaenoic acid ratio in blood correlates positively with clinical symptoms of depression. Lipids. 1996;31 (Suppl):157–161. [[PubMed][267]]

77\. Peet M, Laugharne JD, Mellor J, Ramchand CN. Essential fatty acid deficiency in erythrocyte membranes from chronic schizophrenic patients, and the clinical effects of dietary supplementation. Prostaglandins Leukot Essent Fatty Acids. 1996;55:71–75. [[PubMed][268]]

78\. Hibbeln JR. Fish consumption and major depression. Lancet. 1998;351:1213. [[PubMed][269]]

79\. Horrobin DF. Schizophrenia: the illness that made us human. Med Hypotheses. 1998;50:269–288. [[PubMed][270]]

80\. Freeman MP, et al. Omega-3 fatty acids: evidence basis for treatment and future research in psychiatry. J Clin Psychiatry. 2006;67:1954–1967. [[PubMed][271]]

81\. Wu A, Ying Z, Gómez-Pinilla F. Dietary Omega-3 fatty acids normalize BDNF levels, reduce oxidative damage, and counteract learning disability after traumatic brain injury in rats. J Neurotrauma. 2004;21:1457–1467. [[PubMed][272]]

82\. Pifferi F, et al. (n-3) polyunsaturated fatty acid deficiency reduces the expression of both isoforms of the brain glucose transporter GLUT1 in rats. J Nutr. 2005;135:2241–2246. [[PubMed][273]]

83\. Flachs P, et al. Polyunsaturated fatty acids of marine origin upregulate mitochondrial biogenesis and induce β-oxidation in white fat. Diabetologia. 2005;48:2365–2375. [[PubMed][274]]

84\. Portwood MM. The role of dietary fatty acids in children’s behaviour and learning. Nutr Health. 2006;18:233–247. [[PubMed][275]]

85\. Richardson AJ, Montgomery P. The Oxford-Durham study: a randomized, controlled trial of dietary supplementation with fatty acids in children with developmental coordination disorder. Pediatrics. 2005;115:1360–1366. [[PubMed][276]]

86\. Osendarp SJ, et al. Effect of a 12-mo micronutrient intervention on learning and memory in well-nourished and marginally nourished school-aged children: 2 parallel, randomized, placebo-controlled studies in Australia and Indonesia. Am J Clin Nutr. 2007;86:1082–1093. [[PubMed][277]]

87\. Innis SM. Dietary (n-3) fatty acids and brain development. J Nutr. 2007;137:855–859. [[PubMed][278]]

88\. Wu A, Molteni R, Ying Z, Gomez-Pinilla F. A saturated-fat diet aggravates the outcome of traumatic brain injury on hippocampal plasticity and cognitive function by reducing brain-derived neurotrophic factor. Neuroscience. 2003;119:365–375. [[PubMed][279]]

89\. Wu A, Ying Z, Gómez-Pinilla F. Dietary curcumin counteracts the outcome of traumatic brain injury on oxidative stress, synaptic plasticity, and cognition. Exp Neurol. 2006;197:309–317. [[PubMed][280]]

90\. Wu A, Ying Z, Gómez-Pinilla F. Oxidative stress modulates Sir2α in rat hippocampus and cerebral cortex. Eur J Neurosci. 2006;23:2573–2580. [[PubMed][281]]

91\. Pu F, et al. Neuroprotective effects of quercetin and rutin on spatial memory impairment in an 8-arm radial maze task and neuronal death induced by repeated cerebral ischemia in rats. J Pharmacol Sci. 2007;104:329–334. [[PubMed][282]]

92\. van Praag H, et al. Plant-derived flavanol (−) epicatechin enhances angiogenesis and retention of spatial memory in mice. J Neurosci. 2007;27:5869–5878. [[PubMed][283]]

93\. Mischoulon D, Raab MF. The role of folate in depression and dementia. J Clin Psychiatry. 2007;68 (Suppl 10):28–33. [[PubMed][284]]

94\. Herbert V. Experimental nutritional folate deficiency in man. Trans Assoc Am Physicians. 1962;75:307–320. [[PubMed][285]]

95\. Corrada M, Kawas C, Hallfrisch J, Muller D, Brookmeyer R. Reduced risk of Alzheimer’s disease with high folate intake: The Baltimore Longitudinal Study of Aging. Alzheimers Dement. 2005;1:A4. [[PMC free article][286]] [[PubMed][287]]

96\. Fioravanti M, et al. Low folate levels in the cognitive decline of elderly patients and efficacy of folate as a treatment for improving memory deficits. Arch Gerontol Geriatr. 1997;26:1–13. [[PubMed][288]]

97\. Nilsson K, Gustafson L, Hultberg B. Improvement of cognitive functions after cobalamin/folate supplementation in elderly patients with dementia and elevated plasma homocysteine. Int J Geriatr Psychiatry. 2001;16:609–614. [[PubMed][289]]

98\. Ramos MI, et al. Low folate status is associated with impaired cognitive function and dementia in the Sacramento Area Latino Study on Aging. Am J Clin Nutr. 2005;82:1346–1352. [[PubMed][290]]

99\. Fava M, et al. Folate, vitamin B12, and homocysteine in major depressive disorder. Am J Psychiatry. 1997;154:426–428. [[PubMed][291]]

100\. Durga J, et al. Effect of 3-year folic acid supplementation on cognitive function in older adults in the FACIT trial: a randomised, double blind, controlled trial. Lancet. 2007;369:208–216. [[PubMed][292]]

101\. Folic acid: a supplementary question. Lancet Neurol. 2007;6:199. [No authors listed] [[PubMed][293]]

102\. Wu A, Ying Z, Gomez-Pinilla F. The interplay between oxidative stress and brain-derived neurotrophic factor modulates the outcome of a saturated fat diet on synaptic plasticity and cognition. Eur J Neurosci. 2004;19:1699–1707. [[PubMed][294]]

103\. Mattson MP. Energy intake, meal frequency, and health: a neurobiological perspective. Annu Rev Nutr. 2005;25:237–260. [[PubMed][295]]

104\. Mattson MP. Dietary factors, hormesis and health. Ageing Res Rev. 2007;7:43–48. [[PMC free article][296]] [[PubMed][297]]

105\. Duan W, et al. Dietary restriction normalizes glucose metabolism and BDNF levels, slows disease progression, and increases survival in huntingtin mutant mice. Proc Natl Acad Sci USA. 2003;100:2911–2916. [[PMC free article][298]] [[PubMed][299]]

106\. Lee J, Seroogy KB, Mattson MP. Dietary restriction enhances neurotrophin expression and neurogenesis in the hippocampus of adult mice. J Neurochem. 2002;80:539–547. [[PubMed][300]]

107\. Ingram DK, Weindruch R, Spangler EL, Freeman JR, Walford RL. Dietary restriction benefits learning and motor performance of aged mice. J Gerontol. 1987;42:78–81. [[PubMed][301]]

108\. Halagappa VK, et al. Intermittent fasting and caloric restriction ameliorate age-related behavioral deficits in the triple-transgenic mouse model of Alzheimer’s disease. Neurobiol Dis. 2007;26:212–220. [[PubMed][302]]

109\. Booth FW, Chakravarthy MV, Gordon SE, Spangenburg EE. Waging war on physical inactivity: using modern molecular ammunition against an ancient enemy. J Appl Physiol. 2002;93:3–30. [[PubMed][303]]

110\. Carlson O, et al. Impact of reduced meal frequency without caloric restriction on glucose regulation in healthy, normal-weight middle-aged men and women. Metabolism. 2007;56:1729–1734. [[PMC free article][304]] [[PubMed][305]]

111\. Johnson JB, et al. Alternate day calorie restriction improves clinical findings and reduces markers of oxidative stress and inflammation in overweight adults with moderate asthma. Free Radic Biol Med. 2007;42:665–674. [[PMC free article][306]] [[PubMed][307]]

112\. Joseph JA, Shukitt-Hale B, Lau FC. Fruit polyphenols and their effects on neuronal signaling and behavior in senescence. Ann NY Acad Sci. 2007;1100:470–485. [[PubMed][308]]

113\. Galli RL, Bielinski DF, Szprengiel A, Shukitt-Hale B, Joseph JA. Blueberry supplemented diet reverses age-related decline in hippocampal HSP70 neuroprotection. Neurobiol Aging. 2006;27:344–350. [[PubMed][309]]

114\. Casadesus G, et al. Modulation of hippocampal plasticity and cognitive behavior by short-term blueberry supplementation in aged rats. Nutr Neurosci. 2004;7:309–316. [[PubMed][310]]

115\. Duffy KB, et al. A blueberry-enriched diet provides cellular protection against oxidative stress and reduces a kainate-induced learning impairment in rats. Neurobiol Aging. 2007 May 22; [epub ahead of print] [[PubMed][311]]

116\. Liu J. The effects and mechanisms of mitochondrial nutrient α-lipoic acid on improving age-associated mitochondrial and cognitive dysfunction: an overview. Neurochem Res. 2008;33:194–203. [[PubMed][312]]

117\. Quinn JF, et al. Chronic dietary α-lipoic acid reduces deficits in hippocampal memory of aged Tg2576 mice. Neurobiol Aging. 2007;28:213–225. [[PubMed][313]]

118\. Holmquist L, et al. Lipoic acid as a novel treatment for Alzheimer’s disease and related dementias. Pharmacol Ther. 2007;113:154–164. [[PubMed][314]]

119\. Perkins AJ, et al. Association of antioxidants with memory in a multiethnic elderly sample using the Third National Health and Nutrition Examination Survey. Am J Epidemiol. 1999;150:37–44. [[PubMed][315]]

120\. Navarro A, et al. Vitamin E at high doses improves survival, neurological performance, and brain mitochondrial function in aging male mice. Am J Physiol Regul Integr Comp Physiol. 2005;289:R1392–R1399. [[PubMed][316]]

121\. Ammon HP, Wahl MA. Pharmacology of _Curcuma longa_. Planta Med. 1991;57:1–7. [[PubMed][317]]

122\. Kelloff GJ, et al. Progress in cancer chemoprevention: development of diet-derived chemopreventive agents. J Nutr. 2000;130:467S–471S. [[PubMed][318]]

123\. Frautschy SA, et al. Phenolic anti-inflammatory antioxidant reversal of Aβ-induced cognitive deficits and neuropathology. Neurobiol Aging. 2001;22:993–1005. [[PubMed][319]]

124\. Ganguli M, et al. Apolipoprotein E polymorphism and Alzheimer disease: the Indo-US Cross-National Dementia Study. Arch Neurol. 2000;57:824–830. [[PubMed][320]]

125\. Martin-Aragon S, Benedi JM, Villar AM. Modifications on antioxidant capacity and lipid peroxidation in mice under fraxetin treatment. J Pharm Pharmacol. 1997;49:49–52. [[PubMed][321]]

126\. Sreejayan N, Rao MN. Nitric oxide scavenging by curcuminoids. J Pharm Pharmacol. 1997;49:105–107. [[PubMed][322]]

127\. Tsankova N, Renthal W, Kumar A, Nestler EJ. Epigenetic regulation in psychiatric disorders. Nature Rev Neurosci. 2007;8:355–367. [[PubMed][323]]

128\. Garzon D, Yu G, Fahnestock M. A new brain-derived neurotrophic factor transcript and decrease in brain-derived neurotrophic factor transcripts 1, 2 and 3 in Alzheimer’s disease parietal cortex. J Neurochem. 2002;82:1058–1064. [[PubMed][324]]

129\. Chen WG, et al. Derepression of BDNF transcription involves calcium-dependent phosphorylation of MeCP2. Science. 2003;302:885–889. [[PubMed][325]]

130\. Kuningas M, Putters M, Westendorp RG, Slagboom PE, van Heemst D. _SIRT1_ gene, age-related diseases, and mortality: the Leiden 85-plus study. J Gerontol A Biol Sci Med Sci. 2007;62:960–965. [[PubMed][326]]

131\. Vaynman S, Gomez-Pinilla F. Revenge of the “sit”: how lifestyle impacts neuronal and cognitive health through molecular systems that interface energy metabolism with neuronal plasticity. J Neurosci Res. 2006;84:699–715. [[PubMed][327]]

132\. Wu A, Ying Z, Gomez-Pinilla F. DHA dietary supplementation enhances the effects of exercise on synaptic plasticity and cognition. Neuroscience.  (in the press) [[PMC free article][328]] [[PubMed][329]]

133\. Garcia J, Ervin FR. Appetites, aversions, and addictions: a model for visceral memory. Recent Adv Biol Psychiatry. 1968;10:284–293. [[PubMed][330]]

134\. Arana FS, et al. Dissociable contributions of the human amygdala and orbitofrontal cortex to incentive motivation and goal selection. J Neurosci. 2003;23:9632–9638. [[PubMed][331]]

135\. Thompson ME, Wrangham RW. Diet and reproductive function in wild female chimpanzees (_Pan troglodytes schweinfurthii_) at Kibale National Park, Uganda. Am J Phys Anthropol. 2008;135:171–181. [[PubMed][332]]

136\. Gibbons A. Paleoanthropology. Food for thought Science. 2007;316:1558–1560. [[PubMed][333]]

137\. Crawford MA, Sinclair AJ. The limitations of whole tissue analysis to define linolenic acid deficiency. J Nutr. 1972;102:1315–1321. [[PubMed][334]]

138\. Crawford MA, et al. Evidence for the unique function of docosahexaenoic acid during the evolution of the modern hominid brain. Lipids. 1999;34 (Suppl):39–47. [[PubMed][335]]

139\. Hillman CH, Erickson KI, Kramer AF. Be smart, exercise your heart: exercise effects on brain and cognition. Nature Rev Neurosci. 2008;9:58–65. [[PubMed][336]]

140\. Gomez-Pinilla F. The influences of diet and exercise on mental health through hormesis. Ageing Res Rev. 2008;7:49–62. [[PMC free article][337]] [[PubMed][338]]

141\. Kramer AF, et al. Ageing, fitness and neurocognitive function. Nature. 1999;400:418–419. [[PubMed][339]]

142\. Winter B, et al. High impact running improves learning. Neurobiol Learn Mem. 2007;87:597–609. [[PubMed][340]]

143\. van Praag H, Kempermann G, Gage FH. Running increases cell proliferation and neurogenesis in the adult mouse dentate gyrus. Nature Neurosci. 1999;2:266–270. [[PubMed][341]]

144\. Pereira AC, et al. An _in vivo_ correlate of exercise-induced neurogenesis in the adult dentate gyrus. Proc Natl Acad Sci USA. 2007;104:5638–5643. [[PMC free article][342]] [[PubMed][343]]

145\. Vaynman S, Ying Z, Gomez-Pinilla F. Hippocampal BDNF mediates the efficacy of exercise on synaptic plasticity and cognition. Eur J Neurosci. 2004;20:2580–2590. [[PubMed][344]]

146\. Laurin D, Verreault R, Lindsay J, MacPherson K, Rockwood K. Physical activity and risk of cognitive impairment and dementia in elderly persons. Arch Neurol. 2001;58:498–504. [[PubMed][345]]

147\. Ding Q, Vaynman S, Souda P, Whitelegge JP, Gomez-Pinilla F. Exercise affects energy metabolism and neural plasticity-related proteins in the hippocampus as revealed by proteomic analysis. Eur J Neurosci. 2006;24:1265–1276. [[PubMed][346]]

148\. van Gelder BM, Tijhuis M, Kalmijn S, Kromhout D. Fish consumption, n-3 fatty acids, and subsequent 5-y cognitive decline in elderly men: the Zutphen Elderly Study. Am J Clin Nutr. 2007;85:1142–1147. [[PubMed][347]]

149\. Hashimoto M, et al. Chronic administration of docosahexaenoic acid ameliorates the impairment of spatial cognition learning ability in amyloid β-infused rats. J Nutr. 2005;135:549–555. [[PubMed][348]]

150\. Calon F, et al. Docosahexaenoic acid protects from dendritic pathology in an Alzheimer’s disease mouse model. Neuron. 2004;43:633–645. [[PMC free article][349]] [[PubMed][350]]

151\. Letenneur L, Proust-Lima C, Le Gouge A, Dartigues JF, Barberger-Gateau P. Flavonoid intake and cognitive decline over a 10-year period. Am J Epidemiol. 2007;165:1364–1371. [[PubMed][351]]

152\. Bryan J, Calvaresi E, Hughes D. Short-term folate, vitamin B-12 or vitamin B-6 supplementation slightly affects memory performance but not mood in women of various ages. J Nutr. 2002;132:1345–1356. [[PubMed][352]]

153\. Sasaki H, et al. Vitamin B12 improves cognitive disturbance in rodents fed a choline-deficient diet. Pharmacol Biochem Behav. 1992;43:635–639. [[PubMed][353]]

154\. Przybelski RJ, Binkley NC. Is vitamin D important for preserving cognition? A positive correlation of serum 25-hydroxyvitamin D concentration with cognitive function. Arch Biochem Biophys. 2007;460:202–205. [[PubMed][354]]

155\. Holmes GL, et al. Seizure-induced memory impairment is reduced by choline supplementation before or after status epilepticus. Epilepsy Res. 2002;48:3–13. [[PubMed][355]]

156\. McCann JC, Hudes M, Ames BN. An overview of evidence for a causal relationship between dietary availability of choline during development and cognitive function in offspring. Neurosci Biobehav Rev. 2006;30:696–712. [[PubMed][356]]

157\. Wengreen HJ, et al. Antioxidant intake and cognitive function of elderly men and women: the Cache County Study. J Nutr Health Aging. 2007;11:230–237. [[PubMed][357]]

158\. Schram MT, et al. Serum calcium and cognitive function in old age. J Am Geriatr Soc. 2007;55:1786–1792. [[PubMed][358]]

159\. Ortega RM, et al. Dietary intake and cognitive function in a group of elderly people. Am J Clin Nutr. 1997;66:803–809. [[PubMed][359]]

160\. Gao S, et al. Selenium level and cognitive function in rural elderly Chinese. Am J Epidemiol. 2007;165:955–965. [[PMC free article][360]] [[PubMed][361]]

161\. Pajonk FG, et al. Cognitive decline correlates with low plasma concentrations of copper in patients with mild to moderate Alzheimer’s disease. J Alzheimers Dis. 2005;8:23–27. [[PubMed][362]]

162\. Murray-Kolb LE, Beard JL. Iron treatment normalizes cognitive functioning in young women. Am J Clin Nutr. 2007;85:778–787. [[PubMed][363]]

163\. Adams PF, Marano MA. Current estimates for the national health interview survey, 1994. Vital Health Stat 10. 1995;193 (Pt 2):261–520. [[PubMed][364]]

164\. Kaati G, Bygren LO, Pembrey M, Sjöström M. Transgenerational response to nutrition, early life circumstances and longevity. Eur J Hum Genet. 2007;15:784–790. [[PubMed][365]]

## Formats:

* Article
| 
* [PubReader][366]
| 
* [ePub (beta)][367]
| 
* [PDF (1.5M)][368]
| 
* [Citation][24]

## Share

* ![Share on Facebook][369][ Facebook ][370]
* ![Share on Twitter][371][ Twitter ][372]
* ![Share on Google Plus][373][ Google+ ][374]

[Support Center][375] [Support Center][376]

External link. Please review our [privacy policy][377]. 

[NLM][378]

[NIH][379]

[DHHS][380]

[USA.gov][381]

[National Center for Biotechnology Information][382],  [U.S. National Library of Medicine][383] 8600 Rockville Pike, Bethesda MD, 20894 USA

[Policies and Guidelines][384] | [Contact][385]

![statistics][386]

[1]: https://www.ncbi.nlm.nih.gov/guide/browsers/#enablejs "Learn how to enable JavaScript"
[2]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/28977 "NCBI"
[3]: https://www.ncbi.nlm.nih.gov/ "NCBI Home"
[4]: https://www.ncbi.nlm.nih.gov#maincontent "Skip to the content"
[5]: https://www.ncbi.nlm.nih.gov#navcontent "Skip to the navigation"
[6]: https://www.ncbi.nlm.nih.gov/static/header_footer_ajax/submenu/#resources
[7]: https://www.ncbi.nlm.nih.gov/static/header_footer_ajax/submenu/#howto
[8]: https://www.ncbi.nlm.nih.gov/guide/browsers/#accesskeys "About My NCBI Accesskeys"
[9]: https://www.ncbi.nlm.nih.gov/myncbi/
[10]: https://www.ncbi.nlm.nih.gov/account/
[11]: https://www.ncbi.nlm.nih.gov/account/signout/
[12]: https://www.ncbi.nlm.nih.gov/pmc/
[13]: https://www.nlm.nih.gov/ "US National Library of Medicine"
[14]: https://www.nih.gov/ "National Institutes of Health"
[15]: https://www.ncbi.nlm.nih.gov/pmc/advanced/
[16]: https://www.ncbi.nlm.nih.gov/pmc/journals/
[17]: https://www.ncbi.nlm.nih.gov/books/NBK3825/
[18]: https://www.ncbi.nlm.nih.gov/pmc/?term=hhs%20author%20manuscript[filter]
[19]: https://www.ncbi.nlm.nih.gov/corehtml/pmc/pmcgifs/logo-hhspa.png
[20]: https://www.ncbi.nlm.nih.gov/entrez/eutils/elink.fcgi?dbfrom=pubmed&retmode=ref&cmd=prlinks&id=18568016
[21]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1038%2Fnrn2421
[22]: https://www.ncbi.nlm.nih.gov/pubmed/?term=G%26%23x000f3%3Bmez-Pinilla%20F%5BAuthor%5D&cauthor=true&cauthor_uid=18568016
[23]: mailto:dev%40null
[24]: https://www.ncbi.nlm.nih.gov#
[25]: https://www.ncbi.nlm.nih.gov/pmc/about/copyright/
[26]: https://www.ncbi.nlm.nih.gov/pmc/about/disclaimer/
[27]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2805706/citedby/
[28]: https://www.ncbi.nlm.nih.gov#R1
[29]: https://www.ncbi.nlm.nih.gov#R2
[30]: https://www.ncbi.nlm.nih.gov#R3
[31]: https://www.ncbi.nlm.nih.gov#R4
[32]: https://www.ncbi.nlm.nih.gov#BX1
[33]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2805706/figure/F1/
[34]: https://www.ncbi.nlm.nih.gov#R5
[35]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2805706/bin/nihms162299u1.jpg "An external file that holds a picture, illustration, etc.
Object name is nihms162299u1.jpg"
[36]: https://www.ncbi.nlm.nih.gov#R133
[37]: https://www.ncbi.nlm.nih.gov#R134
[38]: https://www.ncbi.nlm.nih.gov#R135
[39]: https://www.ncbi.nlm.nih.gov#R136
[40]: https://www.ncbi.nlm.nih.gov#R137
[41]: https://www.ncbi.nlm.nih.gov#R138
[42]: https://www.ncbi.nlm.nih.gov#R78
[43]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2805706/bin/nihms162299f1.gif "Figure 1"
[44]: https://www.ncbi.nlm.nih.gov#R6
[45]: https://www.ncbi.nlm.nih.gov#R7
[46]: https://www.ncbi.nlm.nih.gov#R8
[47]: https://www.ncbi.nlm.nih.gov#R9
[48]: https://www.ncbi.nlm.nih.gov#R10
[49]: https://www.ncbi.nlm.nih.gov#R11
[50]: https://www.ncbi.nlm.nih.gov#R12
[51]: https://www.ncbi.nlm.nih.gov#R13
[52]: https://www.ncbi.nlm.nih.gov#R14
[53]: https://www.ncbi.nlm.nih.gov#R15
[54]: https://www.ncbi.nlm.nih.gov#R16
[55]: https://www.ncbi.nlm.nih.gov#R17
[56]: https://www.ncbi.nlm.nih.gov#R18
[57]: https://www.ncbi.nlm.nih.gov#R19
[58]: https://www.ncbi.nlm.nih.gov#R20
[59]: https://www.ncbi.nlm.nih.gov#R21
[60]: https://www.ncbi.nlm.nih.gov#R22
[61]: https://www.ncbi.nlm.nih.gov#R23
[62]: https://www.ncbi.nlm.nih.gov#R24
[63]: https://www.ncbi.nlm.nih.gov#R25
[64]: https://www.ncbi.nlm.nih.gov#R26
[65]: https://www.ncbi.nlm.nih.gov#R27
[66]: https://www.ncbi.nlm.nih.gov#R28
[67]: https://www.ncbi.nlm.nih.gov#R29
[68]: https://www.ncbi.nlm.nih.gov#R30
[69]: https://www.ncbi.nlm.nih.gov#R31
[70]: https://www.ncbi.nlm.nih.gov#R32
[71]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2805706/figure/F2/
[72]: https://www.ncbi.nlm.nih.gov#R33
[73]: https://www.ncbi.nlm.nih.gov#R34
[74]: https://www.ncbi.nlm.nih.gov#R35
[75]: https://www.ncbi.nlm.nih.gov#R36
[76]: https://www.ncbi.nlm.nih.gov#R37
[77]: https://www.ncbi.nlm.nih.gov#R38
[78]: https://www.ncbi.nlm.nih.gov#R39
[79]: https://www.ncbi.nlm.nih.gov#R40
[80]: https://www.ncbi.nlm.nih.gov#R41
[81]: https://www.ncbi.nlm.nih.gov#R42
[82]: https://www.ncbi.nlm.nih.gov#R43
[83]: https://www.ncbi.nlm.nih.gov#R44
[84]: https://www.ncbi.nlm.nih.gov#R45
[85]: https://www.ncbi.nlm.nih.gov#R46
[86]: https://www.ncbi.nlm.nih.gov#R47
[87]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2805706/bin/nihms162299f2.gif "Figure 2"
[88]: https://www.ncbi.nlm.nih.gov#R48
[89]: https://www.ncbi.nlm.nih.gov#R49
[90]: https://www.ncbi.nlm.nih.gov#R50
[91]: https://www.ncbi.nlm.nih.gov#R51
[92]: https://www.ncbi.nlm.nih.gov#R52
[93]: https://www.ncbi.nlm.nih.gov#R53
[94]: https://www.ncbi.nlm.nih.gov#R54
[95]: https://www.ncbi.nlm.nih.gov#R55
[96]: https://www.ncbi.nlm.nih.gov#R56
[97]: https://www.ncbi.nlm.nih.gov#R57
[98]: https://www.ncbi.nlm.nih.gov#R58
[99]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2805706/figure/F3/
[100]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2805706/bin/nihms162299f3.gif "Figure 3"
[101]: https://www.ncbi.nlm.nih.gov#R59
[102]: https://www.ncbi.nlm.nih.gov#R60
[103]: https://www.ncbi.nlm.nih.gov#R61
[104]: https://www.ncbi.nlm.nih.gov#R62
[105]: https://www.ncbi.nlm.nih.gov#R163
[106]: https://www.ncbi.nlm.nih.gov#R63
[107]: https://www.ncbi.nlm.nih.gov#R66
[108]: https://www.ncbi.nlm.nih.gov#R67
[109]: https://www.ncbi.nlm.nih.gov#R68
[110]: https://www.ncbi.nlm.nih.gov#R69
[111]: https://www.ncbi.nlm.nih.gov#R70
[112]: https://www.ncbi.nlm.nih.gov#R71
[113]: https://www.ncbi.nlm.nih.gov#R72
[114]: https://www.ncbi.nlm.nih.gov#R73
[115]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2805706/table/T1/
[116]: /pmc/articles/PMC2805706/table/T1/?report=thumb "Table 1"
[117]: https://www.ncbi.nlm.nih.gov#R74
[118]: https://www.ncbi.nlm.nih.gov#R75
[119]: https://www.ncbi.nlm.nih.gov#R76
[120]: https://www.ncbi.nlm.nih.gov#R80
[121]: https://www.ncbi.nlm.nih.gov#R81
[122]: https://www.ncbi.nlm.nih.gov#R82
[123]: https://www.ncbi.nlm.nih.gov#R83
[124]: https://www.ncbi.nlm.nih.gov#R84
[125]: https://www.ncbi.nlm.nih.gov#R85
[126]: https://www.ncbi.nlm.nih.gov#R86
[127]: https://www.ncbi.nlm.nih.gov#R87
[128]: https://www.ncbi.nlm.nih.gov#R88
[129]: https://www.ncbi.nlm.nih.gov#R89
[130]: https://www.ncbi.nlm.nih.gov#R90
[131]: https://www.ncbi.nlm.nih.gov#R91
[132]: https://www.ncbi.nlm.nih.gov#R92
[133]: https://www.ncbi.nlm.nih.gov#BX2
[134]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2805706/bin/nihms162299u2.jpg "An external file that holds a picture, illustration, etc.
Object name is nihms162299u2.jpg"
[135]: https://www.ncbi.nlm.nih.gov#R139
[136]: https://www.ncbi.nlm.nih.gov#R140
[137]: https://www.ncbi.nlm.nih.gov#R141
[138]: https://www.ncbi.nlm.nih.gov#R142
[139]: https://www.ncbi.nlm.nih.gov#R131
[140]: https://www.ncbi.nlm.nih.gov#R143
[141]: https://www.ncbi.nlm.nih.gov#R144
[142]: https://www.ncbi.nlm.nih.gov#R132
[143]: https://www.ncbi.nlm.nih.gov#R145
[144]: https://www.ncbi.nlm.nih.gov#R93
[145]: https://www.ncbi.nlm.nih.gov#R94
[146]: https://www.ncbi.nlm.nih.gov#R95
[147]: https://www.ncbi.nlm.nih.gov#R96
[148]: https://www.ncbi.nlm.nih.gov#R97
[149]: https://www.ncbi.nlm.nih.gov#R98
[150]: https://www.ncbi.nlm.nih.gov#R99
[151]: https://www.ncbi.nlm.nih.gov#R100
[152]: https://www.ncbi.nlm.nih.gov#R101
[153]: https://www.ncbi.nlm.nih.gov#R102
[154]: https://www.ncbi.nlm.nih.gov#R103
[155]: https://www.ncbi.nlm.nih.gov#R104
[156]: https://www.ncbi.nlm.nih.gov#R105
[157]: https://www.ncbi.nlm.nih.gov#R106
[158]: https://www.ncbi.nlm.nih.gov#R107
[159]: https://www.ncbi.nlm.nih.gov#R108
[160]: https://www.ncbi.nlm.nih.gov#R109
[161]: https://www.ncbi.nlm.nih.gov#R110
[162]: https://www.ncbi.nlm.nih.gov#R111
[163]: https://www.ncbi.nlm.nih.gov#R112
[164]: https://www.ncbi.nlm.nih.gov#R113
[165]: https://www.ncbi.nlm.nih.gov#R114
[166]: https://www.ncbi.nlm.nih.gov#R115
[167]: https://www.ncbi.nlm.nih.gov#R116
[168]: https://www.ncbi.nlm.nih.gov#R117
[169]: https://www.ncbi.nlm.nih.gov#R118
[170]: https://www.ncbi.nlm.nih.gov#R119
[171]: https://www.ncbi.nlm.nih.gov#R120
[172]: https://www.ncbi.nlm.nih.gov#R121
[173]: https://www.ncbi.nlm.nih.gov#R122
[174]: https://www.ncbi.nlm.nih.gov#R123
[175]: https://www.ncbi.nlm.nih.gov#R124
[176]: https://www.ncbi.nlm.nih.gov#R125
[177]: https://www.ncbi.nlm.nih.gov#R126
[178]: https://www.ncbi.nlm.nih.gov#R164
[179]: https://www.ncbi.nlm.nih.gov#R127
[180]: https://www.ncbi.nlm.nih.gov#R128
[181]: https://www.ncbi.nlm.nih.gov#R65
[182]: https://www.ncbi.nlm.nih.gov#R129
[183]: https://www.ncbi.nlm.nih.gov#R130
[184]: https://www.ncbi.nlm.nih.gov/pubmed/16087970
[185]: https://www.ncbi.nlm.nih.gov/pubmed/17970622
[186]: https://www.ncbi.nlm.nih.gov/pubmed/16257476
[187]: https://www.ncbi.nlm.nih.gov/pubmed/12088740
[188]: https://www.ncbi.nlm.nih.gov/pubmed/18209732
[189]: https://www.ncbi.nlm.nih.gov/pubmed/16139580
[190]: https://www.ncbi.nlm.nih.gov/pubmed/16187765
[191]: https://www.ncbi.nlm.nih.gov/pubmed/17415078
[192]: https://www.ncbi.nlm.nih.gov/pubmed/17920573
[193]: https://www.ncbi.nlm.nih.gov/pubmed/7472505
[194]: https://www.ncbi.nlm.nih.gov/pubmed/9520105
[195]: https://www.ncbi.nlm.nih.gov/pubmed/10195186
[196]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2635528/
[197]: https://www.ncbi.nlm.nih.gov/pubmed/18024215
[198]: https://www.ncbi.nlm.nih.gov/pubmed/16564638
[199]: https://www.ncbi.nlm.nih.gov/pubmed/11734601
[200]: https://www.ncbi.nlm.nih.gov/pubmed/12150780
[201]: https://www.ncbi.nlm.nih.gov/pubmed/15203246
[202]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1995039/
[203]: https://www.ncbi.nlm.nih.gov/pubmed/17618127
[204]: https://www.ncbi.nlm.nih.gov/pubmed/15180951
[205]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1773718/
[206]: https://www.ncbi.nlm.nih.gov/pubmed/12801949
[207]: https://www.ncbi.nlm.nih.gov/pubmed/11473029
[208]: https://www.ncbi.nlm.nih.gov/pubmed/11212874
[209]: https://www.ncbi.nlm.nih.gov/pubmed/9379845
[210]: https://www.ncbi.nlm.nih.gov/pubmed/11057670
[211]: https://www.ncbi.nlm.nih.gov/pubmed/11089570
[212]: https://www.ncbi.nlm.nih.gov/pubmed/16247504
[213]: https://www.ncbi.nlm.nih.gov/pubmed/11739476
[214]: https://www.ncbi.nlm.nih.gov/pubmed/15064421
[215]: https://www.ncbi.nlm.nih.gov/pubmed/16491079
[216]: https://www.ncbi.nlm.nih.gov/pubmed/12925848
[217]: https://www.ncbi.nlm.nih.gov/pubmed/18023257
[218]: https://www.ncbi.nlm.nih.gov/pubmed/16580138
[219]: https://www.ncbi.nlm.nih.gov/pubmed/7551179
[220]: https://www.ncbi.nlm.nih.gov/pubmed/9733207
[221]: https://www.ncbi.nlm.nih.gov/pubmed/10816306
[222]: https://www.ncbi.nlm.nih.gov/pubmed/9517463
[223]: https://www.ncbi.nlm.nih.gov/pubmed/9466420
[224]: https://www.ncbi.nlm.nih.gov/pubmed/15128854
[225]: https://www.ncbi.nlm.nih.gov/pubmed/12553913
[226]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC305670/
[227]: https://www.ncbi.nlm.nih.gov/pubmed/10716929
[228]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC24804/
[229]: https://www.ncbi.nlm.nih.gov/pubmed/10611369
[230]: https://www.ncbi.nlm.nih.gov/pubmed/7534721
[231]: https://www.ncbi.nlm.nih.gov/pubmed/12112936
[232]: https://www.ncbi.nlm.nih.gov/pubmed/10078561
[233]: https://www.ncbi.nlm.nih.gov/pubmed/12099975
[234]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2710100/
[235]: https://www.ncbi.nlm.nih.gov/pubmed/12796784
[236]: https://www.ncbi.nlm.nih.gov/pubmed/15494731
[237]: https://www.ncbi.nlm.nih.gov/pubmed/16650607
[238]: https://www.ncbi.nlm.nih.gov/pubmed/9666167
[239]: https://www.ncbi.nlm.nih.gov/pubmed/1663628
[240]: https://www.ncbi.nlm.nih.gov/pubmed/10226791
[241]: https://www.ncbi.nlm.nih.gov/pubmed/10226790
[242]: https://www.ncbi.nlm.nih.gov/pubmed/9344566
[243]: https://www.ncbi.nlm.nih.gov/pubmed/11466439
[244]: https://www.ncbi.nlm.nih.gov/pubmed/14598295
[245]: https://www.ncbi.nlm.nih.gov/pubmed/9758223
[246]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2048987/
[247]: https://www.ncbi.nlm.nih.gov/pubmed/17498671
[248]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1182431/
[249]: https://www.ncbi.nlm.nih.gov/pubmed/16040805
[250]: https://www.ncbi.nlm.nih.gov/pubmed/15600380
[251]: https://www.ncbi.nlm.nih.gov/pubmed/7398250
[252]: https://www.ncbi.nlm.nih.gov/pubmed/8770530
[253]: https://www.ncbi.nlm.nih.gov/pubmed/11087022
[254]: https://www.ncbi.nlm.nih.gov/pubmed/15655562
[255]: https://www.ncbi.nlm.nih.gov/pubmed/11931738
[256]: https://www.ncbi.nlm.nih.gov/pubmed/17726474
[257]: https://www.ncbi.nlm.nih.gov/pubmed/11986993
[258]: https://www.ncbi.nlm.nih.gov/pubmed/17151862
[259]: https://www.ncbi.nlm.nih.gov/pubmed/11595394
[260]: https://www.ncbi.nlm.nih.gov/pubmed/12127475
[261]: https://www.ncbi.nlm.nih.gov/pubmed/14625139
[262]: https://www.ncbi.nlm.nih.gov/pubmed/11927139
[263]: https://www.ncbi.nlm.nih.gov/pubmed/11522260
[264]: https://www.ncbi.nlm.nih.gov/pubmed/16501568
[265]: https://www.ncbi.nlm.nih.gov/pubmed/2576038
[266]: https://www.ncbi.nlm.nih.gov/pubmed/11080210
[267]: https://www.ncbi.nlm.nih.gov/pubmed/8729112
[268]: https://www.ncbi.nlm.nih.gov/pubmed/8888126
[269]: https://www.ncbi.nlm.nih.gov/pubmed/9643729
[270]: https://www.ncbi.nlm.nih.gov/pubmed/9690763
[271]: https://www.ncbi.nlm.nih.gov/pubmed/17194275
[272]: https://www.ncbi.nlm.nih.gov/pubmed/15672635
[273]: https://www.ncbi.nlm.nih.gov/pubmed/16140905
[274]: https://www.ncbi.nlm.nih.gov/pubmed/16205884
[275]: https://www.ncbi.nlm.nih.gov/pubmed/17180869
[276]: https://www.ncbi.nlm.nih.gov/pubmed/15867048
[277]: https://www.ncbi.nlm.nih.gov/pubmed/17921387
[278]: https://www.ncbi.nlm.nih.gov/pubmed/17374644
[279]: https://www.ncbi.nlm.nih.gov/pubmed/12770552
[280]: https://www.ncbi.nlm.nih.gov/pubmed/16364299
[281]: https://www.ncbi.nlm.nih.gov/pubmed/16817860
[282]: https://www.ncbi.nlm.nih.gov/pubmed/17666865
[283]: https://www.ncbi.nlm.nih.gov/pubmed/17537957
[284]: https://www.ncbi.nlm.nih.gov/pubmed/17900207
[285]: https://www.ncbi.nlm.nih.gov/pubmed/13953904
[286]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3375831/
[287]: https://www.ncbi.nlm.nih.gov/pubmed/19595811
[288]: https://www.ncbi.nlm.nih.gov/pubmed/18653121
[289]: https://www.ncbi.nlm.nih.gov/pubmed/11424170
[290]: https://www.ncbi.nlm.nih.gov/pubmed/16332669
[291]: https://www.ncbi.nlm.nih.gov/pubmed/9054796
[292]: https://www.ncbi.nlm.nih.gov/pubmed/17240287
[293]: https://www.ncbi.nlm.nih.gov/pubmed/17303519
[294]: https://www.ncbi.nlm.nih.gov/pubmed/15078544
[295]: https://www.ncbi.nlm.nih.gov/pubmed/16011467
[296]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2253665/
[297]: https://www.ncbi.nlm.nih.gov/pubmed/17913594
[298]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC151440/
[299]: https://www.ncbi.nlm.nih.gov/pubmed/12589027
[300]: https://www.ncbi.nlm.nih.gov/pubmed/11905999
[301]: https://www.ncbi.nlm.nih.gov/pubmed/3794202
[302]: https://www.ncbi.nlm.nih.gov/pubmed/17306982
[303]: https://www.ncbi.nlm.nih.gov/pubmed/12070181
[304]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2121099/
[305]: https://www.ncbi.nlm.nih.gov/pubmed/17998028
[306]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1859864/
[307]: https://www.ncbi.nlm.nih.gov/pubmed/17291990
[308]: https://www.ncbi.nlm.nih.gov/pubmed/17460212
[309]: https://www.ncbi.nlm.nih.gov/pubmed/15869824
[310]: https://www.ncbi.nlm.nih.gov/pubmed/15682927
[311]: https://www.ncbi.nlm.nih.gov/pubmed/17524525
[312]: https://www.ncbi.nlm.nih.gov/pubmed/17605107
[313]: https://www.ncbi.nlm.nih.gov/pubmed/16448723
[314]: https://www.ncbi.nlm.nih.gov/pubmed/16989905
[315]: https://www.ncbi.nlm.nih.gov/pubmed/10400551
[316]: https://www.ncbi.nlm.nih.gov/pubmed/16020519
[317]: https://www.ncbi.nlm.nih.gov/pubmed/2062949
[318]: https://www.ncbi.nlm.nih.gov/pubmed/10721931
[319]: https://www.ncbi.nlm.nih.gov/pubmed/11755008
[320]: https://www.ncbi.nlm.nih.gov/pubmed/10867779
[321]: https://www.ncbi.nlm.nih.gov/pubmed/9120770
[322]: https://www.ncbi.nlm.nih.gov/pubmed/9120760
[323]: https://www.ncbi.nlm.nih.gov/pubmed/17453016
[324]: https://www.ncbi.nlm.nih.gov/pubmed/12358753
[325]: https://www.ncbi.nlm.nih.gov/pubmed/14593183
[326]: https://www.ncbi.nlm.nih.gov/pubmed/17895433
[327]: https://www.ncbi.nlm.nih.gov/pubmed/16862541
[328]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3208643/
[329]: https://www.ncbi.nlm.nih.gov/pubmed/18620024
[330]: https://www.ncbi.nlm.nih.gov/pubmed/4872756
[331]: https://www.ncbi.nlm.nih.gov/pubmed/14573543
[332]: https://www.ncbi.nlm.nih.gov/pubmed/18046778
[333]: https://www.ncbi.nlm.nih.gov/pubmed/17569838
[334]: https://www.ncbi.nlm.nih.gov/pubmed/5074344
[335]: https://www.ncbi.nlm.nih.gov/pubmed/10419087
[336]: https://www.ncbi.nlm.nih.gov/pubmed/18094706
[337]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3225189/
[338]: https://www.ncbi.nlm.nih.gov/pubmed/17604236
[339]: https://www.ncbi.nlm.nih.gov/pubmed/10440369
[340]: https://www.ncbi.nlm.nih.gov/pubmed/17185007
[341]: https://www.ncbi.nlm.nih.gov/pubmed/10195220
[342]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1838482/
[343]: https://www.ncbi.nlm.nih.gov/pubmed/17374720
[344]: https://www.ncbi.nlm.nih.gov/pubmed/15548201
[345]: https://www.ncbi.nlm.nih.gov/pubmed/11255456
[346]: https://www.ncbi.nlm.nih.gov/pubmed/16987214
[347]: https://www.ncbi.nlm.nih.gov/pubmed/17413117
[348]: https://www.ncbi.nlm.nih.gov/pubmed/15735092
[349]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2442162/
[350]: https://www.ncbi.nlm.nih.gov/pubmed/15339646
[351]: https://www.ncbi.nlm.nih.gov/pubmed/17369607
[352]: https://www.ncbi.nlm.nih.gov/pubmed/12042457
[353]: https://www.ncbi.nlm.nih.gov/pubmed/1438503
[354]: https://www.ncbi.nlm.nih.gov/pubmed/17258168
[355]: https://www.ncbi.nlm.nih.gov/pubmed/11823105
[356]: https://www.ncbi.nlm.nih.gov/pubmed/16504295
[357]: https://www.ncbi.nlm.nih.gov/pubmed/17508099
[358]: https://www.ncbi.nlm.nih.gov/pubmed/17979900
[359]: https://www.ncbi.nlm.nih.gov/pubmed/9322553
[360]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2760949/
[361]: https://www.ncbi.nlm.nih.gov/pubmed/17272290
[362]: https://www.ncbi.nlm.nih.gov/pubmed/16155346
[363]: https://www.ncbi.nlm.nih.gov/pubmed/17344500
[364]: https://www.ncbi.nlm.nih.gov/pubmed/15791757
[365]: https://www.ncbi.nlm.nih.gov/pubmed/17457370
[366]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2805706/?report=reader
[367]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2805706/epub/
[368]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2805706/pdf/nihms162299.pdf
[369]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047626
[370]: https://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2805706%2F
[371]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047627
[372]: https://twitter.com/intent/tweet?url=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2805706%2F&text=Brain%20foods%3A%20the%20effects%20of%20nutrients%20on%20brain%20function
[373]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047628
[374]: https://plus.google.com/share?url=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2805706%2F
[375]: 
[376]: https://support.ncbi.nlm.nih.gov/ics/support/KBList.asp?Time=2018-02-23T09:14:15-05:00&Snapshot=%2Fprojects%2FPMC%2FPMCViewer@4.45&Host=ptpmc201&ncbi_phid=F4FB71C2A9020FB10000000000CC00BE&ncbi_session=F4FB71C2A9021B61_0204SID&from=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2805706%2F&Db=pmc&folderID=132&Ncbi_App=pmc&Page=literature&style=classic&deptID=28049
[377]: https://www.nlm.nih.gov/privacy.html
[378]: https://www.nlm.nih.gov "NLM"
[379]: https://www.nih.gov "NIH"
[380]: https://www.hhs.gov "DHHS"
[381]: https://www.usa.gov "USA.gov"
[382]: https://www.ncbi.nlm.nih.gov
[383]: https://www.nlm.nih.gov/
[384]: https://www.ncbi.nlm.nih.gov/home/about/policies.shtml
[385]: https://www.ncbi.nlm.nih.gov/home/about/contact.shtml
[386]: /stat?jsdisabled=true&ncbi_db=pmc&ncbi_pdid=article&ncbi_acc=&ncbi_domain=nihpa&ncbi_report=record&ncbi_type=fulltext&ncbi_objectid=&ncbi_pcid=/articles/PMC2805706/&ncbi_app=pmc

