---
created_at: '2018-01-15T13:00:14.000Z'
title: Debunking the tragedy of the commons (2008)
url: http://climateandcapitalism.com/2008/08/25/debunking-the-tragedy-of-the-commons/
author: bryanrasmussen
points: 50
story_text: 
comment_text: 
num_comments: 30
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1516021214
_tags:
- story
- author_bryanrasmussen
- story_16150195
objectID: '16150195'

---
[Source](http://climateandcapitalism.com/2008/08/25/debunking-the-tragedy-of-the-commons/ "Permalink to The Myth of the Tragedy of the Commons")

# The Myth of the Tragedy of the Commons

### [Navigation][1]

![Climate & Capitalism][2] [Climate & Capitalism][3] An ecosocialist journal

[Home][4]

### mobile

* [About/Contact][5]
* [Ecosocialist Resources][6]
* [Comments Policy][7]
* [Links][8]
* [Search][9]

[Return to Content][10]

# The Myth of the Tragedy of the Commons

Posted on August 25, 2008

_**![][11]![][12]Will shared resources always be misused and overused? Is community ownership of land, forests and fisheries a guaranteed road to ecological disaster?**_

* * *

**By Ian Angus  
_  
__Update__: See also [A reply to criticisms and questions about this article][13]_**

Will shared resources always be misused and overused? Is community ownership of land, forests and fisheries a guaranteed road to ecological disaster? Is privatization the only way to protect the environment and end Third World poverty? Most economists and development planners will answer "yes" — and for proof they will point to the most influential article ever written on those important questions.

Since its publication in _Science_ in December 1968, "The Tragedy of the Commons" has been anthologized in at least 111 books, making it one of the most-reprinted articles ever to appear in any scientific journal. It is also one of the most-quoted: a recent Google search found "about 302,000" results for the phrase "tragedy of the commons."

For 40 years it has been, in the words of a World Bank Discussion Paper, "the dominant paradigm within which social scientists assess natural resource issues." (Bromley and Cernea 1989: 6) It has been used time and again to justify stealing indigenous peoples' lands, privatizing health care and other social services, giving corporations 'tradable permits' to pollute the air and water, and much more.

Noted anthropologist Dr. G.N. Appell (1995) writes that the article "has been embraced as a sacred text by scholars and professionals in the practice of designing futures for others and imposing their own economic and environmental rationality on other social systems of which they have incomplete understanding and knowledge."

Like most sacred texts, "The Tragedy of the Commons" is more often cited than read. As we will see, although its title sounds authoritative and scientific, it fell far short of science.

**Garrett Hardin hatches a myth**

The author of "The Tragedy of the Commons" was Garrett Hardin, a University of California professor who until then was best-known as the author of a biology textbook that argued for "control of breeding" of "genetically defective" people. (Hardin 1966: 707) In his 1968 essay he argued that communities that share resources inevitably pave the way for their own destruction; instead of wealth for all, there is wealth for none.

He based his argument on a story about the commons in rural England.

(The term "commons" was used in England to refer to the shared pastures, fields, forests, irrigation systems and other resources that were found in many rural areas until well into the 1800s. Similar communal farming arrangements existed in most of Europe, and they still exist today in various forms around the world, particularly in indigenous communities.)

"Picture a pasture open to all," Hardin wrote. A herdsmen who wants to expand his personal herd will calculate that the cost of additional grazing (reduced food for all animals, rapid soil depletion) will be divided among all, but he alone will get the benefit of having more cattle to sell.

Inevitably, "the rational herdsman concludes that the only sensible course for him to pursue is to add another animal to his herd." But every "rational herdsman" will do the same thing, so the commons is soon overstocked and overgrazed to the point where it supports no animals at all.

Hardin used the word "tragedy" as Aristotle did, to refer to a dramatic outcome that is the inevitable but unplanned result of a character's actions. He called the destruction of the commons through overuse a tragedy not because it is sad, but because it is the inevitable result of shared use of the pasture. "Freedom in a commons brings ruin to all."

**Where's the evidence?**

Given the subsequent influence of Hardin's essay, it's shocking to realize that he provided no evidence at all to support his sweeping conclusions. He claimed that the "tragedy" was inevitable — but he didn't show that it had happened even once.

Hardin simply ignored what actually happens in a real commons: self-regulation by the communities involved. One such process was described years earlier in Friedrich Engels' account of the "mark," the form taken by commons-based communities in parts of pre-capitalist Germany:

> "[T]he use of arable and meadowlands was under the supervision and direction of the community …
> 
> "Just as the share of each member in so much of the mark as was distributed was of equal size, so was his share also in the use of the 'common mark.' The nature of this use was determined by the members of the community as a whole. …
> 
> "At fixed times and, if necessary, more frequently, they met in the open air to discuss the affairs of the mark and to sit in judgment upon breaches of regulations and disputes concerning the mark." (Engels 1892)

Historians and other scholars have broadly confirmed Engels' description of communal management of shared resources. A summary of recent research concludes:

> "[W]hat existed in fact was not a 'tragedy of the commons' but rather a triumph: that for hundreds of years — and perhaps thousands, although written records do not exist to prove the longer era — land was managed successfully by communities." (Cox 1985: 60)

Part of that self-regulation process was known in England as "stinting" — establishing limits for the number of cows, pigs, sheep and other livestock that each commoner could graze on the common pasture. Such "stints" protected the land from overuse (a concept that experienced farmers understood long before Hardin arrived) and allowed the community to allocate resources according to its own concepts of fairness.

The only significant cases of overstocking found by the leading modern expert on the English commons involved wealthy landowners who deliberately put too many animals onto the pasture in order to weaken their much poorer neighbours' position in disputes over the enclosure (privatization) of common lands. (Neeson 1993: 156)

Hardin assumed that peasant farmers are unable to change their behaviour in the face of certain disaster. But in the real world, small farmers, fishers and others have created their own institutions and rules for preserving resources and ensuring that the commons community survived through good years and bad.

**Why does the herder want more?**

Hardin's argument started with the unproven assertion that herdsmen always want to expand their herds: "It is to be expected that each herdsman will try to keep as many cattle as possible on the commons. … As a rational being, each herdsman seeks to maximize his gain."

In short, Hardin's conclusion was predetermined by his assumptions. "It is to be expected" that each herdsman will try to maximize the size of his herd — and each one does exactly that. It's a circular argument that proves nothing.

Hardin assumed that human nature is selfish and unchanging, and that society is just an assemblage of self-interested individuals who don't care about the impact of their actions on the community. The same idea, explicitly or implicitly, is a fundamental component of mainstream (i.e., pro-capitalist) economic theory.

All the evidence (not to mention common sense) shows that this is absurd: people are social beings, and society is much more than the arithmetic sum of its members. Even capitalist society, which rewards the most anti-social behaviour, has not crushed human cooperation and solidarity. The very fact that for centuries "rational herdsmen" did not overgraze the commons disproves Hardin's most fundamental assumptions — but that hasn't stopped him or his disciples from erecting policy castles on foundations of sand.

Even if the herdsman wanted to behave as Hardin described, he couldn't do so unless certain conditions existed.

There would have to be a market for the cattle, and he would have to be focused on producing for that market, not for local consumption. He would have to have enough capital to buy the additional cattle and the fodder they would need in winter. He would have to be able to hire workers to care for the larger herd, build bigger barns, etc. And his desire for profit would have to outweigh his interest in the long-term survival of his community.

In short, Hardin didn't describe the behaviour of herdsmen in pre-capitalist farming communities — he described the behaviour of capitalists operating in a capitalist economy. The universal human nature that he claimed would always destroy common resources is actually the profit-driven "grow or die" behaviour of corporations.

**Will private ownership do better?**

That leads us to another fatal flaw in Hardin's argument: in addition to providing no evidence that maintaining the commons will inevitably destroy the environment, he offered no justification for his opinion that privatization would save it. Once again he simply presented his own prejudices as fact:

> "We must admit that our legal system of private property plus inheritance is unjust — but we put up with it because we are not convinced, at the moment, that anyone has invented a better system. The alternative of the commons is too horrifying to contemplate. Injustice is preferable to total ruin."

The implication is that private owners will do a better job of caring for the environment because they want to preserve the value of their assets. In reality, scholars and activists have documented scores of cases in which the division and privatization of communally managed lands had disastrous results. Privatizing the commons has repeatedly led to deforestation, soil erosion and depletion, overuse of fertilizers and pesticides, and the ruin of ecosystems.

As Karl Marx wrote, nature requires long cycles of birth, development and regeneration, but capitalism requires short-term returns.

> "[T]he entire spirit of capitalist production, which is oriented towards the most immediate monetary profits, stands in contradiction to agriculture, which has to concern itself with the whole gamut of permanent conditions of life required by the chain of human generations. A striking illustration of this is furnished by the forests, which are only rarely managed in a way more or less corresponding to the interests of society as a whole…" (Marx 1998: 611n)

Contrary to Hardin's claims, a community that shares fields and forests has a strong incentive to protect them to the best of its ability, even if that means not maximizing current production, because those resources will be essential to the community's survival for centuries to come. Capitalist owners have the opposite incentive, because they will not survive in business if they don't maximize short-term profit. If ethanol promises bigger and faster profits than centuries-old rain forests, the trees will fall.

This focus on short-term gain has reached a point of appalling absurdity in recent best-selling books by Bjorn Lomborg, William Nordhaus and others, who argue that it is irrational to spend money to stop greenhouse gas emissions today, because the payoff is too far in the future. Other investments, they say, will produce much better returns, more quickly.

Community management isn't an infallible way of protecting shared resources: some communities have mismanaged common resources, and some commons may have been overused to extinction. But no commons-based community has capitalism's built-in drive to put current profits ahead of the well-being of future generations.

**A politically useful myth**

The truly appalling thing about "The Tragedy of the Commons" is not its lack of evidence or logic — badly researched and argued articles are not unknown in academic journals. What's shocking is the fact that this piece of reactionary nonsense has been hailed as a brilliant analysis of the causes of human suffering and environmental destruction, and adopted as a basis for social policy by supposed experts ranging from economists and environmentalists to governments and United Nations agencies.

Despite being refuted again and again, it is still used today to support private ownership and uncontrolled markets as sure-fire roads to economic growth.

The success of Hardin's argument reflects its usefulness as a pseudo-scientific explanation of global poverty and inequality, an explanation that doesn't question the dominant social and political order. It confirms the prejudices of those in power: logical and factual errors are nothing compared to the very attractive (to the rich) claim that the poor are responsible for their own poverty. The fact that Hardin's argument also blames the poor for ecological destruction is a bonus.

Hardin's essay has been widely used as an ideological response to anti-imperialist movements in the Third World and discontent among indigenous and other oppressed peoples everywhere in the world.

> "Hardin’s fable was taken up by the gathering forces of neo-liberal reaction in the 1970s, and his essay became the 'scientific' foundation of World Bank and IMF policies, viz. enclosure of commons and privatization of public property. … The message is clear: we must never treat the earth as a 'common treasury.' We must be ruthless and greedy or else we will perish." (Boal 2007)

In Canada, conservative lobbyists use arguments derived from Hardin's political tract to explain away poverty on First Nations' reserves, and to argue for further dismantling of indigenous communities. A study published by the influential Fraser Institute urges privatization of reserve land:

> "[T]hese large amounts of land, with their attendant natural resources, will never yield their maximum benefit to Canada's native people as long as they are held as collective property subject to political management. … collective property is the path of poverty, and private property is the path of prosperity." (Fraser 2002: 16-17)

This isn't just right-wing posturing. Canada's federal government, which has refused to sign the United Nations Declaration on the Rights of Indigenous Peoples, announced in 2007 that it will "develop approaches to support the development of individual property ownership on reserves," and created a $300 million fund to do just that.

In Hardin's world, poverty has nothing to do with centuries of racism, colonialism and exploitation: poverty is inevitable and natural in all times and places, the product of immutable human nature. The poor bring it on themselves by having too many babies and clinging to self-destructive collectivism.

The tragedy of the commons is a useful political myth — a scientific-sounding way of saying that there is no alternative to the dominant world order.

Stripped of excess verbiage, Hardin's essay asserted, without proof, that human beings are helpless prisoners of biology and the market. Unless restrained, we will inevitably destroy our communities and environment for a few extra pennies of profit. There is nothing we can do to make the world better or more just.

In 1844 Friedrich Engels described a similar argument as a "repulsive blasphemy against man and nature." Those words apply with full force to the myth of the tragedy of the commons.

_Ian Angus is editor of [Climate and Capitalism][3] _

——————-

Works cited in this article

* Appell, G. N. 1993. "Hardin’s Myth of the Commons: The Tragedy of Conceptual Confusions." http://tinyurl.com/5knwou
* Boal, Iain. 2007. "Interview: Specters of Malthus: Scarcity, Poverty, Apocalypse." Counterpunch,September 11, 2007. http://tinyurl.com/5vepm5
* Bromley, Daniel W. and Cernea Michael M. 1989. "The Management of Common Property Natural Resources: Some Conceptual and Operational Fallacies." World Bank Discussion Paper. http://tinyurl.com/5853qn
* Cox, Susan Jane Buck. 1985, "No Tragedy on the Commons." Environmental Ethics 7. http://tinyurl.com/5bys8h
* Engels, Friedrich. 1892. "The Mark." http://tinyurl.com/6e58e7
* Engels, Friedrich. 1844. Outlines of a Critique of Political Economy. http://tinyurl.com/5p24t5
* Fraser Institute. 2002. Individual Property Rights on Canadian Indian Reserves. http://tinyurl.com/5pjfjj
* Hardin, Garrett. 1966. Biology: Its Principles and Implications. Second edition. San Francisco. W.H. Freeman & Co.
* Hardin, Garrett. 1968. "The Tragedy of the Commons." http://tinyurl.com/o827
* Marx, Karl. [1867] 1998. Marx Engels Collected Works Vol. 37 (Capital, Vol. 3). New York: International Publishers
* Neeson, J.M. 1993. [Commoners: Common Right, Enclosure and Social Change in England, 1700-1820][14]. Cambridge University Press.

 

![Print Friendly, PDF & Email][11]![Print Friendly, PDF & Email][15]

### Share:

* [Facebook][16]
* [Reddit][17]
* [Twitter][18]
* [Email][19]
* [More][20]
* * [Google][21]
* [Pocket][22]
* * [Pinterest][23]
* [LinkedIn][24]
* * [Tumblr][25]
* Related posts… (auto-generated)
* [Once Again: 'The Myth of the Tragedy of the Commons' ][26]
* [Ecological crisis and the tragedy of the commodity ][27]
* [Fishers and plunderers: The tragedy of the commodity ][28]

#### About Ian Angus

Ian Angus is a socialist and ecosocialist activist in Canada. He is editor of the ecosocialist journal [_Climate & Capitalism][3]_. He is co-author, with Simon Butler, of [_Too Many People? Population, Immigration and the Environmental Crisis][29]_ (Haymarket, 2011), editor of the anthology [_The Global Fight for Climate Justice][30]_ (Fernwood, 2010); and author of [_Facing the Anthropocene: Fossil Capitalism and the Crisis of the Earth System][31]_ (Monthly Review Press, 2016). His latest book is [_A Redder Shade of Green: Intersections of Science and Socialism_][32] (Monthly Review Press, 2017).

[ View all posts by Ian Angus → ][33]

Posted in [Featured][34], [Food and Farming][35], [Marxist Ecology][36]

__ [Ian Angus][37]

[__ Africa: Forced to Clean Up After a Party It Didn't Attend][38]

[How Capitalism 'Solves' a Climate Disaster: Katrina, Three Years Later __][39]

### 3 Responses to _The Myth of the Tragedy of the Commons_

1. Ricardo Coelho August 26, 2008 at 10:02 am [#][40]

A very powerful critic to the racist Hardin’s theory. Keep on the good work.  
What surprises me the most is how many (way too many) left-wing activists reproduce Hardin’s arguments without thinking for a minute in its implications. But the biggest irony is that there are dozens of empirical studies that contradict this theory.

2. [Debal Deb][41] October 1, 2010 at 9:50 am [#][42]

Wonderful article. I will cite this in my critique of the mainstream economics. Indeed, Hardin’s assumption of individual herdsmen’s behavior is warranted in the standard view of economic “rationality”, which Hardin (and others) employ without thinking about human Reason.

3. Gar December 16, 2011 at 3:25 pm [#][43]

For evidence of the tragedy of the commons in action, one needs to look no further than commercially harvested wild animal species that have suffered population collapse from over-exploitation by competing individuals. The Blue whale, Atlantic cod, the Dodo bird are all perfect examples of a common resource destroyed by motives not in the interest of long-term sustained use.  
The tragedy of the commons does not argue that there is no alternative to the current world paradigm, but rather serves as a warning against following a path of private venture over-utilizing a common resource for a temporary boon in profits.

 characters left 

Please be concise

* [HOME][3]
* [About / Contact][44]
* [Notebook][45]
* [Resources][6]
* [Books & Reports][46]
* [Search][9]

### FOLLOW C&C

[**FACEBOOK:** Climate & Capitalism group][47]  
[**TWITTER:** @ecosocialism1][48]  
[**EMAIL:** Click to receive new article announcements][49]

### Past Articles

* [By Date][50]
* [By Subject][51]

### MOST-READ ARTICLES THIS WEEK

* [ New materialism: 'Idealism of the most useless sort' ][52]
* [ The progress of this storm: Nature and society in a warming world ][53]
* [ The Myth of the Tragedy of the Commons ][54]
* [ Population Control: 10 Reasons Why It's the Wrong Answer ][55]
* [ Are consumers destroying the earth? ][56]
* [ Food crisis: causes, consequences and alternatives ][57]
* [ Do seven cheap things explain the history of capitalism? ][58]

### Monthly Review

Climate & Capitalism is part of the _MR Online_ group of socialist websites.

* [Monthly Review][59]
* [MR online][60]
* [MR Press][61]
* [Michael Yates][62]

Copyright C&C

 

Send to Email Address Your Name Your Email Address ![loading][63] [Cancel][64]

Post was not sent - check your email addresses!

Email check failed, please try again

Sorry, your blog cannot share posts by email.

[1]: http://climateandcapitalism.com#navigation
[2]: http://climateandcapitalism.com/wp-content/uploads/sites/2/2015/11/candc-banner.jpg
[3]: http://climateandcapitalism.com/
[4]: http://climateandcapitalism.com
[5]: http://climateandcapitalism.com/contact-climate-and-capitalism/
[6]: http://climateandcapitalism.com/ecosocialist-resources/
[7]: http://climateandcapitalism.com/comments-policy/
[8]: http://climateandcapitalism.com/links-2/
[9]: http://climateandcapitalism.com/search/
[10]: http://climateandcapitalism.com#top
[11]: data:image/gif%3Bbase64%2CR0lGODdhAQABAPAAAP///wAAACwAAAAAAQABAEACAkQBADs%3D
[12]: http://climateandcapitalism.com/wp-content/uploads/sites/2/2008/08/Commons.jpg
[13]: http://climateandcapitalism.com/2008/11/03/once-again-the-myth-of-the-tragedy-of-the-commons/
[14]: https://books.google.ca/books?id=2CqhjjiwLtEC&redir_esc=y&hl=en
[15]: https://cdn.printfriendly.com/buttons/printfriendly-pdf-button.png
[16]: http://climateandcapitalism.com/2008/08/25/debunking-the-tragedy-of-the-commons/?share=facebook "Click to share on Facebook"
[17]: http://climateandcapitalism.com/2008/08/25/debunking-the-tragedy-of-the-commons/?share=reddit "Click to share on Reddit"
[18]: http://climateandcapitalism.com/2008/08/25/debunking-the-tragedy-of-the-commons/?share=twitter "Click to share on Twitter"
[19]: http://climateandcapitalism.com/2008/08/25/debunking-the-tragedy-of-the-commons/?share=email "Click to email this to a friend"
[20]: http://climateandcapitalism.com#
[21]: http://climateandcapitalism.com/2008/08/25/debunking-the-tragedy-of-the-commons/?share=google-plus-1 "Click to share on Google+"
[22]: http://climateandcapitalism.com/2008/08/25/debunking-the-tragedy-of-the-commons/?share=pocket "Click to share on Pocket"
[23]: http://climateandcapitalism.com/2008/08/25/debunking-the-tragedy-of-the-commons/?share=pinterest "Click to share on Pinterest"
[24]: http://climateandcapitalism.com/2008/08/25/debunking-the-tragedy-of-the-commons/?share=linkedin "Click to share on LinkedIn"
[25]: http://climateandcapitalism.com/2008/08/25/debunking-the-tragedy-of-the-commons/?share=tumblr "Click to share on Tumblr"
[26]: http://climateandcapitalism.com/2008/11/03/once-again-the-myth-of-the-tragedy-of-the-commons/ "Once Again: 'The Myth of the Tragedy of the Commons'"
[27]: http://climateandcapitalism.com/2015/07/21/ecological-crisis-and-the-tragedy-of-the-commodity-2/ "Ecological crisis and the tragedy of the commodity"
[28]: http://climateandcapitalism.com/2016/04/07/fishers-and-plunderers-the-tragedy-of-the-commodity/ "Fishers and plunderers: The tragedy of the commodity"
[29]: http://www.haymarketbooks.org/pb/Too-Many-People
[30]: https://fernwoodpublishing.ca/book/the-global-fight-for-climate-justice
[31]: http://monthlyreview.org/product/facing_the_anthropocene/
[32]: https://monthlyreview.org/product/a_redder_shade_of_green/
[33]: http://climateandcapitalism.com/author/ianangus/
[34]: http://climateandcapitalism.com/category/featured/ "View all items in Featured"
[35]: http://climateandcapitalism.com/category/food-and-farming/ "View all items in Food and Farming"
[36]: http://climateandcapitalism.com/category/marxism-ecology/ "View all items in Marxist Ecology"
[37]: http://climateandcapitalism.com/tag/ian-angus/
[38]: http://climateandcapitalism.com/2008/08/24/africa-forced-to-clean-up-after-a-party-it-didnt-attend/
[39]: http://climateandcapitalism.com/2008/08/29/how-capitalism-solves-a-climate-disaster-katrina-three-years-later/
[40]: http://climateandcapitalism.com/2008/08/25/debunking-the-tragedy-of-the-commons/#comment-368 "Direct link to this comment"
[41]: http://www.cintdis.org
[42]: http://climateandcapitalism.com/2008/08/25/debunking-the-tragedy-of-the-commons/#comment-370 "Direct link to this comment"
[43]: http://climateandcapitalism.com/2008/08/25/debunking-the-tragedy-of-the-commons/#comment-371 "Direct link to this comment"
[44]: http://climateandcapitalism.com/contact-climate-and-capitalism/ "About"
[45]: http://climateandcapitalism.com/category/notebook/
[46]: http://climateandcapitalism.com/category/books-reports/
[47]: https://www.facebook.com/groups/121827024509492/
[48]: https://twitter.com/ecosocialism1
[49]: http://www.feedblitz.com/f/?Sub=151340
[50]: http://climateandcapitalism.com/articles-by-date/
[51]: http://climateandcapitalism.com/articles-by-subject/
[52]: http://climateandcapitalism.com/2018/02/22/new-materialism-idealism-of-the-most-useless-sort/
[53]: http://climateandcapitalism.com/2018/02/19/the-progress-of-this-storm/
[54]: http://climateandcapitalism.com/2008/08/25/debunking-the-tragedy-of-the-commons/
[55]: http://climateandcapitalism.com/2009/05/30/population-control-10-reasons-why-its-the-wrong-answer/
[56]: http://climateandcapitalism.com/2011/12/03/are-consumers-destroying-the-earth/
[57]: http://climateandcapitalism.com/2010/06/27/food-crisis-causes-consequences-and-alternatives/
[58]: http://climateandcapitalism.com/2018/01/10/do-cheap-things-explain-capitalism/
[59]: http://monthlyreview.org/
[60]: https://mronline.org/
[61]: http://monthlyreview.org/press/
[62]: http://cheapmotelsandahotplate.org/
[63]: http://climateandcapitalism.com/wp-content/plugins/jetpack/modules/sharedaddy/images/loading.gif
[64]: http://climateandcapitalism.com#cancel

  [*August 25, 2008]: 2008-08-25T11:04:59-0500

