---
created_at: '2014-05-20T12:54:58.000Z'
title: Color blind gamer (2008)
url: http://blahg.res0l.net/2008/12/color-blind-gamer/
author: Serow225
points: 51
story_text: ''
comment_text: 
num_comments: 25
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1400590498
_tags:
- story
- author_Serow225
- story_7772270
objectID: '7772270'

---
[Source](http://blahg.res0l.net/2008/12/color-blind-gamer/ "Permalink to   Color blind gamer &#8212; The Goto of the Underground")

#   Color blind gamer &#8212; The Goto of the Underground

[The Goto of the Underground][1]

Caleb’s discussions on games and game development.

* [home][2]
* [archives][3]
* [about][4]

← [Viper Ride – October 12, 2007][5]

[PewPew Shooter][6] →

# Color blind gamer

December 30th, 2008 | [Game Development][7], [Games][8]

When I was in kindergarten I drew a landscape picture with crayons. My mother took one look at it and knew something was wrong with me. I had drawn the sky purple and the grass brown and the tree green. Apparently that wasn’t quite reflective of the real world.

When I was about 12 I learned that my dream of being a fighter pilot wasn’t within my reach. I was, however, lucky enough to get to do that in [October of 2008][5]. I can’t make a career of it, but I can do other things that I love. One of those things is making games.

I don’t live a different life as a color blind person. It rarely effects my day-to-day living. Things that it does effect include: I occasionally lose red objects in the lawn and I stop at all non-green flashing signals at night to ensure my safety as the yellow flashers and the red flashers are very hard to tell apart with nothing to compare them against (such as position or walk signals). I give green Sour Patch Kids to my wife when she asks for red. Other than small things like that, I live a pretty normal life.

Games are a love of mine and I enjoy most types. Color vision deficiencies (I won’t bother posting statistics. You can view them yourself at the [relevant Wikipedia page][9]) affect a small enough percentage of the population that worrying about afflicted people playing your game seems like an easy thing to dismiss, much to our chagrin.

There are a multitude of games in the wild. I figure it’s safe to say that the majority of them were developed without giving a single moment’s thought to color blind gamers. If I weren’t color blind myself, I might also dismiss it as trifling and unimportant. However, I’m in the unique position of being a gamer that makes games and has an opinion. Okay, maybe I’m not so unique.

First I’d like to point out common problems: (Links are to [Jay is Games][10] reviews)

[Stained Glass][11]. Match the colored sides of tiles.  
[Twinoo][12]. Perform math and color manipulations.  
[Loop][13]. Draw circles around same colored butterflies.

The 3 games linked all have similar problems. They use colors that look nice to the developer, but they are too similar to a color blind person. I am unable to play any of those games without quickly running into issues with the colors chosen. On Loop I run into problems on the second level. It’s a game made for young children and I can’t play it because of the color choices.

Puzzle Bobble is another game that doesn’t get it right.

![Line of colors that are hard to tell apart.][14]  
I believe there are 5 different colored bubbles visible in that screenshot. However, the orange, yellow and green are extremely hard for me to immediately tell apart. Since they are right next to each other, with some effort and time I can tell that the line of bubbles coming off of that red on the left screen are truly different. However, the game isn’t one that considers patience a virtue, and, to be an effective player, I have to make split second decisions. My split second decisions created that line.

![Group of too-similar colors.][15]  
In the top-left corner there’s a whole group of similarly colored bubbles that I just kept shooting there thinking that they’d end up popping. What makes this game even more difficult is the fact that the bubble I’m shooting starts with nothing around it to tell me what color it is. With some games that have similar colors right next to each other it’s possible to tell them apart by comparing one to its neighbor(s). This game has a large gap between target and projectile. By the time they’re close enough to do good comparisons the game is already lost. An easy fix is to make the objects have more differentiation without using new colors. Symbols or shapes, perhaps.

[PopCap Games][16] created an extremely fun game by the name of [Peggle][17]. (I’ve used [Peggle Extreme][18], available for free on [Steam][19], screenshots for this. I assume the other variants employ the same technique.) It’s a pachinko-style arcade game with cute graphics and wonderful gameplay. Orange pegs are the pegs to remove. Green pegs provide a special powerup and purple pegs are worth bonus points. Blue pegs are just filler and provide minimal points.

The developers at PopCap include a color blind mode that can be enabled from the menu. Enabling it removes the lighter highlight around the blue studs to make it easier to tell them apart from the purple studs. They also made the orange pegs a bit better looking and increased the resolution, oddly. The non-color blind oranges look a bit blurry when compared to their brethren. The best thing that PopCap did is introduce shapes to help tell the special pegs apart. The green pegs have triangles and the purple pegs have plus signs.

First, color blind mode off:  
![Peggle - Color blind mode off][20]  
Next, color blind mode on:  
![Peggle - Color blind mode on][21]

The first time I played through Peggle I found myself getting frustrated because I was unable to tell the orange and green pegs apart easily. Again, it’s far easier to tell them apart when they’re close to each other, but separated I just couldn’t tell that the green pegs were there and assumed them to be orange. Big thumbs up to the person at PopCap responsible for this change. Thanks!

That brings us to another developer that got it right. [Valve][22] recently released their phenomenal zombie apocalypse game [Left 4 Dead][23]. You can play 4 player co-op through zombie infested farms, boathouses, hospitals and airports. You can play as a zombie against human survivors in the 8 player versus mode. Basically, the game is a big pile of awesome.

Valve put their usual attention to detail to work during the creation of this game and it shows in both the standard game and in the thought they put into their own color blind mode. It can be enabled from the multiplayer menu.

The color blind mode has three settings. The first setting is off, and doesn’t change anything. The second setting causes the crosshair to turn from a light blue color to a white crosshair with a black border. As you can see in the following screenshot (or not, if you’re not color blind.), without any of the color blind modes enabled the light blue crosshair doesn’t show up well in some situations.

Crosshair example with color blind mode off (“cl_colorblind 0”):  
![Left 4 Dead - Crosshair cl_colorblind 0][24]

Setting color blind mode to the second (and third) setting allows you to see the crosshair no matter what is behind it, as illustrated in this next image (“cl_colorblind 1” or “cl_colorblind 2”):  
![][25]

The third mode builds upon the crosshair changes and also changes the colors of the health status HUD and the colors of the survivor outlines. As a survivor you are able to see your own and all other survivors’ health status at the bottom of the HUD. When you are playing as infected you are able to see moving player silhouettes that are also visible through walls. The color of the status bars and the silhouettes indicate the approximate health of the survivors, which allows you to strategically cover or target the weak links. The third setting also changes the smoker’s crosshair from a red circle to a blue-green circle when a survivor is able to be targeted.

First person smoker’s crosshair (“cl_colorblind 0”):  
![][26]

First person smoker’s crosshair (“cl_colorblind 2”):  
![][27]

The default colors for the health status bars and silhouettes aren’t easily visible to color blind people. As an infected I am nearly unable to see a survivor with medium (hp>15<=50) health through brick walls (“cl_colorblind 0” or “cl_colorblind 1”):  
![][28]

A survivor with low (hp<=15) is, for all intents and purposes, invisible to me through brick walls (“cl_colorblind 0” or “cl_colorblind 1”):  
![][29]

However, as soon as I set the color blind mode to its third option (accomplished through the console with “cl_colorblind 2”) the survivors pop right out of their blending into the wall. First medium health, then low health:  
![][30]

![][31]

The low health is especially of note because I am able to immediately discern that the person highlighted such is an excellent weak target. The colors chosen with color blind mode disabled are difficult to discern on their own even when not seen through walls. First, a survivor with medium health outlined, and then a survivor with low health outlined. Both with color blind mode disabled (“cl_colorblind 0”):  
![][32]  
![][33]

Once we enable the third color blind mode I am again able to be useful to my team because I too can pickup on the visual cues. First a survivor with medium health. Then a survivor with low health, both with color blind mode on its third setting (“cl_colorblind 2”):  
![][34]  
![][35]

As a survivor the color difference for low health has a huge impact on my ability to spot the status of myself and my teammates. First, a screenshot of a survivor’s health at 14 with color blind mode on the second setting (which only effects the crosshair) (“cl_colorblind 1”):  
![][36]

The red doesn’t pop out at me and it’s very easy for me to not notice it. Here’s the same shot with color blind mode on the third setting (“cl_colorblind 2”):  
![][37]

With color blind mode on the third setting, the  new color, some blue green variant, is of high enough contrast that it actually draws my eye to it as soon as it changes.

The same goes for bleeding survivors. First, no color blind mode, next, third color blind mode:  
![][38]  
![][39]

I hope that more developers put color blind compatibility modes, or even design to accomodate, as it doesn’t require changing an entire game, into their schedules in the future. I, as one of those “infected”, will very much appreciate it. If you have any comments or know of more games that seem to have put thought into accessibility for color blind gamers, please do share below.

* [Trenton][40]

Great stuff. Very informative. It’s good to see it doesn’t take that much more to make a game accommodating. I hope more developers keep these sorts of things in mind in the future.

* [jestyr][41]

An interesting take on gaming that many of us never even think about.

* [Cedar][42]

I wonder how much actual time and effort (read extra development cost) valve actually had to put into adding those setting options, my guess is its negligible especially when compared to the positive attention it gains them.

Thanks for sharing!

* [Wasabi][43]

It may have been more research cost actually.

The development may have been (and I am throwing a large assumption out here) just changing certain color hues to other values. Change ‘red’ to ‘green’ and maybe increase saturation or whatever.

But knowing which colors to tweak and the other highlights that they did was probably the larger challenge. How is a non-color blind person supposed to know? Even if it is explained and even if there are test methods it is a challenge for them to get it right. And for the color blind people how are they supposed to know when something is ‘missing’ or otherwise hidden in the depths of colors unless the non-color blind person tells them that they could be missing something. Catch 22. That is why I would think the additional cost would be in research (and testing) as opposed to development.

Great post. Very interesting read. Having developed applications myself (not games) I have encountered this very issue. I’m not color blind so its a bit hard for me to fully understand what I need to prepare for and testing is another issue because I have to know how to explain what I see in order for my color blind tester to provide feedback on. Reading this post I think helps because I can see some methods I hadn’t thought of using before.

* Laurie Cheers

FYI, Perfect Dark Zero featured colour-blindness options: normally enemies were colour-coded red and friends green, but you could change them to red and blue, or various other combinations.

* antilight

Thanks for writing this great article. I’m fully colorblind, (see <http://en.wikipedia.org/wiki/Achromatopsia> if you really want to know more) and it can sometimes be a hassle to play certain games. I usually have to just accept that I will lack certain information when playing some games. I wish more developers would take it into consideration, but you are correct, we are an easily dismissible minority.

I never knew about the colorblind mode in the source engine, I’m going to try it out right now. I wish I had know about it a few years ago 🙂 The newer games, TF2 and L4D, both seem a little bit easier in default mode than previous products though.

    * [l0ser][44]

antilight, thanks for reading. One of the reasons that I imagine you find L4D and TF2 a bit easier is the fact that they really put a lot of effort into silhouettes. They made sure that each class in TF2 was immediately identifiable by their shape. That’s one of the reasons the game went through so many revisions and took so long. With L4D that’s the reason that they changed from the old character models to the new ones we now see.

If you really only see grays then the color blind options in L4D may help you for the same reason it helps me. Higher contrast. You should notice things (not the environment, but the character silhouettes and health stuff as I demonstrated) pop out more. Unfortunately, I don’t think those options are in all Source games. 🙁

* Pingback: [A questão do daltonismo em gamedev | GamedevBR][45]()
* Harry

Great article. I’m colorblind (red green like you) and it was great to see instances where a developer had actually made game play less frustrating!

* B

Totally share your frustration with Puzzle Bobble – although I think perhaps my colour blindness is less severe… It’s not all bad being color blind though, on the plus side we make better snipers because we can see through camouflage better 🙂

    * [l0ser][44]

I’ve heard it said that it’s because we’re better at recognizing things by their shape rather than their color. It makes total sense to me.  
Unfortunately, many things in the military have arbitrary color assignations. I tried for several months to get in to be a SERE Specialist, but was unable to because of the requirement for them to have good color vision for parachuting duty. Why? Because the go/no-go lights are red and green. Seems like a simple thing to fix…

* [Justin][46]

Just to make sure, the contrasting photos you’re using aren’t the kind that are designed to show people without color blindness what it’s like to have the condition. 

I ask because the silhouettes for left 4 dead are much easier for me to see in color blind mode than regular mode, although I have done perfectly on several color blindness tests. In particular, the silhouette through the wall is almost invisible, as the crosshairs are pretty bad too. I’d probably play in color blind mode if I played the game.

    * [l0ser][44]

Right. I don’t think I actually said as much in the article, but I didn’t intend to show people that have perfect color vision what it’s like to see through my eyes. Rather, I was showing to the world (color blind and not) how people with my color vision problems are unable to function because of what is, to you and others that differentiate colors properly, not really a big deal.

I don’t doubt that that you are able to make out the high contrast changes better than the low contrast. It’s not a perfect solution, however. I probably should have noted that I don’t notice the change between the smoker’s crosshair from white to pale blue as easily as I notice a change from white to red. Even if I am unable to see the crosshair against the background I certainly do notice that it is no longer there. The white to blue transition doesn’t pop out at me nearly as much. The opposite stands for the blue choice for the players’ health level. The green (or orange?) to blue transition is much easier for me to notice.

Thanks for asking about that.

* Tarlbot

“Pop” – for the Wii has a color blind mode that I use – the four colors they picked look pretty much the same if I don’t use the Color blind (shapes) mode instead of the normal colored bubbles mode.

Not being able to to see Red HUD over black is a giant barrier to many games. Basically I don’t even try FPS because I assume I can’t play them.

    * [l0ser][44]

Do give Left 4 Dead a go, then. You might be pleasantly surprised.

Thanks for the heads-up on Pop. I’ll have to check that out.

* Pingback: [links for 2009-01-14 | /dev/random][47]()
* colorblind gamer

I am sending this link to everyone who has ever asked what is it like to be colorblind. This describes my gaming dilemmas perfectly.

* Pingback: [links for 2009-01-14 « Mike’s Blog][48]()
* mrpommer

Frenzic is another game that has introduced a good “colour blind” mode. I wonder if all the games with this mode makes up 8% of the games out there?

    * [Caleb][44]

<http://frenzic.com/version-history/>

Version 1.2  
Released on July 31st, 2007  
* Added custom color settings for colorblind players

Right you are. It looks like it has a setting for various color blind types. That’s pretty cool.

* anon

Thanks for the good write-up, I'll keep it in mind when I get around to finishing my open source game.

    * RobotCaleb

Awesome. I'd love to check it out when you finish.

* anon

Thanks for the good write-up, I'll keep it in mind when I get around to finishing my open source game.

* RobotCaleb

Awesome. I'd love to check it out when you finish.

* egu

Good article.   
Got a link from Battlefield Bad Company 2 forum where we are discussing problems with color blindness in the game. I am also color blind and have similar problems in real life and games.  
<http://forums.electronicarts.co.uk/battlefield->…

* anonymous123abc

just had to leave a comment hoping maybe some dev's will see it.

I am colorblind and suffered a lot because of it, no point going into detail, but I can assure you it hasnt been pleasant.

I also love gaming, and I play on a competitive level and I perform very well, but color blindness has usualy held me back from truly reaching my potential. (Sounds a bit lame since I'm talking about a game, but I find games fun, especially when taken a bit seriously)

I would like to thank the people who add colorblind mode to games.  
Some games are unplayable because im colorblind and I truly appriciate it when devs make them compatible for us with colorblindness.

Noticed Bad Company 2 have added this, I am not sure exactly what they changed, but I want to thank them for doing this.

Over 10% of all guys are colorblind, meaning probably atleast 9% of all gamers are, so it is a big crowd of people affected by something that wont take that much time developing.

Just hire some colorblind beta-testers and they can tell you what is hard to see, and what isn't.

* [Silverfish][49]

I read through the article and it was interesting! I'll make sure to keep color blind people in mind if I ever create a game, and I'll try to make the devs of the indie games I'm following aware of this so everyone can play their games.

* slimmekrema

85755…..97802

    * [Caleb][44]

?

* Pingback: [Color blind gamer][50]()
* [Carl Evans][51]

Another colourblind gamer here.

I have played games for years and had these problems the whole time. Its more frustrating when your in a multiplayer fps environment and you end up letting down, or team-killing, your team mates. Not only do you get a torrade of abuse (mostly tounge in cheek) but you also don’t feel like your giving all you can.

I’ve never considered it to be a disability in real-life or gaming but it is definate annoyance.

Its very difficult to explain to ‘non-colourblind’ people what colours you see or don’t see as I have only ever seen colours from my perspective. I can only tell them that sometimes I dont see the cross-hair (which means I tend to use the scope all the time) and in some games I see the name (tags) colour as the same.

As for shading ‘in-game’ I have no clue what is seen by other people. I may think I am in good cover and I may be in plain sight to others. 

As for puzzle games, I tend to avoid them as I know I won’t be able to play them, I will give Peggle a go but apart from that its just depressing knowing these games are intended for kids and I can’t play them.

* [Prateek Panchal][52]

WOW….Great analysis…..Never read anything like this!!!

[Color blindness][53]

* Pingback: [Colour Blindness And Videogames – A Gamer’s Perspective - The Average Gamer][54]()
* Pingback: [Colour Blindness And Videogames � A Gamer’s Perspective – The … « Info Jugaad][55]()
* Pingback: [A questão do daltonismo em gamedev | Select Game][56]()
* Loren Pechtel

Thank you for doing a good job of presenting this problem. I’m only color weak (for example, I have no problem with traffic lights) but even then I find all of your examples to be unplayable because it takes time to tell what I’m looking at.

Every game UI developer should be required to read this article before starting every new game.

* xardox

I was visiting Ocean Quigley at Maxis, the lead artist on SimCity (and many other Maxis games), and he gave me a demo of a video filter feature in SimCity that would adjust the colors so you could play the game with various sorts of color blindness.

Not only that, but it also had an “empathy filter” that would adjust the colors so people with normal color vision could see what it looked like to people with various forms of color blindness.

I think that’s an excellent accessibility feature, which should be built into the operating system or video driver, so you can apply it to all games and applications.

Not only are the filters to adjust the colors for color blind people useful, but also the empathy filters are useful for developers and designers who want to test their applications and designs to make sure they’re usable by color blind people.

<http://www.oceanquigley.com/>

<http://oceanquigley.blogspot.nl/>

I’m not color blind myself (but I’m supportive ;), and I don’t know much about how it works. So I wonder if for any given kind (or instance) of color blindness, if there is a single (or multiple) color mappings that would make all colors distinguishable (enough), or if it would be better to be able to adjust the color mappings on an application-by-application basis?

For example, you might want to use a different color mapping for Flower than for Doom.

This seems like something Apple should do, since they’re so good at accessibility, and they used to have a very colorful logo, but something happened to it over the years.

<https://en.wikipedia.org/wiki/Flower_(video_game)>

<https://en.wikipedia.org/wiki/Doom_(video_game)>

* Jacob Peck

As someone who is not colorblind, I just want to say that I’ve *always* had trouble differentiating the orange and yellow bubbles in Bubble Bobble.

I feel like UX designers and game designers really need to pay more attention to this issue. Thank you for your well-written and thoughtful analysis of the issue. This was a good read on a topic I’ve always been interested in. 🙂

* JBT48

good advocacy 🙂 I hope in the future all game developers will consider this.

* ## Search
* ## Latest Blog Entries

    * [Bastet – Bastard Tetris (updated)][57]
    * [PewPew Shooter][6]
    * [Color blind gamer][58]
    * [Viper Ride – October 12, 2007][5]
    * [The end of an era][59]
* ## Categories

    * [Adventures][60]
    * [Game Development][7]
    * [Games][8]
    * [Job][61]
    * [Life][62]
* ## Blogroll

    * [When Ish is Enough][63]

© The Goto of the Underground — [Copyblogger][64] theme design by [Chris Pearson][65]

[1]: http://blahg.res0l.net "The Goto of the Underground"
[2]: http://blahg.res0l.net
[3]: http://blahg.res0l.net/archives/
[4]: http://blahg.res0l.net/about/
[5]: http://blahg.res0l.net/2008/10/viper-ride-october-12-2007/
[6]: http://blahg.res0l.net/2009/01/pewpew-shooter/
[7]: http://blahg.res0l.net/category/game-development/
[8]: http://blahg.res0l.net/category/games/
[9]: http://en.wikipedia.org/wiki/Color_blindness "Color blindness article on Wikipedia"
[10]: http://jayisgames.com/ "Jay is Games"
[11]: http://jayisgames.com/archives/2007/02/stained_glass.php "Stained Glass. Match the colored sides of tiles."
[12]: http://jayisgames.com/archives/2005/03/twinoo.php "Twinoo. Perform math and color manipulations."
[13]: http://jayisgames.com/archives/2004/12/loop.php "Loop. Draw circles around same colored butterflies."
[14]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/puzzlebobble1-300x300-0-img87.jpg "Puzzle Bobble 4"
[15]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/puzzlebobble2-300x300-0-img88.jpg "Puzzle Bobble 4"
[16]: http://www.popcap.com/
[17]: http://www.popcap.com/games/peggle
[18]: http://store.steampowered.com/app/3483/
[19]: http://store.steampowered.com/
[20]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/peggle3cboff-300x300-0-img85.jpg "Peggle - Color blind off"
[21]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/peggle3cbon-300x300-0-img86.jpg "Peggle - Color blind on"
[22]: http://www.valvesoftware.com/
[23]: http://www.l4d.com/
[24]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/crosshaircboff-300x300-0-img79.jpg "Left 4 Dead - Crosshair cl_colorblind 0"
[25]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/crosshaircbon1-300x300-0-img80.jpg
[26]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/smokercboff-300x300-0-img89.jpg
[27]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/smokercbon-300x300-0-img90.jpg
[28]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/survivormediumhealthbehindwallcboff-300x300-0-img97.jpg
[29]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/survivorlowhealthbehindwallcboff-300x300-0-img93.jpg
[30]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/survivormediumhealthbehindwallcbon-300x300-0-img98.jpg
[31]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/survivorlowhealthbehindwallcbon-300x300-0-img94.jpg
[32]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/survivormediumhealthcboff-300x300-0-img99.jpg
[33]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/survivorlowhealthcboff-300x300-0-img95.jpg
[34]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/survivormediumhealthcbon-300x300-0-img76.jpg
[35]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/survivorlowhealthcbon-300x300-0-img96.jpg
[36]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/14hpcboff-300x300-0-img77.jpg
[37]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/14hpcbon-300x300-0-img78.jpg
[38]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/survivorbleedingcboff-300x300-0-img91.jpg
[39]: http://blahg.res0l.net/wp-content/uploads/photojar/cache/survivorbleedingcbon-300x300-0-img92.jpg
[40]: http://www.trentish.com
[41]: http://www.lancamp.org
[42]: http://bushidopirate.com
[43]: http://www.lancamp.com
[44]: http://l0ser.net
[45]: http://www.gamedevbr.com/a-questao-do-daltonismo-em-gamedev/
[46]: http://hyperpapeterie.wordpress.com
[47]: http://mcdevzone.com/2009/01/14/links-for-2009-01-14/
[48]: http://mike3k.wordpress.com/2009/01/14/links-for-2009-01-14/
[49]: http://www.thehumanpond.com/
[50]: http://www.tacticalgamer.com/general-discussion/173338-color-blind-gamer.html#post1601861
[51]: http://www.facebook.com/people/Carl-Evans/529613017
[52]: http://pulse.yahoo.com/_TK2O6O3T7USB47OOIR76L5RXYU
[53]: http://www.eyehealthguide.net/color-blindness.html
[54]: http://www.theaveragegamer.com/2011/07/12/colour-blindness-and-videogames-a-gamers-perspective/
[55]: http://infojugaad.com/visual-impairment-articles/colour-blindness-and-videogames-%ef%bf%bd-a-gamers-perspective-the
[56]: http://www.selectgame.com.br/a-questao-do-daltonismo-em-gamedev/
[57]: http://blahg.res0l.net/2009/01/bastet-bastard-tetris/
[58]: http://blahg.res0l.net/2008/12/color-blind-gamer/
[59]: http://blahg.res0l.net/2008/10/the-end-of-an-era/
[60]: http://blahg.res0l.net/category/adventures/
[61]: http://blahg.res0l.net/category/job/
[62]: http://blahg.res0l.net/category/life/
[63]: http://www.trentish.com/blog.html "Trenton Kennedy’s blog"
[64]: http://www.copyblogger.com
[65]: http://pearsonified.com

