---
created_at: '2014-12-08T21:35:14.000Z'
title: First number not in Google? (2008)
url: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html
author: nikolaypavlov
points: 46
story_text: ''
comment_text: 
num_comments: 25
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1418074514
_tags:
- story
- author_nikolaypavlov
- story_8719349
objectID: '8719349'

---
[Source](http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html "Permalink to God Plays Dice: First number not in Google?")

# God Plays Dice: First number not in Google?

#  [ God Plays Dice ][1]

A random walk through mathematics -- mostly through the random part.

## 07 September 2008

###  First number not in Google? 

[Walking Randomly][2] asks: what's the smallest positive integer that gives no Google hits?  
  
I don't know exactly, but it's in the high eight digits. Why, you ask?  
  
Well, I searched a series of numbers, starting with 1 and roughly doubling. This gave the following data: 

| ----- |
| Search string | Number of hits |   

| 13033319 |  158 |   

| 26066638 |  37 |   

| 52133277 |  17 |   

| 104266555 |  12 |   

| 208533110 |  4 | 

  
(Each number in the left column is either twice the previous one, or twice the previous one plus one.)   
  
So here's what I'm thinking; numbers around 26 million, have, on average, 37 google hits. Since containing a given number is a Rare Event, I'm guessing that we can treat the number of hits of numbers around that magnitude as Poisson with parameter 37. The probability that a Poisson(37) random variable is equal to zero is exp(-37), or about one in 1016. So the first integer with no Google hits is probably larger than 26 million.  
  
But by the same argument, numbers around 52 million have probability exp(-17), or about one in 25 million, of having no Google hits. So we expect one between, say, 52 million and 77 million.  
  
And by the time we get up near 100 million, we should be seeing these numbers at a frequency of one in exp(12), or six in a million; they should become commonplace.  
  
To get a better model, I'd take more samples. The number of Google hits for a number seems to follow a power law; the number of hits for _n_ is a constant times n-α for some exponent α, somewhere between 1 and 1.5. (There are issues around saying that things follow power laws, though; it's easy to see them even when they're not there.) And there are various complications -- for example, powers of ten and powers of two are more common than the numbers around them. And how do we know that the occurrence of a number on various web pages is actually independent? To be honest, we don't; if a number exists on a web page, it's there for a reason, and if one person has something to say about it, why not someone else? 

Posted by  [ Michael Lugo ][3] at  [6:28 AM][4] [ ![][5] ][6] [ ![][7] ][8]

Labels: [Google][9], [Poisson][10]

#### 15 comments:

![][11][ ][12]

[jd2718][12] said... 
: 

And if you knew exactly, you couldn't really say. (If you did, Google might pick it up...)  
  
Jonathan 

:  [ September 7, 2008 at 7:48 AM ][13] [ ![][14] ][15]

![][16][ ][17]

[plam][17] said... 
: 

Well, there may be a bunch of 8-digit numbers not in Google, but when you get to the 9-digit range, you'll pick up a lot of numbers of the form 617 253 8800. Some prefixes won't be represented, of course, but there are a lot more 9-digit numbers than there would otherwise be. 

:  [ September 7, 2008 at 8:13 AM ][18] [ ![][14] ][19]

![][20][ ][21]

[Michael Lugo][21] said... 
: 

plam, I assume your choice of number was not accidental, although I didn't recognize the last four digits at first. (And on a related note, I'd expect 617253xxxx to be seriously overrepresented. Although maybe not -- MIT people would perhaps be unlikely to put their phone numbers on their web pages. Nobody uses phones there.)  
  
On a similar note, while playing around with this I noticed that numbers equal to or slightly less than 2008 tend to be overrepresented, because they often refer to years. (2008 is more common than 6, and twenty times as common as 2009.) And five-digit numbers have interpretations as US zip codes, so for example 90210 is much more common than 90209 or 90211. And 02138, 02139, 02142 are more common than 02140, 02141 -- which makes sense if you look at a [map of Cambridge zip codes][22] and think about which areas of Cambridge are likely to be more internet-heavy, but the leading zero means that wouldn't show up in the search I was talking about. 

:  [ September 7, 2008 at 8:30 AM ][23] [ ![][14] ][24]

![][25][ ][26]

[niklas][26] said... 
: 

348494233 doesn't have any hits on Google, let's see how that lasts. 

:  [ September 7, 2008 at 8:34 AM ][27] [ ![][14] ][28]

![][29][ ][30]

[Mark][30] said... 
: 

Wouldn't it make more sense to fit some kind of power law distribution over the numbers rather than a Poisson distribution?   
  
To quickly test this, I took the number 13033319 and repeatedly incremented the first digit to see if the resulting distribution fit with Benford's law. Here's what I got:  
  
13033319: 157   
  
23033319: 81  
  
33033319: 33  
  
43033319: 39  
  
53033319: 10  
  
63033319: 46  
  
73033319: 65  
  
83033319: 23  
  
93033319: 23  
  
So not a great fit for Benford's law but it's suggestive. 

:  [ September 7, 2008 at 3:57 PM ][31] [ ![][14] ][32]

![][20][ ][21]

[Michael Lugo][21] said... 
: 

Mark, I wasn't entirely clear. What I meant is that there should be a power law for the "expected" number of google hits for a certain number (where the expectation is taken over some ensemble of Internets) and then the fluctuations from that expectation are given by the Poisson distribution. 

:  [ September 7, 2008 at 4:16 PM ][33] [ ![][14] ][34]

![][29][ ][30]

[Mark][30] said... 
: 

Thanks for clarifying that. I think I follow your argument now.  
  
I'm half tempted to write a script that performs a search for the smallest number but considering the sheer number of queries it would have to make I'm sure it would be against Google's terms of service. 

:  [ September 7, 2008 at 7:36 PM ][35] [ ![][14] ][36]

![][37]

Anonymous said... 
: 

niklas... nice. We used to have an upper boung.... 

:  [ September 7, 2008 at 11:22 PM ][38] [ ![][14] ][39]

![][16][ ][17]

[plam][17] said... 
: 

michael, you might recognize that number in the encoding 'DEF TUV TUV OPER OPER', as seen on posters everywhere at MIT.  
  
mark, that might be a script best run from within Google... 

:  [ September 8, 2008 at 2:29 PM ][40] [ ![][14] ][41]

![][20][ ][21]

[Michael Lugo][21] said... 
: 

yes, after I googled it I realized that the "DEF TUV TUV OPER OPER" form was more memorable. It's fortunate that they have a number such that all those strings are pronounceable; if their phone number has, say, 7s in it, people would be wondering "um, how do I pronounce 'PQRS'?" 

:  [ September 8, 2008 at 2:32 PM ][42] [ ![][14] ][43]

![][44][ ![][45]][46]

[Zach][46] said... 
: 

So, I took the number in the origianl post that indicated that it had 4 hits. And entered it into Google search (used double quotes around the number). I expected it to have 5 hits (since the original post would account for the 5th hit).  
  
And sure enough there were 5 hits.  
  
:o) 

:  [ September 10, 2008 at 8:48 AM ][47] [ ![][14] ][48]

![][49][ ][50]

[David][50] said... 
:  This comment has been removed by the author.

:  [ September 12, 2008 at 1:27 PM ][51] [ ![][14] ][52]

![][53][ ][54]

[scaliger][54] said... 
: 

The distribution is skewed in non-mathematical ways. 5-digit numbers are zipcodes, 7-digit numbers are phone numbers, 8-digit with leading zero are also phone numbers, 10-digit are phone numbers with area codes (or Social Security numbers or ISBNs), 13-digit are EANs, 16-digit are credit card numbers. If you allow leading zeroes, 9-digit "numbers" not in Google's database are common. That makes for a lumpy distribution. 

:  [ September 21, 2008 at 11:51 AM ][55] [ ![][14] ][56]

![][57][ ][58]

[unapologetic][58] said... 
: 

scaliger, your SSN has 10 digits? Dammit, I _knew_ the gummint was cheating me! 

:  [ September 21, 2008 at 2:39 PM ][59] [ ![][14] ][60]

![][61]

Derek Jones said... 
: 

The following paper provides some intersting insights: [Frequency of occurrence of numbers in the World Wide Web][62]

:  [ September 26, 2008 at 3:05 PM ][63] [ ![][14] ][64]

[Post a Comment][65]

#### [][66][

[Newer Post][67] [Older Post][68] [Home][1]

Subscribe to: [Post Comments (Atom)][69]

![website metrics][70]

[ ![][71] ][72]

![][73][Subscribe in a reader][74]

![][75]

[ ![][71] ][76]

## Blog Archive

* [ ►  ][77] [ 2012 ][78] (1)
    * [ February ][79] (1)
* [ ►  ][77] [ 2011 ][80] (46)
    * [ December ][81] (3)
    * [ November ][82] (3)
    * [ October ][83] (1)
    * [ September ][84] (2)
    * [ August ][85] (6)
    * [ July ][86] (1)
    * [ June ][87] (2)
    * [ May ][88] (3)
    * [ April ][89] (5)
    * [ March ][90] (8)
    * [ February ][91] (10)
    * [ January ][92] (2)
* [ ►  ][77] [ 2010 ][93] (35)
    * [ July ][94] (1)
    * [ June ][95] (6)
    * [ May ][96] (10)
    * [ April ][97] (6)
    * [ March ][98] (9)
    * [ January ][99] (3)
* [ ►  ][77] [ 2009 ][100] (122)
    * [ December ][101] (3)
    * [ October ][102] (2)
    * [ September ][103] (7)
    * [ August ][104] (5)
    * [ July ][105] (9)
    * [ June ][106] (7)
    * [ May ][107] (6)
    * [ April ][108] (7)
    * [ March ][109] (18)
    * [ February ][110] (27)
    * [ January ][111] (31)
* [ ▼  ][77] [ 2008 ][112] (375)
    * [ December ][113] (31)
    * [ November ][114] (34)
    * [ October ][115] (25)
    * [ September ][116] (25)
    * [ August ][117] (22)
    * [ July ][118] (33)
    * [ June ][119] (30)
    * [ May ][120] (28)
    * [ April ][121] (33)
    * [ March ][122] (37)
    * [ February ][123] (36)
    * [ January ][124] (41)
* [ ►  ][77] [ 2007 ][125] (379)
    * [ December ][126] (42)
    * [ November ][127] (50)
    * [ October ][128] (57)
    * [ September ][129] (55)
    * [ August ][130] (69)
    * [ July ][131] (83)
    * [ June ][132] (23)

[ ![][71] ][133]

## Contributors

* [Michael Lugo][134]
* [Michael Lugo][21]

[ ![][71] ][135]

## Other blogs

* [An American Physics Student in England][136]
* [Anarchaia][137]
* [Arcadian Functor][138]
* [Ars Mathematica][139]
* [Brown Sharpie][140]
* [Casting Out Nines][141]
* [Confessions of a Mathematician][142]
* [Data Mining: Text Mining, Visualization and Social Media][143]
* [Freakonomics][144]
* [Game Theorist][145]
* [Good Math, Bad Math][146]
* [Gooseania][147]
* [Gowers's Weblog][148]
* [http://mathnotations.blogspot.com][149]
* [Information Aesthetics][150]
* [Information Processing][151]
* [Junk Charts][152]
* [Language Log][153]
* [Learning Curves][154]
* [Machine Learning (Theory)][155]
* [Math Notations][149]
* [MathTrek][156]
* [Science After Sunclipse][157]
* [Scientific Curiosity][158]
* [SciTalks][159]
* [Secret Blogging Seminar][160]
* [Sentient Developments][161]
* [Statistical Modeling, Causal Inference, and Social Science][162]
* [Statistics Consulting Blog][163]
* [Terence Tao's blog][164]
* [The Everything Seminar][165]
* [The Narrow Road][166]
* [The Unapologetic Mathematician][58]
* [The Universe of Discourse][167]
* [Vlorbik on Math Ed][168]
* [WebDiarios de Motocicleta][169]
* [Wingie][170]
* [Wolfram Blog][171]
* [WSJ.com: The Numbers Guy][172]

[ ![][71] ][173]

[1]: http://godplaysdice.blogspot.com/
[2]: http://www.walkingrandomly.com/?p=157#comment-6936
[3]: https://www.blogger.com/profile/15671307315028242949 "author profile"
[4]: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html "permanent link"
[5]: https://resources.blogblog.com/img/icon18_email.gif
[6]: https://www.blogger.com/email-post.g?blogID=264226589944705290&postID=7747526352440346482 "Email Post"
[7]: https://resources.blogblog.com/img/icon18_edit_allbkg.gif
[8]: https://www.blogger.com/post-edit.g?blogID=264226589944705290&postID=7747526352440346482&from=pencil "Edit Post"
[9]: http://godplaysdice.blogspot.com/search/label/Google
[10]: http://godplaysdice.blogspot.com/search/label/Poisson
[11]: http://lh3.googleusercontent.com/Rw_wdkZHfDXh8tDEBFF1Q3aSS_nDE-gMVWNfOHb7a2nIp2XuWAmJyGISHv9akZE%3Ds35 "jd2718"
[12]: http://jd2718.wordpress.com/
[13]: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html?showComment=1220798880000#c3152394652116494358 "comment permalink"
[14]: https://resources.blogblog.com/img/icon_delete13.gif
[15]: https://www.blogger.com/delete-comment.g?blogID=264226589944705290&postID=3152394652116494358 "Delete Comment"
[16]: http://img1.blogblog.com/img/blank.gif "plam"
[17]: http://patricklam.ca
[18]: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html?showComment=1220800380000#c5599468493823768218 "comment permalink"
[19]: https://www.blogger.com/delete-comment.g?blogID=264226589944705290&postID=5599468493823768218 "Delete Comment"
[20]: http://lh3.googleusercontent.com/zFdxGE77vvD2w5xHy6jkVuElKv-U9_9qLkRYK8OnbDeJPtjSZ82UPq5w6hJ-SA%3Ds35 "Michael Lugo"
[21]: https://www.blogger.com/profile/15671307315028242949
[22]: http://www.cambridgema.gov/CityOfCambridge_Content/documents/ZipCodeMap.pdf
[23]: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html?showComment=1220801400000#c4094412862259324122 "comment permalink"
[24]: https://www.blogger.com/delete-comment.g?blogID=264226589944705290&postID=4094412862259324122 "Delete Comment"
[25]: http://lh3.googleusercontent.com/zFdxGE77vvD2w5xHy6jkVuElKv-U9_9qLkRYK8OnbDeJPtjSZ82UPq5w6hJ-SA%3Ds35 "niklas"
[26]: https://www.blogger.com/profile/03696482187147941080
[27]: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html?showComment=1220801640000#c2607555292255593615 "comment permalink"
[28]: https://www.blogger.com/delete-comment.g?blogID=264226589944705290&postID=2607555292255593615 "Delete Comment"
[29]: http://img1.blogblog.com/img/blank.gif "Mark"
[30]: http://mark.reid.name
[31]: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html?showComment=1220828220000#c8834416340446267732 "comment permalink"
[32]: https://www.blogger.com/delete-comment.g?blogID=264226589944705290&postID=8834416340446267732 "Delete Comment"
[33]: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html?showComment=1220829360000#c8474323245700203161 "comment permalink"
[34]: https://www.blogger.com/delete-comment.g?blogID=264226589944705290&postID=8474323245700203161 "Delete Comment"
[35]: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html?showComment=1220841360000#c459836234186439283 "comment permalink"
[36]: https://www.blogger.com/delete-comment.g?blogID=264226589944705290&postID=459836234186439283 "Delete Comment"
[37]: http://img1.blogblog.com/img/blank.gif "Anonymous"
[38]: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html?showComment=1220854920000#c1002890362129544882 "comment permalink"
[39]: https://www.blogger.com/delete-comment.g?blogID=264226589944705290&postID=1002890362129544882 "Delete Comment"
[40]: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html?showComment=1220909340000#c1842547705954689532 "comment permalink"
[41]: https://www.blogger.com/delete-comment.g?blogID=264226589944705290&postID=1842547705954689532 "Delete Comment"
[42]: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html?showComment=1220909520000#c8468766920673555698 "comment permalink"
[43]: https://www.blogger.com/delete-comment.g?blogID=264226589944705290&postID=8468766920673555698 "Delete Comment"
[44]: https://img1.blogblog.com/img/blank.gif "Zach"
[45]: http://www.radgrafix.com/~zachcox/zach_23_small.jpg
[46]: https://www.blogger.com/profile/12409717929678347416
[47]: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html?showComment=1221061680000#c6324031147083604650 "comment permalink"
[48]: https://www.blogger.com/delete-comment.g?blogID=264226589944705290&postID=6324031147083604650 "Delete Comment"
[49]: http://lh3.googleusercontent.com/zFdxGE77vvD2w5xHy6jkVuElKv-U9_9qLkRYK8OnbDeJPtjSZ82UPq5w6hJ-SA%3Ds35 "David"
[50]: https://www.blogger.com/profile/18103666002296573362
[51]: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html?showComment=1221251220000#c8191792142337097493 "comment permalink"
[52]: https://www.blogger.com/delete-comment.g?blogID=264226589944705290&postID=8191792142337097493 "Delete Comment"
[53]: http://lh3.googleusercontent.com/Rw_wdkZHfDXh8tDEBFF1Q3aSS_nDE-gMVWNfOHb7a2nIp2XuWAmJyGISHv9akZE%3Ds35 "scaliger"
[54]: http://profile.typekey.com/scaliger/
[55]: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html?showComment=1222023060000#c7699900414327642024 "comment permalink"
[56]: https://www.blogger.com/delete-comment.g?blogID=264226589944705290&postID=7699900414327642024 "Delete Comment"
[57]: http://lh3.googleusercontent.com/Rw_wdkZHfDXh8tDEBFF1Q3aSS_nDE-gMVWNfOHb7a2nIp2XuWAmJyGISHv9akZE%3Ds35 "unapologetic"
[58]: http://unapologetic.wordpress.com/
[59]: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html?showComment=1222033140000#c3383205369966481580 "comment permalink"
[60]: https://www.blogger.com/delete-comment.g?blogID=264226589944705290&postID=3383205369966481580 "Delete Comment"
[61]: http://img1.blogblog.com/img/blank.gif "Derek Jones"
[62]: http://godplaysdice.blogspot.com/sweet.ua.pt/~a29583/research/PhysicaA_final.pdf
[63]: http://godplaysdice.blogspot.com/2008/09/first-number-not-in-google.html?showComment=1222466700000#c5367430625372945779 "comment permalink"
[64]: https://www.blogger.com/delete-comment.g?blogID=264226589944705290&postID=5367430625372945779 "Delete Comment"
[65]: https://www.blogger.com/comment.g?blogID=264226589944705290&postID=7747526352440346482
[66]: 
[67]: http://godplaysdice.blogspot.com/2008/09/doubly-mutilated-chessboard-problem-not.html "Newer Post"
[68]: http://godplaysdice.blogspot.com/2008/09/lexicographical-copout.html "Older Post"
[69]: http://godplaysdice.blogspot.com/feeds/7747526352440346482/comments/default
[70]: http://c27.statcounter.com/counter.php?sc_project=2658853&java=0&security=d020961c&invisible=0
[71]: https://resources.blogblog.com/img/icon18_wrench_allbkg.png
[72]: //www.blogger.com/rearrange?blogID=264226589944705290&widgetType=HTML&widgetId=HTML1&action=editWidget&sectionId=sidebartop "Edit"
[73]: http://www.feedburner.com/fb/images/pub/feed-icon32x32.png
[74]: http://feeds.feedburner.com/GodPlaysDice "Subscribe to my feed"
[75]: http://feeds.feedburner.com/~fc/GodPlaysDice?bg=99CCFF&fg=444444&anim=0
[76]: //www.blogger.com/rearrange?blogID=264226589944705290&widgetType=HTML&widgetId=HTML2&action=editWidget&sectionId=sidebar "Edit"
[77]: javascript:void(0)
[78]: http://godplaysdice.blogspot.com/2012/
[79]: http://godplaysdice.blogspot.com/2012/02/
[80]: http://godplaysdice.blogspot.com/2011/
[81]: http://godplaysdice.blogspot.com/2011/12/
[82]: http://godplaysdice.blogspot.com/2011/11/
[83]: http://godplaysdice.blogspot.com/2011/10/
[84]: http://godplaysdice.blogspot.com/2011/09/
[85]: http://godplaysdice.blogspot.com/2011/08/
[86]: http://godplaysdice.blogspot.com/2011/07/
[87]: http://godplaysdice.blogspot.com/2011/06/
[88]: http://godplaysdice.blogspot.com/2011/05/
[89]: http://godplaysdice.blogspot.com/2011/04/
[90]: http://godplaysdice.blogspot.com/2011/03/
[91]: http://godplaysdice.blogspot.com/2011/02/
[92]: http://godplaysdice.blogspot.com/2011/01/
[93]: http://godplaysdice.blogspot.com/2010/
[94]: http://godplaysdice.blogspot.com/2010/07/
[95]: http://godplaysdice.blogspot.com/2010/06/
[96]: http://godplaysdice.blogspot.com/2010/05/
[97]: http://godplaysdice.blogspot.com/2010/04/
[98]: http://godplaysdice.blogspot.com/2010/03/
[99]: http://godplaysdice.blogspot.com/2010/01/
[100]: http://godplaysdice.blogspot.com/2009/
[101]: http://godplaysdice.blogspot.com/2009/12/
[102]: http://godplaysdice.blogspot.com/2009/10/
[103]: http://godplaysdice.blogspot.com/2009/09/
[104]: http://godplaysdice.blogspot.com/2009/08/
[105]: http://godplaysdice.blogspot.com/2009/07/
[106]: http://godplaysdice.blogspot.com/2009/06/
[107]: http://godplaysdice.blogspot.com/2009/05/
[108]: http://godplaysdice.blogspot.com/2009/04/
[109]: http://godplaysdice.blogspot.com/2009/03/
[110]: http://godplaysdice.blogspot.com/2009/02/
[111]: http://godplaysdice.blogspot.com/2009/01/
[112]: http://godplaysdice.blogspot.com/2008/
[113]: http://godplaysdice.blogspot.com/2008/12/
[114]: http://godplaysdice.blogspot.com/2008/11/
[115]: http://godplaysdice.blogspot.com/2008/10/
[116]: http://godplaysdice.blogspot.com/2008/09/
[117]: http://godplaysdice.blogspot.com/2008/08/
[118]: http://godplaysdice.blogspot.com/2008/07/
[119]: http://godplaysdice.blogspot.com/2008/06/
[120]: http://godplaysdice.blogspot.com/2008/05/
[121]: http://godplaysdice.blogspot.com/2008/04/
[122]: http://godplaysdice.blogspot.com/2008/03/
[123]: http://godplaysdice.blogspot.com/2008/02/
[124]: http://godplaysdice.blogspot.com/2008/01/
[125]: http://godplaysdice.blogspot.com/2007/
[126]: http://godplaysdice.blogspot.com/2007/12/
[127]: http://godplaysdice.blogspot.com/2007/11/
[128]: http://godplaysdice.blogspot.com/2007/10/
[129]: http://godplaysdice.blogspot.com/2007/09/
[130]: http://godplaysdice.blogspot.com/2007/08/
[131]: http://godplaysdice.blogspot.com/2007/07/
[132]: http://godplaysdice.blogspot.com/2007/06/
[133]: //www.blogger.com/rearrange?blogID=264226589944705290&widgetType=BlogArchive&widgetId=BlogArchive1&action=editWidget&sectionId=sidebar "Edit"
[134]: https://www.blogger.com/profile/01950197848369071260
[135]: //www.blogger.com/rearrange?blogID=264226589944705290&widgetType=Profile&widgetId=Profile1&action=editWidget&sectionId=sidebar "Edit"
[136]: http://fliptomato.wordpress.com/
[137]: http://anarchaia.org/
[138]: http://kea-monad.blogspot.com/
[139]: http://www.arsmathematica.net/
[140]: http://brownsharpie.courtneygibbons.org/
[141]: http://castingoutnines.wordpress.com/
[142]: http://www.virtualcourtney.com/
[143]: http://datamining.typepad.com/data_mining/
[144]: http://www.freakonomics.com/
[145]: http://gametheorist.blogspot.com/
[146]: http://scienceblogs.com/goodmath/
[147]: http://gooseania.blogspot.com/
[148]: http://gowers.wordpress.com/
[149]: http://mathnotations.blogspot.com/
[150]: http://www.infosthetics.com/
[151]: http://infoproc.blogspot.com/
[152]: http://junkcharts.typepad.com/
[153]: http://itre.cis.upenn.edu/~myl/languagelog/
[154]: http://learningcurves.blogspot.com/
[155]: http://hunch.net/
[156]: http://blog.sciencenews.org/mathtrek/
[157]: http://www.sunclipse.org/
[158]: http://scientificcuriosity.blogspot.com/
[159]: http://scitalks.wordpress.com/
[160]: http://sbseminar.wordpress.com/
[161]: http://sentientdevelopments.blogspot.com/
[162]: http://www.stat.columbia.edu/~cook/movabletype/mlm/
[163]: http://statconsultant.blogspot.com/
[164]: http://terrytao.wordpress.com/
[165]: http://cornellmath.wordpress.com/
[166]: http://jedidiah.stuff.gen.nz/wp/
[167]: http://blog.plover.com/
[168]: http://vlorbik.wordpress.com/
[169]: http://infoweekly.blogspot.com/
[170]: http://www.wingie.org/
[171]: http://blog.wolfram.com/
[172]: http://blogs.wsj.com/numbersguy/
[173]: //www.blogger.com/rearrange?blogID=264226589944705290&widgetType=LinkList&widgetId=LinkList1&action=editWidget&sectionId=sidebar "Edit"

  [*[6:28 AM]: 2008-09-07T06:28:00-07:00

