---
created_at: '2015-09-06T16:19:01.000Z'
title: What F. Scott Fitzgerald’s tax returns reveal about his life and times (2009)
url: https://theamericanscholar.org/living-on-500000-a-year/
author: danso
points: 69
story_text: 
comment_text: 
num_comments: 35
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1441556341
_tags:
- story
- author_danso
- story_10178048
objectID: '10178048'

---
[Source](https://theamericanscholar.org/living-on-500000-a-year/ "Permalink to The American Scholar: Living on $500,000 a Year - William J. Quirk")

# The American Scholar: Living on $500,000 a Year - William J. Quirk

![][1]

Toggle navigation

* [Home][2]
* [Daily Scholar][3]
* [Current Issue][4]
* [Past Issues][5]
* [Essays][6]
* [Book Reviews][7]
* [Podcast][8]
* [Subscribe][9]

![][1]

* [Home][2]
* [Daily Scholar][3]
* [Current Issue][4]
* [Past Issues][5]
* [Essays][6]
* [Book Reviews][7]
* [Podcast][8]
* [Subscribe][9]

####  [Book Essay][10] \- [Autumn 2009][11]

# Living on $500,000 a Year

[Print][12]

What F. Scott Fitzgerald's tax returns reveal about his life and times

![][13]

Leonardo DiCaprio as Jay Gatsby (Warner Brothers)

### By William J. Quirk

#### 

September 1, 2009

  

 

![][13]

 

_“Youth is unfortunately not a permanent condition of life.” _—F. Scott Fitzgerald

Several years ago, my colleague and friend Matthew Bruccoli, an English professor and author of books about 20th-century American writers, made a surprising request. He said he had F. Scott Fitzgerald's income tax returns covering his working life, 1919–1940, and asked if I would like to write an article with him based on the returns. Matt was for many years a good friend of Fitzgerald's daughter, Scottie, and in her will she had appointed him a trustee for the trust she had set up for her four children. It seemed to me such an amazing find; I asked Matt how he had obtained the returns. One day, he said, while he was helping Scottie organize things, they came across the tax returns. Scottie, saying that they wouldn't interest anyone, was going to throw them out. Matt, who didn't believe in throwing anything out, asked if he could take them. He sent the returns to me; Matt's death in June of 2008 meant I would have to write the article without him.

What can be learned from Fitzgerald's tax returns? To start with, his popular reputation as a careless spendthrift is untrue. Fitzgerald was always trying to follow conservative financial principles. Until 1937 he kept a ledger—as if he were a grocer—a meticulous record of his earnings from each short story, play, and novel he sold. The 1929 ledger recorded items as small as royalties of $5.10 from the American edition of _The Great Gatsby_ and $0.34 from the English edition. No one could call Fitzgerald frugal, but he was always trying to save money—at least until his wife Zelda's illness, starting in 1929, put any idea of saving out of the question. The ordinary person saves to protect against some distant rainy day. Fitzgerald had no interest in that. To him saving meant freedom to work on his novels without interruptions caused by the economic necessity of writing short stories. The short stories were his main source of revenue.

Until the Hollywood years (1937–40), Fitz­gerald handwrote his income tax returns. During the Hollywood years, the returns were prepared by accountants and typed. He, of course, kept his ledgers by hand. Regardless of how they were transcribed, the returns and the ledgers reveal a great deal about Fitzgerald—how he lived and how he struggled.

The ledger for 1919 shows earnings from short-story sales of $879, an amount below that required for a tax return. But the next year Fitzgerald was suddenly rich. In 1920 he earned $17,055 and paid $1,444 in taxes—an overall effective tax rate of about 8 percent. Fitzgerald sold 11 short stories to magazines for $3,975 and four short stories to the movies for $7,425; he received $6,200 in royalties from _This Side of Paradise_. The novel, published in April 1920, went through printing after printing, totaling 49,075 copies—more than any of his other novels during his lifetime. His royalties between 1920 and 1923 came to $13,036, which, again, was more than the royalties from any of his other novels.

The publication of _This Side of Paradise_ when he was 23 immediately put Fitzgerald's income in the top 2 percent of American taxpayers. Thereafter, for most of his working life, he earned about $24,000 a year, which put him in the top 1 percent of those filing returns. Today, a taxpayer would have to earn at least $500,000 to be in the top 1 percent. The 1920 census reported the American population as 106,021,537. That year only roughly 7 percent of the population—7,259,944—even filed tax returns. Today, about 45 percent of the population files returns: 134,000,000 returns out of a population of 300,000,000.

What would Fitzgerald's $24,000 annual income be worth today? It's hard to say. Most economists, based on the Bureau of Labor's Consumer Price Index, would multiply the amount by 12. That seems low. The CPI was designed in 1919, because prices had risen during World War I, to provide an index for cost-of-living adjustments for workers' wages. The CPI today indexes all goods and services purchased by a middle-class consumer—which is not what we're after. If you used Manhattan townhouses or beachfront property in the Hamptons as a basis for analysis, the multiplier would be astronomical. Perhaps a more reasonable measure for a high-income person would be the luxury car. In 1920, you could buy a Packard Single 6 for $2,975, which is probably the equivalent today of a Mercedes S550 costing $90,000, which suggests a multiple of about 30. If, to avoid exchange-rate issues, you used Cadillacs as the measure, it would be 20 times—$2,400 in 1925 and $48,000 today. The current dollar, based on that measure, is worth five cents compared to that of Calvin Coolidge's day.

If we accept a 20-times measure, the modern equivalent of Fitzgerald's annual income would be roughly $500,000. But a person earning $500,000 today does not live as well as Fitzgerald did. First, Fitzgerald's income was almost tax free (5.5 percent effective rate), while today's taxpayer making $500,000 would probably pay 40 percent in income and Social Security taxes. Second, various social changes have reduced the availability of servants—Fitzgerald had many—and has made having them so expensive that only the very wealthy can afford them. During the 1920s and 1930s, an upper-middle-class family generally had servants.

Fitzgerald, from the beginning, was recognized as a major American writer. During the Hollywood years, he was never paid less than $1,000 a week. Warner Bros., in the 1940s, paid William Faulkner $300 a week. From June 1937 to December 1938, Fitzgerald earned $85,000 at mgm—more than $1,100 per week.

Over Fitzgerald's working life, he reported a total of $449,713 in gross income, and he paid $24,666 in taxes—thus the effective tax rate of 5.5 percent. Most of his earnings came from the short stories and, later, the movies. His best novels, _The Great Gatsby_ (1925) and _Tender Is the Night_ (1934), did not produce much income. Royalties from _The Great Gatsby_ totaled only $8,397 during Fitzgerald's lifetime. Today _Gatsby_ is read in nearly every high school and college and regularly produces $500,000 a year in Scottie's trust for her children.

In 1981, Scottie edited Matt Bruccoli's biography of her father, _Some Sort of Epic Grandeur_. (She suggested some elegant improvements in his manuscript. Where Matt had written that "the people who had to handle a drunken Fitzgerald usually forgave his misconduct," Scottie added the next sentence: "Talent and charm, perhaps unfortunately for him, usually pulled him out of the social morasses he created for himself.") Matt reports in _Epic Grandeur_ that Fitzgerald's earnings between 1919 and 1936, after commissions, totaled $386,382.96 from short stories and movies. The novels, during the same period, earned $74,515. _This Side of Paradise_ earned $14,375 in royalties plus $10,000 for movie rights. _Gatsby_, in addition to the $8,397 earned in book royalties, made $6,864 for the play and $18,910 for movie rights. _Tender Is the Night_ probably earned $16,307, although Matt notes that the number "is uncertain because it is impossible to untangle loans and ad­vances against the book." Fitzgerald, had he relied on the income from the novels, would have had to live on less than $5,000 a year—a good income for the time but not suitable for Fitzgerald.

Fitzgerald's annual income was remarkably consistent, although some years were better (1938, $58,783) and some worse (1931, $9,765). But most years were pretty close to $24,000. Despite his high income, he was not able to save or, as he said, "amass capital." Fitzgerald's only income came from his writing. Zelda brought no capital into the marriage, and he had none. Zelda became ill in 1929 when they were both very young—she 29, and he 33. In 1930–31, a 15-month stay for Zelda in a sanatorium on Lake Geneva cost $13,000. Zelda stayed ill the rest of Fitzgerald's life. He felt obliged to provide the best care, but because of doctor and sanatorium bills, he lost hope of controlling his finances. Friends advised Fitzgerald to economize on Zelda's medical expenses. He wrote to Max Perkins, his legendary editor at Scribner, on October 16, 1936: "Such stray ideas as sending my daughter to a public school, putting my wife in a public insane asylum, have been proposed to me by intimate friends, but it would break something in me that would shatter the very delicate pencil end of a point of view."

In 1936, he inherited $22,975 from his mother, but by that time his finances were lost past recall. When he died in December 1940, his estate was solvent but modest—around $35,000, mostly from an insurance policy. The tax appraisers considered the copyrights worthless. Today, even multiplying Fitzgerald's estate by 30, it would not require an estate tax return.

* * *

In 1923 and 1924, while he was writing _Gatsby_, Fitzgerald wrote two short articles describing his efforts to save money. The first, published in the April 1924 _Saturday Evening Post_, titled "How to Live on $36,000 a Year," described his stay on Long Island in the town of Great Neck as he started the novel. In September 1924, the _Post_ published the second piece, "How to Live on Practically Nothing a Year." It discussed his reasons for leaving Great Neck and moving his family to the Riviera, where he could finish writing _Gatsby_.

In "How to Live on $36,000 a Year," Fitzgerald wrote that in 1920, three months after marrying Zelda, he ran out of money. "This particular crisis passed" when he discovered the next morning that publishers sometimes advance royalties. As he put it, "So the only lesson I learned from it was that my money usually turns up somewhere in time of need, and that at the worst you can always borrow—a lesson that would make Benjamin Franklin turn over in his grave." In the first three years of his marriage, Fitzgerald earned a little more than $20,000 a year: "We indulged in such luxuries as a baby and a trip to Europe, and always money seemed to come easier and easier with less and less effort, until we felt that with just a little more margin to come and go on we could begin to save." He intended 1923 to be what he called his "saving year"—he thought he would earn $24,000, live on $18,000, and save $6,000. Fitzgerald moved from the Midwest to Great Neck, where he and Zelda rented a house for $300 a month. They spent close to another $300 a month for servants—a nurse for Scottie cost $90 a month, a couple who acted as "butler, chauffer, yard man, cook, parlor maid and chamber maid—for $160 a month, and a laundress, who came twice a week, for $36 a month." That left him—if he was to stay within his $1,500-a-month budget—a little over $900 a month to spend on everything else that life requires.

Great Neck, he wrote, "was one of those little towns springing up on all sides of New York which are built especially for those who have made money suddenly but have never had money before." He and Zelda were "members of this newly rich class. That is to say, five years ago we had no money at all, and what we now do away with would have seemed like inestimable riches to us then." The newly rich attracted a "rush of butchers, grocers, fishmen and delicatessen men." It was like the "gold rush of '49, or a big bonanza of the '70's." The Fitzgeralds believed they were consistently overcharged by tradesmen. A new man would initially offer good prices, but "once we were snared, the prices be­gan to rise alarmingly, until all of us scurried like frightened mice from one new man to another, seeking only justice, and seeking it in vain."

Fitzgerald did not agree with Chicago School market theory, which is to say, he did not believe that more sellers means more competition, which means lower prices. Fitzgerald thought that if you had more sellers they simply raised prices to whatever they needed to survive. He wrote that Great Neck "became the most expensive [town] in the world" because the gold rush had lured "too many food purveyors for the population." The purveyors all had loans to pay off, and could only survive "by selling things at two or three times the prices in the city 15 miles away." Great Neck was so close to New York City that visitors were both an expense and an interruption. He noted that many "weary New Yorkers" made a habit of spending their weekends "at the Fitzgerald house in the country."

Fitzgerald's cash flow was so erratic—large hits followed by dry periods—that it was not conducive to prudent budgeting. In March 1923, when Fitzgerald received $10,000 for the movie rights to _This Side of Paradise_, he bought $4,000 worth of Liberty bonds. During the summer, to buy time to work on _Gatsby_, he cashed in the bonds. But he always thought another large receipt was just around the corner. His play _The Vegetable_, for which he had great expectations, was in rehearsal in the fall of 1923. He wrote, "Trying to keep under $1,500 a month the way things were going was merely niggardly. We were going to save on a scale that would make such economies seem like counting pennies." But _The Vegetable_ folded in November after a one-week run at the Apollo Theatre in Atlantic City.

By November, Fitzgerald was out of cash—including Scribner's $3,939 advance for _Gatsby_. The wolf was at the door. For the next five weeks he went to a large bare room over the garage and worked 12 hours a day "to rise from abject poverty back into the middle class." Between November 1923 and April 1924 he produced 11 short stories, earning $17,000. Some of the early stories have lasted—"May Day," "The Ice Palace," "The Diamond as Big as the Ritz"—but Fitzgerald viewed them as a waste of the time he wanted to spend on the novels. They were, however, an economic necessity. He wrote to Edmund Wilson, "I really worked hard as hell last winter—but it was all trash and it nearly broke my heart as well as my iron constitution." He wrote that he was "far from satisfied with the whole affair." A young man "can work at excessive speed with no ill effect but youth is unfortunately not a permanent condition of life."

At year's end he was 100 percent over his $18,000 budget, having spent $36,000. How had he spent $36,000? Like others who try to live by a budget, Fitzgerald discovered that a lot of money had definitely been spent but didn't fall into any category that budgets provide—there is "leakage." Of course, in his case, there was more leakage than is customary. Fitzgerald and Zelda prepared what they thought was a complete record of what they had spent running the household—it came to $1,600 a month. Then they added what they had spent on pleasure, trips to New York, the theater, and so on; that came to $400 a month. Together that totaled $2,000, but Fitzgerald knew he'd spent $3,000. Fitzgerald asked, "You don't mean to say that every month we lose $1,000?" It was impossible. "People don't lose $12,000 in a year, it's just missing." Somehow a "mysterious third of our income had vanished into thin air." _The Saturday Evening Post_ paid $1,000 for "How to Live on $36,000 a Year," and this helped some.

A historical note is instructive here. The American tax system in Fitzgerald's day was very different from the modern system. Today, because of W-2s, 1099s, and other information sent to the IRS, the taxpayer has no choice but to be honest. If a taxpayer forgets to report receiving $10.52 in interest, he will hear from the IRS. Before World War II, the government did not know what anyone made. Only the wealthy and upper-middle class filed returns—less than 10 percent of the population. The system was based on what the irs called "self-assessment," which meant that the taxpayer told the government what he or she earned the prior year and then sent a check on March 15. Some information returns were sent to the government, but the government had no capacity to match the return to the taxpayer and the returns piled up in warehouses. Not until 1962 did the government's computer system begin to efficiently match the information returns to the taxpayer. During the 1920s and 1930s, the tax system relied almost entirely on the honesty of taxpayers. Fitzgerald reported every dollar he had entered in his ledger. He was impeccably honest in his reporting.

But Fitzgerald did press tax conventions on some occasions. On his 1924 tax return, he deducted $2,450 as a business expense for a "trip to Europe for the purpose of obtaining material for stories, etc." Fitzgerald understood that personal expenses like meals, clothes, and rent are not deductible. But Section 162 of the Internal Revenue Code allows a deduction for the ordinary and necessary expenses of carrying on a trade or business. There is no doubt that being an author is a trade or business. Fitzgerald regularly deducted his recurring expenses—typing, rent, and so forth—without any problem. What about a trip to Europe to gather material? Fitzgerald had a point. No one could reasonably expect Fitzgerald to stay in St. Paul, Minnesota, and write about expatriates enjoying the high life on the Riviera. Fitzgerald's reasonable argument simply is that the line between personal and business, in his case, didn't exist. But the IRS has always insisted there is a line—even if it has to be artificially drawn—and when it objected to the deduction, Fitzgerald decided to give it up.

The five months of furious short-story writing in 1923–24 had left him with a stake of $7,000. In Great Neck, that would only cover two and a half months of expenses. How could he stretch the $7,000 to gain the time to finish _Gatsby_? Earlier, as he was struggling to save, a friend wrote from France to suggest that Fitz­gerald join the many Americans living well in Europe on the strong American dollar. The friend wrote that it cost one-tenth as much to live in Europe: he had just finished "a meal fit for a king, washed down with champagne, for the absurd sum of sixty-one cents." Fitzgerald thought, based on the friend's recommendation, living expenses on the off-season Riviera would be low enough to let him finish _Gatsby_ without any short-story interruptions.

The Fitzgeralds sailed in May 1924 on the _Minnewaska_, a dry ship—that is, a ship following U.S. Prohibition laws—and settled on the French Riviera. Despite the cheap life his friend had promised, the money was gone by the end of the summer, and he did not finish _Gatsby_ until October. The final revised proofs were not sent to Scribner until February 1925. Publication was in April 1925.

Although Fitzgerald's Riviera experience was the inspiration for the successor article, "How to Live on Practically Nothing a Year," his spending in Europe, while less than in Great Neck, was only slightly so. The rent was cheap: an elegant villa near St. Raphael cost only $79 a month. But again, there were the problems with tradespeople and servants—and leakage. Fitz­gerald understood when he rented the villa that Marte, the cook, would do the shopping and that she expected to make a "little on the side" for herself. But he hadn't expected that a "little on the side" would come "to about forty-five percent." The weekly bills at the grocers and butchers averaged $65—higher than they had ever been in Great Neck, which he had called the most expensive town in the world. Although his stake was gone by the end of the summer, he enjoyed the life there, and said he had no regrets.

He finished "How to Live on Practically Nothing" in the twilight, while waiting for dinner guests, two French aviators. He imagines that after dinner,

in the garden, their white uniforms will grow dimmer as the more liquid dark comes down, until they, like the heavy roses and the nightingales in the pines, will seem to take an essential and indivisible part in the beauty of this proud, gay land.

And though we have saved nothing, we have danced the carmagnole…

Scottie, then three years old, knocked on the door to say goodnight.

"Going on the big boat, Daddy?" she asked, wondering when the family would return to America.

"No."

"Why?"

"Because we're going to try it for another year."

The Fitzgeralds stayed abroad until December 1926.

  

William J. Quirk was a professor at the University of South Carolina School of Law and a former contributing editor of _The New Republic_. He died in September 2014.

  

Comments are closed for this post.

![][14]

  

##### Advertisement

## E-newsletter

![][15]

### By

Enter your email address to subscribe. *

Subscribe

## [The Daily Scholar][16]

![][17]

#### [Deep in the Heart][18]

##### [Coming Home][19]

![][20]

#### [Measure by Measure][21]

##### [Ah, Bitter Chill It Was!][22]

![][23]

#### [View from Rue Saint-Georges][24]

##### [On a Walkabout][25]

![][26]

#### [Next Line, Please][27]

##### [Postcard From the Future][28]

![][29]

#### [Portrait of the Artist][30]

##### [Nolan Preece][31]

![][32]   

## THIS WEEK'S ARCHIVE PICK

### [St. Augustine and the Hall of Memory][33]

** By Greta Austin**

Greta Austin's aunt spent 60 years in her old Victorian house and never changed a thing, living vicariously through her family and her own memories. The act of remembering for Aunt Lillian "was not just recollection of the past; it was all of experience, all of herself, which she then considered, organized, classified, and stored." She never had to renovate her home because, in St. Augustine's words, memory was its own house, full of rooms in which to store images and experiences. Read Austin's loving and poetic tribute to her aunt from our Winter 2012 issue.

## WEB EXCLUSIVES

### [Editors' Picks][34]

Best-of lists from bad romances to Shakespearean verse

  

### [The Guest List][35]

We ask our favorite writers about their favorite titles

  

### [The Daily Scholar Archives][36]

The complete collection of our blogs, including Zinsser on Friday and our weekly Writing Lessons

  

### [Online Essays][37]

Works you won't find in print edition, from the likes of Harold Holzer, Wendy Smith, and Neil Shea

![][38]

######## BRIEF EXCERPTS FROM NEW BOOKS

  

### [The Seabird's Cry][39]

**By Adam Nicolson**

Adam Nicolson's look at the great avian ocean voyagers

##### Advertisement

[About Us

[Current Issue][4]

[Past Issues][5]

[Essays][6]

[Contact Us

[Submissions][40]

[Donate][41]

[Advertise][42]

Sponsored by Phi Beta Kappa   
Copyright © 2017 [The American Scholar][43]

![Quantcast][44]

[1]: https://theamericanscholar.org/static/images/scholar_logo_hires_500px.png
[2]: https://theamericanscholar.org/
[3]: https://theamericanscholar.org/the-daily-scholar
[4]: https://theamericanscholar.org/issues/winter-2018/
[5]: https://theamericanscholar.org/past-issues
[6]: https://theamericanscholar.org/dept/essays
[7]: https://theamericanscholar.org/dept/book-reviews
[8]: https://theamericanscholar.org/podcast
[9]: https://theamericanscholar.org/subscribe
[10]: https://theamericanscholar.org/dept/book-essay/
[11]: https://theamericanscholar.org/issues/autumn-2009/
[12]: https://theamericanscholar.org#
[13]: https://theamericanscholar.org/uploads/2013/05/gatsby.jpg
[14]: https://theamericanscholar.org/uploads/2017/10/smarty_blues_300.png
[15]: https://img.mailinblue.com/new_images/loader_sblue.gif
[16]: https://theamericanscholar.org/the-daily-scholar/
[17]: https://theamericanscholar.org/uploads/2017/10/coving1-45x42.png
[18]: https://theamericanscholar.org/daily-scholar/deep-in-the-heart/
[19]: https://theamericanscholar.org/coming-home/
[20]: https://theamericanscholar.org/uploads/2017/01/sudip_553ch-45x42.png
[21]: https://theamericanscholar.org/daily-scholar/measure-by-measure/
[22]: https://theamericanscholar.org/ah-bitter-chill-it-was/
[23]: https://theamericanscholar.org/uploads/2016/06/chatterton-williams-crop01-45x42.png
[24]: https://theamericanscholar.org/daily-scholar/view-from-rue-saint-georges/
[25]: https://theamericanscholar.org/on-a-walkabout/
[26]: https://theamericanscholar.org/uploads/2014/04/Lyre-45x42.jpg
[27]: https://theamericanscholar.org/daily-scholar/next-line-please/
[28]: https://theamericanscholar.org/postcard-from-the-future/
[29]: https://theamericanscholar.org/uploads/2017/01/pallette-02-45x42.png
[30]: https://theamericanscholar.org/daily-scholar/portrait-of-the-artist/
[31]: https://theamericanscholar.org/nolan-preece/
[32]: https://theamericanscholar.org/uploads/2014/04/2ndLook.jpg
[33]: https://theamericanscholar.org/st-augustine-and-the-hall-of-memory/
[34]: https://theamericanscholar.org/dept/editors-picks/
[35]: https://theamericanscholar.org/dept/the-guest-list/
[36]: https://theamericanscholar.org/the-daily-scholar-archives/
[37]: https://theamericanscholar.org/dept/web-exclusive/
[38]: https://theamericanscholar.org/uploads/2015/08/shelf-life-e1438874439558.png
[39]: https://theamericanscholar.org/the-seabirds-cry/
[40]: https://theamericanscholar.submittable.com/submit
[41]: https://theamericanscholar.org/support
[42]: https://theamericanscholar.org/advertising
[43]: https://theamericanscholar.org
[44]: https://pixel.quantserve.com/pixel/p-gLqgnYps-c79e.gif

