---
created_at: '2015-10-18T18:46:39.000Z'
title: Super Resolution from a Single Image (2009)
url: http://www.wisdom.weizmann.ac.il/~vision/SingleImageSR.html
author: bsilvereagle
points: 146
story_text: 
comment_text: 
num_comments: 42
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1445193999
_tags:
- story
- author_bsilvereagle
- story_10409239
objectID: '10409239'

---
[Source](http://www.wisdom.weizmann.ac.il/~vision/SingleImageSR.html "Permalink to Super Resolution From a Single Image")

# Super Resolution From a Single Image

  

![Logo][1]

[The Weizmann Institute of Science][2]  
[Faculty of Mathematics and Computer Science][3]  
[Computer Vision Lab][4]  

* * *

  

#  Super-Resolution From a Single Image 

[Daniel Glasner][5], [Shai Bagon][6], [Michal Irani][7]   
This webpage presents the paper "Super-Resolution form a Single Image" (ICCV 2009).  
Paper [[PDF][8]] [[bibtex][9]]  
  
  

> ## Abstract
> 
> Methods for super-resolution (**SR**) can be broadly classified into two families of methods: (i) The classical multi-image super-resolution (combining images obtained at subpixel misalignments), and (ii) Example-Based super-resolution (learning correspondence between low and high resolution image patches from a database). In this paper we propose a unified framework for combining these two families of methods. We further show how this combined approach can be applied to obtain super resolution from as little as a single image (with no database or prior examples). Our approach is based on the observation that patches in a natural image tend to redundantly recur many times inside the image, both within the same scale, as well as across different scales. Recurrence of patches within the same image scale (at subpixel misalignments) gives rise to the classical super-resolution, whereas recurrence of patches across different scales of the same image gives rise to example-based super-resolution. Our approach attempts to recover at each pixel its best possible resolution increase based on its patch redundancy within and across scales. 

  

> ##  This web page contains:   
1\. [Comparison of our SR method to other SR methods.][10]  
2\. [More results of our SR method.][11]  
  

> 
> ###    
To switch between images please use the colored buttons on the right.   
Please note that the magnified images are initialized to Nearest-neighbor interpolation.  
In order to see our SR results you must click the blue button.   
To see magnification using bi-cubic interpolation, please click the orange button.  
  

* * *

> ##  1\. Comparison of our SR method to other SR methods
> 
> We compare our super-resolution (SR) method to results from the example based methods of [Freeman et al.] and [Kim et al.], as well as to the method of [Fattal]. Note that our results are comparable, even though we do not use any external database of low-res/high-res pairs of patches [Freeman et al., Kim et al.], nor a parametric learned edge model [Fattal]. The images we compare on and the results of the other methods [Freeman et al., Kim et al., Fattal] were taken from their papers. 
> 
> [Freeman et all.]W. T. Freeman, T. R. Jones, and E. C. Pasztor. Example-based super-resolution. IEEE Computer Graphics and Applications, 22(2):56-65, 2002.   
[Kim et al.]K. I. Kim and Y. Kwon. Example-based learning for single-image super-resolution and JPEG artifact removal. Technical Report 173, 08 2008.   
[Fattal]R. Fattal. Image upsampling via imposed edge statistics. ACM Trans. Graphics (Proc. SIGGRAPH 2007), 26(3):95-102, 2007.   

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][12]  |  
|  Input Image   
![Input image][13]   

> 
>  
> 
> Magnification x4   
NN interpolation    
Bi-Cubic Interpolation    
Freeman et al.    
Kim et al.    
Fattal    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][14]  |  
|  Input Image   
![Input image][15]   

> 
>  
> 
> Magnification x4   
NN interpolation    
Bi-Cubic Interpolation    
Fattal    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][16]  |  
|  Input Image   
![Input image][17]   

> 
>  
> 
> Magnification x4   
NN interpolation    
Bi-Cubic Interpolation    
Kim et al.    
Fattal    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][18]  |  
|  Input Image   
![Input image][19]   

> 
>  
> 
> Magnification x4   
NN interpolation    
Bi-Cubic Interpolation    
Fattal    
Our SR Result   | 

 

* * *

> ##  2\. More results of our super resolution method
> 
> * * *
> 
> 
| ----- |
|  ![High Resolution Image][20]  |  
|  Input Image   
![Input image][21]   

> 
>  
> 
> Magnification x3   
NN Interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][22]  |  
|  Input Image   
![Input image][23]   

> 
>  
> 
> Magnification x3.05   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][24]  |  
|  Input Image   
![Input image][25]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][26]  |  
|  Input Image   
![Input image][27]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][28]  |  
|  Input Image   
![Input image][29]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][30]  |  
|  Input Image   
![Input image][31]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][32]  |  
|  Input Image   
![Input image][33]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][34]  |  
|  Input Image   
![Input image][35]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][36]  |  
|  Input Image   
![Input image][37]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][38]  |  
|  Input Image   
![Input image][39]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][40]  |  
|  Input Image   
![Input image][41]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][42]  |  
|  Input Image   
![Input image][43]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][44]  |  
|  Input Image   
![Input image][45]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][46]  |  
|  Input Image   
![Input image][47]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][48]  |  
|  Input Image   
![Input image][49]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][50]  |  
|  Input Image   
![Input image][51]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][52]  |  
|  Input Image   
![Input image][53]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][54]  |  
|  Input Image   
![Input image][55]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][56]  |  
|  Input Image   
![Input image][57]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][58]  |  
|  Input Image   
![Input image][59]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][60]  |  
|  Input Image   
![Input image][61]   

> 
>  
> 
> Magnification x3   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

> * * *
> 
> 
| ----- |
|  ![High Resolution Image][62]  |  
|  Input Image   
![Input image][63]   

> 
>  
> 
> Magnification x2   
NN interpolation    
Bi-Cubic Interpolation    
Our SR Result   | 

* * *

  
This file was last modified on    

[ ![Valid HTML 4.01 Transitional][64]][65] [ ![Valid CSS][66]][67]

[ ![eXTReMe Tracker][68]][69]

![][70]

[1]: http://www.wisdom.weizmann.ac.il/single_image_SR/logo_green2.gif
[2]: http://www.weizmann.ac.il "Visit the Weizmann Institute Homepage"
[3]: http://www.wisdom.weizmann.ac.il "Visit Faculty of Math & Computer Science Homepage"
[4]: http://www.wisdom.weizmann.ac.il/~vision/ "Visit Computer Vision Lab Homepage"
[5]: http://www.wisdom.weizmann.ac.il/~glasner/
[6]: http://www.wisdom.weizmann.ac.il/~bagon
[7]: http://www.wisdom.weizmann.ac.il/~irani
[8]: http://www.wisdom.weizmann.ac.il/single_image_SR/files/single_image_SR.pdf
[9]: http://www.wisdom.weizmann.ac.il/single_image_SR/files/single_image_SR.bib
[10]: http://www.wisdom.weizmann.ac.il#comp "Comparison to other methods."
[11]: http://www.wisdom.weizmann.ac.il#res "More results."
[12]: http://www.wisdom.weizmann.ac.il/single_image_SR/child/nn_int.png
[13]: http://www.wisdom.weizmann.ac.il/single_image_SR/child/input_small.png
[14]: http://www.wisdom.weizmann.ac.il/single_image_SR/old_man/nn_int.png
[15]: http://www.wisdom.weizmann.ac.il/single_image_SR/old_man/input_small.png
[16]: http://www.wisdom.weizmann.ac.il/single_image_SR/sculpture/nn_int.png
[17]: http://www.wisdom.weizmann.ac.il/single_image_SR/sculpture/input_small.png
[18]: http://www.wisdom.weizmann.ac.il/single_image_SR/chip/nn_int.png
[19]: http://www.wisdom.weizmann.ac.il/single_image_SR/chip/input_small.png
[20]: http://www.wisdom.weizmann.ac.il/single_image_SR/8143/nn_int.png
[21]: http://www.wisdom.weizmann.ac.il/single_image_SR/8143/input_small.png
[22]: http://www.wisdom.weizmann.ac.il/single_image_SR/kitchen/nn_int.png
[23]: http://www.wisdom.weizmann.ac.il/single_image_SR/kitchen/input_small.png
[24]: http://www.wisdom.weizmann.ac.il/single_image_SR/butterfly/nn_int.png
[25]: http://www.wisdom.weizmann.ac.il/single_image_SR/butterfly/input_small.png
[26]: http://www.wisdom.weizmann.ac.il/single_image_SR/eye_chart/nn_int.png
[27]: http://www.wisdom.weizmann.ac.il/single_image_SR/eye_chart/input_small.png
[28]: http://www.wisdom.weizmann.ac.il/single_image_SR/freckles2/nn_int.png
[29]: http://www.wisdom.weizmann.ac.il/single_image_SR/freckles2/input_small.png
[30]: http://www.wisdom.weizmann.ac.il/single_image_SR/flowerfield/nn_int.png
[31]: http://www.wisdom.weizmann.ac.il/single_image_SR/flowerfield/input_small.png
[32]: http://www.wisdom.weizmann.ac.il/single_image_SR/78004/nn_int.png
[33]: http://www.wisdom.weizmann.ac.il/single_image_SR/78004/input_small.png
[34]: http://www.wisdom.weizmann.ac.il/single_image_SR/colorblind/nn_int.png
[35]: http://www.wisdom.weizmann.ac.il/single_image_SR/colorblind/input_small.png
[36]: http://www.wisdom.weizmann.ac.il/single_image_SR/86000/nn_int.png
[37]: http://www.wisdom.weizmann.ac.il/single_image_SR/86000/input_small.png
[38]: http://www.wisdom.weizmann.ac.il/single_image_SR/35070/nn_int.png
[39]: http://www.wisdom.weizmann.ac.il/single_image_SR/35070/input_small.png
[40]: http://www.wisdom.weizmann.ac.il/single_image_SR/auditorium/nn_int.png
[41]: http://www.wisdom.weizmann.ac.il/single_image_SR/auditorium/input_small.png
[42]: http://www.wisdom.weizmann.ac.il/single_image_SR/198054/nn_int.png
[43]: http://www.wisdom.weizmann.ac.il/single_image_SR/198054/input_small.png
[44]: http://www.wisdom.weizmann.ac.il/single_image_SR/69040/nn_int.png
[45]: http://www.wisdom.weizmann.ac.il/single_image_SR/69040/input_small.png
[46]: http://www.wisdom.weizmann.ac.il/single_image_SR/koala/nn_int.png
[47]: http://www.wisdom.weizmann.ac.il/single_image_SR/koala/input_small.png
[48]: http://www.wisdom.weizmann.ac.il/single_image_SR/kitchen2/nn_int.png
[49]: http://www.wisdom.weizmann.ac.il/single_image_SR/kitchen2/input_small.png
[50]: http://www.wisdom.weizmann.ac.il/single_image_SR/103041/nn_int.png
[51]: http://www.wisdom.weizmann.ac.il/single_image_SR/103041/input_small.png
[52]: http://www.wisdom.weizmann.ac.il/single_image_SR/street3/nn_int.png
[53]: http://www.wisdom.weizmann.ac.il/single_image_SR/street3/input_small.png
[54]: http://www.wisdom.weizmann.ac.il/single_image_SR/56028/nn_int.png
[55]: http://www.wisdom.weizmann.ac.il/single_image_SR/56028/input_small.png
[56]: http://www.wisdom.weizmann.ac.il/single_image_SR/253027/nn_int.png
[57]: http://www.wisdom.weizmann.ac.il/single_image_SR/253027/input_small.png
[58]: http://www.wisdom.weizmann.ac.il/single_image_SR/23084/nn_int.png
[59]: http://www.wisdom.weizmann.ac.il/single_image_SR/23084/input_small.png
[60]: http://www.wisdom.weizmann.ac.il/single_image_SR/baby/nn_int.png
[61]: http://www.wisdom.weizmann.ac.il/single_image_SR/baby/input_small.png
[62]: http://www.wisdom.weizmann.ac.il/single_image_SR/temple/nn_int.png
[63]: http://www.wisdom.weizmann.ac.il/single_image_SR/temple/input_small.png
[64]: http://www.w3.org/Icons/valid-html401
[65]: http://validator.w3.org/check?uri=referer
[66]: http://www.w3.org/Icons/valid-css.png
[67]: http://jigsaw.w3.org/css-validator/check/referer
[68]: http://t1.extreme-dm.com/i.gif
[69]: http://extremetracking.com/open?login=simsr
[70]: http://e2.extreme-dm.com/s11.g?login=simsr&j=n&jv=n

