---
created_at: '2015-10-23T18:27:47.000Z'
title: Work on stuff that matters, first principles (2009)
url: http://radar.oreilly.com/2009/01/work-on-stuff-that-matters-fir.html
author: rmason
points: 80
story_text: 
comment_text: 
num_comments: 31
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1445624867
_tags:
- story
- author_rmason
- story_10440383
objectID: '10440383'

---
[Source](http://radar.oreilly.com/2009/01/work-on-stuff-that-matters-fir.html "Permalink to Work on Stuff that Matters: First Principles - O'Reilly Radar")

# Work on Stuff that Matters: First Principles - O'Reilly Radar

Menu

* [Home][1]
* [Shop Video Training & Books][2]
* [Radar][3]
* [Safari Books Online][4]
* [Conferences][5]

[oreilly.com][6]

[O'Reilly Radar][7]

[RSS Feed][8] [Twitter][9] [Facebook][10] [Google+][11] [Youtube][12]

* [Home][1]
* [Shop Video Training & Books][2]
* [Radar][3]
    * [Radar][3]
    * [Animals][13]
* [Safari Books Online][4]
* [Conferences][5]

More Topics 

* [Data][14]
* [Design][15]
* [Emerging Tech][16]
* [IoT][17]
* [Programming][18]
* [Web Ops & Performance][19]
* [Web Platform][20]

[We're in the process of moving Radar to the new oreilly.com. Check it out.][21]

* [Print][22]
* [Listen][23]

[ ![][24] ][25]

# Work on Stuff that Matters: First Principles

by [ Tim O'Reilly][26] |  [ @timoreilly][27] | [ +Tim O'Reilly][28] | January 11, 2009

* __
* __
* __
* __

I spent a lot of last year urging people to [work on stuff that matters][29]. This led to many questions about what that “stuff” might be. I’ve been a bit reluctant to answer those questions, because the list is different for everyone. I thought I’d do better to start the new year with some ideas about how to think about this for yourself.

First off, though, I want to make clear that “work on stuff that matters” _does not mean focusing on non-profit work, “causes, or any other form of “do-goodism.”_ Non-profit projects often do matter a great deal, and [people with tech skills can make important contributions][30], but it’s essential to get beyond that narrow box. I’m a strong believer in the social value of business done right. We need to build an economy in which the important things are paid for in self-sustaining ways rather than as charities to be funded out of the goodness of our hearts.

There are a number of half-unconscious litmus tests I use in my own life. I’m going to try to tease them out here, and hope that you can help me think this through in the comments.

1. **Work on something that matters to you more than money.**

I addressed this topic in [my commencement address at SIMS][31] a few years ago, and I’ll think I’ll just quote myself here.

> Some of you may end up working at highflying companies. Some of you may succeed, and some of you may fail. I want to remind you that financial success is not the only goal or the only measure of success. It’s easy to get caught up in the heady buzz of making money. You should regard money as fuel for what you really want to do, not as a goal in and of itself. Money is like gas in the car — you need to pay attention or you’ll end up on the side of the road — but a well-lived life is not a tour of gas stations!
> 
> Whatever you do, think about what you really value. If you’re an entrepreneur, the time you spend thinking about your values will help you build a better company. If you’re going to work for someone else, the time you spend understanding your values will help you find the right kind of company or institution to work for, and when you find it, to do a better job.
> 
> Don’t be afraid to think big. Business author Jim Collins says that great companies have “[big hairy audacious goals][32].” Google’s motto, “access to all the world’s information” is an example of such a goal. I like to think that my own company’s mission, “changing the world by sharing the knowledge of innovators,” is also such a goal.
> 
> Don’t be afraid to fail. There’s a wonderful poem by Rainer Maria Rilke that talks about the biblical story of Jacob wrestling with an angel, being defeated, but coming away stronger from the fight. It ends with an exhortation that goes something like this: “What we fight with is so small, and when we win, it makes us small. What we want is to be defeated, decisively, by successively greater things.”

One test of a bubble is how many entrepreneurs are focused on their upcoming payday rather than on the big things they hope to accomplish. Me-too products are almost always payday-focused; the entrepreneurs who first made the market often had much less expectation of easy success, and were instead wrestling, like Jacob with the angel, with a hard problem that they thought they could solve, or at the very least make a dent on.

It’s also clear that if you’re thinking more about the competition than you are about customers and the value you’re going to create for them, you’re on the wrong path. As Kathy Sierra [once put it][33], “In many cases, the more you try to compete, the less competitive you actually are.”

The most successful companies treat success as a byproduct of achieving their real goal, which is always something bigger and more important than they are.

2. [**Create more value than you capture.][34]**

It’s pretty easy to see that [Bernie Madoff][35] wasn’t following this rule; nor were the titans of Wall Street who ended up giving out billions of dollars in bonuses to themselves while wrecking our economy. It’s harder to judge the average small business, but it’s pretty clear that most businesses do in fact create value for their community and their customers as well as themselves, and that the most successful businesses do so in part by creating a self-reinforcing value loop with their customers.

For example, a bank that loans money to a small business sees that business grow, perhaps borrow more money, hire employees who make deposits and take out loans, and so on. The power of this cycle to lift people out of poverty has been demonstrated by microfinance institutions like [the Grameen Bank][36]. Grameen is clearly focused on creating more value than they capture; not so the like of Fannie Mae and Freddy Mac, or WaMu, or many of the other failed financial institutions involved in the current financial meltdown. They may have started there, but at some point, they clearly became more concerned with how much value they could capture for themselves.

If you’re succeeding at this goal, you may sometimes find that others have made more of your ideas than you have yourself. _It’s OK._ I’ve had more than one billionaire (and an awful lot of startups who hope to follow in their footsteps) tell me how they got their start with a couple of O’Reilly books. I’ve had entrepreneurs tell me that they got the idea for their company from something I’ve said or written. _That’s a good thing!_ I remember back in the early days of the Internet, when the buyer at Borders told me after one of my talks, “Well, you’ve just given your competitors their publishing program for the year.” _If my goal is really “changing the world by spreading the knowledge of innovators,” I’m thrilled when my competitors jump on the bandwagon and help me spread the word!_

Look around you: How many people do you employ in fulfilling jobs? How many customers use your products to make their own living? How many competitors have you enabled? How many people have you touched that gave you nothing back?

There’s a wonderful section in [Les Miserables][37] about the good that Jean Valjean does as a businessman (operating under the pseudonym of Father Madeleine). Through his industry and vision, he makes an entire region prosperous, so that “there was no pocket so obscure that it had not a little money in it; no  
dwelling so lowly that there was not some little joy within it.” And the key point:

> Father Madeleine made his fortune; but a singular thing  
in a simple man of business, it did not seem as though that were his  
chief care. He appeared to be thinking much of others, and little of  
himself.

Focusing on big goals rather than on making money, and on creating more value than you capture are closely related principles. The first one is a test that applies to those starting something new; the second is the harder test that you must pass in order to create something enduring.

Take Microsoft. They started out with a big goal, “a computer on every desk and in every home,” and for many years unquestionably created more value than they captured. They helped grow the PC industry as a whole; they built a platform that helped many small software vendors to flourish. But over time, they began to capture more value than they created: as the cost of PCs plummeted, hardware vendors had to survive on the slimmest of margins while Microsoft collected monopoly rents; bit by bit, Microsoft consumed its own developer ecosystem by building the features of successful startups into their own products, and using their operating system dominance to crush the early movers. As I’ve written elsewhere, I believe that [Microsoft must re-commit itself to big goals beyond its own profitability][38], and to creating more value than it captures if it is to succeed. (Danny Sullivan wrote a great piece about the strategic relevance of this very idea just last week, [Tough Love for Microsoft Search][39].)

Or take Google. Again, a huge goal: “Organize all the world’s information.” And like Microsoft in its early years, they are enabling others while making a pile of money for themselves. Any business with a web presence need only take a look at its referrer logs if it questions that assertion. How much of your traffic comes from Google? But again, as I’ve written previously, this test still looms in Google’s future. Will they continue to create more value than they capture, or will they [seek to capture more of the value for themselves][40]?

It’s a matter of balance. Every business needs to pay attention to its bottom line; every individual needs to put a roof over his or her head and provide food for loved ones. But take a look inside: how much are you thinking about yourself and what you might gain, versus what you might create?

It’s particularly tough to stay focused on big issues in the face of an economic downturn, because getting paid looms large. I look back at some of the decisions I made after the crash in 2001, when I became far more focused on the survival of my business than on the value we were going to create in the marketplace. We did some me-too publishing that I really regret; the things that ultimately made a bigger difference to our bottom line were commitments to the future: our Web 2.0 events were driven by the goal of [reigniting enthusiasm in the computer industry][41] as well as helping people to understand the new rules of the emerging internet platform; [Safari Books Online][42] was driven by the desire to create a new revenue model not just for ourselves but for all publishers; [Make:][43] was a celebration of the next generation of hackers; [Foo Camp][44] started as a way to give something back to all the people who’d contributed to our success.

But these two tests are not enough, because it’s become clear that we need a long term ecological perspective as well. So I’d add a third principle:

**3\. Take the long view.**

Brian Eno tells [a great story][45] about the experience that led him to conceive of the ideas that led to [The Long Now Foundation][46]:

> It was 1978. I was new to New York. A rich acquaintance had invited me to a housewarming party, and, as my cabdriver wound his way down increasingly potholed and dingy streets, I began wondering whether he’d got the address right. Finally he stopped at the doorway of a gloomy, unwelcoming industrial building. Two winos were crumpled on the steps, oblivious. There was no other sign of life in the whole street.
> 
> “I think you may have made a mistake”, I ventured.
> 
> But he hadn’t. My friend’s voice called “Top Floor!” when I rang the bell, and I thought – knowing her sense of humour – “Oh – this is going to be some kind of joke!” I was all ready to laugh. The elevator creaked and clanked slowly upwards, and I stepped out – into a multi-million dollar palace. The contrast with the rest of the building and the street outside couldn’t have been starker.
> 
> I just didn’t understand. Why would anyone spend so much money building a place like that in a neighbourhood like this? Later I got into conversation with the hostess. “Do you like it here?” I asked. “It’s the best place I’ve ever lived”, she replied. “But I mean, you know, is it an interesting neighbourhood?” “Oh – the neighbourhood? Well…that’s outside!” she laughed. 

In the talk many years ago where I first heard him tell this story, Brian went on to describe the friend’s apartment, the space she controlled, as “the small here,” and the space outside, full of winos and derelicts, as “the big here.” He went on from there, along with others, to come up with the analogous concept of the Long Now.

It’s very easy to make local optimizations, but they eventually catch up with you. Our [economy has many elements of a ponzi scheme][47]. We [borrow from other countries to finance our consumption][48], we borrow from our children by saddling them with debt and using up non-renewable resources.

It’s hard to see beyond the “small here” and the “short now,” especially if you live in a favored place and time. That’s why so many of the really important things do end up on the plates of non-profits.

That’s why a time like this, when the bubble is bursting, is a great time to see how important it is to think about the big picture, and what matters not just to us, but to building a sustainable economy in a sustainable world.

tags: [stuff that matters][49]

* __
* __
* __
* __

### GET RADAR UPDATES

* ![Subscribe to the Radar Feed][50]Radar [RSS Feed][8]
* ![Radar on Twitter][51]Radar on [Twitter][9]
* ![Radar on Facebook][52]Radar on [Facebook][10]
* [ ![Check out Tim O'Reilly's Google Profile][53]][28]Check out Tim O'Reilly's [Google Profile][28]
* ![Radar on O'Reilly's YouTube Channel ][54]Radar on [O'Reilly's YouTube Channel ][12]

### Archives

* Archives by Month... May 2016  April 2016  March 2016  February 2016  January 2016  December 2015  November 2015  October 2015  September 2015  August 2015  July 2015  June 2015  May 2015  April 2015  March 2015  February 2015  January 2015  December 2014  November 2014  October 2014  September 2014  August 2014  July 2014  June 2014  May 2014  April 2014  March 2014  February 2014  January 2014  December 2013  November 2013  October 2013  September 2013  August 2013  July 2013  June 2013  May 2013  April 2013  March 2013  February 2013  January 2013  December 2012  November 2012  October 2012  September 2012  August 2012  July 2012  June 2012  May 2012  April 2012  March 2012  February 2012  January 2012  December 2011  November 2011  October 2011  September 2011  August 2011  July 2011  June 2011  May 2011  April 2011  March 2011  February 2011  January 2011  December 2010  November 2010  October 2010  September 2010  August 2010  July 2010  June 2010  May 2010  April 2010  March 2010  February 2010  January 2010  December 2009  November 2009  October 2009  September 2009  August 2009  July 2009  June 2009  May 2009  April 2009  March 2009  February 2009  January 2009  December 2008  November 2008  October 2008  September 2008  August 2008  July 2008  June 2008  May 2008  April 2008  March 2008  February 2008  January 2008  December 2007  November 2007  October 2007  September 2007  August 2007  July 2007  June 2007  May 2007  April 2007  March 2007  February 2007  January 2007  December 2006  November 2006  October 2006  September 2006  August 2006  July 2006  June 2006  May 2006  April 2006  March 2006  February 2006  January 2006  December 2005  November 2005  October 2005  September 2005  August 2005  July 2005  June 2005  May 2005  April 2005  March 2005 
* Archives by Topic… Data Design Emerging Tech IoT Programming Web Ops & Performance Web Platform
* Archives by Author... A. Sinan Unur Aaron Sumner Adam Connor Adam DuVander Adam Flaherty Adam Messinger Adam Witwer Adrian Mendoza Adrian Mouat Akmal Chaudhri Alasdair Allan Alex Bordei Alex Bowyer Alex Iskold Alexander Macgillivray Alice Boxhall Alice Zheng Alistair Croll Allen Downey Allen Noren Allison Randal Ally MacDonald Alois Reitbauer Alysa Hutnik Amelia Bellamy-Royds Amr Awadallah Amy Heineike Amy Jollymore Amy Unruh Anant Jhingran Andreas Antonopoulos Andrew Collette Andrew Odewahn Andrew Savikas Andrew Shafer Andrew T Baker Andy Fitzgerald Andy Kirk Andy Konwinski Andy Oram Angela Rufino Ann Spencer Ann Waldo Anna Smith Anne Gentle Anni Ylagan Ari Gesher Aria Haghighi Ariya Hidayat Arnold Robbins Artur Bergman Arun Gupta Audrey Watters Avi Bryant Barb Edson Barbara Bermes Baron Schwartz Barry Devlin Barry O'Reilly Beau Cronin Ben Christensen Ben Evans Ben Henick Ben Lorica Benjamin Hindman Beth Massi Bill Higgins Bill Lubanovic Bill McCoy Bonnie Feldman Bradley Voytek Brady Forrest Brandon Satrom Brett McLaughlin Brett Sandusky Brett Sheppard Brian Ahier Brian Anderson Brian Boyer brian d foy Brian d'Alessandro Brian Foster Brian Jepson Brian Kardell Brian MacDonald Brian O'Leary Brian Rinaldi Brian Sawyer Brigitte Piniewski Bruce Stewart Carin Meier Carl Hewitt Carl Malamud Casey West Cathy O'Neil Chao (Ray) Feng Chiu-ki Chan Chris Cornutt Chris Meade Chris Vander Mey Chris Wiggins Christine Perey Ciara Byrne Claire Rowland Cliff Miller Colt McAnlis Cornelia Lévy-Bencheton Cory Doctorow Courtney Nash Courtney Webster Dale Dougherty Dan Saffer Danese Cooper Darren Barefoot Dave Himrod Dave McClure Dave Zwieback David Beyer David Blaikie David Cranor David Elfi David Leinweber David Mertz David Recordon David Sims David Stephenson DC Denison Deni Auclair Derek Jacoby Dinesh Subhraveti Dino Esposito Dirk Slama DJ Patil Dominique Guinard Doug Finke Doug Hill Doug Sillars Dr. Venkat Subramaniam Drew Dara-Abrams Duncan DeVore Duncan Ross Dusty Phillips DW Wheeler Dylan Field E.A. Vander Veer Edd Dumbill Edie Freedman Eli Goodman Elisabeth Robson Elizabeth Corcoran Ellen Friedman Elliott Hauser Elliotte Rusty Harold Emma Jane Westby Eoin Purcell Eric Freeman Eric Lippert Eric Redmond Eric Ries Evangelos Simoudis Ezra Haber Glenn Faye Williams Federico Castanedo Federico Lucifredi Fred Trotter Fred van den Bosch Gabe Zichermann Gavin Starks George Reese Gerhard Kress Gilad Rosner Glen Martin Greg Brail Greg Whisenant Gretchen Anderson Gretchen Giles Gustavo Franco Gwen Shapira Hadley Wickham Hagen Finley Hari K Gottipati Heather McCormack Heather Vescent Helen Papagiannis Hew Wolff Howard Wen Hugh McGuire Ilya Grigorik Imran Ali J. Paul Reed James Bond James Bridle James Turner Janaya Williams Jane Sarasohn-Kahn Janine Barlow Jason Grigsby Jason Strimpel Jay Kreps Jay McGavren Jayant Shekar Jeevan Padiyar Jeff Bollinger Jeff Gothelf Jeff Needham Jeff Sussna Jeffrey Carr Jeffrey Carr Jenn Webb Jennifer Pahlka Jenny Cheng Jeremy Freeman Jeremy Howard Jeroen Janssens Jerry Overton Jesper Andersen Jesse Anderson Jesse Robbins Jessica McKellar Jesus M. Gonzalez-Barahona Jez Humble Jim Bird Jim Scott Jim Stogdill Jimmy Guterman Jo Prichard Joanne Molesky Jodee Rich Joe Procopio Johan Bergström John Adams John Allspaw John Battelle John Boxall John Cumbers John Feland John Foreman John Geraci John Graham-Cumming John Jay Hilfiger John King John Labovitz John Lindquist John Myles White John Piekos John Russell John Warren John Wilbanks Jon Bruner Jon Callas Jon Cowie Jon Roberts Jon Spinney Jon Udell Jonas Luster Jonathan Alexander Jonathan Reichental, Ph.D. Jonathan Shariat Jonathon Thurman Jono Bacon Jorge Arango Joseph Hellerstein Joseph J. Esposito Josh Lockhart Josha Stella Joshua Backfield Joshua-Michéle Ross Joy Beatty Jud Valeski Julie Steele Justin Dombrowski Justin Hall Justo Hidalgo Karl Fogel Kassia Krozser Kat Meyer Kate Eltham Kate Pullinger Kathryn Barrett Kathy Sierra Kathy Walrath Katie Cunningham Katie Miller Keith Comito Keith Fahlgren Kelsey Hightower Ken Yarmosh Kevin Czinger Kevin Shockey Kevin Sitto Kevin Smokler Khaled El Emam Kieren James-Lubin Kipp Bradford Kit Seeborg Kiyoto Tamura kmatsudaira Kurt Cagle Kyle Dent Lara Swanson Laura Dawson Laura Klein Laurel Ruma Laurie Petrycki Leah Hunter Leigh Dodds Léonie Watson Liliana Bounegru Linda Stone Lisa Mann Liza Daly Liza Kindred Lorna Jane Mitchell Lorne Lantz Luciano Ramalho Lucy Gray Lukas Biewald Mac Slocum Madhusudhan Konda Mandi Walls Manish Lachwani Marc Goodman Marc Hedlund Marcus Carr Marie Beaugureau Marie Bjerede Mark Drapeau Mark Grover Mark Jeftovic Mark Lustig Mark Lutz Mark Nelson Mark Pacelle Mark Sigal Mark Zeman Marko Gargenta Markus Eisele Martin Kalin Martin Kleppmann Mary Treseler Matt Garrish Matt Makai Matt Neuburg Matt Wood Matthew Burton Matthew Gast Matthew McCullough Matthew Russell Matthew Russell Max Kanat-Alexander Max Meyers Max Neunhöffer Max Shron Maxime Najim Meghan Athavale Meghan Blanchette Mehdi Daoudi Melissa DiEgidio Micah Godbolt Michael DeHaan Michael Driscoll Michael Ferrari Michael Fitzgerald Michael Freeman Michael Gold Michael Hunger Michael Jon Jensen Michael Li Michael Lopp Michael McMillan Michael Scroggins Mike Amundsen Mike Barlow Mike Hendrickson Mike Honda Mike Loukides Mike Petrovich Mike Shatzkin Mitchell Hashimoto Naomi Robbins Nat Torkington Nate Osit Nathan Jepson Neal Ford Nicholas Tollervey Nick Bilton Nick Farina Nick Kolegraff Nick Lombardi Nick Ruffilo Nicolas Garcia Belmonte Nikhil Buduma Nikolaj Nyholm Nina DiPrimio O'Reilly Radar O'Reilly Strata Ohad Samet Osman Rashid Pablo Francisco Arrieta Gomez Paco Nathan Pamela Pavliscak Pamela Samuelson Paris Buttfield-Addison Patrick Mulder Patrick Reynolds Paul Kedrosky Paul Spinrad Pete Hodgson Pete Warden Peter Arijs Peter Bennett Peter Cooper Peter Krautzberger Peter Laflin Peter Lewis Peter Meyers Philip Guo Philipp Janert Q Ethan McCallum Quinn Norton Rachel Roumeliotis Rachel Wolfson Rael Dornfest Raffael Marty Rajat Bhargava Ramez Naam Randy Bias Raven Zachary Ray DiGiacomo, Jr. Renee DiResta Reynold Xin Richard Cook Richard Dallaway Richard Reese Richard Warburton Rob Tucker Robbie Allen Robert Kaye Robert Passarella Roberta Cairney Roger Chen Roger Magoulas Rogier DocWilco Mulhuijzen Ron Miller Roseanne Fallin Rune Madsen Russell J.T. Dyer Russell Jurney Ryan Bethencourt Ryan Neufeld Ryan Stewart Sam Newman Samuel Mullen Sanders Kleinfeld Sara Peyton Sara Winge Sarah Milstein Sarah Novotny Scott Jenson Scott Murray Scott Rich Scott Ruthfield Sean McGregor Sean O Sullivan Sebastien Goasguen Sébastien Pierre Semmy Purewal Seth Ladd Shahid Shah Shahin Farshchi Shai Almog Shannon Cutt Shyam Seshadri Silona Bonewald Simon Chan Simon Phipps Simon St. Laurent Simon Wardley Spencer Critchley Stefan Thies Stephen Elston Stephen O'Grady Stephen O'Grady Steve Souders Steven Citron-Pousty Steven Shorrock Stoyan Stefanov Susan Conant Suzanne Axtell Tara Hunt Terrence Dorsey Terry Jones Tim Anderson Tim Busbice Tim Darling Tim O'Reilly Timothy M. O'Brien Timothy McGovern Tish Shute Toby Inkster Todd Sattersten Tom Eisenmann Tom Greever Tom Pincince Tom Steinberg Tony Quartarolo Tony Shakib Trisha Gee Troy Topnik Tyler Akidau Tyler Bell Valeri Karpov Vandad Nahvandipoor Vanessa Fox Varun Nagaraj Vasant Dhar Will Cukierski William Mougayar William O'Connor Yanpei Chen Zigurd Mednieks

### CONTACT US

Looking for something? Need help with Radar?   
[Send us email][55]

* [Twitter][56]
* [YouTube][57]
* [Slideshare][58]
* [Facebook][10]
* [Google+][11]
* [RSS][59]
* [View All RSS Feeds >][60]

© 2018, O'Reilly Media, Inc.

(707) 827-7019(800) 889-8969

All trademarks and registered trademarks appearing on oreilly.com are the property of their respective owners.

### About O'Reilly

* [About O’Reilly Radar][61]
* [Radar Contributors][62]
* [Academic Solutions][63]
* [Jobs][64]
* [Contacts][65]
* [Corporate Information][66]
* [Press Room][67]
* [Privacy Policy][68]
* [Terms of Service][69]
* [Writing for O’Reilly][70]
* [Editorial Independence][71]

### Community

* [Authors][72]
* [Community & Featured Users][73]
* [Forums][74]
* [Membership][75]
* [Newsletters][76]
* [O’Reilly Answers][77]
* [RSS Feeds][78]
* [O’Reilly Chimera (beta)][79]

### Partner Sites

* [makezine.com][80]
* [makerfaire.com][81]
* [craftzine.com][82]
* [Ignite][83]
* [O’Reilly Insights on Forbes.com][84]

### Shop O'Reilly

* [Customer Service][85]
* [Contact Us][85]
* [Shipping Information][86]
* [Ordering & Payment][87]
* [Affiliate Program][88]
* [The O’Reilly Guarantee][89]

[1]: http://oreilly.com/
[2]: http://shop.oreilly.com/
[3]: http://radar.oreilly.com/
[4]: http://www.safaribooksonline.com/?utm_source=oreilly&utm_medium=referral&utm_campaign=publisher&utm_content=nav
[5]: http://oreilly.com/conferences/
[6]: http://oreilly.com/ "oreilly.com"
[7]: http://radar.oreilly.com/ "O'Reilly Radar"
[8]: http://feeds.feedburner.com/oreilly/radar/atom
[9]: http://twitter.com/radar
[10]: https://www.facebook.com/OReillyRadar
[11]: https://plus.google.com/105451978536505503907
[12]: http://www.youtube.com/user/OreillyMedia
[13]: http://animals.oreilly.com/
[14]: http://radar.oreilly.com/data
[15]: http://radar.oreilly.com/design
[16]: http://radar.oreilly.com/emerging-tech
[17]: http://radar.oreilly.com/iot
[18]: http://radar.oreilly.com/programming
[19]: http://radar.oreilly.com/webops-perf
[20]: http://radar.oreilly.com/web-platform
[21]: https://www.oreilly.com/topics/
[22]: http://radar.oreilly.com#
[23]: http://app.readspeaker.com/cgi-bin/rsent?customerid=14&lang=en_us&readid=body-content&url=http://radar.oreilly.com/2009/01/work-on-stuff-that-matters-fir.html
[24]: http://cdn.oreillystatic.com/radar/images/people/photo_tim_s.jpg "Tim O'Reilly"
[25]: http://radar.oreilly.com/tim
[26]: http://radar.oreilly.com/tim "View all posts by Tim O'Reilly"
[27]: http://twitter.com/timoreilly
[28]: https://plus.google.com/107033731246200681024/posts
[29]: http://www.google.com/search?client=safari&rls=en-us&q=work+on+stuff+that+matters
[30]: http://www.computerworld.com/action/article.do?command=viewArticleBasic&taxonomyName=Careers&articleId=330574&taxonomyId=10&intsrc=kc_li_story
[31]: http://radar.oreilly.com/archives/2006/05/my-commencement-speech-at-sims.html
[32]: http://en.wikipedia.org/wiki/Big_Hairy_Audacious_Goal
[33]: http://headrush.typepad.com/creating_passionate_users/2006/07/avoiding_the_fe.html
[34]: http://www.google.com/search?client=safari&rls=en-us&q=create+more+value+than+you+capture&ie=UTF-8&oe=UTF-8
[35]: http://en.wikipedia.org/wiki/Bernie_Madoff
[36]: http://www.wikipedia.org/Grameen_Bank
[37]: http://books.google.com/books?id=XdwPAAAAYAAJ&pg=PA152
[38]: http://radar.oreilly.com/archives/2008/05/microhoo-corporate-penis-envy.html
[39]: http://searchengineland.com/tough-love-for-microsoft-search-15968
[40]: http://radar.oreilly.com/2007/12/trading-for-their-own-account.html
[41]: http://money.cnn.com/popups/2006/biz2/howtosucceed/38.html
[42]: http://safari.oreilly.com
[43]: http://www.makezine.com
[44]: http://en.wikipedia.org/wiki/Foo_Camp
[45]: http://digitalsouls.com/2001/Brian_Eno_Big_Here.html
[46]: http://www.longnow.org
[47]: http://radar.oreilly.com/2009/01/the-biggest-ponzi-scheme-of-all.html
[48]: http://www.theatlantic.com/doc/200812/fallows-chinese-banker
[49]: http://radar.oreilly.com/tag/stuff-that-matters "stuff that matters Tag"
[50]: http://cdn.oreillystatic.com/radar/images/rss-20x20.png
[51]: http://cdn.oreillystatic.com/radar/images/twitter-20x20.png
[52]: http://cdn.oreillystatic.com/radar/images/facebook-20x20.png
[53]: http://cdn.oreillystatic.com/radar/images/googleplus-icon-062014.jpg
[54]: http://cdn.oreillystatic.com/radar/images/youtube-20x20.png
[55]: mailto:onlinecap@oreilly.com?subject=Help with Radar
[56]: http://twitter.com/oreillymedia
[57]: http://youtube.com/oreillymedia
[58]: http://slideshare.net/oreillymedia
[59]: http://feeds.feedburner.com/oreilly/news
[60]: http://oreilly.com/feeds
[61]: http://radar.oreilly.com/about/
[62]: http://radar.oreilly.com/radar-contributors/
[63]: http://oreilly.com/academic/
[64]: http://oreilly.com/jobs/
[65]: http://oreilly.com/contact.html
[66]: http://oreilly.com/about/
[67]: http://press.oreilly.com/index.html
[68]: http://oreilly.com/oreilly/privacy.csp
[69]: http://oreilly.com/terms/
[70]: http://oreilly.com/oreilly/author/intro.csp
[71]: http://www.oreilly.com/about/editorial_independence.html
[72]: http://oreilly.com/authors/
[73]: http://oreilly.com/community/
[74]: http://forums.oreilly.com/
[75]: https://members.oreilly.com/
[76]: http://elists.oreilly.com/
[77]: http://answers.oreilly.com/
[78]: http://oreilly.com/feeds/
[79]: http://chimera.labs.oreilly.com/
[80]: http://makezine.com/
[81]: http://makerfaire.com/
[82]: http://craftzine.com/
[83]: http://ignitetalks.io
[84]: http://blogs.forbes.com/oreillymedia/
[85]: http://shop.oreilly.com/category/customer-service.do
[86]: http://shop.oreilly.com/category/customer-service/shipping-information.do
[87]: http://shop.oreilly.com/category/customer-service/ordering-payment.do
[88]: http://oreilly.com/affiliates/
[89]: http://shop.oreilly.com/category/customer-service/oreilly-guarantee.do

