---
created_at: '2016-04-24T14:37:23.000Z'
title: 'Powers of 10: Time Scales in User Experience (2009)'
url: https://www.nngroup.com/articles/powers-of-10-time-scales-in-ux/
author: joubert
points: 49
story_text: 
comment_text: 
num_comments: 3
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1461508643
_tags:
- story
- author_joubert
- story_11559811
objectID: '11559811'

---
[Source](https://www.nngroup.com/articles/powers-of-10-time-scales-in-ux/ "Permalink to Powers of 10: Time Scales in User Experience")

# Powers of 10: Time Scales in User Experience

[Skip to Main Content][1]

menu

# ![][2][ Nielsen Norman Group][3]

Evidence-Based User Experience Research, Training, and Consulting

__

* [Home][3]
* Training & Events __
    * [Overview][4]
    * [UX Conference][5]
    * [UX Certification][6]
    * [In-House Training][7]
    * [Online Seminars][8]
* Consulting __
    * [Overview][9]
    * [Benchmarking][10]
    * [Expert Design Review][11]
    * [IA & Navigation Analysis][12]
    * [Usability Testing ][13]
    * [UX Strategy Consulting][14]
    * [In-House Training][7]
* [Reports][15]
* [Articles][16]
* About NN/G__
    * [Overview][17]
    * [People][18]
    * [Why NN/g?][19]
    * [Contact][20]
    * [News][21]
    * [History][22]
    * [Books][23]
* * *
* [Home][3]
* [Training & Events][4]
* [Consulting][9]
* [Reports][15]
* [Articles][16]
* [About NN/G][17]

# Browse by Topic and Author

# Topics

* [E-commerce][24]
* [Intranets][25]
* [Mobile & Tablet][26]
* [User Testing][27]
* [Web Usability][28]
* [Writing for the Web][29]
* [**See all topics**][30]

#  All Article Topics All Topics

* [**See fewer topics**][30]
* [Accessibility][31]
* [Agile][32]
* [Analytics & Metrics][33]
* [Application Design][34]
* [B2B Websites][35]
* [Behavior Patterns][36]
* [Branding][37]
* [Content Strategy][38]
* [Corporate Websites][39]
* [Design Patterns][40]
* [Design Process][41]
* [E-commerce][24]
* [Email][42]
* [Eyetracking][43]
* [Heuristic Evaluation][44]
* [Human Computer Interaction][45]
* [Ideation][46]
* [Information Architecture][47]
* [Interaction Design][48]
* [International Users][49]
* [Intranets][25]
* [Management][50]
* [Mobile & Tablet][26]
* [Navigation][51]
* [Non-Profit Websites][52]
* [Personas][53]
* [Persuasive Design][54]
* [Prototyping][55]
* [Psychology and UX][56]
* [Research Methods][57]
* [Search][58]
* [Social Media][59]
* [Strategy][60]
* [User Testing][27]
* [UX Teams][61]
* [Visual Design][62]
* [Web Usability][28]
* [Writing for the Web][29]
* [Young Users][63]

# Recent Articles

* [Confirmation Dialogs Can Prevent User Errors — If Not Overused][64]
* [Affinity Diagramming for Collaboratively Sorting UX Findings and Design Ideas ][65]
* [Inverted Pyramid: Writing for Comprehension][66]
* [Beyond the NPS: Measuring Perceived Usability with the SUS, NASA-TLX, and the Single Ease Question After Tasks and Usability Tests][67]
* [The 5 Steps to Service Blueprinting][68]
* [**See all articles**][16]

# Popular Articles

* [10 Usability Heuristics for User Interface Design][69]
* [When to Use Which User-Experience Research Methods][70]
* [Usability 101: Introduction to Usability][71]
* [Flat UI Elements Attract Less Attention and Cause Uncertainty][72]
* [F-Shaped Pattern For Reading Web Content (original study)][73]
* [Design Thinking 101][74]
* [10 Best Intranets of 2017][75]
* [The Distribution of Users' Computer Skills: Worse Than You Think][76]
* [UX Research Cheat Sheet][77]
* [When and How to Create Customer Journey Maps][78]

# Videos

* [The 3 B's Test For When to Follow Design Trends][79]
* [Turning Analytics Findings Into Usability Studies][80]
* [10 UX Challenges for the Next 25 Years (Jakob Nielsen Keynote)][81]
* [Flat UI Elements Lack Clickability Clues and Cause Confusion][82]
* [The False-Consensus Effect: You Are Not the User][83]
* [**See all videos**][84]

# Author

* [Jakob Nielsen][85]
* [Don Norman][86]
* [Bruce "Tog" Tognazzini][87]
* [**See all authors**][30]

#  All Authors 

* [See fewer authors][30]
* [Raluca Budiu][88]
* [Patty Caya][89]
* [Therese Fessenden][90]
* [Kim Flaherty][91]
* [Sarah Gibbons][92]
* [Aurora Harley][93]
* [Kate Kaplan][94]
* [Page Laubheimer][95]
* [Hoa Loranger][96]
* [Kate Meyer][97]
* [Jakob Nielsen][85]
* [Don Norman][86]
* [Kara Pernice][98]
* [Christian Rohrer][99]
* [Katie Sherwin][100]
* [Bruce "Tog" Tognazzini][87]
* [Kathryn Whitenton][101]

# We're Hiring

Nielsen Norman Group has [job openings for UX Specialists][102] (entry-level or experienced). Please apply before March 15.

# Powers of 10: Time Scales in User Experience

by [Jakob Nielsen][85] on October 5, 2009 

Topics: 

* [Human Computer Interaction][103]
* [Web Usability][104]

**Summary:** From 0.1 seconds to 10 years or more, user interface design has many different timeframes, and each has its own particular usability issues.

  

The user experience field has its own version of _"[Powers of Ten][105]"_ (the classic 1968 documentary by Ray and Charles Eames). For us, it's not so much that things get 10 times bigger or smaller; ** most user interfaces are about the same physical size**, as dictated by the need to work with the human body. For example, a BlackBerry keyboard is about 1/5 the size of a PC keyboard — it wouldn't work at 1/10 the size. And, except for wall-sized displays, nothing is 10 times bigger than a PC interface.

But in the ** "4th dimension" of time**, user experience phenomena work across many powers of 10.

## 0.1 Second

Many of the effects of perceptual psychology take place at this time scale.

A research team lead by [ Dr. Gitte Lindgaard][106] found that people can make rough ** decisions about a web page's visual appeal ** after being exposed to it for as little as ** 50 ms**, which is 1/20 of a second (50 ms is only half of 0.1 second, but it's close enough for the purposes of a "powers of 10" analysis.)

In Lindgaard's study, screen images were flashed at test participants for 0.05 seconds, after which they could distinguish between more and less attractive designs. It's important to realize that this is ** not how users actually approach web pages ** during real use. For one, pages don't flash on the screen for an instant and then go away. Instead, they render over a period of a second (if we're lucky — otherwise more). Also, people spend a few seconds looking over the page before they decide what to do about it.

Still, the study does show that **people can form basic visual impressions very quickly**, at the limits of human perception.

0.1 second is the [ response time limit][107] if you want ** users to feel like their actions are directly causing something to happen on the screen**. For example, if you click on an expandable menu and see the expanded version in less than 0.1 seconds, then it feels as if _ you _ made the menu open up. If it takes longer than 0.1 seconds for the revised state to appear, then the response doesn't feel instantaneous — instead, it feels as if the _ computer _ is doing something to make the menu open.

Thus, **to create the illusion of [direct manipulation][108], a user interface must be faster than 0.1 second**.

In [ eyetracking studies][109], most of the fixations we track last little more than 0.1 seconds. In fact, the first thing people notice when running their first eyetracking study is how _ fast _ the human eye moves across web pages (or other stimuli). Users look at things very briefly, which is a big reason to emphasize clarity in [ content usability][110].

## 1 Second

When the computer takes more than 0.1 second but less than 1 second to respond to your input, **it feels like the computer is causing the result** to appear. Although users notice the short delay, they ** stay focused on their current train of thought ** during the one-second interval.

This means that during 1-second response times, users retain the ** feeling of being in control ** of the interaction even though they notice that it's a _ 2-way _ interaction (between them and the computer). By contrast, with 0.1 second response times, users simply feel like they're doing something themselves.

For web usability, this means that **new pages must display within 1 second for users to feel like they're navigating freely**; any slower and they feel held back by the computer and don't click as readily.

In the web's early days, it was impossible to achieve such download times. Then, many guidelines advised that you minimize the number of page views required, because going to a new page was unpleasant if it took more than a second to do so.

Today, with broadband widely available, subsecond download times are eminently possible and should definitely be the goal. The main problem now is not so much big graphics or heavy _page weight_ (number of megabytes to download). Now, slow response times are more frequently caused by excessive widgets and other dynamic elements that bloat the design and slow down the server.

(Also, it's important to remember that some people still use dial-up, especially in rural areas or developing countries. Mobile devices also have slower connections, so your [ website's mobile version][111] usually needs a serious diet.)

## 10 Seconds

After 1 second, users get impatient and notice that they're waiting for a slow computer to respond. The longer the wait, the more this impatience grows; after about 10 seconds, the average attention span is maxed out. At that point, the user's mind starts wandering and doesn't retain enough information in [short-term memory][112] to easily resume the interaction once the computer finally loads the next screen.

More than 10 seconds, and you ** break the flow**. Users will often ** leave the site ** rather than trying to regain the groove once they've started thinking about other things.

10 seconds is also the time users typically allocate to [examining a page before deciding][113] that it's so bad that they're going to leave.

The ** average page visit lasts about 30 seconds**, but the more experienced the users are, the less time they allocate to each web page. People are impatient on the internet. Instantly gratify them, or they're out.

## 1 Minute

Users should be able to **complete simple tasks in about 1 minute**. Awkward sites that require much more than a minute for basic tasks — such as transferring money from a savings to a checking account — will be abandoned.

Likewise, most **internet videos ** should last no more than 1–2 minutes because people don't like passively watching something for much longer than that while they're in the active frame of mind induced by web surfing.

Most website visits last about 2–4 minutes.

## 10 Minutes

10 minutes would be a _ long _ visit to a website. In one case, for example, we followed a user researching a B2B [ purchase across 25 site visits][114]. The longest site visit? 7 minutes.

## 1 Hour

Most usability studies last 1–2 hours because it's hard to [ recruit users][115] to come in for longer tests. In fact, unless we're [ testing with children][116] — for whom an hour is the max — we usually limit our test sessions to 90 minutes. People tire after an hour or two.

People complete most web tasks in less than an hour. In one study, [ 1/2 of ecommerce purchases occurred within 28 minutes][117] of the user's arrival at the website. Of course, the other half were spread across longer intervals, often including multiple visits that were days apart.

## 1 Day

1 day is the maximum turnaround for ** customer service ** requests, although you should send [ transactional email and confirmation messages][118] within 1 minute to keep users from wondering whether their action — such as a purchase or address change — has been received correctly.

The difference here is that users assume that customer service requires _ human _ intervention, so they don't think the _ computer _ is broken if they don't hear back within 1 minute. Faster service is still appreciated, of course.

Many users ** habitually ** check certain content sources on a daily basis. (A behavior called _monitoring_.) So, if your topic warrants, it might be smart to publish a daily [ email newsletter][119]. (But be warned: you're begging for unsubscribes if you have a slower-moving topic and publish too often.)

## 1 Week

Other habits are weekly (or monthly, or yearly — depending on seasons, holidays, or tax filings). In our studies of how people use [ social networking][120], we found that Facebook and Twitter tend to be daily habits (or more for some people), whereas MySpace and LinkedIn tend to be checked weekly.

Tasks that require extensive research or big decisions often stretch across a week or more, as users gradually progress in their thinking. So, while each individual visit to any given website might last only a few minutes, the full process takes much longer. This means that sites must support ** revisitation ** behaviors, for example by keeping track of what users have done in previous visits.

Weekly and monthly behaviors don't lend themselves to in-lab usability testing, so we often study them through [** diary studies][121] ** or other more field-oriented methods.

## 1 Month

Business processes often take even more time than individual decisions because of the need to get various people on the same page. For both [ B2B sites][122] and [ enterprise collaboration][123], it's common to have a month or more pass between the initial action and the completion of that workflow.

## 1 Year

Once people have used a website for about a year, they graduate to being [ experienced users][124] with some knowledge about how the site works. It takes a long time to build such expertise because of the superficial in-and-out way users approach websites. Each visit is short, and people don't spend much effort on explicitly seeking out new features and building their skills.

Nevertheless, people do eventually learn something about the sites they use frequently. This is why [ Amazon.com can get away with very complex][125] product pages that are cluttered with more features than I recommend for most sites: many of Amazon's customers have used the site for years and thus have the background required to cope with the site's numerous features.

**Organizational change ** usually takes years. For example, it typically takes 2–3 years for a company to progress to the next level of the [ 8 stages of UX process maturity][126].

## 10 Years

It takes almost 10 years for users to develop ** deep expertise ** in a complex system such as Unix. The learning curve thus continues for many years past the initial uptake of simple features that we usually study. Throughout these first 10 years, people gradually explore more and more corners of the system and slowly build their skills.

**Data often lives for decades ** — far longer than any individual user interface that people use to access the data. This means that you need ** migration tools** to help users make sense of old data and transfer it into new systems. For example, photo sharing sites should give users tools to import old photos. Eventually, such sites will also need to cope with the exploding mass of thousands of decade-old uploads.

## 100 Years

If organizational change takes years, ** social changes ** can take decades, getting close to the 100-year mark in some cases, which is why we're not seeing them yet for many aspects of computing. For example, it's possible that collaboration systems will ** depopulate cities**. It's also possible that the change to [ shorter, more superficial][127] information nuggets instead of immersive, linear information will ** undermine education ** as people lose the ability to learn and study harder concepts. (Or that online education will kill or drastically change universities, for example by making them centers for exercises and workshops without any lectures.)

We don't yet have 100-year effects in user interfaces, because people haven't yet used computers for their entire lifetime. But eventually this will happen. We're already many years into the era when many people started using computers as children. And we're certainly seeing more and more uptake of web use and other computer activities among [ senior citizens][128].

Combine these two trends, and we'll eventually have people who've used computers all of their lives — or 100 years for the more long-lived members of the species. What'll that mean? Let's discuss this in a few more years.

  

**Share this article: ** [Twitter][129] | [LinkedIn][130] | [Facebook][131] | [Email][132]
* * *

## Learn More

[Subscribe to the weekly newsletter][133] to get notified about future articles.

### Articles

* [How Long Do Users Stay on Web Pages?][134]
* [The Role of Enhancement in Web Design][135]
* [Direct Access vs. Sequential Access: Definition][136]
* [TV Meets the Web][137]
* [Computer-Assisted Embarrassment][138]

All articles about: 

* [Human Computer Interaction][103]
* [longitudinal studies][139]
* [performance][140]
* [response time][141]
* [timing][142]
* [Web Usability][104]

### UX Conference Training Courses

* [Measuring User Experience][143]
* [UX Basic Training][144]
* [Interaction Design: 3-Day Course][145]
* [The Human Mind and Usability][146]
* [User Interface Principles Every Designer Must Know][147]

### Research Reports

* [B2B Website Usability for Converting Users into Leads and Customers][148]
* [Strategic Design for Frequently Asked Questions][149]

### Online Seminars

* [The Fundamental Flaw in Flat Design][150]
* [Millennials Online][151]
* [University Website UX Essentials][152]

### Articles

* [How Long Do Users Stay on Web Pages?][134]
* [The Role of Enhancement in Web Design][135]
* [Direct Access vs. Sequential Access: Definition][136]
* [TV Meets the Web][137]
* [Computer-Assisted Embarrassment][138]

### Research Reports

* [B2B Website Usability for Converting Users into Leads and Customers][148]
* [Strategic Design for Frequently Asked Questions][149]

### UX Conference Training Courses

* [Measuring User Experience][143]
* [UX Basic Training][144]
* [Interaction Design: 3-Day Course][145]
* [The Human Mind and Usability][146]
* [User Interface Principles Every Designer Must Know][147]

### Online Seminars

* [The Fundamental Flaw in Flat Design][150]
* [Millennials Online][151]
* [University Website UX Essentials][152]

### Videos

* ![][153]

[The Fold Manifesto: How to Encourage Scrolling][154] 2 minute video

* ![][155]

[Don't Be Fooled by Surface-Level Design (Jakob Nielsen)][156] 2 minute video

* ![][157]

[Human Technology Teamwork: The Role of Machines and Humans in Good UX Design (Don Norman)][158] 2 minute video

# We're Hiring

Nielsen Norman Group has [job openings for UX Specialists][102] (entry-level or experienced). Please apply before March 15.

# Popular Topics

* [Application Design ][159]
* [E-Commerce Design ][160]
* [Eyetracking ][161]
* [Human Computer Interaction ][103]
* [Information Architecture ][162]
* [Intranet Design ][163]
* [Interaction Design ][164]
* [Mobile and Tablet Design ][165]
* [Persuasive Design][166]
* [Research Methods][167]
* [User Testing ][168]
* [Web Usability ][104]
* [Web Writing & Content Strategy ][169]

 

# Follow Us

* [Subscribe to our weekly UX newsletter][133], Jakob Nielsen's Alertbox
* Visit Don Norman's website, [ www.jnd.org ][170]
* Visit Bruce Tognazzini's website, [ www.asktog.com ][171]
* ![Follow @nngroup on Twitter][172]
* ![][173][Subscribe to our RSS feed][174]

# About 

* [Contact information][20]
* [About Us][17]
* [Why NN/g? ][19]
* [Return Policy][175]

[Copyright][176] © 1998-2018 Nielsen Norman Group, All Rights Reserved.

  
Top

[1]: https://www.nngroup.com#contentBody
[2]: https://media.nngroup.com/static/img/logo-wordmark.png
[3]: https://www.nngroup.com/
[4]: https://www.nngroup.com/training/
[5]: https://www.nngroup.com/ux-conference/
[6]: https://www.nngroup.com/ux-certification/
[7]: https://www.nngroup.com/in-house-training/
[8]: https://www.nngroup.com/online-seminars/
[9]: https://www.nngroup.com/consulting/
[10]: https://www.nngroup.com/consulting/benchmarking/
[11]: https://www.nngroup.com/consulting/expert-design-review/
[12]: https://www.nngroup.com/consulting/ia-navigation-analysis/
[13]: https://www.nngroup.com/consulting/usability-testing/
[14]: https://www.nngroup.com/consulting/ux-strategy/
[15]: https://www.nngroup.com/reports/
[16]: https://www.nngroup.com/articles/
[17]: https://www.nngroup.com/about/
[18]: https://www.nngroup.com/people/
[19]: https://www.nngroup.com/about/why-nng/
[20]: https://www.nngroup.com/about/contact/
[21]: https://www.nngroup.com/news/
[22]: https://www.nngroup.com/about/history/
[23]: https://www.nngroup.com/books/
[24]: https://www.nngroup.com/topic/e-commerce/all/
[25]: https://www.nngroup.com/topic/intranets/all/
[26]: https://www.nngroup.com/topic/mobile-and-tablet-design/all/
[27]: https://www.nngroup.com/topic/user-testing/all/
[28]: https://www.nngroup.com/topic/web-usability/all/
[29]: https://www.nngroup.com/topic/writing-web/all/
[30]: https://www.nngroup.com#
[31]: https://www.nngroup.com/topic/accessibility/all/
[32]: https://www.nngroup.com/topic/agile/all/
[33]: https://www.nngroup.com/topic/analytics-and-metrics/all/
[34]: https://www.nngroup.com/topic/applications/all/
[35]: https://www.nngroup.com/topic/b2b-websites/all/
[36]: https://www.nngroup.com/topic/behavior-patterns/all/
[37]: https://www.nngroup.com/topic/branding/all/
[38]: https://www.nngroup.com/topic/content-strategy/all/
[39]: https://www.nngroup.com/topic/corporate-websites/all/
[40]: https://www.nngroup.com/topic/design-patterns/all/
[41]: https://www.nngroup.com/topic/ux-design-process/all/
[42]: https://www.nngroup.com/topic/email/all/
[43]: https://www.nngroup.com/topic/eyetracking/all/
[44]: https://www.nngroup.com/topic/heuristic-evaluation/all/
[45]: https://www.nngroup.com/topic/human-computer-interaction/all/
[46]: https://www.nngroup.com/topic/ux-ideation/all/
[47]: https://www.nngroup.com/topic/information-architecture/all/
[48]: https://www.nngroup.com/topic/interaction-design/all/
[49]: https://www.nngroup.com/topic/international-users/all/
[50]: https://www.nngroup.com/topic/ux-management/all/
[51]: https://www.nngroup.com/topic/navigation/all/
[52]: https://www.nngroup.com/topic/non-profit-websites/all/
[53]: https://www.nngroup.com/topic/personas/all/
[54]: https://www.nngroup.com/topic/persuasive-design/all/
[55]: https://www.nngroup.com/topic/prototyping/all/
[56]: https://www.nngroup.com/topic/psychology-and-ux/all/
[57]: https://www.nngroup.com/topic/research-methods/all/
[58]: https://www.nngroup.com/topic/search/all/
[59]: https://www.nngroup.com/topic/social-media/all/
[60]: https://www.nngroup.com/topic/strategy/all/
[61]: https://www.nngroup.com/topic/ux-teams/all/
[62]: https://www.nngroup.com/topic/visual-design/all/
[63]: https://www.nngroup.com/topic/young-users/all/
[64]: https://www.nngroup.com/articles/confirmation-dialog/
[65]: https://www.nngroup.com/articles/affinity-diagram/
[66]: https://www.nngroup.com/articles/inverted-pyramid/
[67]: https://www.nngroup.com/articles/measuring-perceived-usability/
[68]: https://www.nngroup.com/articles/5-steps-service-blueprinting/
[69]: https://www.nngroup.com/articles/ten-usability-heuristics/
[70]: https://www.nngroup.com/articles/which-ux-research-methods/
[71]: https://www.nngroup.com/articles/usability-101-introduction-to-usability/
[72]: https://www.nngroup.com/articles/flat-ui-less-attention-cause-uncertainty/
[73]: https://www.nngroup.com/articles/f-shaped-pattern-reading-web-content-discovered/
[74]: https://www.nngroup.com/articles/design-thinking/
[75]: https://www.nngroup.com/articles/intranet-design/
[76]: https://www.nngroup.com/articles/computer-skill-levels/
[77]: https://www.nngroup.com/articles/ux-research-cheat-sheet/
[78]: https://www.nngroup.com/articles/customer-journey-mapping/
[79]: https://www.nngroup.com/videos/3-bs-design-trends/
[80]: https://www.nngroup.com/videos/turning-analytics-findings-usability-studies/
[81]: https://www.nngroup.com/videos/10-ux-challenges-next-25-years-jakob-nielsen-keynote/
[82]: https://www.nngroup.com/videos/flat-ui-elements-lack-clickability-clues-and-cause-confusion/
[83]: https://www.nngroup.com/videos/false-consensus-effect/
[84]: https://www.nngroup.com/articles/#videos
[85]: https://www.nngroup.com/articles/author/jakob-nielsen/
[86]: https://www.nngroup.com/articles/author/don-norman/
[87]: https://www.nngroup.com/articles/author/bruce-tognazzini/
[88]: https://www.nngroup.com/articles/author/raluca-budiu/
[89]: https://www.nngroup.com/articles/author/patty-caya/
[90]: https://www.nngroup.com/articles/author/therese-fessenden/
[91]: https://www.nngroup.com/articles/author/kim-flaherty/
[92]: https://www.nngroup.com/articles/author/sarah-gibbons/
[93]: https://www.nngroup.com/articles/author/aurora-harley/
[94]: https://www.nngroup.com/articles/author/kate-kaplan/
[95]: https://www.nngroup.com/articles/author/page-laubheimer/
[96]: https://www.nngroup.com/articles/author/hoa-loranger/
[97]: https://www.nngroup.com/articles/author/kate-meyer/
[98]: https://www.nngroup.com/articles/author/kara-pernice/
[99]: https://www.nngroup.com/articles/author/christian-rohrer/
[100]: https://www.nngroup.com/articles/author/katie-sherwin/
[101]: https://www.nngroup.com/articles/author/kathryn-whitenton/
[102]: https://www.nngroup.com/news/item/job-openings/
[103]: https://www.nngroup.com/topic/human-computer-interaction/
[104]: https://www.nngroup.com/topic/web-usability/
[105]: http://www.eamesoffice.com/education/powers-of-ten-2/ "Eames: Thinking in Powers of Ten"
[106]: https://carleton.ca/psychology/people/gitte-lindgaard/ "Carleton University: Biography"
[107]: https://www.nngroup.com/articles/response-times-3-important-limits/ "Usability Engineering: Response Times - The Three Important Limits"
[108]: https://www.nngroup.com/articles/direct-manipulation/ "Direct Manipulation: Definition"
[109]: https://www.nngroup.com/topic/eyetracking/ "Overview of eyetracking research"
[110]: https://www.nngroup.com/topic/writing-web/ "Content usability research and writing for the web: articles, reports, and courses from Nielsen Norman Group"
[111]: https://www.nngroup.com/articles/mobile-usability-update/ "Alertbox: Mobile Usability"
[112]: https://www.nngroup.com/articles/short-term-memory-and-web-usability/ "Short-Term Memory and Web Usability"
[113]: https://www.nngroup.com/articles/how-long-do-users-stay-on-web-pages/ "How Long Do Users Stay on Web Pages?"
[114]: https://www.nngroup.com/articles/websites-visited-b2b-user-session/ "Alertbox sidebar: Websites Visited During a B2B User Session"
[115]: https://www.nngroup.com/articles/recruiting-test-participants-for-usability-studies/ "Alertbox: Recruiting Test Participants for Usability Studies"
[116]: https://www.nngroup.com/articles/childrens-websites-usability-issues/ "Alertbox: Kids' Corner - Website Usability for Children"
[117]: https://www.nngroup.com/articles/long-sales-cycles-online/ "Alertbox: The Slow Tail - Time Lag Between Visiting and Buying"
[118]: https://www.nngroup.com/articles/transactional-and-confirmation-email/ "Transactional Email and Confirmation Messages"
[119]: https://www.nngroup.com/articles/e-mail-newsletters-increasing-usability/ "Alertbox: Email Newsletters - Surviving Inbox Congestion"
[120]: https://www.nngroup.com/courses/cross-channel-user-experience/ "Nielsen Norman Group training seminar: detailed course description"
[121]: https://www.nngroup.com/articles/diary-studies/ "Diary Studies: Understanding Long-Term User Behavior and Experiences"
[122]: https://www.nngroup.com/articles/b2b-usability/ "Alertbox: Business-to-Business Usability"
[123]: https://www.nngroup.com/articles/social-networking-on-intranets/ "Alertbox: Social Networking on Intranets"
[124]: https://www.nngroup.com/articles/novice-vs-expert-users/ "Alertbox: Novice vs. Expert Users"
[125]: https://www.nngroup.com/articles/amazon-no-e-commerce-role-model/ "Alertbox: Amazon No Longer the Role Model for E-Commerce Design"
[126]: https://www.nngroup.com/articles/usability-maturity-stages-1-4/ "Alertbox: Corporate Usability Maturity, Stages 1-4"
[127]: https://www.nngroup.com/articles/content-strategy-long-vs-short/ "Alertbox: Long vs. Short Articles as Content Strategy"
[128]: https://www.nngroup.com/reports/senior-citizens-on-the-web/ "Nielsen Norman Group report: Web Usability for Senior Citizens"
[129]: https://twitter.com/intent/tweet?url=http://www.nngroup.com/articles/powers-of-10-time-scales-in-ux/&text=Powers of 10: Time Scales in User Experience&via=nngroup
[130]: http://www.linkedin.com/shareArticle?mini=true&url=http://www.nngroup.com/articles/powers-of-10-time-scales-in-ux/&title=Powers of 10: Time Scales in User Experience&source=Nielsen%20Norman%20Group
[131]: http://www.facebook.com/sharer.php?u=https://www.nngroup.com/articles/powers-of-10-time-scales-in-ux/
[132]: mailto:?subject=NN/g Article: Powers of 10: Time Scales in User Experience&body=http://www.nngroup.com/articles/powers-of-10-time-scales-in-ux/
[133]: https://www.nngroup.com/articles/subscribe/
[134]: https://www.nngroup.com/articles/how-long-do-users-stay-on-web-pages/?lm=powers-of-10-time-scales-in-ux&pt=article
[135]: https://www.nngroup.com/articles/enhancement/?lm=powers-of-10-time-scales-in-ux&pt=article
[136]: https://www.nngroup.com/articles/direct-vs-sequential-access/?lm=powers-of-10-time-scales-in-ux&pt=article
[137]: https://www.nngroup.com/articles/tv-meets-the-web/?lm=powers-of-10-time-scales-in-ux&pt=article
[138]: https://www.nngroup.com/articles/embarrassment/?lm=powers-of-10-time-scales-in-ux&pt=article
[139]: https://www.nngroup.com/topic/longitudinal-studies/
[140]: https://www.nngroup.com/topic/performance/
[141]: https://www.nngroup.com/topic/response-time/
[142]: https://www.nngroup.com/topic/timing/
[143]: https://www.nngroup.com/courses/measuring-ux/?lm=powers-of-10-time-scales-in-ux&pt=article
[144]: https://www.nngroup.com/courses/ux-basic-training/?lm=powers-of-10-time-scales-in-ux&pt=article
[145]: https://www.nngroup.com/courses/interaction-design-3-day-course/?lm=powers-of-10-time-scales-in-ux&pt=article
[146]: https://www.nngroup.com/courses/human-mind/?lm=powers-of-10-time-scales-in-ux&pt=article
[147]: https://www.nngroup.com/courses/hci/?lm=powers-of-10-time-scales-in-ux&pt=article
[148]: https://www.nngroup.com/reports/b2b-websites-usability/?lm=powers-of-10-time-scales-in-ux&pt=article
[149]: https://www.nngroup.com/reports/strategic-design-faqs/?lm=powers-of-10-time-scales-in-ux&pt=article
[150]: https://www.nngroup.com/online-seminars/fundamental-flaw-flat-design/?lm=powers-of-10-time-scales-in-ux&pt=article
[151]: https://www.nngroup.com/online-seminars/millennials-online/?lm=powers-of-10-time-scales-in-ux&pt=article
[152]: https://www.nngroup.com/online-seminars/university-websites/?lm=powers-of-10-time-scales-in-ux&pt=article
[153]: https://media.nngroup.com/media/videos/thumbnails/The_Page_Fold_Thumbnail_Amy.jpg.420x236_q95_autocrop_crop_upscale.jpg
[154]: https://www.nngroup.com/videos/fold-manifesto/?lm=powers-of-10-time-scales-in-ux&pt=article
[155]: https://media.nngroup.com/media/videos/thumbnails/Dont_Be_Fooled_by_Surface-Level_Design_Thumbnail.jpg.420x236_q95_autocrop_crop_upscale.jpg
[156]: https://www.nngroup.com/videos/surface-level-design/?lm=powers-of-10-time-scales-in-ux&pt=article
[157]: https://media.nngroup.com/media/videos/thumbnails/Human_Technology_Teamwork_Thumbnail.jpg.420x236_q95_autocrop_crop_upscale.jpg
[158]: https://www.nngroup.com/videos/human-technology-teamwork/?lm=powers-of-10-time-scales-in-ux&pt=article
[159]: https://www.nngroup.com/topic/applications/
[160]: https://www.nngroup.com/topic/e-commerce/
[161]: https://www.nngroup.com/topic/eyetracking/
[162]: https://www.nngroup.com/topic/information-architecture/
[163]: https://www.nngroup.com/topic/intranets/
[164]: https://www.nngroup.com/topic/interaction-design/
[165]: https://www.nngroup.com/topic/mobile-and-tablet-design/
[166]: https://www.nngroup.com/topic/credibility-persuasion/
[167]: https://www.nngroup.com/topic/research-methods/
[168]: https://www.nngroup.com/topic/user-testing/
[169]: https://www.nngroup.com/topic/writing-web/
[170]: http://www.jnd.org
[171]: http://www.asktog.com
[172]: https://media.nngroup.com/media/editor/2016/12/30/twitter-follow-button.png
[173]: https://media.nngroup.com/media/editor/2016/07/26/feed-icon-14x14.png
[174]: https://www.nngroup.com/feed/rss/
[175]: https://www.nngroup.com/return-policy/
[176]: https://www.nngroup.com/copyright-and-reprint-info/

