---
created_at: '2016-07-14T23:06:41.000Z'
title: A Proposal for a High Resolution Display (2009)
url: https://bernd-paysan.de/hires.html
author: jevinskie
points: 60
story_text: 
comment_text: 
num_comments: 36
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1468537601
_tags:
- story
- author_jevinskie
- story_12097862
objectID: '12097862'

---
[Source](https://bernd-paysan.de/hires.html "Permalink to A High Resolution Display")

# A High Resolution Display

[Home][1][4stack][2][Gforth][3][bigFORTH][4][Why Forth?][5][1 Screen Forth][6][Hobbies][7][Resume][8]

# A High Resolution Display 

I've still good eye-sight, and I think current displays with a resolution of around 100dpi are not good enough. GPUs are powerful enough to render images at higher resolutions, and reading text on the screen really requires better resolution. 

There are two limits for resolution: One is Windows XP, the other is technical. There's a hope that Windows XP with its lack of scalable icons and dialog boxes will fade out sooner or later within the next three years. I can't help much here, but I can help on the technical side: There's also a limit how small you can make structures on a TFT. 

Current displays use vertical RGB stripes. This is quite wasteful, especially considering how the human eye works. The human eye produces a sharp image only for greenish colors, red and blue are blurred. The eye therefore already spends 2/3 of the sensors in the fovea to green. Camera makers know how to use this, and came up with the Bayer pattern. There, half the sensors are green, the rest red and blue. Therefore, my suggestion is to use a Bayer pattern for the colors (rotated by 45°, to have maximum resolution on green in horizontal and vertical direction): 

![][9] **>**

You see, with a feature size of sqrt(2) of that of the RGB screen, we can have 1.5 the resolution; using an identical feature size would allow for about twice the resolution, 200 instead of 94 dpi (only green pixels count for resolution; when you have a camera advertized as 6 megapixel, the effective resolution is 3 megapixel). The red and blue pixels can be used for sub-pixel anti-aliasing, which can improve percieved resolution and rendering accuracy further. 

For an extremely wide color gamut, I suggest using two slightly different greens - one slightly into yellow, one a bit blueish. As you can see, adding another green to the Adobe RGB color space (which is already "wide") adds significant area: 

![][10] **>**

For more efficient backlight, I suggest using color scattering like on the OLPC display instead of filters. Note that red and blue pixels need to be twice as intensive as green, this is asking for RGB LED backlights, or a "white" LED with a redish phosphor (so that there's less green than usual). Since the percieved intensity of red and blue light is less than the one of green, increasing luminosity for red and green also improves sub-pixel anti-aliasing, and further reduces the "screen-door effect", which is partcularly large for RGB LCDs. 

Higher resolution also requires higher bandwidth to the monitor, and scales quadratically with resolution. Fortunately, DisplayPort 1.2 allows for enough bandwidth to have 4096x2560 pixels. Also, DisplayPort supports YCrCb with 4:2:2 color subsampling, a format which is more appropriate for the bayer-pattern on this type of screen (by reducing bandwidth, it would allow up to 5000x3000 pixels). RGB, as used with DVI, still can be rendered, by distributing red and blue to the appropriate pixels. 

* * *

Created 17nov2009. Last modified: 1sep2016 by ![Mail][11][Bernd Paysan][12]![PGP key][13][ Impressum][14]

[1]: https://bernd-paysan.de/index.html
[2]: https://bernd-paysan.de/4stack.html
[3]: https://bernd-paysan.de/gforth.html
[4]: https://bernd-paysan.de/bigforth.html
[5]: https://bernd-paysan.de/why-forth.html
[6]: https://bernd-paysan.de/screenful.html
[7]: https://bernd-paysan.de/hobby.html
[8]: https://bernd-paysan.de/job.html
[9]: https://bernd-paysan.de/bayer-screen.png
[10]: https://bernd-paysan.de/RGGB.png
[11]: https://bernd-paysan.de/icons/mail.gif
[12]: mailto:bernd.paysan%40gmx.de
[13]: https://bernd-paysan.de/icons/gpg-asc.gif
[14]: https://bernd-paysan.de/impressum.html

