---
created_at: '2017-02-03T11:19:36.000Z'
title: Influenza A (H1N1) – How many bits does it take to kill a human? (2009)
url: http://www.bunniestudios.com/blog/?p=353
author: gpvos
points: 146
story_text: 
comment_text: 
num_comments: 29
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1486120776
_tags:
- story
- author_gpvos
- story_13559057
objectID: '13559057'

---
[Source](http://www.bunniestudios.com/blog/?p=353 "Permalink to On Influenza A (H1N1) &laquo;  bunnie&#039;s blog")

# On Influenza A (H1N1) &laquo;  bunnie&#039;s blog

* * *

«[ Name that ware May 2009][1]

[Winner, Name that Ware May 2009 »][2]

## On Influenza A (H1N1)

I read a [fantastic article in Nature magazine (vol 459, pp931-939 (18 June 2009))][3] that summarizes not only the current state of novel H1N1 (aka Swine Flu) understanding, but also a compares H1N1 against other flu strains. In particular, it discusses in-depth how the pathogenic components — i.e., the stuff that kills you — compare against each other. 

The Influenza virus is quite fascinating. Allow me to ramble on…

**Comparison to Computer Viruses**

How many bits does it take to kill a human? 

The H1N1 virus has been comprehensively disassembled (sequenced) and logged into the [NCBI Influenza Virus Resource database][4]. For example, an instance of influenza known as A/Italy/49/2009(H1N1) isolated from the nose of a 26-year old female homo sapiens returning from the USA to Italy (I love the specificity of these database records), has its entire sequence posted at the NCBI website. It’s amazing — here’s the first 120 bits of the sequence.
    
    
    atgaaggcaa tactagtagt tctgctatat acatttgcaa ccgcaaatgc agacacatta

Remember, each symbol represents 2 bits of information. This is alternatively represented as an amino acid sequence, through a translation lookup table, of the following peptides:
    
    
    MKAILVVLLYTFATANADTL

In this case, each symbol represents an amino acid which is the equivalent of 6 bits (3 DNA-equivalent codons per amino acid). M is methionine, K is Lysine, A is Alanine, etc. (you can find the translation table [here][5]). 

For those not familiar with molecular biology, DNA is information-equivalent to RNA on a 1 to 1 mapping; DNA is like a program stored on disk, and RNA is like a program loaded into RAM. Upon loading DNA, a transcription occurs where “T” bases are replaced with “U” bases. Remember, each base pair specifies one of four possible symbols (A [T/U] G C), so a single base pair corresponds to 2 bits of information. 

Proteins are the output of running an RNA program. Proteins are synthesized according to the instructions in RNA on a 3 to 1 mapping. You can think of proteins a bit like pixels in a frame buffer. A complete protein is like an image on the screen; each amino acid on a protein is like a pixel; each pixel has a depth of 6 bits (3 to 1 mapping of a medium that stores 2 bits per base pair); and each pixel has to go through a color palette (the codon translation table) to transform the raw data into a final rendered color. Unlike a computer frame buffer, different biological proteins vary in amino acid count (pixel count).

To ground this in a specific example, six bits stored as “ATG” on your hard drive (DNA) is loaded into RAM (RNA) as “AUG” (remember the T->U transcription). When the RNA program in RAM is executed, “AUG” is translated to a pixel (amino acid) of color “M”, or methionine (which is incidentally the biological “start” codon, the first instruction in _every_ valid RNA program). As a short-hand, since DNA and RNA are 1:1 equivalent, bioinformaticists represent gene sequences in DNA format, even if the biological mechanism is in RNA format (as is the case for Influenza–more on the significance of that later!).

OK, back to the main point of this post. The particular RNA subroutine mentioned above codes for the HA gene which produces the Hemagglutinin protein: in particular, an H1 variety. This is the “H1” in the H1N1 designation. 

If you thought of organisms as computers with IP addresses, each functional group of cells in the organism would be listening to the environment through its own active port. So, as port 25 maps specifically to SMTP services on a computer, port H1 maps specifically to the windpipe region on a human. Interestingly, the same port H1 maps to the intestinal tract on a bird. Thus, the same _H1_N1 virus will attack the respiratory system of a human, and the gut of a bird. In contrast, H5 — the variety found in _H5_N1, or the deadly “avian flu” — specifies the port for your inner lungs. As a result, H5N1 is much more deadly because it attacks your inner lung tissue, causing severe pneumonia. H1N1 is not as deadly because it is attacking a much more benign port that just causes you to blow your nose a lot and cough up loogies, instead of ceasing to breathe. 

Researchers are still discovering more about the H5 port; the Nature article indicates that perhaps certain human mutants have lungs that do not listen on the H5 port. So, those of us with the mutation that causes lungs to ignore the H5 port would have a better chance of surviving an Avian flu infection, whereas as those of us that open port H5 on the lungs have no chance to survive make your time / all your base pairs are belong to H5N1.

So how many bits are in this instance of H1N1? The raw number of bits, by my count, is 26,022; the actual number of coding bits approximately 25,054 — I say approximately because the virus does the equivalent of self-modifying code to create two proteins out of a single gene in some places (pretty interesting stuff actually), so it’s hard to say what counts as code and what counts as incidental non-executing [NOP sleds][6] that are required for self-modifying code. 

So it takes about 25 kilobits — 3.2 kbytes — of data to code for a virus that has a non-trivial chance of killing a human. This is more efficient than a computer virus, such as MyDoom, which rings in at around 22 kbytes.

It’s humbling that I could be killed by 3.2kbytes of genetic data. Then again, with 850 Mbytes of data in my genome, there’s bound to be an exploit or two. 

**Hacking Swine Flu**

One interesting consequence of reading this Nature article, and having access to the virus sequence, is that I now know how to modify the virus sequence to probably make it more deadly. 

Here’s how:

The Nature article notes, for example, that variants of the PB2 Influenza gene with Glutamic acid at position 627 in the sequence has a low pathogenicity (not very deadly). However, PB2 variants with Lysine at the same position is more deadly. Well, let’s see the sequence of PB2 for H1N1. Going back to our NCBI database:
    
    
    
    601 QQMRDVLGTFDTVQIIKLLP
    621 FAAAPPEQSRMQFSSLTVNV
    641 RGSGLRILVRGNSPVFNYNK
    

As you can see from the above annotation, position 627 has “E” in it, which is the code for Glutamic acid. Thankfully, it’s the less-deadly version; perhaps this is why not as many people have died from contracting H1N1 as the press releases might have scared you into thinking. Let’s reverse this back to the DNA code:
    
    
    
    621  F  A  A  A   P  P  E   Q  S  R  
    1861 tttgctgctg ctccaccaga acagagtagg
    

As you can see, we have “GAA” coding for “E” (Glutamic acid). To modify this genome to be more deadly, we simply need to replace “GAA” with one of the codes for Lysine (“K”), which is either of “AAA” or “AAG”. Thus, the more deadly variant of H1N1 would have its coding sequence read like this:
    
    
    
    621  F  A  A  A   P  P  K   Q  S  R  
    1861 tttgctgctg ctccaccaaa acagagtagg
                            ^ changed
    

There. A single base-pair change, flipping two bits, is perhaps all you need to turn the current less-deadly H1N1 swine flu virus into a more deadly variant. 

Theoretically, I could apply a long series of well-known biological procedures to synthesize this and actually implement this deadly variant; as a first step, I can go to any number of DNA synthesis websites (such as the cutely-named “[Mr. Gene”][7]) and order the modified sequence to get my deadly little project going for a little over $1,000. Note that Mr. Gene implements a screening procedure against DNA sequences that could be used to implement biohazardous products. I don’t know if they specifically screen against HA variants such as this modified H1 gene. Even if they do, there are well-known protocols for site-directed mutagenesis that can possibly be used to modify a single base of RNA from material extracted from normal H1N1. 

[Just noticed this citation from the Nature article: Neumann, G. _et al_ [Generation of influenza A viruses entirely from cloned cDNA.][8] _Proc. Natl Acad. Sci. USA_ 96, 9345-9350 (1999). This paper tells you how to DIY an Influenza A. Good read.]. 

**Adaptable Influenza**

OK, before we get our hackles up about this little hack, let’s give Influenza some credit: after all, it packs a deadly punch in 3.2kbytes and despite our best efforts we can’t eradicate it. Could Influenza figure this out on its own?

The short answer is yes. 

In fact, the Influenza virus is evolved to allow for these adaptations. Normally, when DNA is copied, an error-checking protein runs over the copied genome to verify that no mistakes were made. This keeps the error rate quite low. But remember, Influenza uses an RNA architecture. It therefore needs a different mechanism from DNA for copying. 

It turns out that Influenza packs inside its virus capsule a protein complex ([RNA-dependent RNA polymerase][9]) that is customized for its style of RNA copying. Significantly, it omits the error checking protein. The result is that there is about one error made in copying every 10,000 base pairs. How long is the Influenza genome? About 13,000 base pairs. Thus, on average, every copy of an Influenza virus has one random mutation in it. 

Some of these mutations make no difference; others render the virus harmless; and quite possibly, some render the virus much more dangerous. Since viruses are replicated and distributed in astronomical quantities, the chance that this little hack could end up occurring naturally is in fact quite high. This is part of the reason, I think, why the health officials are so worried about H1N1: we have no resistance to it, and even though it’s not quite so deadly today, it’s probably just a couple mutations away from being a much bigger health problem. 

In fact, if anything, perhaps I should be trying to catch the strain of H1N1 going around today because its pathogenicity is currently in-line with normal flu variants — as of this article’s writing, the [CDC][10] has recorded 87 deaths out of 21,449 confirmed cases, or a 0.4% mortality rate (to contrast, “normal” flu is <0.1%, while the dreaded Spanish flu of 1918 was around 2.5%; H5N1, or avian flu, is [over 50%][11](!), but thankfully it has trouble spreading between humans). By getting H1N1 today, I would get the added bonus of developing a natural immunity to H1N1, so after it mutates and comes back again I stand a better chance of fighting it. What doesn’t kill you makes you stronger!…or on second thought maybe I’ll just wait until they develop a vaccine for it. 

There is one other important subtlety to the RNA architecture of the influenza virus, aside from the well-adjusted mutation rate that it guarantees. The subtlety is that the genetic information is stored inside the virus as 8 separate snippets of RNA, instead of as a single unbroken strand (as it is in many other viruses and in living cells). Why is this important?

Consider what happens when a host is infected by two types of Influenza at the same time. If the genes were stored as a single piece of DNA, there would be little opportunity for the genes between the two types to shuffle. However, because Influenza stores its genes as 8 separate snippets, the snippets mix freely inside the infected cell, and are randomly shuffled into virus packets as they emerge. Thus, if you are unlucky enough to get two types of flus at once, the result is a potentially novel strain of flu, as RNA strands are copied, mixed and picked out of the metaphorical hat and then packed into virus particles. This process is elegant in that the same mechanism allows for mixing of an arbitrary number of strains in a single host: if you can infect a cell with three or four types of influenza at once, the result is an even wilder variation of flu particles. 

This is part of the reason why the novel H1N1 is called a “triple-reassortant” virus: through either a series of dual-infections, or perhaps a single calamitous infection of multiple flu varieties, the novel H1N1 acquired a mix of RNA snippets that has bestowed upon it high transmission rates along with no innate human immunity to the virus, i.e., the perfect storm for a pandemic.

I haven’t been tracking the latest efforts on the part of computer virus writers, but if there was a computer analogy to this RNA-shuffling model, it would be a virus that distributes itself in the form of unlinked object code files plus a small helper program that, upon infection in a host, would first re-link its files in a random order before copying and redistributing itself. In addition to doing this, it would search for similar viruses that may already be infecting that computer, and it would on occasion link in object code with matching function templates from the other viruses. This re-arrangement and novel re-linking of the code itself would work to foil certain classes of anti-virus software that searches for virus signatures based on fixed code patterns. It would also cause a proliferation of a diverse set of viruses in the wild, with less predictable properties.

Thus, the Influenza virus is remarkable in its method for achieving a multi-level adaptation mechanism, consisting of both a slowly evolving point mutation mechanism, as well as a mechanism for drastically altering the virus’ properties in a single generation through gene-level mixing with other viruses (it’s not quite like sex but probably just as good, if not better). It’s also remarkable that these two important properties of the virus arise as a consequence of using RNA instead of DNA as the genetic storage medium. 

Well, that’s it for me tonight — and if you made it this far through the post, I appreciate your attention; I do tend to ramble in my “Ponderings” posts. There’s actually a lot more fascinating stuff about Influenza A inside the aforementioned Nature article. If you want to know more, I highly recommend the read. 

This entry was posted on Sunday, June 21st, 2009 at 6:56 am and is filed under [Biology][12], [Ponderings][13]. You can follow any responses to this entry through the [RSS 2.0][14] feed. Both comments and pings are currently closed. 

### 157 Responses to “On Influenza A (H1N1)”

1. ![][15] [Camilo Telles][16] says:

[ June 21, 2009 at 7:41 am][17]

Completely excelent. Molecular biology for computer scientists. Now I can get the real perspective of it. Keep the good stuff coming.

2. [ChoJin’s Quarter » On Influenza A][18] says:

[ June 21, 2009 at 11:02 am][19]

[…] Just a small post to point to an article bunnie [1] wrote about the virus Influenza A : On Influenza A by bunnie. […]

3. ![][20] [Matt Mastracci][21] says:

[ June 21, 2009 at 2:22 pm][22]

Well, I’d say you could kill a specific computer in far less bits:

rm -rf /

It’s an interaction between the message and the host environment. Depending on the defenses/design of the host, the message could be longer or shorter. It also depends on your infection point (root shell/browser exploit on a unix box, bloodstream injection/respiration/skin contact via human)

I think bits of information in an infection is a bit of a red herring. How many bits of information exist in a misfolded protein that causes other proteins to misfold (and therefore propagates itself at the expense of the host)?

    * ![][23] bunnie says:

[ June 21, 2009 at 4:16 pm][24]

Ah there’s a slight subtlety there. rm -rf / in this analogy is actually closer to a human taking a cyanide capsule. Potassium cyanide, a simple molecule consisting of just KCN, contains almost no “information” per se but is extremely effective at killing a human, just as rm -rf /, when run by root, is extremely effective at destroying a computer.

The difference I’d like to highlight is that rm -rf / and taking KCN is suicide (or murder if someone has hacked your computer and issued the command, or otherwise forced a KCN capsule down your throat).

On the other hand, Influenza is generally not acquired voluntarily. Instead, 3.2kbytes of genome contains sufficient data to create a self-replicating system that can, by co-opting the services of existing systems, exploit several other systems — humans, birds, pigs — and spread between them. Therefore the closest computer equivalent to Influenza is worm-type malware, like the Morris worm or MyDoom. Likewise, a KCN capsule sitting on your desk may be a hazard to those near it, whereas worms and Influenza have the potential to bring down significant portions of the global population through their mere existence and sufficient time for infection propagation.

Prions, misfolded proteins, lie somewhere in between the two cases. I can’t think of a good analogy for a prion in the computer world. It has viral aspects but prions don’t contain explicit mechanisms evolved to enhance its distribution. 

Anyways, the quickest reference I could find for PrP sequence length is at (<http://peds.oxfordjournals.org/cgi/reprint/16/12/861.pdf>), and it specifies a length of 177 residues for chimpanzee CMV UL9. That’s about 1 kilobit, or 132 bytes of information.

        * ![][25] Ross Snider says:

[ September 1, 2009 at 3:33 pm][26]

Well… “rm -rf /” contains more information than it immediately appears to because “rm” is shorthand for all the bits required to build the /bin/rm executable. If you delete the executable, the string “rm -rf /” isn’t deadly at all.

If you account for all the information “rm -rf /” inplicitly includes, H1N1 is still shorter.

            * ![][27] [Harold][28] says:

[ September 2, 2009 at 11:21 am][29]

But H1N1 is also co-opting existing systems, it can only replicate inside cells and has to use the mechanisms already inside to do that. So in a way the executables are already there and just being used by a program.  
Furthermore one could argue that it has also learned to manipulate us on a higher level by making the patient cough so it’s “children” can spread to other hosts.

        * ![][30] Peter da Silva says:

[ September 1, 2009 at 3:51 pm][31]

“I can't think of a good analogy for a prion in the computer world.”

Spam?  
Spyware?  
Those files you find clogging up /tmp from badly behaved web apps?

        * ![][32] Miles says:

[ September 1, 2009 at 5:16 pm][33]

How about a DNS or other cache-poisoning attack? Small pieces of (mis-)information that are rapidly propagated between systems (cells), and can cause widespread system failure, yet are essentially passive. Unlike viruses, they don’t coopt advantage functionality (protein synthesis / CPU execution), but rely on the inherent behavior of the system to spread.

        * ![][34] Matt says:

[ September 3, 2009 at 12:40 pm][35]

Thanks for the interesting article.  
To my understanding, prions are corrupt / misfolded proteins that encourage similar proteins to misfold in the same way, thereby replicating themselves indirectly. In computers, the best analog I’ve seen was actually in hardware. At my large tech company, some of the video converters in conference rooms had some bent pins. These in turn bent the pins in the laptops’ video adapters, which in turn bent the pins in other conference rooms… Like prions, it’s a self-replicating spatial configuration that adversely impacts the host, but slowly enough to spread undetected.  
In Sci Fi, think of Ice 9 in Vonnegut’s Cat’s Cradle ( <http://en.wikipedia.org/wiki/Ice-nine> ). The presence of Ice 9 freezing at room temperature seeds other water to convert to ice 9.

            * ![][36] [Mac Cowell][37] says:

[ September 9, 2009 at 2:46 am][38]

I enjoyed your approach to the topic through the computer science lens – very refreshing and evocative of the hybrid terminology Synthetic Biologists like to employ to emphasise engineering principles for biological systems / devices.

The “DVI prion” phenomenon Matt mentioned also sprang to my mind as a good fit. More info here: <http://www.alwaysbeta.com/2007/08/27/the-tale-of-the-mechanical-virus>.

4. ![][39] [caustik][40] says:

[ June 21, 2009 at 5:10 pm][41]

we’re all dead

    * ![][42] [Tamber-Krain][43] says:

[ June 24, 2009 at 5:37 pm][44]

Yup, and there’s no cure for time as far as I know. ;)

5. [Michael Alan Miller » Flu away][45] says:

[ June 21, 2009 at 5:34 pm][46]

[…] | Posted by Chill on 21 Jun 2009 at 06:34 pm | The influenza virus, in one way of looking at it, constists of 3.2KB of data. […]

6. [EvilCON » Killing with Only 3.2 Kilobytes: Influenza Virus][47] says:

[ June 21, 2009 at 6:22 pm][48]

[…] This really interesting article uses a rough mapping of DNA/RNA sequences to bits and figures out th…. The argument is pretty sound from what I can tell since each letter in a DNA sequence is equivalent to 2 bits. It goes on to explore why the influenza virus is so hard to contain and how its 8 separate strands of RNA makes it so deadly. Good read for those with a computing background or just curious about biology. […]

7. ![][49] Pierre says:

[ June 21, 2009 at 7:06 pm][50]

Please write more articles like this one, I learned a lot!

8. [On Influenza A « bunnie's blog « Netcrema - creme de la social news via digg + delicious + stumpleupon + reddit][51] says:

[ June 21, 2009 at 8:42 pm][52]

[…] On Influenza A « bunnie's blogbunniestudios.com […]

9. ![][53] IChrisI says:

[ June 22, 2009 at 3:03 am][54]

As a computer scientist, I loved this! I never knew computer viruses had so many parallels in biological viruses.

10. ![][55] Илья Казначеев says:

[ June 22, 2009 at 4:51 am][56]

Computer viruses don’t evolve and, therefore, don’t need that code-swap you described, however, while reading a mid-90s book by Kaspersky I remember him describing a few virus strains (DOS viruses came in families) which appear to be a virus A modified by completely unrelated virus B, probably by trying to infect an already-infected executable.

And yeah, some DOS virus bodies were like 50 bytes, complete with reproduction.

    * ![][42] [Tamber-Krain][43] says:

[ June 24, 2009 at 5:39 pm][57]

Unless I’m missing something, surely self-modifying vir{uses|ii} could almost be considered to evolve?

        * ![][55] Илья Казначеев says:

[ May 18, 2010 at 2:30 pm][58]

Most of those have a finite set of self-modifications, therefore they don’t evolve – just choose one of pre-programmed forms. The set might be very large but still finite, and would never affect their behavior.

11. ![][59] nodok says:

[ June 22, 2009 at 6:09 am][60]

you should not try to catch a H1N1 now, unless you are selfish.  
As by your one explanation, the chances that the virus becomes more  
deadly are increased the more people actually “copy” it.  
=> trying to keep over all number of infected people low seems like a good idea.

12. ![][61] Sepiraph says:

[ June 23, 2009 at 2:23 am][62]

That was quite an amazing read. Have you by any chance read Steven Levy’s Artificial Life? It touches upon the same type of topic on the parallel between computer science and biology.

p.s. I did my degree in Physics and did some research on protein folding.

    * ![][63] [ehsanul][64] says:

[ June 30, 2009 at 5:33 am][65]

Steven Levy’s “Artificial Life” is a great book. A must read for coders I’d say, and perhaps evolutionary biologists and geneticists etc too.

13. ![][55] Илья Казначеев says:

[ June 23, 2009 at 5:27 am][66]

And by the way, the present “computer viruses” aren’t viruses really, more like protozoa. Viruses weren’t supposed to have their own executable files – they infected already existing ones.

    * ![][67] Joe says:

[ September 1, 2009 at 5:40 pm][68]

That’s why present “computer viruses” are called Trojans, Worms and Rootkits (and mixtures thereof). This having said, I recently came across a real computer “virus” beeing spread in the wild that contained keylogging capabilities and was only recently programmed; it did not come along with its own executables but instead infected other executables and was not able to exist without other executables. They got rare, but they are still there and are evolving.

14. [On Influenza A " bunnie’s blog | Fitness-Trail.com][69] says:

[ June 23, 2009 at 6:05 am][70]

[…] See the original post here: On Influenza A " bunnie’s blog […]

15. ![][71] Nathan Williams says:

[ June 23, 2009 at 12:08 pm][72]

The translation from genetic code to amino acid sequence is important, but it’s lossy. Since there are effects where proteins bind to specific base sequences of the genetic code to activate or suppress expression of other bits, the underlying genetic code can matter just as much as the proteins it directly codes for. There’s less redundancy than appears.

16. ![][73] Abhishek T. says:

[ June 24, 2009 at 7:23 pm][74]

This has to be one of the most interesting articles i’ve ever read on a blog! (then again, this is one of the most interesting blogs i’ve ever come across)

Amazing stuff. Thanks for this mate, i learnt a lot from it.

17. ![][75] Gaurav says:

[ June 25, 2009 at 1:08 pm][76]

Hi Bunnie – this is truly an awesome post – extremely informative. You seem to have built a great mental model for engineers to understand molecular biology. How did you do it? Could you recommend good books or other resources you used during this process?

18. ![][77] Revelation 23 says:

[ June 26, 2009 at 4:56 am][78]

Interesting read. A bit above my head, but I wasn’t entirely lost. 

All that remains to be asked is this: what would the biological equivalent of spyware, adware and popups be?

19. ![][79] Elsa says:

[ June 27, 2009 at 2:36 am][80]

very interesting ponderings, just to throw in a couple extra seeds for thought:

– what about the information contained in the host genetics required for replication? viral infection is an intricate interaction between host and parasite (my current research is on this topic), where does this information fit into the puzzle of quantification? of course, there is analogous information for computers…

– it is interesting to consider the relationship between the severity of a pathogens infection and its spread: if a virus is to quick to kill, it may not have time to spread to as many new hosts (providing transmission is dependent on the host being alive, which seems true in a way for computer viruses)

20. ![][81] [Chris E][82] says:

[ June 29, 2009 at 9:52 pm][83]

Excellent, informative post! I love the low-level analogies between proteins and frame buffers, protein alignment (?) and NOP sleds, reassortant viruses and self-modifying malware. You and Dan Geer would have some interesting conversations.

21. ![][84] [xorloser][85] says:

[ June 30, 2009 at 9:23 am][86]

This is the best blog post I’ve ever read!  
Congrats bunnie :)

22. [morzsalék « /dev/blog][87] says:

[ July 2, 2009 at 9:30 am][88]

[…] valakit érdekel a H1N1 vírus működése és látott már számítógépes vírust, akkor ez az írás nagyon […]

23. [TWiV 39: Virus structure][89] says:

[ July 5, 2009 at 10:40 pm][90]

[…] (thanks Lenn!) Amateur scientists working with professionals (thanks Ennio!) Influenza H1N1 and computer analogies (thanks swiss compass!) Bone marrow transplant to cure AIDS not reported (thanks Andrew!) Paul […]

24. [TWiV 39: Virus structure][91] says:

[ July 5, 2009 at 10:47 pm][92]

[…] (thanks Lenn!) Amateur scientists working with professionals (thanks Ennio!) Influenza H1N1 and computer analogies (thanks swiss compass!) Bone marrow transplant to cure AIDS not reported (thanks Andrew!) Paul […]

25. [SCIENCEPODCASTERS.ORG » This Week in Virology #39: Virus structure][93] says:

[ July 6, 2009 at 1:42 pm][94]

[…] (thanks Lenn!) Amateur scientists working with professionals (thanks Ennio!) Influenza H1N1 and computer analogies (thanks swiss compass!) Bone marrow transplant to cure AIDS not reported (thanks Andrew!) Paul […]

26. ![][95] milud says:

[ July 12, 2009 at 4:42 pm][96]

How can I collect a sample frome a patient, and how can I isolate H1N1 RNA from this swab sample?

    * ![][97] [Aljamal][98] says:

[ September 18, 2009 at 8:57 pm][99]

I am a molecular biologist with a bit of experience in cloning, performing point mutations, site directed mutagenesis and a number of molecular biology techniques to alter DNA, RNA and Proteins. 

What the author of the article did give to all of you is a well understanding of how to modify an influenza virus having H1N1 sequence and tell all of you that sooner or later it will happen. Due to these mutation rate that influenza has, we get the flu each year. Thus all the efforts to get a vaccine against it will not work, as there is an arm race (fight for survival) to be alive. I could go on and on about this topic but it is deviating me from my purpose of writing in this blog. 

The analogy of computer viruses worked really well and made more “Unaware people” wiser about the topic. The problem is serious and it not a thing to play with. If you do ask on how to isolate H1N1 RNA from the swab sample means that you do no have a clue about how to process biological material, hence, making you the less ideal person to transfer this knowledge.

So, please, for all biologist reading this post, science is for scientist to understand not for people that want to play with life themselves without any kind of regulation. I really hope that you never come across on how to make that point mutation of E for K at position 627. Bunnie from MIT seems quite knowledgeable but seems to lack the understanding of non spreading dangerous material on the net where crazy people with a bit of money can do crazy things. 

Well, I hope that someone can understand.

27. ![][100] [How To Detoxify Your Body][101] says:

[ July 13, 2009 at 7:38 am][102]

the spread of AH1N1 or Swine Flu is really scary. It is a good thing that this virus is not very deadly. We are advised to take Vitamin-C and to wear face masks.

28. ![][103] [arthritisremedy][104] says:

[ July 18, 2009 at 12:44 am][105]

i always advice my kids to wear face masks when going into crowded areas. swine flu is really scary and i dont want my kids getting infected by it.

29. ![][106] [acne therapy][107] says:

[ July 24, 2009 at 10:41 pm][108]

I have a relative who got the Swine Flu in Mexico. It is a good thing that he already recovered from this disease.

30. ![][109] |)0C70|2_|34|)_//01F says:

[ August 12, 2009 at 7:42 pm][110]

I was just introduced to this after googling “Hacking The Xbox”, which I read about in Cory Doctorow’s Little Brother. So, you can blame him if my obsession with discussion eventually leads to me being a nuisance. :P Anyway, I was scrolling through your blog posts, and this one was just generally awesome and mind expanding enough to officially constitute a Good Reason(tm) for me to hang out here. 

Good stuff.

    * ![][111] Vlad says:

[ March 21, 2010 at 4:55 pm][112]

Yeah I completely agree. I found this blog after looking at some Asian manufacturing plants and have since spent a good 5 or so hours reading the blog on different stuff. I’m a CS major still currently in college and the stuff Andrew writes is extremely interesting and I’ve learned more in the past 5 hours than I have in the past semester of school.  
Keep up the good work man

31. ![][113] uzerzero says:

[ August 18, 2009 at 6:38 am][114]

I remember Bunnie’s work on the original Xbox (at least I believe it was him), and never really thought that any other computer nerds out there were also interested in Biology. I started out as an electrical engineering major, but I am now a Biology major with a focus in Genetics. And I must say, this is spot on. It’s an excellent article about how computer viruses mimic human viruses. My favorite professor uses lots of analogies, I’m sure if he were more computer inclined, he would use this.

Excellent work on a blog post longer than five sentences that kept my attention (I read the whole thing!)

32. ![][115] [Seth][116] says:

[ August 20, 2009 at 2:09 pm][117]

Exceptionally well done article. As a programmer, I found your correlation of computer science to biology exceedingly helpful. And, of course, what’s not to love about “All your base pair are belong to us?” Nice!

33. ![][118] DavidPhillipOster says:

[ August 30, 2009 at 1:29 pm][119]

Back in the Classic Macintosh days, there was a virus that was implemented as a collection of executable resources (in modern terms, think of dynamically loaded shared resources, loaded by name at runtime). The Mac virus had been modified by humans to a second variant, and the two variants could randomly recombine in an infected binary to produce novel strains that could infect yet other machines.

It may have been <http://vil.nai.com/vil/content/v_99830.htm>

34. ![][120] Peter says:

[ August 30, 2009 at 3:16 pm][121]

Well done!

35. ![][122] BobbiJ says:

[ August 31, 2009 at 12:41 am][123]

In the past I took lysine when faced with a cold or flu to make it more difficult for the virus to replicate. If H1N1 mutates to have contain lysine would it be logical to use arginine to help control replication?

36. ![][124] [pegr][125] says:

[ September 1, 2009 at 9:12 am][126]

This was too good not to share, so I submitted it to Slashdot. Let’s see if they accept it!

    * ![][124] [pegr][125] says:

[ September 1, 2009 at 2:07 pm][127]

And slashdot wasn’t fast enough to suit me, so I told Bruce. ;)

37. ![][128] Phil says:

[ September 1, 2009 at 2:55 pm][129]

More on open reading frames?

38. ![][130] Paul Bruner says:

[ September 1, 2009 at 4:42 pm][131]

Well I just thought of a worst case senerio:P Is the HIV create seperate RNA sequences as well? 

Yea it might be a stupid question, but I understand how my users feel at work. Just looking at <http://www.retrovirology.com/content/4/1/59> site about HIV-1 makes my eyes glaze over.

39. ![][132] Tom says:

[ September 1, 2009 at 4:42 pm][133]

By your own logic : 

“There. A single base-pair change, flipping two bits, is perhaps all you need to turn the current less-deadly H1N1 swine flu virus into a more deadly variant. ”

“The result is that there is about one error made in copying every 10,000 base pairs.”

So every flu patient has a 1/13,000,000 chance per virus particle of developing this more deadly variant. Every patient has at least a few billion virus particles inside of him. So the chances are very, very good that he has a “deadly variant” particle.

It seems chances are extremely good that you’re wrong, and you’ve missed something. If this deadly variant is indeed more deadly, there is also something preventing it from working, or at least spreading. 

I’m afraid it is a near-absolute certainty that your “more deadly” variant is a fluke, a non-starter (e.g. doesn’t is sabotage the RNA polymerase protein ? This base (“bit”) seems to be in a sensitive place for that one too)

    * ![][134] Tony says:

[ September 2, 2009 at 10:04 am][135]

The issue is that when you generate this one-in-a-billion deadly virus, you’re already saturated with infection. Our immune system tempers this saturation (even though there is a physical saturation level), which keeps the virus titers from growing exponentially forever. Having one “evil” particle in a sea of billions that our immune system is clearing is different than starting an infection in a new individual with one. In any case, your deadly mutant will be a minority population in the viruses you deliver to other people.

But you are right about this: these “deadly” variants certainly HAVE been created, through mutations and moreso through reassortments. The thing is that the viruses make tradeoffs with these mutations: many times a virus which is more lethal is worse at spreading from person-to-person. (This is the case with the deadly bird flus in Asia: it kills the people working with poultry, but is virtually intransmissible. Maybe because of where it sets up shop deep in the lungs, it doesn’t get out as well as with a peripheral infection.) Anyway, this is the main reason it would be harder than bunnie suggests to design a scarier virus. Nature is already testing the sample space, and what you have circulating is what is best at spread and immune evasion.

40. ![][136] Lacuna says:

[ September 1, 2009 at 5:10 pm][137]

AMAZING POST…Congratulations.  
I felt my neurons again since a while ago.

41. ![][138] Major Variola (ret) says:

[ September 1, 2009 at 6:00 pm][139]

Hey, you invented sex in the fourth-to-last paragraph.

But yeah, you get it. I’m also a CS person who reads bio (_Science_  
in my case) and you can download and theoretically synthesize and splice  
some even scarier stuff -esp if you avoid the database comparisons the  
commercial synthesizers do, as you say. Nice to read someone who ‘gets’ evolution  
etc as information and makes facile use of analogy.

Hackito ergo sum

42. ![][140] hajduuR says:

[ September 1, 2009 at 6:06 pm][141]

Where can I find the free (as in beer) link to the nature article?

    * ![][27] [Harold][28] says:

[ September 2, 2009 at 11:14 am][142]

> Where can I find the free (as in beer) link to the nature article 

Check your local library. They have all kinds of knowledge for free, it’s crazy!

43. ![][143] [Riaan][144] says:

[ September 2, 2009 at 3:47 am][145]

Very interesting read, enjoyed the ramblings ! thanks for posting :)  
Legend !

44. ![][146] Phil says:

[ September 2, 2009 at 3:49 am][147]

I wanted to add two points:

1\. If you contract the current variant of the virus (or get the vaccine when it is ready), there is no guarantee that you are immune to the theoretical mutated deadly variant. The spanish flu came in two waves, the first a mild one similar to the current H1N1 infection, the second much more deadly. People got ill twice.

2\. Standard masks as most people are advised to wear do not protect the wearer. You will get the virus of you come in contact with it. Those masks only protect other people if YOU are ill. You will not spread the virus. There are certain types of expensive masks that can protect you for a few hours (medical personnel wear those). These masks are on short supply for obvious reasons (and because the country where most of the production of those masks happen(s/ed) is – Mexico).

45. ![][148] Djdat says:

[ September 2, 2009 at 3:49 am][149]

Excellent stuff.Thanks! And yes, It’s up on slashdot!

46. ![][150] Chong says:

[ September 2, 2009 at 4:47 am][151]

Can I quote you as saying that Influenza is probably just as good, if not better than sex?

47. [Work Together For The Benefit Of All ManKind… » A comparison of Influenza A (H1N1) to computer viruses][152] says:

[ September 2, 2009 at 4:51 am][153]

[…] Read the blog post here. […]

48. [Brett Zamir (brettz9) 's status on Wednesday, 02-Sep-09 09:57:04 UTC - Identi.ca][154] says:

[ September 2, 2009 at 4:57 am][155]

[…] <http://www.bunniestudios.com/blog/2009/06/on-influenza-a/> a few seconds ago from web […]

49. [On Influenza A (H1N1) « bunnie’s blog « Netcrema – creme de la social news via digg + delicious + stumpleupon + reddit][156] says:

[ September 2, 2009 at 5:16 am][157]

[…] On Influenza A (H1N1) « bunnie’s blogbunniestudios.com […]

50. [Dave Cridland (dwd) 's status on Wednesday, 02-Sep-09 10:33:39 UTC - Identi.ca][158] says:

[ September 2, 2009 at 5:33 am][159]

[…] <http://www.bunniestudios.com/blog/2009/06/on-influenza-a/> – fascinating stuff. […]

51. ![][160] travc says:

[ September 2, 2009 at 6:55 am][161]

Talking about information content is tricky. Information must be defined with respect to something… after all I(Y,X) = H(X) – H(X|Y)

For evolving populations, what matters is successfully bridging generations (aka replication) in a given environment. So the information are only the bits which matter for this goal. An example I like: An E coli contains 0 bits of (biologically relevant) information on the moon.

Not that this has jack to do with hacking influenza. But folks with a background in CS really shouldn’t get the ‘information’ stuff wrong… yet annoyingly seem to every time.

PS: Entropy != Information. The entropy of a sequence (or population of states) is just the maximum possible information it could encode. A seemingly random string could be a very efficient coding with lots of information, or just actually be random.

52. ![][162] MBraedley says:

[ September 2, 2009 at 7:14 am][163]

I’d just like to point out that when DNA is stored digitally, adenine and thymine form complements, and guanine and cytosine form complements. This is so that the complementing strand can easily be obtained by inverting all the bits and then flipping left to right. Since adenine and guanine aren’t complements, the exclusive or of adenine and guanine (digitally speaking) would not be 11 as it would be for complementary pairs. All this means is that you would need to flip only 1 bit (!) in order to make H1N1 much more deadly instead of the 2 mentioned. Think of a computer virus that moves all of your files to the trash and nothing else. Now think of what would happen if a single flipped bit in that virus caused it to write 10101010 to the entire harddrive. That’d be a scary virus.

53. ![][164] Christophe Leske says:

[ September 2, 2009 at 9:00 am][165]

Ok, 

so this is indeed a quite interesting read. However, there are quite some differences between biological and computer systems. Having done some biology studies and working as a developer, I think I can add some more thoughts to this subject. 

First of all, “creating” a more deadly virus by swapping sequences and bases is not that much of a deal – in fact, you can probably get more “deadly” strains or viruses in easier places than to “recreate” your own modified sequence (which would probably also not been folded correctly into a virus yet – you get only the coding sequence, yet no virus capsule if my memory serves me well). And the virus hull makes all the difference, as this is what connects to the cells first. 

But that aside, even if you got a modified “deadlier” version of the H1N1 virus including its hull, and can get it to the right place (e.g. into the lungs of a person), this won’t mean that this will cause an infection. 

Cell interaction in living tissue is in constant motion (homeostasis), cells are being created, others being destroyed. Even after a sucessful infection, the cell containing the virus can simply get killed through different means (and thus the infection stopped), say natural death, or abrasion, or …

I understand however that this article was more of a thought experiment – and for that, it is excellent.

While we are at it, I’d like to share an idea that I thought I had heard during my biology studies, yet never managed to find more information about it again…

I think it had to do with a bacteriophage named “Xi” with a ring genom. Scientists stumbled on this, as the DNA transported by the virus was much to small to code all necessary parts for its replication. 

By further analyzing the genome, they found out that the genom uses a trick – information is hidden in information. Through a simple shift in the reading pattern of the circular virus genome the phage can encode not only its payload, but also the hull and all the other necessary parts. 

Since a single amino acid is coded in 3 bases, and since the genetic code is degenrated (several base-triplets can lead to the same amino acid), it was apparently possible to pack levels of information. 

In computer code, this would be code which could start at a specific address in memory and execute correctly, then be started at the specific starting address with an offset (say, of an additional byte) and execute a completely different, yet fully functional programm as well…

This stuff has fascinated me for years.

    * ![][166] hork says:

[ September 2, 2009 at 9:27 am][167]

Long ago (early 70s), a friend of mind knew a number of people who worked on the Systems Programming team at Michigan State, doing OS work on MSU’s Control Data mainframe. He told me of the ongoing efforts (a bit of a rivalry) to see who could write the most compact cold-boot bootloader. Small mattered because the machine code (or maybe it was even bits) had to be entered by hand on a special panel — no console at that boot stage. The best solutions used exactly this kind of trick: read words from this starting address and you get one sequence of instructions; read again from a slightly different offset and you get another sequence.

    * ![][168] Sally says:

[ September 6, 2009 at 12:46 pm][169]

Not sure about the bacteriophage that you mentioned.

But the viruses in the family Cornonaviridae (including mouse hepatitus virus and SARS) all use frameshift in translation to pact more informaiton into the genome. But I do remember that the overlap between the two reading frames being small-ish.

Sally

54. [Bookmarks for September 1st through September 2nd « Daniel Nisbet][170] says:

[ September 2, 2009 at 9:11 am][171]

[…] On Influenza A (H1N1) « bunnie’s blog – How many bits does it take to kill a human? […]

55. ![][172] zifferent says:

[ September 2, 2009 at 9:33 am][173]

Might I suggest Darwin’s Radio by Greg Bear? It’s an excellent Science Fiction book specifically about viruses and evolution.

56. ![][174] JP says:

[ September 2, 2009 at 10:46 am][175]

Excellent article. I am a software professional and a bio-engineering “enthusiast” and your article had the perfect mix. It was lot of fun to read and learn about inner workings of these viruses. Hope to catch more such articles from you.  
Thanks.

57. ![][176] RWP says:

[ September 2, 2009 at 11:07 am][177]

What a fantastic read, thank you for this.

58. ![][178] yooden says:

[ September 2, 2009 at 12:14 pm][179]

Late question: Why is it 2 bits per base pair?

    * ![][178] yooden says:

[ September 2, 2009 at 12:29 pm][180]

Ok, got it.

59. ![][181] Chemistrylass says:

[ September 2, 2009 at 12:28 pm][182]

As a chemist currently working for a large flu vaccine company this was very interesting. Even though I’m not at all genned up on computers, I still understood most of the analogies and have definitely learned a lot from this post. Thanks!

60. [undead astronauts » Very cool analysis of Influena A (H1N1) from a computer scientist’s pov][183] says:

[ September 2, 2009 at 2:53 pm][184]

[…] <http://www.bunniestudios.com/blog/?p=353> related post Written by Munny in: Education, Science | […]

61. ![][185] Pauli Rikula says:

[ September 2, 2009 at 4:05 pm][186]

Excellent article! Thanks!

62. [Artur Duque de Souza (morpheuz) 's status on Wednesday, 02-Sep-09 22:14:48 UTC - Identi.ca][187] says:

[ September 2, 2009 at 5:15 pm][188]

[…] nice article: <http://www.bunniestudios.com/blog/?p=353> […]

63. ![][189] Gordon Bean says:

[ September 2, 2009 at 5:30 pm][190]

As a bioinformatician, I particularly enjoyed your explanations of molecular biology. Well done. :)

64. [Links for 2nd September 2009 | Velcro City Tourist Board][191] says:

[ September 2, 2009 at 7:02 pm][192]

[…] On Influenza A (H1N1) […]

65. [links for 2009-09-02 « Blarney Fellow][193] says:

[ September 2, 2009 at 8:09 pm][194]

[…] How many bits does it take to kill a human? (tags: dna genetics evolution hacking complexity information-theory) […]

66. ![][195] Bob says:

[ September 2, 2009 at 8:54 pm][196]

This post really makes no sense because DNA is composed of atoms and so are amino acids! It is not symbolic there are not little As and Ts floating around. There are different energy and enzymatic requirements for the creation of each nucleotide making them not equivalent as bytes and bits are. Concentrations of ATP >> GTP > CTP >= TTP. If we use the fick diffusion J = D d[conc]/dx, ATP would be able to diffuse to a particular location much quicker and be incorporated much quicker than TTP so ATP should worth 2bits * (J ATP/J TTP). I know what your saying well in the end they “store” the same amount of information but this is also incorrect! As a third base in a codon is sometimes considered a “wobble” base-pair making it worth far less than the first two. What about introns are they worth anything? Not to mention heterochromatin, telomeres and many other things. Further some amino acids are coded for by more codons than others and contain more tRNAs making amino acids a very complex function.  
Next the choice of glutamic acid to lysine was fortunate as many single base pair mutations would not change directly to a more “pathogenic” strain, yet if you read the article properly it says “Notably, almost all human influenza viruses possess lysine at this position, whereas most avian viruses (with the exception of the ‘Qinghai Lake’ lineage of H5N1 viruses and their descendants) possess glutamic acid at PB2-627.” Neumann et al. Nature 2009. Hmmmmm…  
There are 64 codons a single base pair mutation can lead to most likely 3 other codons. This is because even though the RNA polymerase doesn’t have proof reading functions, when the RNA is replicated as complimentary base pairs it is highly likely that a purine-purine or pyrimidine-pyrimidine pair would form due to steric issues and being energetically unfavorable due to both enthalpic and entropic issues of protein RNA interactions. A purine/pyrimidine exchange probably occurs much less frequently. Further, selection is still going to occur because viruses(virii??) are still competing with each other. A single virus probably doesn’t replicate into millions just as a single bacterium does not. So theoretically a single mutation probably has little effect. The reason the E->K mutation survived is because it was evolutionarily selected for by being able to infect humans(say and pronounce “humans” in the Ferengi voice).  
Did you forget about Ribosome?? mRNA doesn’t just make protein. It is a complex system of tRNA, tRNA synthetases, and a bunch of bullshit including the mutha F$%^&*^% huge ribosome! viruses (virii?) do not contain these and must use the host systems. That’s like at least 2Gb memory plus a quad core. Where do you think nucleotides come from or amino acids thats another 2000 enzymes. Cell are nothing like computers because everything is interconnected. A transistor and function without a computer but a cell cannot function without nucleotides or nucleotides without a cell or proteins, &c… Further, the complex mechanisms that allow viruses to enter your cells requires a capsid! That is a hell ‘uva lot of protein arranged properly.  
Next making your own synthesized DNA would do nothing… you could eat it, inject it, and stick it in your ear but it would do nothing!! RNA would likewise have no effect but without a contained sanitized and sterile environment it would probably be degraded in days do to RNAse contamination. Even if you synthesized all 8 products annealed them and managed to keep them in RNA form it would still do nothing!! 

It is funny how so many people will listen to science from someone who is so uninformed and think it is amazing! It begs to show how uneducated the public is in regards to scientific matters. It is not their fault though things a just much more complex then is realized.

    * ![][197] Doug says:

[ September 2, 2009 at 11:52 pm][198]

Thank you Tim — you beat me to it. As if a computer were something that isn’t *quite* complex due to the directed mutagenesis imposed upon it by countless EEs and other flavors of geek. While a computer is not as complex as an organism, and its complexity is not the result of countless generations of mutations ratchet-driven uphill against entropy with the input of energy, the analogy of the computer and organism as information processing systems holds up extremely well.

A computer? That is a “hell 'uva lot of electrons arranged properly.”

Also, minimal mutations *can* have extraordinary effects on an already existing complex system.

Nature. 2002 Feb 21;415(6874):914-7.

    * ![][168] Sally says:

[ September 3, 2009 at 7:35 pm][199]

Hi Bob. I agree with you for the most part.  
Evolution of all viruses (and all life) is driven by selective pressure. And the probability of generating more virulent strains of a virus requires a very complex process that requires a lot more information (eg. crystal structure comes to minds as being extremely useful).

I just noticed some little mistakes and wanted to correct them here.  
The influenza virus is a RNA virus, meaning that it’s genome is made of RNA. This is quite useful for the virus, as its genome can be directly used for protein synthesis. On the genome, the virus carries with it, a RNA-dependent RNA polymerase.  
This means that the viral genome never has to be converted to DNA (unlike retroviruses such as HIV ans SIV) in order to replicate in the host cells. And the viral genome never becomes integrated into the host genome.

Therefore, things like epigenetics (chromosome remodeling leading to heterochromotin formation), telomeres, host promoter strength etc, never plays a role in the selection of viral virulence or pathogenecity.

Sally

67. [CyberGi » Vírus influenza A em apenas 3,2 kbytes][200] says:

[ September 2, 2009 at 8:55 pm][201]

[…] acho bacana mesmo quando o pessoal usa conceitos de computação para explicar biologia! Vi esse post interessante sobre o vírus H1N1 sob a óptica de um computeiro. O cara se deu ao trabalho de ler […]

68. ![][202] Tim says:

[ September 2, 2009 at 11:14 pm][203]

Just to draw a little anology for Bob. The understanding of all those cell processes you enjoy ranting about are based on empirical research which has been mathematically analyzed and model to give you the understanding you have. The math to do that relies on algorithms very much like a computer program or, following the analogy, the protein re-sequencing you, as well as the author are talking about. Despite the lack of technical detail, on specific biological functions, outlined by the author, the notion that the “information” stored in the amino acid chains is analogous to data stored on a computer stands. Furthermore that the way this “information” is interpreted by cellular tissue elicits certain reactions is analogous to how data, more specifically algorithms or sequence or commands or operations, elicit actions/reactions from a computer program is also sound. 

Also to note, true a transistor can operate outside of a computer but without placing it in a designed circuit it has no purpose and is basically useless. much the same way i can mix two specific chemicals and get a reaction, but if i have no purpose for doing so it is also meaningless. Furthermore the organic chemistry going on in cells is defined by chemical physics, which are dependent on quantum physics, which I’m sure you don’t understand, I don’t really understand and frankly most of the experts in the world barely understand. What i am trying to get at is that there are levels of understanding for any system and all the author was attempting to do was make an analogy between how a computer interprets and manipulates data, and “how” a organic virus does, with the aim of peaking peoples interest in a fashion they can understand, and thus, perhaps, enticing them to learn more about the specific processes by which this is accomplished. I am sorry to say that you sir have missed the point of the article, by clouding it with your specific understanding or cellular systems.

Its funny to me how many science people are ignorant to how people learn, and find a simplification by analogy an insult when in reality it attracts people to learn more. Article like this aren’t contributing to peoples ignorance, inclusivest scientists and reality television are. Its amazing what you can learn by abstracting your understanding of something.

    * ![][27] [Harold][28] says:

[ September 3, 2009 at 1:13 pm][204]

Thank you Tim for writing this so I don’t have to :P

69. [alsanan.info][205] says:

[ September 3, 2009 at 4:22 am][206]

[…] en On Influenza A (H1N1) « bunnie’s blog. Somos 272000 veces más complejos que el puñetero bichito. Este post fue escrito […]

70. ![][207] cronenburg's calculator says:

[ September 3, 2009 at 5:59 am][208]

Nice simaly, what about the cure!

71. ![][209] [Andy][210] says:

[ September 3, 2009 at 9:30 am][211]

Fantastic article, will def share the link around !

72. ![][212] Jo says:

[ September 3, 2009 at 10:17 am][213]

So first – if we’re looking at the information in the genome, we should look at the final ‘message’, which (ignoring regulatory pieces of DNA) is the protein. Not all amino acid residues are coded for equally, and there is a STOP codon as well. That’s 21 items – if equally distributed, we’d have about 3.6 bits of information, given the actual distribution, it’s actually a little less than 3 (I calculated 2.92) bits per codon. so take the sequence length, and that’s roughly the number of bits:

information ~ (sequence length/3) * 2.92 ~ 13155 bits ~ 1.6 KB

For a CS example – even though ASCII encodes an English letter in 1 byte, any single letter of English text delivers from 0.6 to 1.5 *bits* per letter. So a text file may be 5 KB, but wouldn’t contain nearly that much information.

Note also that these are *maxima*! The sequence carries *not more* than this much information, it may carry considerably less. (Which only bolsters the idea that we have a very small package – even smaller than you were thinking).

A couple of others have already pointed out in the comments that your thought of a ‘bit flip’ mutation leading to a more deadly form of the virus had a couple of caveats:

1) Just because it leads to a more pathogenic form in another sequence doesn’t mean it will in this one (these systems are hideously complex and there are a lot of recursive and nonlinear inteactions between components – so predicting future pathogenicity based on a single base pair mutation is iffy at best).  
2) An average of one mutation can be expected per replication cycle (well, not really – there’s a lot of different things going on that may push those odds one way or another, but accepting your stipulation…) but it’s not *that* position that gets mutated – that happens on average once per 13000 replications (which could be around once per infected cell – so, suppose it happens that often – though as Bob points out that different types of mutation happen with different frequencies), the mechanism of pathogenicity makes a huge difference as to the ease with which the new mutation gets propogated through the population.

Still – very good overall – quite interesting!

@Bob –

1) “A single virus probably doesn't replicate into millions just as a single bacterium does not.”

Well – not *millions*, but thousands, certainly. The mechanism of reproduction for viruses and bacteria are quite different.

2) “Did you forget about Ribosome?? mRNA doesn't just make protein. It is a complex system of tRNA, tRNA synthetases, and a bunch of bullshit including the mutha F$%^&*^% huge ribosome! viruses (virii?) do not contain these and must use the host systems. That's like at least 2Gb memory plus a quad core. Where do you think nucleotides come from or amino acids thats another 2000 enzymes. Cell are nothing like computers because everything is interconnected. A transistor and[sic] function without a computer but a cell cannot function without nucleotides or nucleotides without a cell or proteins, &c… Further, the complex mechanisms that allow viruses to enter your cells requires a capsid! That is a hell 'uva lot of protein arranged properly.”

Well – don’t confuse the machinery with the message. The information content is independent of mechanisms to decode that message (thus your relating the ribosome etc. to RAM+processor(s) is a poor analogy). 

True – a cell cannot function without all the machinery, but neither can a computer without all of it’s transistors, capacitors, etc. You reversed your anaolgy there – think of the individual proteins as the individual transistors, and like transistors, they can function without the rest of the cell. Indeed, the fact that they can do so is the foundation of almost every experimental technique in molecular biology today.

I do find it interesting that – unlike computers – the parts of a virus: capsid proteins, RNA (or DNA), etc. spontaneously assemble into a complete structure with a fairly high success rate!

Finally:

3) “Next making your own synthesized DNA would do nothing… you could eat it, inject it, and stick it in your ear but it would do nothing!! RNA would likewise have no effect but without a contained sanitized and sterile environment it would probably be degraded in days do to RNAse contamination. Even if you synthesized all 8 products annealed them and managed to keep them in RNA form it would still do nothing!!”

It depends on where you inject it – if you inject it directly into the appropriate cell, you will then start getting virus production. Appropriate cell lines can be purchased, or you could use a fertilized chicken egg to then continue keeping the virus in culture. These are fairly standard techniques that are taught at the undergraduate level – the truly hard part is synthesizing a particular chunk of DNA of the correct length. While I can purchase DNA of up to around 50 BP, I could not just go out and get some made that was 1000 – 2000 BP long. Of course – what I would do would be to take some actual flu virus and modify *that* rather than try to synthesize the entire package de novo.

Anyways – cheers all and thanks for a great discussion!

ex animo-  
Joanne

73. [sasamat 2 » It's humbling that I could be killed by 3.2kbytes of genetic data.][214] says:

[ September 3, 2009 at 11:43 am][215]

[…] Then again, with 850 Mbytes of data in my genome, there's bound to be an exploit or two. Leave a comment | Trackback No comments yet. […]

74. ![][216] NotAfraid says:

[ September 3, 2009 at 11:59 am][217]

Interesting in terms of comparison between computer code and biological code, but as a molecular geneticist, I got a real hoot out of how ‘easy’ it is going to be to produce this super-virus! Gee, if the implications of this article are true, than maybe I OUGHT to have feared Sadam Hussein and his ‘biological weapons program in a trailer’! Never-the-less, this was an interesting exercise in logic, even if it doesn’t work in reality. I think what you really need to fear is Craig Ventor and his ilk trying to get patents on sections of the human genome. Isn’t that kinda like ‘open source’ vs. proprietary software? It certainly is a more real threat.

75. ![][218] Ric says:

[ September 3, 2009 at 3:42 pm][219]

Rather than explaining or thinking about making it deadlier, why not find a code to make it “friendlier” ? Is vaccination the only way?

    * ![][168] Sally says:

[ September 3, 2009 at 7:41 pm][220]

While the are possible mutations that will make friendlier version of the virus, these new populations of mutants are not selected for by nature. They’re simply too wimpy to hang around when the more virulent forms are in competition.

But these friendlier viruses do pave way to vaccination.  
In fact, that’s pretty much what flu vaccines are – friendly wimpy viruses grown in chicken eggs!

Sally

76. ![][221] Juancho says:

[ September 3, 2009 at 5:16 pm][222]

Wow! I am certainly impressed. Not much understanding of biology and molecular chemistry but a bit more understanding the computing part, I consider this article as a great reading.

Ric is right… I really hope nobody get the “interesting” idea of mutating this virus to make it deadlier… is vaccine really far away from now? I am in Mexico and I have started to hear new sprouts of AH1N1 around… even in my hometown so I am now wondering if we will see a vaccine or a solution in the near future…

Thanks for reading and thanks for posting!

77. [Michael Klier (chimeric) 's status on Thursday, 03-Sep-09 23:23:01 UTC - Identi.ca][223] says:

[ September 3, 2009 at 6:23 pm][224]

[…] q! It's humbling that I could be killed by 3.2kby of genetic data. <http://www.bunniestudios.com/blog/?p=353> […]

78. [Michael Klier (chimeric) 's status on Thursday, 03-Sep-09 23:24:02 UTC - Identi.ca][225] says:

[ September 3, 2009 at 6:24 pm][226]

[…] again, with 850 Mbytes of data in my genome, there's bound to be an exploit or two." – <http://www.bunniestudios.com/blog/?p=353> […]

79. ![][227] Enno says:

[ September 3, 2009 at 9:43 pm][228]

Hmmm… wasn’t the slammer worm at some 376 bytes pretty much the smallest we’ve seen so far in the computer world. It may be a far better analogy to viruses too as it lacks many of the typical features of bigger computer viruses (e.g. no ability to save itself to disk to survive resets, etc). Perhaps in this model conventional computer viruses with their much greater functionality may be better compared to bacteria than biological viruses. In any case, the computer viruses are much more compactly encoded as we might expect, albeit unlike the bacteria I’m comparing them to they are not able to replicate their entire runtime environment (still requiring a computer ‘host’ to infect).

Frankly, I think we may be pushing the analogy a little far. Its interesting to compare coding efficiency and I too have been fascinated by the discussion of how protein manufacture actually works in the base article, but at the end of the day the analogy fails as the things being compared are still fundamentally quite different. They’re both interesting to study though. And of course, thanks for a great article.

80. [AdamDodson.org » Blog Archive » Link Digest for September 4th][229] says:

[ September 4, 2009 at 3:01 am][230]

[…] Shared On Influenza A (H1N1) […]

81. [Computers and H1N1 « Mostly Useless][231] says:

[ September 4, 2009 at 1:43 pm][232]

[…] On Influenza A (H1N1) […]

82. [Michael’s Blog » H1N1 for computerfolk][233] says:

[ September 4, 2009 at 3:49 pm][234]

[…] læsning om H1N1 og influenzavira generelt. Skrevet så folk med en computerbaggrund kan forstå det, men selvom du ikke har det, så […]

83. ![][235] [Moisés][236] says:

[ September 5, 2009 at 9:31 am][237]

Hi Bunnie,

Can I full translate this post to portuguese and republish it in my blog?  
Access to this excellent text can not be limited to those who read English.

Full credits, links, praises as usual, off course. 

Thanks,  
Moises

    * ![][23] bunnie says:

[ September 5, 2009 at 11:16 am][238]

All content on my website is licensed under creative commons by-nc-sa (<http://creativecommons.org/licenses/by-nc-sa/2.0/>), so yes, you are free to translate, as long as you provide attribution, it’s non-commercial and you use the same license on the derivative work.

        * ![][235] [Moisés][236] says:

[ September 9, 2009 at 7:11 am][239]

Great, I will let you know when the job is done.

Moises

84. [AdamDodson.org » Blog Archive » Link Digest for September 5th][240] says:

[ September 5, 2009 at 12:01 pm][241]

[…] Shared On Influenza A (H1N1). […]

85. [Swine Flu – Get it Now! « The Sagamore Journal][242] says:

[ September 5, 2009 at 3:52 pm][243]

[…] a comment » This article makes some interesting points on the evolution of new types of Influenza and their ability to change […]

86. ![][244] mamun says:

[ September 6, 2009 at 3:18 pm][245]

..thats an outstanding stuffs.bravo,keep shooting..

87. ![][246] [Acne Treatments Site][247] says:

[ September 6, 2009 at 10:47 pm][248]

the H1N1 or Swine Flu Virus is very scary at first but now it is well controlled by vaccines and prevention by avoiding going into places with incidence of swine flu.

88. [Think Of A Virus As Just Data « Tai-Chi Policy][249] says:

[ September 7, 2009 at 11:22 am][250]

[…] and Technology. Tags: Computers, H1N1, Hacking, Information, Viruses trackback Because it is. And hackers can start to play around with them the same way they play around with digital […]

89. ![][251] peter says:

[ September 8, 2009 at 4:03 pm][252]

as this is not an biogenetics-experts article on the workings of the swine virus, (and taking into account bob’s valuable criticism on it’s incompleteness) but an attempt at comparing it to the workings of a computer virus,  
this article is an eye-opener to more people than only the biogenetics-oriented readers.  
maybe this computer-oriented article helps in finding a solution to prevent AH1N1 becoming lethal.  
it would mean that the computer-oriented people and the biogenetic-oriented people work together. but laying together pieces of a puzzle may help solve it, no matter who provides the solution.

90. [Imitații « Changing the world][253] says:

[ September 10, 2009 at 1:04 am][254]

[…] aici pentru un exemplu. Singura problemă este să nu ajungem într-o situație ca asta. Dar pentru așa […]

91. ![][23] bunnie says:

[ September 10, 2009 at 12:01 pm][255]

This comment thread has grown pretty big, so I haven’t been grooming it, but a few people had emailed me with a common question — what texts/materials I used to progress to my current understanding of molecular biology? So I’ll respond here instead of answering multiple emails. 

To be honest, I actually almost selected biology as my major back when I was an undergrad at MIT. I stuck with electronics because I felt I had more of a knack for soldering than pipetting, and I wasn’t much of a risk taker back then. However, I still found the time to take a few biology courses while I was there. The most relevant one was 7.05, Molecular Biology, and the textbook was [Stryer’s classic Biochemistry text][256]. It was a great read back then and I’m sure it’s only gotten better. I recommend that as a solid starting point. 

The other perhaps not expected answer is that I’ve had several very talented biologists as girlfriends over the years (including my current girlfriend), and I have/continue to learn a lot from them. My girlfriend has the patience to answer my stupid questions about biology, and discussing her research keeps me current. It’s nice to “date up” and to be with someone who can teach you new things.

Aside from that, the only other thing I’ve had to keep me current on my biology knowledge is my subscription to Nature and Science. I love reading these publications, I refer to them as “the fiber in my intellectual diet”; it’s nice to broaden my horizons, otherwise I become too narrow-minded about my work.

92. [25 kilobits to kill a human • Blog Archive • iDIGITALL][257] says:

[ September 12, 2009 at 6:35 am][258]

[…] found this interesting analysis of a blog post Andrew ‘bunnie’ Huang wrote talking about “reverse engineering” the […]

93. [Fun article on information theory and flu genetics « reperiendi][259] says:

[ September 12, 2009 at 12:13 pm][260]

[…] article on information theory and flu genetics <http://www.bunniestudios.com/blog/?p=353> This entry was written by reperiendi, posted on 2009 September 12 at 10:13 am, filed under […]

94. [connexion bizarre latest webcast « t H E A R t c i r c U s][261] says:

[ September 15, 2009 at 5:19 am][262]

[…] bombers (Daily Star) Treatment of Alan Turing was “appalling” – PM (Number 10) On Influenza A (H1N1) – hacking H1N1 (bunnie’s blog) Charles Darwin film ‘too controversial for […]

95. ![][263] maberg says:

[ September 15, 2009 at 9:26 am][264]

For some reason the thought of several attacking virii reminds me of the old core wars concept: <http://en.wikipedia.org/wiki/Core_War>

96. [Svininfluensan som kod « Familjen Ahl][265] says:

[ September 19, 2009 at 12:59 am][266]

[…] Kul läsning för oss dator-idioter i sjukvården, uppsnappat från Bruce Schneiers blog om säkerhet. Det fruktade svinet, H1N1, i lite lagom förstoring. […]

97. [Hackeando la gripe A | Shadow Security][267] says:

[ September 23, 2009 at 1:16 pm][268]

[…] que el artículo original no tiene desperdicio, creo que sería imposible hacer un resumen del mismo sin una pérdida […]

98. [Not In Kansas Anymore » Bit-Flipping and Pandemic Disease][269] says:

[ September 30, 2009 at 12:02 pm][270]

[…] a very interesting post (”On Influenza A (H1N1)“) which looks at virulent diseases (esp. influenza) from the point of view of a computer […]

99. [Comparing H1N1 to a computer virus « gambari][271] says:

[ October 14, 2009 at 1:26 pm][272]

[…] On Influenza A (H1N1) […]

100. ![][273] Computer Scientist says:

[ October 15, 2009 at 5:49 am][274]

I’m a PhD student in Computer Science who has dabbled in the “real sciences.” Just wanted to let you know this blog post kicked major ass, and you should definitely keep it up!

101. ![][275] [anxietyboy][276] says:

[ October 16, 2009 at 4:52 am][277]

H1N1 or Swine Flu is a bit scary but it a good thing to note that this virus is not that very deadly.

102. ![][278] [sonic fast food][279] says:

[ October 20, 2009 at 4:47 pm][280]

Thanks!!! Nice post!

103. ![][281] [NickM][282] says:

[ October 22, 2009 at 9:44 am][283]

I never really thought of biological viruses and computer viruses as being similar… but that’s sort of creepy. There are many parallels i guess, thanks for this great post. Both of my children are sick with flu-like symptoms, praying it isnt this H1 crud.

104. ![][284] Rebecca says:

[ October 29, 2009 at 1:34 pm][285]

Thanks for the post bunnie! I enjoyed the read. I’m fascinated and try to delve into all things with a cross interdisciplinary nature, but I’m having one problem that I can’t seem to put a finger on. 

As far as I can remember 1 character is 8 bits, or 1 byte. You state they’re each 1 bit. Even if sequencing software, (which I don’t think any that I’m aware of were to use it’s own standard format) the minimum bits needed for each character would be 3 bits.  
Ex:  
000: A  
001: C  
010: T  
011: G  
100: U

If directly comparing H1N1 or any biological virus for that matter to a computer virus, shouldn’t these number correlate in terms of your size calculations? 

Perhaps I am missing something? Can you please clarify for me. 

Thanks!

105. ![][286] Adam DETTEN, Toronto says:

[ November 5, 2009 at 4:59 pm][287]

G1.  
Wpisz w Google: INSTYTUT IRL KRAKÓW.  
_______: Przeczytaj; tam jest wyjaśnienie i pomoc.

106. ![][288] [line][289] says:

[ November 8, 2009 at 6:00 am][290]

tnks you

107. ![][291] [swine flu][292] says:

[ November 9, 2009 at 4:33 am][293]

Its now in stage 6 and we need to act immediately to make ourself safe!!

108. ![][294] [jen][295] says:

[ November 12, 2009 at 4:38 pm][296]

Seasonal flu shots are still important, they have been approved by the FDA: <http://www.orderonlinedrugs.com/drug-news/2009/08/06/2009-2010-seasonal-influenza-vaccine-approved-by-fda/>

109. ![][297] Zac says:

[ November 15, 2009 at 9:41 pm][298]

Great work. Thank you for you “ramblings” :)

110. ![][299] [rokbleabe][300] says:

[ November 25, 2009 at 4:26 pm][301]

Credit you championing details. It helped me in my assignment

111. [lukasz.bromirski.net » H1N1 vs ludzkość a wirusy komputerowe][302] says:

[ December 5, 2009 at 5:12 pm][303]

[…] ciekawy artykuł, na podstawie którego powstał bardzo ciekawy artykuł opisujący jak wirusy komputerowe mają się do ludzkich. September 5, 2009 | In ciekawostki | Comments […]

112. [Ichimusai’s Place » Blog Archive » Om influensa][304] says:

[ December 14, 2009 at 4:48 am][305]

[…] Detta är en översättning av en mycket bra bloggpost från ” bunnie:studios”. […]

113. ![][306] [we][307] says:

[ December 18, 2009 at 2:32 am][308]

Thanks for the post bunnie! I enjoyed the read. I'm fascinated and try to delve into all things with a cross interdisciplinary nature, but I'm having one problem that I can't seem to put a finger on.

114. ![][309] [internet speed check][310] says:

[ December 21, 2009 at 12:14 pm][311]

Thank you for the great article, this is exactly what I needed this morning.

115. ![][312] [Jude][313] says:

[ January 1, 2010 at 11:46 pm][314]

My brother got infected with H1N1 or Swine Flu in Mexico. He got a mild fever and luckily he did not die.

116. [Hacking Influenza « Alex Eltherington][315] says:

[ January 5, 2010 at 2:27 pm][316]

[…] of the most interesting articles I have read in a very long time. So I thought I should post it. On Influenza A (H1N1). Try to read it all the way though, it’s worth it. Hacking biology is not a new concept, but […]

117. ![][317] c0rt3x says:

[ January 7, 2010 at 11:00 am][318]

Just in case you get infected with any influenza strain:

Hydrogen peroxide (H2O2) is very reliably in killing almost any kind of virii!

The (human) killer cells are using H2O2 themselfs in order to destroy their targets.

Take a look at: <http://drinkh2o2.com>

Don’t worry they don’t sale anything ;-)

Thank you very much for this great blog!

118. ![][319] [linksjuy][320] says:

[ January 12, 2010 at 3:52 am][321]

Your procedure is simply brilliant, thanks a lot kmwoely

119. ![][322] [Sheena West][323] says:

[ January 18, 2010 at 12:37 pm][324]

during the height of the H1N1 or Swine Flu epidemic, i was very afraid to get infected with this disease and i wore face mask whenever i got into heavily populated areas.

120. [LuisRei.com » Blog Archive » On Influenza A (H1N1) « bunnie’s blog: How many bits does it take to kill a human?][325] says:

[ January 31, 2010 at 1:46 pm][326]

[…] 2010 | Author: lrei | Filed under: Misc | Tags: biology, science, virus | No Comments » On Influenza A (H1N1) « bunnie’s blog: “” A computer science perspective on molecular biology. Interesting read. […]

121. ![][327] Doug says:

[ January 31, 2010 at 10:11 pm][328]

Sorry but couldnt get through all the replies, just wanted to make known (or known again) this is a negative polarity single stranded RNA virus, so only one “bit” per RNA base, there is no complementary strand as with our ds DNA genomes, so its only half as complex as you estimated.  
very cool take on the information analogy

122. ![][329] [Ally][330] says:

[ February 3, 2010 at 10:00 am][331]

i remember being scared of getting infected by H1N1 during the height of the pandemic. at least two of my classmates got infected by H1N1.

123. ![][332] [pandora jewellery][333] says:

[ February 25, 2010 at 12:49 am][334]

[…] 2010 | Author: lrei | Filed under: Misc | Tags: biology, science, virus | No Comments » On Influenza A (H1N1) « bunnie's blog: "" A computer science perspective on molecular biology. Interesting read. […]

124. ![][335] [flu virus][336] says:

[ March 3, 2010 at 8:17 am][337]

Very useful information lot of people died of the flu virus last month.

125. ![][338] Emory Brown says:

[ March 22, 2010 at 7:25 pm][339]

Thanks for an excellent, fascinating read. I’m very glad I was linked to this.

126. ![][340] [hulu downloader][341] says:

[ May 31, 2010 at 9:26 pm][342]

whole idea that complex software should “help” me doing things

127. [Hacking Life « Thornapple CSA][343] says:

[ June 27, 2010 at 2:36 pm][344]

[…] In conjunction with this work, I look at a lot of websites. One of the scientists I met on the project directed my attention to a website that nominally has nothing to do with synthetic biology. It's a site called "bunnie's blog" and it is apparently a pretty famous blog written by someone who is well known among computer scientists. Most of the posts deal with pretty technical issues in information technology, but bunnie clearly has a side interest in biology. According to the site, all the work is licensed under Creative Commons, which I take to mean that bunnie will not object to me posting a link to the site here. […]

128. ![][345] JIM B says:

[ July 9, 2010 at 6:37 pm][346]

WOW; You are very intuitive and very quick. Loved the piece and wonder what else you will be pondering besides RNA shiuffles.

129. [Measuring the Entropy of the MOS 6502 CPU « pagetable.com][347] says:

[ September 26, 2010 at 11:58 pm][348]

[…] can be expressed in bits. It takes 4 kilobits to decompress ZIP data, 25 kilobits to kill a human, 43 megabits for a working Mac OS X kernel, and 10^120 bits to describe our universe. What is the […]

130. ![][349] [hoohi-mach.com][350] says:

[ November 12, 2010 at 4:57 am][351]

[dio live][352]  
[bernard cornwell starbuck chronicles 02][353]  
[palm springs 1×01 hdtv dvb][354]  
[vista ultimate x86][355]  
[the gattsu 3][356]  
[ultimate karate bible][357]  
[7 sinners download][358]  
[hottest amateurs][359]  
[ppt convertar][360]  
[girlfriends 2004][361]  
[key for nod32 42400 x64][362]  
[bioshock 2 skidrow][363]  
[jet genius][364]  
[norton 2010 1 year][365]  
[dollhouse swesub s01][366]  
[european bus simulator][367]  
[lucky luke.2009 spanish][368]  
[recall 22 subimos junto.pdf][369]  
[build 7600 activator][370]  
[proxy switcher standard portable][371]  
[przeznaczone do burdelu][372]  
[house m. d. soundtrack][373]  
[peter taken http][374]  
[noel 2005][375]  
[definately maybe klaxxon][376]  
[entourage tv series sinatra][377]  
[concepts in biology 11th edition][378]  
[hdloader v3][379]  
[ps i love you pl][380]  
[samsung d600 soccer freekick][381]

131. ![][382] [Alta Marsolais][383] says:

[ November 12, 2010 at 5:08 am][384]

Thank you so much for your outlook, I totally concur with you. It is excellent to see a fresh outlook on this and I look forward to a lot more.

* * *

bunnie's blog is proudly powered by [WordPress][385]   
[Entries (RSS)][386] and [Comments (RSS)][387]. 

[1]: https://www.bunniestudios.com/blog/?p=341
[2]: https://www.bunniestudios.com/blog/?p=422
[3]: http://www.nature.com/nature/journal/v459/n7249/full/nature08157.html
[4]: http://www.ncbi.nlm.nih.gov/genomes/FLU/SwineFlu.html
[5]: http://en.wikipedia.org/wiki/List_of_standard_amino_acids
[6]: http://en.wikipedia.org/wiki/NOP_slide
[7]: http://mrgene.com
[8]: http://www.pnas.org/content/96/16/9345.full.pdf+html
[9]: http://en.wikipedia.org/wiki/RNA-dependent_RNA_polymerase
[10]: http://www.cdc.gov/h1n1flu/update.htm
[11]: http://en.wikipedia.org/wiki/Human_mortality_from_H5N1
[12]: https://www.bunniestudios.com/blog/?cat=16
[13]: https://www.bunniestudios.com/blog/?cat=5
[14]: https://www.bunniestudios.com/blog/?feed=rss2&p=353
[15]: http://0.gravatar.com/avatar/9c2be2dcc20323d9f82af9b6a3e22466?s=32&d=mm&r=g
[16]: http://www.tellesfera.com
[17]: https://www.bunniestudios.com/blog/?p=353#comment-455422
[18]: http://www.qualifilms.com/blog/computer-science/2009/06/on-influenza-a/
[19]: https://www.bunniestudios.com/blog/?p=353#comment-455466
[20]: http://2.gravatar.com/avatar/e3e701562f984afe30693defc5276e36?s=32&d=mm&r=g
[21]: http://grack.com
[22]: https://www.bunniestudios.com/blog/?p=353#comment-455509
[23]: http://2.gravatar.com/avatar/80798e90e0ad7f00bd9aa22d2638f82e?s=32&d=mm&r=g
[24]: https://www.bunniestudios.com/blog/?p=353#comment-455523
[25]: http://2.gravatar.com/avatar/bd53983161441595a6c36a6ba42998c4?s=32&d=mm&r=g
[26]: https://www.bunniestudios.com/blog/?p=353#comment-471511
[27]: http://0.gravatar.com/avatar/9c298d672c022c4fc60d75307700f557?s=32&d=mm&r=g
[28]: http://www.haroldbakker.com/
[29]: https://www.bunniestudios.com/blog/?p=353#comment-471663
[30]: http://0.gravatar.com/avatar/caaefeae15811188de49e613614c32ff?s=32&d=mm&r=g
[31]: https://www.bunniestudios.com/blog/?p=353#comment-471515
[32]: http://0.gravatar.com/avatar/09c10dbe0863a44a24f03015b3be9cc9?s=32&d=mm&r=g
[33]: https://www.bunniestudios.com/blog/?p=353#comment-471523
[34]: http://2.gravatar.com/avatar/e386ae98fcc36068ede055185b70e22d?s=32&d=mm&r=g
[35]: https://www.bunniestudios.com/blog/?p=353#comment-472074
[36]: http://0.gravatar.com/avatar/c5dfb257621128a489f92684931f7805?s=32&d=mm&r=g
[37]: http://diybio.org
[38]: https://www.bunniestudios.com/blog/?p=353#comment-473622
[39]: http://2.gravatar.com/avatar/8629503e140772710ac04f710751adb1?s=32&d=mm&r=g
[40]: http://caustik.com
[41]: https://www.bunniestudios.com/blog/?p=353#comment-455528
[42]: http://1.gravatar.com/avatar/7e557ed3a59ad166466fcdaf86e3e0ae?s=32&d=mm&r=g
[43]: http://furryhelix.webhop.org
[44]: https://www.bunniestudios.com/blog/?p=353#comment-456018
[45]: http://www.michaelalanmiller.com/?p=2676
[46]: https://www.bunniestudios.com/blog/?p=353#comment-455533
[47]: http://www.evilcon.net/?p=2157
[48]: https://www.bunniestudios.com/blog/?p=353#comment-455542
[49]: http://1.gravatar.com/avatar/a1f0151d2e9533d7a8e1d3b39d79fa6d?s=32&d=mm&r=g
[50]: https://www.bunniestudios.com/blog/?p=353#comment-455547
[51]: http://www.netcrema.com/?p=4822
[52]: https://www.bunniestudios.com/blog/?p=353#comment-455564
[53]: http://2.gravatar.com/avatar/2550f6c27028f05d77bd6fc81744ec56?s=32&d=mm&r=g
[54]: https://www.bunniestudios.com/blog/?p=353#comment-455594
[55]: http://0.gravatar.com/avatar/040b73282faf88b2eea3dc64507339c0?s=32&d=mm&r=g
[56]: https://www.bunniestudios.com/blog/?p=353#comment-455606
[57]: https://www.bunniestudios.com/blog/?p=353#comment-456020
[58]: https://www.bunniestudios.com/blog/?p=353#comment-539368
[59]: http://0.gravatar.com/avatar/96c6f087a516d6b19aec2e0cdaf1d8f9?s=32&d=mm&r=g
[60]: https://www.bunniestudios.com/blog/?p=353#comment-455612
[61]: http://0.gravatar.com/avatar/63f372b9f3d1b7a853c8acd14d5e5ed1?s=32&d=mm&r=g
[62]: https://www.bunniestudios.com/blog/?p=353#comment-455704
[63]: http://1.gravatar.com/avatar/dddc63b63be3f9abeca7b0bebb383b80?s=32&d=mm&r=g
[64]: http://twitter.com/ehoque
[65]: https://www.bunniestudios.com/blog/?p=353#comment-457195
[66]: https://www.bunniestudios.com/blog/?p=353#comment-455726
[67]: http://2.gravatar.com/avatar/b3993958ef9fff805f3266fda42ba6a3?s=32&d=mm&r=g
[68]: https://www.bunniestudios.com/blog/?p=353#comment-471524
[69]: http://fitness-trail.com/health-news/on-influenza-a-bunnies-blog/7911
[70]: https://www.bunniestudios.com/blog/?p=353#comment-455734
[71]: http://0.gravatar.com/avatar/9b86a8cd5cc3d80b674e8afb3cdba93e?s=32&d=mm&r=g
[72]: https://www.bunniestudios.com/blog/?p=353#comment-455785
[73]: http://2.gravatar.com/avatar/8892ea24aa5cd1a1dd2d31f35691040c?s=32&d=mm&r=g
[74]: https://www.bunniestudios.com/blog/?p=353#comment-456048
[75]: http://1.gravatar.com/avatar/179c0bcd5a3306e7ade199e97866e8da?s=32&d=mm&r=g
[76]: https://www.bunniestudios.com/blog/?p=353#comment-456175
[77]: http://0.gravatar.com/avatar/6fd89c1717303d4ae4998d60d194802e?s=32&d=mm&r=g
[78]: https://www.bunniestudios.com/blog/?p=353#comment-456345
[79]: http://0.gravatar.com/avatar/696c76c3a13623bde3db67c06a6928a9?s=32&d=mm&r=g
[80]: https://www.bunniestudios.com/blog/?p=353#comment-456610
[81]: http://1.gravatar.com/avatar/d15e5911afb8fa7760e73c4b4d181c99?s=32&d=mm&r=g
[82]: http://veracode.com/blog
[83]: https://www.bunniestudios.com/blog/?p=353#comment-457145
[84]: http://0.gravatar.com/avatar/071a6aa21aafeeae661f6eb2b6d75163?s=32&d=mm&r=g
[85]: http://www.xorloser.com/
[86]: https://www.bunniestudios.com/blog/?p=353#comment-457218
[87]: http://yompb.wordpress.com/2009/07/02/morzsalek/
[88]: https://www.bunniestudios.com/blog/?p=353#comment-457561
[89]: http://www.twiv.tv/2009/07/05/twiv-39-virus-structure/
[90]: https://www.bunniestudios.com/blog/?p=353#comment-458132
[91]: http://www.virology.ws/2009/07/05/twiv-39-virus-structure/
[92]: https://www.bunniestudios.com/blog/?p=353#comment-458133
[93]: http://docartemis.com/sciencepodcasters/?p=1494
[94]: https://www.bunniestudios.com/blog/?p=353#comment-458220
[95]: http://1.gravatar.com/avatar/1855055300a21cb1ef9f8829d875325d?s=32&d=mm&r=g
[96]: https://www.bunniestudios.com/blog/?p=353#comment-459663
[97]: http://2.gravatar.com/avatar/2f6d11e8785dd8dd8db6bc81213e7845?s=32&d=mm&r=g
[98]: http://none
[99]: https://www.bunniestudios.com/blog/?p=353#comment-476458
[100]: http://0.gravatar.com/avatar/f5b7d32251fbb4f2a28776a84102929c?s=32&d=mm&r=g
[101]: http://www.bodydetoxdiet.net/what-is-detox.php
[102]: https://www.bunniestudios.com/blog/?p=353#comment-459836
[103]: http://0.gravatar.com/avatar/678836bbe3ca37e07bbeb2edd3d90485?s=32&d=mm&r=g
[104]: http://www.arthritistreatmentlab.com
[105]: https://www.bunniestudios.com/blog/?p=353#comment-461259
[106]: http://0.gravatar.com/avatar/3bc6a7ca4f5b142442bc364eefa7995d?s=32&d=mm&r=g
[107]: http://www.acnetreatments.asia
[108]: https://www.bunniestudios.com/blog/?p=353#comment-463175
[109]: http://1.gravatar.com/avatar/d2901f1a5227935cf414489526f7a82c?s=32&d=mm&r=g
[110]: https://www.bunniestudios.com/blog/?p=353#comment-467002
[111]: http://2.gravatar.com/avatar/be25d8623d263b4c3f919a5fac6424bb?s=32&d=mm&r=g
[112]: https://www.bunniestudios.com/blog/?p=353#comment-521763
[113]: http://1.gravatar.com/avatar/4b9e4fb2d067424a0ba6ddefdac30ba4?s=32&d=mm&r=g
[114]: https://www.bunniestudios.com/blog/?p=353#comment-468258
[115]: http://0.gravatar.com/avatar/044eb0cf2f7f19b670ca1ab969d70c48?s=32&d=mm&r=g
[116]: http://www.guffeyfire.net
[117]: https://www.bunniestudios.com/blog/?p=353#comment-468810
[118]: http://2.gravatar.com/avatar/5e8aa8a3e775af8222c8ab9897b5a9a3?s=32&d=mm&r=g
[119]: https://www.bunniestudios.com/blog/?p=353#comment-471130
[120]: http://2.gravatar.com/avatar/2992b36a0d66725d13248f25b4eff36e?s=32&d=mm&r=g
[121]: https://www.bunniestudios.com/blog/?p=353#comment-471141
[122]: http://2.gravatar.com/avatar/b99595993fa64492c8831fa121ad6354?s=32&d=mm&r=g
[123]: https://www.bunniestudios.com/blog/?p=353#comment-471180
[124]: http://2.gravatar.com/avatar/80005158979966e8421eb94acd441a35?s=32&d=mm&r=g
[125]: http://slashdot.org
[126]: https://www.bunniestudios.com/blog/?p=353#comment-471436
[127]: https://www.bunniestudios.com/blog/?p=353#comment-471498
[128]: http://1.gravatar.com/avatar/79c6463072159a64486c9b0f76af1368?s=32&d=mm&r=g
[129]: https://www.bunniestudios.com/blog/?p=353#comment-471507
[130]: http://2.gravatar.com/avatar/e0a4183b350c18713ca0e9f33e1fb98e?s=32&d=mm&r=g
[131]: https://www.bunniestudios.com/blog/?p=353#comment-471517
[132]: http://0.gravatar.com/avatar/0e8a8c34d845b0603fd6ec9671cec2b3?s=32&d=mm&r=g
[133]: https://www.bunniestudios.com/blog/?p=353#comment-471518
[134]: http://1.gravatar.com/avatar/1cafb93bf72ec0a6fcf3df238419191d?s=32&d=mm&r=g
[135]: https://www.bunniestudios.com/blog/?p=353#comment-471631
[136]: http://0.gravatar.com/avatar/072eb8c029a990cf9dc527b263c4d839?s=32&d=mm&r=g
[137]: https://www.bunniestudios.com/blog/?p=353#comment-471521
[138]: http://0.gravatar.com/avatar/9d1c7a94ea922a8d76a93f04463a95c1?s=32&d=mm&r=g
[139]: https://www.bunniestudios.com/blog/?p=353#comment-471527
[140]: http://0.gravatar.com/avatar/f7c7c3ad05ae2be1195801e2b75e65ce?s=32&d=mm&r=g
[141]: https://www.bunniestudios.com/blog/?p=353#comment-471530
[142]: https://www.bunniestudios.com/blog/?p=353#comment-471658
[143]: http://1.gravatar.com/avatar/4dfb4dc5d762b82a45f1a0a186f414f8?s=32&d=mm&r=g
[144]: http://www.3am.co.za
[145]: https://www.bunniestudios.com/blog/?p=353#comment-471536
[146]: http://2.gravatar.com/avatar/829c43848fd6ab1a88c8ded3a8a8a32b?s=32&d=mm&r=g
[147]: https://www.bunniestudios.com/blog/?p=353#comment-471537
[148]: http://0.gravatar.com/avatar/3fb6ba3390e688f4bc650fd32b892f7a?s=32&d=mm&r=g
[149]: https://www.bunniestudios.com/blog/?p=353#comment-471538
[150]: http://0.gravatar.com/avatar/03a6b477d81b988188ace6c48bb0ea2f?s=32&d=mm&r=g
[151]: https://www.bunniestudios.com/blog/?p=353#comment-471550
[152]: http://www.gamelinux.org/?p=62
[153]: https://www.bunniestudios.com/blog/?p=353#comment-471553
[154]: http://identi.ca/notice/9271036
[155]: https://www.bunniestudios.com/blog/?p=353#comment-471555
[156]: http://www.netcrema.com/?p=12434
[157]: https://www.bunniestudios.com/blog/?p=353#comment-471567
[158]: http://identi.ca/notice/9274153
[159]: https://www.bunniestudios.com/blog/?p=353#comment-471571
[160]: http://1.gravatar.com/avatar/1833fff8bbb780a93330046e49c2abe5?s=32&d=mm&r=g
[161]: https://www.bunniestudios.com/blog/?p=353#comment-471589
[162]: http://0.gravatar.com/avatar/faee7c8a4f200567714ca387446d8721?s=32&d=mm&r=g
[163]: https://www.bunniestudios.com/blog/?p=353#comment-471596
[164]: http://1.gravatar.com/avatar/4c98e8ddc6ea537281ad2db7bc19313c?s=32&d=mm&r=g
[165]: https://www.bunniestudios.com/blog/?p=353#comment-471611
[166]: http://2.gravatar.com/avatar/effe44a23e09afca5f3fc5287458131a?s=32&d=mm&r=g
[167]: https://www.bunniestudios.com/blog/?p=353#comment-471619
[168]: http://1.gravatar.com/avatar/18eb0693accb6c1a75c697e53a9cfc16?s=32&d=mm&r=g
[169]: https://www.bunniestudios.com/blog/?p=353#comment-472984
[170]: http://www.iamniz.co.uk/wordpress/2009/09/bookmarks-for-september-1st-through-september-2nd/
[171]: https://www.bunniestudios.com/blog/?p=353#comment-471613
[172]: http://1.gravatar.com/avatar/7f7d36db0e29ee396d56603dbb28e24a?s=32&d=mm&r=g
[173]: https://www.bunniestudios.com/blog/?p=353#comment-471622
[174]: http://1.gravatar.com/avatar/1fb74fbf4692a634ab9b1c8c730c5a2d?s=32&d=mm&r=g
[175]: https://www.bunniestudios.com/blog/?p=353#comment-471646
[176]: http://2.gravatar.com/avatar/5aa1dc1849d32304afe76f51a5ebe684?s=32&d=mm&r=g
[177]: https://www.bunniestudios.com/blog/?p=353#comment-471655
[178]: http://1.gravatar.com/avatar/7daf6c79d4802916d83f6266e24850af?s=32&d=mm&r=g
[179]: https://www.bunniestudios.com/blog/?p=353#comment-471677
[180]: https://www.bunniestudios.com/blog/?p=353#comment-471681
[181]: http://1.gravatar.com/avatar/712aedfb894ebb11093b25d75635c507?s=32&d=mm&r=g
[182]: https://www.bunniestudios.com/blog/?p=353#comment-471679
[183]: http://undeadastronauts.com/2009/09/02/very-cool-analysis-of-influena-a-h1n1-from-a-computer-scientists-pov/
[184]: https://www.bunniestudios.com/blog/?p=353#comment-471709
[185]: http://2.gravatar.com/avatar/b2d94a396f2d194ef384796f0c2cb870?s=32&d=mm&r=g
[186]: https://www.bunniestudios.com/blog/?p=353#comment-471734
[187]: http://identi.ca/notice/9314768
[188]: https://www.bunniestudios.com/blog/?p=353#comment-471758
[189]: http://2.gravatar.com/avatar/56b7378fe29a9f70c7eceab7b5a9865d?s=32&d=mm&r=g
[190]: https://www.bunniestudios.com/blog/?p=353#comment-471762
[191]: http://www.velcro-city.co.uk/links-for-2nd-september-2009/
[192]: https://www.bunniestudios.com/blog/?p=353#comment-471776
[193]: http://blarneyfellow.wordpress.com/2009/09/03/links-for-2009-09-02/
[194]: https://www.bunniestudios.com/blog/?p=353#comment-471790
[195]: http://0.gravatar.com/avatar/64029c12d260bd5e3cb2504f4155998f?s=32&d=mm&r=g
[196]: https://www.bunniestudios.com/blog/?p=353#comment-471802
[197]: http://1.gravatar.com/avatar/d2de6c8e49912df8375b65d46a4413f8?s=32&d=mm&r=g
[198]: https://www.bunniestudios.com/blog/?p=353#comment-471855
[199]: https://www.bunniestudios.com/blog/?p=353#comment-472244
[200]: http://www.giseliramos.com.br/blog/2009/09/virus-influenza-a-em-apenas-32-kbytes/
[201]: https://www.bunniestudios.com/blog/?p=353#comment-471804
[202]: http://1.gravatar.com/avatar/74c6631139ccfc20db594c3d2a3b2958?s=32&d=mm&r=g
[203]: https://www.bunniestudios.com/blog/?p=353#comment-471843
[204]: https://www.bunniestudios.com/blog/?p=353#comment-472090
[205]: http://alsanan.info/4991
[206]: https://www.bunniestudios.com/blog/?p=353#comment-471942
[207]: http://1.gravatar.com/avatar/1e8123d39271b458393ba046e8593646?s=32&d=mm&r=g
[208]: https://www.bunniestudios.com/blog/?p=353#comment-471975
[209]: http://1.gravatar.com/avatar/d7722673c9e1771d610c2a503dce88d4?s=32&d=mm&r=g
[210]: http://na
[211]: https://www.bunniestudios.com/blog/?p=353#comment-472028
[212]: http://1.gravatar.com/avatar/18be999f2667555fb1aca7b1ccec1f21?s=32&d=mm&r=g
[213]: https://www.bunniestudios.com/blog/?p=353#comment-472041
[214]: http://sasamat2.dyndns.org/wp-a/?p=296
[215]: https://www.bunniestudios.com/blog/?p=353#comment-472061
[216]: http://2.gravatar.com/avatar/ee49ab2201a0cd4206006e9cb27c2485?s=32&d=mm&r=g
[217]: https://www.bunniestudios.com/blog/?p=353#comment-472066
[218]: http://2.gravatar.com/avatar/83ca2b6766b57a6fd0d3d7d1e9490a5f?s=32&d=mm&r=g
[219]: https://www.bunniestudios.com/blog/?p=353#comment-472152
[220]: https://www.bunniestudios.com/blog/?p=353#comment-472247
[221]: http://1.gravatar.com/avatar/d5b056917f1158d24977f5e5ad489c98?s=32&d=mm&r=g
[222]: https://www.bunniestudios.com/blog/?p=353#comment-472189
[223]: http://identi.ca/notice/9377229
[224]: https://www.bunniestudios.com/blog/?p=353#comment-472214
[225]: http://identi.ca/notice/9377270
[226]: https://www.bunniestudios.com/blog/?p=353#comment-472215
[227]: http://1.gravatar.com/avatar/46c2e7d04128773d4808759ea3f9dc8c?s=32&d=mm&r=g
[228]: https://www.bunniestudios.com/blog/?p=353#comment-472293
[229]: http://adamdodson.org/2009/09/link-digest-for-september-4th/
[230]: https://www.bunniestudios.com/blog/?p=353#comment-472360
[231]: http://suyashss.wordpress.com/2009/09/04/computers-and-h1n1/
[232]: https://www.bunniestudios.com/blog/?p=353#comment-472444
[233]: http://www.bytopia.dk/blog/2009/09/04/h1n1-for-computerfolk/
[234]: https://www.bunniestudios.com/blog/?p=353#comment-472479
[235]: http://2.gravatar.com/avatar/23c670afee214c62cade71f551868709?s=32&d=mm&r=g
[236]: http://www.semrumo.com.br
[237]: https://www.bunniestudios.com/blog/?p=353#comment-472686
[238]: https://www.bunniestudios.com/blog/?p=353#comment-472707
[239]: https://www.bunniestudios.com/blog/?p=353#comment-473649
[240]: http://adamdodson.org/2009/09/link-digest-for-september-5th/
[241]: https://www.bunniestudios.com/blog/?p=353#comment-472710
[242]: http://sagamorejournal.wordpress.com/2009/09/05/swine-flu-get-it-now/
[243]: https://www.bunniestudios.com/blog/?p=353#comment-472761
[244]: http://0.gravatar.com/avatar/036b48aa5de2cf0a7187f52496c30871?s=32&d=mm&r=g
[245]: https://www.bunniestudios.com/blog/?p=353#comment-473004
[246]: http://1.gravatar.com/avatar/7923d138598b3a68c52fefb5af9feca9?s=32&d=mm&r=g
[247]: http://www.acnetreatmentdigest.com
[248]: https://www.bunniestudios.com/blog/?p=353#comment-473056
[249]: http://taoist.wordpress.com/2009/09/07/think-of-a-virus-as-just-data/
[250]: https://www.bunniestudios.com/blog/?p=353#comment-473160
[251]: http://0.gravatar.com/avatar/0cbbf0cd1f224833b3f26c3c85d27718?s=32&d=mm&r=g
[252]: https://www.bunniestudios.com/blog/?p=353#comment-473468
[253]: http://pilgrimgray.wordpress.com/2009/09/10/imita%c8%9bii/
[254]: https://www.bunniestudios.com/blog/?p=353#comment-473921
[255]: https://www.bunniestudios.com/blog/?p=353#comment-474060
[256]: http://bcs.whfreeman.com/biochem5/
[257]: http://www.idigitall.com/~idigitall/2009/09/02/25-kilobits-to-kill-a-human/
[258]: https://www.bunniestudios.com/blog/?p=353#comment-474562
[259]: http://reperiendi.wordpress.com/2009/09/12/fun-article-on-information-theory-and-flu-genetics/
[260]: https://www.bunniestudios.com/blog/?p=353#comment-474590
[261]: http://joaoricardocefalialmeida.wordpress.com/2009/09/15/connexion-bizarre-latest-webcast/
[262]: https://www.bunniestudios.com/blog/?p=353#comment-475322
[263]: http://0.gravatar.com/avatar/cd1889d220982ff282c3b00f796ff294?s=32&d=mm&r=g
[264]: https://www.bunniestudios.com/blog/?p=353#comment-475357
[265]: http://blog.husakersvagen.se/?p=1081
[266]: https://www.bunniestudios.com/blog/?p=353#comment-476496
[267]: http://shadowsecurity.info/3220/hackeando-la-gripe-a.html
[268]: https://www.bunniestudios.com/blog/?p=353#comment-477521
[269]: http://www.contracheck.com/nika/?p=2306
[270]: https://www.bunniestudios.com/blog/?p=353#comment-479190
[271]: http://gambari.wordpress.com/2009/10/14/comparing-h1n1-to-a-computer-virus/
[272]: https://www.bunniestudios.com/blog/?p=353#comment-482040
[273]: http://0.gravatar.com/avatar/9098eb05fea91f5e16cba12e40e1e7a7?s=32&d=mm&r=g
[274]: https://www.bunniestudios.com/blog/?p=353#comment-482171
[275]: http://1.gravatar.com/avatar/dbff97a48329d84cb55ece27af50604c?s=32&d=mm&r=g
[276]: http://www.anxietydepressionfaq.com
[277]: https://www.bunniestudios.com/blog/?p=353#comment-482409
[278]: http://0.gravatar.com/avatar/6a03434d47700e6ef8d5e0554b1401c5?s=32&d=mm&r=g
[279]: http://forums.buddytv.com/members/sonic_fast_food.html
[280]: https://www.bunniestudios.com/blog/?p=353#comment-483220
[281]: http://2.gravatar.com/avatar/8351bb3e3d1959439360b17dabea940f?s=32&d=mm&r=g
[282]: http://www.sportcruiserpros.com
[283]: https://www.bunniestudios.com/blog/?p=353#comment-483481
[284]: http://0.gravatar.com/avatar/9fdbf8fd6ae80ce03d7c420e2760b50a?s=32&d=mm&r=g
[285]: https://www.bunniestudios.com/blog/?p=353#comment-485841
[286]: http://1.gravatar.com/avatar/4831eaeee167fe0404a705f6142a8a4c?s=32&d=mm&r=g
[287]: https://www.bunniestudios.com/blog/?p=353#comment-488166
[288]: http://2.gravatar.com/avatar/54d2c5bddc7f7cba1e0c829f53140e59?s=32&d=mm&r=g
[289]: http://www.islamsitem.com
[290]: https://www.bunniestudios.com/blog/?p=353#comment-488628
[291]: http://0.gravatar.com/avatar/0802bd334d53b96cb8119a3088235eae?s=32&d=mm&r=g
[292]: http://www.thedeadlyflu.com/
[293]: https://www.bunniestudios.com/blog/?p=353#comment-488735
[294]: http://2.gravatar.com/avatar/eabff8aa9a20cc9edd3e6c88d68d6d13?s=32&d=mm&r=g
[295]: http://www.orderonlinedrugs.com
[296]: https://www.bunniestudios.com/blog/?p=353#comment-489588
[297]: http://0.gravatar.com/avatar/925b37fd1ba7a62136cf6d08021ff127?s=32&d=mm&r=g
[298]: https://www.bunniestudios.com/blog/?p=353#comment-490280
[299]: http://0.gravatar.com/avatar/65ec4e1f0d0935374a2750dd4a93b1ec?s=32&d=mm&r=g
[300]: http://paydayloan521.vox.com
[301]: https://www.bunniestudios.com/blog/?p=353#comment-492591
[302]: http://lukasz.bromirski.net/2009/09/h1n1-vs-ludzkosc-a-wirusy-komputerowe/
[303]: https://www.bunniestudios.com/blog/?p=353#comment-494560
[304]: http://www.ichimusai.org/2009/07/11/hacka-h1n1/
[305]: https://www.bunniestudios.com/blog/?p=353#comment-496598
[306]: http://2.gravatar.com/avatar/274305757dd7ab1eefefafe80375eaca?s=32&d=mm&r=g
[307]: http://www.linkslondonhut.com
[308]: https://www.bunniestudios.com/blog/?p=353#comment-497490
[309]: http://1.gravatar.com/avatar/792d48fad3ba39205fda260fe88580e6?s=32&d=mm&r=g
[310]: http://www.yelp.com/biz/geek-choice-boston
[311]: https://www.bunniestudios.com/blog/?p=353#comment-498126
[312]: http://0.gravatar.com/avatar/6a0fe14b1e32a9944b2a89fc3f3c3c54?s=32&d=mm&r=g
[313]: http://www.electronicslab.ph/forum
[314]: https://www.bunniestudios.com/blog/?p=353#comment-500198
[315]: http://eltherington.wordpress.com/2009/09/02/hacking-influenza/
[316]: https://www.bunniestudios.com/blog/?p=353#comment-500936
[317]: http://2.gravatar.com/avatar/ee47b0ff584ca4bfa957f207d5431e32?s=32&d=mm&r=g
[318]: https://www.bunniestudios.com/blog/?p=353#comment-501235
[319]: http://1.gravatar.com/avatar/adec1ce8cab19943b7f1e73c1a94817e?s=32&d=mm&r=g
[320]: http://www.linksoflondonhut.co.uk
[321]: https://www.bunniestudios.com/blog/?p=353#comment-502246
[322]: http://0.gravatar.com/avatar/6fbe394f2fabc7862748f4cfbba76345?s=32&d=mm&r=g
[323]: http://www.acnetreatmentlab.com
[324]: https://www.bunniestudios.com/blog/?p=353#comment-503682
[325]: http://luisrei.com/2010/01/31/on-influenza-a-h1n1-%c2%ab-bunnies-blog-how-many-bits-does-it-take-to-kill-a-human/
[326]: https://www.bunniestudios.com/blog/?p=353#comment-506900
[327]: http://1.gravatar.com/avatar/7b9ed24de1fa19c2ab963fc9773774b0?s=32&d=mm&r=g
[328]: https://www.bunniestudios.com/blog/?p=353#comment-506979
[329]: http://1.gravatar.com/avatar/78c980386fd19c28088a16aef67439fd?s=32&d=mm&r=g
[330]: http://www.pore-cleanser.info
[331]: https://www.bunniestudios.com/blog/?p=353#comment-507767
[332]: http://0.gravatar.com/avatar/93964dcc9a7e5982e50c3d2414c52d6b?s=32&d=mm&r=g
[333]: http://www.pandoraonsale.co.uk/
[334]: https://www.bunniestudios.com/blog/?p=353#comment-513095
[335]: http://1.gravatar.com/avatar/44de401a2525a0dda02e105321362c78?s=32&d=mm&r=g
[336]: http://www.chemistdirect.co.uk
[337]: https://www.bunniestudios.com/blog/?p=353#comment-515137
[338]: http://1.gravatar.com/avatar/df1a8b262c0c5e67c1459e734e8dcec3?s=32&d=mm&r=g
[339]: https://www.bunniestudios.com/blog/?p=353#comment-522016
[340]: http://1.gravatar.com/avatar/16bbcbf78d17b23292d5f2f3383b8b28?s=32&d=mm&r=g
[341]: http://www.huludownloader.org
[342]: https://www.bunniestudios.com/blog/?p=353#comment-544743
[343]: http://thornapplecsa.com/2010/06/27/hacking-life/
[344]: https://www.bunniestudios.com/blog/?p=353#comment-556402
[345]: http://0.gravatar.com/avatar/c7055e6e9d6b541e59d16de93cf72178?s=32&d=mm&r=g
[346]: https://www.bunniestudios.com/blog/?p=353#comment-562794
[347]: http://www.pagetable.com/?p=401
[348]: https://www.bunniestudios.com/blog/?p=353#comment-612578
[349]: http://1.gravatar.com/avatar/73ccc0eb52587b5f76ab681cededbcdd?s=32&d=mm&r=g
[350]: http://hoohi-mach.com
[351]: https://www.bunniestudios.com/blog/?p=353#comment-657388
[352]: http://hoohi-mach.com/search/dio+live.html
[353]: http://hoohi-mach.com/search/bernard+cornwell+starbuck+chronicles+02.html
[354]: http://hoohi-mach.com/search/palm+springs+1x01+hdtv+dvb.html
[355]: http://hoohi-mach.com/search/vista+ultimate+x86.html
[356]: http://hoohi-mach.com/search/the+gattsu+3.html
[357]: http://hoohi-mach.com/search/ultimate+karate+bible.html
[358]: http://hoohi-mach.com/search/7+sinners+download.html
[359]: http://hoohi-mach.com/search/hottest+amateurs.html
[360]: http://hoohi-mach.com/search/ppt+convertar.html
[361]: http://hoohi-mach.com/search/girlfriends+2004.html
[362]: http://hoohi-mach.com/search/key+for+nod32+42400+x64.html
[363]: http://hoohi-mach.com/search/bioshock+2+skidrow.html
[364]: http://hoohi-mach.com/search/jet+genius.html
[365]: http://hoohi-mach.com/search/norton+2010+1+year.html
[366]: http://hoohi-mach.com/search/dollhouse+swesub+s01.html
[367]: http://hoohi-mach.com/search/european+bus+simulator.html
[368]: http://hoohi-mach.com/search/lucky+luke.2009+spanish.html
[369]: http://hoohi-mach.com/search/recall+22+subimos+junto.pdf.html
[370]: http://hoohi-mach.com/search/build+7600+activator.html
[371]: http://hoohi-mach.com/search/proxy+switcher+standard+portable.html
[372]: http://hoohi-mach.com/search/przeznaczone+do+burdelu.html
[373]: http://hoohi-mach.com/search/house+m.+d.+soundtrack.html
[374]: http://hoohi-mach.com/search/peter+taken+http.html
[375]: http://hoohi-mach.com/search/noel+2005.html
[376]: http://hoohi-mach.com/search/definately+maybe+klaxxon.html
[377]: http://hoohi-mach.com/search/entourage+tv+series+sinatra.html
[378]: http://hoohi-mach.com/search/concepts+in+biology+11th+edition.html
[379]: http://hoohi-mach.com/search/hdloader+v3.html
[380]: http://hoohi-mach.com/search/ps+i+love+you+pl.html
[381]: http://hoohi-mach.com/search/samsung+d600+soccer+freekick.html
[382]: http://0.gravatar.com/avatar/3d02be3408c9b94908235c48aa88d6f7?s=32&d=mm&r=g
[383]: http://www.links2rss.com/feed/378720316.xml
[384]: https://www.bunniestudios.com/blog/?p=353#comment-657443
[385]: http://wordpress.org/
[386]: https://www.bunniestudios.com/blog/?feed=rss2
[387]: https://www.bunniestudios.com/blog/?feed=comments-rss2

