---
created_at: '2017-04-30T19:13:44.000Z'
title: 'A New Form of Social Withdrawal in Japan: A Review of ‘Hikikomori’ (2009)'
url: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4886853/
author: da02
points: 94
story_text: 
comment_text: 
num_comments: 69
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1493579624
_tags:
- story
- author_da02
- story_14233303
objectID: '14233303'

---
[Source](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4886853/ "Permalink to A New Form of Social Withdrawal in Japan: A Review of Hikikomori")

# A New Form of Social Withdrawal in Japan: A Review of Hikikomori

**Warning:** The NCBI web site requires JavaScript to function. [more...][1]
* [NCBI![NCBI Logo][2]][3]
* [Skip to main content][4]
* [Skip to navigation][5]
* [Resources][6]
* [How To][7]
* [About NCBI Accesskeys][8]

[My NCBI][9][Sign in to NCBI][10][Sign Out][11]

# [PMC][12]

[US National Library of Medicine][13]   
[National Institutes of Health][14]

Search databasePMCAll DatabasesAssemblyBiocollectionsBioProjectBioSampleBioSystemsBooksClinVarCloneConserved DomainsdbGaPdbVarESTGeneGenomeGEO DataSetsGEO ProfilesGSSGTRHomoloGeneIdentical Protein GroupsMedGenMeSHNCBI Web SiteNLM CatalogNucleotideOMIMPMCPopSetProbeProteinProtein ClustersPubChem BioAssayPubChem CompoundPubChem SubstancePubMedPubMed HealthSNPSparcleSRAStructureTaxonomyToolKitToolKitAllToolKitBookghUniGene

Search term

Search

* [Advanced][15]
* [Journal list][16]
* [Help][17]
* [Journal List][16]
* [VA Author Manuscripts][18]
* PMC4886853

![Logo of vapa][19]

Int J Soc Psychiatry. Author manuscript; available in PMC 2016 May 31.

Published in final edited form as:

[Int J Soc Psychiatry. 2010 Mar; 56(2): 178–185. ][20]

Published online 2009 Jun 30.  doi:  [10.1177/0020764008100629][21]

PMCID: PMC4886853

NIHMSID: NIHMS788435

# A New Form of Social Withdrawal in Japan: A Review of _Hikikomori_

[Alan R. Teo][22], M.D.

Department of Psychiatry, University of California, San Francisco, Box 0984-RTP, 401 Parnassus Ave., San Francisco, CA 94143-0984, U.S.A.

tel: 415-476-7577; fax: 415-476-7722; [gro.inmuladrofnats@oet.nala][23].

[Author information ►][24] [Copyright and License information ►][24]

[Copyright notice][25] and [Disclaimer][26]

The publisher's final edited version of this article is available at [Int J Soc Psychiatry][20]

See other articles in PMC that [cite][27] the published article.

## Abstract

The purpose of this article is to provide a clinical review of a unique, emerging form of severe social withdrawal that has described in Japan. It begins with a case vignette, then reviews the case definition, epidemiology, psychopathology, differential diagnosis, and treatment and management of the condition. Called _hikikomori_, it is well-known to both the psychiatric community and general public there but has never been reviewed in the English medical literature. Patients are mostly adolescent and young adult men who become recluses in their parents’ homes for months or years. They withdraw from contact with family, rarely have friends, and do not attend school or hold a job. Never described before the late 1970s, _hikikomori_ has become a silent epidemic with tens, perhaps hundreds, of thousands of cases now estimated in Japan. The differential diagnosis includes anxiety and personality disorders, but current nosology in the Diagnostic and Statistic Manual of Mental Disorders may not adequately capture the concept of _hikikomori_. Treatment strategies are varied and lack a solid evidence basis, but often include milieu, family, and exposure therapy. Much more study including population-based and prospective studies need to be conducted to characterize and provide an evidence basis for treatment of this condition.

## INTRODUCTION

There is a Shinto myth about the sun goddess Amaterasu. She had a brother who went into a drunken rampage. In protest, she shut herself in cave, sealing herself off from the world with a giant rock. Darkness and death consumed Japan. Only with the efforts of millions of other gods was Amaterasu lured out of the cave and the world restored to light and health. Though Amaterasu's story is legend, today in Japan untold tens, perhaps hundreds, of thousands of youth and adults are sealing themselves in their own virtual caves. They are called _hikikomori_. Beginning with a case vignette, this paper provides a clinical review of this emerging, unique condition characterized by profound social withdrawal. By also highlighting the limitations of the available literature on _hikikomori_, it also suggests opportunities for further research to clarify and address this increasing problem in Japan.

### ILLUSTRATIVE CASE

The following is a hypothetical case vignette synthesized from several real cases of _hikikomori_ that illustrates the key characteristics of the condition.

T.M. is a 19-year-old Japanese who lives with his middle-class parents in a two-bedroom urban apartment. For the last two years he has hardly ever left his room, spending 23 hours a day behind its closed door. He eats food prepared by his mother who leaves trays outside his bedroom. He sleeps all day, then awakes in the evening to spend his time surfing the internet, chatting on online bulletin boards, reading manga (comic books), and playing video games.

His academic performance was historically good, but two years prior to presentation T.M. dropped out of high school for lack of motivation. In middle school, he often skipped school and avoided mingling with peers, which he linked to experiences being bullied by classmates in elementary school.

Despite parental encouragement, T.M. has repeatedly resisted going to vocational school or taking a job. His parents took him to several local hospitals where he was variously diagnosed with “depression” and “negative-type schizophrenia.” On mental status exam, he has a flat affect, denies depressed mood or anxiety, and answers most questions by saying “I don't know.” Neuropsychological testing revealed no cognitive abnormalities. Brain imaging and standard screening laboratory studies for altered mental status were unremarkable. He failed trials of psychotropic medications including antidepressants and antipsychotics.

### HISTORY AND ETIOLOGY

A number of sociocultural factors may promote the development of cases like T.M. in Japan. Three primary social factors have been summarized elsewhere: first, the current generation of young adults have decreasing desire and motivation; second, the economic comfort of Japanese families has led to a declining sense of the value of work; third, parents are less strict in childrearing these days. ([Ogino, 2004][28]) Traditionally, children live with their parents until marriage, and unemployed _hikikomori_ can survive for years on parental generosity. With the decline in total fertility rate in recent decades, children have tended to have their own bedroom, providing an additional layer of distance from the outside world. ([Nakamura & Shioji, 1997][29])

Shyness and social anxiety are relatively common in Japanese culture, and avoidant personality disorder is reported to be the most common Axis II disorder in Japan, ([Naoji Kondo, 1997][30]) which may reflect genetic predisposition, environmental factors, a combination of both, or diagnostic favoritism. By comparison, in the U.S., Obsessive Compulsive Personality Disorder and Paranoid Personality Disorder are most prevalent. ([Grant et al., 2004][31]) Outside Japan, there are just two case reports of _hikikomori_ syndrome, one in Oman ([Sakamoto, Martin, Kumano, Kuboki, & Al-Adawi, 2005][32]) and one in Spain. ([Garcia-Campayo, Alda, Sobradiel, & Sanz Abos, 2007][33])

The first known study to suggest a new condition characterized by social withdrawal in Japan dates back to the 1978 when Yoshimi Kasahara described cases of “withdrawal neurosis” or _taikyaku shinkeishou_. ([Hirashima, 2001][34]; [Kasahara, 1978][35]; [Ushijima & Sato, 1997][36]) This term fell out of relative favor and by the late 1980s and early 1990s, a number of reports in the psychiatric literature began using the term “_hikikomori_” to describe cases of youth retreating into their rooms. Since then, it has been consistently translated as social withdrawal syndrome ([Takahata, 2003][37]) or simply social withdrawal. ([Kobayashi, Yoshida, Noguchi, Tsuchiya, & Ito, 2003][38]; [Kuramoto, 2003][39]) (The word is used as a noun to describe either the pathology or the patient, much like “schizophrenic” or “alcoholic” in English.) Recently, a sociologic review of the topic appeared. ([Furlong, 2008][40]) Nonetheless, _hikikomori_ has never been reviewed by psychiatric or psychologist professionals in the English medical literature.

In contrast, the mass media have put _hikikomori_ under much in the last decade. They were first brought to mainstream attention in 1998 when a prominent Japanese psychiatrist wrote a best-selling book bearing the word in its title, simultaneously ensuring its place in the lexicon. ([Saito, 1998][41]) The Japanese national broadcasting network NHK ran a three-year campaign from 2002 to 2005 to draw attention to the struggles of _hikikomori_. ([Kaneko, 2006][42]) The internationally acclaimed author Ryu Murakami placed a _hikokomori_ as the central figure in one of his novels. ([Murakami, 2000][43]) Even the _New York Times Magazine_ ran a feature article in 2006 about these masses devoted to “shutting themselves in.” ([Jones, 2006][44]) A cottage industry around the distressing malady has burgeoned. Largely targeting the parents of _hikikomori_, it is composed of support groups, self-proclaimed specialists (mostly psychologists and counselors), immersion camps, and books professing successful strategies in drawing out the shut-in _hikikomori_.

### DEFINTIONS OF _HIKIKOMORI_

Tamaki Saito, the psychiatrist who popularized the term, defines _hikikomori_ as “those who become recluses in their own home, lasting at least six months, with onset by the latter half of the third decade of life, and for whom other psychiatric disorders do not better explain the primary symptom of withdrawal.” ([Saito, 1998][41])

In 2003, the Japanese government came out with a 141-page white paper containing guidelines on how to respond to _hikikomori_. In it, Ministry of Health, Labor, and Welfare experts established similar criteria for _hikikomori_: ([Ministry of Health Labor and Welfare, 2003][45])

1. A lifestyle centered at home

2. No interest or willingness to attend school or work

3. Persistence of symptoms beyond six months

4. Schizophrenia, mental retardation or other mental disorders have been excluded

5. Among those with no interest or willingness to attend school or work, those who maintain personal relationships (e.g., friendships) have been excluded

### EPIDEMIOLOGY

Reliable data describing the prevalence or incidence of _hikikomori_ are frustratingly limited. One oft-quoted figure of prevalence is more than one million cases, but this must be interpreted with caution as it comes not from a population-based study but rather an expert's estimate. ([Watts, 2002][46]) Perhaps the most rigorous estimate, based on extrapolation of a population-based survey of over 1,600 families in 2002, is of 410,000. ([Furlong, 2008][40]) As for incidence, a government study of all mental health and welfare centers across Japan showed that there were over 14,000 consultations regarding _hikikomori_ in a one year period. ([Ministry of Health Labor and Welfare, 2003][45]) This number, on the other hand, is likely a gross underestimate for at least two reasons: 1) it only includes _hikikomori_ or their parents who presented to so-called health and welfare centers, (not, for instance, clinics or hospitals); 2) for every counted case of _hikikomori_ there are likely several other undetected, as _hikikomori_ by definition are socially isolative.

More is known about patient characteristics. The typical patient is a young adult male, often the eldest son in a family from a comfortable socioeconomic background. ([Kawanishi, 2004][47]) Multiple studies have borne out a heavy male predominance, up to a 4:1 male-to-female ratio. ([Naoji Kondo, 1997][30]; [N. Kondo, Iwazaki, Kobayashi, & Miyazawa, 2007][48]; [Ministry of Health Labor and Welfare, 2003][45]; [Saito, 1998][41]) Age at first presentation varies between about age 20 in one cohort of 80 patients to age 27 in a large government study, though onset of symptoms often occurs years before in adolescence. ([Naoji Kondo, 1997][30]; [Ministry of Health Labor and Welfare, 2003][45]; [Saito, 1998][41]) In the government study fully one-third refused to attend compulsory elementary and/or middle school. ([Ministry of Health Labor and Welfare, 2003][45])

### PSYCHOPATHOLOGY

A careful history often reveals an aversive or traumatic childhood experience among _hikikomori_. The most often cited example is difficulty in school. Bullying is a prominent social problem in Japan, and _hikikomori_ relate stories of taunting, being shunned by social circles, or outright physical abuse by school peers. Refusal to attend school (called _futoukou_) is the most common diagnosis in child and adolescent psychiatry in Japan. ([Honjo, Kasahara, & Ohtaka, 1992][49]) Indeed, school truancy is often the first manifestation of withdrawal behavior and is often a harbinger of full-blown _hikikomori_, attributed to 69% of cases observed by one clinician. ([Saito, 1998][41]) Sociologists add that factors like Japan's economic destabilization and fundamental changes in the labor market resulting in irregular employment opportunities may also be a major contributor to the emergence of the phenomenon. ([Furlong, 2008][40]) Though _hikikomori_ barricade themselves in their rooms, they are also known to have angry outbursts. One in five admit to violent behavior ([Ministry of Health Labor and Welfare, 2003][45]) such as punching holes in walls of their room or even violence against family members.

Disrupted family dynamics has also been attributed to the development of _hikikomori_. In a community study of the parents of 50 cases of _hikikomori_, family dynamics were assessed with the Family Asssessment Device (FAD). ([Miller, Epstein, Bishop, & Keitner, 1985][50]) Results indicated that family functioning was above accepted cut-off scores for not only general functioning but also all six subdomains of functioning. ([Kobayashi et al., 2003][38]) These families also reported a tendency for their _hikikomori_ children to be rejecting (50%) and authoritative (31%) to at least one member of the family. ([Kobayashi et al., 2003][38]) However, as this was a cross-sectional study, whether dysfunctional family dynamics is a cause or result of _hikikomori_ cannot be concluded. Another study of 88 _hikikomori_ found that 60% lived with both parents, 18% with just their mother, 3% with their father, and 16% in a 3-generation household. ([N. Kondo et al., 2007][48]) The doting, protective parenting style embodied in the psychological concept of _amae_ may foster dependency of a child on his mother ([Doi, 1973][51]), and authors have suggested overprotectedness is more common in families of _hikikomori_. ([Nakamura & Shioji, 1997][29]) _Amae_ has been associated more with mothering in Japan, and in the vast majority of cases in which a parent of a _hikikomori_ presents it is the mother, estimated at 87-88%. ([Kobayashi et al., 2003][38]; [Takahata, 2003][37])

_Hikikomori_ frequently acknowledge a profound and comprehensive sense of apathy, bordering on nihilism. Disillusioned by and estranged from school, society, and social circles, they lack motivation to engage in the world. They have difficulty describing their own identity. When asked about their own feelings, thoughts, ambitions, or interests, a typical answer is “I don't know.” ([Nabeta, 2003][52]) The more they withdraw and thus stray from their pre-morbid goals, the more difficult it becomes to return. ([Ogino, 2004][28])

A psychodynamic formulation might comment on _hikikomori_ feeling unable to assert their own identity and lacking desires and passions. ([Kawanishi, 2004][47]) They may feel they want to go against the grain of society but also feel intense anxiety about doing so, fear being judged ill-fit by society, or are afraid of failure. ([Ogino, 2004][28]) Their form of protest is quintessentially Japanese: no ostensible imposition is made on others, rather it is the refusal—withdrawal and negative symptomatology—that is characteristic. That is, isolation is used as a defense against transitioning from adolescence to adulthood in a society they disagree with.

As in any psychiatric condition, there is a wide spectrum of severity in isolative behavior. Some truly never leave their room, not bathing and relieving themselves in empty cans, for over a decade in some reported cases. Others are willing to emerge daily for essential shopping or at night when they are least likely to encounter people.

### DIAGNOSIS

Using the hypothetical case of T.M. from the beginning of this paper, a number of diagnoses for this type of social withdrawal behavior may be considered.

Some might diagnose an anxiety disorder. Indeed, _hikikomori_ frequently endorse anxiety symptoms and avoid social situations, making social anxiety disorder an important consideration. Another possibility, particularly in Japan, is _taijinkyofusho_ as some also endorse prototypical fears of making eye contact or emitting a displeasing body odor. ([Saito, 1998][41]) The negative symptoms of T.M. are very characteristics of _hikikomori_, and might lead a therapist to diagnosis a depressive disorder such as dysthymia or major depressive disorder, or even schizophrenia.

On Axis II, avoidant personality disorder is frequently used as a diagnosis—50% of cases in one case series of 18 _hikikomori_. ([Naoji Kondo, 1997][30]) Schizoid personality disorder is another possibility. These two diagnoses are supported by the patient's pervasive pattern of social inhibition and detachment. Like T.M., _hikikomori_ typically pursue solitary activities. A preoccupation with inadequacy may or may not be present, though. Finally, associations with childhood disorders including persistent developmental delay, attention deficit disorder, attention deficit hyperactivity disorder, and learning disability in _hikikomori_ have been pointed out. ([Ministry of Health Labor and Welfare, 2003][45])

Nonetheless, it can be difficult to accurately diagnose a person who presents with the characteristics of social withdrawal seen in typical Japanese _hikikomori_. Indeed, in one survey of 103 Japanese child and adult psychiatrists conducted in 1992, 57% thought the traditional diagnostic categories could not completely capture the notion of _hikikomori_. ([Saito, 1998][41]) In one case series of young adults with social withdrawal, two out of 14 could not be assigned a DSMIV diagnosis and were instead described as examples of “primary social withdrawal.” ([Suwa & Suzuki, 2002][53]) Between 33 and 36% of _hikikomori_ carry a co-morbid psychiatric diagnosis. ([Ministry of Health Labor and Welfare, 2003][45]) This implies, however, that the majority completely _lack_ a psychiatric diagnosis that falls within the realm of currently accepted psychiatric conditions.

Whether _hikikomori_ exists as an independent diagnostic entity is entirely debateable. Historically, the Japanese term _shinkeishitsu_ (constitutional neurasthenia), with both popular and psychiatric connotations, has raised debate as to whether it is truly distinct from Western diagnostic categories or other factors favor usage of the term. ([Russell, 1989][54]) _Hikikomori_ too may flourish as a term in part because it is less stigmatizing than other terms for mental illness. Such use of a ‘disguised diagnosis’ has been described in Japan. ([Munakata, 1986][55]) Patients or their family may be reluctant to report other significant symptoms that would lend support for traditional psychiatric diagnoses. As is the case with debate over various culture-bound syndromes, it is crucial to determine whether _hikikomori_ represents a superficially-atypical variant of conventional psychiatric diagnosis. ([Alarcon et al., 2002][56]) That is, the dramatic and severe withdrawal into one's residence may merely be a Japanese-specific emphasis on the quality of withdrawal, and _hikikomori_ may still be consistent with a core anxiety, mood, developmental, or other disorder.

### TREATMENT AND MANAGEMENT

Similar to many other psychiatric conditions, the treatment approach to _hikikomori_ often involves a combination of psychotherapy and psychopharmacology. Family therapy including both the patient and his parents, exposure treatment to gradually increasing social contact, milieu therapy with other recluses, psychotherapy focused on childhood trauma, or vocational rehabilitation are all therapies employed by clinicians treating _hikikomori_. For those who are complete recluses, the first step usually involves repeated home visits in order to draw out _hikikomori_ from their room.

Most success has been described with non-individual psychotherapy approaches. In a combined exposure and milieu therapy approach, therapists furnish a sort of open membership club, an environment perceived as a safe place for group interaction. Members may come daily or just once a week. Hired staff model social interaction skills, and after spending a year or more in that environment, some show improvement and are able to reintegrate into society. ([Nabeta, 2003][52]) Support groups that avoid labeling individuals as “patients,” avoid categorizing individual's role identity, and avoid rigid scheduling of activity, have reported increased self-confidence, participation in social activities, and partial re-integration into society. ([Ogino, 2004][28]) One public health center described success with a multi-phase treatment strategy that conducted a three-part lecture series about the condition for family of _hikikomori_ and then required them to participate in support group for at least three months. ([Naoji Kondo, 1997][30]) Ten out of fourteen families reported improved family-patient communication; four of the ten also reported a return to school or work by the patient. ([Naoji Kondo, 1997][30]) One case study documented success with so-called nidotherapy, which uses a non-hostile, accommodating approach incorporating family members in psychotherapy. ([Sakamoto et al., 2005][32]) Unfortunately, none of these data can be generalized given their high potential for bias: no study describes a method of control or blinding, and exposures and primary outcomes are not pre-defined, among other study design weaknesses.

Antidepressants may also be employed, and paroxetine was effective in one case report of a patient diagnosed with obsessive-compulsive disorder who withdrew in his room for ten years. ([Shibata & Niwa, 2003][57]) Unfortunately, data examining efficacy of antidepressants or randomized data comparing forms of psychotherapy are lacking.

Thus, there are numerous treatment strategies with various reports of success, but supporting evidence is of the lowest quality, not exceeding descriptive study designs.

## CONCLUSION

Japan is in the midst of an epidemic of adolescent and young adults who have retreated into their bedrooms, in effect vanishing from the eyes of society. Though social withdrawal is a behavior that can be seen in a variety of conditions, the prevalence, level of impairment, and duration of symptoms argue for a closer examination of this psychiatric condition. And yet because it is relatively new, unstudied, and heretofore described almost exclusively in Japan, much remains a mystery about _hikikomori_.

Descriptive data regarding _hikikomori_ are readily available. However, several other areas are sorely lacking. First, national, population-based cross-sectional and longitudinal study samples that can provide accurate epidemiologic characteristics are lacking. Second, debate on the case definition and how to classify _hikikomori_, either within the _DSM_ or as a new, unique condition is warranted. Third, prospective cohort studies to attempt to establish environmental and/or genetic factors in causality would be helpful. And fourth, current clinical management of _hikikomori_ is haphazard, anecdotal at best. Experimental study designs including randomized studies are essential in order to provide an evidence basis to treatment for this fascinating, unique condition.

## References

* Alarcon RD, Alegria M, Bell CC, Boyce C, Kirmayer LJ, Lin KM, et al. Beyond the funhouse mirrors. In: Kupfer DJ, First MB, editors. A research agenda for DSM-V. American Psychiatric Association; Washington, D.C.: 2002. 
* Doi T. The anatomy of dependence (J. Bester, Trans.) Kodansha; New York: 1973. 
* Furlong A. The Japanese hikikomori phenomenon: acute social withdrawal among young people. Sociological Review. 2008;56(2):309–325.
* Garcia-Campayo J, Alda M, Sobradiel N, Sanz Abos B. A case report of hikikomori in Spain. Medicina Clinica (Barc) 2007;129(8):318–319. [[PubMed][58]]
* Grant BF, Hasin DS, Stinson FS, Dawson DA, Chou SP, Ruan WJ, et al. Prevalence, correlates, and disability of personality disorders in the United States: results from the national epidemiologic survey on alcohol and related conditions. Journal of Clinical Psychiatry. 2004;65(7):948–958. [[PubMed][59]]
* Hirashima N. Psychopathology of social withdrawal in Japan. Journal of the Japan Medical Association. 2001;44(6):260–262.
* Honjo S, Kasahara Y, Ohtaka K. School refusal in Japan. Acta Paedopsychiatrica: International Journal of Child & Adolescent Psychiatry. 1992;55(1):29–32. [[PubMed][60]]
* Jones M. Shutting themselves in. New York Times Magazine; Jan 15, 2006. 
* Kaneko S. Japan's 'socially withdrawn youths' and time constraints in Japanese society: management and conceptualization of time in a support group for hikikomori. Time & Society. 2006;15(2-3):233–249.
* Kasahara Y. Taikyaku shinkeishou withdrawal neurosis to iu shinkategorii no teishou (Proposal for a new category of withdrawal neurosis). In: Nakai H, Yamanaka Y, editors. Shishunki no seishinbyouri to chiryou (Psychopathology and treatment in the adolescent) Iwasaki Gakujutsu Shuppan; Tokyo: 1978. pp. 287–319.
* Kawanishi Y. Japanese youth: the other half of the crisis. Asian Affairs. 2004;35:22–32.
* Kobayashi S, Yoshida K, Noguchi H, Tsuchiya T, Ito J. 'Shakaiteki hikikomori' wo kakaeru kazoku ni kan suru jittai chousa (Research for parents of children with “social withdrawal”). Seishin Igaku (Clinical Psychiatry) 2003;45(7):749–756.
* Kondo N. Hiseishinbyousei hikikomori no genzai (The present conditions of non-psychotic pyscho-social withdrawal cases). Rinshou Seishin Igaku (Japanese Journal of Clinical Psychiatry) 1997;26(9):1159–1167.
* Kondo N, Iwazaki H, Kobayashi M, Miyazawa H. Seinenki hikikomori keesu no seishin igakuteki haikei ni tsuite (The psychiatric background of social withdrawal in adolescence). Seishin Shinkeigaku Zasshi (Psychiatria et Neurologia Japonica) 2007;109(9):834–843. [[PubMed][61]]
* Kuramoto H. Hikikomori no yogo (Prognosis of social withdrawal). Seishin Igaku (Clinical Psychiatry) 2003;45(3):241–245.
* Miller IW, Epstein NB, Bishop DS, Keitner GI. The McMaster Family Assessment Device: reliability and validity. Journal of Marital and Family Therapy. 1985;11(4):345–356.
* Ministry of Health Labor and Welfare [November 12, 2007];10-dai, 20-dai wo chuushin to shita ‘hikikomori’ wo meguru chiiki seishin hoken katsudou no gaidorain (Community mental health intervention guidelines aimed at socially withdrawn teenagers and young adults) 2003  from <http://www.mhlw.go.jp/topics/2003/07/tp0728-1.html>.
* Munakata T. Japanese attitudes toward mental health and mental health care. In: Lebra TS, Lebra WP, editors. Japanese Culture and Behavior. University of Hawaii Press; Honolulu: 1986. pp. 367–378.
* Murakami R. Kyouseichuu (Parasites) Kodansha; 2000. p. Tokyo.
* Nabeta Y. 'Hikikomori' to fuzenkei shikeishou: Toku ni taijinkyoufushou kyouhaku shinkeishou wo chuushin ni (Social withdrawal and abortive-types of neurosis: especially on social phobia and obsessive compulsive disorder). Seishin Igaku (Clinical Psychiatry) 2003;45(3):247–253.
* Nakamura K, Shioji R. Taijin kyoufushou to hikikomori (Taijin-kyofusho and withdrawal). Rinshou Seishin Igaku (Clinical Psychiatry) 1997;26(9):1169–11176.
* Ogino T. Managing categorization and social withdrawal in Japan: rehabilitation process in a private support group for hikikomorians. International Journal of Japanese Sociology. 2004;13(1):120–133.
* Russell JG. Anxiety disorders in Japan: a review of the Japanese literature on shinkeishitsu and taijinkyofusho. Culture, Medicine, and Psychiatry. 1989;13(4):391–403. [[PubMed][62]]
* Saito T. Shakaiteki hikikomori: owaranai shishunki (Social withdrawal: a neverending adolescence) PHP Shinsho; Tokyo: 1998. 
* Sakamoto N, Martin RG, Kumano H, Kuboki T, Al-Adawi S. Hikikomori, is it a culture-reactive or culture-bound syndrome? Nidotherapy and a clinical vignette from Oman. International Journal of Psychiatry in Medicine. 2005;35(2):191–198. [[PubMed][63]]
* Shibata I, Niwa S. Juunenkan hikikomori wo yogi naku sareta daiutsubyou episoodo wo tomonau kyouhakusei shougai kanja ni taishi parokisechin no tanzai toyo chokou shita ichi rei (Case report of the efficacy of paroxetine in a patient with obsessive compulsive disorder and a major depressive episode characterized by ten years of unremitting social withdrawal). Pharma Medica. 2003;21(December):61–64.
* Suwa M, Suzuki K. “Ichijisei hikikomori” no seishin byourigakuteki tokuchou (Psychopathological features of “primary social withdrawal”. Seishin Shinkeigaku Zasshi. 2002;104(12):1228–1241. [[PubMed][64]]
* Takahata T. Saitama-ken ni okeru 'hikikomori' no jittai (A survey of withdrawal syndrome in Saitama Prefecture). Seishin Igaku (Clinical Psychiatry) 2003;45(3):299–302.
* Ushijima S, Sato J. Hiseishinbyousei no hikikomori no seishin ryokudou (Psychodynamics of nonpsychotic withdrawal conditions). Rinshou Seishin Igaku (Japanese Journal of Clinical Psychiatry) 1997;26(9):1151–1156.
* Watts J. Public health experts concerned about “hikikomori”. Lancet. 2002;359:1131. [[PubMed][65]]

## Formats:

* Article
| 
* [PubReader][66]
| 
* [ePub (beta)][67]
| 
* [PDF (70K)][68]
| 
* [Citation][24]

## Share

* ![Share on Facebook][69][ Facebook ][70]
* ![Share on Twitter][71][ Twitter ][72]
* ![Share on Google Plus][73][ Google+ ][74]

[Support Center][75] [Support Center][76]

External link. Please review our [privacy policy][77]. 

[NLM][78]

[NIH][79]

[DHHS][80]

[USA.gov][81]

[National Center for Biotechnology Information][82],  [U.S. National Library of Medicine][83] 8600 Rockville Pike, Bethesda MD, 20894 USA

[Policies and Guidelines][84] | [Contact][85]

![statistics][86]

[1]: https://www.ncbi.nlm.nih.gov/guide/browsers/#enablejs "Learn how to enable JavaScript"
[2]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/28977 "NCBI"
[3]: https://www.ncbi.nlm.nih.gov/ "NCBI Home"
[4]: https://www.ncbi.nlm.nih.gov#maincontent "Skip to the content"
[5]: https://www.ncbi.nlm.nih.gov#navcontent "Skip to the navigation"
[6]: https://www.ncbi.nlm.nih.gov/static/header_footer_ajax/submenu/#resources
[7]: https://www.ncbi.nlm.nih.gov/static/header_footer_ajax/submenu/#howto
[8]: https://www.ncbi.nlm.nih.gov/guide/browsers/#accesskeys "About My NCBI Accesskeys"
[9]: https://www.ncbi.nlm.nih.gov/myncbi/
[10]: https://www.ncbi.nlm.nih.gov/account/
[11]: https://www.ncbi.nlm.nih.gov/account/signout/
[12]: https://www.ncbi.nlm.nih.gov/pmc/
[13]: https://www.nlm.nih.gov/ "US National Library of Medicine"
[14]: https://www.nih.gov/ "National Institutes of Health"
[15]: https://www.ncbi.nlm.nih.gov/pmc/advanced/
[16]: https://www.ncbi.nlm.nih.gov/pmc/journals/
[17]: https://www.ncbi.nlm.nih.gov/books/NBK3825/
[18]: https://www.ncbi.nlm.nih.gov/pmc/?term=va%20author%20manuscript[filter]
[19]: https://www.ncbi.nlm.nih.gov/corehtml/pmc/pmcgifs/logo-vapa.png
[20]: https://www.ncbi.nlm.nih.gov/entrez/eutils/elink.fcgi?dbfrom=pubmed&retmode=ref&cmd=prlinks&id=19567455
[21]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1177%2F0020764008100629
[22]: https://www.ncbi.nlm.nih.gov/pubmed/?term=Teo%20AR%5BAuthor%5D&cauthor=true&cauthor_uid=19567455
[23]: mailto:dev%40null
[24]: https://www.ncbi.nlm.nih.gov#
[25]: https://www.ncbi.nlm.nih.gov/pmc/about/copyright/
[26]: https://www.ncbi.nlm.nih.gov/pmc/about/disclaimer/
[27]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4886853/citedby/
[28]: https://www.ncbi.nlm.nih.gov#R22
[29]: https://www.ncbi.nlm.nih.gov#R21
[30]: https://www.ncbi.nlm.nih.gov#R13
[31]: https://www.ncbi.nlm.nih.gov#R5
[32]: https://www.ncbi.nlm.nih.gov#R25
[33]: https://www.ncbi.nlm.nih.gov#R4
[34]: https://www.ncbi.nlm.nih.gov#R6
[35]: https://www.ncbi.nlm.nih.gov#R10
[36]: https://www.ncbi.nlm.nih.gov#R29
[37]: https://www.ncbi.nlm.nih.gov#R28
[38]: https://www.ncbi.nlm.nih.gov#R12
[39]: https://www.ncbi.nlm.nih.gov#R15
[40]: https://www.ncbi.nlm.nih.gov#R3
[41]: https://www.ncbi.nlm.nih.gov#R24
[42]: https://www.ncbi.nlm.nih.gov#R9
[43]: https://www.ncbi.nlm.nih.gov#R19
[44]: https://www.ncbi.nlm.nih.gov#R8
[45]: https://www.ncbi.nlm.nih.gov#R17
[46]: https://www.ncbi.nlm.nih.gov#R30
[47]: https://www.ncbi.nlm.nih.gov#R11
[48]: https://www.ncbi.nlm.nih.gov#R14
[49]: https://www.ncbi.nlm.nih.gov#R7
[50]: https://www.ncbi.nlm.nih.gov#R16
[51]: https://www.ncbi.nlm.nih.gov#R2
[52]: https://www.ncbi.nlm.nih.gov#R20
[53]: https://www.ncbi.nlm.nih.gov#R27
[54]: https://www.ncbi.nlm.nih.gov#R23
[55]: https://www.ncbi.nlm.nih.gov#R18
[56]: https://www.ncbi.nlm.nih.gov#R1
[57]: https://www.ncbi.nlm.nih.gov#R26
[58]: https://www.ncbi.nlm.nih.gov/pubmed/17878030
[59]: https://www.ncbi.nlm.nih.gov/pubmed/15291684
[60]: https://www.ncbi.nlm.nih.gov/pubmed/1310366
[61]: https://www.ncbi.nlm.nih.gov/pubmed/18064873
[62]: https://www.ncbi.nlm.nih.gov/pubmed/2612189
[63]: https://www.ncbi.nlm.nih.gov/pubmed/16240975
[64]: https://www.ncbi.nlm.nih.gov/pubmed/12649893
[65]: https://www.ncbi.nlm.nih.gov/pubmed/11943272
[66]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4886853/?report=reader
[67]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4886853/epub/
[68]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4886853/pdf/nihms-788435.pdf
[69]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047626
[70]: https://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC4886853%2F
[71]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047627
[72]: https://twitter.com/intent/tweet?url=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC4886853%2F&text=A%20New%20Form%20of%20Social%20Withdrawal%20in%20Japan%3A%20A%20Review%20of%20Hikikomori
[73]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047628
[74]: https://plus.google.com/share?url=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC4886853%2F
[75]: 
[76]: https://support.ncbi.nlm.nih.gov/ics/support/KBList.asp?Time=2018-02-23T09:36:19-05:00&Snapshot=%2Fprojects%2FPMC%2FPMCViewer@4.45&Host=ptpmc101&ncbi_phid=8A1A4FEFA902655100000000008C007D&ncbi_session=8A1A4FEFA9026E31_0140SID&from=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC4886853%2F&Db=pmc&folderID=132&Ncbi_App=pmc&Page=literature&style=classic&deptID=28049
[77]: https://www.nlm.nih.gov/privacy.html
[78]: https://www.nlm.nih.gov "NLM"
[79]: https://www.nih.gov "NIH"
[80]: https://www.hhs.gov "DHHS"
[81]: https://www.usa.gov "USA.gov"
[82]: https://www.ncbi.nlm.nih.gov
[83]: https://www.nlm.nih.gov/
[84]: https://www.ncbi.nlm.nih.gov/home/about/policies.shtml
[85]: https://www.ncbi.nlm.nih.gov/home/about/contact.shtml
[86]: /stat?jsdisabled=true&ncbi_db=pmc&ncbi_pdid=article&ncbi_acc=&ncbi_domain=vapa&ncbi_report=record&ncbi_type=fulltext&ncbi_objectid=&ncbi_pcid=/articles/PMC4886853/&ncbi_app=pmc

