---
created_at: '2017-05-27T09:52:01.000Z'
title: Writing English as a Second Language (2009)
url: https://theamericanscholar.org/writing-english-as-a-second-language/
author: Tomte
points: 62
story_text: 
comment_text: 
num_comments: 21
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1495878721
_tags:
- story
- author_Tomte
- story_14429535
objectID: '14429535'

---
[Source](https://theamericanscholar.org/writing-english-as-a-second-language/ "Permalink to The American Scholar: Writing English as a Second Language - William Zinsser")

# The American Scholar: Writing English as a Second Language - William Zinsser

![][1]

Toggle navigation

* [Home][2]
* [Daily Scholar][3]
* [Current Issue][4]
* [Past Issues][5]
* [Essays][6]
* [Book Reviews][7]
* [Podcast][8]
* [Subscribe][9]

![][1]

* [Home][2]
* [Daily Scholar][3]
* [Current Issue][4]
* [Past Issues][5]
* [Essays][6]
* [Book Reviews][7]
* [Podcast][8]
* [Subscribe][9]

####  [Point of Departure][10] \- [Winter 2010][11]

# Writing English as a Second Language

[Print][12]

### By William Zinsser

#### 

December 1, 2009

  

 

 

_A talk to the incoming international students at the Columbia Graduate School of Journalism, August 11, 2009_

Five years ago one of your deans at the journalism school, Elizabeth Fishman, asked me if I would be interested in tutoring international students who might need some extra help with their writing. She knew I had done a lot of traveling in Asia and Africa and other parts of the world where many of you come from.

I knew I would enjoy that, and I have—I've been doing it ever since. I'm the doctor that students get sent to see if they have a writing problem that their professor thinks I can fix. As a bonus, I've made many friends—from Uganda, Uzbekhistan, India, Ethiopia, Thailand, Iraq, Nigeria, Poland, China, Colombia and many other countries. Several young Asian women, when they went back home, sent me invitations to their weddings. I never made it to Bhutan or Korea, but I did see the wedding pictures. Such beautiful brides!

I can't imagine how hard it must be to learn to write comfortably in a second—or third or fourth—language. I don't think _I _could do it, and I admire your grace in taking on that difficult task. Much of the anxiety that I see in foreign students could be avoided if certain principles of writing good English—which nobody ever told them—were explained in advance. So I asked if I could talk to all of you during orientation week and tell you some of the things my students have found helpful.

So that's why we're here today.

* * *

I'll start with a question: What is good writing?

It depends on what country you're from. We all know what's considered "good writing" in our own country. We grow up immersed in the cadences and sentence structure of the language we were born into, so we think, "That's probably what every country considers good writing; they just use different words." If only! I once asked a student from Cairo, "What kind of language is Arabic?" I was trying to put myself into her mental process of switching from Arabic to English. She said, "It's all adjectives."

Well, of course it's not _all_ adjectives, but I knew what she meant: it's decorative, it's ornate, it's intentionally pleasing. Another Egyptian student, when I asked him about Arabic, said, "It's all proverbs. We talk in proverbs. People say things like 'What you are seeking is also seeking you.'" He also told me that Arabic is full of courtesy and deference, some of which is rooted in fear of the government. "You never know who's listening," he said, so it doesn't hurt to be polite. That's when I realized that when foreign students come to me with a linguistic problem it may also be a cultural or a political problem.

![promo-site][13]

Now I think it's lovely that such a decorative language as Arabic exists. I wish _I_ could walk around New York and hear people talking in proverbs. But all those adjectives and all that decoration would be the ruin of any journalist trying to write good English. No proverbs, please.

Spanish also comes with a heavy load of beautiful baggage that will smother any journalist writing in English. The Spanish language is a national treasure, justly prized by Spanish-speaking people. But what makes it a national treasure is its long sentences and melodious long nouns that express a general idea. Those nouns are rich in feeling, but they have no action in them—no people doing something we can picture. My Spanish-speaking students must be given the bad news that those long sentences will have to be cruelly chopped up into short sentences with short nouns and short active verbs that drive the story forward. What's considered "good writing" in Spanish is not "good writing" in English.

So what is good English—the language we're here today to wrestle with? It's not as musical as Spanish, or Italian, or French, or as ornamental as Arabic, or as vibrant as some of your native languages. But I'm hopelessly in love with English because it's plain and it's strong. It has a huge vocabulary of words that have precise shades of meaning; there's no subject, however technical or complex, that can't be made clear to any reader in good English—if it's used right. Unfortunately, there are many ways of using it wrong. Those are the damaging habits I want to warn you about today.

First, a little history. The English language is derived from two main sources. One is Latin, the florid language of ancient Rome. The other is Anglo-Saxon, the plain languages of England and northern Europe. The words derived from Latin are the enemy—they will strangle and suffocate everything you write. The Anglo-Saxon words will set you free.

How do those Latin words do their strangling and suffocating? In general they are long, pompous nouns that end in -_ion_—like implementation and maximization and communication (five syllables long!)—or that end in -_ent_—like development and fulfillment. Those nouns express a vague concept or an abstract idea, not a specific action that we can picture—somebody doing something. Here's a typical sentence: "Prior to the implementation of the financial enhancement." That means "Before we fixed our money problems."

Believe it or not, this is the language that people in authority in America routinely use—officials in government and business and education and social work and health care. They think those long Latin words make them sound important. It no longer rains in America; your TV weatherman will tell that you we're experiencing a precipitation probability situation.

I'm sure all of you, newly arrived in America, have already been driven crazy trying to figure out the instructions for ordering a cell phone or connecting your computer, or applying for a bank loan or a health insurance policy, and you assume that those of us who were born here can understand this stuff. I assure you that we don't understand it either. I often receive some totally unintelligible letter from the telephone company or the cable company or the bank. I try to piece it out like a hieroglyphic, and I ask my wife, "Can you make any sense of this?" She says, "I have no idea what it means."

Those long Latin usages have so infected everyday language in America that you might well think, "If that's how people write who are running the country, that's how I'm supposed to write." It's not. Let me read you three typical letters I recently received in the mail. (I keep letters like this and save them in a folder that I call "Bullshit File.")

The first one is from the president of a private club in New York. It says, "Dear member: The board of governors has spent the past year considering proactive efforts that will continue to professionalize the club and to introduce efficiencies that we will be implementing throughout 2009." That means they're going to try to make the club run better.

Here's a letter to alumni from the head of the New England boarding school I attended when I was a boy. "As I walk around the Academy," she writes, "and see so many gifted students interacting with accomplished, dedicated adults" [_that means boys and girls talking to teachers_] and consider the opportunities for learning that such interpersonal exchanges will yield…" Interpersonal exchanges! Pure garbage. Her letter is meant to assure us alumni that the school is in good hands. I'm not assured. One thing I know is that she shouldn't be allowed near the English department, and I'm not sure she should even be running the school. Remember: how you write is how you define yourself to people who meet you only through your writing. If your writing is pretentious, that's how you'll be perceived. The reader has no choice.

Here's one more—a letter from the man who used to be my broker; now he's my investment counsel. He says, "As we previously communicated, we completed a systems conversion in late September. Data conversions involve extra processing and reconciliation steps [_translation: it took longer than we thought it would to make our office operate better_]. We apologize if you were inconvenienced as we completed the verification process [_we hope we've got it right now_]. "Further enhancements will be introduced in the next calendar quarter" [_we're still working on it_]. Notice those horrible long Latin words: _communicated_, _conversion_, _reconciliation_, _enhancements_, _verification_. There's not a living person in any one of them.

Well, I think you get the point about bad nouns. (Don't worry—in a minute I'll tell you about good nouns.) I bring this up today because most of you will soon be assigned to a beat in one of New York's neighborhoods. Our city has been greatly enriched in recent years by immigrants from every corner of the world, but their arrival has also brought a multitude of complex urban problems. You'll be interviewing the men and women who are trying to solve those problems—school principals, social workers, health-care workers, hospital officials, criminal justice officials, union officials, church officials, police officers, judges, clerks in city and state agencies—and when you ask them a question, they will answer you in nouns: Latin noun clusters that are the working vocabulary of their field. They'll talk about "facilitation intervention" and "affordable housing" and "minimum-density zoning," and you will dutifully copy those phrases down and write a sentence that says: "A major immigrant concern is the affordable housing situation." But I can't picture the affordable housing situation. Who exactly are those immigrants? Where do they live? What kind of housing is affordable? To whom? As readers, we want to be able to picture specific people like ourselves, in a specific part of the city, doing things we might also do. We want a sentence that says something like "New Dominican families on Tremont Avenue in the Bronx can't pay the rent that landlords ask." I can picture that; we've all had trouble paying the landlord.

* * *

So if those are the bad nouns, what are the good nouns? The good nouns are the thousands of short, simple, infinitely old Anglo-Saxon nouns that express the fundamentals of everyday life: _house_, _home_, _child_, _chair_, _bread_, _milk_, _sea_, _sky_, _earth_, _field_, _grass_, _road_ … words that are in our bones, words that resonate with the oldest truths. When you use those words, you make contact—consciously and also _sub_consciously—with the deepest emotions and memories of your readers. Don't try to find a noun that you think sounds more impressive or "literary." Short Anglo-Saxon nouns are your second-best tools as a journalist writing in English.

What are your _best_ tools? Your best tools are short, plain Anglo-Saxon _verbs_. I mean _active_ verbs, not _passive_ verbs. If you could write an article using only active verbs, your article would automatically have clarity and warmth and vigor.

Let's go back to school for a minute and make sure you remember the difference between an active verb and a passive verb. An active verb denotes one specific action: JOHN SAW THE BOYS. The event only happened once, and we always know who did what: it was John who activated the verb _SAW_. A passive-voice sentence would say: THE BOYS WERE SEEN BY JOHN. It's longer. It's weaker: it takes three words (WERE SEEN BY instead of SAW), and it's not as exact. How often were the boys seen by John? Every day? Once a week? Active verbs give momentum to a sentence and push it forward. If I had put that last sentence in the passive—"momentum is given to a sentence by active verbs and the sentence is pushed forward by them"—there is no momentum, no push.

One of my favorite writers is Henry David Thoreau, who wrote one of the great American books, _Walden_, in 1854, about the two years he spent living—and thinking—in the woods near Concord, Massachusetts. Thoreau's writing moves with simple strength because he uses _one active verb after another_ to push his meaning along. At every point in his sentences you know what you need to know. Here's a famous sentence from _Walden_:

> I went to the woods because I wished to live deliberately, to front only the essential facts of nature, and see if I could not learn what it had to teach, and not, when I came to die, discover that I had not lived.

Look at all those wonderful short, active verbs: _went_, _wished_, _front_, _see_, _learn_, _die_, _discover_. We understand exactly what Thoreau is saying. We also know a lot about _him_—about his curiosity and his vitality. How alive Thoreau is in that sentence! It's an autobiography in 44 words—39 of which are words of _one syllable_. Think about that: only five words in that long, elegant sentence have more than one syllable. Short is always better than long.

Now let me turn that sentence into the passive:

> A decision was made to go to the woods because of a desire for a deliberate existence and for exposure to only the essential facts of life, and for possible instruction in its educational elements, and because of a concern that at the time of my death the absence of a meaningful prior experience would be apprehended.

All the life has been taken out of the sentence. But what's the biggest thing I've taken out of that sentence? I've taken _Thoreau_ out of that sentence. He's nowhere to be seen. I've done it just by turning all the active verbs into passive verbs. Every time I replaced one of Thoreau's active verbs with a passive verb I also had to add a noun to make the passive verb work. "I went to the woods because" became "A decision was made." I had to add the noun _decision_. "To see if I could learn what it had to teach—two terrific verbs, learn and teach; we've all learned and we've all been taught—became "for possible instruction." Can you hear how dead those Latin nouns are that end in i-o-n?  Decision. Instruction. They have no people in them doing something.

So fall in love with active verbs. They are your best friends.

* * *

I have four principles of writing good English. They are Clarity, Simplicity, Brevity, and Humanity.

First, Clarity. If it's not clear you might as well not write it. You might as well stay in bed.

Two: Simplicity. Simple is good. Most students from other countries don't know that. When I read them a sentence that I admire, a simple sentence with short words, they think I'm joking. "Oh, Mr. Zinsser, you're so funny," a bright young woman from Nigeria told me. "If I wrote sentences like that, people would think I'm stupid." Stupid like Thoreau, I want to say. Or stupid like E. B. White. Or like the King James Bible. Listen to this passage from the book of Ecclesiastes:

> I returned and saw under the sun, that the race is not to the swift, nor the battle to the strong, neither yet bread to the wise, nor yet riches to men of understanding, nor yet favor to men of skill, but time and chance happeneth to them all. [_Look at all those wonderful plain nouns: race, battle, bread, riches, favor, time, chance._]

Or stupid like Abraham Lincoln, whom I consider our greatest American writer. Here's Lincoln addressing the nation in his Second Inaugural Address as president, in 1865, at the end of the long, terrible, exhausting Civil War:

> With malice toward none, with charity for all, with firmness in the right as God gives us to see the right [_eleven straight one-syllable words_], let us strive on [_active verb_] to finish the work we are in, to bind up [_active verb_] the nation's wounds, to care [_active verb_] for him who shall have borne the battle and for his widow and his orphan [_specific nouns_],—to do all which may achieve and cherish a just and lasting peace among ourselves and with all nations.

Here's another American President, Barack Obama, also a wonderful writer, who modeled his own style on Lincoln's. In his memoir, _Dreams from My Father_. a beautifully written book, Obama recalls how, as a boy,

> At night, lying in bed, I would let the slogans drift away, to be replaced with a series of images, romantic images, of a past I had never known.

> They were of the civil rights movement, mostly, the grainy black-and-white footage that appears every February during Black History Month. . . . A pair of college students . . . placing their orders at a lunch counter teetering on the edge of riot. . . . A county jail bursting with children, their hands clasped together, singing freedom songs.

> Such images became a form of prayer for me [_beautiful phrase_], bolstering my spirits, channeling my emotions in a way that words never could. They told me [_active verb_] . . . that I wasn't alone in my particular struggles, and that communities . . . had to be created, fought for, tended like gardens [_specific detail_]. They expanded or contracted [_active verbs_] with the dreams of men. . . . In the sit-ins, the marches, the jailhouse songs [_specific detail_], I saw [_active verb_] the African-American community becoming more than just the place where you'd been born or the house where you'd been raised [_simple nouns: place, house_]. . . . Because this community I imagined was still in the making, built on the promise that the larger American community, black, white, and brown, could somehow redefine itself—I believed [_active verb_] that it might, over time, admit the uniqueness of my own life.

So remember: Simple is good. Writing is not something you have to embroider with fancy stitches to make yourself look smart.

Principle number 3. Brevity. Short is always better than long. Short sentences are better than long sentences. Short words are better than long words. Don't say _currently_ if you can say _now_. Don't say _assistance_ if you can say _help_. Don't say _numerous_ if you can say _many_. Don't say _facilitate_ if you can say _ease_. Don't call someone an _individual_ [_five syllables!_]; that's a person, or a man or a woman. Don't implement or prioritize. Don't say anything in writing that you wouldn't comfortably say in conversation. Writing is talking to someone else on paper or on a screen.

Which brings me to my fourth principle: Humanity. Be yourself. Never try in your writing to be someone you're not. Your product, finally, is you. Don't lose that person by putting on airs, trying to sound superior.

There are many modern journalists I admire for their strong, simple style, whom I could recommend to you as models. Two who come to mind are Gay Talese and Joan Didion. Here's a passage by Talese, from his book of collected magazine pieces, _The Gay Talese Reader_, about the great Yankee baseball star, Joe DiMaggio, who at one point was married to Marilyn Monroe:

> Joe DiMaggio lives with his widowed sister, Marie, in a tan stone house on a quiet residential street near Fisherman's Wharf. He bought the house almost thirty years ago for his parents, and after their death he lived there with Marilyn Monroe. . . . There are some baseball trophies and plaques in a small room off DiMaggio's bedroom, and on his dresser are photographs of Marilyn Monroe, and in the living room downstairs is a small painting of her that DiMaggio likes very much [_how nice that sentence is—how simple and direct_]: It reveals only her face and shoulders, and she is wearing a very wide-brimmed sun hat, and there is a soft sweet smile on her lips, an innocent curiosity about her that is the way he saw her and the way he wanted her to be seen by others.  
[_Notice all those one-syllable words: "the way he saw her and the way he wanted her to be seen." The sentence is absolutely clean—there's not one word in it that's not necessary and not one extra word. Get rid of every element in your writing that's not doing useful work. It's all clutter._]

And here's Joan Didion, who grew up in California and wrote brilliant magazine pieces about its trashy lifestyle in the 1960s. No anthropologist caught it better. This passage is from her collection of early magazine pieces, _Slouching Toward Bethlehem_.

> There are always little girls around rock groups—the same little girls who used to hang around saxophone players, girls who lived on the celebrity and power and sex a band projects when it plays—and there are three of them out here this afternoon in Sausalito where the Grateful Dead rehearse. They are all pretty and two of them still have baby fat and one of them dances by herself with her eyes closed [_perfect simple image_]. . . .

> Somebody said that if I was going to meet some runaways I better pick up some hamburgers and Cokes on the way, so I did, and we are eating them in the Park together, me, Debbie who is fifteen, and Jeff who is sixteen. Debbie and Jeff ran away twelve days ago, walked out of school with $100 between them [_active verbs: ran away, walked out of school_]. . . .

> Debbie is buffing her fingernails with the belt to her suède jacket. She is annoyed because she chipped a nail and because I do not have any polish remover in the car. I promise to get her to a friend's apartment so that she can redo her manicure, but something has been bothering me and as I fiddle with the ignition I finally ask it. I ask them to think back to when they were children, to tell me what they had wanted to be when they were grown up, how they had seen the future then.

> Jeff throws a Coca-Cola bottle out the car window. "I can't remember I ever thought about it," he says.

> "I remember I wanted to be a veterinarian once," Debbie says. "But now I'm more or less working in the vein of being an artist or a model or a cosmetologist. Or something."

Here's the first paragraph of an article of mine that originally ran in _The New Yorker_. (It's now in my book _Mitchell & Ruff_.)

> Jazz came to China for the first time on the afternoon of June 2, 1981, when the American bassist and French-horn player Willie Ruff introduced himself and his partner, the pianist Dwike Mitchell, to several hundred students and professors who were crowded into a large room at the Shanghai Conservatory of Music. The students and the professors were all expectant, without quite knowing what to expect. They only knew that they were about to hear the first American jazz concert ever presented to the Chinese. Probably they were not surprised to find that the two musicians were black, though black Americans are a rarity in the People's Republic. What they undoubtedly didn't expect was that Ruff would talk to them in Chinese, and when he began they murmured with delight.

Five plain declarative sentences that get the story started at full speed—WHAP! You're right in that room at the Shanghai Conservatory on that June afternoon in 1981.

I've given you these examples because writing is learned by imitation. We all need models. Bach needed a model; Picasso needed a model. Make a point of reading writers who are doing the kind of writing you want to do. (Many of them write for _The New Yorker_.) Study their articles clinically. Try to figure out how they put their words and sentences together. That's how I learned to write, not from a writing course.

* * *

Two final thoughts. Some of you, hearing me talk to you so urgently about the need to write plain English, perhaps found yourself thinking: "That's so yesterday. Journalism has gone digital, and I've come to Columbia to learn the new electronic media. I no longer need to write well." _I_ think you need to write even more clearly and simply for the _new_ media than for the _old_ media. You'll be making and editing videos and photographs and audio recordings to accompany your articles. Somebody—that's you—will still have to _write_ all those video scripts and audio scripts, and your writing will need to be lean and tight and coherent: plain nouns and verbs pushing your story forward so that the rest of us always know what's happening. This principle applies—and will apply—to every digital format; nobody wants to consult a Web site that isn't instantly clear. Clarity, brevity, and sequential order will be crucial to your success.

I emphasize this because the biggest problem that paralyzes students is not how to write; it's how to organize what they are writing. They go out on a story, and they gather a million notes and a million quotes, and when they come back they have no idea what the story is _about_—what is its proper narrative shape? Their first paragraph contains facts that should be on page five; facts are on page five that should be in the first paragraph. The stories exist _nowhere_ in time or space; the people could be in Brooklyn or Bogotá.

The epidemic I'm most worried about isn't swine flu. It's the death of logical thinking. The cause, I assume, is that most people now get their information from random images on a screen—pop-ups, windows, and sidebars—or from scraps of talk on a digital phone. But writing is _linear_ and _sequential_; Sentence B must follow Sentence A, and Sentence C must follow Sentence B, and eventually you get to Sentence Z. The hard part of writing isn't the writing; it's the thinking. You can solve most of your writing problems if you stop after every sentence and ask: What does the reader need to know next?"

One maxim that my students find helpful is: _One thought per sentence_. Readers only process one thought at a time. So give them time to digest the first set of facts you want them to know. Then give them the next piece of information they need to know, which further explains the first fact. Be grateful for the period. Writing is so hard that all of us, once launched, tend to ramble. Instead of a period we use a comma, followed by a transitional word (_and_, _while_), and soon we have strayed into a wilderness that seems to have no road back out. Let the humble period be your savior. There's no sentence too short to be acceptable in the eyes of God.

As you start your journey here at Columbia this week, you may tell yourself that you're doing "communications," or "new media," or "digital media" or some other fashionable new form. But ultimately you're in the storytelling business. We all are. It's the oldest of narrative forms, going back to the caveman and the crib, endlessly riveting. What happened? _Then_ what happened? Please remember, in moments of despair, whatever journalistic assignment you've been given, all you have to do is tell a story, using the simple tools of the English language and never losing your own humanity.

> Repeat after me:  
Short is better than long.  
Simple is good. (_Louder_)  
Long Latin nouns are the enemy.  
Anglo-Saxon active verbs are your best friend.  
One thought per sentence.

Good luck to you all.

  

William Zinsser is the author of 18 books, including _On Writing Well._

  

Comments are closed for this post.

![][14]

  

##### Advertisement

## E-newsletter

![][15]

### By

Enter your email address to subscribe. *

Subscribe

## [The Daily Scholar][16]

![][17]

#### [Deep in the Heart][18]

##### [Coming Home][19]

![][20]

#### [Measure by Measure][21]

##### [Ah, Bitter Chill It Was!][22]

![][23]

#### [View from Rue Saint-Georges][24]

##### [On a Walkabout][25]

![][26]

#### [Next Line, Please][27]

##### [Postcard From the Future][28]

![][29]

#### [Portrait of the Artist][30]

##### [Nolan Preece][31]

![][32]   

## THIS WEEK'S ARCHIVE PICK

### [St. Augustine and the Hall of Memory][33]

** By Greta Austin**

Greta Austin's aunt spent 60 years in her old Victorian house and never changed a thing, living vicariously through her family and her own memories. The act of remembering for Aunt Lillian "was not just recollection of the past; it was all of experience, all of herself, which she then considered, organized, classified, and stored." She never had to renovate her home because, in St. Augustine's words, memory was its own house, full of rooms in which to store images and experiences. Read Austin's loving and poetic tribute to her aunt from our Winter 2012 issue.

## WEB EXCLUSIVES

### [Editors' Picks][34]

Best-of lists from bad romances to Shakespearean verse

  

### [The Guest List][35]

We ask our favorite writers about their favorite titles

  

### [The Daily Scholar Archives][36]

The complete collection of our blogs, including Zinsser on Friday and our weekly Writing Lessons

  

### [Online Essays][37]

Works you won't find in print edition, from the likes of Harold Holzer, Wendy Smith, and Neil Shea

![][38]

######## BRIEF EXCERPTS FROM NEW BOOKS

  

### [The Seabird's Cry][39]

**By Adam Nicolson**

Adam Nicolson's look at the great avian ocean voyagers

##### Advertisement

[About Us

[Current Issue][4]

[Past Issues][5]

[Essays][6]

[Contact Us

[Submissions][40]

[Donate][41]

[Advertise][42]

Sponsored by Phi Beta Kappa   
Copyright © 2017 [The American Scholar][43]

![Quantcast][44]

[1]: https://theamericanscholar.org/static/images/scholar_logo_hires_500px.png
[2]: https://theamericanscholar.org/
[3]: https://theamericanscholar.org/the-daily-scholar
[4]: https://theamericanscholar.org/issues/winter-2018/
[5]: https://theamericanscholar.org/past-issues
[6]: https://theamericanscholar.org/dept/essays
[7]: https://theamericanscholar.org/dept/book-reviews
[8]: https://theamericanscholar.org/podcast
[9]: https://theamericanscholar.org/subscribe
[10]: https://theamericanscholar.org/dept/point-of-departure/
[11]: https://theamericanscholar.org/issues/winter-2010/
[12]: https://theamericanscholar.org#
[13]: https://theamericanscholar.org/uploads/2015/05/promo-site.png
[14]: https://theamericanscholar.org/uploads/2017/10/smarty_blues_300.png
[15]: https://img.mailinblue.com/new_images/loader_sblue.gif
[16]: https://theamericanscholar.org/the-daily-scholar/
[17]: https://theamericanscholar.org/uploads/2017/10/coving1-45x42.png
[18]: https://theamericanscholar.org/daily-scholar/deep-in-the-heart/
[19]: https://theamericanscholar.org/coming-home/
[20]: https://theamericanscholar.org/uploads/2017/01/sudip_553ch-45x42.png
[21]: https://theamericanscholar.org/daily-scholar/measure-by-measure/
[22]: https://theamericanscholar.org/ah-bitter-chill-it-was/
[23]: https://theamericanscholar.org/uploads/2016/06/chatterton-williams-crop01-45x42.png
[24]: https://theamericanscholar.org/daily-scholar/view-from-rue-saint-georges/
[25]: https://theamericanscholar.org/on-a-walkabout/
[26]: https://theamericanscholar.org/uploads/2014/04/Lyre-45x42.jpg
[27]: https://theamericanscholar.org/daily-scholar/next-line-please/
[28]: https://theamericanscholar.org/postcard-from-the-future/
[29]: https://theamericanscholar.org/uploads/2017/01/pallette-02-45x42.png
[30]: https://theamericanscholar.org/daily-scholar/portrait-of-the-artist/
[31]: https://theamericanscholar.org/nolan-preece/
[32]: https://theamericanscholar.org/uploads/2014/04/2ndLook.jpg
[33]: https://theamericanscholar.org/st-augustine-and-the-hall-of-memory/
[34]: https://theamericanscholar.org/dept/editors-picks/
[35]: https://theamericanscholar.org/dept/the-guest-list/
[36]: https://theamericanscholar.org/the-daily-scholar-archives/
[37]: https://theamericanscholar.org/dept/web-exclusive/
[38]: https://theamericanscholar.org/uploads/2015/08/shelf-life-e1438874439558.png
[39]: https://theamericanscholar.org/the-seabirds-cry/
[40]: https://theamericanscholar.submittable.com/submit
[41]: https://theamericanscholar.org/support
[42]: https://theamericanscholar.org/advertising
[43]: https://theamericanscholar.org
[44]: https://pixel.quantserve.com/pixel/p-gLqgnYps-c79e.gif

