---
created_at: '2017-06-13T23:50:58.000Z'
title: The Workings of an Ancient Nuclear Reactor (2009)
url: https://www.scientificamerican.com/article/ancient-nuclear-reactor/
author: Hooke
points: 90
story_text: 
comment_text: 
num_comments: 12
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1497397858
_tags:
- story
- author_Hooke
- story_14549687
objectID: '14549687'

---
[Source](https://www.scientificamerican.com/article/ancient-nuclear-reactor/ "Permalink to The Workings of an Ancient Nuclear Reactor - Scientific American")

# The Workings of an Ancient Nuclear Reactor - Scientific American

We use cookies to provide you with a better onsite experience. By continuing to browse the site you are agreeing to our use of cookies in accordance with our [Cookie Policy][1].

[Skip to main content][2]

[Subscribe][3]Menu

[Scientific American][4]

* English 
* [Cart 0][5]
* Sign In| [Register][6] Email:Password:[Forgot password?][7]Login![Loading][8][Not yet registered?][6]
Search[Subscribe][9]

* [English][4]
* [Español][10]
* [العربية][11]
* [Other Editions][12]

Close

SearchCloseSearch

(examples: physics, climate change, etc.)

* [The Sciences][13]
* [Mind][14]
* [Health][15]
* [ Tech][16]
* [Sustainability][17]
* [Education][18]
* [Video][19]
* [Podcasts][20]
* [Blogs][21]
* [Store][22]
* [Subscribe][3]
* [Current Issue][23]
* [Cart][5]
* [Sign In][24]
* [Register][6]
* Share
* Latest
* * * * * Share
* Latest
* * * * [The Sciences][13]

# The Workings of an Ancient Nuclear Reactor

Two billion years ago parts of an African uranium deposit spontaneously underwent nuclear fission. The details of this remarkable phenomenon are just now becoming clear

* By [Alex P. Meshik][25] on January 26, 2009
* * * * * * Share on Facebook

Share on Twitter

Share on Reddit

Email

Print

Share via

* [Google+][26]
* [Stumble Upon][26]

![The Workings of an Ancient Nuclear Reactor][27]

_Credit: United States Geological Survey and the Mineral Information Institute_

Advertisement

_Editor's Note: This article originally appeared in the October 2005 issue of _Scientific American.

In May 1972 a worker at a nuclear fuel–processing plant in France noticed something suspicious. He had been conducting a routine analysis of uranium derived from a seemingly ordinary source of ore. As is the case with all natural uranium, the material under study contained three isotopes— that is to say, three forms with differing atomic masses: uranium 238, the most abundant variety; uranium 234, the rarest; and uranium 235, the isotope that is coveted because it can sustain a nuclear chain reaction. Elsewhere in the earth’s crust, on the moon and even in meteorites, uranium 235 atoms make up 0.720 percent of the total. But in these samples, which came from the Oklo deposit in Gabon (a former French colony in west equatorial Africa), uranium 235 constituted just 0.717 percent. That tiny discrepancy was enough to alert French scientists that something strange had happened. Further analyses showed that ore from at least one part of the mine was far short on uranium 235: some 200 kilograms appeared to be missing— enough to make half a dozen or so nuclear bombs.

For weeks, specialists at the French Atomic Energy Commission (CEA) remained perplexed. The answer came only when someone recalled a prediction published 19 years earlier. In 1953 George W. Wetherill of the University of California at Los Angeles and Mark G. Inghram of the University of Chicago pointed out that some uranium deposits might have once operated as natural versions of the nuclear fission reactors that were then becoming popular. Shortly thereafter, Paul K. Kuroda, a chemist from the University of Arkansas, calculated what it would take for a uraniumore body spontaneously to undergo selfsustained fission. In this process, a stray neutron causes a uranium 235 nucleus to split, which gives off more neutrons, causing others of these atoms to break apart in a nuclear chain reaction.

Kuroda’s first condition was that the size of the uranium deposit should exceed the average length that fission-inducing neutrons travel, about two thirds of a meter. This requirement helps to ensure that the neutrons given off by one fissioning nucleus are absorbed by another before escaping from the uranium vein.

A second prerequisite is that uranium 235 must be present in sufficient abundance. Today even the most massive and concentrated uranium deposit cannot become a nuclear reactor, because the uranium 235 concentration, at less than 1 percent, is just too low. But this isotope is radioactive and decays about six times faster than does uranium 238, which indicates that the fissile fraction was much higher in the distant past. For example, two billion years ago (about when the Oklo deposit formed) uranium 235 must have constituted approximately 3 percent, which is roughly the level provided artificially in the enriched uranium used to fuel most nuclear power stations.

The third important ingredient is a neutron “moderator,” a substance that can slow the neutrons given off when a uranium nucleus splits so that they are more apt to induce other uranium nuclei to break apart. Finally, there should be no significant amounts of boron, lithium or other so-called poisons, which absorb neutrons and would thus bring any nuclear reaction to a swift halt.

Amazingly, the actual conditions that prevailed two billion years ago in what researchers eventually determined to be 16 separate areas within the Oklo and adjacent Okelobondo uranium mines were very close to what Kuroda outlined. These zones were all identified decades ago. But only recently did my colleagues and I finally clarify major details of what exactly went on inside one of those ancient reactors.

**Proof in the Light Elements**   
Physicists confirmed the basic idea that natural fission reactions were responsible for the depletion in uranium 235 at Oklo quite soon after the anomalous uranium was discovered. Indisputable proof came from an examination of the new, lighter elements created when a heavy nucleus is broken in two. The abundance of these fission products proved so high that no other conclusion could be drawn. A nuclear chain reaction very much like the one that Enrico Fermi and his colleagues famously demonstrated in 1942 had certainly taken place, all on its own and some two billion years before.

Shortly after this astonishing discovery, physicists from around the world studied the evidence for these natural nuclear reactors and came together to share their work on “the Oklo phenomenon” at a special 1975 conference held in Libreville, the capital of Gabon. The next year George A. Cowan, who represented the U.S. at that meeting (and who, incidentally, is one of the founders of the renowned Santa Fe Institute, where he is still affiliated), wrote an article for _Scientific American [_see “A Natural Fission Reactor,” by George A. Cowan, July 1976] in which he explained what scientists had surmised about the operation of these ancient reactors.

Cowan described, for example, how some of the neutrons released during the fission of uranium 235 were captured by the more abundant uranium 238, which became uranium 239 and, after emitting two electrons, turned into plutonium 239. More than two tons of this plutonium isotope were generated within the Oklo deposit. Although almost all this material, which has a 24,000-year halflife, has since disappeared (primarily through natural radioactive decay), some of the plutonium itself underwent fission, as attested by the presence of its characteristic fission products. The abundance of those lighter elements allowed scientists to deduce that fission reactions must have gone on for hundreds of thousands of years. From the amount of uranium 235 consumed, they calculated the total energy released, 15,000 megawatt-years, and from this and other evidence were able to work out the average power output, which was probably less than 100 kilowatts—say, enough to run a few dozen toasters.

It is truly amazing that more than a dozen natural reactors spontaneously sprang into existence and that they managed to maintain a modest power output for perhaps a few hundred millennia. Why is it that these parts of the deposit did not explode and destroy themselves right after nuclear chain reactions began? What mechanism provided the necessary self-regulation? Did these reactors run steadily or in fits and starts? The solutions to these puzzles emerged slowly after initial discovery of the Oklo phenomenon. Indeed, the last question lingered for more than three decades before my colleagues and I at Washington University in St. Louis began to address it by examining a piece of this enigmatic African ore.

**Noble-Gas Epiphanies**   
Our recent work on one of the Oklo reactors centered on an analysis of xenon, a heavy inert gas, which can remain imprisoned within minerals for billions of years. Xenon possesses nine stable isotopes, produced in various proportions by different nuclear processes. Being a noble gas, it resists chemical bonding with other elements and is thus easy to purify for isotopic analysis. Xenon is extremely rare, which allows scientists to use it to detect and trace nuclear reactions, even those that occurred in primitive meteorites before the solar system came into existence.

To analyze the isotopic composition of xenon requires a mass spectrometer, an instrument that can separate atoms according to their atomic weight. I was fortunate to have access to an extremely accurate xenon mass spectrometer, one built by my Washington colleague Charles M. Hohenberg. But before using his apparatus, we had to extract the xenon from our sample. Scientists usually just heat the host material, often above the melting point, so that the rock loses its crystalline structure and cannot hold on to its hidden cache of xenon. To glean greater information about the genesis and retention of this gas, we adopted a more delicate approach called laser extraction, which releases xenon selectively from a single mineral grain, leaving adjacent areas intact.

We applied this technique to many tiny spots on our lone available fragment of Oklo rock, only one millimeter thick and four millimeters across. Of course, we first needed to decide where exactly to aim the laser beam. Here Hohenberg and I relied on our colleague Olga Pravdivtseva, who had constructed a detailed x-ray map of our sample and identified the constituent minerals. After each extraction, we purified the resulting gas and passed the xenon into Hohenberg’s mass spectrometer, which indicated the number of atoms of each isotope present.

Our first surprise was the location of the xenon. It was not, as we had expected, found to a significant extent in the uranium-rich mineral grains. Rather the lion’s share was trapped in aluminum phosphate minerals, which contain no uranium at all. Remarkably, these grains showed the highest concentration of xenon ever found in any natural material. The second epiphany was that the extracted gas had a significantly different isotopic makeup from what is usually produced in nuclear reactors. It had seemingly lost a large portion of the xenon 136 and 134 that would certainly have been created from fission, whereas the lighter varieties of the element were modified to a lesser extent.

How could such a change in isotopic composition have come about? Chemical reactions would not do the trick, because all isotopes are chemically identical. Perhaps nuclear reactions, such as neutron capture? Careful analysis allowed my colleagues and me to reject this possibility as well. We also considered the physical sorting of different isotopes that sometimes takes place: heavier atoms move a bit more slowly than their lighter counterparts and can thus sometimes separate from them. Uranium enrichment plants—industrial facilities that require considerable skill to construct— take advantage of this property to produce reactor fuel. But even if nature could miraculously create a similar process on a microscopic scale, the mix of xenon isotopes in the aluminum phosphate grains we studied would have been different from what we found. For example, measured with respect to the amount of xenon 132 present, the depletion of xenon 136 (being four atomic mass units heavier) would have been twice that of xenon 134 (two atomic mass units heavier) if physical sorting had operated. We did not see that pattern.

Our understanding of the anomalous composition of the xenon came only after we thought harder about how this gas was born. None of the xenon isotopes we measured were the direct result of uranium fission. Rather they were the products of the decay of radioactive isotopes of iodine, which in turn were formed from radioactive tellurium and so forth, according to a well-known sequence of nuclear reactions that gives rise to stable xenon.

Our key insight was the realization that different xenon isotopes in our Oklo sample were created at different times— following a schedule that depended on the half-lives of their iodine parents and tellurium grandparents. The longer a particular radioactive precursor lives, the longer xenon formation from it is held off. For example, production of xenon 136 began at Oklo only about a minute after the onset of self-sustained fission. An hour later the next lighter stable isotope, xenon 134, appeared. Then, some days after the start of fission, xenon 132 and 131 came on the scene. Finally, after millions of years, and well after the nuclear chain reactions terminated, xenon 129 formed.

Had the Oklo deposit remained a closed system, the xenon accumulated during operation of its natural reactors would have preserved the normal isotopic composition produced by fission. But scientists have no reason to think that the system was closed. Indeed, there is good cause to suspect the opposite. The evidence comes from a consideration of the simple fact that the Oklo reactors somehow regulated themselves. The most likely mechanism involves the action of groundwater, which presumably boiled away after the temperature reached some critical level. Without water present to act as a neutron moderator, nuclear chain reactions would have temporarily ceased. Only after things cooled off and sufficient groundwater once again permeated the zone of reaction could fission resume.

This picture of how the Oklo reactors probably worked highlights two important points: very likely they pulsed on and off in some fashion, and large quantities of water must have been moving through these rocks—enough to wash away some of the xenon precursors, tellurium and iodine, which are water-soluble. The presence of water also helps to explain why most of the xenon now resides in grains of aluminum phosphate rather than in the uranium rich minerals where fission first created these radioactive precursors. The xenon did not simply migrate from one set of preexisting minerals to another—it is unlikely that aluminum phosphate minerals were present before the Oklo reactors began operating. Instead those grains of aluminum phosphate probably formed in place through the action of the nuclear-heated water, once it had cooled to about 300 degrees Celsius.

During each active period of operation of an Oklo reactor and for some time afterward, while the temperature remained high, much of the xenon gas (including xenon 136 and 134, which were generated relatively quickly) was driven off. When the reactor cooled down, the longer-lived xenon precursors (those that would later spawn xenon 132, 131 and 129, which we found in relative abundance) were preferentially incorporated into growing grains of aluminum phosphate. Then, as more water returned to the reaction zone, neutrons became properly moderated and fission once again resumed, allowing the cycle of heating and cooling to repeat. The result was the peculiar segregation of xenon isotopes we uncovered.

It is not entirely obvious what forces kept this xenon inside the aluminum phosphate minerals for almost half the planet’s lifetime. In particular, why was the xenon generated during a given operational pulse not driven off during the next one? Presumably it became imprisoned in the cagelike structure of the aluminum phosphate minerals, which were able to hold on to the xenon gas created within them, even at high temperatures. The details remain fuzzy, but whatever the final answers are, one thing is clear: the capacity of aluminum phosphate for capturing xenon is truly amazing.

**Nature’s Operating Schedule**   
After my colleagues and I had worked out in a general way how the observed set of xenon isotopes was created inside the aluminum phosphate grains, we attempted to model the process mathematically. This exercise revealed much about the timing of reactor operation, with all xenon isotopes providing pretty much the same answer. The Oklo reactor we studied had switched “on” for 30 minutes and “off” for at least 2.5 hours. The pattern is not unlike what one sees in some geysers, which slowly heat up, boil off their supply of groundwater in a spectacular display, refill, and repeat the cycle, day in and day out, year after year. This similarity supports the notion not only that groundwater passing through the Oklo deposit was a neutron moderator but also that its boiling away at times accounted for the self-regulation that protected these natural reactors from destruction. In this regard, it was extremely effective, allowing not a single meltdown or explosion during hundreds of thousands of years.

One would imagine that engineers working in the nuclear power industry could learn a thing or two from Oklo. And they certainly can, though not necessarily about reactor design. The more important lessons may be about how to handle nuclear waste. Oklo, after all, serves as a good analogue for a long-term geologic repository, which is why scientists have examined in great detail how the various products of fission have migrated away from these natural reactors over time. They have also scrutinized a similar zone of ancient nuclear fission found in exploratory boreholes drilled at a site called Bangombe, located some 35 kilometers away. The Bangombe reactor is of special interest because it was more shallowly buried than those unearthed at the Oklo and Okelobondo mines and thus has had more water moving through it in recent times. In all, the observations boost confidence that many kinds of dangerous nuclear waste can be successfully sequestered underground.

Oklo also demonstrates a way to store some forms of nuclear waste that were once thought to be almost impossible to prevent from contaminating the environment. Since the advent of nuclear power generation, huge amounts of radioactive xenon 135, krypton 85 and other inert gases that nuclear plants generate have been released into the atmosphere. Nature’s fission reactors suggest the possibility of locking those waste products away in aluminum phosphate minerals, which have a unique ability to capture and retain such gases for billions of years.

The Oklo reactors may also teach scientists about possible shifts in what was formerly thought to be a fundamental physical constant, one called _ (alpha), which controls such universal quantities as the speed of light [see “Inconstant Constants,” by John D. Barrow and John K. Webb; _Scientific American_, June]. For three decades, the two-billion-year old Oklo phenomenon has been used to argue against _ having changed. But last year Steven K. Lamoreaux and Justin R. Torgerson of Los Alamos National Laboratory drew on Oklo to posit that this “constant” has, in fact, varied significantly (and, strangely enough, in the opposite sense from what others have recently proposed). Lamoreaux and Torger son’s calculations hinge on certain details about how Oklo operated, and in that respect the work my colleagues and I have done might help elucidate this perplexing issue.

Were these ancient reactors in Gabon the only ones ever to have formed on the earth? Two billion years ago the conditions necessary for self-sustained fission must not have been too rare, so perhaps other natural reactors will one day be discovered. I expect that a few telltale wisps of xenon could aid immensely in this search.

[ ![][28] Rights & Permissions ][26]

### ABOUT THE AUTHOR(S)

_ALEX P. MESHIK _began his study of physics at St. Petersburg State University in Russia. He obtained his Ph.D. at the Vernadsky Institute of the Russian Academy of Sciences in 1988\. His doctoral thesis was devoted to the geochemistry, geochronology and nuclear chemistry of the noble gases xenon and krypton. In 1996 Meshik joined the Laboratory for Space Sciences at Washington University in St. Louis, where he is currently studying, among other things, noble gases from the solar wind that were collected and returned to the earth by the Genesis spacecraft.

Advertisement

## [The Future of Nuclear Power][29]

1. 1[Atomic Weight: Balancing the Risks and Rewards of a Power Source][30]
2. 2[Reactivating Nuclear Reactors for the Fight against Climate Change][31]
3. 3[How long will the world's uranium supplies last?][32]
4. 4[Spent Nuclear Fuel: A Trash Heap Deadly for 250,000 Years or a Renewable Energy Source?][33]

## Newsletter

## Get smart. Sign up for our email newsletter.

[Sign Up][34]

## Every Issue. Every Year. 1845 - Present

Neuroscience. Evolution. Health. Chemistry. Physics. Technology.

[Subscribe Now!][35]![Every Issue. Every Year. 1845 - Present][36]The Workings of an Ancient Nuclear ReactorTwo billion years ago parts of an African uranium deposit spontaneously underwent nuclear fission. The details of this remarkable phenomenon are just now becoming clear

Follow us

* [instagram][37]
* [soundcloud][38]
* [youtube][39]
* [twitter][40]
* [facebook][41]
* [rss][42]
* [Store][22]
* [About][43]
* [Press Room][44]
* [More ][26]
* [FAQs][45]
* [Contact Us][46]
* [Site Map][47]
* [Advertise][48]
* [Special Ad Sections][49]
* [SA Custom Media][50]
* [Terms of Use][51]
* [Privacy Policy][52]
* [Use of Cookies][53]

Scientific American is part of Springer Nature, which owns or has commercial relations with thousands of scientific publications (many of them can be found at [www.springernature.com/us][54]). Scientific American maintains a strict policy of editorial independence in reporting developments in science to our readers.

© 2018 Scientific American, a Division of Nature America, Inc.

All Rights Reserved.

![dcsimg][55]

### Confronting Common Wisdom

![][56]

[Learn More][57]

![][58]

[1]: http://www.scientificamerican.com/page/use-of-cookies/
[2]: https://www.scientificamerican.com#sa_body
[3]: https://www.scientificamerican.com/store/subscribe/scientific-american-magazine/?WT.ac=SA_ecom_SA_Nav_Subscribe_white
[4]: https://www.scientificamerican.com/
[5]: https://www.scientificamerican.com/store/shopping-cart/
[6]: https://www.scientificamerican.com/my-account/register/
[7]: https://www.scientificamerican.com/my-account/forgot-password/
[8]: https://www.scientificamerican.com/public/resources/loader-eba9d808f62929c2c4c744e562eca7d9.gif
[9]: https://www.scientificamerican.com/store/subscribe/scientific-american-magazine/?WT.ac=SA_ecom_SA_Nav-Subscribe-mobile
[10]: https://www.scientificamerican.com/espanol/
[11]: https://www.scientificamerican.com/arabic/
[12]: https://www.scientificamerican.com/page/international/
[13]: https://www.scientificamerican.com/the-sciences/
[14]: https://www.scientificamerican.com/mind/
[15]: https://www.scientificamerican.com/health/
[16]: https://www.scientificamerican.com/tech/
[17]: https://www.scientificamerican.com/sustainability/
[18]: https://www.scientificamerican.com/education/
[19]: https://www.scientificamerican.com/video/
[20]: https://www.scientificamerican.com/podcasts/
[21]: https://blogs.scientificamerican.com/
[22]: https://www.scientificamerican.com/store/
[23]: https://www.scientificamerican.com/magazine/sa/2018/03-01/
[24]: https://www.scientificamerican.com/my-account/login/
[25]: https://www.scientificamerican.com/author/alex-p-meshik/
[26]: https://www.scientificamerican.com#
[27]: https://static.scientificamerican.com/sciam/cache/file/D9C142F1-9D71-4DB4-8C95F9FF34A221AE.jpg?w=590&h=393&9AD53BCC-A583-4086-9EF6E889F141B05E
[28]: https://www.scientificamerican.com/themes/responsive/images/global/rightsPermsIcon.png
[29]: https://www.scientificamerican.com/report/nuclear-future/
[30]: https://www.scientificamerican.com/article/nuclear-power-plant-safety/
[31]: https://www.scientificamerican.com/article/reactivating-nuclear-reactors-to-fight-climate-change/
[32]: https://www.scientificamerican.com/article/how-long-will-global-uranium-deposits-last/
[33]: https://www.scientificamerican.com/article/nuclear-waste-lethal-trash-or-renewable-energy-source/
[34]: https://www.scientificamerican.com/page/newsletter-sign-up/?origincode=2016_sciam_ArticleFooter_NewsletterSignUp&category=subjects/the-sciences&idr=true&WT.ac=SA_Article_Footer_NewsletterSubscribe&wtaction=SA_SubmitForm_NewsletterSubscribe
[35]: http://www.scientificamerican.com/store/subscribe/scientific-american-magazine/?WT.ac=SA_ecom_SA_FooterPromo
[36]: https://static.scientificamerican.com/sciam/cache/file/BD1A6893-C362-486B-B0FBB38C1A104C46_source.png?w=385&h=375
[37]: https://www.instagram.com/scientific_american/?hl=en "instagram"
[38]:  "soundcloud"
[39]: https://www.youtube.com/user/SciAmerican "youtube"
[40]: https://twitter.com/sciam "twitter"
[41]: https://www.facebook.com/ScientificAmerican "facebook"
[42]: http://rss.sciam.com/ScientificAmerican-Global "rss"
[43]: https://www.scientificamerican.com/page/about-scientific-american/
[44]: https://www.scientificamerican.com/pressroom/
[45]: https://www.scientificamerican.com/page/frequently-asked-questions/
[46]: https://www.scientificamerican.com/page/contact-us/
[47]: https://www.scientificamerican.com/page/sitemap
[48]: https://www.scientificamerican.com/mediakit/
[49]: https://www.scientificamerican.com/ad-sections/
[50]: https://www.scientificamerican.com/page/custom-media-and-partnerships/
[51]: https://www.scientificamerican.com/page/terms-of-use/
[52]: https://www.scientificamerican.com/page/privacy-policy/
[53]: https://www.scientificamerican.com/page/use-of-cookies/
[54]: http://www.springernature.com/us
[55]: //statse.webtrendslive.com/dcszbiart00000oiar2s6w5ud_4y9j/njs.gif?dcsuri=/nojavascript&WT.js=No&WT.tv=10.4.12&dcssip=www.sciam.com
[56]: https://static.scientificamerican.com/sciam/cache/file/E565E90A-ABD8-4417-8B932A09C2A17179_source.png
[57]: https://www.scientificamerican.com/store/books/the-science-of-diet-exercise/?utm_source=site&utm_medium=display&utm_campaign=ebook-dietexercise&utm_content=banner&utm_term=SA-EB_DietExercise-1_CVP_v1_display_toaster
[58]: //secure-us.imrworldwide.com/cgi-bin/m?ci=us-403331h&cg=0&cc=1&ts=noscript

