---
created_at: '2017-06-19T11:42:37.000Z'
title: How the Mid-Victorians Worked, Ate and Died (2009)
url: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2672390/
author: ganonm
points: 115
story_text: 
comment_text: 
num_comments: 75
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1497872557
_tags:
- story
- author_ganonm
- story_14586145
objectID: '14586145'

---
[Source](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2672390/ "Permalink to How the Mid-Victorians Worked, Ate and Died")

# How the Mid-Victorians Worked, Ate and Died

**Warning:** The NCBI web site requires JavaScript to function. [more...][1]
* [NCBI![NCBI Logo][2]][3]
* [Skip to main content][4]
* [Skip to navigation][5]
* [Resources][6]
* [How To][7]
* [About NCBI Accesskeys][8]

[My NCBI][9][Sign in to NCBI][10][Sign Out][11]

# [PMC][12]

[US National Library of Medicine][13]   
[National Institutes of Health][14]

Search databasePMCAll DatabasesAssemblyBiocollectionsBioProjectBioSampleBioSystemsBooksClinVarCloneConserved DomainsdbGaPdbVarESTGeneGenomeGEO DataSetsGEO ProfilesGSSGTRHomoloGeneIdentical Protein GroupsMedGenMeSHNCBI Web SiteNLM CatalogNucleotideOMIMPMCPopSetProbeProteinProtein ClustersPubChem BioAssayPubChem CompoundPubChem SubstancePubMedPubMed HealthSNPSparcleSRAStructureTaxonomyToolKitToolKitAllToolKitBookghUniGene

Search term

Search

* [Advanced][15]
* [Journal list][16]
* [Help][17]
* [Journal List][16]
* [Int J Environ Res Public Health][18]
* [v.6(3); 2009 Mar][19]
* PMC2672390

![Logo of ijerph][20]

Int J Environ Res Public Health. 2009 Mar; 6(3): 1235–1253. 

Published online 2009 Mar 20.  doi:  [10.3390/ijerph6031235][21]

PMCID: PMC2672390

# How the Mid-Victorians Worked, Ate and Died†

[Paul Clayton][22]1,* and [Judith Rowbotham][23]2

1School of Life Sciences, Oxford Brookes University, UK

2Department of History & Law, Nottingham Trent University, UK; E-Mail: [moc.liamg@mahtobworj][24]

*Author to whom correspondence should be addressed; E-Mail: [moc.liamg@notyalcrluap][24]

[Author information ►][25] [Article notes ►][25] [Copyright and License information ►][25]

Received 2009 Feb 9; Accepted 2009 Feb 28.

[Copyright][26] © 2009 by the authors; licensee Molecular Diversity Preservation International, Basel, Switzerland.

This article is an open-access article distributed under the terms and conditions of the Creative Commons Attribution license (<http://creativecommons.org/licenses/by/3.0/>).

This article has been [cited by][27] other articles in PMC.

## Abstract

Analysis of the mid-Victorian period in the U.K. reveals that life expectancy at age 5 was as good or better than exists today, and the incidence of degenerative disease was 10% of ours. Their levels of physical activity and hence calorific intakes were approximately twice ours. They had relatively little access to alcohol and tobacco; and due to their correspondingly high intake of fruits, whole grains, oily fish and vegetables, they consumed levels of micro- and phytonutrients at approximately ten times the levels considered normal today. This paper relates the nutritional status of the mid-Victorians to their freedom from degenerative disease; and extrapolates recommendations for the cost-effective improvement of public health today.

**Keywords: **Public health, dietary shift, degenerative disease, Victorian

## 1. Introduction

The mid-Victorian period is usually defined as the years between 1850 and 1870, but in nutritional terms we have identified a slightly longer period, lasting until around 1880. During these 30 years, we argue here, a generation grew up with probably the best standards of health ever enjoyed by a modern state. The British population had risen significantly and had become increasingly urbanised, but the great public health movement had not yet been established and Britain’s towns and cities were still notoriously unhealthy environments [[4][28],[5][29]]. Despite this, and contrary to historical tradition, we argue in this paper, using a range of historical evidence, which Britain and its world-dominating empire were supported by a workforce, an army and a navy comprised of individuals who were healthier, fitter and stronger than we are today. They were almost entirely free of the degenerative diseases which maim and kill so many of us, and although it is commonly stated that this is because they all died young, the reverse is true; public records reveal that they lived as long – or longer – than we do in the 21st century.

These findings are remarkable, as this brief period of great good health predates not only the public health movement but also the great 20th century medical advances in surgery, infection control and drugs [[6][30]–[8][31]]. They are also in marked contrast to popular views about Victorian squalor and disease, views that have long obscured the realities of life and death during that ‘period of equipoise’ [[9][32]].

Our recent research indicates that the mid-Victorians’ good health was entirely due to their superior diet. This period was, nutritionally speaking, an island in time; one that was created and subsequently squandered by economic and political forces. This begs a series of questions. How did this brief nutritional ‘golden age’ come about? How was it lost? And could we recreate it?

One key contributory factor was what used to be called the Agricultural Revolution; a series of developments in agricultural practice that massively improved crop and livestock yields. This slow green revolution started in the late seventeenth century, gradually accelerated into the mid-19th century, and underpinned both modern urbanisation and the associated Industrial Revolution [[10][33]]. Arguably the most critical agricultural development was a more complex system of crop rotation, which greatly improved both arable output and animal husbandry. In the 1730’s a new breed of innovative land-owner (epitomised by Marquis ‘Turnip’ Townshend) introduced new systems of crop rotation from Sweden and The Netherlands, and new crops like the swede (_Brassica napus napobrassica_). The new crop rotation systems avoided the need to let land lie fallow one year in three, and instead used a four or five year cycle in which turnips and clover were used as two of the crops because of their ability to replenish the soil. These new systems created immense gains in food productivity. Between 1705 and 1765 English wheat exports increased ten-fold, while the increased availability of animal feed meant that most livestock no longer had to be slaughtered at the onset of winter so that fresh (instead of salted) meat became cheaper and more widely available throughout the year [[11][34]].

Population shifts also played a key contributory role. The bulk of the population had always lived on the land but by 1850, as revealed by the 1851 census, more Britons were living and working in towns than in the countryside [[4][28]]. The agricultural improvements of the previous 150 years meant that agriculture produced far more than before, but used far fewer people to achieve this. As a result, people moved to towns to find work: Britain was the first modern consumer society and there was real demand for workers in an increasing number of urban industries [[12][35]]. Traditionally, urban life expectancy was significantly lower than rural life expectancy, but from the mid-Victorian period on this difference disappears.

Victorian society was very different to traditional society. It was a class society as we understand it today rather than the older, more deferential model, and this created enormous social tensions though it is important not to exaggerate these [[13][36]]. For the very poor, towns remained deeply unpleasant places to live, and it can be argued that for many, the social structure of towns even got worse. As more of the working classes moved into towns, more of the middle classes moved out to create the beginnings of suburbia [[14][37]]. The great Victorian commentator Thomas Carlyle claimed that in cities, little tied one human being to another except for the ‘Cash Nexus’, where employer and employee met in an uncomfortable wage and profit-driven relationship [[15][38]], as Mrs Gaskell revealed in books like _North and South_ [[16][39]].

In many ways, however, urban socio-economic conditions were getting better by the mid-century. Trades unions and philanthropists were slowly but surely improving urban working conditions and wages throughout the last half of the century [[17][40]]. The threats of political instability which had seemed most threatening in towns up to the late 1840s were largely dispersed during the mid-Victorian era, as a result of changes in the political and legal systems. For example, the Great Reform Act of 1832 was followed by the 1867 Reform Act, which meant that most male urban heads of households were now able to vote. In 1845 the notorious Corn Laws were finally repealed ushering in the era of cheap food for the urban masses.

One of the most important results of these changes was that the interests of the landed classes were no longer protected. Traditionally, parliament had always sought to protect the income of farmers and landowners, and after the end of the Napoleonic Wars, this stance had seen the introduction of the highly unpopular Corn Laws from 1815. These kept the price of grain at a level that ensured agricultural prosperity, but they had a disastrous effect on the price of food. This particularly affected the new urban, industrial workforce, which was heavily dependent on bread as a staple food. The Corn Laws kept the price of bread artificially high, even during economic depressions such as the 1840s, a decade which became notorious as the ‘Hungry 40’s’ [[18][41]].

The post-Great Reform Act parliament, however, was susceptible to pressure from groups such as the Anti-Corn Law League led by Richard Cobden and Joseph Bright. When the situation was exacerbated by the Irish Great Potato Famine, Prime Minister Sir Robert Peel, the grandson of a mill-owner, forced through the repeal of the Corn Laws [[18][41]]. From that time on farming interests were under pressure to produce cheap food because it had become clear that the prosperity of the country depended on industrial rather than on agricultural output [[19][42]]. As the Great Exhibition of 1851 underlined, Britain had become the Workshop of the World [[20][43]].

Improved agricultural output and a political climate dedicated to ensuring cheap food led to a dramatic increase in the production of affordable foodstuffs; but it was the development of the railway network that actually brought the fruits of the agricultural and political changes into the towns and cities, and made them available to the mid-Victorian working classes [[21][44]].

The start of the modern railway age is usually marked by the opening of the Stockton & Darlington line in 1825. From the late 1830s on, progress was impressively rapid. Important long-distance lines came first, followed by smaller local lines criss-crossing the country. The London and Birmingham line opened in 1838, part of Brunel's London to Bristol route the same year and the London and Southampton line in 1840. By the mid century the key lines were already laid. The railway system grew exponentially, reaching 2500 miles by 1845, and continued to expand, carrying goods as well as passengers. Thanks to trains, producers were now supplying the urban markets with more, fresher and cheaper food than was previously possible. This boosted urban demand for fresh foodstuffs, and pushed up agricultural output still further [[22][45]]. A survey of food availability in the 1860s through sources such as Henry Mayhew’s survey of the London poor shows very substantial quantities of affordable vegetables and fruits now pouring into the urban markets [[23][46]].

This fortunate combination of factors produced a sea change in the nation, and in the nation’s health. By 1850 Britain’s increasing domestic productivity and foreign power had created a national mood of confidence and optimism which affected all levels of society. Driven by better nutrition, far more than the new schemes of clean air and water which were only beginning to have an effect from the 1870s on, adult life expectancy increased from the 1850s until by 1875 it matched or surpassed our own [[24][47]]. The health and vitality of the British population during this period was reflected in the workforces and armed forces that powered the transformation of the urban landscape at home, and drove the great expansion of the British Empire abroad [[20][43]].

Unfortunately, negative changes that would undermine these nutritional gains were already taking shape. Thanks to her dominant global position, and developments in shipping technology, Britain had created a global market drawing in the products of colonial and US agriculture, to provide ever-cheaper food for the growing urban masses. From 1875 on and especially after 1885, rising imports of cheap food basics were increasingly affecting the food chain at home. Imported North American wheat and new milling techniques reduced the prices of white flour and bread. Tinned meat arrived from the Argentine, Australia and New Zealand, which was cheaper than either home-produced or refrigerated fresh meat also arriving from these sources. Canned fruit and condensed milk became widely available [[25][48]].

This expansion in the range of foods was advertised by most contemporaries, and by subsequent historians, as representing a significant ‘improvement’ in the working class diet. The reality was very different. These changes undoubtedly increased the variety and quantity of the working class diet, but its quality deteriorated markedly. The imported canned meats were fatty and usually _‘_corned’ or salted. Cheaper sugar promoted a huge increase in sugar consumption in confectionery, now mass-produced for the first time, and in the new processed foods such as sugar-laden condensed milk, and canned fruits bathed in heavy syrup. The increased sugar consumption caused such damage to the nation’s teeth that by 1900 it was commonly noted that people could no longer chew tough foods and were unable to eat many vegetables, fruits and nuts [[26][49]]. For all these reasons the late-Victorian diet actually damaged the health of the nation, and the health of the working classes in particular.

The decline was astonishingly rapid. The mid-Victorian navvies, who as seasonal workers were towards the bottom end of the economic scale, could routinely shovel up to 20 tons of earth per day from below their feet to above their heads [[27][50]]. This was an enormous physical effort that required great strength, stamina and robust good health. Within two generations, however, male health nationally had deteriorated to such an extent that in 1900, five out of 10 young men volunteering for the second Boer War had to be rejected because they were so undernourished. They were not starved, but had been consuming the wrong foods [[28][51],[29][52]]. This reality is underlined by considering army recruitment earlier. The recruiting sergeants had reported no such problems during previous high profile campaigns such as the Asante (1873–4) and Zulu (1877–8) Wars [[30][53]].

The fall in nutritional standards between 1880 and 1900 was so marked that the generations were visibly and progressively shrinking. In 1883 the infantry were forced to lower the minimum height for recruits from 5ft 6 inches to 5ft 3 inches. This was because most new recruits were now coming from an urban background instead of the traditional rural background (the 1881 census showed that over three-quarters of the population now lived in towns and cities). Factors such as a lack of sunlight in urban slums (which led to rickets due to Vitamin D deficiency) had already reduced the height of young male volunteers. Lack of sunlight, however, could not have been the sole critical factor in the next height reduction, a mere 18 years later. By this time, clean air legislation had markedly improved urban sunlight levels; but unfortunately, the supposed ‘improvements’ in dietary intake resulting from imported foods had had time to take effect on the 16–18 year old cohort. It might be expected that the infantry would be able to raise the minimum height requirement back to 5ft. 6 inches. Instead, they were forced to reduce it still further, to a mere 5ft. British officers, who were from the middle and upper classes and not yet exposed to more than the occasional treats of canned produce, were far better fed in terms of their intake of fresh foods and were now on average a full head taller than their malnourished and sickly men.

In 1904, and as a direct result of the Boer disaster, the government set up the Committee on Physical Deterioration. Its report, emphasising the need to provide school meals for working class children, reinforced the idea that the urban working classes were not only malnourished at the start of the twentieth century but also (in an unjustified leap of the imagination, reinforced by folk memories of the ‘Hungry 40’s) that they had been so since the start of nineteenth century industrial urbanisation [[28][51],[31][54]]. This profound error of thought was incorporated into subsequent models of public health, and is distorting and damaging healthcare to this day.

The crude average figures often used to depict the brevity of Victorian lives mislead because they include infant mortality, which was tragically high. If we strip out peri-natal mortality, however, and look at the life expectancy of those who survived the first five years, a very different picture emerges. Victorian contemporary sources reveal that life expectancy for adults in the mid-Victorian period was almost exactly what it is today. At 65, men could expect another ten years of life; and women another eight [[24][47],[32][55],[33][56]] (the lower figure for women reflects the high danger of death in childbirth, mainly from causes unrelated to malnutrition). This compares surprisingly favourably with today’s figures: life expectancy at birth (reflecting our improved standards of neo-natal care) averages 75.9 years (men) and 81.3 years (women); though recent work has suggested that for working class men and women this is lower, at around 72 for men and 76 for women [[34][57]].

If we accept the working class figures, which are probably more directly comparable with the Victorian data, women have gained three years of life expectancy since the mid-Victorian period while men have actually fallen back by 3 years. The decline in male life expectancy implicates several causal factors; including the introduction of industrialised cigarette production in 1883, a sustained fall in the relative cost of alcohol and a severe decline in nutritional standards, as outlined below. The improvement in female life expectancy can be partly linked to family planning developments but also to other factors promoting women’s health such as improvements in dress. Until widespread accessible family planning facilities arrived after the First World War, women’s health could be substantially undermined by up to 30 years of successive pregnancies and births [[35][58]–[37][59]]. These figures suggest that if twentieth century women had not also experienced the negative impacts of tobacco consumption becoming respectable, along with an increased alcohol intake and worsening nutrition as they began to consume the imported delicacies originally preserved mainly for the men (all those things which had cost their menfolk three years), they would have gained six years.

Given that modern pharmaceutical, surgical, anaesthetic, scanning and other diagnostic technologies were self-evidently unavailable to the mid-Victorians, their high life expectancy is very striking, and can only have been due to their health-promoting lifestyle. But the implications of this new understanding of the mid-Victorian period are rather more profound. It shows that medical advances allied to the pharmaceutical industry’s output have done little more than change the manner of our dying. The Victorians died rapidly of infection and/or trauma, whereas we die slowly of degenerative disease. It reveals that with the exception of family planning, the vast edifice of twentieth century healthcare has not enabled us to live longer but has in the main merely supplied methods of suppressing the symptoms of degenerative diseases which have emerged due to our failure to maintain mid-Victorian nutritional standards [[38][60]]. Above all, it refutes the Panglossian optimism of the contemporary anti-ageing movement whose protagonists use 1900 – a nadir in health and life expectancy trends - as their starting point to promote the idea of endlessly increasing life span. These are the equivalent of the get-rich-quick share pushers who insisted, during the dot.com boom, that we had at last escaped the constraints of normal economics. Some believed their own message of eternal growth; others used it to sell junk bonds they knew were worthless. The parallels with today’s vitamin pill market are obvious, but this also echoes the way in which Big Pharma trumpets the arrival of each new miracle drug.

In short, the majority of even the poorest mid-Victorians lived well, despite all their disadvantages and what we would now consider discomforts. Those that survived the perils of childbirth and infancy lived as long as we do, and were healthier while they were alive their prolonged good health was due to their high levels of physical activity, and as a consequence, how and what they ate. We could learn a good deal from them.

## 2. How the Mid-Victorians Worked

Due to the high levels of physical activity routinely undertaken by the Victorian working classes, calorific requirements ranged between 150 and 200% of today’s historically low values. Almost all work involved moderate to heavy physical labour, and often included that involved in getting to work. Seasonal and other low-paid workers often had to walk up to six miles per day [[39][61]]. While some Victorian working class women worked from home (seamstressing for instance) more went out to work in shops, factories and workshops, necessitating long days on their feet, plus the additional burden of housework [[39][61],[40][62]]. Many single women were domestics, either live-in servants or daily workers. This was particularly physically demanding, as very few households had male servants, so women did all the heavy household work from scrubbing floors to heaving coals upstairs. Men worked on average 9–10 hours/day, for 5.5 to 6 days a week, giving a range from 50 to 60 hours of physical activity per week [[40][62]]. Factoring in the walk to and from work increases the range of total hours of work-related physical activity up to 55 to 70 hours per week. Women’s expenditure of effort was similarly large [[41][63]]. Married women had also domestic chores in their own homes after work, and in addition, their daily dress up to the 1890s at least (when the development of the tailor-made costume reduced both corseting and the weight of numerous layers of fabric) involved real physical effort just in moving around. Male leisure activities such as gardening and informal football also involved substantial physical effort.

Using average figures for work-related calorie consumption, men required between 280 (walking) and 440 calories (heavy yard work) per hour; with women requiring between 260 and 350 calories per hour. This gives calorific expenditure ranges during the working week of between 3,000 to 4,500 calories /day (men) and 2,750 to 3,500 (women).

Total calorific requirements were likely to have been even higher during the winter months; with less insulated and less warmed homes, working class Victorians used more calories to keep warm than we do. The same held true for workplaces, unless the work (certain factory operations, blacksmithing, etc) heated the environment to unhealthy levels. At the top end of the physical activity range were the ‘navigators’, the labourers who built (largely without machinery) the roads and railways that enabled the expansion of the British economy. These men were expending 5,000 calories or more per day.

In short, the mid-Victorians ate twice as much as we do, but due to their high levels of physical activity remained slim; overweight and obesity were relatively rare, and (unless associated with ill-health) were generally identified as phenomenona associated with the numerically smaller middle and upper-middle class. But it is not just the amount of food the mid-Victorians consumed that is so unfamiliar; the composition of their diet was also very different from our own.

## 3. What the Mid-Victorians Ate

#### Vegetables, Green and Root

Onions were amongst the cheapest vegetables, widely available all year around at a cost so negligible that few housewives budgeted what cost them around a halfpenny (even cheaper if bruised) for a bunch containing at least a dozen. They might become slightly more expensive in the late spring, when leeks could be substituted [[41][63]]. Watercress was another cheap staple in the working class diet, available at a halfpenny for four bunches in the period April to February [[41][63]]. The Jerusalem artichoke was consumed from September through to March, often home-grown as it was one of the easiest vegetables to grow in urban allotments [[42][64]]. Carrots and turnips were inexpensive staples, especially during the winter months. Cabbage was also cheap and readily available, along with broccoli. Fresh peas were available and affordable from June to July, with beans from July to September [[41][63]].

#### Fruit

Apples were the cheapest and most commonly available urban fruits from August through to May; with cherries taking over in the May– July period, followed by gooseberries in June, up to August, then plums and greengages in July through to September [[41][63]]. Dried fruits and candied peel were always cheaply available, and used to sweeten desserts such as bread puddings and for cakes and mincemeat. They were also consumed as an afternoon snack, particularly by children, according to Victorian cookery books [[42][64],[43][65]] and many other sources from Dickens to Mayhew. All fruits and vegetables were organically grown, and therefore had higher levels of phytonutrients than the intensively grown crops we eat today [[44][66]].

#### Legumes and Nuts

Dried legumes were available all year round, and widely used (e.g. pease pudding). The chestnut was the most commonly consumed nut and one of the most commonly eaten street snacks in the chestnut season, running from September through to January. Filberts or hazelnuts were available from October through to May; walnuts were another regularly bought seasonal nut. Imported almonds and Brazil nuts were more expensive, but widely consumed around Christmas as a ‘treat’. Coconuts were also imported, often given as presents or won at fairs; commonly grated for use in cakes and desserts [[23][46]].

#### Fish and Seafoods

The herring was one of the most important fish in the Victorian urban diet; fresh in the autumn, winter and spring; dried and salted (red herring) or pickled/soused all year round. Red herrings were a staple of the working class diet throughout the year because they were easily cooked (e.g. Idylls of the Poor). Other favourites were cheap and easily obtainable varieties with better keeping qualities than the more vulnerable white fish, including sprats, eels, and shellfish (oysters, mussels, cockles, whelks). Of the white fish consumed, cod, haddock and John Dory were preferred. Typically, and unlike today, the whole fish was consumed including heads and roes [[22][45]]. Fish was available from Monday evening to Friday evening; with broken and day old fish or eels and shoreline shellfish available on Saturdays, as fishermen did not go out over the weekends [[45][67]].

#### Meats

Consumption of meat was considered a mark of a good diet and its complete absence was rare: consuming only limited amounts was a poverty diet [[23][46]]. Joints of meat were, for the poor, likely to be an occasional treat. Yet only those with the least secure incomes and most limited housing, and so without either the cooking facilities or the funds, would be unlikely to have a weekly Sunday joint; even they might achieve that three or four times a year, cooked in a local cookhouse or bakery oven. Otherwise, meat on the bone (shin or cheek), stewed or fried, was the most economical form of meat, generally eked out with offal meats including brains, heart, sweetbreads, liver, kidneys and ‘pluck’, (the lungs and intestines of sheep). Pork was the most commonly consumed meat. All meats were from free-range animals.

#### Eggs and Dairy Products

Many East End households kept hens in their backyards, and Robert’s study of Lancashire suggests similar patterns [[36][68]]. Keeping a couple of hens could produce up to a dozen eggs per household per week. There were fears about adulteration of milk (frequently watered-down). Butter did not feature largely in the working-class diet. Dripping was a preferred substitute in the days before cheap margarine. Hard cheeses, as opposed to soft cheeses, were favoured by the working classes as a regular part of their diet, partly because even when the heel of the cheese was too hard to eat, the ends could be toasted.

#### Alcohol

Beer was the most commonly consumed form of alcohol, but with an alcohol content significantly lower than today’s beers. Careful reading of contemporary sources including cookery and domestic economy books suggest that the alcohol percent of beer consumed in the home was probably only 1% to 2%; often less as it was watered down, especially for consumption by women and children [[43][65],[46][69],[47][70]]. In pubs, the alcohol content of beer was more regulated and generally higher, ranging from 2% to 3%. These are still weak beers, compared to today’s average of around 5%. Spirits were more intermittently consumed by men and rarely by women: respectability and gin did not go together [[48][71]]. Working class men and women seldom drank wine, except for port or sherry. A third or more of households were temperate or teetotal, partly due to the sustained efforts of the anti-alcohol movement. [[49][72],[50][73]].

#### Tobacco

Pipe smoking was widespread but intermittent amongst working class males, and a cigar or cheroot might be smoked on special occasions. Snuff had largely fallen out of favour, as had chewing tobacco. The big expansion in mass tobacco consumption by the working classes did not take place until after 1883, when industrial cigarette production was introduced [[51][74]]. It was not until the twentieth century that women of all classes became major consumers of tobacco, under the pressure of heavy advertising.

#### Adulterants

Some adulterants commonly used in Victorian foods were well-known to be toxic even then: lead chromate in mustard, mercury and arsenic compounds as colourants in confectionery and picrotoxin in beer all undoubtedly contributed to ill health. In contrast, modern nutritional biochemistry reveals that some of the other common ‘adulterants’ have potentially significant health benefits. The hawthorne used to extend tea, for example, contained vaso- and cardio-protective flavonoids [[52][75]–[57][76]]. The coriander in beer may have had some anthelmintic activity [[58][77]], and the watering down of beer and spirits was – from a health perspective – a generally good thing!

#### Dietary Summary

Mid-Victorian working class men and women consumed between 50% and 100% more calories than we do, but because they were so much more physically active than we are today, overweight and obesity hardly existed at the working class level. The working class diet was rich in seasonal vegetables and fruits; with consumption of fruits and vegetables amounting to eight to 10 portions per day. This far exceeds the current national average of around three portions, and the government-recommended five-a-day. The mid-Victorian diet also contained significantly more nuts, legumes, whole grains and omega three fatty acids than the modern diet. Much meat consumed was offal, which has a higher micronutrient density than the skeletal muscle we largely eat today [[59][78]]. Prior to the introduction of margarine in the late Victorian period, dietary intakes of trans fats were very low. There were very few processed foods and therefore little hidden salt, other than in bread (Recipes suggest that significantly less salt was then added to meals. At table, salt was not usually sprinkled on a serving but piled at the side of the plate, allowing consumers to regulate consumption in a more controlled way.). The mid-Victorian diet had a lower calorific density and a higher nutrient density than ours. It had a higher content of fibre (including fermentable fibre), and a lower sodium/potassium ratio. In short, the mid-Victorians ate a diet that was not only considerably better than our own, but also far in advance of current government recommendations. It more closely resembles the Mediterranean diet, proven in many studies to promote health and longevity; or even the ‘Paleolithic diet’ recommended by some nutritionists [[60][79]].

In terms of alcohol consumption, the comparisons with today are also revealing. Many contemporary reports suggest that around a fifth of Victorian working class men might, when employed, spend up to a fifth of their income on beer [[61][80]]. Assuming an average urban income ranging from £1 to £4 per week, and given mid-century pub prices of 3d to 8d per pint for beer, the reported expenditure would account for around 16 pints to 20 per week maximum or between three and four pints per night. As Victorian beer generally had an alcohol content ranging between 1 and 3.5% [[62][81]], this is equivalent to one and a half to two pints of beer per day in contemporary terms. Seen in this light, the huge Victorian concerns about drunkenness in the Victorian working classes appear to be more a reflection of respectable morality than a real public health issue [[63][82]]. Cost implications ensured that for most, the Victorian ‘alcohol problem’ was certainly less significant than it is in our time, when the frequency of public drunkenness and levels of injury and illness have become a serious public health concern (64). Finally, mid-Victorian tobacco consumption was very much lower than today.

These new findings reveal that, contrary to received wisdom, the mid-Victorians ate a healthier diet than we do today. This had dramatic effects on their health and life expectancy.

## 4. How the Mid-Victorians Died

#### Public Health Patterns

The overall pattern of Victorian causes of death broadly resembles that found in developing countries today, with infection, trauma and infant/mother mortality in the pole positions, and non-communicable degenerative disease being relatively insignificant.

Common causes of death [[65][83],[66][84]] 

1. Infection including TB and other lung infections such as pneumonia; epidemics (scarlet fever, smallpox, influenza, typhoid, cholera etc), with spread often linked to poor sanitation: and the sexually transmitted diseases.

2. Accidents/trauma linked to work place and domestic conditions. Death from burns was an important cause of death among women, due largely to a combination of open hearth cooking, fashions in dress, and the use of highly flammable fabrics.

3. Infant/mother mortality [[66][84]]. This was generally due to infection, although maternal haemorrhage was another significant causative factor.

4. Heart failure. This was generally due to damage to the heart valves caused by rheumatic fever, and was not a degenerative disease. Angina pectoris does not appear in the registrar general’s records as a cause of death until 1857 – and then as a disease of old age - although the diagnosis and its causes were recognised [[67][85]–[70][86]].

Uncommon causes of death 

* 5\. Coronary artery disease (see above)
* 6\. Paralytic fits (strokes, see _Webster’s Dictionary_). Stroke was mainly associated with the middle and upper classes who ate a diet in which animal derived foods had a more significant role, and who consumed as a result rather less fruits and vegetables. Strokes were generally non-fatal, at least the first time; although mortality rates increased with each subsequent stroke [[65][83]]
* 7\. Cancers were relatively rare [[65][83]]. While the Victorians did not possess sophisticated diagnostic or screening technology, they were as able to diagnose late stage cancer as we are today; but this was an uncommon finding. In that period, cancer carried none of the stigma that it has recently acquired, and was diagnosed without bias. For example, in 1869 the Physician to Charing Cross Hospital describes lung cancer as ‘… one of the rarer forms of a rare disease. You may probably pass the rest of your students life without seeing another example of it.’ [[71][87]].

Not only were cancers very uncommon compared to today, they appear to have differed in other key respects. James Paget (of Paget’s Disease) built a large practice on the strength of diagnosing breast cancer, which he did by sight and palpation – that is at Stages 3 and 4. In this group he describes a life expectancy of 4 years after diagnosis, extending to eight or more with surgery [[72][88]]. The corresponding figures today are Stage 3: 50% survival at 10 years if given surgery, chemo- and radio-therapy, and Stage 4: overall survival about 15 months. These figures suggest that breast cancer during the Victorian period was significantly less rapidly progressive than is the case today, probably due to the Victorians’ significantly higher intakes of a range of micro- and phytonutrients which slow cancer growth.

In summary, although the mid-Victorians lived as long as we do, they were relatively immune to the chronic degenerative diseases that are the most important causes of ill health and death today.

## 5. What Did the Victorians Ever Do for Us?

The implications of the mid-Victorian story are far-reaching, because, unlike the paleolithic scenario, details of the mid-Victorian lifestyle and its impact on public health are extensively documented. Thus, the mid-Victorian experience clearly shows us that: 

1. Degenerative diseases are not caused by old age (the ‘wear and tear’ hypothesis); but are driven, in the main, by chronic malnutrition. Our low energy lifestyles leave us depleted in anabolic and anti-catabolic co-factors; and this imbalance is compounded by excessive intakes of inflammatory compounds. The current epidemic of degenerative disease is caused by widespread problem of multiple micro- and phyto-nutrient depletion (Type B malnutrition.)

2. With the exception of family planning and antibiotics, the vast edifice of twentieth century healthcare has generated little more than tools to suppress symptoms of the degenerative diseases which have emerged due to our failure to maintain mid-Victorian nutritional standards.

3. The only way to combat the adverse effects of Type B malnutrition, and to prevent and / or cure degenerative disease, is to enhance the nutrient density of the modern diet.

## 6. The Case for Supplements

Our levels of physical activity and therefore our food intakes are at an historic low. To make matters worse, when compared to the mid-Victorian diet, the modern diet is rich in processed foods. It has a higher sodium/potassium ratio, and contains far less fruit, vegetables, whole grains and omega 3 fatty acids. It is lower in fibre and phytonutrients, in proportional and absolute terms; and, because of our high intakes of potato products, breakfast cereals, confectionery and refined baked goods, may have a higher glycemic load. Given all this, it follows that we are inevitably more likely to suffer from dysnutrition (multiple micro- and phytonutrient depletion) than our mid-Victorian forebears.

This is supported by survey findings on both sides of the Atlantic; the U.S.D.A.’s 1994 to 1996 Continuing Survey of Food Intakes by Individuals [[73][89],[74][90]], and the National Diet and Nutrition Surveys [[75][91]] both show that many individuals today are unable to obtain RNI values of a variety of vitamins and minerals. Malnutrition in the U.K. is now reckoned to contribute to illness-related costs in excess of £7.3 billion per annum [[76][92]]. Since it would be unacceptable and impractical to recreate the mid-Victorian working class 4,000 calorie/day diet, this constitutes a persuasive argument for a more widespread use of food fortification and/or properly designed food supplements (most supplements on the market are incredibly badly designed; they are assembled by companies that do not understand the real nutritional issues that confront us today, and sell us pills containing irrational combinations and doses that can do more harm than good [[77][93]]).

To insist, as orthodox nutritionists and dieticians do, that only whole fruit and veg contain the magical, health-promoting ingredients represents little more than the last gasp of the discredited and anti-scientific theory of vitalism (‘Vitalism—the insistence that there is some big, mysterious extra ingredient in all living things—turns out to have been not a deep insight but a failure of imagination’, Daniel Dennett) [[78][94]]. Even the stately FSA concedes that fruit juices count towards your five-a-day, as do freeze-dried powdered extracts of fruits and vegetables. As our knowledge of phytochemistry and phytopharmacology increases, it has become perfectly acceptable to use rational combinations of the key plant constituents in pill or capsule form.

These arguments are developed in ‘Pharmageddon’ [[79][95]], a medical textbook which illustrates how micro- and phyto-nutrients can be specifically combined in order to prevent and treat the chronic degenerative diseases that characterise and dominate the 20th and 21st centuries; and how they could be integrated into our food chain in order to reduce the contemporary and excessively high risks of the degenerative diseases to the far lower mid-Victorian levels.

## 7. Final Comment

In light of the huge body of evidence linking diet to health, many researchers are now studying the dietary intakes of different groups of people and attempting to tease out such esoteric factors as, for example, just how much omega 3 fish oil is necessary to reduce the risk of Alzheimer’s; or how what dose of flavonoids should be consumed to reduce the risk of stomach cancer.

Most of this research is patently a waste of time. Current generations are, from an historical point of view, anomalous. Our historically low levels of physical activity and consequently food intakes mean that even those groups consuming the highest levels of berry fruits, green leaf vegetables or oily fish, are still well below optimal (mid-Victorian) levels of consumption.

For example, eminent scientists working with dietary elements thought to reduce the risk of cancer have commented that although ‘pharmacological levels’ of compounds such as flavonoids or salicylates have strong anti-cancer properties in vitro, there is little evidence that dietary (or ‘physiological’) levels of intake have any protective effects in humans.

In contrast the mid-Victorians, with their far greater intakes of fruits and vegetables, which were organic and in many cases contained significantly higher concentrations of phytonutrients than our intensively grown crops do [[80][96]–[85][97]] were consuming ‘pharmacological’ levels of these valuable and protective compounds. This would explain why they were so effectively protected against cancer, and heart disease, and _all_ the other degenerative, non-communicable disorders. And it would also explain why, with our very low ‘physiological’ intakes, we are so terribly prone to these largely avoidable diseases.

We believe also that the on-going search for disease susceptibility genes is ahistoric and therefore largely misinformed. The mid-Victorian gene pool was not significantly different to our own, yet their incidence of degenerative disease was approximately 90% less [[24][47]]. In the high-nutrient mid-Victorian environment, the vast majority of the population was protected; and the combination of high levels of physical activity and an excellent diet enhanced the expression of a coordinated array of health-promoting genes [[86][98],[87][99]]. As the nutrient tide has receded, increasing numbers of genetic polymorphisms have become exposed. [[88][100]], making current genome-wide association studies (GWAS) largely redundant (If we take this argument to an extreme, and progress to a diet totally devoid of micronutrients, all polymorphisms become disease-associated.). It follows that the pharmaceutical industry’s attempts to develop genomically derived and individualized treatments such as RNA interference and ISPC are unlikely to impact on public health. The steel vessel of Public Health is rent open, and the drug companies are selling us high-priced pots of caulk.

Do not, therefore, look to the drug companies to provide remedies for the appalling state of our health; nor to our politicians who seem unable, in many cases, to see far beyond the brims of their parliamentary troughs. Look, instead, to the food and beverage industries, and to a lesser extent the supplement companies, who may well step up to the plate with better designed foods and nutritional programmes once the currently profoundly counter-productive regulatory system has been re-drafted.

​ 

![Figure 1.][101]

[Figure 1.][102]

‘Moulders’ at the Murston brickfields. The ‘moulders’ shaped clay into bricks, each man making close on 1,000 every hour for an 8½ hour day and a 58 hour week. One brickie is on record as having made 986,091 bricks **...**

![Figure 2.][103]

[Figure 2.][104]

Causes of Death in England and Wales: 1880 and 1997. Reprinted from Charlton [[24][47]], vol. 2, p. 9.

## Footnotes

†This paper is an extended re-working of three papers published in the _Journal of the Royal Society of Medicine_ [[1][105]–[3][106]].

## References and Notes

1\. Clayton P, Rowbotham J. An unsuitable and degraded diet? Part 1: Public health lessons from the mid-Victorian working class diet. J. Roy. Soc. Med. 2008;101:282–289. [[PMC free article][107]] [[PubMed][108]]

2\. Clayton P, Rowbotham J. An unsuitable and degraded diet? Part 2. Realities of the mid-Victorian diet. J. Roy. Soc. Med. 2008;101:350–357. [[PMC free article][109]] [[PubMed][110]]

3\. Clayton P, Rowbotham J. An unsuitable and degraded diet? Part 3. Victorian consumption patterns and their health benefits. J. Roy. Soc. Med. 2008;101:454–462. [[PMC free article][111]] [[PubMed][112]]

4\. Hunt T. Building Jerusalem. The Rise and Fall of the Victorian City Weidenfeld and Nicholson; London, UK: 2004. Part 1.

5\. Wohl AS. The Eternal Slum: Housing and Social Policy in Victorian London. Transaction Books; London, UK: 2001. 

6\. Hunt T. Building Jerusalem. The Rise and Fall of the Victorian City Weidenfeld and Nicholson; London, UK: 2004. Chapter 7.

7\. Wohl AS. Endangered Lives Public Health in Victorian Britain. Dent and Sons; London, UK: 1983. 

8\. McKeown T. Reasons for the Decline in Mortality in England and Wales in the Nineteenth Century. Pop. Stud. 1962;16:94–122.

9\. Inkster I, Hill J, Griffin C, Rowbotham J, editors. The Golden Age. Essays in British Social and Economic History 1850–1870. Ashgate; Aldershot, UK: 2000. 

10\. Overton M. Agricultural Revolution in England: The Transformation of the Agrarian Economy 1500–1850. Cambridge University Press; Cambridge, UK: 1996. 

11\. Overton M. Agricultural Revolution in England: The Transformation of the Agrarian Economy 1500–1850. Cambridge University Press; Cambridge, UK: 1996. pp. 2–10.

12\. Daunton M. Wealth and Welfare: An Economic and Social History of Britain 1851–1951. Oxford University Press; Oxford, UK: 2007. 

13\. Bressey C. Down But Not Out; The Politics of the East End Poor and Those Who Investigated Their Lives. J. Urban Hist. 2008;34:688–694.

14\. Burnett J. A Social History of Housing 1815–1985 Routledge; London, UK: 1986. Part II, Chapters 6 and 7.

15\. Carlyle T. Chartism. James Fraser; London, UK: 1840. 

16\. Gaskell . North and South. Smith, Elder and Co.; London, UK: 1855. 

17\. Daunton M. Wealth and Welfare: An Economic and Social History of Britain 1851–1951. Oxford University Press; Oxford, UK: 2007. pp. 5–9.

18\. Pickering P, Tyrell A. The People’s Bread The History of the Anti-Corn Law League. Leicester University Press; London, UK: 2000. 

19\. Crafts N, Harley C. Output growth and the British industrial revolution: a restatement of the Crafts-Harley view. Econ. Hist. Rev. 2008;45:704–730.

20\. Auerbach J, Hoffenberg P. Britain, the Empire, and the World at the Great Exhibition of 1851. Ashgate; Aldershot, UK: 2008. 

21\. Kellett J. The Impact of Railways on Victorian Cities. Routledge and Kegan Paul; London, UK: 1969. 

22\. Burnett J. Plenty and Want A Social History of Food in England from 1815 to the Present Day Routledge; London, UK: 1989. Part II.

23\. Mayhew H. London Labour and the London Poor 1861\. 4 volumes; Penguin; Harmondsworth, UK: 19851Chapters 1–7

24\. Charlton J, Murphy M, editors. The Health of Adult Britain 1841–1994. Vol. 2. National Statistics; London, UK: 2004. 

25\. Burnett J. Plenty and Want A Social History of Food in England from 1815 to the Present Day Routledge; London, UK: 1989. Chapter 10.

26\. Leicester Burnett J, Oddy D, editors. The Origins and Development of Food Policies in Europe. University Press; London, UK: 1994. 

27\. Coleman T. The Railway Navvies. Pelican; London, UK: 1968. 

28\. Rowntree BS. Poverty. A Study of Town Life. Centennial Edition, Policy Press; London, UK: 2001. 

29\. Garrow J. Editorial. BMJ. 1994;308:934. [[PMC free article][113]] [[PubMed][114]]

30\. Floud R, Wachter K, Gregory A. Height, Health and History: Nutritional Status in the United Kingdom, 1750–1980. Cambridge University Press; Cambridge, UK: 1993. 

31\. Colquhoun A, Lyon P, Alexander E. Feeding minds and bodies: the Edwardian context of school meals. J. Nutrit. Health Sci. 2001;31:117–125.

32\. McKeown T. The Modern Rise of Population. Edward Arnold; London, UK: 1976. 

33\. McNay K, Humphries J, Klasen S. Cambridge Working Papers in Economics. University of Cambridge; Cambridge, UK: 1998. Death and Gender in Victorian England and Wales: Comparisons with Contemporary Developing Countries.

34\. Joyce M. The Right to Live: health, democracy and inequality Available at <http://www.iwca.info/cgi-bin/iwcacte.pl?record=3> (accessed August 2006).

35\. Harris B. Gender, health and welfare in England and Wales since industrialisation. Res. Econ. Hist. 2008;26:157–204.

36\. Roberts E. A Woman's Place. Blackwell; Oxford, UK: 1984. 

37\. Ross E. Love and Toil Motherhood in Outcast London 1870–1918. Oxford University Press; London, UK: 2002. 

38\. Colgrove J. The McKeown Thesis: A Historical Controversy and Its Enduring Influence. Am. J. Public Health. 2002;92:725–729. [[PMC free article][115]] [[PubMed][116]]

39\. Steadman Jones G. Outcast London A study in the relationship between classes in Victorian Society. Penguin; London, UK: 1984. 

40\. _8thReport of the Medical Officer of the Privy Council_, 1865, Parliamentary Papers, XXXIII, 1866.

41\. Mayhew H. London Labour and the London Poor. Vol. 4. Penguin; Harmondsworth, UK: 1861. 1985. p. 1.

42\. Kirton J. Buy Your Own Cherries. Jarrold and Sons; Norwich, UK: 1862. 

43\. Plain Cookery Recipes. Nelson; London, UK: 1875. 

44\. Halvorsen BL, Holte K, Myhrstad MC, Barikmo I, Hvattum E, Remberg SF, Wold AB, Haffner K, Baugerød H, Andersen LF, Moskaug Ø, Jacobs DR, Jr, Blomhoff RA. Systematic screening of total antioxidants in dietary plants. J. Nutr. 2002;132:461–471. [[PubMed][117]]

45\. Walton JK. Fish and Chips and the British Working Class, 1870–1940. Leicester University Press; London, UK: 1992. 

46\. Wigglesworth E. The Brewers and Licensed Victuallers Guide. Green and Co.; Leeds, UK: 1849. 

47\. Newsholme A, Scott M. Domestic Economy. Swann Sonnenschein; London, UK: 1892. 

48\. Wood H. Danesbury House. Scottish Temperance League: Edinburgh, UK; 1860. pp. 112–156.

49\. Harrison B. Drink and the Victorians: The Temperance Question in England, 1815–1872. 2nd Ed. Keele University Press; Edinburgh, UK: 1994. 

50\. Berridge V. Current and future alcohol policy: the relevance of history, CCBH. History and Policy; London, UK: Feb, 2006. 

51\. Hilton M. Smoking in British popular culture 1800–2000. Manchester University Press; Manchester, UK: 2000. 

52\. Brixius K, Willms S, Napp A, Tossios P, Ladage D, Bloch W, Mehlhorn U, Schwinger RH. Crataegus special extract WS 1442 induces an endothelium-dependent, NO-mediated vasorelaxation via eNOS-phosphorylation at serine 1177. Cardiovasc. Drug. Therapy. 2006;20:177–184. [[PubMed][118]]

53\. Asgary S, Naderi GH, Sadeghi M, Kelishadi R, Amiri M. Antihypertensive effect of Iranian Crataegus curvisepala Lind.: a randomized, double-blind study. Drug. Exp. Clin. Res. 2004;30:221–225. [[PubMed][119]]

54\. Kim SH, Kang KW, Kim KW, Kim ND. Procyanidins in crataegus extract evoke endothelium-dependent vasorelaxation in rat aorta. Life Sci. 2000;67:121–131. [[PubMed][120]]

55\. Veveris M, Koch E, Chatterjee SS. Crataegus special extract WS 1442 improves cardiac function and reduces infarct size in a rat model of prolonged coronary ischemia and reperfusion. Life Sci. 2004;74:1945–1955. [[PubMed][121]]

56\. Walker AF, Marakis G, Simpson E, Hope JL, Robinson PA, Hassanein M, Simpson HC. Hypotensive effects of hawthorn for patients with diabetes taking prescription drugs: a randomised controlled trial. Br. J. Gen. Pract. 2006;56:437–443. [[PMC free article][122]] [[PubMed][123]]

57\. Xie ML, Mao CP, Gu ZL, Chen KJ, Zhou WX, Guo CY. Effects of xiaoyu tablet on endothelin-1, nitric oxide, and apoptotic cells of atherosclerotic vessel wall in rabbits. Acta Pharmacol. Sin. 2002;23:597–600. [[PubMed][124]]

58\. Eguale T, Tilahun G, Debella A, Feleke A, Makonnen E. In vitro and in vivo anthelmintic activity of crude extracts of Coriandrum sativum against Haemonchus contortus. J. Ethnopharmacol. 2007;110:428–433. [[PubMed][125]]

59\. McCance RA, Widdowson EM. The Composition of Foods. 6th Ed. Food Standards Agency; London, UK: 2006. 

60\. O'Keefe JH, Jr, Cordain L. Cardiovascular disease resulting from a diet and lifestyle at odds with our Paleolithic genome: how to become a 21st-century hunter-gatherer. Mayo. Clin. Proc. 2004;79:101–108. [[PubMed][126]]

61\. Harrison B. Drink and the Victorians: The Temperance Question in England, 1815–1872. 2nd Ed. Keele University Press; Edinburgh, UK: 1994. 

62\. Berridge V. Current and future alcohol policy: the relevance of history, CCBH. History and Policy; London, UK: Feb, 2006. 

63\. Swift R. ‘Behaving Badly: Irish Migrants and Crime in the Victorian City’ In: Rowbotham J, Stevenson K, editors. Criminal Conversations: Victorian Crimes, Social Panic and Moral Outrage. Ohio University Press; Edinburgh, UK: 2005. 

64\. Williams R. The pervading influence of alcoholic liver disease in hepatology Alcohol Alcoholism 200843393–397.Review. [[PubMed][127]]

65\. Smith EB. The People’s Health. Croom Helm; London, UK: 1979. 

66\. Woods R. The Demography of Victorian England and Wales. Cambridge University Press; Cambridge, UK: 2000. 

67\. Burns A. Observations on some of the most frequent and important diseases of the heart; on aneurism of the thoracic aorta; on preternatural pulsation in the epigastric region; and on the unusual origin and distribution of some of the large arteries of the human body. Bryce; Edinburgh, UK: 1809. 

68\. Heberden W. Some Account of a Disorder of the Breast. Presented to the Royal College of Physicians, London, 1768, and published in Medical Transactions. Royal College of Physicians; London, UK: 1772. pp. 59–67.

69\. Morgagni GB. De sedibus et causis morborum per anatomen indagatis libri quinque. Remondini; Venice, Italy: 1761. 

70\. Virchow R. Die Cellularepathologie in ihrer begrundung auf physiologische and pathologische Gewebelehre. Hischwald; Berlin, Prussia, Germany: 1858. 

71\. Hyde Salter H. On the treatment of asthma by belladonna. The Lancet. 1869:152–153.

72\. Paget J. On the average duration of life in patients with scirrhous cancer of the breast. Lancet. 1856;1:62–63.

73\. USDA2 Food and Nutrient Intakes by Individuals in the United States, by Sex and Age, 1994–1996 Nationwide Food Surveys Report US Department of Agriculture, Agricultural Research Service; Washington DC, US: No. 96-2, 1998

74\. USDA1 The Continuing Survey of Food Intakes by Individuals and the Diet and Health Knowledge Survey US Department of Agriculture, Agricultural Research Service, Food Survey Research Group; Washington DC, US: 1994–1996.CD-Rom data.

75\. Gregory J, Collins D, Davies P, Hughes J, Clarke P. National Diet and Nutrition Survey. HMSO; London, UK: 2000. 

76\. Elia M, Stratton R, Russell C, Green C, Pan F, editors. The cost of disease-related malnutrition in the UK: considerations for the use of oral nutritional supplements (ONS) in adults. British Association for Parenteral and Enteral Nutrition; Redditch, UK: 2005. 

77\. Bardia A, Tleyjeh IM, Cerhan JR, Sood AK, Limburg PJ, Erwin PJ, Montori VM. Efficacy of antioxidant supplementation in reducing primary cancer incidence and mortality: systematic review and meta-analysis. Mayo Clin. Proc. 2008;83:23–34. [[PubMed][128]]

78\. Dennett DC. Sweet Dreams: Philosophical Obstacles to a Science of Consciousness. MIT Press; Cambridge, MA, USA: 2005. p. 178.

79\. Clayton P. Pharmageddon: The Limits to Pharmacutical Medicine – and What Lies Beyond. Royal Society of Medicine Press; London, UK: Jun, 2009. 

80\. Carbonaro M, Mattera M, Nicoli S, Bergamo P, Cappelloni M. Modulation of antioxidant compounds in organic vs conventional fruit (peach, Prunus persica L., and pear, Pyrus communis L.) J. Agr. Food Chem. 2002;50:5458–5462. [[PubMed][129]]

81\. Dani C, Oliboni LS, Vanderlinde R, Bonatto D, Salvador M, Henriques JA. Phenolic content and antioxidant activities of white and purple juices manufactured with organically- or conventionally-produced grapes. Food Chem. Toxicol. 2007;45:2574–2580. [[PubMed][130]]

82\. Pérez-López AJ, López-Nicolas JM, Núñez-Delicado E, Del Amor FM, Carbonell-Barrachina AA. Effects of agricultural practices on color, carotenoids composition, and minerals contents of sweet peppers, cv. Almuden. J. Agric. Food Chem. 2007;55:8158–8164. [[PubMed][131]]

83\. Gill C.Personal communication, 2008

84\. Lester GE, Manthey JA, Buslig BS. Organic vs conventionally grown Rio Red whole grapefruit and juice: comparison of production inputs, market quality, consumer acceptance, and human health-bioactive compounds. J. Agric. Food Chem. 2007;55:4474–4480. [[PubMed][132]]

85\. Halvorsen BL, Holte K, Myhrstad MC, Barikmo I, Hvattum E, Remberg SF, Wold AB, Haffner K, Baugerød H, Andersen LF, Moskaug Ø, Jacobs DR, Jr, Blomhoff R. A systematic screening of total antioxidants in dietary plants. J. Nutr. 2002;132:461–471. [[PubMed][117]]

86\. Ornish D, Magbanua MJ, Weidner G, Weinberg V, Kemp C, Green C, Mattie MD, Marlin R, Simko J, Shinohara K, Haqq CM, Carroll PR. Changes in prostate gene expression in men undergoing an intensive nutrition and lifestyle intervention. Proc. Natl. Acad. Sci. USA. 2008;105:8369–8374. [[PMC free article][133]] [[PubMed][134]]

87\. Traka M, Gaspar AV, Melchini A, Bacon JR, Needs PW, Frost V, Chantry A, Jones AME, Ortori CA, Barrett DA, Ball RY, Mills RD, Mithen RF. Broccoli Consumption Interacts with _GSTM1_ to Perturb Oncogenic Signalling Pathways in the Prostate PLoS ONE 20083e2568doi: 10.1371/journal.pone.0002568. [[PMC free article][135]] [[PubMed][136]]

88\. Ames BN, Elson-Schwab I, Silver EA. High-dose vitamin therapy stimulates variant enzymes with decreased coenzyme binding affinity (increased K(m)): relevance to genetic disease and polymorphisms. Am. J. Clin. Nutr. 2002;75:616–658. [[PubMed][137]]

* * *

Articles from International Journal of Environmental Research and Public Health are provided here courtesy of **Multidisciplinary Digital Publishing Institute (MDPI)**

## Formats:

* Article
| 
* [PubReader][138]
| 
* [ePub (beta)][139]
| 
* [PDF (138K)][140]
| 
* [Citation][25]

## Share

* ![Share on Facebook][141][ Facebook ][142]
* ![Share on Twitter][143][ Twitter ][144]
* ![Share on Google Plus][145][ Google+ ][146]

[Support Center][147] [Support Center][148]

External link. Please review our [privacy policy][149]. 

[NLM][150]

[NIH][151]

[DHHS][152]

[USA.gov][153]

[National Center for Biotechnology Information][154],  [U.S. National Library of Medicine][155] 8600 Rockville Pike, Bethesda MD, 20894 USA

[Policies and Guidelines][156] | [Contact][157]

![statistics][158]

[1]: https://www.ncbi.nlm.nih.gov/guide/browsers/#enablejs "Learn how to enable JavaScript"
[2]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/28977 "NCBI"
[3]: https://www.ncbi.nlm.nih.gov/ "NCBI Home"
[4]: https://www.ncbi.nlm.nih.gov#maincontent "Skip to the content"
[5]: https://www.ncbi.nlm.nih.gov#navcontent "Skip to the navigation"
[6]: https://www.ncbi.nlm.nih.gov/static/header_footer_ajax/submenu/#resources
[7]: https://www.ncbi.nlm.nih.gov/static/header_footer_ajax/submenu/#howto
[8]: https://www.ncbi.nlm.nih.gov/guide/browsers/#accesskeys "About My NCBI Accesskeys"
[9]: https://www.ncbi.nlm.nih.gov/myncbi/
[10]: https://www.ncbi.nlm.nih.gov/account/
[11]: https://www.ncbi.nlm.nih.gov/account/signout/
[12]: https://www.ncbi.nlm.nih.gov/pmc/
[13]: https://www.nlm.nih.gov/ "US National Library of Medicine"
[14]: https://www.nih.gov/ "National Institutes of Health"
[15]: https://www.ncbi.nlm.nih.gov/pmc/advanced/
[16]: https://www.ncbi.nlm.nih.gov/pmc/journals/
[17]: https://www.ncbi.nlm.nih.gov/books/NBK3825/
[18]: https://www.ncbi.nlm.nih.gov/pmc/journals/876/
[19]: https://www.ncbi.nlm.nih.gov/pmc/issues/178369/
[20]: https://www.ncbi.nlm.nih.gov/corehtml/pmc/pmcgifs/logo-ijerph.gif
[21]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.3390%2Fijerph6031235
[22]: https://www.ncbi.nlm.nih.gov/pubmed/?term=Clayton%20P%5BAuthor%5D&cauthor=true&cauthor_uid=19440443
[23]: https://www.ncbi.nlm.nih.gov/pubmed/?term=Rowbotham%20J%5BAuthor%5D&cauthor=true&cauthor_uid=19440443
[24]: mailto:dev%40null
[25]: https://www.ncbi.nlm.nih.gov#
[26]: https://www.ncbi.nlm.nih.gov/pmc/about/copyright/
[27]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2672390/citedby/
[28]: https://www.ncbi.nlm.nih.gov#b4-ijerph-06-01235
[29]: https://www.ncbi.nlm.nih.gov#b5-ijerph-06-01235
[30]: https://www.ncbi.nlm.nih.gov#b6-ijerph-06-01235
[31]: https://www.ncbi.nlm.nih.gov#b8-ijerph-06-01235
[32]: https://www.ncbi.nlm.nih.gov#b9-ijerph-06-01235
[33]: https://www.ncbi.nlm.nih.gov#b10-ijerph-06-01235
[34]: https://www.ncbi.nlm.nih.gov#b11-ijerph-06-01235
[35]: https://www.ncbi.nlm.nih.gov#b12-ijerph-06-01235
[36]: https://www.ncbi.nlm.nih.gov#b13-ijerph-06-01235
[37]: https://www.ncbi.nlm.nih.gov#b14-ijerph-06-01235
[38]: https://www.ncbi.nlm.nih.gov#b15-ijerph-06-01235
[39]: https://www.ncbi.nlm.nih.gov#b16-ijerph-06-01235
[40]: https://www.ncbi.nlm.nih.gov#b17-ijerph-06-01235
[41]: https://www.ncbi.nlm.nih.gov#b18-ijerph-06-01235
[42]: https://www.ncbi.nlm.nih.gov#b19-ijerph-06-01235
[43]: https://www.ncbi.nlm.nih.gov#b20-ijerph-06-01235
[44]: https://www.ncbi.nlm.nih.gov#b21-ijerph-06-01235
[45]: https://www.ncbi.nlm.nih.gov#b22-ijerph-06-01235
[46]: https://www.ncbi.nlm.nih.gov#b23-ijerph-06-01235
[47]: https://www.ncbi.nlm.nih.gov#b24-ijerph-06-01235
[48]: https://www.ncbi.nlm.nih.gov#b25-ijerph-06-01235
[49]: https://www.ncbi.nlm.nih.gov#b26-ijerph-06-01235
[50]: https://www.ncbi.nlm.nih.gov#b27-ijerph-06-01235
[51]: https://www.ncbi.nlm.nih.gov#b28-ijerph-06-01235
[52]: https://www.ncbi.nlm.nih.gov#b29-ijerph-06-01235
[53]: https://www.ncbi.nlm.nih.gov#b30-ijerph-06-01235
[54]: https://www.ncbi.nlm.nih.gov#b31-ijerph-06-01235
[55]: https://www.ncbi.nlm.nih.gov#b32-ijerph-06-01235
[56]: https://www.ncbi.nlm.nih.gov#b33-ijerph-06-01235
[57]: https://www.ncbi.nlm.nih.gov#b34-ijerph-06-01235
[58]: https://www.ncbi.nlm.nih.gov#b35-ijerph-06-01235
[59]: https://www.ncbi.nlm.nih.gov#b37-ijerph-06-01235
[60]: https://www.ncbi.nlm.nih.gov#b38-ijerph-06-01235
[61]: https://www.ncbi.nlm.nih.gov#b39-ijerph-06-01235
[62]: https://www.ncbi.nlm.nih.gov#b40-ijerph-06-01235
[63]: https://www.ncbi.nlm.nih.gov#b41-ijerph-06-01235
[64]: https://www.ncbi.nlm.nih.gov#b42-ijerph-06-01235
[65]: https://www.ncbi.nlm.nih.gov#b43-ijerph-06-01235
[66]: https://www.ncbi.nlm.nih.gov#b44-ijerph-06-01235
[67]: https://www.ncbi.nlm.nih.gov#b45-ijerph-06-01235
[68]: https://www.ncbi.nlm.nih.gov#b36-ijerph-06-01235
[69]: https://www.ncbi.nlm.nih.gov#b46-ijerph-06-01235
[70]: https://www.ncbi.nlm.nih.gov#b47-ijerph-06-01235
[71]: https://www.ncbi.nlm.nih.gov#b48-ijerph-06-01235
[72]: https://www.ncbi.nlm.nih.gov#b49-ijerph-06-01235
[73]: https://www.ncbi.nlm.nih.gov#b50-ijerph-06-01235
[74]: https://www.ncbi.nlm.nih.gov#b51-ijerph-06-01235
[75]: https://www.ncbi.nlm.nih.gov#b52-ijerph-06-01235
[76]: https://www.ncbi.nlm.nih.gov#b57-ijerph-06-01235
[77]: https://www.ncbi.nlm.nih.gov#b58-ijerph-06-01235
[78]: https://www.ncbi.nlm.nih.gov#b59-ijerph-06-01235
[79]: https://www.ncbi.nlm.nih.gov#b60-ijerph-06-01235
[80]: https://www.ncbi.nlm.nih.gov#b61-ijerph-06-01235
[81]: https://www.ncbi.nlm.nih.gov#b62-ijerph-06-01235
[82]: https://www.ncbi.nlm.nih.gov#b63-ijerph-06-01235
[83]: https://www.ncbi.nlm.nih.gov#b65-ijerph-06-01235
[84]: https://www.ncbi.nlm.nih.gov#b66-ijerph-06-01235
[85]: https://www.ncbi.nlm.nih.gov#b67-ijerph-06-01235
[86]: https://www.ncbi.nlm.nih.gov#b70-ijerph-06-01235
[87]: https://www.ncbi.nlm.nih.gov#b71-ijerph-06-01235
[88]: https://www.ncbi.nlm.nih.gov#b72-ijerph-06-01235
[89]: https://www.ncbi.nlm.nih.gov#b73-ijerph-06-01235
[90]: https://www.ncbi.nlm.nih.gov#b74-ijerph-06-01235
[91]: https://www.ncbi.nlm.nih.gov#b75-ijerph-06-01235
[92]: https://www.ncbi.nlm.nih.gov#b76-ijerph-06-01235
[93]: https://www.ncbi.nlm.nih.gov#b77-ijerph-06-01235
[94]: https://www.ncbi.nlm.nih.gov#b78-ijerph-06-01235
[95]: https://www.ncbi.nlm.nih.gov#b79-ijerph-06-01235
[96]: https://www.ncbi.nlm.nih.gov#b80-ijerph-06-01235
[97]: https://www.ncbi.nlm.nih.gov#b85-ijerph-06-01235
[98]: https://www.ncbi.nlm.nih.gov#b86-ijerph-06-01235
[99]: https://www.ncbi.nlm.nih.gov#b87-ijerph-06-01235
[100]: https://www.ncbi.nlm.nih.gov#b88-ijerph-06-01235
[101]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2672390/bin/ijerph-06-01235f1.gif "Figure 1."
[102]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2672390/figure/f1-ijerph-06-01235/
[103]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2672390/bin/ijerph-06-01235f2.gif "Figure 2."
[104]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2672390/figure/f2-ijerph-06-01235/
[105]: https://www.ncbi.nlm.nih.gov#b1-ijerph-06-01235
[106]: https://www.ncbi.nlm.nih.gov#b3-ijerph-06-01235
[107]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2408622/
[108]: https://www.ncbi.nlm.nih.gov/pubmed/18515775
[109]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2442131/
[110]: https://www.ncbi.nlm.nih.gov/pubmed/18591688
[111]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2587384/
[112]: https://www.ncbi.nlm.nih.gov/pubmed/18779247
[113]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2539798/
[114]: https://www.ncbi.nlm.nih.gov/pubmed/8173398
[115]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1447153/
[116]: https://www.ncbi.nlm.nih.gov/pubmed/11988435
[117]: https://www.ncbi.nlm.nih.gov/pubmed/11880572
[118]: https://www.ncbi.nlm.nih.gov/pubmed/16779533
[119]: https://www.ncbi.nlm.nih.gov/pubmed/15700749
[120]: https://www.ncbi.nlm.nih.gov/pubmed/10901280
[121]: https://www.ncbi.nlm.nih.gov/pubmed/14761675
[122]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1839018/
[123]: https://www.ncbi.nlm.nih.gov/pubmed/16762125
[124]: https://www.ncbi.nlm.nih.gov/pubmed/12100751
[125]: https://www.ncbi.nlm.nih.gov/pubmed/17113738
[126]: https://www.ncbi.nlm.nih.gov/pubmed/14708953
[127]: https://www.ncbi.nlm.nih.gov/pubmed/18385413
[128]: https://www.ncbi.nlm.nih.gov/pubmed/18173999
[129]: https://www.ncbi.nlm.nih.gov/pubmed/12207491
[130]: https://www.ncbi.nlm.nih.gov/pubmed/17683842
[131]: https://www.ncbi.nlm.nih.gov/pubmed/17822289
[132]: https://www.ncbi.nlm.nih.gov/pubmed/17474757
[133]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2430265/
[134]: https://www.ncbi.nlm.nih.gov/pubmed/18559852
[135]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2430620/
[136]: https://www.ncbi.nlm.nih.gov/pubmed/18596959
[137]: https://www.ncbi.nlm.nih.gov/pubmed/11916749
[138]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2672390/?report=reader
[139]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2672390/epub/
[140]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2672390/pdf/ijerph-06-01235.pdf
[141]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047626
[142]: https://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2672390%2F
[143]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047627
[144]: https://twitter.com/intent/tweet?url=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2672390%2F&text=How%20the%20Mid-Victorians%20Worked%2C%20Ate%20and%20Died
[145]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047628
[146]: https://plus.google.com/share?url=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2672390%2F
[147]: 
[148]: https://support.ncbi.nlm.nih.gov/ics/support/KBList.asp?Time=2018-02-23T09:33:38-05:00&Snapshot=%2Fprojects%2FPMC%2FPMCViewer@4.45&Host=ptpmc201&ncbi_phid=F4FB7E4FA9025D4100000000006A0063&ncbi_session=F4FB7E4FA9026421_0106SID&from=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2672390%2F&Db=pmc&folderID=132&Ncbi_App=pmc&Page=literature&style=classic&deptID=28049
[149]: https://www.nlm.nih.gov/privacy.html
[150]: https://www.nlm.nih.gov "NLM"
[151]: https://www.nih.gov "NIH"
[152]: https://www.hhs.gov "DHHS"
[153]: https://www.usa.gov "USA.gov"
[154]: https://www.ncbi.nlm.nih.gov
[155]: https://www.nlm.nih.gov/
[156]: https://www.ncbi.nlm.nih.gov/home/about/policies.shtml
[157]: https://www.ncbi.nlm.nih.gov/home/about/contact.shtml
[158]: /stat?jsdisabled=true&ncbi_db=pmc&ncbi_pdid=article&ncbi_acc=&ncbi_domain=ijerph&ncbi_report=record&ncbi_type=fulltext&ncbi_objectid=&ncbi_pcid=/articles/PMC2672390/&ncbi_app=pmc

