---
created_at: '2014-07-03T02:34:31.000Z'
title: How To Travel the World Without Jet Lag (2009)
url: http://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/
author: sinak
points: 41
story_text: ''
comment_text: 
num_comments: 17
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1404354871
_tags:
- story
- author_sinak
- story_7981168
objectID: '7981168'

---
[Source](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/ "Permalink to How To Travel the World Without Jet lag")

# How To Travel the World Without Jet lag

**Warning:** The NCBI web site requires JavaScript to function. [more...][1]
* [NCBI![NCBI Logo][2]][3]
* [Skip to main content][4]
* [Skip to navigation][5]
* [Resources][6]
* [How To][7]
* [About NCBI Accesskeys][8]

[My NCBI][9][Sign in to NCBI][10][Sign Out][11]

# [PMC][12]

[US National Library of Medicine][13]   
[National Institutes of Health][14]

Search databasePMCAll DatabasesAssemblyBiocollectionsBioProjectBioSampleBioSystemsBooksClinVarCloneConserved DomainsdbGaPdbVarESTGeneGenomeGEO DataSetsGEO ProfilesGSSGTRHomoloGeneIdentical Protein GroupsMedGenMeSHNCBI Web SiteNLM CatalogNucleotideOMIMPMCPopSetProbeProteinProtein ClustersPubChem BioAssayPubChem CompoundPubChem SubstancePubMedPubMed HealthSNPSparcleSRAStructureTaxonomyToolKitToolKitAllToolKitBookghUniGene

Search term

Search

* [Advanced][15]
* [Journal list][16]
* [Help][17]
* [Journal List][16]
* [HHS Author Manuscripts][18]
* PMC2829880

![Logo of nihpa][19]

Sleep Med Clin. Author manuscript; available in PMC 2010 Jun 1.

Published in final edited form as:

Sleep Med Clin. 2009 Jun 1; 4(2): 241–255. 

doi:  [10.1016/j.jsmc.2009.02.006][20]

PMCID: PMC2829880

NIHMSID: NIHMS166069

# How To Travel the World Without Jet lag

[Charmane I. Eastman][21], Ph.D.a,b and [Helen J. Burgess][22], Ph.D.c,d

a Professor, Behavioral Sciences Dept., Rush University Medical Center, Chicago

b Director, Biological Rhythms Research Laboratory, Rush University Medical Center

c Associate Professor, Behavioral Sciences Dept., Rush University Medical Center, Chicago

d Associate Director, Biological Rhythms Research Laboratory, Rush University Medical Center

a Corresponding author for proofs and reprints: Charmane I. Eastman, Ph.D., Biological Rhythms Research Laboratory, Rush University Medical Center, 1645 W. Jackson Blvd, Suite 425, Chicago IL 60612 USA, Ph. 312 563 4787, Fax. 312 563 4900, [ude.hsur@namtsaec][23]

cCoauthor address: Helen J. Burgess, Ph.D., Biological Rhythms Research Laboratory, Rush University Medical Center, 1645 W. Jackson Blvd, Suite 425, Chicago IL 60612 USA, Ph. 312 563 4785, Fax. 312 563 4900, [ude.hsur@ssegruB_J_neleH][23]

[Author information ►][24] [Article notes ►][24] [Copyright and License information ►][24]

**Keywords: **jet lag, phase response curves, melatonin, bright light, sleep, circadian rhythms

[Copyright notice][25] and [Disclaimer][26]

[Publisher's Disclaimer][27]

See other articles in PMC that [cite][28] the published article.

Several reviews on jet lag by us [[1][29], [2][30]] and others [[3][31], [4][32]] have recently been published. The focus of this article is on describing in detail how melatonin, bright light and sleep schedules can be used in conjunction with currently available flight times to reduce or eliminate jet lag. Our aim is to educate circadian rhythm researchers and sleep clinicians about the principles involved, so that they can make similar jet travel schedules customized for individuals traveling in any direction across multiple time zones.

## Symptoms, Health and Safety Consequences of Jet Lag

Jet travel across multiple time zones produces jet lag, which includes difficulty initiating or maintaining nighttime sleep, daytime sleepiness, decreased alertness, loss of concentration, impaired performance, fatigue, irritability, disorientation, depressed mood and gastrointestinal disturbance [[5][33]–[8][34]]. Jet lag is not just the bane of tourists; it can impair the judgment of businesspeople and politicians, compromise the performance of athletes [[5][33], [6][35]], and poses a threat to public safety as it affects diplomats and the military [[9][36], [10][37]]. In 2007, over 31 million U.S. residents flew overseas, with about 12 million traveling to Europe and 7 million to Asia [[11][38]]. This census does not even include military or government flights. Those traveling for business and conventions took an average of 4.5 trips in the year [[11][38]].

Frequent jet travel has long term health risks. Cognitive deficits [[12][39]], temporal lobe atrophy, as determined by MRI scans [[13][40]], and disturbances in the menstrual cycle [[14][41]] can all occur with frequent jet travel. Following transmeridian travel it is likely that meals will be eaten at inappropriate circadian phases, and repeated occurrence of this could increase the risk of cardiovascular disease and type II diabetes [[15][42]]. There is an increased risk of cancer in flight attendants who frequently fly across many time zones [[16][43]–[18][44]]. Work in mice has shown that chronic jet lag accelerates the development of malignant tumors and reduces survival times [[19][45]]. Finally, old mice subjected to weekly 6 h phase shifts in the light-dark (LD) cycle died sooner when the LD cycle was advanced (equivalent to trips east across 6 time zones) than when it was delayed (trips west), and both groups died sooner than controls who were not shifted [[20][46]]. Thus, the effects of jet lag, both short and long term, are a public health issue that need to be addressed, and there is a need to prevent or at least minimize jet lag.

## Duration of Jet Lag and Why There Is More Jet Lag After Flying East

Jet lag is caused by a temporary misalignment between the endogenous circadian clock, specifically the dorsomedial region of the SCN [[21][47]], which controls the body’s circadian rhythms and the destination time zone and sleep/wake schedule. Thus, the symptoms of jet lag dissipate as the circadian clock is gradually reset (gradually phase shifts) to re-align (re-entrain) to the time cues (zeitgebers) of the new time zone, primarily the LD cycle. Flying east requires a phase advance of the circadian clock, and flying west requires a phase delay. For example, when it is early in the day in the U.S., it may already be approaching nighttime in Europe. Common language for those in the U.S. is to say that Europe is ahead of us, and when you arrive there you have to set your wristwatch ahead by moving the hands later. However, your circadian clock has to be reset earlier, and the technical term is a phase advance. For example, if you flew east 7 time zones (e.g. Chicago to Paris) and expect to go to sleep at midnight in Paris, you are really trying to go to sleep at 5:00 pm according to the time of your circadian clock, which is still on Chicago time. You are trying to go to sleep earlier, to advance the time of your sleep, and your internal circadian clock has to phase advance to re-align with your advanced sleep schedule and the new local time.

It takes longer to reset or re-entrain the circadian clock following eastward than westward flight [[22][48], [23][49]], which can be explained, at least in part, by the fact that the average free-running period (tau) of the human circadian clock is slightly longer than 24 h [[24][50]–[26][51]]. Thus most humans already have a natural tendency to drift slighter later each day, and it is much more difficult to phase advance the human circadian clock than to phase delay it [[27][52]–[29][53]], even in older people [[30][54]]. Early estimates from real jet travelers are that the circadian clock phase delays 92 min/day after westward flights and phase advances 57 min/day after eastward flights [[22][48]]. Laboratory studies with an abrupt shift of the sleep/wake schedule, which mimics what happens after jet travel, show that the circadian clock can phase shift faster when people are exposed to bright light at the appropriate time. For example, in a study in which the sleep schedule was shifted 12 h [[31][55]], which is the largest possible shift, circadian rhythms shifted 9.6 h over the first 4 days when they phase delayed (2.4 h/day or 144 min/day) and 6.2 h when they phase advanced (1.6 h/day or 93 min/day, see Fig. 1 in [[28][56]]). Previously we have developed jet travel plans assuming phase advances of 1.5 h/day and phase delays of 2 h/day, given appropriately timed bright light after landing [[32][57]]. These numbers are estimates, and as explained below the exact magnitude of the phase shift will vary depending on the individual and the timing and intensity of bright light they receive at their destination. More research in real jet travelers is required to know the magnitude of the phase shifts that can be produced using schedules of bright light exposure and avoidance after landing.

However, the jet travel plans we present later do not include the large abrupt shifts of the sleep schedule typical after crossing many time zones, because this is what causes circadian misalignment. In the example with the 12 h abrupt shift mentioned above [[28][56]], the circadian clock was still misaligned with the sleep schedule 8 days after the shift when the clock phase advanced, and was just approaching complete re-entrainment 4 days after the shift when the clock phase delayed. Thus for many days jet lag symptoms would have been felt. This example also illustrates directional asymmetry; the circadian clock phase delays faster than it phase advances. In the jet travel plans we present later, we use bright light to shift the circadian clock, but we also gradually shift the sleep schedule to keep it aligned with the shifting circadian clock, thus avoiding circadian misalignment and jet lag. Before presenting these plans, we will show what happens with an abrupt shift of the sleep schedule, which is what most people subject themselves to after flying across many time zones.

[Figure 1][58] shows what might happen to the circadian clock of Henry, marked by the time of his temperature minimum (Tmin) shown by the triangles. At home in San Francisco, Henry typically sleeps from 11:30 pm to 7:00 am and remains on this sleep schedule in China, thus producing an abrupt 9 h delay of his sleep schedule and an abrupt 9 h advance after returning home. Under usual circumstances, the Tmin occurs about 3 to 4.5 h before wake time with an 8 h sleep episode [[33][59]]. While home, Henry usually only allows himself 7.5 h of sleep. He cuts his sleep short by waking up earlier than would be natural (although he probably sleeps later on the weekends), so we estimate his Tmin to be 3 h before wake, at 4:00 am. After the trip west from San Francisco to Beijing, his circadian clock phase delays 1.5 h/day, and complete re-entrainment, with the Tmin in the same phase relationship to sleep (3 h before wake), occurs 5 days after landing. In contrast, after the return flight east his circadian clock may phase advance by 1 h/day (shown by the filled triangles), and it takes much longer for complete re-entrainment to occur (9 days). However, it is possible that on his return flight his circadian clock will phase delay rather than phase advance (shown by the open triangles), and in this case complete re-entrainment will take 10 days. When the circadian clock phase shifts in the opposite direction to the shift in the LD cycle and sleep/wake schedule, this is considered re-entrainment in the “wrong” direction (antidromic re-entrainment).

![Figure 1][60]

[Figure 1][58]

Diagram showing a round trip flight from San Francisco to Beijing, China across 9 time zones. The rectangle on days 0–1 shows the time of the flight from San Francisco to Beijing (westward flight) and the rectangle on day 9 shows the return flight **...**

Antidromic re-entrainment is common following eastward travel, especially when 8 or more time zones are crossed [[23][49], [34][61]–[37][62]]. For example, in one study [[37][62]], subjects flew 11 time zones east and the circadian rhythm of endogenous melatonin was assessed before and after the flight. Seven of the 8 subjects re-entrained by phase delaying instead of phase advancing. In another study with similar methodology [[35][63]], 6 subjects flew 8 time zones east, but only 4 of them phase advanced. The melatonin rhythm of one subject phase delayed instead of phase advancing. Even more dramatic is that the melatonin rhythm of the sixth subject did not shift at all, even after 5 days in the new time zone (Los Angeles). Indeed, a previous study from our laboratory showed that phase advancing and phase delaying forces can conflict, resulting in essentially no phase shift [[27][52]].

Jet lag symptoms are the worst when the Tmin occurs during the waking period, because the traveler will be sleepy in the hours surrounding the Tmin, and will also have difficulty sleeping at times that are far from the Tmin. Even if adequate sleep is obtained (e.g. by using hypnotics or because there is a lot of previous sleep deprivation or because the individual is “phase tolerant,” [[38][64]] and able to sleep at the wrong circadian phase) daytime activities will be impaired, especially near the Tmin. With age we become less phase-tolerant [[39][65]–[41][66]], and it follows that we will suffer more from the circadian misalignment of jet lag. Jet lag is not just due to loss of sleep on the day of travel. Such a sleep debt can be substantially “made up” the next night, but jet lag lingers due to circadian misalignment and the relatively slow moving circadian clock.

Henry ([Fig. 1][58]) should start to feel good by day 3 after flying west to Beijing because his Tmin, which marks the sleepiest circadian time, will occur at the beginning of sleep, and it feels good to go to bed when you are very sleepy. This is the phase relationship assumed by people living in temporal isolation who free-run with all their rhythms synchronized (see Fig. 7 in [[42][67]] and Fig. 17 in [[24][50]]). After the return trip east, if Henry’s circadian clock phase advances (filled triangles) he should start to feel good by day 16, waking up slightly after the Tmin. We have often said that the goal for circadian adaptation to jet lag and to night shift work is to at least get the Tmin within the sleep episode (e.g. [[28][56], [43][68]]). However, when the Tmin is phase advancing into the sleep episode it may be better to phase advance it 1 or 2 h into sleep, because waking up at the sleepiest time is unpleasant. Eastman & Martin [[28][56]] previously estimated that good sleep can be obtained for 6 h before and 6 h after the Tmin, based on the results of several studies (e.g. [[44][69]]), and that this interval may widen with increasing sleep debt. Therefore, Henry should have the most difficulty maintaining sleep on day 2, and later on will have difficulty sleeping especially on days 11–14.

## Light and Melatonin Phase Response Curves

The most effective treatments for jet lag rely on shifting the circadian clock to the new time zone as fast as possible. To understand these schemes you have to understand phase response curves (PRCs). [Figure 2][70] shows that bright light can help produce phase advances when applied late in the sleep episode and in the morning after the Tmin, and can help produce phase delays when applied early in the sleep episode before the Tmin. Most human light PRCs show the crossover point from phase advances to phase delays around the time of the Tmin or a little later [[28][56], [45][71]–[47][72]]. [Figure 2][70] also shows that melatonin pills produce the greatest phase advances when taken in the afternoon and the greatest phase delays when taken in the morning. Note that melatonin pills in the U.S. are classed as a dietary supplement and are not FDA approved for treating jet lag. However a wide body of research, including the melatonin PRC in [Figure 2][70], indicates that melatonin pills do effectively shift the circadian clock, and thus are a useful tool for reducing jet lag. It is often said that the light and melatonin PRCs are 180 degrees out of phase, but [Figure 2][70] shows this to be a bit of an oversimplification.

![Figure 2][73]

[Figure 2][70]

Phase response curves (PRCs) generated from subjects free-running through an ultradian LD cycle (LD 2.5:1.5) for three 24 h days. Melatonin pills (3.0 mg) or bright light pulses (2 h of ~ 3500 lux) were given each day, with different subjects receiving **...**

The light PRC can explain why Henry’s circadian clock might phase delay rather than phase advance after the return flight east from China (i.e. antidromic re-entrainment). In the first few days back home, days 10–12 in [Figure 1][58], if he spends more time outside before his Tmin than after, this light could push his circadian clock to phase delay (c.f. Fig. 2 in [[28][56]]) even though the zeitgebers and his sleep schedule advanced. We can also imagine that if he was exposed to enough phase advancing light on some days and phase delaying light on others, the net effect could be no phase shift at all. Again, we have seen this occur in a laboratory study [[27][52]], and it was observed in the traveler mentioned earlier that flew 8 time zones east [[35][63]]. Travelers often develop superstitions about which procedures help them overcome jet lag. It is probable that the time of landing combined with the light exposure during the first few days after landing explains most of the improvement commonly attributed to other factors, such as diet or the amount of sleep obtained during the flight. Of course, sleep deprivation due to the flight will have its consequences, but as mentioned earlier one night of sleep deprivation can be mostly made up in a day, whereas jet lag can last much longer.

[Figure 2][70] shows roughly equivalent magnitudes of phase advances for these two specific doses of melatonin and bright light. The melatonin dose of 3.0 mg is typically sold over the counter (OTC) as a sleeping aid and produces pharmacological levels of melatonin. The light level of 3,500 lux is more intense than what is usually obtained indoors and was produced by bright light boxes. Outdoor sunlight is even more intense, ranging from about 10,000 to 100,000 lux. The roughly equivalent maximum phase advances in these two PRCs may be a surprise to many circadian rhythm researchers who consider bright light to be more powerful at phase shifting the clock. However, part of this pre-conception comes from comparison between previous light PRCs in which the sleep/dark episode was shifted many hours in a lab (e.g. [[48][74]]), and the melatonin PRC in which sleep was at home and was not shifted and therefore the magnitude of the phase shift was constrained by entrainment to the 24 h day [[49][75]]. In our PRCs shown in [Figure 2][70], the subjects were free-running and free to phase shift without constraint. In order to more accurately compare PRCs for light and melatonin they need to be generated using the same protocol. So far only our PRCs in [Fig 2][70] are available for such a comparison. But even the comparison in [Fig 2][70] is preliminary because the light PRC has so few points. Thus, the fact that there are roughly equivalent phase advances and a slightly larger phase delay with light given these two particular doses should be considered preliminary.

[Figure 2][70] shows that the light and melatonin PRCs have times of reduced sensitivity, times when the zeitgeber has very little phase shifting effect. These are often called “dead zones,” and are a common feature of PRCs [[50][76]]. The dead zone in the light PRC in our figure is hypothetical because we do not yet have data in that region, but some other human light PRCs appear to have minimal phase shifts there, in the middle of the day (e.g. [[47][72]]). In contrast, the human bright light PRC does not have much of a dead zone when generated in protocols containing a sleep/dark episode that is shifted (e.g. [[48][74], [51][77]]). In these protocols, not only is bright light applied in the middle of the day, but the slight shift of sleep/dark permits dim light to impinge upon the sensitive portions of the PRC. This dim light could be responsible for the small phase shifts. In any case, humans are like other animals in that the timing of the circadian clock is not strongly affected by bright light in the middle of the day.

The dead zone in the 3 mg melatonin PRC shows that melatonin taken 1 or 2 hours before usual sleep onset and in the first half of the usual sleep episode will not greatly phase shift the clock. One explanation for this is that the dead zone begins when endogenous melatonin is first secreted from the pineal gland, marked by the DLMO, and ends several hours later on the falling limb of the melatonin profile, after the pineal gland has shut off or greatly reduced its production of melatonin, a time often referred to as the SynOff [[52][78]]. Thus, exogenous melatonin has more of a phase shifting effect when there is less endogenous melatonin in the circulation, just like bright light has more of a phase shifting effect at night, when bright light is ordinarily not present.

[Figure 3][79] shows that melatonin PRCs to different doses of melatonin have different shapes, just as light PRCs to different durations of light have different shapes (e.g. [[53][80]]). The maximum of the phase advance portion of the 3 mg PRC is a few h earlier than for the 0.5 mg PRC. Our working estimates for the best times to take these doses to help produce the largest phase advance is as follows. Take the 3 mg dose 5 h before the DLMO, or 7.5 h before usual sleep onset, or 12 h before the Tmin. Take the 0.5 mg dose 2 h before the DLMO, 4.5 h before sleep or 9 h before the Tmin. Note that our recommended times for the 0.5 mg dose are based on a PRC to which there was no curve fit [[49][75]] and thus our estimates of the optimal time to take the 0.5 mg dose vary slightly depending on what curve fitting procedures we use (e.g. Fig. 1 in [[1][29]]). A further caveat to directly comparing these two melatonin PRCs is that they were generated from different protocols. We are currently generating a 0.5 mg PRC using the same method we used to generate the 3.0 mg PRC, with subjects free-running through an ultradian LD cycle, so we will have a better comparison of the PRC shapes to these different doses of melatonin in the near future. Importantly, the working estimates mentioned above for giving these doses for maximum phase advances are more precise when using the numbers relative to the DLMO than those relative to sleep onset or the Tmin. That is because both melatonin PRCs were generated using the DLMO as a phase marker, whereas the times for sleep onset and the Tmin were derived from the DLMO based on averages from our studies and others (e.g. [[54][81]–[56][82]]). Of course, we often do not know the time of an individual’s DLMO unless we invest the time and money to measure it. So most often the advice on when to take melatonin is referenced to the individual’s typical sleep onset time. Despite these limitations, if the timing of the dose ends up being about 2 h earlier or later than the ideal (relative to the DLMO), it will still fall within a high amplitude part of the advance portions of these melatonin PRCs and will still help to phase advance the circadian clock (see [Fig. 3][79]).

![Figure 3][83]

[Figure 3][79]

The melatonin PRC to 3.0 mg from [Figure 2][70] and a melatonin PRC to 0.5 mg. The curve for 0.5 mg was fit to the data of Lewy et al. The human phase response curve (PRC) to melatonin is about 12 hours out of phase with the PRC to light. Chronobiol Int 1998; **...**

Obviously there is a need to generate PRCs to different doses of melatonin besides 0.5 and 3 mg. Other doses are available over the counter and on the internet in the U.S. However, we have chosen to start with these two doses because the 0.5 mg dose is a low dose intended only for phase shifting the circadian clock and in which sleepiness is an unwanted side effect. The 3.0 mg dose is a large, pharmacological dose, marketed primarily for its soporific effects. Despite melatonin often being marketed as a sleep aid melatonin is not universally associated with sleep or increased sleepiness, because in nocturnal animals melatonin is associated with waking activity. Instead the release of melatonin appears to signal darkness.

## How to Minimize or Avoid Jet Lag

Now that we know when to apply bright light or give melatonin pills to get the largest phase shifts, how can we help Henry minimize or avoid jet lag? [Figure 4][84] shows one possibility. Henry uses a bright light box in the 2 h before sleep the 2 nights before the flight to China. Note that commercially available light boxes are usually advertised for the treatment of winter depression or seasonal affective disorder (SAD), but these boxes are also useful for helping to phase shift the circadian clock, and therefore for minimizing or avoiding jet lag. In addition to using the light box, Henry also goes to bed 2.5 h later on day -1 which helps place the bright light exposure closer to the Tmin and into a higher amplitude part of the phase delay portion of the light PRC (see [Fig. 2][70]). He delays bedtime by 2 h for the next 2 nights to keep up with the phase delaying circadian clock and its PRC, which is also phase delaying, so that the bright light will continue to coincide with the delay portion of the light PRC. The bright light on day -1 helps push the Tmin 2 h later, from 4:00 to 6:00 am, and the bright light on day 0 helps phase delay the Tmin another 2 h to 8:00 am. Bright light is avoided after waking (indicated by the Ds) because it could coincide with the phase advance portion of the light PRC. Thus during this time Henry would do well to wear very dark sunglasses if he needed to go outside. For the same reason, it is necessary to sleep in a dark bedroom, or if that is not possible to use an eye mask while in bed. An early study in which the sleep schedule was delayed 2 h/day and bright light from light boxes (about 2000–4000 lux) was used in the 2 h before bed showed that the Tmin of most subjects entrained to the 26 h day, i.e., they phase delayed by 2 h/day [[57][85]], so a phase delay of 2 h/day is a reasonable estimate when a light box is used. After landing, the light exposure that Henry receives (days 1–3) is unpredictable and dependent on his activities, the weather and temperature in Beijing. So we show his Tmin phase delaying by only 1 h/day. A study of subjects kept in room light (70 lux) showed that the circadian clock phase delayed by about 1 h/day with a sleep schedule delay of 2 h/day [[58][86]], so we think that 1 h/day is a reasonable estimate for how Henry’s circadian clock will phase delay after landing. If Henry happens to be exposed to enough bright light before bed, his circadian clock might phase delay even faster. The phase delays stop when complete re-entrainment is reached.

![Figure 4][87]

[Figure 4][84]

The same flight schedule as in [Figure 1][58], but in this case Henry gradually changes the time of his sleep episodes (dark), controls light exposure and takes melatonin to phase shift his circadian clock and avoid circadian misalignment and jet lag. Bright **...**

In order to phase advance his circadian clock back to San Francisco time, Henry uses bright light in the morning and melatonin in the afternoon (days 8–15). He also advances his sleep schedule by 1 h/day. In a recent study, we showed that a 1 h/day advance of the sleep schedule combined with intermittent bright light from light boxes (~5000 lux) for the first 3.5 h after waking and melatonin in the afternoon phase advances the circadian clock by about 1 h/day. Furthermore this regimen did not produce jet lag type symptoms [[59][88]]. We found no difference in the magnitude of phase advance when a 0.5 mg dose was taken (on average 2.4 h before the DLMO), and when a 3.0 mg dose was taken (on average 4.8 h before the DLMO). These circadian times of administration coincide with the highest amplitude parts of the advance portions of the respective PRCs, close to our working estimates for optimal times of 2 h and 5 h before the DLMO. Although there was no significant difference in phase shift between the 2 doses, there was a slight difference in the sleepiness they produced. The 3.0 mg dose made our subjects slightly, although not significantly, more sleepy, whereas sleepiness after the 0.5 mg dose was almost identical to after placebo (see Fig. 6 in [[59][88]]). Therefore, to be safe and avoid the mild soporific effects of melatonin we have Henry use the 0.5 mg dose. On day 8 he takes it 4.5 h before bedtime and 1 h earlier each day. He could use a light box in the morning to help phase advance his circadian clock, but since it is daylight in San Francisco we recommend he goes outside as much as possible because natural light is almost always more intense than the light from light boxes and should have a greater phase-shifting effect. We also recommend that he gradually changes the time of his meals, to also keep them aligned with his circadian clock. Note that Henry’s circadian clock represented by the Tmin and his sleep schedule remain aligned, and therefore he should be free of the physiological symptoms of jet lag, the suppression of endogenous melatonin by light, and we believe from the health hazards of circadian misalignment.

There are individual differences in the magnitude of phase shifts produced by bright light even in strictly controlled laboratory studies. What would happen to Henry if his circadian clock did not phase delay as much as 2 h/day from days -2 to 0? There are 2 consequences: 1) It might take a few more days for complete re-entrainment, and 2) he might have trouble sleeping as late as planned (sleep maintenance insomnia) while the Tmin was very early within the sleep episode. Therefore, especially for early birds, who probably have shorter taus [[60][89]] and thus more trouble phase delaying, we recommend starting the light box treatment even before the sleep schedule is shifted, in this case on day -2, and/or delaying sleep by only 1 or 1.5 h/day, rather than 2h/day. The initial delay of bedtime on day -1 of 2.5 h might be difficult for early birds, although it should be no trouble for night owls. If the traveler does not know whether he or she is an early bird or a night owl, then most likely he or she is not either extreme. For most people, if scheduling permits, it would be even better to start the delaying schedule and light treatment a few days earlier than shown, and to use a slow delay of the sleep schedule, i.e. 1h/day.

What would happen if Henry’s clock did not phase advance as much as shown in [Figure 4][84] (1 h/day) after the return flight east? His Tmin would gradually move later within the sleep episodes, and he might have difficulty falling asleep (sleep onset insomnia), and he would feel sleepy upon waking. He would experience what extreme night owls or people with Delayed Sleep Phase Type live with every day when they try to conform to the 9–5 or 8–6 early bird world. This slight circadian misalignment is undesirable, but it is certainly not as bad as the massive circadian misalignment most travelers are subjected to when they abruptly shift the time of their sleep by several h. We conducted a study in which the sleep schedule was advanced by 2 h/day and intermittent bright light from light boxes was used upon waking in the morning in hopes of producing larger phase advances [[61][90]]. However, the circadian clock only phase advanced slightly more than when the sleep schedule was advanced by 1 h/day, and the difference was not statistically significant. We deduced that circadian misalignment, with the Tmin occurring slightly after wake up time, occurred on average after the second advanced sleep episode. Therefore, we do not recommend advancing the sleep schedule more than 1 h/day. Furthermore, when scheduling permits, and especially for night owls who probably have longer taus, we recommend advancing by even less than 1 h/day, such as ½ h/day. Night owls might need more bright light in the morning to use a sleep schedule advance of 1 h/day. Alternatively, they could choose to follow a delaying schedule for flying east, as will be discussed later.

We recognize that Henry might not be able to maintain the sleep schedule shown in [Figure 4][84] upon his return to San Francisco, or in the 2 days before the flight to China, depending on his work and family commitments. But given the increasing prevalence of flex time and working from home (telecommuting) he may be able to arrange it, especially with some advance notice. When people first hear about such sleep schedules and light treatments they sometimes develop the misconception that it will take too much time. However, after careful explanation they understand that it only requires a rearrangement of time. Nevertheless, for some people the scheduling and planning required to re-arrange meetings and activities can seem overwhelming. Our Henry is in charge of his own work schedule, and he has no objection to following the prescribed sleep schedule. If he chooses to use a light box in the morning on days 10–15 rather than go outside to get his bright light exposure, he can do many activities while sitting there such as reading, writing, working on a computer, watching TV, eating, talking on the phone, etc. The intermittent nature of the light treatment means that with a little bit of planning, he can get up to shower, dress, prepare breakfast, etc. without interfering with the treatment. He could also get some of his bright light exposure from natural outdoor light while commuting to work. Another alternative would be to have a second light box at work in order to start the bright light exposure at home and do the rest at work. This would work well for people with desk jobs. We envision a future in which companies keep light boxes on hand for this purpose. After all, it is in their best interests to have a highly functioning employee rather than one who is sleepy and jet lagged.

There is a large variety of commercial light boxes marketed for jet lag and for SAD. We recommend boxes with the largest illuminated area because it is easier to sit in front of them without having your head move out of range, and they are usually less intense and thus less aversive. One advantage of the very small light boxes is that they could be taken to work or on the plane and used overseas (providing the box is battery powered or able to process any variations in voltage that may occur). Light boxes that are enriched with blue wavelengths or produce only blue light are currently in vogue because the circadian system is most sensitive to blue light [[62][91], [63][92]]. However, we have shown that the older light boxes with cool white fluorescent lamps produce the same magnitude phase shifts as those observed with blue-enriched fluorescent light in protocols with gradually advancing or gradually delaying sleep schedules ([[64][93]]; Mark Smith, Ph.D., personal communication, August 2008).

The melatonin PRCs ([Fig. 3][79]) show that melatonin could be taken in the morning to help Henry when he needs to phase delay his circadian clock. We did not include it in the jet travel plan ([Fig. 4][84]), because we have no experimental evidence that it would increase the phase delay produced by the bright light before bed. A 2 h/day phase delay may be the maximum you can phase delay the circadian clock while using a gradually delaying sleep schedule. Furthermore, the 3.0 mg dose could make him sleepy, and we will not know the optimal time to give the 0.5 mg dose to produce delays until we generate our own 0.5 mg PRC.

Let’s now consider Susan who flies from Chicago to Paris and does nothing to phase shift her circadian clock before the flight. [Figure 5][94] shows what she can do to try to minimize jet lag, but this last minute approach has many problems. Obtaining outdoor light exposure and avoiding it at the appropriate times may be difficult due to weather or scheduled indoor or outdoor activities. If she happens to experience the wrong pattern of light exposure in the first few days in Paris, i.e. a lot of bright light before her Tmin and none after, she could suffer from antidromic re-entrainment (her circadian clock could phase delay) or her clock might not shift at all. Furthermore, even under the best circumstances several days are wasted because of extreme circadian misalignment and jet lag. Susan will not be back to normal until 5 days after the flight, when she is waking up slightly after the Tmin.

![Figure 5][95]

[Figure 5][94]

Diagram showing a flight from Chicago to Paris, 7 time zones east, with both time lines in daylight savings time. Other symbols as in [Figures 1][58] and ​[and4,4][84], with green Ms for 0.5 mg melatonin and red Ms for 3.0 mg melatonin. This schedule shows **...**

Several publications, commercial computer sites, programs and devices are available to tell the traveler when to seek and when to avoid outdoor light in the days after landing. For more discussion of several see Eastman et al [[61][90]]. Although these schemes are based on the light PRC they differ in ways which can result in completely opposite, and often incorrect, instructions for the traveler. For example, most expect the circadian clock to phase advance much faster than our 1 h/day estimate. If the time scheduled for bright light exposure each day changes faster than the shifting of the circadian clock, then the bright light could end up falling on the wrong side of the crossover point (other side of the Tmin) and hinder rather than help produce phase advances. With our pre-flight schedules, there is little danger of this because the bright light is applied far from the crossover point (Tmin), and knowing the exact time of the crossover point is not as crucial as it is when bright light exposure and avoidance are started after landing.

Therefore, we recommend resetting the circadian clock at least partially towards the destination time zone before flying. [Figure 6][96] shows an example for Susan’s trip to Paris. Four days before the flight she takes 0.5 mg of melatonin 4.5 h before her usual sleep onset. That night she goes to bed 1 h earlier than usual, and wakes up 1 h earlier than usual. She gets intermittent bright light in the morning, preferably by going outside. The whole schedule is advanced by 1 h/day. Depending on the time of year, at some point she will be waking up before sunrise and will need to use a light box (Ss change to Ls). After landing (day 0), all the bright outdoor light she receives will help phase advance her circadian clock because none will occur before her Tmin. This will prevent antidromic re-entrainment. Her circadian clock and her sleep schedule remain aligned throughout, and she should have little or no jet lag. It may be difficult for her to fall asleep early on the first night (day -4), but if she thinks that will be a problem she can minimize it by starting the melatonin and bright light even before shifting her sleep schedule (on day -5). If she can fly business or first class she may be able to sleep on the plane; it will be the ideal circadian time for her to sleep, and she should arrive with little sleep deprivation. If she has to fly coach, then she may arrive slightly sleep deprived. However, one night’s sleep deprivation can largely be “made up” in a day, whereas jet lag can last much longer.

![Figure 6][97]

[Figure 6][96]

Same flight schedule as in [Figure 5][94], but in this case Susan uses melatonin and light exposure to phase advance her circadian clock towards the destination time zone before the flight and avoids circadian misalignment and jet lag. She advances her sleep **...**

Obviously, a schedule like this ([Fig. 6][96]) can be made for flying east across different numbers of time zones, not just 7, and contain more or less days of phase advancing before the flight. However, the more days of phase shifting before the flight, the less jet lag after landing, and the quicker the remaining jet lag will dissipate. We have made personalized advancing schedules like these for ourselves, friends and colleagues. They usually report little trouble falling asleep or waking up earlier following the sleep schedule before flight, which makes sense because their circadian clocks are phase advancing. The most troubling inconvenience to them is missing out on evening social and family contacts because of the early bedtimes. Thus, the importance of a few nights of social contacts has to be balanced with the importance of optimal performance and alertness for several days after landing. A key point is that even just one or two days of a preflight shift will help reduce the subsequent jet lag.

As mentioned above, it is easier for most people to phase delay than to phase advance. Therefore, especially for night owls, if scheduling permits it would be better to delay the sleep schedule before flying east rather than to advance it. Intermittent bright light should be used in the 2 h before bed (c.f. the first few days of [Figure 4][84]). The decision of whether to try to phase advance the circadian clock or phase delay it before flying east depends on: the number of time zones crossed, the sleep schedule desired at the destination, whether the individual is an extreme along the morningness-eveningness continuum, and the scheduling constraints of the individual. Even general guidelines such as phase advance the circadian clock for crossing up to 7 time zones east and phase delay the clock for crossing 8 or more time zone east [[1][29], [32][57], [65][98]], may not always apply to all individual travelers. For example, one of us and her husband, who are night owls, always delay their sleep schedule by 2h/day before flying east, even across only 6 time zones. The advantage for a night owl is that the delaying schedule can be stopped a few days early leaving the individual on an early schedule at the destination.

## Drugs Only Mask Jet Lag and are Limited in Their Effects

With no preparation before jet travel and random light exposure on arrival, the night-time insomnia and daytime sleepiness often associated with jet lag can be treated with drugs and naps as a last resort. In this case you are treating the symptoms only and the cause, the underlying circadian misalignment, will continue until the circadian clock finally re-entrains to the new time zone. As outlined above, re-entrainment to the new time zone may take a week or more (e.g. [Fig. 1][58]), or longer still if you are unfortunate enough to suffer from a clock that does not initially shift (e.g. [[35][63]]). Pharmaceutical treatment of jet lag symptoms, with for example caffeine (e.g. [[66][99]]) and hypnotics (e.g. [[67][100]–[69][101]]) or large doses of melatonin at bedtime for its soporific effect (e.g. [[9][36], [66][99], [68][102], [70][103], [71][104]]) will not eliminate jet lag. Research indicates that while hypnotic medications can improve sleep quantity, sleepiness will still be felt around the Tmin when it occurs during waking hours, (e.g. [[72][105]–[74][106]]). Caffeine can be used during the day, but even moderate doses taken well before bedtime will impair sleep [[75][107]] (although this effect may be overridden by further uses of hypnotics). Furthermore, stimulants such as caffeine [[76][108]], Modafinil (Provigil) [[77][109], [78][110]] and even bright light exposure [[79][111]] and prophylactic naps [[76][108]] can all improve alertness and performance, but do not return them to normal levels while the underlying circadian misalignment persists. Modafinil is also not yet FDA approved for treating jet lag related sleepiness. Finally, all drugs have some risks for abuse and dependence, some hypnotics may produce morning hangover effects [[80][112]] and short acting benzodiazepines have been associated with transient global amnesia when taken for jet lag [[81][113]].

## Summary

In this article we have explained the circadian principles behind how to phase shift the circadian clock with bright light and melatonin, and have presented current light and melatonin PRCs that indicate the correct timing of these zeitgebers to produce the desired phase shifting effect. We have provided detailed examples of a few jet travel plans, and hope that you are now equipped to devise your own. If you have difficulty doing this, you are invited to contact us for advice.

## Acknowledgments

We thank Heather Holly and Tom Molina for their help in preparing the figures.

This work was supported by grants R01 NR07677 and R01 HL086934 from the National Institutes of Health and by R01 OH003954 from NIOSH and the Centers for Disease Control and Prevention (CDC). The content is solely the responsibility of the authors and does not necessarily represent the official views of the National Institute of Nursing Research, the National Heart, Lung, and Blood Institute, the National Institutes of Health, the National Institute of Occupational Safety and Health or the CDC.

## Footnotes

**Publisher's Disclaimer: **This is a PDF file of an unedited manuscript that has been accepted for publication. As a service to our customers we are providing this early version of the manuscript. The manuscript will undergo copyediting, typesetting, and review of the resulting proof before it is published in its final citable form. Please note that during the production process errors may be discovered which could affect the content, and all legal disclaimers that apply to the journal pertain.

## References

1\. Revell VL, Eastman CI. How to trick mother nature into letting you fly around or stay up all night. J Biol Rhythms. 2005;20:353–65. [[PMC free article][114]] [[PubMed][115]]

2\. Reid KJ, Burgess HJ. Circadian rhythm sleep disorders. Prim Care. 2005;32:449–73. [[PubMed][116]]

3\. Sack R, Auckley D, Auger R, Carskadon M, Wright K, Vitiello M, et al. Circadian rhythm sleep disorders: Part 1, basic principles, shift work and jet lag disorders. Sleep. 2007;30:1460–83. [[PMC free article][117]] [[PubMed][118]]

4\. Waterhouse J, Reilly T, Atkinson G, Edwards B. Jet lag: trends and coping strategies. Lancet. 2007;369:1117–29. [[PubMed][119]]

5\. Waterhouse J, Edwards B, Nevill A, Carvalho S, Atkinson G, Buckley P, et al. Identifying some determinants of “jet lag” and its symptoms: a study of athletes and other travellers. Br J Sports Med. 2002;36:54–60. [[PMC free article][120]] [[PubMed][121]]

6\. Lemmer B, Kern RI, Nold G, Lohrer H. Jet lag in athletes after eastward and westward time-zone transition. Chronobiol Int. 2002;19:743–64. [[PubMed][122]]

7\. Wright JE, Vogel JA, Sampson JB, Knapik JJ, Patton JF, Daniels WL. Effects of travel across time zones (jet-lag) on exercise capacity and performance. Aviat Space Environ Med. 1983;54:132–7. [[PubMed][123]]

8\. Rogers HL, Reilly SM. A survey of the health experiences of international business travelers. Part one - Physiological aspects. AAOHN J. 2002;50:449–59. [[PubMed][124]]

9\. Comperatore CA, Lieberman HR, Kirby AW, Adams B, Crowley JS. Melatonin efficacy in aviation missions requiring rapid deployment and night operations. Aviat Space Environ Med. 1996;67:520–4. [[PubMed][125]]

10\. Reynolds NC, Montgomery R. Using the Argonne diet in jet lag prevention: deployment of troops across nine times zones. Mil Med. 2002;167:451–3. [[PubMed][126]]

11\. U.S. Department of Commerce. International Trade Administration. Profile of U.S. resident travelers visiting overseas destinations: 2007 outbound. 2007\. <http://tinet.ita.doc.gov>.

12\. Cho K, Ennaceur A, Cole JC, Suh CK. Chronic jet lag produces cognitive deficits. J Neurosci. 2000;20:1–5. [[PubMed][127]]

13\. Cho K. Chronic ‘jet lag’ produces temporal lobe atrophy and spatial cognitive deficits. Nat Neurosci. 2001;4:567–8. [[PubMed][128]]

14\. Iglesias R, Terres A, Chavarria A. Disorders of the menstrual cycle in airline stewardesses. Aviat Space Environ Med. 1980;51:518–20. [[PubMed][129]]

15\. Hampton SM, Morgan LM, Lawrence N, Anastasiadou T, Norris F, Deacon S, et al. Postprandial hormone and metabolic responses in simulated shift work. J Endocrinol. 1996;151:259–67. [[PubMed][130]]

16\. Rafnsson V, Tulinius H, Jonasson JG, Hrafnkelsson J. Risk of breast cancer in female flight attendants: a population-based study (Iceland) Cancer Causes Control. 2001;12:95–101. [[PubMed][131]]

17\. Reynolds P, Cone J, Layefsky M, Goldberg DE, Hurley S. Cancer incidence in California flight attendants (United States) Cancer Causes Control. 2002;13:317–24. [[PubMed][132]]

18\. Pukkala E, Aspholm R, Auvinen A, Eliasch H, Gundestrup M, Haldorsen T, et al. Incidence of cancer among Nordic airline pilots over five decades: occupational cohort study. BMJ. 2002;325:567–71. [[PMC free article][133]] [[PubMed][134]]

19\. Filipski E, Delaunay F, King VM, Wu M, Claustrat B, Grechez-Cassiau A, et al. Effects of chronic jet lag on tumor progression in mice. Cancer Res. 2004;64:7879–85. [[PubMed][135]]

20\. Davidson AJ, Sellix MT, Daniel J, Yamazaki S, Menaker M, Block GD. Chronic jet-lag increases mortality in aged mice. Curr Biol. 2006;16:R914–6. [[PMC free article][136]] [[PubMed][137]]

21\. Nagano M, Adachi A, Nakahama K, Nakamura T, Tamada M, Meyer-Bernstein E, et al. An abrupt shift in the day/night cycle causes desynchrony in the mammalian circadian center. J Neurosci. 2003;23:6141–51. [[PubMed][138]]

22\. Aschoff J, Hoffmann K, Pohl H, Wever R. Re-entrainment of circadian rhythms after phase shifts of the zeitgeber. Chronobiologia. 1975;2:23–78. [[PubMed][139]]

23\. Boulos Z, Campbell SS, Lewy AJ, Terman M, Dijk DJ, Eastman CI. Light treatment for sleep disorders: consensus report. VII. Jet lag. J Biol Rhythms. 1995;10:167–76. [[PubMed][140]]

24\. Wever RA. The circadian system of man. New York-Heidelberg-Berlin: Springer-Verlag; 1979. 

25\. Czeisler CA, Duffy JF, Shanahan TL, Brown EN, Mitchell JF, Rimmer DW, et al. Stability, precision, and near-24-hour period of the human circadian pacemaker. Science. 1999;284:2177–81. [[PubMed][141]]

26\. Burgess HJ, Eastman CI. Human tau in an ultradian light-dark cycle. J Biol Rhythms. 2008;23:374–6. doi: 10.1177/0748730408318592. [[PMC free article][142]] [[PubMed][143]] [[Cross Ref][144]]

27\. Mitchell PJ, Hoese EK, Liu L, Fogg LF, Eastman CI. Conflicting bright light exposure during night shifts impedes circadian adaptation. J Biol Rhythms. 1997;12:5–15. [[PubMed][145]]

28\. Eastman CI, Martin SK. How to use light and dark to produce circadian adaptation to night shift work. Ann Med. 1999;31:87–98. [[PubMed][146]]

29\. Shanahan TL, Kronauer RE, Duffy JF, Williams GH, Czeisler CA. Melatonin rhythm observed throughout a three-cycle bright-light stimulus designed to reset the human circadian pacemaker. J Biol Rhythms. 1999;14:237–53. [[PubMed][147]]

30\. Monk TH, Buysse DJ, Carrier J, Kupfer DJ. Inducing jet-lag in older people: Directional asymmetry. J Sleep Res. 2000;9:101–16. [[PubMed][148]]

31\. Eastman CI. High intensity light for circadian adaptation to a 12-h shift of the sleep schedule. Am J Physiol. 1992;263:R428–36. [[PubMed][149]]

32\. Burgess HJ, Eastman CI. Prevention of jet lag. Physicians’ Information and Education Resource (PIER) Am College of Physicians . 2003\. <http://Pier.acponline.org>.

33\. Baehr EK, Revelle W, Eastman CI. Individual differences in the phase and amplitude of the human circadian temperature rhythm: with an emphasis on morningness-eveningness. J Sleep Res. 2000;9:117–27. [[PubMed][150]]

34\. Gundel A, Wegmann HM. Transition between advance and delay responses to eastbound transmeridian flights. Chronobiol Int. 1989;6(2):147–56. [[PubMed][151]]

35\. Takahashi T, Sasaki M, Itoh H, Sano H, Yamadera W, Ozone M, et al. Re-entrainment of circadian rhythm of plasma melatonin on an 8-h eastward flight. Psychiatry Clin Neurosci. 1999;53:257–60. [[PubMed][152]]

36\. Gundel A, Spencer MB. A circadian oscillator model based on empirical data. J Biol Rhythms. 1999;14:516–23. [[PubMed][153]]

37\. Takahashi T, Sasaki M, Itoh H, Yamadera W, Ozone M, Obuchi K, et al. Re-entrainment of the circadian rhythms of plasma melatonin in an 11-h eastward bound flight. Psychiatry Clin Neurosci. 2001;55:275–6. [[PubMed][154]]

38\. Dawson D, Campbell SS. Timed exposure to bright light improves sleep and alertness during simulated night shifts. Sleep. 1991;14:511–6. [[PubMed][155]]

39\. Campbell SS. Effects of times bright-light exposure on shift-work adaptation in middle-aged subjects. Sleep. 1995;18:408–16. [[PubMed][156]]

40\. Dijk DJ, Duffy JF, Riel E, Shanahan TL, Czeisler CA. Ageing and the circadian and homeostatic regulation of human sleep during forced desynchrony of rest, melatonin and temperature rhythms. J Physiol (Lond) 1999;516(2):611–27. [[PMC free article][157]] [[PubMed][158]]

41\. Moline ML, Pollak CP, Monk TH, Lester LS, Wagner DR, Zendell SM, et al. Age-related differences in recovery from simulated jet lag. Sleep. 1992;15:28–40. [[PubMed][159]]

42\. Eastman CI. Are separate temperature and activity oscillators necessary to explain the phenomena of human circadian rhythms? In: Moore-Ede MC, Czeisler CA, editors. Mathematical models of the circadian sleep-wake cycle. New York: Raven Press; 1984. pp. 81–103.

43\. Burgess HJ, Sharkey KM, Eastman CI. Bright light, dark and melatonin can promote circadian adaptation in night shift workers. Sleep Med Rev. 2002;6:407–20. [[PubMed][160]]

44\. Zulley J, Wever R, Aschoff J. The dependence of onset and duration of sleep on the circadian rhythm of rectal temperature. Pflugers Arch. 1981;391:314–8. [[PubMed][161]]

45\. Jewett ME, Kronauer RE, Czeisler CA. Phase-amplitude resetting of the human circadian pacemaker via bright light: a further analysis. J Biol Rhythms. 1994;9:295–314. [[PubMed][162]]

46\. Dijk DJ, Lockley SW. Functional genomics of sleep and circadian rhythm. Invited review: Integration of human sleep-wake regulation and circadian rhythmicity. J Appl Physiol. 2002;92:852–62. [[PubMed][163]]

47\. Minors DS, Waterhouse JM, Wirz-Justice A. A human phase-response curve to light. Neurosci Lett. 1991;133:36–40. [[PubMed][164]]

48\. Czeisler CA, Kronauer RE, Allan JS, Duffy JF, Jewett ME, Brown EN, et al. Bright light induction of strong (type 0) resetting of the human circadian pacemaker. Science. 1989;244:1328–33. [[PubMed][165]]

49\. Lewy AJ, Bauer VK, Ahmed S, Thomas KH, Cutler NL, Singer CM, et al. The human phase response curve (PRC) to melatonin is about 12 hours out of phase with the PRC to light. Chronobiol Int. 1998;15:71–83. [[PubMed][166]]

50\. Johnson CH. Forty years of PRCs-What have we learned? Chronobiol Int. 1999;16:711–43. [[PubMed][167]]

51\. Khalsa SBS, Jewett ME, Cajochen C, Czeisler CA. A phase response curve to single bright light pulses in human subjects. J Physiol (Lond) 2003;549(3):945–52. [[PMC free article][168]] [[PubMed][169]]

52\. Lewy AJ, Cutler NL, Sack RL. The endogenous melatonin profile as a marker of circadian phase position. J Biol Rhythms. 1999;14:227–36. [[PubMed][170]]

53\. Comas M, Beersma DG, Spoelstra K, Daan S. Phase and period responses of the circadian system of mice (Mus musculus) to light stimuli of different duration. J Biol Rhythms. 2006;21:362–72. [[PubMed][171]]

54\. Eastman CI, Martin SK, Hebert M. Failure of extraocular light to facilitate circadian rhythm reentrainment in humans. Chronobiol Int. 2000;17:807–26. [[PubMed][172]]

55\. Griefahn B. The validity of the temporal parameters of the daily rhythm of melatonin levels as an indicator of morningness. Chronobiol Int. 2002;19:561–77. [[PubMed][173]]

56\. Benloucif S, Guico MJ, Reid KJ, Wolfe LF, L’Hermite-Baleriaux M, Zee PC. Stability of melatonin and temperature as circadian phase markers and their relation to sleep times in humans. J Biol Rhythms. 2005;20:178–88. [[PubMed][174]]

57\. Eastman CI, Miescke KJ. Entrainment of circadian rhythms with 26-hr bright light and sleep-wake schedules. Am J Physiol. 1990;259:R1189–R97. [[PubMed][175]]

58\. Monk TH, Buysse DJ, Billy BD, DeGrazia JM. Using nine 2-h delays to achieve a 6-h advance disrupts sleep, alertness, and circadian rhythm. Aviat Space Environ Med. 2004;75:1049–57. [[PubMed][176]]

59\. Revell VL, Burgess HJ, Gazda CJ, Smith MR, Fogg LF, Eastman CI. Advancing human circadian rhythms with afternoon melatonin and morning intermittent bright light. J Clin Endocrinol Metab. 2006;91:54–9. [[PMC free article][177]] [[PubMed][178]]

60\. Duffy JF, Rimmer DW, Czeisler CA. Association of intrinsic circadian period with morningness-eveningness, usual wake time, and circadian phase. Behav Neurosci. 2001;115:895–9. [[PubMed][179]]

61\. Eastman CI, Gazda CJ, Burgess HJ, Crowley SJ, Fogg LF. Advancing circadian rhythms before eastward flight: A strategy to prevent or reduce jet lag. Sleep. 2005;28:33–44. [[PMC free article][180]] [[PubMed][181]]

62\. Lockley SW, Brainard GC, Czeisler CA. High sensitivity of the human circadian melatonin rhythm to resetting by short wavelength light. J Clin Endocrinol Metab. 2003;88:4502–5. [[PubMed][182]]

63\. Warman VL, Dijk DJ, Warman GR, Arendt J, Skene DJ. Phase advancing human circadian rhythms with short wavelength light. Neurosci Lett. 2003;342:37–40. [[PubMed][183]]

64\. Smith MR, Revell VL, Eastman CI. Phase advancing the human circadian clock with blue-enriched polychromatic light. Sleep Med. 2009;10:287–94. [[PMC free article][184]] [[PubMed][185]]

65\. Burgess HJ, Crowley SJ, Gazda CJ, Fogg LF, Eastman CI. Preflight adjustment to eastward travel: 3 days of advancing sleep with and without morning bright light. J Biol Rhythms. 2003;18:318–28. [[PMC free article][186]] [[PubMed][187]]

66\. Beaumont M, Batejat D, Pierard C, Van Beers P, Denis JB, Coste O, et al. Caffeine or melatonin effects on sleep and sleepiness after rapid eastward transmeridian travel. J Appl Physiol. 2004;96:50–8. [[PubMed][188]]

67\. Jamieson AO, Zammit GK, Rosenberg RS, Davis JR, Walsh JK. Zolpidem reduces the sleep disturbance of jet lag. Sleep Medicine. 2001;2:423–30. [[PubMed][189]]

68\. Suhner A, Schlagenhauf P, Hofer I, Johnson R, Tschopp A, Steffen R. Effectiveness and tolerability of melatonin and zolpidem for the alleviation of jet lag. Aviat Space Environ Med. 2001;72:638–46. [[PubMed][190]]

69\. Daurat A, Benoit O, Buguet A. Effects of zopiclone on the rest/activity rhythm after a westward flight across five time zones. Psychopharmacology (Berl) 2000;149:241–5. [[PubMed][191]]

70\. Edwards BJ, Atkinson G, Waterhouse J, Reilly T, Godfrey R, Budgett R. Use of melatonin in recovery from jet-lag following an eastward flight across 10 time-zones. Ergonomics. 2000;43:1501–13. [[PubMed][192]]

71\. Nickelsen T, Lang A, Bergau L. The effect of 6-, 9- and 11-hour time shifts on circadian rhythms: adaptation of sleep parameters and hormonal patterns following the intake of melatonin or placebo. In: Arendt J, Pevet P, editors. Advances in pineal research. Vol. 5. London: John Libbey & Co Ltd; 1991. pp. 303–6.

72\. Walsh JK, Muehlbach MJ, Schweitzer PK. Hypnotics and caffeine as countermeasures for shiftwork-related sleepiness and sleep disturbance. J Sleep Res. 1995;4:80–3. [[PubMed][193]]

73\. Schweitzer PK, Koshorek G, Muehlbach MJ, Morris DD, Roehrs T, Walsh JK, et al. Effects of estazolam and triazolam on transient insomnia associated with phase-shifted sleep. Hum Psychopharmacol. 1991;6:99–107.

74\. Paul MA, Brown G, Buguet A, Gray G, Pigeau RA, Weinberg H, et al. Melatonin and zopiclone as pharmacologic aids to facilitate crew rest. Aviat Space Environ Med. 2001;72:974–84. [[PubMed][194]]

75\. Landolt HP, Werth E, Borbely AA, Dijk DJ. Caffeine intake (200 mg) in the morning affects human sleep and EEG power spectra at night. Brain Res. 1995;675:67–74. [[PubMed][195]]

76\. Schweitzer PK, Randazzo AC, Stone K, Erman M, Walsh JK. Laboratory and field studies of naps and caffeine as practical countermeasures for sleep-wake problems associated with night work. Sleep. 2006;29:39–50. [[PubMed][196]]

77\. Walsh JK, Randazzo AC, Stone KL, Schweitzer PK. Modafinil improves alertness, vigilance, and executive function during simulated night shifts. Sleep. 2004;27:434–9. [[PubMed][197]]

78\. Czeisler CA, Walsh JK, Roth T, Hughes RJ, Wright KP, Kingsbury L, et al. Modafinil for excessive sleepiness associated with shift-work sleep disorder. N Engl J Med. 2005;353:476–86. [[PubMed][198]]

79\. Campbell SS, Dijk DJ, Boulos Z, Eastman CI, Lewy AJ, Terman M. Light treatment for sleep disorders: consensus report. III. Alerting and activating effects. J Biol Rhythms. 1995;10:129–32. [[PubMed][199]]

80\. Roehrs T, Roth T. Hypnotics: Efficacy and adverse effects. In: Kryger MH, Roth T, Dement WC, editors. Principles and practice of sleep medicine. 3\. Philadelphia: WB Saunders Company; 2000. pp. 414–8.

81\. Morris HH, Estes ML. Transient global amnesia secondary to triazolam. JAMA. 1987;258:945–6. [[PubMed][200]]

82\. Burgess HJ, Revell VL, Eastman CI. A three pulse phase response curve to three milligrams of melatonin in humans. J Physiol. 2008;586(2):639–47. [[PMC free article][201]] [[PubMed][202]]

83\. Burgess HJ, Eastman CI. The dim light melatonin onset following fixed and free sleep schedules. J Sleep Res. 2005;14:229–37. [[PMC free article][203]] [[PubMed][204]]

84\. Burgess H, Fogg L. Individual differences in the amount and timing of salivary melatonin secretion. PLoS One. 2008;3:e3055. [[PMC free article][205]] [[PubMed][206]]

## Formats:

* Article
| 
* [PubReader][207]
| 
* [ePub (beta)][208]
| 
* [PDF (2.3M)][209]
| 
* [Citation][24]

## Share

* ![Share on Facebook][210][ Facebook ][211]
* ![Share on Twitter][212][ Twitter ][213]
* ![Share on Google Plus][214][ Google+ ][215]

[Support Center][216] [Support Center][217]

External link. Please review our [privacy policy][218]. 

[NLM][219]

[NIH][220]

[DHHS][221]

[USA.gov][222]

[National Center for Biotechnology Information][223],  [U.S. National Library of Medicine][224] 8600 Rockville Pike, Bethesda MD, 20894 USA

[Policies and Guidelines][225] | [Contact][226]

![statistics][227]

[1]: https://www.ncbi.nlm.nih.gov/guide/browsers/#enablejs "Learn how to enable JavaScript"
[2]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/28977 "NCBI"
[3]: https://www.ncbi.nlm.nih.gov/ "NCBI Home"
[4]: https://www.ncbi.nlm.nih.gov#maincontent "Skip to the content"
[5]: https://www.ncbi.nlm.nih.gov#navcontent "Skip to the navigation"
[6]: https://www.ncbi.nlm.nih.gov/static/header_footer_ajax/submenu/#resources
[7]: https://www.ncbi.nlm.nih.gov/static/header_footer_ajax/submenu/#howto
[8]: https://www.ncbi.nlm.nih.gov/guide/browsers/#accesskeys "About My NCBI Accesskeys"
[9]: https://www.ncbi.nlm.nih.gov/myncbi/
[10]: https://www.ncbi.nlm.nih.gov/account/
[11]: https://www.ncbi.nlm.nih.gov/account/signout/
[12]: https://www.ncbi.nlm.nih.gov/pmc/
[13]: https://www.nlm.nih.gov/ "US National Library of Medicine"
[14]: https://www.nih.gov/ "National Institutes of Health"
[15]: https://www.ncbi.nlm.nih.gov/pmc/advanced/
[16]: https://www.ncbi.nlm.nih.gov/pmc/journals/
[17]: https://www.ncbi.nlm.nih.gov/books/NBK3825/
[18]: https://www.ncbi.nlm.nih.gov/pmc/?term=hhs%20author%20manuscript[filter]
[19]: https://www.ncbi.nlm.nih.gov/corehtml/pmc/pmcgifs/logo-hhspa.png
[20]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1016%2Fj.jsmc.2009.02.006
[21]: https://www.ncbi.nlm.nih.gov/pubmed/?term=Eastman%20CI%5BAuthor%5D&cauthor=true&cauthor_uid=20204161
[22]: https://www.ncbi.nlm.nih.gov/pubmed/?term=Burgess%20HJ%5BAuthor%5D&cauthor=true&cauthor_uid=20204161
[23]: mailto:dev%40null
[24]: https://www.ncbi.nlm.nih.gov#
[25]: https://www.ncbi.nlm.nih.gov/pmc/about/copyright/
[26]: https://www.ncbi.nlm.nih.gov/pmc/about/disclaimer/
[27]: https://www.ncbi.nlm.nih.gov#FN3
[28]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/citedby/
[29]: https://www.ncbi.nlm.nih.gov#R1
[30]: https://www.ncbi.nlm.nih.gov#R2
[31]: https://www.ncbi.nlm.nih.gov#R3
[32]: https://www.ncbi.nlm.nih.gov#R4
[33]: https://www.ncbi.nlm.nih.gov#R5
[34]: https://www.ncbi.nlm.nih.gov#R8
[35]: https://www.ncbi.nlm.nih.gov#R6
[36]: https://www.ncbi.nlm.nih.gov#R9
[37]: https://www.ncbi.nlm.nih.gov#R10
[38]: https://www.ncbi.nlm.nih.gov#R11
[39]: https://www.ncbi.nlm.nih.gov#R12
[40]: https://www.ncbi.nlm.nih.gov#R13
[41]: https://www.ncbi.nlm.nih.gov#R14
[42]: https://www.ncbi.nlm.nih.gov#R15
[43]: https://www.ncbi.nlm.nih.gov#R16
[44]: https://www.ncbi.nlm.nih.gov#R18
[45]: https://www.ncbi.nlm.nih.gov#R19
[46]: https://www.ncbi.nlm.nih.gov#R20
[47]: https://www.ncbi.nlm.nih.gov#R21
[48]: https://www.ncbi.nlm.nih.gov#R22
[49]: https://www.ncbi.nlm.nih.gov#R23
[50]: https://www.ncbi.nlm.nih.gov#R24
[51]: https://www.ncbi.nlm.nih.gov#R26
[52]: https://www.ncbi.nlm.nih.gov#R27
[53]: https://www.ncbi.nlm.nih.gov#R29
[54]: https://www.ncbi.nlm.nih.gov#R30
[55]: https://www.ncbi.nlm.nih.gov#R31
[56]: https://www.ncbi.nlm.nih.gov#R28
[57]: https://www.ncbi.nlm.nih.gov#R32
[58]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/figure/F1/
[59]: https://www.ncbi.nlm.nih.gov#R33
[60]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/bin/nihms166069f1.gif "Figure 1"
[61]: https://www.ncbi.nlm.nih.gov#R34
[62]: https://www.ncbi.nlm.nih.gov#R37
[63]: https://www.ncbi.nlm.nih.gov#R35
[64]: https://www.ncbi.nlm.nih.gov#R38
[65]: https://www.ncbi.nlm.nih.gov#R39
[66]: https://www.ncbi.nlm.nih.gov#R41
[67]: https://www.ncbi.nlm.nih.gov#R42
[68]: https://www.ncbi.nlm.nih.gov#R43
[69]: https://www.ncbi.nlm.nih.gov#R44
[70]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/figure/F2/
[71]: https://www.ncbi.nlm.nih.gov#R45
[72]: https://www.ncbi.nlm.nih.gov#R47
[73]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/bin/nihms166069f2.gif "Figure 2"
[74]: https://www.ncbi.nlm.nih.gov#R48
[75]: https://www.ncbi.nlm.nih.gov#R49
[76]: https://www.ncbi.nlm.nih.gov#R50
[77]: https://www.ncbi.nlm.nih.gov#R51
[78]: https://www.ncbi.nlm.nih.gov#R52
[79]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/figure/F3/
[80]: https://www.ncbi.nlm.nih.gov#R53
[81]: https://www.ncbi.nlm.nih.gov#R54
[82]: https://www.ncbi.nlm.nih.gov#R56
[83]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/bin/nihms166069f3.gif "Figure 3"
[84]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/figure/F4/
[85]: https://www.ncbi.nlm.nih.gov#R57
[86]: https://www.ncbi.nlm.nih.gov#R58
[87]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/bin/nihms166069f4.gif "Figure 4"
[88]: https://www.ncbi.nlm.nih.gov#R59
[89]: https://www.ncbi.nlm.nih.gov#R60
[90]: https://www.ncbi.nlm.nih.gov#R61
[91]: https://www.ncbi.nlm.nih.gov#R62
[92]: https://www.ncbi.nlm.nih.gov#R63
[93]: https://www.ncbi.nlm.nih.gov#R64
[94]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/figure/F5/
[95]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/bin/nihms166069f5.gif "Figure 5"
[96]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/figure/F6/
[97]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/bin/nihms166069f6.gif "Figure 6"
[98]: https://www.ncbi.nlm.nih.gov#R65
[99]: https://www.ncbi.nlm.nih.gov#R66
[100]: https://www.ncbi.nlm.nih.gov#R67
[101]: https://www.ncbi.nlm.nih.gov#R69
[102]: https://www.ncbi.nlm.nih.gov#R68
[103]: https://www.ncbi.nlm.nih.gov#R70
[104]: https://www.ncbi.nlm.nih.gov#R71
[105]: https://www.ncbi.nlm.nih.gov#R72
[106]: https://www.ncbi.nlm.nih.gov#R74
[107]: https://www.ncbi.nlm.nih.gov#R75
[108]: https://www.ncbi.nlm.nih.gov#R76
[109]: https://www.ncbi.nlm.nih.gov#R77
[110]: https://www.ncbi.nlm.nih.gov#R78
[111]: https://www.ncbi.nlm.nih.gov#R79
[112]: https://www.ncbi.nlm.nih.gov#R80
[113]: https://www.ncbi.nlm.nih.gov#R81
[114]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3841977/
[115]: https://www.ncbi.nlm.nih.gov/pubmed/16077154
[116]: https://www.ncbi.nlm.nih.gov/pubmed/15935195
[117]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2082105/
[118]: https://www.ncbi.nlm.nih.gov/pubmed/18041480
[119]: https://www.ncbi.nlm.nih.gov/pubmed/17398311
[120]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1724441/
[121]: https://www.ncbi.nlm.nih.gov/pubmed/11867494
[122]: https://www.ncbi.nlm.nih.gov/pubmed/12182501
[123]: https://www.ncbi.nlm.nih.gov/pubmed/6838449
[124]: https://www.ncbi.nlm.nih.gov/pubmed/12400229
[125]: https://www.ncbi.nlm.nih.gov/pubmed/8827132
[126]: https://www.ncbi.nlm.nih.gov/pubmed/12099077
[127]: https://www.ncbi.nlm.nih.gov/pubmed/10704520
[128]: https://www.ncbi.nlm.nih.gov/pubmed/11369936
[129]: https://www.ncbi.nlm.nih.gov/pubmed/7387577
[130]: https://www.ncbi.nlm.nih.gov/pubmed/8958786
[131]: https://www.ncbi.nlm.nih.gov/pubmed/11246849
[132]: https://www.ncbi.nlm.nih.gov/pubmed/12074501
[133]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC124549/
[134]: https://www.ncbi.nlm.nih.gov/pubmed/12228131
[135]: https://www.ncbi.nlm.nih.gov/pubmed/15520194
[136]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1635966/
[137]: https://www.ncbi.nlm.nih.gov/pubmed/17084685
[138]: https://www.ncbi.nlm.nih.gov/pubmed/12853433
[139]: https://www.ncbi.nlm.nih.gov/pubmed/1192905
[140]: https://www.ncbi.nlm.nih.gov/pubmed/7632990
[141]: https://www.ncbi.nlm.nih.gov/pubmed/10381883
[142]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3622149/
[143]: https://www.ncbi.nlm.nih.gov/pubmed/18663244
[144]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1177%2F0748730408318592
[145]: https://www.ncbi.nlm.nih.gov/pubmed/9104686
[146]: https://www.ncbi.nlm.nih.gov/pubmed/10344580
[147]: https://www.ncbi.nlm.nih.gov/pubmed/10452336
[148]: https://www.ncbi.nlm.nih.gov/pubmed/10849237
[149]: https://www.ncbi.nlm.nih.gov/pubmed/1510182
[150]: https://www.ncbi.nlm.nih.gov/pubmed/10849238
[151]: https://www.ncbi.nlm.nih.gov/pubmed/2743467
[152]: https://www.ncbi.nlm.nih.gov/pubmed/10459704
[153]: https://www.ncbi.nlm.nih.gov/pubmed/10643748
[154]: https://www.ncbi.nlm.nih.gov/pubmed/11422873
[155]: https://www.ncbi.nlm.nih.gov/pubmed/1798884
[156]: https://www.ncbi.nlm.nih.gov/pubmed/7481411
[157]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2269279/
[158]: https://www.ncbi.nlm.nih.gov/pubmed/10087357
[159]: https://www.ncbi.nlm.nih.gov/pubmed/1557592
[160]: https://www.ncbi.nlm.nih.gov/pubmed/12531129
[161]: https://www.ncbi.nlm.nih.gov/pubmed/7312563
[162]: https://www.ncbi.nlm.nih.gov/pubmed/7772797
[163]: https://www.ncbi.nlm.nih.gov/pubmed/11796701
[164]: https://www.ncbi.nlm.nih.gov/pubmed/1791996
[165]: https://www.ncbi.nlm.nih.gov/pubmed/2734611
[166]: https://www.ncbi.nlm.nih.gov/pubmed/9493716
[167]: https://www.ncbi.nlm.nih.gov/pubmed/10584173
[168]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2342968/
[169]: https://www.ncbi.nlm.nih.gov/pubmed/12717008
[170]: https://www.ncbi.nlm.nih.gov/pubmed/10452335
[171]: https://www.ncbi.nlm.nih.gov/pubmed/16998156
[172]: https://www.ncbi.nlm.nih.gov/pubmed/11128297
[173]: https://www.ncbi.nlm.nih.gov/pubmed/12069038
[174]: https://www.ncbi.nlm.nih.gov/pubmed/15834114
[175]: https://www.ncbi.nlm.nih.gov/pubmed/2260729
[176]: https://www.ncbi.nlm.nih.gov/pubmed/15619859
[177]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3841985/
[178]: https://www.ncbi.nlm.nih.gov/pubmed/16263827
[179]: https://www.ncbi.nlm.nih.gov/pubmed/11508728
[180]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1249488/
[181]: https://www.ncbi.nlm.nih.gov/pubmed/15700719
[182]: https://www.ncbi.nlm.nih.gov/pubmed/12970330
[183]: https://www.ncbi.nlm.nih.gov/pubmed/12727312
[184]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2723863/
[185]: https://www.ncbi.nlm.nih.gov/pubmed/18805055
[186]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1262683/
[187]: https://www.ncbi.nlm.nih.gov/pubmed/12932084
[188]: https://www.ncbi.nlm.nih.gov/pubmed/12959951
[189]: https://www.ncbi.nlm.nih.gov/pubmed/14592392
[190]: https://www.ncbi.nlm.nih.gov/pubmed/11471907
[191]: https://www.ncbi.nlm.nih.gov/pubmed/10823404
[192]: https://www.ncbi.nlm.nih.gov/pubmed/11083131
[193]: https://www.ncbi.nlm.nih.gov/pubmed/10607218
[194]: https://www.ncbi.nlm.nih.gov/pubmed/11718517
[195]: https://www.ncbi.nlm.nih.gov/pubmed/7796154
[196]: https://www.ncbi.nlm.nih.gov/pubmed/16453980
[197]: https://www.ncbi.nlm.nih.gov/pubmed/15164895
[198]: https://www.ncbi.nlm.nih.gov/pubmed/16079371
[199]: https://www.ncbi.nlm.nih.gov/pubmed/7632986
[200]: https://www.ncbi.nlm.nih.gov/pubmed/3613025
[201]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2375577/
[202]: https://www.ncbi.nlm.nih.gov/pubmed/18006583
[203]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3841975/
[204]: https://www.ncbi.nlm.nih.gov/pubmed/16120097
[205]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2516604/
[206]: https://www.ncbi.nlm.nih.gov/pubmed/18725972
[207]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/?report=reader
[208]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/epub/
[209]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2829880/pdf/nihms166069.pdf
[210]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047626
[211]: https://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2829880%2F
[212]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047627
[213]: https://twitter.com/intent/tweet?url=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2829880%2F&text=How%20To%20Travel%20the%20World%20Without%20Jet%20lag
[214]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047628
[215]: https://plus.google.com/share?url=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2829880%2F
[216]: 
[217]: https://support.ncbi.nlm.nih.gov/ics/support/KBList.asp?Time=2018-02-23T11:10:40-05:00&Snapshot=%2Fprojects%2FPMC%2FPMCViewer@4.45&Host=ptpmc101&ncbi_phid=8A1A47ECA903C3A10000000000E000C6&ncbi_session=8A1A47ECA903CFF1_0224SID&from=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2829880%2F&Db=pmc&folderID=132&Ncbi_App=pmc&Page=literature&style=classic&deptID=28049
[218]: https://www.nlm.nih.gov/privacy.html
[219]: https://www.nlm.nih.gov "NLM"
[220]: https://www.nih.gov "NIH"
[221]: https://www.hhs.gov "DHHS"
[222]: https://www.usa.gov "USA.gov"
[223]: https://www.ncbi.nlm.nih.gov
[224]: https://www.nlm.nih.gov/
[225]: https://www.ncbi.nlm.nih.gov/home/about/policies.shtml
[226]: https://www.ncbi.nlm.nih.gov/home/about/contact.shtml
[227]: /stat?jsdisabled=true&ncbi_db=pmc&ncbi_pdid=article&ncbi_acc=&ncbi_domain=nihpa&ncbi_report=record&ncbi_type=fulltext&ncbi_objectid=&ncbi_pcid=/articles/PMC2829880/&ncbi_app=pmc

