---
created_at: '2015-03-29T20:56:11.000Z'
title: Exploding Software-Engineering Myths (2009)
url: http://research.microsoft.com/en-us/news/features/nagappan-100609.aspx
author: luu
points: 145
story_text: 
comment_text: 
num_comments: 87
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1427662571
_tags:
- story
- author_luu
- story_9286433
objectID: '9286433'

---
[Source](https://www.microsoft.com/en-us/research/blog/exploding-software-engineering-myths/?from=http%3A%2F%2Fresearch.microsoft.com%2Fen-us%2Fnews%2Ffeatures%2Fnagappan-100609.aspx "Permalink to Exploding Software-Engineering Myths - Microsoft Research")

# Exploding Software-Engineering Myths - Microsoft Research

Try Microsoft Edge A fast and secure browser that's designed for Windows 10 No thanks Get started

This site uses cookies for analytics, personalized content and ads. By continuing to browse this site, you agree to this use. [Learn more][1]

[ ![][2] Microsoft ][3]

Research

* [Microsoft 365][4]
* [Azure][5]
* [Office 365][6]
* [Dynamics 365][7]
* [SQL][8]
* [Windows 10][9]
* More
    * Products & Services
        * [Windows Server][10]
        * [Enterprise Mobility + Security][11]
        * [Power BI][12]
        * [Teams][13]
        * [Visual Studio][14]
        * [Surface for Business][15]
    * Emerging Technologies
        * [AI][16]
        * [Internet of Things][17]
        * [Azure Cognitive Services][18]
        * [Quantum][19]
        * [Research][20]
    * Developer & IT
        * [Docs][21]
        * [TechNet][22]
        * [Developer Network][23]
        * [Windows Dev Center][24]
        * [Windows IT Pro Center][25]
        * [FastTrack][26]
    * Partner
        * [Partner Network][27]
        * [Solution Providers][28]
        * [Partner Center][29]
        * [Cloud Hosting][30]
    * Industries
        * [Education][31]
        * [Financial services][32]
        * [Government][33]
        * [Health][34]
        * [Manufacturing & resources][35]
        * [Retail][36]
    * Other
        * [Security][37]
        * [Licensing][38]
        * [AppSource][39]
        * [Azure Marketplace][40]
        * [Events][41]
    * [View all][42]

[ Research ][43] [Research Home][43]

Research areas

* Intelligence
    * [Artificial Intelligence][44]
    * [Computer vision][45]
    * [Graphics & multimedia][46]
    * [Human-computer interaction][47]
    * [Human language technologies][48]
    * [Search & information retrieval][49]
* Systems
    * [Data visualization, analytics & platform][50]
    * [Hardware, devices & quantum computing][51]
    * [Programming languages & software engineering][52]
    * [Security, privacy & cryptography][53]
    * [Systems & networking][54]
* Theory
    * [Algorithms][55]
    * [Mathematics][56]
* Other Sciences
    * [Ecology & environment][57]
    * [Economics][58]
    * [Medical, health & genomics][59]
    * [Social sciences][60]
    * [Technology for emerging markets][61]

[Products & Downloads][62]

Programs & Events

* [Academic Programs][63]
* [Events & Conferences][64]

[People][65] [Careers][66]

Blogs & Podcasts

* [Microsoft Research Blog][67]
* [The Microsoft Research Podcast][68]
* [The AI Blog][69]

Labs & Locations

* Microsoft Research
    * [MSR AI][70]
    * [Asia Lab (Chinese)][71]
    * [Asia Lab (English)][72]
    * [Cambridge Lab][73]
    * [India Lab][74]
    * [Montreal Lab][75]
    * [New England Lab][76]
    * [New York City Lab][77]
    * [Redmond Lab][78]
* Other labs/locations
    * [Applied Sciences Lab][79]
    * [Advanced Technology Lab Cairo][80]
    * [Quantum][81]
* About
    * [Research at Microsoft][82]

# Microsoft Research Blog

The Microsoft Research blog provides in-depth views and perspectives from our researchers, scientists and engineers, plus information about noteworthy events and conferences, scholarships, and fellowships designed for academic and scientific communities.

* [Blog][83]
* [ Program languages and software engineering ][84]
* Exploding Software-Engineering Myths

##  Exploding Software-Engineering Myths 

October 7, 2009 | By Microsoft blog editor

* * [Tweet][85]
* ###  Subscribe
* [Follow RSS Feed][86]

_By Janie Chang, Writer, Microsoft Research_

At Microsoft Research, there are computer scientists and mathematicians who live in a world of theory and abstractions. Then there is [Nachi Nagappan][87], who was on loan to the Windows development group for a year while building a triage system for software bugs. For Nagappan, a senior researcher at [Microsoft Research Redmond][78] with the [Empirical Software Engineering Group][88] (ESE), the ability to observe software-development processes firsthand is critical to his work.

The ESE group studies large-scale software development and takes an empirical approach. When Nagappan gets involved in hands-on projects with Microsoft development teams, it's all part of ongoing research in his quest to validate conventional software-engineering wisdom.

![Nachi Nagappan][89]

Nachi Nagappan

"A big part of my learning curve when I joined Microsoft in 2005," Nagappan says, "was getting familiar with how Microsoft does development. I found then that many of the beliefs I had in university about software engineering were actually not that true in real life."

That discovery led Nagappan to examine more closely the observations made by Frederick Brooks in _The Mythical Man Month,_ his influential book about software engineering and project management.

"To some degree, _The Mythical Man Month_ formed the foundation of a lot of the work we did," Nagappan says. "But we also studied other existing assumptions in software engineering. They can be good or bad, because people make decisions based on these assumptions. Our primary goal was to substantiate some of these beliefs in a Microsoft context, so managers can make decisions based on data rather than gut feel or subjective experience."

## More Isn't Always Better

One assumption Nagappan examined was the relationship between code coverage and software quality. Code coverage measures how comprehensively a piece of code has been tested; if a program contains 100 lines of code and the quality-assurance process tests 95 lines, the effective code coverage is 95 percent. The ESE group measures quality in terms of post-release fixes, because those bugs are what reach the customer and are expensive to fix. The logical assumption would be that more code coverage results in higher-quality code. But what Nagappan and his colleagues saw was that, contrary to what is taught in academia, higher code coverage was not the best measure of post-release failures in the field.

"Furthermore," Nagappan says, "when we shared the findings with developers, no one seemed surprised. They said that the development community has known this for years."

The reason is that software quality depends on so many other factors and dynamics that no one metric can predict quality—and not all metrics apply to all projects. Nagappan points out two of the most obvious reasons why code coverage alone fails to predict error rates: usage and complexity.

Code coverage is not indicative of usage. If 99 percent of the code has been tested, but the 1 percent that did not get tested is what customers use the most, then there is a clear mismatch between usage and testing. There is also the issue of code complexity; the more complex the code, the harder it is to test. So it becomes a matter of leveraging complexity versus testing. After looking closely at code coverage, Nagappan now can state that, given constraints, it is more beneficial to achieve higher code coverage of more complex code than to test less complex code at an equivalent level. Those are the kinds of tradeoffs that development managers need to keep in mind.

## Write Test Code First

Nagappan and his colleagues then examined development factors that impact quality, another area of software engineering discussed in _The Mythical Man Month_. One of the recent trends that caught their interest was development practices; specifically, test-driven development (TDD) versus normal development. In TDD, programmers first write the test code, then the actual source code, which should pass the test. This is the opposite of conventional development, in which writing the source code comes first, followed by writing unit tests. Although TDD adherents claim the practice produces better design and higher quality code, no one had carried out an empirical substantiation of this at Microsoft.

"The nice thing about working at Microsoft," Nagappan says, "is that the development organization is large enough that we could select teams that allowed for an apples-to-apples comparison. We picked three development projects under the same senior manager and looked at teams that used TDD and those that didn't. We collected data from teams working on Visual Studio, Windows, and MSN and also got data from a team at IBM, since the project was a joint study."

The study and its results were published in a paper entitled [_Realizing quality improvement through test driven development: results and experiences of four industrial teams_][90], by Nagappan and research colleagues E. Michael Maximilien of the IBM Almaden Research Center; Thirumalesh Bhat, principal software-development lead at Microsoft; and Laurie Williams of North Carolina State University. What the research team found was that the TDD teams produced code that was 60 to 90 percent better in terms of defect density than non-TDD teams. They also discovered that TDD teams took longer to complete their projects—15 to 35 percent longer.

"Over a development cycle of 12 months, 35 percent is another four months, which is huge," Nagappan says. "However, the tradeoff is that you reduce post-release maintenance costs significantly, since code quality is so much better. Again, these are decisions that managers have to make—where should they take the hit? But now, they actually have quantified data for making those decisions."

## Proving the Utility of Assertions

Another development practice that came under scrutiny was the use of assertions. In software development, assertions are contracts or ingredients in code, often written as annotations in the source-code text, describing what the system should do rather than how to do it.

"One of our very senior researchers is Turing Award winner Tony Hoare of [Microsoft Research Cambridge][73] in the U.K.," Nagappan says. "Tony has always promoted the utility of assertions in software. But nobody had done the work to quantify just how much assertions improved software quality."

One reason why assertions have been difficult to investigate is a lack of access to large commercial programs and bug databases. Also, many large commercial applications contain significant amounts of legacy code in which there is minimal use of assertions. All of this contributes to lack of conclusive analysis.

At Microsoft however, there is systematic use of assertions in some Microsoft components, as well as synchronization between the bug-tracking system and source-code versions; this made it relatively easy to link faults against lines of code and source-code files. The research team managed to find assertion-dense code in which assertions had been used in a uniform manner; they collected the assertion data and correlated assertion density to code defects. The results are presented in the technical paper [_Assessing the Relationship between Software Assertions and Code Quality: An Empirical Investigation_][91], by Gunnar Kudrjavets, a senior development lead at Microsoft, along with Nagappan and [Tom Ball][92].

The team observed a definite negative correlation: more assertions and code verifications means fewer bugs. Looking behind the straight statistical evidence, they also found a contextual variable: experience. Software engineers who were able to make productive use of assertions in their code base tended to be well-trained and experienced, a factor that contributed to the end results. These factors built an empirical body of knowledge that proved the utility of assertions.

The work also brings up another issue: What kind of action should development managers take based on these findings? The research team believes that enforcing the use of assertions would not work well; rather, there needs to be a culture of using assertions in order to produce the desired results. Nagappan and his colleagues feel there is an urgent need to promote the use of assertions and plan to collaborate with academics to teach this practice in the classroom. Having the data makes this easier.

Has there been any feedback from Hoare?

"Absolutely," Nagappan says. "He followed up and read our work on assertions and was very happy that someone was proving the relationship between assertions and software quality."

## Organizational Structure Does Matter—a Lot.

Nagappan recognized that although metrics such as code churn, code complexity, code dependencies, and other code-related factors have an impact on software quality, his team had yet to investigate the people factor. _The Mythical Man Month_ is most famous for describing how communication overhead increases with the number of programmers on a project, but it also cites Conway's Law, paraphrased as, "If there are N product groups, the result will be a software system that to a large degree contains N versions or N components." In other words, the system will resemble the organization building the system.

The first challenge was to somehow describe the relationships between members of a development group. The team settled on using organizational structure, taking the entire tree structure of the Windows group as an example. They took into account reporting structure but also degrees of separation between engineers working on the same project, the level to which ownership of a code base rolled up, the number of groups contributing to the project, and other metrics developed for this study.

[_The Influence of Organizational Structure on Software Quality: An Empirical Case Study_][93], by Nagappan, [Brendan Murphy][94] of Microsoft Research Cambridge, and Victor R. Basili of the University of Maryland, presents startling results: Organizational metrics, which are not related to the code, can predict software failure-proneness with a precision and recall of 85 percent. This is a significantly higher precision than traditional metrics such as churn, complexity, or coverage that have been used until now to predict failure-proneness. This was probably the most surprising outcome of all the studies.

"That took us by surprise," Nagappan says. "We didn’t expect it to be that accurate. We thought it would be comparable to other code-based metrics, but these factors were at least 8 percent better in terms of precision and recall than the closest factor we got from the code measures. Eight percent, on a code base the size of Windows, is a huge difference."

## Geographical Distance Doesn't Matter—Much.

One of the most cherished beliefs in software project management is that a distributed-development model has a negative impact on software quality because of problems with communication, coordination, culture, and other factors. Again, this meant looking at organizational metrics.

"The fact is," Nagappan says, "that no one has really studied a large project. Most studies were either based on assumptions or on an outsourced model where a piece of the project is handled outside. But at Microsoft, we don't outsource product development. Our global development teams are Microsoft employees: the same management structure, access to the same resources."

But first of all, how do you define "distributed"? The research team took the corporate address book and came up with six degrees of distribution:

* In the same building.
* In different buildings but sharing a cafeteria.
* On the same campus, within walking distance.
* In the same region, within easy driving distance.
* In the same time zone.
* More than three time zones away.

Next, they classified all developers in the Windows team into these buckets. Then they looked for statistical evidence that components developed by distributed teams resulted in software with more errors than components developed by collocated teams.

[_Does distributed development affect software quality? An empirical case study of Windows Vista_][95]—by Christian Bird, University of California, Davis; Nagappan; Premkumar Devanbu, University of California, Davis; Harald Gall, University of Zurich, and Murphy—found that the differences were statistically negligible. In order to verify results, the team also conducted an anonymous survey with researchers [Sriram Rajamani][96] and [Ganesan Ramalingam][97] in [Microsoft Research India][74], asking engineers who they would talk to if they ran into problems. Most people preferred to talk to someone from their own organization 4,000 miles away rather than someone only five doors down the hall but from a different organization. Organizational cohesiveness played a bigger role than geographical distance.

## Putting Research to Work in the Real World

Many of the findings from these papers have been put to use by Microsoft product teams. Some of the tools that shipped with Visual Studio 2005 and Visual Studio 2008 incorporate work from the ESE group, and Microsoft's risk-analysis and bug-triage system for Windows Vista SP2 made use of the team's technology for risk estimation and analysis.

Nagappan believes there is value in further exploring organizational metrics but adds that more real-world context needs to be applied, because his studies have been confined to Microsoft development groups. He would like to extend his work to other commercial environments, distributed development teams, and open-source environments.

But there is one point that gives this software-engineering myth buster a great deal of satisfaction.

"I feel that we've closed the loop," Nagappan says. "It started with Conway's Law, which Brooks cited in _The Mythical Man-Month_; now, we can show that, yes, the design of the organization building the software system is as crucial as the system itself."

### Related Items

###  [Empirical Software Engineering Group (ESE)][88]

The Empirical Software Engineering working group empowers software development teams to make sound data-driven decisions by deploying novel analytic tools and methods based on ESE's empirical research on products, process, people, and customers.

Research Labs 

####  [ Microsoft Research Lab - Cambridge ][73]

Research Labs 

####  [ Microsoft Research Lab - India ][74]

Research Labs 

####  [ Microsoft Research Lab - Redmond ][78]

Research Areas 

####  [ Programming languages and software engineering ][52]

##  Follow Microsoft Research 

* * [Follow @MSFTResearch][98]
* ##  Share this page 
* * [Tweet][85]
* #### What's new
* [Surface Book 2][99]
* [Surface Pro][100]
* [Xbox One X][101]
* [Xbox One S][102]
* [VR & mixed reality][103]
* [Windows 10 apps][104]
* [Office apps][105]

#### Store & Support

* [Account profile][106]
* [Download Center][107]
* [Sales & support][108]
* [Returns][109]
* [Order tracking][110]
* [Store locations][111]
* [Support][112]
* [Buy online, pick up in store][113]

#### Education

* [Microsoft in education][31]
* [Office for students][114]
* [Office 365 for schools][115]
* [Deals for students & educators ][116]
* [Microsoft Azure in education][117]

#### Enterprise

* [Microsoft Azure ][118]
* [Enterprise][119]
* [Data platform][120]
* [Find a solutions provider][121]
* [Microsoft partner resources ][122]
* [Microsoft AppSource ][123]
* [Manufacturing & resources][35]
* [Financial services][32]

#### Developer

* [Microsoft Visual Studio][14]
* [Windows Dev Center][24]
* [Developer Network][23]
* [TechNet][124]
* [Microsoft Virtual Academy][125]
* [Microsoft developer program][126]
* [Channel 9][127]
* [Office Dev Center][128]

#### Company

* [Careers][129]
* [About Microsoft][130]
* [Company news][131]
* [Privacy at Microsoft][132]
* [Investors][133]
* [Diversity and inclusion][134]
* [Accessibility][135]
* [Security][136]
* [Sitemap][137]
* [Contact us][138]
* [Privacy & cookies ][139]
* [Terms of use][140]
* [Trademarks][141]
* [About our ads][142]
* © Microsoft 2018

![][143]

[1]: https://go.microsoft.com/fwlink/?linkid=845480
[2]: https://img-prod-cms-rt-microsoft-com.akamaized.net/cms/api/am/imageFileData/RE1Mu3b?ver=5c31
[3]: https://www.microsoft.com
[4]: https://www.microsoft.com/en-us/microsoft-365
[5]: https://azure.microsoft.com
[6]: https://products.office.com/en-us/business/office
[7]: https://dynamics.microsoft.com/en-us/
[8]: https://www.microsoft.com/sql-server/
[9]: https://www.microsoft.com/en-us/windowsforbusiness
[10]: https://www.microsoft.com/cloud-platform/windows-server
[11]: https://www.microsoft.com/cloud-platform/enterprise-mobility-security
[12]: https://powerbi.microsoft.com/en-us/
[13]: https://products.office.com/en-us/microsoft-teams/group-chat-software
[14]: https://www.visualstudio.com/
[15]: https://www.microsoft.com/en-us/surface/business/overview
[16]: https://www.microsoft.com/ai/
[17]: https://www.microsoft.com/internet-of-things
[18]: https://azure.microsoft.com/services/cognitive-services/
[19]: https://www.microsoft.com/quantum/
[20]: https://www.microsoft.com/research/
[21]: https://docs.microsoft.com/en-us/
[22]: https://technet.microsoft.com/en-us/ms376608.aspx
[23]: https://msdn.microsoft.com/en-us
[24]: https://developer.microsoft.com/en-us/windows
[25]: https://www.microsoft.com/en-us/itpro/windows
[26]: https://fasttrack.microsoft.com/office
[27]: https://partner.microsoft.com/
[28]: https://www.microsoft.com/solution-providers/
[29]: https://partnercenter.microsoft.com/partner/home
[30]: https://www.microsoft.com/en-us/cloudandhosting
[31]: https://www.microsoft.com/en-us/education
[32]: https://enterprise.microsoft.com/en-us
[33]: https://enterprise.microsoft.com/en-us/industries/government/
[34]: https://enterprise.microsoft.com/en-us/industries/health/
[35]: https://enterprise.microsoft.com/en-us/industries/discrete-manufacturing/
[36]: https://enterprise.microsoft.com/en-us/industries/retail-and-consumer-goods/
[37]: https://www.microsoft.com/security/
[38]: https://www.microsoft.com/licensing/
[39]: https://appsource.microsoft.com/
[40]: https://azuremarketplace.microsoft.com/marketplace/
[41]: https://events.microsoft.com/
[42]: https://www.microsoft.com/en-us/sitemap.aspx
[43]: https://www.microsoft.com/en-us/research/
[44]: https://www.microsoft.com/en-us/research/research-area/artificial-intelligence/
[45]: https://www.microsoft.com/en-us/research/research-area/computer-vision/
[46]: https://www.microsoft.com/en-us/research/research-area/graphics-and-multimedia/
[47]: https://www.microsoft.com/en-us/research/research-area/human-computer-interaction/
[48]: https://www.microsoft.com/en-us/research/research-area/human-language-technologies/
[49]: https://www.microsoft.com/en-us/research/research-area/search-information-retrieval/
[50]: https://www.microsoft.com/en-us/research/research-area/data-visualization-analytics-platform/
[51]: https://www.microsoft.com/en-us/research/research-area/hardware-devices-quantum-computing/
[52]: https://www.microsoft.com/en-us/research/research-area/programming-languages-software-engineering/
[53]: https://www.microsoft.com/en-us/research/research-area/security-privacy-cryptography/
[54]: https://www.microsoft.com/en-us/research/research-area/systems-and-networking/
[55]: https://www.microsoft.com/en-us/research/research-area/algorithms/
[56]: https://www.microsoft.com/en-us/research/research-area/computational-sciences-mathematics/
[57]: https://www.microsoft.com/en-us/research/research-area/ecology-environment/
[58]: https://www.microsoft.com/en-us/research/research-area/economics/
[59]: https://www.microsoft.com/en-us/research/research-area/medical-health-genomics/
[60]: https://www.microsoft.com/en-us/research/research-area/social-sciences/
[61]: https://www.microsoft.com/en-us/research/research-area/technology-for-emerging-markets/
[62]: https://www.microsoft.com/en-us/research/products/
[63]: https://www.microsoft.com/en-us/research/academic-programs/
[64]: https://www.microsoft.com/en-us/research/events-conferences/
[65]: https://www.microsoft.com/en-us/research/people/
[66]: https://www.microsoft.com/en-us/research/careers/
[67]: https://www.microsoft.com/en-us/research/blog
[68]: https://www.microsoft.com/en-us/research/blog/category/podcast/
[69]: https://blogs.microsoft.com/next/
[70]: https://www.microsoft.com/en-us/research/lab/microsoft-research-ai/
[71]: http://www.msra.cn
[72]: https://www.microsoft.com/en-us/research/lab/microsoft-research-asia/
[73]: https://www.microsoft.com/en-us/research/lab/microsoft-research-cambridge/
[74]: https://www.microsoft.com/en-us/research/lab/microsoft-research-india/
[75]: https://www.microsoft.com/en-us/research/lab/microsoft-research-montreal/
[76]: https://www.microsoft.com/en-us/research/lab/microsoft-research-new-england/
[77]: https://www.microsoft.com/en-us/research/lab/microsoft-research-new-york/
[78]: https://www.microsoft.com/en-us/research/lab/microsoft-research-redmond/
[79]: https://www.microsoft.com/en-us/research/lab/applied-sciences-group/
[80]: https://www.microsoft.com/en-us/research/group/advanced-technology-lab-cairo-2/
[81]: https://www.microsoft.com/en-us/research/lab/quantum/
[82]: https://www.microsoft.com/en-us/research/about/
[83]: https://www.microsoft.com/en-us/research/blog/
[84]: https://www.microsoft.com/en-us/research/blog/category/systems/program-languages-and-software-engineering/
[85]: https://twitter.com/share
[86]: https://www.microsoft.com/en-us/research/feed/
[87]: https://www.microsoft.com/en-us/research/people/nachin/
[88]: https://www.microsoft.com/en-us/research/group/empirical-software-engineering-group-ese/
[89]: https://www.microsoft.com/en-us/research/wp-content/uploads/2009/10/Nachi-Nagappan.jpg
[90]: https://www.microsoft.com/en-us/research/wp-content/uploads/2009/10/Realizing-Quality-Improvement-Through-Test-Driven-Development-Results-and-Experiences-of-Four-Industrial-Teams-nagappan_tdd.pdf
[91]: https://www.microsoft.com/en-us/research/publication/assessing-the-relationship-between-software-assertions-and-code-qualityan-empirical-investigation/
[92]: https://www.microsoft.com/en-us/research/people/tball/
[93]: https://www.microsoft.com/en-us/research/publication/the-influence-of-organizational-structure-on-software-quality-an-empirical-case-study/
[94]: https://www.microsoft.com/en-us/research/people/bmurphy/
[95]: https://www.microsoft.com/en-us/research/publication/does-distributed-development-affect-software-quality-an-empirical-case-study-of-windows-vista/
[96]: https://www.microsoft.com/en-us/research/people/sriram/
[97]: https://www.microsoft.com/en-us/research/people/grama/
[98]: https://twitter.com/MSFTResearch
[99]: https://www.microsoft.com/en-us/surface/devices/surface-book-2/overview
[100]: https://www.microsoft.com/en-us/surface/devices/surface-pro/overview
[101]: https://www.xbox.com/en-us/xbox-one-x
[102]: https://www.xbox.com/en-us/xbox-one-s?xr=shellnav
[103]: https://www.microsoft.com/en-us/store/b/virtualreality
[104]: https://www.microsoft.com/en-us/windows/windows-10-apps
[105]: https://store.office.com/en-us/appshome.aspx?
[106]: https://account.microsoft.com/
[107]: https://www.microsoft.com/en-us/download
[108]: https://go.microsoft.com/fwlink/p/?LinkID=824761&clcid=0x409
[109]: https://go.microsoft.com/fwlink/p/?LinkID=824764&clcid=0x409
[110]: https://account.microsoft.com/orders
[111]: https://www.microsoft.com/en-us/store/locations/find-a-store
[112]: https://support.microsoft.com/en-us
[113]: https://www.microsoft.com/en-us/store/b/buy-online-pick-up-in-store?icid=uhf_footer_bopuis
[114]: https://www.microsoft.com/en-us/education/products/office/default.aspx
[115]: https://products.office.com/en-us/academic/compare-office-365-education-plans
[116]: https://www.microsoft.com/en-us/store/b/student
[117]: https://azure.microsoft.com/en-us/community/education/
[118]: https://azure.microsoft.com/
[119]: https://enterprise.microsoft.com/en-us/
[120]: https://www.microsoft.com/en-us/sql-server/
[121]: https://www.microsoft.com/en-us/solution-providers
[122]: https://partner.microsoft.com/en-us/
[123]: https://go.microsoft.com/fwlink/?LinkID=808093
[124]: https://technet.microsoft.com/en-us
[125]: https://mva.microsoft.com/
[126]: https://developer.microsoft.com/en-us/store/register
[127]: https://channel9.msdn.com/
[128]: https://developer.microsoft.com/office
[129]: https://careers.microsoft.com/
[130]: https://www.microsoft.com/en-us/about
[131]: https://news.microsoft.com/
[132]: https://privacy.microsoft.com/en-us
[133]: https://www.microsoft.com/investor/default.aspx
[134]: https://www.microsoft.com/en-us/diversity/
[135]: https://www.microsoft.com/en-us/accessibility/home
[136]: https://www.microsoft.com/en-us/security/default.aspx
[137]: https://www.microsoft.com/en-us/sitemap1.aspx
[138]: https://support.microsoft.com/en-us/contactus
[139]: https://go.microsoft.com/fwlink/?LinkId=521839
[140]: https://go.microsoft.com/fwlink/?LinkID=206977
[141]: https://www.microsoft.com/trademarks
[142]: https://choice.microsoft.com
[143]: https://www.facebook.com/tr?id=435868603227390&ev=PageView&noscript=1

