---
created_at: '2015-08-17T15:35:31.000Z'
title: Solitude and Leadership (2010)
url: https://theamericanscholar.org/solitude-and-leadership/
author: lazydon
points: 41
story_text: ''
comment_text: 
num_comments: 6
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1439825731
_tags:
- story
- author_lazydon
- story_10073663
objectID: '10073663'

---
[Source](https://theamericanscholar.org/solitude-and-leadership/ "Permalink to The American Scholar: Solitude and Leadership - William Deresiewicz")

# The American Scholar: Solitude and Leadership - William Deresiewicz

![][1]

Toggle navigation

* [Home][2]
* [Daily Scholar][3]
* [Current Issue][4]
* [Past Issues][5]
* [Essays][6]
* [Book Reviews][7]
* [Podcast][8]
* [Subscribe][9]

![][1]

* [Home][2]
* [Daily Scholar][3]
* [Current Issue][4]
* [Past Issues][5]
* [Essays][6]
* [Book Reviews][7]
* [Podcast][8]
* [Subscribe][9]

####  [Essays][10] \- [Spring 2010][11]

# Solitude and Leadership

[Print][12]

If you want others to follow, learn to be alone with your thoughts

### By William Deresiewicz

#### 

March 1, 2010

  

 

 

_The lecture below was delivered to the plebe class at the United States Military Academy at West Point in October 2009._

My title must seem like a contradiction. What can solitude have to do with leadership? Solitude means being alone, and leadership necessitates the presence of others—the people you're leading. When we think about leadership in American history we are likely to think of Washington, at the head of an army, or Lincoln, at the head of a nation, or King, at the head of a movement—people with multitudes behind them, looking to them for direction. And when we think of solitude, we are apt to think of Thoreau, a man alone in the woods, keeping a journal and communing with nature in silence.

_Leadership_ is what you are here to learn—the qualities of character and mind that will make you fit to command a platoon, and beyond that, perhaps, a company, a battalion, or, if you leave the military, a corporation, a foundation, a department of government. _Solitude_ is what you have the least of here, especially as plebes. You don't even have privacy, the opportunity simply to be physically alone, never mind solitude, the ability to be alone with your thoughts. And yet I submit to you that solitude is one of the most important necessities of true leadership. This lecture will be an attempt to explain why.

We need to begin by talking about what leadership really means. I just spent 10 years teaching at another institution that, like West Point, liked to talk a lot about leadership, Yale University. A school that some of you might have gone to had you not come here, that some of your friends might be going to. And if not Yale, then Harvard, Stanford, MIT, and so forth. These institutions, like West Point, also see their role as the training of leaders, constantly encourage their students, like West Point, to regard themselves as leaders among their peers and future leaders of society. Indeed, when we look around at the American elite, the people in charge of government, business, academia, and all our other major institutions—senators, judges, CEOs, college presidents, and so forth—we find that they come overwhelmingly either from the Ivy League and its peer institutions or from the service academies, especially West Point.

So I began to wonder, as I taught at Yale, what leadership really consists of. My students, like you, were energetic, accomplished, smart, and often ferociously ambitious, but was that enough to make them leaders? Most of them, as much as I liked and even admired them, certainly didn't seem to me like  leaders. Does being a leader, I wondered, just mean being accomplished, being successful? Does getting straight As make you a leader? I didn't think so. Great heart surgeons or great novelists or great shortstops may be terrific at what they do, but that doesn't mean they're leaders. Leadership and aptitude, leadership and achievement, leadership and even ex­cellence have to be different things, otherwise the concept of leadership has no meaning. And it seemed to me that that had to be especially true of the kind of excellence I saw in the students around me.

See, things have changed since I went to college in the '80s. Everything has gotten much more intense. You have to do much more now to get into a top school like Yale or West Point, and you have to start a lot earlier. We didn't begin thinking about college until we were juniors, and maybe we each did a couple of extracurriculars. But I know what it's like for you guys now. It's an endless series of hoops that you have to jump through, starting from way back, maybe as early as junior high school. Classes, standardized tests, extracurriculars in school, extracurriculars outside of school. Test prep courses, admissions coaches, private tutors. I sat on the Yale College admissions committee a couple of years ago. The first thing the admissions officer would do when presenting a case to the rest of the committee was read what they call the "brag" in admissions lingo, the list of the student's extracurriculars. Well, it turned out that a student who had six or seven extracurriculars was already in trouble. Because the students who got in—in addition to perfect grades and top scores—usually had 10 or 12.

So what I saw around me were great kids who had been trained to be world-class hoop jumpers. Any goal you set them, they could achieve. Any test you gave them, they could pass with flying colors. They were, as one of them put it herself, "excellent sheep." I had no doubt that they would continue to jump through hoops and ace tests and go on to Harvard Business School, or Michigan Law School, or Johns Hopkins Medical School, or Goldman Sachs, or McKinsey consulting, or whatever. And this approach would indeed take them far in life. They would come back for their 25th reunion as a partner at White & Case, or an attending physician at Mass General, or an assistant secretary in the Department of State.

That is exactly what places like Yale mean when they talk about training leaders. Educating people who make a big name for themselves in the world, people with impressive titles, people the university can brag about. People who make it to the top. People who can climb the greasy pole of whatever hierarchy they decide to attach themselves to.

* * *

But I think there's something desperately wrong, and even dangerous, about that idea. To explain why, I want to spend a few minutes talking about a novel that many of you may have read, _Heart of Darkness_. If you haven't read it, you've probably seen _Apocalypse Now_, which is based on it. Marlow in the novel becomes Captain Willard, played by Martin Sheen. Kurtz in the novel becomes Colonel Kurtz, played by Marlon Brando. But the novel isn't about Vietnam; it's about colonialism in the Belgian Congo three generations before Vietnam. Marlow, not a military officer but a merchant marine, a civilian ship's captain, is sent by the company that's running the country under charter from the Belgian crown to sail deep upriver, up the Congo River, to retrieve a manager who's ensconced himself in the jungle and gone rogue, just like Colonel Kurtz does in the movie.

Now everyone knows that the novel is about imperialism and colonialism and race relations and the darkness that lies in the human heart, but it became clear to me at a certain point, as I taught the novel, that it is also about bureaucracy—what I called, a minute ago, hierarchy. The Company, after all, is just that: a company, with rules and procedures and ranks and people in power and people scrambling for power, just like any other bureaucracy. Just like a big law firm or a governmental department or, for that matter, a university. Just like—and here's why I'm telling you all this—just like the bureaucracy you are about to join. The word _bureaucracy_ tends to have negative connotations, but I say this in no way as a criticism, merely a description, that the U.S. Army is a bureaucracy and one of the largest and most famously bureaucratic bureaucracies in the world. After all, it was the Army that gave us, among other things, the indispensable bureaucratic acronym "snafu": "situation normal: all fucked up"—or "all fouled up" in the cleaned-up version. That comes from the U.S. Army in World War II.

You need to know that when you get your commission, you'll be joining a bureaucracy, and however long you stay in the Army, you'll be operating within a bureaucracy. As different as the armed forces are in so many ways from every other institution in society, in that respect they are the same. And so you need to know how bureaucracies operate, what kind of behavior—what kind of character—they reward, and what kind they punish.

So, back to the novel. Marlow proceeds upriver by stages, just like Captain Willard does in the movie. First he gets to the Outer Station. Kurtz is at the Inner Station. In between is the Central Station, where Marlow spends the most time, and where we get our best look at bureaucracy in action and the kind of people who succeed in it. This is Marlow's description of the manager of the Central Station, the big boss:

> He was commonplace in complexion, in features, in manners, and in voice. He was of middle size and of ordinary build. His eyes, of the usual blue, were perhaps remarkably cold. . . . Otherwise there was only an indefinable, faint expression of his lips, something stealthy—a smile—not a smile—I remember it, but I can't explain. . . . He was a common trader, from his youth up employed in these parts—nothing more. He was obeyed, yet he inspired neither love nor fear, nor even respect. He inspired uneasiness. That was it! Uneasiness. Not a definite mistrust—just uneasiness—nothing more. You have no idea how effective such a . . . a . . . faculty can be. He had no genius for organizing, for initiative, or for order even. . . . He had no learning, and no intelligence. His position had come to him—why? . . . He originated nothing, he could keep the routine going—that's all. But he was great. He was great by this little thing that it was impossible to tell what could control such a man. He never gave that secret away. Perhaps there was nothing within him. Such a suspicion made one pause.

Note the adjectives: _commonplace_, _ordinary_, _usual_, _common_. There is nothing distinguished about this person. About the 10th time I read that passage, I realized it was a perfect description of the kind of person who tends to prosper in the bureaucratic environment. And the only reason I did is because it suddenly struck me that it was a perfect description of the head of the bureaucracy that _I_ was part of, the chairman of my academic department—who had that exact same smile, like a shark, and that exact same ability to make you uneasy, like you were doing something wrong, only she wasn't ever going to tell you what. Like the manager—and I'm sorry to say this, but like so many people you will meet as you negotiate the bureaucracy of the Army or for that matter of whatever institution you end up giving your talents to after the Army, whether it's Microsoft or the World Bank or whatever—the head of my department had no genius for organizing or initiative or even order, no particular learning or intelligence, no distinguishing characteristics at all. Just the ability to keep the routine going, and beyond that, as Marlow says, her position had come to her—why?

![][13]

That's really the great mystery about bureaucracies. Why is it so often that the best people are stuck in the middle and the people who are running things—the leaders—are the mediocrities? Because excellence isn't usually what gets you up the greasy pole. What gets you up is a talent for maneuvering. Kissing up to the people above you, kicking down to the people below you. Pleasing your teachers, pleasing your superiors, picking a powerful mentor and riding his coattails until it's time to stab him in the back. Jumping through hoops. Getting along by going along. Being whatever other people want you to be, so that it finally comes to seem that, like the manager of the Central Station, you have nothing inside you at all. Not taking stupid risks like trying to change how things are done or question why they're done. Just keeping the routine going.

* * *

I tell you this to forewarn you, because I promise you that you will meet these people and you will find yourself in environments where what is rewarded above all is conformity. I tell you so you can decide to be a different kind of leader. And I tell you for one other reason. As I thought about these things and put all these pieces together—the kind of students I had, the kind of leadership they were being trained for, the kind of leaders I saw in my own institution—I realized that this is a national problem. We have a crisis of leadership in this country, in every institution. Not just in government. Look at what happened to American corporations in recent decades, as all the old dinosaurs like General Motors or TWA or U.S. Steel fell apart. Look at what happened to Wall Street in just the last couple of years.

Finally—and I know I'm on sensitive ground here—look at what happened during the first four years of the Iraq War. We were stuck. It wasn't the fault of the enlisted ranks or the noncoms or the junior officers. It was the fault of the senior leadership, whether military or civilian or both. We weren't just not winning, we weren't even changing direction.

We have a crisis of leadership in America because our overwhelming power and wealth, earned under earlier generations of leaders, made us complacent, and for too long we have been training leaders who only know how to keep the routine going. Who can answer questions, but don't know how to ask them. Who can fulfill goals, but don't know how to set them. Who think about _how_ to get things done, but not whether they're worth doing in the first place. What we have now are the greatest technocrats the world has ever seen, people who have been trained to be incredibly good at one specific thing, but who have no interest in anything beyond their area of exper­tise. What we _don't_ have are leaders.

What we don't have, in other words, are _thinkers_. People who can think for themselves. People who can formulate a new direction: for the country, for a corporation or a college, for the Army—a new way of doing things, a new way of looking at things. People, in other words, with _vision_.

Now some people would say, great. Tell this to the kids at Yale, but why bother telling it to the ones at West Point? Most people, when they think of this institution, assume that it's the last place anyone would want to talk about thinking creatively or cultivating independence of mind. It's the Army, after all. It's no accident that the word _regiment_ is the root of the word _regimentation_. Surely you who have come here must be the ultimate conformists. Must be people who have bought in to the way things are and have no interest in changing it. Are not the kind of young people who think about the world, who ponder the big issues, who question authority. If you were, you would have gone to Amherst or Pomona. You're at West Point to be told what to do and how to think.

But you know that's not true. I know it, too; otherwise I would never have been invited to talk to you, and I'm even more convinced of it now that I've spent a few days on campus. To quote Colonel Scott Krawczyk, your course director, in a lecture he gave last year to English 102:

> From the very earliest days of this country, the model for our officers, which was built on the model of the citizenry and reflective of democratic ideals, was to be different. They were to be possessed of a democratic spirit marked by independent judgment, the freedom to measure action and to express disagreement, and the crucial responsibility never to tolerate tyranny.

All the more so now. Anyone who's been paying attention for the last few years understands that the changing nature of warfare means that officers, including junior officers, are required more than ever to be able to think independently, creatively, flexibly. To deploy a whole range of skills in a fluid and complex situation. Lieutenant colonels who are essentially functioning as provincial governors in Iraq, or captains who find themselves in charge of a remote town somewhere in Afghanistan. People who know how to do more than follow orders and execute routines.

Look at the most successful, most acclaimed, and perhaps the finest soldier of his generation, General David Petraeus. He's one of those rare people who rises through a bureaucracy for the right reasons. He is a thinker. He is an intellectual. In fact, _Prospect_ magazine named him Public Intellectual of the Year in 2008—that's _in the world_. He has a Ph.D. from Princeton, but what makes him a thinker is not that he has a Ph.D. or that he went to Princeton or even that he taught at West Point. I can assure you from personal experience that there are a lot of highly educated people who don't know how to think at all.

No, what makes him a thinker—and a leader—is precisely that he is able to think things through for himself. And because he can, he has the confidence, the _courage_, to argue for his ideas even when they aren't popular. Even when they don't please his superiors. Courage: there is physical courage, which you all possess in abundance, and then there is another kind of courage, moral courage, the courage to stand up for what you believe.

It wasn't always easy for him. His path to where he is now was not a straight one. When he was running Mosul in 2003 as commander of the 101st Airborne and developing the strategy he would later formulate in the _Counterinsurgency Field Manual_ and then ultimately apply throughout Iraq, he pissed a lot of people off. He was way ahead of the leadership in Baghdad and Washington, and bureaucracies don't like that sort of thing. Here he was, just another two-star, and he was saying, implicitly but loudly, that the leadership was wrong about the way it was running the war. Indeed, he was not rewarded at first. He was put in charge of training the Iraqi army, which was considered a blow to his career, a dead-end job. But he stuck to his guns, and ultimately he was vindicated. Ironically, one of the central elements of his counterinsurgency strategy is precisely the idea that officers need to think flexibly, creatively, and independently.

* * *

That's the first half of the lecture: the idea that true leadership means being able to think for yourself and act on your convictions. But how do you learn to do that? How do you learn to think? Let's start with how you _don't_ learn to think. A study by a team of researchers at Stanford came out a couple of months ago. The investigators wanted to figure out how today's college students were able to multitask so much more effectively than adults. How do they manage to do it, the researchers asked? The answer, they discovered—and this is by no means what they expected—is that they don't. The enhanced cognitive abilities the investigators expected to find, the mental faculties that enable people to multitask effectively, were simply not there. In other words, people do not multitask effectively. And here's the really surprising finding: the more people multitask, the worse they are, not just at other mental abilities, but at multitasking itself.

One thing that made the study different from others is that the researchers didn't test people's cognitive functions while they were multitasking. They separated the subject group into high multitaskers and low multitaskers and used a different set of tests to measure the kinds of cognitive abilities involved in multitasking. They found that in every case the high multitaskers scored worse. They were worse at distinguishing between relevant and irrelevant information and ignoring the latter. In other words, they were more distractible. They were worse at what you might call "mental filing": keeping information in the right conceptual boxes and being able to retrieve it quickly. In other words, their minds were more disorganized. And they were even worse at the very thing that defines multitasking itself: switching between tasks.

Multitasking, in short, is not only not thinking, it impairs your ability to think. _Thinking means concentrating on one thing long enough to develop an idea about it._ Not learning other people's ideas, or memorizing a body of information, however much those may sometimes be useful. Developing your own ideas. In short, thinking for yourself. You simply cannot do that in bursts of 20 seconds at a time, constantly interrupted by Facebook messages or Twitter tweets, or fiddling with your iPod, or watching something on YouTube.

I find for myself that my first thought is never my best thought. My first thought is always someone else's; it's always what I've already heard about the subject, always the conventional wisdom. It's only by concentrating, sticking to the question, being patient, letting all the parts of my mind come into play, that I arrive at an original idea. By giving my brain a chance to make associations, draw connections, take me by surprise. And often even that idea doesn't turn out to be very good. I need time to think about it, too, to make mistakes and recognize them, to make false starts and correct them, to outlast my impulses, to defeat my desire to declare the job done and move on to the next thing.

I used to have students who bragged to me about how fast they wrote their papers. I would tell them that the great German novelist Thomas Mann said that a writer is someone for whom writing is more difficult than it is for other people. The best writers write much more slowly than everyone else, and the better they are, the slower they write. James Joyce wrote _Ulysses_, the greatest novel of the 20th century, at the rate of about a hundred words a day—half the length of the selection I read you earlier from _Heart of Darkness_—for seven years. T. S. Eliot, one of the greatest poets our country has ever produced, wrote about 150 pages of poetry over the course of his entire 25-year career. That's half a page a month. So it is with any other form of thought. You do your best thinking by slowing down and concentrating.

* * *

Now that's the third time I've used that word, _concentrating_. Concentrating, focusing. You can just as easily consider this lecture to be about concentration as about solitude. Think about what the word means. It means gathering yourself together into a single point rather than letting yourself be dispersed everywhere into a cloud of electronic and social input. It seems to me that Facebook and Twitter and YouTube—and just so you don't think this is a generational thing, TV and radio and magazines and even newspapers, too—are all ultimately just an elaborate excuse to run away from yourself. To avoid the difficult and troubling questions that being human throws in your way. Am I doing the right thing with my life? Do I believe the things I was taught as a child? What do the words I live by—words like _duty_, _honor_, and _country_—really mean? Am I happy?

You and the members of the other service academies are in a unique position among college students, especially today. Not only do you know that you're going to have a job when you graduate, you even know who your employer is going to be. But what happens after you fulfill your commitment to the Army? Unless you know who you are, how will you figure out what you want to do with the rest of your life? Unless you're able to listen to yourself, to that quiet voice inside that tells you what you really care about, what you really believe in—indeed, how those things might be evolving under the pressure of your experiences. Students everywhere else agonize over these questions, and while you may not be doing so now, you are only postponing them for a few years.

Maybe some of you _are_ agonizing over them now. Not everyone who starts here decides to finish here. It's no wonder and no cause for shame. You are being put through the most demanding training anyone can ask of people your age, and you are committing yourself to work of awesome responsibility and mortal danger. The very rigor and regimentation to which you are quite properly subject here naturally has a tendency to make you lose touch with the passion that brought you here in the first place. I saw exactly the same kind of thing at Yale. It's not that my students were robots. Quite the reverse. They were in­tensely idealistic, but the overwhelming weight of their practical responsibilities, all of those hoops they had to jump through, often made them lose sight of what those ideals were. Why they were doing it all in the first place.

So it's perfectly natural to have doubts, or questions, or even just difficulties. The question is, what do you do with them? Do you suppress them, do you distract yourself from them, do you pretend they don't exist? Or do you confront them directly, honestly, courageously? If you decide to do so, you will find that the answers to these dilemmas are not to be found on Twitter or Comedy Central or even in _The New York Times_. They can only be found within—without distractions, without peer pressure, in solitude.

* * *

But let me be clear that solitude doesn't always have to mean introspection. Let's go back to _Heart of Darkness_. It's the solitude of concentration that saves Marlow amidst the madness of the Central Station. When he gets there he finds out that the steamboat he's supposed to sail upriver has a giant hole in it, and no one is going to help him fix it. "I let him run on," he says, "this papier-mâché Mephistopheles"—he's talking not about the manager but his assistant, who's even worse, since he's still trying to kiss his way up the hierarchy, and who's been raving away at him. You can think of him as the Internet, the ever-present social buzz, chattering away at you 24/7:

> I let him run on, this papier-mâché Mephistopheles and it seemed to me that if I tried I could poke my forefinger through him, and would find nothing inside but a little loose dirt. . . .
> 
> It was a great comfort to turn from that chap to . . . the battered, twisted, ruined, tin-pot steamboat. . . . I had expended enough hard work on her to make me love her. No influential friend would have served me better. She had given me a chance to come out a bit—to find out what I could do. No, I don't like work. I had rather laze about and think of all the fine things that can be done. I don't like work—no man does—but I like what is in the work,—the chance to find yourself. Your own reality—for yourself, not for others—what no other man can ever know.

"The chance to find yourself." Now that phrase, "finding yourself," has acquired a bad reputation. It suggests an aimless liberal-arts college graduate—an English major, no doubt, someone who went to a place like Amherst or Pomona—who's too spoiled to get a job and spends his time staring off into space. But here's Marlow, a mariner, a ship's captain. A more practical, hardheaded person you could not find. And I should say that Marlow's creator, Conrad, spent 19 years as a merchant marine, eight of them as a ship's captain, before he became a writer, so this wasn't just some artist's idea of a sailor. Marlow believes in the need to find yourself just as much as anyone does, and the way to do it, he says, is work, solitary work. Concentration. Climbing on that steamboat and spending a few uninterrupted hours hammering it into shape. Or building a house, or cooking a meal, or even writing a college paper, if you really put yourself into it.

"Your own reality—for yourself, not for others." Thinking for yourself means finding yourself, finding your own reality. Here's the other problem with Facebook and Twitter and even _The New York Times_. When you expose yourself to those things, especially in the constant way that people do now—older people as well as younger people—you are continuously bombarding yourself with a stream of other people's thoughts. You are marinating yourself in the conventional wisdom. In other people's reality: for others, not for yourself. You are creating a cacophony in which it is impossible to hear your own voice, whether it's yourself you're thinking about or anything else. That's what Emerson meant when he said that "he who should inspire and lead his race must be defended from travelling with the souls of other men, from living, breathing, reading, and writing in the daily, time-worn yoke of their opinions." Notice that he uses the word _lead_. Leadership means finding a new direction, not simply putting yourself at the front of the herd that's heading toward the cliff.

* * *

So why is reading books any better than reading tweets or wall posts? Well, sometimes it isn't. Sometimes, you need to put down your book, if only to think about what you're reading, what _you_ think about what you're reading. But a book has two advantages over a tweet. First, the person who wrote it thought about it a lot more carefully. The book is the result of _his_ solitude, _his_ attempt to think for himself.

Second, most books are old. This is not a disadvantage: this is precisely what makes them valuable. They stand against the conventional wisdom of today simply because they're not _from_ today. Even if they merely reflect the conventional wisdom of their own day, they say something different from what you hear all the time. But the great books, the ones you find on a syllabus, the ones people have continued to read, don't reflect the conventional wisdom of their day. They say things that have the permanent power to disrupt our habits of thought. They were revolutionary in their own time, and they are still revolutionary today. And when I say "revolutionary," I am deliberately evoking the American Revolution, because it was a result of precisely this kind of independent thinking. Without solitude—the solitude of Adams and Jefferson and Hamilton and Madison and Thomas Paine—there would be no America.

So solitude can mean introspection, it can mean the concentration of focused work, and it can mean sustained reading. All of these help you to know yourself better. But there's one more thing I'm going to include as a form of solitude, and it will seem counterintuitive: friendship. Of course friendship is the opposite of solitude; it means being with other people. But I'm talking about one kind of friendship in particular, the deep friendship of intimate conversation. Long, uninterrupted talk with one other person. Not Skyping with three people and texting with two others at the same time while you hang out in a friend's room listening to music and studying. That's what Emerson meant when he said that "the soul environs itself with friends, that it may enter into a grander self-acquaintance or solitude."

Introspection means talking to yourself, and one of the best ways of talking to yourself is by talking to another person. One other person you can trust, one other person to whom you can unfold your soul. One other person you feel safe enough with to allow you to acknowledge things—to acknowledge things to yourself—that you otherwise can't. Doubts you aren't supposed to have, questions you aren't supposed to ask. Feelings or opinions that would get you laughed at by the group or reprimanded by the authorities.

This is what we call thinking out loud, discovering what you believe in the course of articulating it. But it takes just as much time and just as much patience as solitude in the strict sense. And our new electronic world has disrupted it just as violently. Instead of having one or two true friends that we can sit and talk to for three hours at a time, we have 968 "friends" that we never actually talk to; instead we just bounce one-line messages off them a hundred times a day. This is not friendship, this is distraction.

* * *

I know that none of this is easy for you. Even if you threw away your cell phones and unplugged your computers, the rigors of your training here keep you too busy to make solitude, in any of these forms, anything less than very difficult to find. But the highest reason you need to try is precisely because of what the job you are training _for_ will demand of you.

You've probably heard about the hazing scandal at the U.S. naval base in Bahrain that was all over the news recently. Terrible, abusive stuff that involved an entire unit and was orchestrated, allegedly, by the head of the unit, a senior noncommissioned officer. What are you going to do if you're confronted with a situation like that going on in _your_ unit? Will you have the courage to do what's right? Will you even know what the right thing is? It's easy to read a code of conduct, not so easy to put it into practice, especially if you risk losing the loyalty of the people serving under you, or the trust of your peer officers, or the approval of your superiors. What if you're not the commanding officer, but you see your superiors condoning something you think is wrong?

How will you find the strength and wisdom to challenge an unwise order or question a wrongheaded policy? What will you do the first time you have to write a letter to the mother of a slain soldier? How will you find words of comfort that are more than just empty formulas?

These are truly formidable dilemmas, more so than most other people will ever have to face in their lives, let alone when they're 23. The time to start preparing yourself for them is now. And the way to do it is by thinking through these issues for yourself—morality, mortality, honor—so you will have the strength to deal with them when they arise. Waiting until you have to confront them in practice would be like waiting for your first firefight to learn how to shoot your weapon. Once the situation is upon you, it's too late. You have to be prepared in advance. You need to know, already, who you are and what you believe: not what the Army believes, not what your peers believe (that may be exactly the problem), but what _you_ believe.

How can you know that unless you've taken counsel with yourself in solitude? I started by noting that solitude and leadership would seem to be contradictory things. But it seems to me that solitude is the very essence of leadership. The position of the leader is ultimately an intensely solitary, even intensely lonely one. However many people you may consult, you are the one who has to make the hard decisions. And at such moments, all you really have is yourself.

  

William Deresiewicz is an essayist and critic. His book [_Excellent Sheep: The Miseducation of the American Elite and the Way to a Meaningful Life][14] is based in part on his essays "[The Disadvantages of an Elite Education][15]" and "[Solitude and Leadership][16]." To read all the posts from his weekly blog, "All Points," click [here][17]. He is a contributing editor of the magazine.

  

Comments are closed for this post.

![][18]

  

##### Advertisement

## E-newsletter

![][19]

### By

Enter your email address to subscribe. *

Subscribe

## [The Daily Scholar][20]

![][21]

#### [Deep in the Heart][22]

##### [Coming Home][23]

![][24]

#### [Measure by Measure][25]

##### [Ah, Bitter Chill It Was!][26]

![][27]

#### [View from Rue Saint-Georges][28]

##### [On a Walkabout][29]

![][30]

#### [Next Line, Please][31]

##### [Postcard From the Future][32]

![][33]

#### [Portrait of the Artist][34]

##### [Nolan Preece][35]

![][36]   

## THIS WEEK'S ARCHIVE PICK

### [St. Augustine and the Hall of Memory][37]

** By Greta Austin**

Greta Austin's aunt spent 60 years in her old Victorian house and never changed a thing, living vicariously through her family and her own memories. The act of remembering for Aunt Lillian "was not just recollection of the past; it was all of experience, all of herself, which she then considered, organized, classified, and stored." She never had to renovate her home because, in St. Augustine's words, memory was its own house, full of rooms in which to store images and experiences. Read Austin's loving and poetic tribute to her aunt from our Winter 2012 issue.

## WEB EXCLUSIVES

### [Editors' Picks][38]

Best-of lists from bad romances to Shakespearean verse

  

### [The Guest List][39]

We ask our favorite writers about their favorite titles

  

### [The Daily Scholar Archives][40]

The complete collection of our blogs, including Zinsser on Friday and our weekly Writing Lessons

  

### [Online Essays][41]

Works you won't find in print edition, from the likes of Harold Holzer, Wendy Smith, and Neil Shea

![][42]

######## BRIEF EXCERPTS FROM NEW BOOKS

  

### [The Seabird's Cry][43]

**By Adam Nicolson**

Adam Nicolson's look at the great avian ocean voyagers

##### Advertisement

[About Us

[Current Issue][4]

[Past Issues][5]

[Essays][6]

[Contact Us

[Submissions][44]

[Donate][45]

[Advertise][46]

Sponsored by Phi Beta Kappa   
Copyright © 2017 [The American Scholar][47]

![Quantcast][48]

[1]: https://theamericanscholar.org/static/images/scholar_logo_hires_500px.png
[2]: https://theamericanscholar.org/
[3]: https://theamericanscholar.org/the-daily-scholar
[4]: https://theamericanscholar.org/issues/winter-2018/
[5]: https://theamericanscholar.org/past-issues
[6]: https://theamericanscholar.org/dept/essays
[7]: https://theamericanscholar.org/dept/book-reviews
[8]: https://theamericanscholar.org/podcast
[9]: https://theamericanscholar.org/subscribe
[10]: https://theamericanscholar.org/dept/essays/
[11]: https://theamericanscholar.org/issues/spring-2010/
[12]: https://theamericanscholar.org#
[13]: https://theamericanscholar.org/uploads/2010/03/deresiewicz-new.png
[14]: http://pages.simonandschuster.com/excellentsheep
[15]: http://theamericanscholar.org/the-disadvantages-of-an-elite-education/
[16]: http://theamericanscholar.org/solitude-and-leadership/
[17]: http://theamericanscholar.org/the-complete-all-points/
[18]: https://theamericanscholar.org/uploads/2017/10/smarty_blues_300.png
[19]: https://img.mailinblue.com/new_images/loader_sblue.gif
[20]: https://theamericanscholar.org/the-daily-scholar/
[21]: https://theamericanscholar.org/uploads/2017/10/coving1-45x42.png
[22]: https://theamericanscholar.org/daily-scholar/deep-in-the-heart/
[23]: https://theamericanscholar.org/coming-home/
[24]: https://theamericanscholar.org/uploads/2017/01/sudip_553ch-45x42.png
[25]: https://theamericanscholar.org/daily-scholar/measure-by-measure/
[26]: https://theamericanscholar.org/ah-bitter-chill-it-was/
[27]: https://theamericanscholar.org/uploads/2016/06/chatterton-williams-crop01-45x42.png
[28]: https://theamericanscholar.org/daily-scholar/view-from-rue-saint-georges/
[29]: https://theamericanscholar.org/on-a-walkabout/
[30]: https://theamericanscholar.org/uploads/2014/04/Lyre-45x42.jpg
[31]: https://theamericanscholar.org/daily-scholar/next-line-please/
[32]: https://theamericanscholar.org/postcard-from-the-future/
[33]: https://theamericanscholar.org/uploads/2017/01/pallette-02-45x42.png
[34]: https://theamericanscholar.org/daily-scholar/portrait-of-the-artist/
[35]: https://theamericanscholar.org/nolan-preece/
[36]: https://theamericanscholar.org/uploads/2014/04/2ndLook.jpg
[37]: https://theamericanscholar.org/st-augustine-and-the-hall-of-memory/
[38]: https://theamericanscholar.org/dept/editors-picks/
[39]: https://theamericanscholar.org/dept/the-guest-list/
[40]: https://theamericanscholar.org/the-daily-scholar-archives/
[41]: https://theamericanscholar.org/dept/web-exclusive/
[42]: https://theamericanscholar.org/uploads/2015/08/shelf-life-e1438874439558.png
[43]: https://theamericanscholar.org/the-seabirds-cry/
[44]: https://theamericanscholar.submittable.com/submit
[45]: https://theamericanscholar.org/support
[46]: https://theamericanscholar.org/advertising
[47]: https://theamericanscholar.org
[48]: https://pixel.quantserve.com/pixel/p-gLqgnYps-c79e.gif

