---
created_at: '2015-10-10T23:10:55.000Z'
title: Scott and Scurvy (2010)
url: http://idlewords.com/2010/03/scott_and_scurvy.htm
author: mbrubeck
points: 51
story_text: 
comment_text: 
num_comments: 6
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1444518655
_tags:
- story
- author_mbrubeck
- story_10367363
objectID: '10367363'

---
[Source](http://idlewords.com/2010/03/scott_and_scurvy.htm "Permalink to Scott And Scurvy (Idle Words)")

# Scott And Scurvy (Idle Words)

![][1]   

| ----- |
|  [ « Using WordPress to Generate Flat Files][2] | [An Annotated Letter From Roman Polanski »][3] | 

**03.06.[2010][4]**

[Scott And Scurvy][5]

Recently I have been re-reading one of my favorite books, [The Worst Journey in the World][6]![][7], an account of Robert Falcon Scott's 1911 expedition to the South Pole. I can't do the book justice in a summary, other than recommend that you drop everything and [read it][8], but there is one detail that particularly baffled me the first time through, and that I resolved to understand better once I could stand to put the book down long enough.

Writing about the first winter the men spent on the ice, Cherry-Garrard [casually mentions][9] an astonishing lecture on scurvy by one of the expedition's doctors:

> Atkinson inclined to Almroth Wright's theory that scurvy is due to an acid intoxication of the blood caused by bacteria...  
There was little scurvy in Nelson's days; but the reason is not clear, since, according to modern research, lime-juice only helps to prevent it. We had, at Cape Evans, a salt of sodium to be used to alkalize the blood as an experiment, if necessity arose. Darkness, cold, and hard work are in Atkinson's opinion important causes of scurvy.  

Now, I had been taught in school that scurvy had been conquered in 1747, when the Scottish physician [James Lind][10] proved in one of the first controlled medical experiments that citrus fruits were an effective cure for the disease. From that point on, we were told, the Royal Navy had required a daily dose of lime juice to be mixed in with sailors' grog, and scurvy ceased to be a problem on long ocean voyages.

But here was a Royal Navy surgeon in 1911 apparently ignorant of what caused the disease, or how to cure it. Somehow a highly-trained group of scientists at the start of the 20th century knew less about scurvy than the average sea captain in Napoleonic times. Scott left a base abundantly stocked with fresh meat, fruits, apples, and lime juice, and headed out on the ice for five months with no protection against scurvy, all the while confident he was not at risk. What happened?

...

By all accounts scurvy is a horrible disease. Scott, who has reason to know, gives a succinct description: 

> The symptoms of scurvy do not necessarily occur in a regular order, but generally the first sign is an inflamed, swollen condition of the gums. The whitish pink tinge next the teeth is replaced by an angry red; as the disease gains ground the gums become more spongy and turn to a purplish colour, the teeth become loose and the gums sore. Spots appear on the legs, and pain is felt in old wounds and bruises; later, from a slight oedema, the legs, and then the arms, swell to a great size and become blackened behind the joints. After this the patient is soon incapacitated, and the last horrible stages of the disease set in, from which death is a merciful release. 

One of the most striking features of the disease is the disproportion between its severity and the simplicity of the cure. Today we know that scurvy is due solely to a deficiency in vitamin C, a compound essential to metabolism that the human body must obtain from food. Scurvy is rapidly and completely cured by restoring vitamin C into the diet. 

Except for the nature of vitamin C, eighteenth century physicians knew this too. But in the second half of the nineteenth century, the cure for scurvy was lost. The story of how this happened is a striking demonstration of the problem of induction, and how progress in one field of study can lead to unintended steps backward in another. 

An unfortunate series of accidents conspired with advances in technology to discredit the cure for scurvy. What had been a simple dietary deficiency became a subtle and unpredictable disease that could strike without warning. Over the course of fifty years, scurvy would return to torment not just Polar explorers, but thousands of infants born into wealthy European and American homes. And it would only be through blind luck that the actual cause of scurvy would be rediscovered, and vitamin C finally isolated, in 1932. 

It is not easy to find fresh foods that lack vitamin C. Plants and animals tend to be full of it, since the molecule is used in all kinds of biochemical synthesis as an electron donor. But the same reactive qualities that make the vitamin useful also make it easy to destroy. Vitamin C quickly breaks down in the presence of light, heat and air. For this reason it is absent from most preserved foods that have been cooked or dried. Its destruction is also rapidly catalyzed by copper ions, which may be one reason sailors, with their big copper cooking vats, were particularly susceptible. 

Because our bodies can't synthesize the vitamin, they have grown very good at conserving it. It takes up to six months for scurvy to develop in healthy people after vitamin C is removed from the diet, and only a tiny daily amount is enough to keep a person healthy.

It has been known since antiquity that fresh foods in general, and lemons and oranges in particular, will cure scurvy. Starting with Vasco de Gama's crew in 1497, sailors have repeatedly discovered the curative power of citrus fruits, and the cure has just as frequently been forgotten or ignored by subsequent explorers. 

Lind tends to get the credit for discovering the citrus cure since he performed something approaching a controlled experiment. But it took an additional forty years of experiments, analysis, and political lobbying for his result to become institutionalized in the Royal Navy. In 1799, all Royal Navy ships on foreign service were ordered to serve lemon juice: 

> The scheduled allowance for the sailors in the Navy was fixed at I oz.lemon juice with I + oz. sugar, served daily after 2 weeks at sea, the lemon juice being often called 'lime juice' and our sailors 'lime juicers'. The consequences of this new regulation were startling and by the beginning of the nineteenth century scurvy may be said to have vanished from the British navy. In 1780, the admissions of scurvy cases to the Naval Hospital at Haslar were 1457; in the years from 1806 to 1810, they were two. 

(As we'll see, the confusion between lemons and limes would have serious reprecussions.)

Scurvy had been the leading killer of sailors on long ocean voyages; some ships experienced losses as high as 90% of their men. With the introduction of lemon juice, the British suddenly held a massive strategic advantage over their rivals, one they put to good use in the Napoleonic wars. British ships could now stay out on blockade duty for two years at a time, strangling French ports even as the merchantmen who ferried citrus to the blockading ships continued to die of scurvy, prohibited from touching the curative themselves. 

The success of lemon juice was so total that much of Sicily was soon transformed into a lemon orchard for the British fleet. Scurvy continued to be a vexing problem in other navies, who were slow to adopt citrus as a cure, as well as in the Merchant Marine, but for the Royal Navy it had become a disease of the past. 

By the middle of the 19th century, however, advances in technology were reducing the need for any kind of scurvy preventative. Steam power had shortened travel times considerably from the age of sail, so that it was rare for sailors other than whalers to be months at sea without fresh food. Citrus juice was a legal requirement on all British vessels by 1867, but in practical terms it was becoming superfluous.

So when the Admiralty began to replace lemon juice with an ineffective substitute in 1860, it took a long time for anyone to notice. In that year, naval authorities switched procurement from Mediterranean lemons to West Indian limes. The motives for this were mainly colonial - it was better to buy from British plantations than to continue importing lemons from Europe. Confusion in naming didn't help matters. Both "lemon" and "lime" were in use as a collective term for citrus, and though European lemons and sour limes are quite different fruits, their Latin names (_citrus medica, var. limonica_ and _citrus medica, var. acida_) suggested that they were as closely related as green and red apples. Moreover, as there was a widespread belief that the antiscorbutic properties of lemons were due to their acidity, it made sense that the more acidic Caribbean limes would be even better at fighting the disease. 

In this, the Navy was deceived. Tests on animals would later show that fresh lime juice has a quarter of the scurvy-fighting power of fresh lemon juice. And the lime juice being served to sailors was not fresh, but had spent long periods of time in settling tanks open to the air, and had been pumped through copper tubing. A 1918 animal experiment using representative samples of lime juice from the navy and merchant marine showed that the 'preventative' often lacked any antiscorbutic power at all. 

By the 1870s, therefore, most British ships were sailing without protection against scurvy. Only speed and improved nutrition on land were preventing sailors from getting sick.

It fell to the unfortunate George Nares to discover this fact in 1875, when he led the [British Arctic Expedition][11] in an attempt to reach the North Pole via Greenland. Some oceanographic theories of the time posited an open polar sea, and Nares was directed to sail along the Greenland coast, then take a sledging party and see how far north he could get on the pack ice.

The expedition was a fiasco. Two men in the sledging party developed scurvy within days of leaving the ship. Within five weeks, half the men were sick, and despite having laid depots with plentiful supplies for their return journey, they were barely able to make it back. A rescue party sent to intercept them found that lime juice failed to have its usual dramatic effect. Most damning of all, some of the men who stayed on the ship, never failing to take their daily dose, also got scurvy.

The failure of the Nares expedition provoked an uproar in Britain. The Royal Navy believed itself capable of sustaining any crew for two years without signs of scurvy, yet here was an able and adequately supplied crew crippled by the disease within weeks. For the first time since the eighteenth century, the effectiveness of citrus juice as an absolute preventative was in doubt.

More troubling evidence came several years later, during the [Jackson-Harmsworth Expedition][12] to Franz-Josef Land in 1894. Members of this expedition spent three years on a ship frozen into the pack ice. Koettlitz, their chief physician, describes what happened: 

> The expedition proper ate fresh meat regularly at least once a day in the shape of polar bear. The people on the ship had, however, a prejudice against this food, which certainly was not particularly palatable, and insisted, against all advice, upon eating their preserved and salted meat. This meat I occasionally noticed to be somewhat "high" or "gamey", and afterwards heard that it was often so. The result was that, though I visited the ship every day, and personally saw that each man swallowed his dose of lime juice (which was made compulsory, and was of the best quality), the whole ship's company were tainted with scurvy, and two died. 

This pattern of fresh meat preventing scurvy would be a consistent one in Arctic exploration. It defied the common understanding of scurvy as a deficiency in vegetable matter. Somehow men could live for years on a meat-only diet and remain healthy, provided that the meat was fresh. 

This is a good example of how the very ubiquity of vitamin C made it hard to identify. Though scurvy was always associated with a lack of greens, fresh meat contains adequate amounts of vitamin C, with particularly high concentrations in the organ meats that explorers considered a delicacy. Eat a bear liver every few weeks and scurvy will be the least of your problems. 

But unless you already understand and believe in the vitamin model of nutrition, the notion of a trace substance that exists both in fresh limes and bear kidneys, but is absent from a cask of lime juice because you happened to prepare it in a copper vessel, begins to sound pretty contrived. 

Doctors of the era looked at this puzzling evidence and wondered. Other diseases had recently been shown to have their source in bacterial infection. The bacterial model was new, and had already had spectacular success in identifying and treating diseases like typhus, tuberculosis, and cholera. What if the cause of scruvy had also been misunderstood? What if instead of a deficiency disease, scurvy was actually a kind of chronic food poisoning from bacterial contamination of meat? Thus was born the ptomaine theory of scurvy, and Koettlitz became its [enthusiastic backer][13]: 

> That the cause of the outbreak of scurvy in so many Polar expeditions has always been that something was radically wrong with the preserved meats, whether tinned or salted, is practically certain; that foods are scurvy-producing by being, if only slightly, tainted is practically certain; that the benefit of the so-called "antiscorbutics" is a delusion, and that some antiscorbutic property has been removed from foods in the process of preservation is also a delusion. An animal food is either scorbutic—in other words, scurvy-producing—or it is not. It is either tainted or it is sound. Putrefactive change, if only slight and tasteless, has taken place or it has not. Bacteria have been able to produce ptomaines in it or they have not; and if they have not, then the food is healthy and not scurvy-producing. 

The 'ptomaine' in the theory was never really defined, other than as a noxious waste product of bacterial action. But the theory had an internal logic. Poorly preserved meats would be contaminated by ptomaine. Under normal conditions, this was not enough to cause scurvy. Not only did fresh food consumed in the diet have a kind of antidote effect (whether it worked by neutralizing the poison, or by simply displacing it in the diet, was not clear), but environment also played an important role. Certain factors seemed to predispose people to chronic ptomaine poisoning, including darkness, intense exertion, idleness, close air, prolonged confinement and cold. 

On long journeys under harsh conditions, the accumulated ptomaine in badly preserved meats would disrupt health, giving the classic symptoms of scurvy. Once the tainted foods were discontinued, the body would rapidly excrete the accumulated ptomaine and return to health.

To the extent that citrus juices were effective in preventing scurvy, it was because their acidity denatured ptomaines, or killed the bacteria that caused them. The real culprit was in the bad meat, and the casks of lime juice mandated by law on every seagoing ship were another example of outdated medical superstition that would now give way to a more sophisticated understanding of illness. 

This was the latest in medical thinking on scurvy when Scott prepared for his first expedition to Antarctica, in 1903. It would be the first serious British expedition to the continent in fifty years. Scott took the very same Dr. Koettlitz along as his chief physician. 

Scott was a meticulous planner, and mindful of the ptomaine theory, paid special attention to the quality of his provisions. While the cold and cramped conditions of the journey could not be helped, he knew he could avoid any risk of scurvy by using only completely unspoiled canned goods. For his part, Koettlitz predicted that as long as there was fresh seal meat available "we can take it as certain that no scurvy will be heard of in connexion with the expedition, however long it may remain in the High South." 

Scott did not have time to supervise the actual canning of his provisions for the Discovery journey, but he made sure that before being served, all tins were opened in the presence of his medical staff, including Dr. Koettlitz, and carefully examined for signs of spoilage. Any doubtful cans were consigned to the trash heap. 

So it came as a bitter surprise to Scott when one of the Discovery's early sledging parties trudged into camp with unmistakable symptoms of scurvy after only a three week absence. Subsequent examination showed that many of the men on the ship were also in the early stages of the disease. The preventative measures had failed, and Scott was [greatly distressed][14]: 

> The evil having come, the great thing now is to banish it. In my absence, Armitage, in consultation with the doctors, has already taken steps to remedy matters by serving out fresh meat regularly and by increasing the allowance of bottled fruits, and he has done an even greater service by taking the cook in hand. I don't know whether he threatened to hang him at the yardarm or used more persuasive measures, but, whatever it was, there is a marked improvement in the cooking. 
> 
> ... 
> 
> With the idea of giving everyone on the mess-deck a change of air in turn, we have built up a space in the main hut by packing cases around the stove. In this space each mess are to live for a week; they have breakfast and dinner on board, but are allowed to cook their supper in the hut. The present occupants enjoy this sort of picnic-life immensely.
> 
> We have had a thorough clearance of the holds, disinfected the bilges, whitewashed the sides, and generally made them sweet and clean.
> 
> As a next step I tackled the clothes and hammocks. One knows how easily garments collect, and especially under such conditions as ours; however, they have all been cleared out now, except those actually in use. The hammocks and bedding I found quite dry and comfortable, but we have had them all thoroughly aired. We have cleared all the deck-lights so as to get more daylight below, and we have scrubbed the decks and cleaned out all the holes and corners until everything is as clean as a new pin. I am bound to confess there was no very radical change in all this; we found very little dirt, and our outbreak cannot possibly have come from insanitary conditions of living; our men are far too much alive to their own comfort for that. But now we do everything for the safe side, and from the conviction that one cannot be too careful.

Scott sent a seal-killing party to collect as much fresh meat as possible (his crew could eat their way through a seal in two and a half days). They gathered enough to eliminate the need for preserved meat entirely. The butchered seals were stored, like logs, frozen on the ice. Meanwhile, Koetlittz had managed to sprout and grow a modest crop of watercress under a skylight, the Antarctic soil proving surprisingly fertile. His confidence in the ptomaine theory did not blind him to the practical advantages of a proven remedy (watercress sprouts contain a ridiculous amount of vitamin C). Enough cress grew to supplement one meal for all the men, and in combination with the fresh seal meat, it was enough to banish all signs of scurvy. 

Scott was relieved, but he knew that something had escaped his understanding. Despite scrupulous care, the disease had slipped through, and he was not sure why his precautions had failed. Evidently it was not enough to inspect meat by taste and smell—even minute quanities of ptomaine might be enough to cause scurvy. 

His solution was to move the expedition off of canned meat altogether, relying entirely on seal meat and penguin. This would be fine while the men remained on the Discovery, but it left the problem of what to do about the upcoming sledge journeys. The planned sledging ration was pemmican (a mixture of dried meat and fat) and biscuit, but since Scott had lost all confidence in the safety of preserved meat, he had to find a way to replace the pemmican with seal. 

Fresh seal meat would be far too heavy a replacement, so Scott had it repeatedly boiled to remove as much moisture as possible (in the process destroying all its vitamin C). This concentrated seal meat was still almost twice as heavy as the equivalent pemmican, but it was the best he could do. 

In November of 1902, Scott, Wilson and Shackleton set out on the expedition's main journey. Their goal was to take a dog team as far south as possible along the Ross ice shelf, and see if they could find a useful route for an eventual attempt at the Pole. 

Things did not go well. Scott inadvertently starved his dogs, making them impossible to control and nearly useless for hauling. Very quickly his men had to start relaying the sledges, which meant walking three miles for every one mile of southward progress. They began killing the weakest dogs and feeding them to the remainder (the dogs were so hungry they did not hesitate to rip their fallen comrades apart). The men themselves could think of nothing else but food, their rations inadequate for the work of hauling the sledge.

Wilson, a doctor, checked the men's gums and legs each Sunday for signs of scurvy. Shackleton was the first to show symptoms, though he was not told about this for several weeks. Soon Scott and Wilson were showing symptoms as well. Before long Shackleton was weak, had begun to cough up blood at night, and was in real danger of physical collapse.

The party barely made it home. For much of the return trip, Shackleton was unable to pull, staggering alongside the sledges. On their return to the Discovery, the men were bedridden and in a state of complete physical collapse, getting up only long enough to eat prodigious meals. Scott remarked in his journal on the extraordinary lassitude and lack of energy the disease provoked in him.

Eight years after the Discovery expedition, Scott returned to Antarctica to make an attempt at the Pole. Mindful of what had happened on his first journey, he took pains to seek the latest expert advice about scurvy, both from doctors and from Arctic explorers. 

The advice he got was unchanged—scurvy was an acidic condition of the blood caused by ptomaines in tainted meat. The legendary explorer Fridtjof Nansen had some particularly curious advice—if he found himself _in extremis_, Nansen said, it was better to choose cans of meat that were completely rotten over cans that were only slightly spoilt, since the ptomaines were more likely to have broken down in the former. 

This time Scott made sure to provide his men with fresh seal meat, and scurvy was not a problem in the main camp. In the austral winter of 1911, Wilson, Bowers, and Cherry-Garrard went on a phantasmagoric five week journey to try and collect the eggs of the empreror penguin. This journey, which gave Cherry-Garrard's book its title, took place in complete darkness and temperatures that dropped below -77º Fahrenheit. The men, forced to relay and searching for their footprints by candlelight, sometimes made as little as a mile of progress a day. When Cherry-Garrard's clothes were weighed on his return, they contained twenty-four pounds of ice. That the men survived defies belief—there has never been another journey in the Polar night, even with modern equipment—but they did return, and to Scott's great relief showed no symptoms of scurvy. 

One of Scott's goals for the winter journey had been to determine the proper ration for sledging up on the Polar plateau, where the men would have to hike for several weeks at altitudes above 10,000 feet. After some tinkering with proportions, the men on the Winter Journey had settled on a satisfying ration, and Scott decided to adopt it unchanged for his own trip later that year: 

![][15]

Scott's Polar ration: 450g biscuit, 340 grams pemmican, 85g sugar, 57g butter, 24g tea, 16g cocoa. This ration contains about 4500 calories (sledging requires 6500) and no vitamin C.

Scott left camp with 16 men on November 1, 1911. His plan was to lay depots along the route, and send groups of men back at intervals until he was left with three companions on the great plateau south of the Beardmore Glacier. The expedition used men, dogs, ponies (slaughtered and fed to the dogs at the foot of the glacier), and a pair of experimental motorized sledges that broke down after just a few miles on the ice. 

Scott sent back his men in stages; each group had a progressively harder time making it back to camp. The last group, sent back from the top of the Beardmore, was led by Edward Evans, who quickly developed a severe case of scurvy. After bravely walking most of the distance, he became incapacitated and had to be left on the ice in the care of a companion while the third man in the group force-marched the thirty remaining miles to camp to summon a rescue team. 

Scott, oblivious to this ominous development, pressed onwards. The rest of his story is well known. Norwegian tents at the Pole, an increasingly desperate return, two in his group sickening and dying, then a terrible blizzard eleven miles short of his last depot; the three men freezing to death in their tent. 

The evidence that the Polar Party suffered from scurvy on their return trip is strong but circumstantial. The wounds that would not heal, the sudden death of Seaman Evans during the descent down the Beardmore, their great weakness are all consistent with the disease. Both Scott and Wilson would have easily recognized the symptoms, but it is possible that they would have chosen not to record them. There was a certain stigma with scurvy, especially in their case, having taken such pains to forestall the disease. Scott had nearly left any mention of scurvy out of his 1903 report, before deciding to do so for the cause of science, and it's possible he felt a similar reticence now. 

Entire academic careers have been devoted to second-guessing Scott's final journey. It would probably be easier to list the few things that didn't contribute to his death, than to try and rank the relative contributions of cold, exhaustion, malnutrition, bad weather, bad luck, poor planning, and rash decisions. But with regard to scurvy, at least, the Polar explorers were in an impossible position. 

They had a theory of the disease that made sense, fit the evidence, but was utterly wrong. They had arrived at the idea of an undetectable substance in their food, present in trace quantities, with a direct causative relationship to scurvy, but they thought of it in terms of a poison to avoid. In one sense, the additional leap required for a correct understanding was very small. In another sense, it would have required a kind of Copernican revolution in their thinking. 

It was pure luck that led to the actual discovery of vitamin C. Axel Holst and Theodor Frolich had been studying beriberi (another deficiency disease) in pigeons, and when they decided to switch to a mammal model, they serendipitously chose guinea pigs, the one animal besides human beings and monkeys that requires vitamin C in its diet. Fed a diet of pure grain, the animals showed no signs of beriberi, but quickly sickened and died of something that closely resembled human scurvy. 

No one had seen scurvy in animals before. With a simple animal model for the disease in hand, it became a matter of running the correct experiments, and it was quickly established that scurvy was a deficiency disease after all. Very quickly the compound that prevents the disease was identified as a small molecule present in cabbage, lemon juice, and many other foods, and in 1932 Szent-Györgyi definitively isolated ascorbic acid. 

\--- 

There are several aspects of this 'second coming' of scurvy in the late 19th century that I find particularly striking: 

First, the fact that from the fifteenth century on, it was the rare doctor who acknowledged ignorance about the cause and treatment of the disease. The sickness could be fitted to so many theories of disease—imbalance in vital humors, bad air, acidification of the blood, bacterial infection—that despite the existence of an unambigous cure, there was always a raft of alternative, ineffective treatments. At no point did physicians express doubt about their theories, however ineffective. 

Second, how difficult it was to correctly interpret the evidence without the concept of 'vitamin'. Now that we understand scurvy as a deficiency disease, we can explain away the anomalous results that seem to contradict that theory (the failure of lime juice on polar expeditions, for example). But the evidence on its own did not point clearly at any solution. It was not clear which results were the anomalous ones that needed explaining away. The ptomaine theory made correct predictions (fresh meat will prevent scurvy) even though it was completely wrong. 

Third, how technological progress in one area can lead to surprising regressions. I mentioned how the advent of steam travel made it possible to accidentally replace an effective antiscorbutic with an ineffective one. An even starker example was the rash of cases of infantile scurvy that afflicted upper class families in the late 19th century. This outbreak was the direct result of another technological development, the pasteurization of cow's milk. The procedure made milk vastly safer for infants to drink, but also destroyed vitamin C. For poorer children, who tended to be breast-fed and quickly weaned onto adult foods, this was not an issue, but the wealthy infants fed a special diet of cooked cereals and milk were at grave risk. 

It took several years for infant scurvy, at first called "Barlow's disease", to be properly identified. At that point doctors were caught between two fires. They could recommend that parents not boil their milk, and expose the children to bacterial infection, or they could insist on pasteurization at the risk of scurvy. The prevaling theory of scurvy as bacterial poisoning clouded the issue further, so that it took time to arrive at the right solution—supplementing the diet with onion juice or cooked potato. 

Fourth, how small a foundation of evidence was necessary to build a soaring edifice of theory. Lind's famous experiment, for example, had two sailors eating oranges for six days. Lind went on to propound a completely ineffective method of preserving lemon juice (by boiling it down), which he never thought to test. One of the experiments that 'confirmed' the ptomaine theory involved feeding a handful of monkeys canned and fresh meat. The fructivorous monkeys died within days; the ones who died last, and with the least blood in their stool, were assumed to be the ones without scurvy. And even these flawed experiments were a rarity compared to the number of flat assertions by medical authorities without any testing or basis in fact. 

Finally, that one of the simplest of diseases managed to utterly confound us for so long, at the cost of millions of lives, even after we had stumbled across an unequivocal cure. It makes you wonder how many incurable ailments of the modern world—depression, autism, hypertension, obesity—will turn out to have equally simple solutions, once we are able to see them in the correct light. What will we be slapping our foreheads about sixty years from now, wondering how we missed something so obvious? 

In the course of writing this essay, I was tempted many times to pick a villain. Maybe the perfectly named [Almroth Wright][16], who threw his considerable medical reputation behind the ptomaine theory and so delayed the proper re-understanding of scurvy for many years. Or the nameless Admiralty flunkie who helped his career by championing the switch to West Indian limes. Or even poor Scott himself, sermonizing about the virtues of scientific progress while never conducting a proper experiment, taking dreadful risks, and showing a most unscientific reliance on pure grit to get his men out of any difficulty. 

But the villain here is just good old human ignorance, that master of disguise. We tend to think that knowledge, once acquired, is something permanent. Instead, even holding on to it requires constant, careful effort. 

**tl;dr**: scurvy bad, science hard.

I'll try to footnote this essay properly in the next few days; in the meantime, if you'd like to geek out with me I invite you to check out [a list of collected links][17].

| ----- |
|  [ « Using WordPress to Generate Flat Files][2] | [An Annotated Letter From Roman Polanski »][3] | 

Idle Words  
  
brevity is for the weak   
  
  
  
  

Frequent Topics

[argentina][18] [art][19] [aviation][20] [bio][21] [blogs][22] [canada][23] [china][24] [food][25] [france][26] [iraq][27] [meta][28] [nyc][29] [poland][30] [politics][31] [rant][32] [space][33] [tech][34] [travel][35] [vermont][36] [web][37] [work][38]

Greatest Hits

[The Alameda-Weehawken Burrito Tunnel][39]  
The story of America's most awesome infrastructure project.  
  
[Argentina on Two Steaks A Day][40]   
Eating the happiest cows in the world  
  
[Scott and Scurvy][5]   
Why did 19th century explorers forget the simple cure for scurvy?  
  
[No Evidence of Disease][41]   
A cancer story with an unfortunate complication.  
  
[Controlled Tango Into Terrain][42]   
Trying to learn how to dance in Argentina  
  
[Dabblers and Blowhards][43]   
Calling out Paul Graham for a silly essay about painting  
  
[Attacked By Thugs][44]  
Warsaw police hijinks  
  
[Dating Without Kundera][45]  
Practical alternatives to the Slavic Dave Matthews  
  
[A Rocket To Nowhere][46]   
A Space Shuttle rant  
  
[Best Practices For Time Travelers][47]  
The story of John Titor, visitor from the future  
  
[100 Years Of Turbulence][48]  
The Wright Brothers and the harmful effects of patent law  
  

Every Damn Thing

| -----|  
| ---- | ----------------------------------------------------------------------------------------------------------------------------------- |  
| 2015 | [May][49] [Jul][50]                                                                                                                 |  
| 2014 | [Jul][51] [Aug][52]                                                                                                                 |  
| 2013 | [Feb][53] [Dec][54]                                                                                                                 |  
| 2012 | [Feb][55] [Sep][56] [Nov][57] [Dec][58]                                                                                             |  
| 2011 | [Aug][59]                                                                                                                           |  
| 2010 | [Mar][60] [May][61] [Jun][62] [Jul][63]                                                                                             |  
| 2009 | [Jan][64] [Feb][65] [Mar][66] [Apr][67] [May][68] [Jun][69] [Jul][70] [Aug][71] [Sep][72]                                           |  
| 2008 | [Jan][73] [Apr][74] [May][75] [Aug][76] [Nov][77]                                                                                   |  
| 2007 | [Jan][78] [Mar][79] [Apr][80] [May][81] [Jul][82] [Dec][83]                                                                         |  
| 2006 | [Feb][84] [Mar][85] [Apr][86] [May][87] [Jun][88] [Jul][89] [Aug][90] [Sep][91] [Oct][92] [Nov][93]                                 |  
| 2005 | [Jan][94] [Feb][95] [Mar][96] [Apr][97] [Jul][98] [Aug][99] [Sep][100] [Oct][101] [Nov][102] [Dec][103]                             |  
| 2004 | [Jan][104] [Feb][105] [Mar][106] [Apr][107] [May][108] [Jun][109] [Jul][110] [Aug][111] [Oct][112] [Nov][113] [Dec][114]            |  
| 2003 | [Jan][115] [Feb][116] [Mar][117] [Apr][118] [May][119] [Jun][120] [Jul][121] [Aug][122] [Sep][123] [Oct][124] [Nov][125] [Dec][126] |  
| 2002 | [May][127] [Jun][128] [Jul][129] [Aug][130] [Sep][131] [Oct][132] [Nov][133] [Dec][134]                                             |  

Your Host

[Maciej Cegłowski][135]  
maciej @ ceglowski.com

  

Threat

Please ask permission before reprinting full-text posts or I will crush you.

This is where a douchier person would write 'colophon' 

[1]: http://idlewords.com/images/ocean_pout.gif
[2]: http://idlewords.com/2009/09/using_wordpress_to_generate_flat_files.htm
[3]: http://idlewords.com/2010/05/an_annotated_letter_from_roman_polanski.htm
[4]: http://idlewords.com/2010/
[5]: http://idlewords.com/2010/03/scott_and_scurvy.htm
[6]: http://www.amazon.com/gp/product/0143039385?ie=UTF8&tag=idlewords-20&linkCode=as2&camp=1789&creative=9325&creativeASIN=0143039385
[7]: http://www.assoc-amazon.com/e/ir?t=idlewords-20&l=as2&o=1&a=0143039385
[8]: http://www.gutenberg.org/etext/14363
[9]: http://books.google.com/books?id=RXS04HcPrFwC&lpg=PP1&dq=worst%20journey%20in%20the%20world&pg=PA220#v=onepage&q=&f=false
[10]: http://en.wikipedia.org/wiki/James_Lind
[11]: http://en.wikipedia.org/wiki/British_Arctic_Expedition
[12]: http://en.wikipedia.org/wiki/Jackson-Harmsworth_Expedition
[13]: http://www.ncbi.nlm.nih.gov/pmc/articles/PMC2511962/pdf/brmedj08208-0030.pdf
[14]: http://books.google.com/books?id=l5YSAQAAIAAJ&lpg=PA399&ots=YHMSjoLVis&dq=The%20evil%20having%20come%2C%20the%20great%20thing%20now%20is%20to%20banish%20it.%20scott&pg=PA399#v=onepage&q=&f=false
[15]: http://idlewords.com/images/scott_ration.jpg
[16]: http://en.wikipedia.org/wiki/Almroth_Wright
[17]: http://pinboard.in/u:maciej/t:scurvy
[18]: http://idlewords.com/argentina/
[19]: http://idlewords.com/art/
[20]: http://idlewords.com/aviation/
[21]: http://idlewords.com/bio/
[22]: http://idlewords.com/blogs/
[23]: http://idlewords.com/canada/
[24]: http://idlewords.com/china/
[25]: http://idlewords.com/food/
[26]: http://idlewords.com/france/
[27]: http://idlewords.com/iraq/
[28]: http://idlewords.com/meta/
[29]: http://idlewords.com/nyc/
[30]: http://idlewords.com/poland/
[31]: http://idlewords.com/politics/
[32]: http://idlewords.com/rant/
[33]: http://idlewords.com/space/
[34]: http://idlewords.com/tech/
[35]: http://idlewords.com/travel/
[36]: http://idlewords.com/vermont/
[37]: http://idlewords.com/web/
[38]: http://idlewords.com/work/
[39]: http://idlewords.com/2007/04/the_alameda_weehawken_burrito_tunnel.htm
[40]: http://idlewords.com/2006/04/argentina_on_two_steaks_a_day.htm
[41]: http://idlewords.com/2012/09/no_evidence_of_disease.htm
[42]: http://idlewords.com/2008/04/controlled_tango_into_terrain.htm
[43]: http://idlewords.com/2005/04/dabblers_and_blowhards.htm
[44]: http://idlewords.com/2004/05/attacked_by_thugs.htm
[45]: http://idlewords.com/2005/11/dating_without_kundera.htm
[46]: http://idlewords.com/2005/08/a_rocket_to_nowhere.htm
[47]: http://idlewords.com/2003/09/best_practices_for_time_travelers.htm
[48]: http://idlewords.com/2003/12/100_years_of_turbulence.htm
[49]: http://idlewords.com/2015/5/
[50]: http://idlewords.com/2015/7/
[51]: http://idlewords.com/2014/7/
[52]: http://idlewords.com/2014/8/
[53]: http://idlewords.com/2013/2/
[54]: http://idlewords.com/2013/12/
[55]: http://idlewords.com/2012/2/
[56]: http://idlewords.com/2012/9/
[57]: http://idlewords.com/2012/11/
[58]: http://idlewords.com/2012/12/
[59]: http://idlewords.com/2011/8/
[60]: http://idlewords.com/2010/3/
[61]: http://idlewords.com/2010/5/
[62]: http://idlewords.com/2010/6/
[63]: http://idlewords.com/2010/7/
[64]: http://idlewords.com/2009/1/
[65]: http://idlewords.com/2009/2/
[66]: http://idlewords.com/2009/3/
[67]: http://idlewords.com/2009/4/
[68]: http://idlewords.com/2009/5/
[69]: http://idlewords.com/2009/6/
[70]: http://idlewords.com/2009/7/
[71]: http://idlewords.com/2009/8/
[72]: http://idlewords.com/2009/9/
[73]: http://idlewords.com/2008/1/
[74]: http://idlewords.com/2008/4/
[75]: http://idlewords.com/2008/5/
[76]: http://idlewords.com/2008/8/
[77]: http://idlewords.com/2008/11/
[78]: http://idlewords.com/2007/1/
[79]: http://idlewords.com/2007/3/
[80]: http://idlewords.com/2007/4/
[81]: http://idlewords.com/2007/5/
[82]: http://idlewords.com/2007/7/
[83]: http://idlewords.com/2007/12/
[84]: http://idlewords.com/2006/2/
[85]: http://idlewords.com/2006/3/
[86]: http://idlewords.com/2006/4/
[87]: http://idlewords.com/2006/5/
[88]: http://idlewords.com/2006/6/
[89]: http://idlewords.com/2006/7/
[90]: http://idlewords.com/2006/8/
[91]: http://idlewords.com/2006/9/
[92]: http://idlewords.com/2006/10/
[93]: http://idlewords.com/2006/11/
[94]: http://idlewords.com/2005/1/
[95]: http://idlewords.com/2005/2/
[96]: http://idlewords.com/2005/3/
[97]: http://idlewords.com/2005/4/
[98]: http://idlewords.com/2005/7/
[99]: http://idlewords.com/2005/8/
[100]: http://idlewords.com/2005/9/
[101]: http://idlewords.com/2005/10/
[102]: http://idlewords.com/2005/11/
[103]: http://idlewords.com/2005/12/
[104]: http://idlewords.com/2004/1/
[105]: http://idlewords.com/2004/2/
[106]: http://idlewords.com/2004/3/
[107]: http://idlewords.com/2004/4/
[108]: http://idlewords.com/2004/5/
[109]: http://idlewords.com/2004/6/
[110]: http://idlewords.com/2004/7/
[111]: http://idlewords.com/2004/8/
[112]: http://idlewords.com/2004/10/
[113]: http://idlewords.com/2004/11/
[114]: http://idlewords.com/2004/12/
[115]: http://idlewords.com/2003/1/
[116]: http://idlewords.com/2003/2/
[117]: http://idlewords.com/2003/3/
[118]: http://idlewords.com/2003/4/
[119]: http://idlewords.com/2003/5/
[120]: http://idlewords.com/2003/6/
[121]: http://idlewords.com/2003/7/
[122]: http://idlewords.com/2003/8/
[123]: http://idlewords.com/2003/9/
[124]: http://idlewords.com/2003/10/
[125]: http://idlewords.com/2003/11/
[126]: http://idlewords.com/2003/12/
[127]: http://idlewords.com/2002/5/
[128]: http://idlewords.com/2002/6/
[129]: http://idlewords.com/2002/7/
[130]: http://idlewords.com/2002/8/
[131]: http://idlewords.com/2002/9/
[132]: http://idlewords.com/2002/10/
[133]: http://idlewords.com/2002/11/
[134]: http://idlewords.com/2002/12/
[135]: http://idlewords.com/about.htm

