---
created_at: '2016-04-28T03:45:30.000Z'
title: How to read a patent in 60 seconds (2010)
url: http://www.danshapiro.com/blog/2010/09/how-to-read-a-patent-in-60-second/
author: Tomte
points: 90
story_text: 
comment_text: 
num_comments: 32
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1461815130
_tags:
- story
- author_Tomte
- story_11586448
objectID: '11586448'

---
[Source](http://www.danshapiro.com/blog/2010/09/how-to-read-a-patent-in-60-second/ "Permalink to Dan Shapiro  &raquo; How to read a patent in 60 seconds")

# Dan Shapiro  &raquo; How to read a patent in 60 seconds

# [Dan Shapiro][2]

## quite possibly the only entrepreneur blog

* [Let’s work together?][3]
* [Portfolio][4]

# [How to read a patent in 60 seconds][5]

**Posted:** September 6th, 2010 | **Author:** [Dan][6] | **Filed under:** [Startups][7] | [60 Comments »][8]

Someone’s claiming you’re infringing their patent!  You need to figure out how bad the situation is.

Or… your boss has asked you to take a look at an old patent you wrote, and see if someone _else_ is infringing it.  And you have no recollection whatsoever, because it takes an average of nearly [_four years_][9] for a patent to be examined, so by the time anything interesting happens you’ve forgotten all about it.

Or… you’re just reading one of [eighty][10] [hojillion][11] [Slashdot][12] [stories][13] that use the title of the patent to write a “guess what obvious thing got patented” story, but you’re smart enough to know that the title isn’t actually the invention, and are curious what the real dirt’s about.

It can take hours or days to fully evaluate a patent.  When time’s short, here’s the quick and dirty way to figure out what the patent covers, usually in under a minute.

## Step 1: Skip the title

The title of the patent can be just about as general as the author wants; for example, [here is the the guy who patented the Tool][14].  It often describes the thing being improved on – not the new invention.  A patent titled “[Virtual Desktop Manager][15]” does not actually patent virtual desktops; it covers a particular set of features of a specific virtual desktop management implementation.

## Step 2: Skip the drawings

![Edward Van Halen Patent][16]Patent drawings are mostly similar to high school notebook doodles except that they cost $5,000.  They’re generally impossible to read and only indirectly have a bearing on the enforceability of the patent.  The occasional exception exists: the [incredibly edifying flowchart][17]. The drawings that look like a [giant gummy bear][18] (because the invention is, actually, a giant gummy bear).  And sometimes… sometimes, a [picture is simply worth a thousand words.][19] Particularly when that picture depicts the inventor, one Mr. Edward L. Van Halen, demonstrating proper use of his invention.

## Step 3: Skip the abstract

In other fields, the abstract is your best friend: a short, direct summary of the major points of a paper.  Patent abstracts are at best meandering and hard to read, and at worst deliberately misleading (so you think you’re in the clear, do whatever you planned to do, and then get sued anyway because the abstract has no bearing on the enforceability of the patent).

## Step 4: Skip the specification

Now we’re getting to the meat of the patent!  And also skipping it.  You don’t care about the background, or the field. You don’t much care about the related art.  The brief summary of the invention doesn’t tell you what’s important; the description of the drawings is generally incomprehensible (unless it’s Edward L.). And the detailed description will send you catapulting in to catalepsy, while simultaneously not separating what’s actually novel and invented from the stuff that everyone knows already.

## Step 5: Find the independent claims, _and read them_

The claims are the only part of the patent that have any actual legal enforceability.  While they’re still a pain to read, they’re forced to be one sentence so at least they’re relatively short (modulo the occasional run-on sentences half a page long).  They can be wicked difficult to parse in detail, but a skim will get you pointed in the right direction. [This page also offers a decent primer][20].

## Step 6: Back to skipping – toss the dependent claims

Any claim that starts with “The _____ of claim _____” is essentially a refinement or detail with narrower scope than the parent claim – if you infringe the baby, you’ll infringe the daddy too.  Skipadoodle.

## And that’s it!

Getting sucked in to a patent dispute is no good for any entrepreneur.  By the time it’s done, you may be able to recite 40 pages of patenteese by memory, and have learned your Markush from your Jeppson.  But if all you need is a quick summary, just cut directly to the independent claims.  You’ll be done in a minute.

Big thanks to Adam Philipp at [Aeon Law][21] (who I use and heartily recommend) for giving this article a sanity check.  Also huge thanks to Tom Huseby, who introduced me to this clever trick.

**_Bonus information: how the patent office reads your patent_**

Pretty much the same way, most of the time.  They read the independent claims, then reference the drawings, and then move to the specification if a term or concept is unclear.  If you’ve got more than a minute, you won’t do wrong by following their example.

(You might want to [subscribe][22] or [follow me on Twitter][23] so you don’t miss new articles)

Completely random and unrelated posts:

* [Don’t ask for introductions to investors ][24]
* [How to Help Startups ][25]
* [What to do when an investor asks you for your business plan ][26]
* [A Review of 3 Hacker News Jobs Listings ][27]
* [A Twitter, a Hoverboard, or something in between ][28]
* * *

←  [Older Comments][29]

 →

* John Tait

I used to be a patent abstracter and this is pretty solid. Patents are about the claims. We used to write out the claims, produce a decent abstract, add some indexing codes and that was it.

* Simone Brunozzi

Hey! This is great.  
Dan, what about writing something similarly simple on “how to file a patent” ?

* [Istek Patent][30]

You can contact us to get information about [patent][30]. Istek Patent: +90212 2841210

* Pingback: [Victory Lap for Ask Patents – Joel on Software][31]()
* Pingback: [Victory Lap for Ask Patents | Wordpress Coders and Articles][32]()
* [Endüstri Patent][33]

Great Post: both useful and fun! <https://www.endustripatent.com.tr>

* Pingback: [Victory Lap for Ask Patents – Joel on Software | Premium Blog!][34]()
* Pingback: [Biotech Patent Litigation - pStrand (+) BioEquity][35]()
* [Sense Tour][36]

Thankfully, I don’t do this stuff in my current line of work <http://www.sensetour.co.uk>

* Pingback: [Victory Lap for Ask Patents – Joel on Software | | TechWEEDz][37]()

←  [Older Comments][29]

 →

### Subscribe

* [Subscribe via Email][38]
* [RSS Feed][39]
* [Twitter][40]
* [Google+][41]

### Glowforge

Glowforge is the most preordered product ever. It prints beautiful things in wood, leather, paper, and more. You should preorder one now at [glowforge.com][42]. 

### Hot Seat: The Startup CEO Guidebook

Quite possibly the only book about entrepreneurship. [(Amazon)][43] [ ![Book cover-Hot Seat][44] ][43]

### Robot Turtles: Teaching Programming to Preschoolers

I invented a game with my kids and put it on Kickstarter. It became the most-backed tabletop game in Kickstarter history. Now it's [available in stores][45]! 

### Recent Posts

* [Second chance to save a life][46]
* [Angel Investor: I have become that which I loathed][47]
* [The CTO Bro][48]
* [Glowforge – my new company (join me?)][49]
* [How to succeed at Kickstarter][50]

### Disclaimer

I don't speak for anyone except myself. 

### Categories

Categories Select Category Chitchat  (5) Hot Seat book  (1) RC  (1) Social media  (2) Sparkbuy  (4) Startups  (51) Uncategorized  (3) Woodworking  (162)

© Copyright 2018 | [Dan Shapiro][2] | All Rights Reserved

![][51]

[1]: https://www.facebook.com/tr?id=735782499814065&ev=NoScript
[2]: http://www.danshapiro.com/blog
[3]: http://glowforge.com/careers
[4]: http://www.danshapiro.com/blog/portfolio/
[5]: http://www.danshapiro.com/blog/2010/09/how-to-read-a-patent-in-60-second/
[6]: http://www.danshapiro.com/blog/author/dan/ "Posts by Dan"
[7]: http://www.danshapiro.com/blog/category/startups/
[8]: http://www.danshapiro.com/blog/2010/09/how-to-read-a-patent-in-60-second/#comments
[9]: http://www.jsonline.com/business/53319162.html
[10]: http://yro.slashdot.org/article.pl?sid=09/06/14/0118200
[11]: http://yro.slashdot.org/article.pl?sid=09/05/26/159249
[12]: http://yro.slashdot.org/article.pl?sid=09/05/16/1917253
[13]: http://yro.slashdot.org/article.pl?sid=08/11/26/1352257
[14]: http://www.google.com/patents/about?id=DXk7AAAAEBAJ&dq=tool
[15]: http://www.google.com/patents/about?id=-nipAAAAEBAJ&dq=%22daniel+j+shapiro%22
[16]: http://www.danshapiro.com/blog/wp-content/uploads/2010/09/Edward-Van-Halen-Patent.png
[17]: http://www.google.com/patents?id=zEGdAAAAEBAJ&pg=PA3&dq=amazon+one+click&source=gbs_selected_pages&cad=2
[18]: http://www.google.com/patents?id=qPsjAAAAEBAJ&printsec=abstract&zoom=4#v=onepage&q&f=false
[19]: http://www.google.com/patents/about?id=-QgyAAAAEBAJ
[20]: http://www.bpmlegal.com/howtopat5.html
[21]: http://aeonlaw.com/
[22]: http://www.danshapiro.com/blog/feed
[23]: http://www.twitter.com/danshapiro
[24]: http://www.danshapiro.com/blog/2011/09/dont-ask-for-introductions-to-investors/ "Don’t ask for introductions to investors"
[25]: http://www.danshapiro.com/blog/2012/07/how-to-help-startups/ "How to Help Startups"
[26]: http://www.danshapiro.com/blog/2011/09/what-to-do-when-an-investor-asks-you-for-your-business-plan/ "What to do when an investor asks you for your business plan"
[27]: http://www.danshapiro.com/blog/2013/02/a-review-of-3-hacker-news-jobs-listings/ "A Review of 3 Hacker News Jobs Listings"
[28]: http://www.danshapiro.com/blog/2011/07/a-twitter-a-hoverboard-or-something-in-between/ "A Twitter, a Hoverboard, or something in between"
[29]: http://www.danshapiro.com/blog/2010/09/how-to-read-a-patent-in-60-second/comment-page-1/#comments
[30]: http://www.istekpatent.com
[31]: https://joelonsoftware.mystagingwebsite.com/2013/07/victory-lap-for-ask-patents/
[32]: http://www.wpcoders.org/archives/4263
[33]: https://www.endustripatent.com.tr
[34]: http://phpcantho.com/victory-lap-for-ask-patents-joel-on-software/
[35]: https://bioequity.org/biotech-patent-litigation/
[36]: http://www.sensetour.co.uk
[37]: http://techweedz.com/victory-lap-for-ask-patents-joel-on-software/
[38]: http://feedburner.google.com/fb/a/mailverify?uri=DanShapiro "Subscribe to posts via Email"
[39]: http://feeds.feedburner.com/DanShapiro "Subscribe to RSS Feed"
[40]: https://twitter.com/danshapiro "Follow danshapiro on Twitter"
[41]: https://plus.google.com/106937128448772029334 "Google+"
[42]: http://glowforge.com
[43]: http://www.amazon.com/Hot-Seat-The-Startup-Guidebook/dp/1449360734
[44]: http://ecx.images-amazon.com/images/I/41X254rDD6L.jpg
[45]: http://www.amazon.com/gp/product/B00HN2BXUY/ref=as_li_qf_sp_asin_tl?ie=UTF8&camp=1789&creative=9325&creativeASIN=B00HN2BXUY&linkCode=as2&tag=gtst-20
[46]: http://www.danshapiro.com/blog/2017/05/second-chance-to-save-a-life/
[47]: http://www.danshapiro.com/blog/2015/07/angel-investor-i-have-become-that-which-i-loathed/
[48]: http://www.danshapiro.com/blog/2015/05/the-cto-bro/
[49]: http://www.danshapiro.com/blog/2015/01/glowforge-new-company/
[50]: http://www.danshapiro.com/blog/2014/09/how-to-succeed-at-kickstarter/
[51]: //googleads.g.doubleclick.net/pagead/viewthroughconversion/1006875614/?value=0&guid=ON&script=0

