---
created_at: '2016-06-23T13:16:30.000Z'
title: Lessons from Doom (2010)
url: http://vectorpoem.com/news/?p=74
author: Kristine1975
points: 167
story_text: 
comment_text: 
num_comments: 89
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1466687790
_tags:
- story
- author_Kristine1975
- story_11960606
objectID: '11960606'

---
[Source](http://vectorpoem.com/news/?p=74 "Permalink to vector poem    &raquo; Coelacanth: Lessons from Doom")

# vector poem    &raquo; Coelacanth: Lessons from Doom

# Coelacanth: Lessons from Doom | [vector poem][1]

_This post is intended as a companion piece for the release of [Arcadia Demade][2]._

A high-minded goal like “expand the boundaries of the medium” doesn’t always mean forging ahead in crazy new unknown directions. Sometimes it means examining lost evolutionary lines in game design – picking up ideas that were abandoned long ago and seeing if there’s any new life in them. The game I keep coming back to in this regard is Doom. Not the 2004 reboot, but “Classic Doom”: Doom 1 and 2, Final Doom, the Master Levels – and its [vast universe of user-made content][3]. What can it teach us today?

  
In 1993, the message Doom sent to the videogame world was something like “use cutting edge technology to make something dark, edgy and violent”. The world has changed so much around Doom since then that very little of that original impact comes through to players today – though the industry has inarguably gone on to master the techno-fueled ultra-violence thing! Here’s what I’ve found after many years of enjoying the game and digging ever deeper into its design:

**Doom feels more like 1st person [Robotron][4] than a modern FPS**

![Doom 2 top-down map screenshot][5]

When you play Doom today, it doesn’t feel much like you’re controlling a human or moving through real spaces. Try this though: press the TAB key, type IDDT twice and pretend you’re playing Geometry Wars, and the moving triangles are your enemies. This is what Doom’s designers were working from in 1993 – back then, the idea of a first person shooter was barely established, and their closest models for many mechanics were from 2D shooters like Robotron, Berserk and Tempest. This approach echoes throughout Doom’s design. The notion of realism in FPS design wouldn’t appear for another few years, and many decisions were made simply on the basis of being good for abstract shooter gameplay.

Partly thanks to this, many parts of Doom’s “game feel” still compare favorably with modern twitch games. Enemy speeds and patterns are very finely tuned, weapon design is strongly orthogonal, player movement has a nice friction to it and level design elucidates all of this. Quake 3 is still considered the pinnacle of arcadey FPS movement and feel, and that lineage starts with Doom – some of the code is even similar.

**Doom is about “maneuverability as defense”**

In almost every modern FPS, the player moves fairly slowly and a huge proportion of enemies are equipped with instant hit attacks – pistols, machine guns, sniper rifles. This usually puts the player in the role of “damage sponge” – they’re intended to soak up a certain amount of damage from mostly unavoidable enemy attacks, then seek cover and heal up. Halo’s recharging shield makes this mechanic quite explicit – by default, you’re exposed to damage and will die, while seeking cover halts that and completes the basic cycle of any combat.

Contrast all this with Doom Guy, who runs at about 50 scale miles per hour – _nonsensically_ fast by modern standards. Most of Doom’s enemies don’t have instant-hit projectile attacks, and most of the ones that do are quite weak – the lowly trooper and sergeant. Every other enemy projectile takes time to reach its target, and would look comical in a more realistic visual presentation.

So because the player moves so quickly in Doom, and because most enemy attacks are dodgeable, the player can avoid a significant amount of damage simply by moving. A skilled player can often deal with large numbers of enemies sustaining hardly a scratch. This creates a feeling that’s quite rare in modern FPS: that you are powerful _because you are agile_, not because you’re a tank. This frees up Doom’s encounters to feature huge numbers of enemies, to vary scenarios by mixing in different proportions of threats, and to have huge, sprawling, often non-linear spaces that the player can traverse easily. There’s nothing quite like it today.

**Doom has a more varied bestiary than most modern FPSes**

![Doom 2 screenshot with lots of enemies][6]

In many modern FPSes, the design of every enemy the player faces is sampled from a fairly narrow tactical spectrum – soldier with machine gun, soldier with shotgun, zombie with melee attack. Doom, on the other hand, has a huge range of monster sizes, speeds, strengths and movement/attack patterns. Former humans and imps are slow moving ranged fodder. Hell Barons are large, tank-like threats. Flying enemies range from the small charging Lost Soul to the tough, fireball-belching Cacodemon. Revenants and Mancubi launch homing and spread-fire projectiles respectively, and the three boss-class monsters are each very dangerous in different ways. Some enemies can be stunned by weapon fire more easily than others.

Such diversity creates a large but simple to understand toolset that level design can combine with architecture to create a huge variety of combat setups. One tough guy with a lot of fodder means the player has to do crowd control while focusing on the real threat. Lots of flying enemies make the player seek low cover and choke points. Enemies with strong melee in tight spaces make the player dance and really exploit the stun properties of their weapons. This versatility of the core design makes life easier and more fun for the level designer, and thus the player.

**Doom was abstract in ways that empowered its level design**

![Doom 2's 'Entryway' map][7]

While some of Doom’s levels have a very thin fiction via their title (eg “Hangar”) and general texturing theme, if you actually explore them you find they only resemble real locations in the loosest sense possible. This is precisely what allowed Doom’s level design to present a wide variety of interesting tactical setups. Level designers didn’t have to worry about whether a change made something look less like a hangar or a barracks, just whether it was better for gameplay. This was especially critical for a style of game that was just finding its feet in 1993.

As the march of technology has allowed ever-higher graphical fidelity, virtually every FPS since Doom has attempted greater and greater representationalism with its environments. While games like System Shock began to show that a real sense of place can be a huge draw in itself, designers of such games will always have to manage the tension between compelling fiction and optimal function, unless you are willing to go all out and have the kind of weird, abstract spaces Doom has. I would love to see more modern games break with this conventional wisdom and see where it leads, if only in an indie or experimental context.

**Doom enabled a revolution in player-generated content**

Though advanced for its day, Doom’s technology was still simple enough, and its content low-fidelity enough, that a huge mod community coalesced around it to produce an unparalleled number of levels, mods, total conversions and other addons. This, combined with the fact that the player base was so focused on a single game, means we’ll probably never see something like it again. The lesson for future games might be this: make your technology extremely simple, easy to modify, ship it with a diverse enough pool of content that people can extend it to create a variety of settings and styles, and promote the sharing of this content as a way to add value to your game.

Many PC games have gotten all that right but failed to attract a huge community because of the content fidelity issue. The barriers to entry facing someone who wants to make a mod for Unreal Tournament 3 today are vastly higher than those facing a Doom modder. You can rough out a Doom map in a few hours and finish it in a few days, while that same amount of time might produce a single texture for a modern game. Again, this is something we could branch out from if we lose our fixation on technology and high fidelity visuals uber alles.

Another unique side effect of Doom’s simplicity is that its design principles can be synthesized and expressed procedurally. Level generators for more modern games have been attempted and abandoned, while the [Oblige random level generator][8] creates a decent Doom level with proper combat and resource balance, key gating and architectural themes.

**Doom is one of many classics whose less obvious qualities are seldom revisited**

Doom’s impact has faded, and its precise recipe for success is unlikely to be replicated; nevertheless, the game industry has become quite adept at mimicking its superficial qualities. However we as creators and critics owe it to ourselves to look at Doom, and other classics of comparable depth – M.U.L.E., Ultima IV and Star Control II are a few examples I would offer – and trace less-traveled paths of analysis in search of deeper truths.

Sometimes we must look to the past for guidance. Other times we must strive to forget it entirely. In the balance of both, we will find much to learn about making the games of tomorrow.

Addendum: Not sure if he even remembers it, but [Nathan McKenzie][9] made some observations on Doom about 7 years ago now(!) that set my wheels turning on this post, so I’d like to thank him for those initial insights.

This entry was posted on Sunday, February 28th, 2010 at 10:22 pm and is filed under [Uncategorized][10]. You can follow any responses to this entry through the [RSS 2.0][11] feed. Both comments and pings are currently closed. 

### 89 Responses to “Coelacanth: Lessons from Doom”

1. justme Says:   
[March 8th, 2010 at 11:30 am][12]

excellent

2. [Brendan » Blog Archive » Interesting things I’ve looked at for March 7th through March 9th][13] Says:   
[March 8th, 2010 at 5:10 pm][14]

[…] […] Vector Poem – Lessons from Doom […] – […]

3. Ferneu Says:   
[March 10th, 2010 at 9:41 am][15]

#41: Doom was the one that invented the “rocket jump”. It was the only way to reach the secret level of the third episode. I can’t really comment about all the other things you mention though. The only reason I have ever heard the name Marathon before your post was because of the excellent Red vs Blue series.

Not that I’m trying to diminish Marathon’s importance, it’s just that, at that time, there was only Doom. And then Duke 3D and then we took a step further and produced Quake, the best multi-player FPS ever created. And yes, mouse look is awesome.

4. Lycanthrope Says:   
[March 10th, 2010 at 10:37 am][16]

Those are some great points. Dodging and maneuvering can often feel stiff and impractical in modern games.

And as far as Doom 3 goes. It wasnt bad. It felt very different from the previous games but it wasnt really a bad game. Sure, it was too dark at times and the jump scares got predictable, but it was still pretty fun for me.

Personally, i like using the mouse when playing Doom. It feels natural for me to use a mouse for an fps.

5. »[ Revisiting Doom Karl Reinsch’s Blog][17] Says:   
[March 16th, 2010 at 10:06 pm][18]

[…] neat article by J.P. LeBreton looking back at the design and play style of the original Doom. As J.P. says: Doom feels more like […]

6. Latheos Says:   
[March 17th, 2010 at 9:20 am][19]

Actually, Marathon wasn’t Bungie’s first FPS. It’s just the one most people mention when this topic pops up. [Pathways into Darkness][20] hols that spot. And, for those folks who still claim that Doom was first … Pathways _also_ came out in 1993. And as far as my game experiences go, was also superior to Doom. It had an engaging storyline, much more challenging combat (you start with a knife and a .45 but no bullets), and a very complex puzzle system. It’s still one of my favourite games 17 years later, despite the fact that, since it’s never been released on the PC, I haven’t played it for close to a decade, as I no longer own a Mac.

Yes, I liked Doom. And its sequels. But Bungie’s Pathways into Darkness and [Marathon trilogy][21] will always be much better games in my opinion.

7. [djsunkid][22] Says:   
[March 17th, 2010 at 11:17 am][23]

I love analysis of games like this. Reminds me of Action Button Dot Net’s sprawling monumental epic of a review of super mario bros 3. <http://www.actionbutton.net/?p=426>

8. [The Artolater » Friday Links][24] Says:   
[March 19th, 2010 at 6:04 am][25]

[…] Via Ferrett, lessons from Doom, about the old PC […]

9. DaBomb Says:   
[April 6th, 2010 at 3:40 pm][26]

Re: 41 –

Not gonna put down Marathon, but did you read the article? The reason why Doom still lasts is BECAUSE it doesn’t have all the complicated things that Marathon has. 

– Doom doesn’t have an oxygen meter, which is good IMO. 

– Doom doesn’t have save points, and I never play games that do (Come on, don’t try passing off Save Points as a GOOD thing).

– Doom is quite easily moddable, you know.

As for one thing that Doom has that Marathon doesn’t have: Pure action and tactical based game play. Sure, the tactics aren’t very advanced. But they are, as with everything else in Doom: Simple and fun. And damn thrilling.

Marathon is a great game. But it’s sort off a different game than Doom. And if you read the article, you’ll see why Marathon isn’t remembered today, whereas Doom is.

As for Pathway into Darkness… Nobody ever claimed Doom was first. Some might claim that Wolfenstein 3D was, however. And there were tank sims before that.

10. me too Says:   
[April 7th, 2010 at 3:02 am][27]

“Also, who's going to buy a 2.5d game like Doom anymore?”

You’ve missed those releases:

<http://www.xbox.com/en-US/games/d/doomxboxlivearcade/>  
<http://itunes.apple.com/us/app/doom-classic/id336347946?mt=8>

Nuff said.

11. Su B Says:   
[April 14th, 2010 at 11:54 am][28]

I personally believe that popular(not necessarily always good) games of diverse generes are being created & that’s why there is no single king like Doom anymore.  
You are overestimating the simplicity & abstract style of Doom. Games only become abstract & simple when thay become outdated. Popularity depends on gameplay. Personally I like(fear) the abstract style of Doom, but Doom is more about bloodbath than art. Doom was realistic in its time & HL graphics would have been considered alien at the time Doom 1 was released. I am sure that after the release of Black Mesa HL fans will start to appreciate the simplicity of original HL. The almost empty & featureless BM undergrounds in the original creates an emptiness in stomach that can’t be recreated in photorealistic BMS.  
Also, modern modders are ready for more powerful tools. The Source engine modding community may not be anywhere near the huge Doom Modding community but still it produces standard mods such as MINERVA, R&D, Dear Esther & BMS itself. Not all of them are shooters. Also, the community is ready for a more modern engine.  
You have got one more idea wrong about modern FPS & that is HALO Mania. Maybe that is true for the majority of popular games but you are forgetting Counter-Strike:Condition Zero, ArmA II etc not so popular tactical games that do not have health packs & unlimited saves. Instead they have almost realistic injury & dynamic enemy positioning. Also please consider the fact that Counter-Strike is actually a mod of GoldSource engine.  
Every popular genere has its unique style: secrets, wayfinding & overcoming barriers, puzzles, stealth etc. Those who don’t like shooting move towards Football, chess etc & we need to respect personal choice. I don’t believe Doom was the end of an era. It was the beginning & the magic of Doom may never be recreated because of us having diverse choices but it is useless to lament for that. Golden games are there for those who are interested, as challenging tactical games are taking place of our old favourite vanilla Doom.

12. [Dave Taylor][29] Says:   
[May 6th, 2010 at 9:02 am][30]

Fantastic article, and I agree wholeheartedly with its conclusions. You’re seeing things in perspective that I don’t think we really saw in the thick of it.

The gameplay was surprisingly Robotronesque, now that you mention it, but while it was in development, I don’t remember anyone ever mentioning this. It certainly didn’t occur to me, and I wrote the automap and added the cheat codes.

While it was in development, we were dreaming about how cool it would be to have an actual bridge you could go both over and under. The irony is that this would dramatically increase the difficulty in developing the game, as we would soon learn in Quake.

13. [Gamedesign.cz » Adam Saltsman – Stinné stránky iterace][31] Says:   
[June 21st, 2010 at 3:00 pm][32]

[…] LeBreton napsal fantastickou recenzi o hře DooM, často považovanou za otce FPS žánru, v níž zkoumá, co se změnilo a co zůstalo […]

14. [vector poem » Walking the Talking][33] Says:   
[September 19th, 2010 at 10:48 am][34]

[…] Arcadia, I found it very easy to finally distill the insights I’d long understood about Doom’s design. Even though it’s not a game, the process of creating the Ultima IV map viewer helped immerse […]

15. [Rez][35] Says:   
[October 7th, 2010 at 6:59 am][36]

Nail on the head, for sure. This is why 17 years later DOOM is still my primary, often my only game. Straightforward gameplay and endless mods (especially now that there are good random level generators), and the *feel* is right, whether the map is realistic or not. Other games look better and are more true to life, but are they more fun? Do they hold up over the long haul? Evidently not.

16. [Nathan McKenzie][9] Says:   
[October 25th, 2010 at 7:02 pm][37]

Hey JP!

This post warms my heart. Great stuff, of course. What website was that where we were having that conversation?

I’m also in love with the fascinating mechanics of monster pain thresholds vs duration of pain animations (so chaingun is great against cacodaemons because their damage threshold is low but their pain animation is short – that’s practically 2D fighting game-style game design). I can’t remember if we chatted about that, but that interplay between monsters and weapons is beautiful.

It’s funny – I had a conversation with Ben Gokey (who was lead programmer on Heretic, of course) about some of this stuff, particularly the movement-as-dodging stuff, and he had the same reaction that Dave Taylor mentions; he totally saw it once I talked it through, but he hadn’t really thought about it when they were making the game.

17. Wideeye Says:   
[November 5th, 2010 at 6:12 am][38]

FANTASTIC article. Especially loved the "maneuverability as defense" part, couldn’t agree more. Someone once asked me what the best weapon in Doom is and, being a bit of a pretentious arse I replied – “space”. Sounds daft but seriously, an experienced player only needs the basic shotgun, a whole load of space and a bit of patience and they can take on anything in Doom.

Well OK, maybe the Spider Mastermind (hitscan chaingun!) and Arch Vile (don’t be in his sights when he’s done!) kind of piss on that theory a bit but it’s mostly true!

18. strom Says:   
[November 7th, 2010 at 9:47 am][39]

This article is brilliant. At age 29, I often feel like a grumpy old man when I compare current games to Doom (or Descent)… this codifies what I was feeling.

I came here from a post on Reddit on a related topic:  
<http://www.reddit.com/r/gaming/comments/e2ies/fps_map_design_then_and_now/>

Thanks for writing this!!

19. [JP][40] Says:   
[November 7th, 2010 at 3:44 pm][41]

Hey Nathan! Glad you found this post. I believe the place we first discussed it was the old “antifactory” site.

It actually seems pretty common that exceptional or definitive features of classic games – stuff like Doom’s movement-as-dodging or [Super Mario Brothers’ jump controls][42] – were not thought of explicitly as design paradigms during development, but rather seem to have emerged from the sustained unconscious application of craft knowledge, honed by years of low-level implementation experience. “Game feel” is frequently difficult to talk about because of the combination of highly subjective and very specific technical factors… and yet, it seems central to the success of such games. It’s definitely something I want to explore further.

20. [Game Architecture » Lessons from Doom][43] Says:   
[November 8th, 2010 at 12:08 pm][44]

[…] Coelacanth: Lessons from Doom Categories: Video games Tags: Analysis, Level Design, Link Comments (0) Trackbacks (0) Leave a comment Trackback […]

21. [Design de Mapas: First Person Shooter | Jogador vs Jogador][45] Says:   
[November 9th, 2010 at 5:32 am][46]

[…] não está longe da verdade. Jean-Paul LeBreton, um dos designers dos níveis do jogo Bioshock, defende que nos primeiros jogos tridimensionais, por exemplo, Doom (1993), os níveis foram baseados em […]

22. Alcator Says:   
[November 11th, 2010 at 11:30 am][47]

There is, actually, one game which managed the same success as Doom: Trackmania.

Due to backwards compatibility (TM United can load levels from TM Nations, TM Sunrise and TM Original/Power Up), easy to use track editor and intelligent system for adding custom content, there are over 1 000 000 user-built tracks available. And due to the existence of tm-exchange.com , which is a fan-made track exchange site, all of those tracks are available.

It is possible to make a track in a couple minutes, fine tune in over few hours and publish it.

23. [Resolution, Restriction, Renaissance « Tish Tosh Tesh][48] Says:   
[November 18th, 2010 at 5:57 am][49]

[…] genre and gaming industry, it had some constraints due to then-modern technology and game design.  As this interesting article notes, those constraints made for a very different game from modern FPS games.  Doom effectively played […]

24. dense13 Says:   
[December 23rd, 2010 at 9:39 pm][50]

Another thing that was amazing about Doom was all the tricks developed by exploiting bugs in the engine, or by forcing its characteristics. Two of my favorites, invisible sectors and multiple player starting positions, but there were quite a few. Also special maps like #7 which featured special events once you killed all monsters of a certain type opened up very exciting possibilities for modifications. It was so challenging and exciting!

This also affected players (I’m thinking of impassable lines that, in a certain direction, would give you extra speed when running alongside them), and some of the speed demos people came up with were simply unbelievable.

I wonder if I will ever enjoy another game the way I enjoyed Doom, I doubt it…

25. Ben Says:   
[December 25th, 2010 at 9:16 pm][51]

I found your article incredibly interesting. I enjoy designing spaces and although they do not need to support gameplay with in them, taking ideas from games like DooM can lend a sort of realism in how they are laid out while keeping them fantastical.

Even then, I’m not sure I agree with the trends of gameplay you stated. The slow projectile movement of DooM has instead been replaced by more advanced bot ai. In the example you mentioned, Halo, any good player will tell you staying in one place means death. The enemies have developed to a point where moving around makes it harder for them to hit the player, even if their weapons are hitscan. In DooM, the projectiles had to be slow to give the player a chance. The computer enemies were only capable of shooting straight at the player, no matter how mobile they were. Even the need to dodge slow moving projectiles has been kept, as seen in plasma weapons, the needler, and rocket launchers.

Enemy variety is very much still a part of modern video games. Gears of War is one of many examples. It has normal soldiers, fast soldiers, melee enemies, suicide bombing enemies, large and slow enemies, enemies with impenetrable shields, and even soldiers that ride on top of a fast melee enemy. Instead of backing away from enemy variety, many games have pushed it to new heights. In Dead Space, enemies mutate as they are damaged. The FPS genre has also added an alternative to enemy variety that has only become possible with faster, more spacious computers. The Call of Duty franchise features enemies that are all essentially the same. Instead, it introduces new mechanics with each scene. Everything from stealth to flying a chopper to having to call in airstrikes on tanks keeps the game fresh. The enemies can only have so much diversity before the game starts to loose its realistic feel. What I would like to see is a mix of variety in enemies and mechanics. The Gears of War example mentioned above includes some vehicle levels and some where periodic rain means death for anything caught in the open but for most of the game, the player has to fight off different enemies in the same way.

That said, even as games evolve, the principles developed in pioneering games like DooM will always be important to the genre. Great Article, thank you for posting

26. [Best of 2010 - Wolf’s Little Store][52] Says:   
[January 23rd, 2011 at 7:51 am][53]

[…] Coelacanth – Lessons from Doom […]

27. [Sheridan][54] Says:   
[April 8th, 2011 at 2:52 pm][55]

@Ben: Halo players tell other halo players not to sit still in Deathmatch, not single player. In the single player campaign, it is often necessary to fall back and wait for a few seconds for your shield to recharge. It is possible to do this because the enemies are usually to stupid to chase you down and finish you off while you are weak.

Your statement that computer enemies were only capable of shooting straight at the player is also unfounded. In fact, quickly strafing around zombie men will often cause them to miss you by up to 45 degrees. And the modern dodging of plasma weapons and rockets in games like Halo is nigh impossible; the projectiles almost always travel too fast and the players almost always move to slowly.

28. [FPS Analysis – Why Doom is the Last Real Lesson we Had | FPSTime][56] Says:   
[June 14th, 2011 at 12:59 am][57]

[…] (Source: Coelacanth: Lessons from Doom | vector poem) […]

29. Corrector Says:   
[June 14th, 2011 at 10:47 am][58]

Sheridan: you’re actually *precisely* wrong about zombie men; the reason they can miss like that is entirely b/c they are only capable of shooting directly at the player, but are not permitted to shoot immediately.

Algorithm is like:  
– (1) choose direction to fire (this is always directly at player’s current position)  
– (2) wait for a brief delay (cannot change firing direction)  
– (3) fire weapon (in direction chosen in 1)

When they miss like that it’s b/c the payer moved between (1) and (3). This delay is in the game to make it possible to dodge enemies with instant weapons.

30. hipster scumbag Says:   
[June 23rd, 2011 at 7:42 pm][59]

Just wanted to thank you for this post – really hits the nail on the head as to why Doom holds up years and years later, and summarizes its strongest but least-imitated virtues

31. Mike Says:   
[July 20th, 2011 at 5:14 am][60]

I just wanted to say that I agree with the agile/speed comment. I would also add the huge cult success of Serious Sam can be directly contributed to similar factors in movement, for both the player and enemies. Perhaps mention this as well?

Good article.

32. [Carlos Alexandre][61] Says:   
[July 24th, 2011 at 3:22 pm][62]

I recently wrote a post comparing Classic DOOM to classic Mario games, and a commenter linked me to this post. Very well written.

My post, if you’re interested:  
<http://handsomefatman.com/carlos/classic-doom-pioneered/>

33. Old-Timer McGee Says:   
[September 20th, 2011 at 8:07 am][63]

Although I agree Doom does not feel like modern shooters, it does not feel like 2D shooters in the least. Not having an overhead view of everything drastically changes gameplay.

“This is what Doom's designers were working from in 1993 – back then, the idea of a first person shooter was barely established, and their closest models for many mechanics were from 2D shooters like Robotron, Berserk and Tempest.”

You must be trying to troll me? Well, you’ve succeeded, I’m right pissed off.

It was my experience, having lived through a the evolution of FPS games, that Fully Immersive Virtual Reality Games (complete with VR Headsets) existed well before Doom… In fact in 1991 the Virtuality game system existed. With it I played Dactyl Nightmare and Exorex. Both WHILE Doom was in development. Are you saying ID didn’t have such games to work with? These may not have been the ones, but the CLOSEST games to draw game play from were 2D?! I think Not!

Just because you have chosen to be an ignorant Philistine and ignore the OVER TWENTY YEARS of 3D First Person Shooters PRIOR to Doom, doesn’t mean we all have. JP, you sir, are part of the problem, not part of the solution.

Are you so overly self-absorbed that your retarded revelation that using the IDDT cheat makes Doom into a 2D Shooter to even SEARCH the Internet we build for you before spouting your mindless drivel?!

Here! I shall hold your hand:  
<http://en.wikipedia.org/wiki/First-person_shooter#Early_first-person_shooters:_1970s_to_early_1990s>

Name ONE. Just ONE 2D Shooter where you can see all the enemies positions, and they only know where you are via 3D Line of Sight calculations… As is played in the IDDT Debug cheat you reference. Robotron My Ass!

“The notion of realism in FPS design wouldn't appear for another few years” — What Nonsense IS This?! You sir have slapped me, and the ENTIRE 3D INDUSTRY in the face — Damn your small-minded self-centered mental masturbation puff-piece to HELL!

ID Made THREE Catacombs FPS games for Softdisk before Wolfenstein3D — Where were YOU? These were all slow paced FPS games, Heavily Concerned with Adding MORE realism in each iteration! o_O

Romero’s Vision of a Fast Paced Visceral FPS, and THOUSANDS of hours of play-testing honed Doom into what it was. Back-pedal all you want, It still doesn’t change the fact that your assumptions and comparisons are WRONG!

Where were YOU, when I was playing a FULLY 3D First Person Perspective Shooter in 1986: Starglider, and the sequel with filed 3D Polygonal MODELS in 1988, on my Home PC, Seven and Five years respectively BEFORE Doom’s release?!

The 3D and FPS Industry helped to sell computers in the 70’s, 80’s & 90’s…

Furthermore, The Demo Scene’s 3D contributions were heavily influential to nearly ALL game designers of the era…

Where were YOU when the SACRIFICE was made to abandon True 3D game play and graphics for the sake of TEXTURES and REALISM!? The 2.5D Era of Textured Graphics evolved from the FULLY 3D FPS game world, NOT the 2D world AT ALL.

There were Hundreds if not Thousands of FPS games, even Gun Toting Games that were very unrealistic with their “plastic” and futuristic solid filled polygon feel that would have made EXCELLENT comparisons to back your Article’s Agenda…

…But Nooo, You Finally decide to make a Doom Map, and all of a sudden you think you’re some wise Oracle, about to educate today’s gamers of the Trials and Tribulations that led to the Revolution in 3D FPS Games?!

JP, You of ALL people should have known better. YOU DISCREDIT and Disrespect Yourself via this article! “It’s better to keep quiet and have others think you a fool than to open your mouth and remove all doubt.”

I would have thought that YOU of ALL People, a Respected individual in the 3D Industry, would care the slightest bit about the Founders and Trail blazers upon who’s shoulders you stand to at least learn something of your roots… If not for your own edification, at the very least before spouting this nonsense to the masses.

We payed a HEAVY toll as gamers and game makers to make 3D relevant despite the insane costs and an unsure future — Tempest? Berserk?! I would laugh if it wasn’t so disgracefully ignorant.

Look, just because YOU don’t have any prior 3D FPS experience to draw from to make valid comparisons via doesn’t mean your first naive assumption is correct.

I agree that Doom has game play mechanics that are lost to most of today’s FPS playing generation, but Smith and Wesson were NOT influenced by a Neanderthal’s  
flint tipped spear!

Additionally, if you actually record a demo of your gameplay in FPS, then record one of the same level in “Top Down IDDT” mode and compare the results — You’ll see two VERY different game-plays. Omniscience and First Person Perspective are wholly game changing factors, even when the same map is played.

I concede your point that an interesting game-play mechanic is largely under utilized, but your attempted execution to convey this severely hampered by your flawed premise.

“[M]any decisions were made simply on the basis of being good for abstract shooter gameplay.”

This statement was true of nearly ALL prior FPS Games! Doom did not evolve from it’s map-mode into the 3D game it is today.

Sharing some small mechanic in PART of a game’s play is not enough to make such strong statements. Correlation dose not imply Causation! Critical Thinking, Man! Learn It!

Clearly good my opinion of you was wrong.

34. [Optimus][64] Says:   
[September 25th, 2011 at 12:07 pm][65]

Hey man, there is no need for such anger! (though some parts of the post were informative, didn’t know about virtuality, that feels so retrofuture 🙂

I revisited this article again and seem to like even more some points. I think my I have formed new brain cells suitable for doom playing, strafing, knowing the strengths and weaknesses of each monster, going into a room full of monsters, my brain in automatic controls knows which to finish first or where to hide, that happens after playing doom WADs for several years, though the strafe defense, variety of monsters help in this and this is really something I cannot find in any other modern FPS. All these elements and the community makes me still enjoy playing doom more than anything else, but maybe it’s my brain cells evolved to play this game.

35. [JP][40] Says:   
[November 10th, 2011 at 9:22 am][66]

Hey folks, I have to disallow comments on this post, it’s drawing too much spam.

36. [The Staging Point » Blog Archive » F.E.A.R. of a flashlight][67] Says:   
[January 25th, 2012 at 8:46 pm][68]

[…] reminded of an excellent essay on the lasting appeal of the original Doom, which had infinitely less believable environments but which turned that into a virtue: While some […]

37. [Enlaces bonitos | El Chigüire Literario][69] Says:   
[December 29th, 2012 at 1:54 pm][70]

[…] segundo es un viejo pero interesante artículo sobre cómo innovar en los videojuegos no siempre es sobre ir en direcciones desconocidas, sino ir al orig…, usando como ejemplo al viejo Doom de […]

38. [15+ Analyses, Post Mortems, and Game Design Docs | Gamedevtuts+][71] Says:   
[September 20th, 2013 at 7:34 am][72]

[…] Lessons From Doom […]

39. [15+ Analyses, Post Mortems, and Game Design Docs - Game Development KB][73] Says:   
[September 20th, 2013 at 9:24 pm][74]

[…] Lessons From Doom […]

vector poem is proudly powered by [WordPress][75] [ZedSimple][76]   
[Entries (RSS)][77] and [Comments (RSS)][78]. 

[1]: http://vectorpoem.com/news/
[2]: ./?p=68
[3]: http://www.doomworld.com/idgames/
[4]: http://en.wikipedia.org/wiki/Robotron:_2084
[5]: http://vectorpoem.com/images/doom2_top_shot.jpg
[6]: http://vectorpoem.com/images/doom2_shot.jpg
[7]: http://vectorpoem.com/images/doom2_entry.jpg
[8]: http://oblige.sourceforge.net/
[9]: http://www.icecreambreakfast.com
[10]: http://vectorpoem.com/news/?cat=1
[11]: http://vectorpoem.com/news/?feed=rss2&p=74
[12]: http://vectorpoem.com#comment-299 ""
[13]: http://brendan.belladays.com/2010/03/interesting-things-ive-looked-at-for-march-7th-through-march-9th/
[14]: http://vectorpoem.com#comment-300 ""
[15]: http://vectorpoem.com#comment-309 ""
[16]: http://vectorpoem.com#comment-312 ""
[17]: http://karlreinsch.com/2010/03/16/revisiting-doom/
[18]: http://vectorpoem.com#comment-340 ""
[19]: http://vectorpoem.com#comment-343 ""
[20]: http://en.wikipedia.org/wiki/Pathways_into_Darkness
[21]: http://en.wikipedia.org/wiki/Marathon_Trilogy
[22]: http://sunkid.ca
[23]: http://vectorpoem.com#comment-344 ""
[24]: http://www.theartolater.com/?p=43
[25]: http://vectorpoem.com#comment-357 ""
[26]: http://vectorpoem.com#comment-412 ""
[27]: http://vectorpoem.com#comment-413 ""
[28]: http://vectorpoem.com#comment-418 ""
[29]: http://davetaylor.name
[30]: http://vectorpoem.com#comment-422 ""
[31]: http://gamedesign.cz/?p=1699
[32]: http://vectorpoem.com#comment-448 ""
[33]: http://vectorpoem.com/news/?p=91
[34]: http://vectorpoem.com#comment-521 ""
[35]: http://www.offworldpress.com
[36]: http://vectorpoem.com#comment-775 ""
[37]: http://vectorpoem.com#comment-868 ""
[38]: http://vectorpoem.com#comment-869 ""
[39]: http://vectorpoem.com#comment-870 ""
[40]: http://vectorpoem.com
[41]: http://vectorpoem.com#comment-871 ""
[42]: http://www.1up.com/do/blogEntry?bId=8980870
[43]: http://www.gamearch.com/2010/11/08/lessons-from-doom/
[44]: http://vectorpoem.com#comment-873 ""
[45]: http://cmiblogs.ulusofona.pt/jvsj/design-de-mapas-first-person-shooter/
[46]: http://vectorpoem.com#comment-874 ""
[47]: http://vectorpoem.com#comment-876 ""
[48]: http://tishtoshtesh.wordpress.com/2010/11/18/resolution-restriction-renaissance/
[49]: http://vectorpoem.com#comment-878 ""
[50]: http://vectorpoem.com#comment-1527 ""
[51]: http://vectorpoem.com#comment-1528 ""
[52]: http://v2.wolfslittlestore.be/2011/01/best-of-2010/
[53]: http://vectorpoem.com#comment-1536 ""
[54]: http://redeemer812.110mb.com
[55]: http://vectorpoem.com#comment-1544 ""
[56]: http://www.fpstime.com/2011/06/fps-analysis-why-doom-is-the-last-real-lesson-we-had/
[57]: http://vectorpoem.com#comment-1634 ""
[58]: http://vectorpoem.com#comment-1635 ""
[59]: http://vectorpoem.com#comment-1637 ""
[60]: http://vectorpoem.com#comment-1640 ""
[61]: http://handsomefatman.com
[62]: http://vectorpoem.com#comment-1641 ""
[63]: http://vectorpoem.com#comment-1652 ""
[64]: http://plasmafun.blogspot.com
[65]: http://vectorpoem.com#comment-1657 ""
[66]: http://vectorpoem.com#comment-1682 ""
[67]: http://stagingpoint.com/2012/01/25/f-e-a-r-of-a-flashlight/
[68]: http://vectorpoem.com#comment-2437 ""
[69]: http://www.elchiguireliterario.com/2012/12/29/enlaces-bonitos/
[70]: http://vectorpoem.com#comment-2710 ""
[71]: http://gamedev.tutsplus.com/articles/roundups/analyses-post-mortems-and-game-design-docs/
[72]: http://vectorpoem.com#comment-2882 ""
[73]: http://gamedev.thekb.net/15-analyses-post-mortems-and-game-design-docs/
[74]: http://vectorpoem.com#comment-2883 ""
[75]: http://wordpress.org/
[76]: http://wp.uberdose.com/2007/01/26/zedsimple-wordpress-theme/
[77]: http://vectorpoem.com/news/?feed=rss2
[78]: http://vectorpoem.com/news/?feed=comments-rss2

