---
created_at: '2016-09-18T13:36:31.000Z'
title: The Zen of Passive Solar Heating Panel Design (2010)
url: http://www.iedu.com/Solar/Panels/index.html
author: mpatobin
points: 153
story_text: 
comment_text: 
num_comments: 35
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1474205791
_tags:
- story
- author_mpatobin
- story_12525225
objectID: '12525225'

---
[Source](http://www.iedu.com/Solar/Panels/index.html "Permalink to The Zen of Passive Solar Heating Panel Design")

# The Zen of Passive Solar Heating Panel Design


| ----- |
|  **The Zen of Passive Solar Heating Panel Design**  
_Morris R. Dovey_

_**Dedicated to the memory of Rob Sekeris, who encouraged and helped me to find  
the principles and words shared here.**_

Copyright © 2010 Morris R. Dovey – All rights reserved.

![][1]    
**Contents**    

|  Preface  
Introduction  
Air  
Sunshine  
Energy  
Absorber  
Improved Absorber  
Trade Offs - Part 1  
The "Box"  
Seasonal Control  
Day/Night Flow Control  
Type 1 Panel  
Type 2 Panel  
Type 3 Panel  
 |  Plenum Geometry  
Glazing  
Trade Offs - Part 2  
Heat Storage Discussion  
Appendix A (Drawings)  
Appendix B (Construction)  
  About the Design  
  Skills Needed  
  Tools Needed  
  Materials  
  Assembly  
  Installation  
Appendix C (Fin Forming Jigs)  
Appendix D (Links)  
 | 

* * *

**Preface**

You should understand that this document is a “work in progress” – and not a comprehensive finished (or even final draft) work. I expect to add more and re-write portions of what’s already here as my understanding improves and as I find better phrasing. If you’d like to benefit from my continuous improvement efforts, I suggest saving a link to this evolving document instead of downloading a snapshot of what it looks like today. 

If something seems unclear, or if you can suggest a correction or improvement, please use the e-mail link at the end/bottom to contact me. I welcome opportunities to learn. 

My aim is to lead you to think about things that might not otherwise come to mind when thinking about solar heating, and to share some level of understanding of how those things affect results – and I’m going to try to accomplish this without burying you in formulas and equations. (If you’d like to see those, Appendix D has links to the Wikipedia articles that were _my_ starting points.) 

I’d suggest reading this when you’re in a “learn” mode – because if you’re in “skim” mode, you’ll just be wasting your time. 

I set out to design a passive panel that would reduce the cost of heating a home and, eight years and many prototype panels later, completed development of a passive panel capable of reliably providing __all__ of the heat needed. 

* * *

**Introduction**

A solar heating panel is not just a box with a glass front, a black interior, and a pair of openings in the back. Any fool can build such a box – and many have, but very few have managed to heat an entire building with the result. 

You already knew that, of course, or you wouldn’t be reading this. I mention it only because you may not have known that you knew, and because I think it’s an important starting point for our discussion. 

When I decided to seriously tackle the design of a solar heating panel, I listed seven requirements for a successful design: 

* **Passive operation**  
The panel must operate efficiently using only the thermal energy it captures – independent of all other energy sources. 
* **Diurnal operation**  
The panel must deliver heat efficiently during the day, and not lose more than an absolute minimum of heat when there is insuficient sunshine to provide any deliverable heat. 
* **Season-dependent heating**  
The panel must deliver maximum heat during winter, and a minimum in summer. 
* **Maximum reliability**  
The panel must have no moving parts to wear out or fail, and must operate dependably in untended situations. 
* **Long service life**  
The panel should last at least as long as the structure it heats. 
* **Minimum maintenance**  
The panel should operate at full efficiency for extended periods of time without needing servicing. 
* **Low-cost**  
The panel must provide the fastest payback when compared to all other heating methods, and must incur no expense after purchase and installation. 

My attitude was that I would take as long as needed to get the job done – and that it would cost whatever it cost. There was the possibility that I might run out of resources without achieving recognizable success, but the possible benefits of success seemed to far outweigh the risk of failure. 

It took eight years of full-time effort to satisfy all seven of my original requirements – I’m delighted that the final result far exceeds my original expectations and, in retrospect, I’m surprised by how much I was obliged to learn about things that I hadn’t known would have any bearing on the task. 

One of my preconceptions was that, for a conventional structure, I would only be able to reduce the loading on a conventional heating system. The conventionally-built structure in the photo above is heated only with a pair of passive solar panels and its indoor temperature has remained above 65°F/18°C since construction was completed in early 2007. I believe (but can’t prove) that if the overhead door in the demonstration building were kept closed, the indoor temperature in winter would never drop below 80°F/27°C. 

One of the things I learned is that a “no-brainer” attitude almost _guarantees_ a poor result. My intention here is to provide basic information you’ll need, but you will need to make the effort to arrive at your own understanding of this information so you can put it to use. 

If you learn what I learned, then you should be able to do as good a job as I was able to do – but if you can use this as a starting point for additional knowledge and understanding, then you’re invited to do an even better job and to share what you learn so that _everyone_ benefits from our efforts. 

Now, what we have to work with is sunshine, air, and the materials we use to build our panel – so it would seem a good idea to understand them as well as we can... 

* * *

**Air**

Let’s talk about air first. In our solar heating panel we use air as the media to transport heat from the interior of the panel out to the space we want to warm. 

Air has four properties that are of particular interest in our context: 

* When air is warmed it becomes less [_dense_][2] (expands), and so it rises above cooler, more dense, air. 
* There is friction between moving air and any surface which will act to impede the flow near the surface. This is called the [_laminar flow_][3] effect. 
* Also when air is warmed it becomes more [_viscous_][4] (“sticky/gooey”), rather than less – a behavior that is exactly the opposite of most familiar materials. 
* When air is in contact with a hot surfce, these properties act together to produce a layer of viscous low-density air that “sticks” to the surface. This is called the [_boundary layer_][5] effect, and its thickness depends on the temperature at the surface/air interface. 

The first of these properties, the buoyancy of heated air, makes a passive solar heating panel possible, so we want to take advantage of it as much as possible – but all the other properties act to inhibit airflow and rob the panel of efficiency, so we want to do everything we can to minimize their effects. 

At first glance this seems contradictory, because the buoyancy that produces the airflow and the properties that work against it all result from warming the air. What I learned is that it’s possible to keep the buoyancy while minimizing the inhibiting effects. Before I can discuss that, though, we’ll need to take a look at what else is going on inside the panel. 

* * *

**Sunshine**

Sunshine is energy, pure and simple. In our context it’s easiest to think of sunshine as a flow of tiny knots of energy, called [_photons_][6], radiating from the sun. Having made the point that sunshine is energy, I’ll speak only of photons and energy. 

A photon consists of the smallest possible amount of energy (less than a whole photon would be zero and more than a photon would be multiple photons), and can be thought of as being so small that it doesn’t have physical dimensions. 

When a photon impinges on an object, it can either be reflected – or it can be absorbed, by which I mean that its energy remains within the object. In every instance, some photons are reflected and some are absorbed. 

In our passive solar heating panel context, of course, we care very much about absorption and reflection. 

The object on which photon impinges is made up of atoms – has mass, and we need to take a brief look at the interaction between photons and the mass. 

* * *

**Energy and Mass**

When we increase the amount of energy in a given mass, we raise its temperature. In fact, temperature is a measurement of energy _density_. 

It’s very important to distinguish between [_heat_][7] (which is energy) and [_temperature_][8] (which is the ratio of energy per unit of mass). To illustrate, imagine holding a sewing pin with a pair of pliars and heating it until it glows red hot (about 1000°F/580°C) – then dropping the red hot pin into a teacup filled with cold water. All of the heat concentrated in the small mass of the pin went into the water, but that heat was not enough to make the much larger mass of water noticably warmer to the touch. 

Every object absorbs energy from its environment and every object whose temperature is above absolute zero gives off (radiates) energy to its environment at a rate determined by its temperature – the hotter the object, the faster energy is emitted. 

If the object is warmer than the environment, it will emit more energy than it absorbs, and if it is cooler than its environment it will absorb more energy than it emits. In a closed system, energy will be exchanged between object and environment until an equilibrium is reached in which the amount of energy emitted by the object will equal the amount of energy absorbed. 

Even though our passive solar heating panel is not a closed system, it’s important to understand this [_heat exchange principle_][9]. 

It’s probably obvious, but I’ll point out that every photon absorbed by a mass increases the amount of energy it contains. That means that its temperature will be raised and that it will be more inclined to emit some of its energy to its environment. Please note that this heated mass is not just the mass of the collector itself, but also the mass of the air inside the collector! 

The relationship betwen the temperature and the rate of radiation is described by the [_Stefan–Boltzmann Law_][10] which says, in simple terms, that the radiation from any heated mass is proportional to the fourth power of the temperature (in Kelvins) of the mass. This is one of the reasons that the aluminum can (downspout, dryer vent, etc) collectors are so horribly inefficient. 

* * *

**The Absorber**

Our panel will need to incorporate some feature that can use this incoming photon stream to warm the air inside the panel. Although it should be obvious, I’d like to emphasize as strongly as possible that the goal is to warm the _air_ and not any part of the panel itself – and that in an ideal solar heating panel, _only_ the air would be heated.

The most obvious method is to provide a sheet of absorber material that extends from top to bottom and side to side, and to allow air to flow up both sides of this sheet – but let’s apply what we’ve already learned to this scenario. 

The absorber sheet will be warmed by the photon stream, and as it’s warmed the air at its surface will be warmed and become both less dense and more viscous. 

More viscous means that the heated air will stick to and slide along the absorber surface, rather than flowing freely. Less dense means that the heated air will act as an insulating layer to keep the unheated air away from the surface. This is the boundary layer I spoke of earlier. 

Since the absorber surface is now insulated it becomes still hotter and, in a vicious cycle, the air adjacent to the surface becomes still hotter and a still more effective insulator. 

As the temperature of the absorber and the boundary layer increases, they radiate energy more and more vigorously back toward the environment. 

To avoid that scenario, we can make our absorber surface discontinuous – by breaking the solid sheet into horizontal fins (strips), for example. This limits the surface flow distance to the width of the fin and introduces some amount of turbulance in the airflow, and if the fins are positioned in such a way that each bit of heated air can’t flow over one fin directly to the next, it limits the maximum temperature of both heated air and fins. 

This also means that the maximum temperature of the absorber fins will be lowered which, in turn, minimizes boundary layer effects. 

The absorber fins can be improved by lowering their ability to store heat by reducing their mass. The most reasonable way to do this for any given material is to make the fins as thin as possible. 

The result of all of this is that we get much better airflow with reduced radiation losses (higher efficiency) and we get more delivered heat. 

| ----- |
| 

|  **Airflow Zen** Why do fish have scales?  | 

 | 

* * *

**Improving the Fin Absorber**

Let’s turn all of the fins on their long axis so they’re all tilted (say 45°) so that the sunward side faces upward – and let’s space them vertically so that, viewed straight-on from the front, the area behind the fins can’t be seen. 

This makes four interesting things happen. First of all, it ensures that air heated by flowing past one fin is guided away from the fin immediately above it. 

Second, some portion of the photons that are reflected from the surface of one fin are directed toward an adjacent fin to increase the probabability that the photon will be absorbed. Note that if the fin tilt and spacing are chosen correctly, multiple such reflections are possible. Notice that closer spacing provides a larger number of reflections and therefore a higher probability of absorption by air and/or fins. The sketch below illustrates just one possible pattern of reflections between two adjacent fins’ facing surfaces. 

![][11]

Third, it causes some portion of the radiation from each fin to be directed toward adjacent fins, rather than toward the environment. The proportion of radiation directed toward adjacent fins is largely determined by the spacing of the fins. The sketch below illustrates the pattern of radiation from just one single point on just one surface of a single absorber fin. 

![][12]

Fourth, because of the radiation and reflections the energy density (photon flux, in physics flux means the rate of flow of fluid, particles, or energy) in the spaces _between_ the fins is increased. This means that the air flowing between the fins (and not just the air touching the fins) is heated very much more efficiently.

| ----- |
| 

|  **Absorber Zen** What did you learn from skipping stones on water?  | 

 | 

| ----- |
| 

|  **Trade-Offs – Part 1**

More absorber fins spaced closely together provide greater absorption and reduced radiation loss – but the more fins there are in a given-size absorber, the greater the total friction between air and fins. Also, as the spacing becomes small, it’s possible for the boundary layer of one fin to closely approach (or even touch) the boundary layers of the adjacent fins, which has the effect of bottlenecking the airflow. 

Altitude (and the resulting decrease in air density) affects the buoyancy of heated air and will also affect the optimal fin spacing – and perhaps also the optimal tilt angle for the fins. 

The cross-sectional shape of the fins has an effect on the efficiency of the absorber. I found that an upside-down reverse airfoil shape works better than a circular arc, but did not experiment enough with other shapes to know what the “best” shape might be. 

The surfaces of the absorber fins have an effect on absorber efficiency. Originally, I painted the fins flat black – but I got considerably better results with a very thin glossy black powder coat finish. 

 | 

 | 

**The “Box”**

The solar panel box provides three functions: 

* **Thermal isulation**  
Its airtight construction prevents any convective losses from the interior of the structure to the environment – and its walls, partitions, and glazing inhibit conductive energy losses to the environment. 
* **Structural support**  
Although it does not contribute to the structural strength of the building, it supports the glazing, the absorber/exchanger, and the plenum components. 
* **Airflow control**  
It provides the passages (plenums) through which air moves – and it provides the framework for controlling seasonal and day/night behaviors. 

* * *

**Seasonal Control**

Since we want the panel to deliver a maximum amount of heat during the winter and a minimum during the summer, we can take advantage of the fact that during winter the sun appears lower in the sky by orienting the panel vertically so that the glazing passes direct sunlight in winter and reflects it downward when the sun is higher in the sky in summer. 

In the drawings of the earth below, the top drawings are a view of the earth looking directly down perpendicular to the plane of the earth's orbit, and the bottom drawings are side views. 

The left drawings show the earth's tilt at the summer solstice, and the right drawings show the earth's tilt at the winter solstice. 

The shaded area (away from the sun) represents night and the unshaded area (toward the sun) is day. 

The red ellipse in the top drawings (which shows up as a short tilted line in the lower sideview drawings) is the path traveled by a point on the earth's surface at 41.5 degrees north latitude - which just happens to the the latitude of the DeSoto Solar shop. 

The longer red line in the lower drawings is the earth's axis, an imaginary line from the north pole to the south pole. 

![Earth's inclination][13]  
Earth at summer and winter solstices

Now notice the short black lines in the lower drawings that stick straight up from the earth's surface. These represent side (edge) views of a vertically-oriented solar heating panel at noon. 

In the lower left midsummer drawing the earth (and therefore the panel) are tilted so that the panel points almost directly at the sun. To an observer on the ground in DeSoto, the sun is nearly directly overhead. At this angle the glazing on the front of the panel acts very much like a mirror, and nearly all of the sunlight striking the glazing is reflected to the ground in front of the panel. 

In the lower right midwinter drawing the earth (and therefore the panel) are tilted so that the panel is much closer to perpendicular to the sun's rays. To our DeSoto observer the sun appears much lower in the sky. At this angle the glazing on the front of the panel passes nearly all of the sunlight striking the glazing to the absorber in the panel. 

Notice also in the midwinter drawing that if the ground in front of the panel is covered with snow, additional sunlight will be reflected into the panel - and energy reflected from fresh, clean snow can nearly double the amount of energy collected. 

To sum all of this up, a vertical panel produces almost no heat at midsummer - and produces a maximum amount of heat at midwinter. It's completely automatic and the only moving part required is our planet. 

This vertical panel orientation provides yet another important benefit: when the ground in front of the panel is covered with snow to reflect sunlight into the panel, it can boost the input energy by as much as 90%!   

**Day/Night Flow Control**

We can make use of the buoyancy properties to prevent the panel from operating in reverse at night during cold weather by incorporating one or more "traps" to completely stop airflow when the panel would otherwise operate in a cooling mode. To illustrate, I’ve provided sketches of three flow configurations – one with no traps at all, one with a single trap, and one with a double trap: 

![][14]

**Type 1** panels have no trap. They admit cool air through an intake opening at the bottom, heat the air as it rises through an absorber plenum, and deliver the heated air through a top discharge opening. At night, heat energy will be lost by conduction through the glazing and by radiation from the air, the absorber, and the glazing causing the airflow to reverse – warm air will be admitted through the top opening, be cooled in the absorber plenum, and cooler air will be discharged through the bottom opening. 

This behavior can be prevented by blocking the bottom opening between sunset and sunrise – but this requires either human manipulation or an active control system; and neither of these options fits my definition of a _passive_ panel.   

**Type 2** panels incorporate a single trap. The intake opening is moved up to produce a U-shaped air passage so that at night cool air will settle into the bottom of the passage to "lock" the airflow. This solves the reverse operation problem, but introduces a _stratification_ problem – air outside the collector below the level of the intake opening will remain unheated, and only the air at and above the height of the intake opening will be heated. 

![][15]

To solve this problem, a third type of panel evolved.   

**Type 3** panels incorporate a double trap. As with the Type 1 panel, the intake opening is located at the bottom to draw in the coolest air available into an intake plenum through which air flows upward, a downflow plenum which delivers air from the intake plenum to the bottom of the absorber plenum where the air is heated and delivered from a top discharge opening. 

At night, cool air will accumulate in the trap formed by the downflow plenum and the absorber plenum, and warm air in the panel will rise to the top of the trap formed by the intake plenum and the downflow plenum to provide a trap even more effective than with the Type 2 configuration – and so the reverse operation problem will be solved at the same time as the stratification sproblem. 

* * *

  
**Plenum Geometry**

**Absorber Plenum**

The natural airflow appears to be directly related to the cross-sectional area of the plenum, and inversely related to the surface area of the plenum. 

This means that the _ideal_ plenum would be cylindrical. 

Given that we're practically constrained to a rectangular cross section, the best we could do would be a square cross section, which still falls short of what we want to build  but points us in the right direction: to incorporate the deepest practical plenum. 

For a given design/construction, the operating temperature is directly related to the height of the panel. 

For a given design/construction/height, the amount of energy captured and the amount of heat delivered will be directly related to the width, but the temperature is not, in general, affected by the width. 

**Intake and Discharge Vents**

The _ideal_ intake vent matches the cross-sectional area of the plenum. If the intake vent is larger than the plenum, then the plenum becomes the bottleneck. If the intake vent is smaller than the plenum, then the intake vent becomes the bottleneck. 

The _ideal_ discharge vent is likely to be larger than the intake vent in order to accommodate the same natural flow of expanded air, but I'm unsure how to generalize this because design dependencies may come into play allowing (or not allowing) the rate of flow to increase through the discharge vent. 

* * *

**Glazing**

The glazing is the transparent barrier that separates the absorber plenum from the environment. Because the glazing separates air at the extreme ends of the panel’s temperature spectrum, it needs to have the best possible insulating properties. The glazing is also the panel’s most exposed and vulnerable component - and is the only part of an installed panel that can present any hazard. For all of these reasons I strongly recommend the use of UV-protected twin-wall polycarbonate sheets. I found that 6mm twin-wall, with the channels vertically oriented, to have excellent transmissive, insulating, and breakage-resistant properties. I have a number of twenty-plus year old pieces left over from an early project that seem to be as good as new. Below is a photo of one of those old pieces, so you will have a better idea what this material is like. 

![][16]

The UV-protection blocks entry of the UV portion of the solar spectrum to prevent damage to the polycarbonate plastic and that constitutes an intentional loss of available energy. An ideal glazing material might have all of the desirable properties of the polycarbonate, but be immune to UV damage. 

| ----- |
|    

|  **Trade Offs - Part 2**

I built a number of Type 3 panels in the configuration shown above and discovered that the full-width, relatively shallow intake and downflow plenums produced a serious laminar flow problem – the airflow was insufficient with the result that the absorber ran too hot (150°F/66°C to 180°F/82°C), even though I increased the panel depth from the original 3.5 inches (89mm) to 5.5 inches (140mm) to 7.5 inches (191mm). 

My solution was to locate the intake and the downflow plenums side-by-side as shown in the sketch below, with the absorber plenum occupying 1/3 of the available depth, and the other two plenums occupying 2/3 of the available depth. This solved the airflow problem quite nicely, but left me with concerns about loss of heat from these plenums through the thin plywood wall separating them from the absorber plenum. 

It turned out to be a needless concern – that heat loss was so small as to be insignificant. 

![][17]

This sketch shows back (left) and front (right) of a (northern hemisphere) panel with the glazing, absorber, and back removed to illustrate the side-by-side plenum arrangement. The intake opening (in the back) is in the opposite side from the opening between the downflow plenum and the absorber plenum. The arch at the top of the rear plenums was added to improve airflow during operation. It has no effect when the panel is in locked (night) mode. 

With these changes, the airflow increased dramatically and the operating temperature dropped to the 110°F/43°C - 115°F/46°C range. 

 | 

 | 

* * *

**Introduction to Heat Storage**

The pilot installation included an experimental heat storage mechanism that turned out to be very much more successful than expected – and triggered additional research to explore the reasons for the unexpected effectiveness. 

I’ll describe the storage method used and pass along some of what I learned, with the hope that it’ll be useful to you. 

**The Method**

The 30-foot by 40-foot structure has 10-foot high ceilings and a six-inch thick reinforced concrete slab floor, poured over 1½-inch thick sheets of foam (blue board) insulation to reduce heat loss to the earth under the slab. The walls are six-inches thick and are insulated with glass wool. 

In the center of the structure is a low-power slow-turning ceiling fan that blows the warmest air near the ceiling down and across the floor to warm it and to ensure that the air is well-mixed to avoid stratification and cold spots. 

**The Result**

The concrete slab is warmed to the same temperature as the heated space as was expected. What was not expected was that the temperature did not decrease at night or over several dark days. 

**Explanation**

The structure contains 12000 ft³ (339.8 m³) of air to be maintained at a comfortable temperature, and the slab contains 600 ft³ (17 m³) of concrete which is heated by the flow of warm air. 

The questions that begged to be asked were (1) How much heat energy is required to raise the air to a comfortable temperature and (2) If the concrete slab were warmed to that same comfortable temperature, how much heat energy would it contain? 

A small C-language program was written to calculate what depth of concrete would be needed to contain the amount of heat energy needed to warm the 12000 ft³ of air to the same temperature. The unexpected answer was that less than 1/10-inch (0.081923 inches) of slab thickness was needed. 

Dividing the 6-inch slab thickness by this thickness provided a reasonable first approximation to the number of times the air in the structure could be warmed from absolute zero (0°K / -273.15°C / -459.67°F) to a given “comfortable” temperature. 

The six-inch thick slab contains enough thermal energy to raise the air in the structure from absolute zero to the temperature of the concrete more than 73 times! 

**C Program to Calculate Thickness**

![FloorCalc.c][18]

Which produced: 
    
    
    Depth of concrete required is 0.081923 inch

**Conclusions**

Once the concrete slab has been warmed to the desired room temperature, it is capable of maintaining the temperature of the air inside the structure at that level for prolonged periods. It’s important to note that this conclusion depends on heat being added at a rate that equals or exceeds, on the average, the rate at which heat is lost from the structure – which, in turn, depends on the structure being adequately insulated and not drafty. 

The rule of thumb is that there should be 1 ft² (0.09290304 m²) of panel area for each 125 ft³ (3.539605824 m³) of volume in the structure. In metric units, that works out to 1 m² of panel area for each 38.1 m³ of volume in the structure. 

* * *
* * *
* * *

**Appendix A**

This appendix will include dimensioned drawings of my 2010 solar heating panel design and construction if/when I’m able to afford decent (SVG, 3D, rendering, animation) CAD software for my iMac. At present I have only the hand-coded CNC part programs used to produce panel parts – which aren’t going to make much sense to anyone other than myself. 

Until I’m able to provide that, here’s a sketch of the “box” for a 8-foot wide by 6-foot tall panel: 

![Click for panel sketch][19]

Here’s a [link to a .DWG version][20] of the same drawing. The full 3D graphical documentation will be made available when there has been enough support to allow software purchase (about 250 months at the current level of support). 

* * *
* * *
* * *

**Appendix B**

This appendix provides description and photos of solar heating panel construction. An animated video of panel assembly is in production, and will be made available here as soon as it’s completed. 

**About the Design**

I’d built a few passive solar heating panels before I began this project. Back in the early 1970’s I built a pair of experimental panels (one for heating water and one for heating air) that performed well, and in the early 1980’s I built another small air-heating panel that was adequate to prevent water pipes from freezing in a farm outbuilding in Minnesota. All of those designs were Type-1 panels, and they all performed well enough to convince me that it should be possible, with an improved design, to provide most of the heat needed to maintain a conventional structure at a comfortable temperature. 

When the “Dot Com” bubble burst, my current IT project was cancelled and I decided that, rather than accept a third world wage, I would try to find a more productive and meaningful use for my time, energy, creativity, and savings. The colossal Bush/Cheney/Rove display of political ineptitude led me to conclude that petroleum prices would rise considerably from the (then) current US$35/barrel level, and that such a price rise might justify the effort needed to further develop a worthwhile solar heating technology. In 2001 I rented an aircraft hangar in DeSoto, Iowa (north central USA) and began that effort. Events since then – increased cost of energy, the Enron debacle, the Iraq and Afghanistan wars, Gazprom’s European blackmail, BP’s Gulf of Mexico disaster, ad nausea – have simply highlighted the need for independence from political-industrial control of the energy required to meet basic human needs. 

My first 2001 panels were very similar to the panels I’d built two decades before, but my efforts didn’t begin to pay off until I realized that building better panels wasn’t going far unless I learned about more than just _building_ panels. I dove into all the related physics and engineering principles that seemed to have bearing on the project, and that selective education controlled evolution of the design and the choice of construction materials and methods. 

I’m telling this because I want you to understand that the design and construction of these panels was not determined by what I could find in a dumpster or by whatever might be procured on the cheap from local sources – which appears to be the basis of most DIY solar panel projects. This project was undertaken as a serious R&D effort to produce the best result possible _without regard for project cost and without any deadlines_. I would also like you to understand that, because all of the money came out of my own wallet, I made every effort to spend only what _needed_ to be spent to meet project goals. 

What that means is that if you decide to take shortcuts or substitute cheaper materials, you’ll almost certainly be reducing panel performance. You’re free to make that choice, but you should know the consequences of your choice before you make the decision. 

* * *

**Skills Needed**

You’ll need to be able to read and follow plans and instructions _exactly_, and you’ll need to ask questions about anything you don’t understand until you _do_ understand. Along a similar line of thought, you’ll need to be able to arrange for help when more than two hands are needed. 

You’ll need to be able to lay out and mark cutting lines (probably) more accurately than you’ve ever done before. In framing carpentry, it’s generally sufficient to be within an eighth of an inch, in finish carpentry a sixteenth of an inch works most of the time, and a good trim carpenter normally tries to stay within a thirty-second of an inch. This is not a carpentry job - you’ll need to be able to measure, mark, and cut within one sixty-fourth of an inch like a skilled cabinetmaker, which is why I suggest doing your marking with a sharp knife. If it’s any consolation at all, machinists generally work to tolerances less than a thousandth of an inch. Speaking of carpentry, this collector is assembled without nails – and the only screws are those used to attach the aluminum parts that secure the glazing. The panel’s considerable structural integrity comes from the (precise) way its parts fit together to form a torsion box. 

You’ll need to know how to use your tools safely and accurately – and you’ll need to know when _not_ to work, because working when you’re too tired or distracted leads all too easily to spoiled work and/or injury. I suggest you turn your phone off while you work for exactly that reason. 

* * *

**Tools**

I’m including a list of tools that I found helpful – I did nearly all of my wood cutting using a computer-controlled (CNC) router, but I did build a couple of panels with hand-cut parts – and found some tools indispensible with both tooling approaches. My list isn’t necessarily comprehensive, and is intended to help make doing quality work easy. To help non-woodworkers and builders who may not be familiar with English tool names, here are pictures of a few: 

![Tools][21]

| ----- |
| 

* Safety glasses/goggles  
* Large flat work surface  
* Plunge router with round base  
* Drill  
* Circular saw to cut boards to length  
* Saw to cut aluminum  
* File to shape/deburr aluminum  
* Pop rivet setting tool  
* Screwdriver  
 | 

* Small flat pry bar  
* Block plane  
* Face frame corner clamps (8)  
* Face frame middle clamps (4/section)  
* C-clamps (2/section)  
* Rubber mallet  
* Utility knife  
* Small chisel  
* Sanding block  
 | 

* * *

**Materials**

As shown below, the “box” is made of wood. I chose to use only straight, clear (no knots) spruce, pine, fir, or poplar boards that showed no evidence of splitting. 

The top, bottom, ends, and section dividers are nominal 1"x8" (actually 3/4" x ~7-1/2") boards. Part of my preparation was to trim all of these to the exact same width. 

The plenum separator boards were purchased as 1"x6" (actually 3/4" x 5-1/2") boards and were trimmed to exactly fit between the plywood panels. 

The plywood panels can be anywhere from 6 mm to 1/4" thick and any type so long as it is void-free and smooth. 

I used Titebond™ water resistant glue. It's easy to work with, has a reasonable working time, and seems to provide a bond stronger than the wood. 

The fin stays and the semicircular flow guides are cut from 4'x8' sheets of 1/8" tempered hardboard (Masonite™). For the stays the material needs to be smooth on both sides. 

I made fins from 35mm wide x 0.1mm thick glossy black (powder-coated) aluminum ribbon. Fins should be cut about 1/4" shorter than the inside width of the absorber plenum to allow for expansion without buckling. 

The stainless steel “skin” is 0.002" thick. I bought 20" wide rolls and cut each roll into three equal-width rolls using a horizontal bandsaw. It can be cut with scissors but, no matter how you cut it, please be wary of the naturally-sharp edges. 

I purchased 4'x8' sheets of Polygal™ 6 mm twinwall polycarbonate and cut it to fit with a utility knife. It cuts quite easily with a saw, but if you do that you’ll find it extremely difficult to get the sawdust out of the channels. 

The seal between the glazing and the stainless steel skin is 1/16"x3/4" closed-cell foam weatherstripping. 

The brackets used to secure the stays are cut at 45° from 1/16"x3/4"x3/4" aluminum angle. 

The glazing is secured with 1/8"x3/4"x3/4" aluminum angle and 1/8"x3/4" aluminum flats, held in place with square drive #8x1-1/2" stainless steel screws. I chose rather long, coarse-threaded screws so that the trim and glazing could be removed when desired to permit cleaning any accumulation of dust from the fins, then carefully re-installed. 

* * *

**Panel Assembly**

The first assembly step is to ensure that all the parts fit together as they should. The easiest way to do that is to assemble the parts without glue – what woodworkers call “dry fitting”. I did this in two separate stages for all panels and I strongly suggest that you do the same. 

For the first stage, I dry-fit the top, bottom, and end boards with clamps. This provides assurance that the corner joints are all correct, provides a frame which lets me verify that the section separator boards will fit, and lets me verify that the routed grooves for the plywood panels will line up. 

![Fig. 2][22]

![Fig. 3][23]

For the second stage dry-fit, I assembled the entire case without glue. This lets me verify that the section dividers fit as intended, that the shelf parts fit properly, and that the plywood panels fit properly. 

![Fig. 4][24]

![Fig. 5][25]

The reason for all of the dry-fitting becomes apparent at the gluing step, because glue has a limited “working” time – and because the entire panel must be brought together and clamped within that interval. A friend willing to assist with the final dry-fitting “rehearsal” and at gluing time can be a _big_ help. If you do the glue-up alone, as I did, you’ll positively envy the fabled "one armed paper-hanger". 

I suggest having all the parts and clamps you’ll need strategically-located and assembling the panel face-down. First glue/clamp the ends and section dividers to the bottom; then insert the front plywood panels from the top; then glue and clamp the top; and finally, insert, glue, and clamp the shelf parts. The flow dividers in the middle of each section and the plywood back panels will be done in separate sessions. You have up to five minutes for each section and it may be the busiest twenty minutes of your life – and the good news is that at this point the case is nearly complete, and that the next panel you build will be somewhat easier. 

Here’s a photo of a freshly glued case (the flow dividers shown in the photo below haven’t yet been glued). 

![Fig. 6][26]

Once the flow dividers and the semi-circular flow guides have been installed and the glue has had time to set, the case can be set upright and a sanding block used to remove any glue that might have been squeezed out of the joints.

![Finished case][27]

In this photo I’ve already cleaned up the top joints and am just about to clean up the squeeze-out from the bottom joints. I didn’t make any more photos of these panels until installation time, so I’ll use photos from construction of four foot wide prototype panels to show the remaining steps. 

![][28]

Brackets for attaching the stays are cut from 1/16 inch by ¾ by ¾ inch aluminum angle and pop-riveted (using stainless steel pop rivets and backing plates) to the stays. 

The next step is to spray the absorber plenum and the &frac18; inch tempered hardboard (Masonite) stays with a flat black paint. Rustoleum flat black aerosol spray worked well (and significantly better than the same manufacturer’s non-aerosol flat black). 

![Fig. 7][29]

I used 3½ inch spacer blocks and clamps to hold the stays in position, then drilled through the plywood and pop-riveted the stays to the plywood panel using stainless steel pop rivets and (&frac18; inch washer) backing plates. With that step completed, the brackets and tops of the stays are sprayed black and the back panels are glued in place. 

Next we insert the curved aluminum fins into the slots in the stays. I found that it’s much easier to work from the bottom upward than from the top downward. 

![Fig. 8][30]

The &frac18; inch tempered hardboard semicircular flow guide is glued at both ends and the center. It is sized to exactly fit between the front and back plywood panels. In the corners you see the backing plates for the pop rivets that secure the stays on the front side. 

![Fig. 9][31]

The stainless steel skin protects the exposed surface of wooden parts from rain, snow, insects, birds, and ultraviolet radiation. I cut a 20 inch wide roll into three equal-width strips and applied it with contact cement. The expectation is that it will provide adequate protection for panels to last longer than a century. 

![Fig. 10][32]

![Fig. 11][33]

The twinwall polycarbonate glazing is cut to size with a sharp utility knife and an aluminum straightedge. 

![Fig. 12][34]

I use a 1/16 inch thick by ¾ inch wide closed-cell foam weatherstripping between the panel and the glazing, then screw through the (pre-drilled) aluminum, glazing, foam, and skin with stainless steel screws to secure the glazing to the panel. The aluminum trim enhances appearance and shields the weatherstripping from destructive ultraviolet radiation. 

This photo shows how the aluminum angle trim is cut at the top left to provide a tight joint (sealed with a small smear of silicone caulk under the joint) to resist moisture. 

![Fig. 13][35]

* * *

**Panel Installation**

**Framing the Rough Opening**

Here's a quick sketch of the framing requirements. The actual dimensions will depend on panel width, wall height, wall thickness, and local building codes. Both this framing technique and the building codes should be familiar to all US carpenters/contractors even if they have no experience with solar panels. 

![][36]

**Installing “Drop-In” Solar Heating Panels**

When installing drop-in solar in-wall panels, a pair of 2x4's should be either clamped or tack-nailed to the studs across the back of the opening at top and bottom, and the panel pressed against those two boards while being shimmed. This will ensure that the back of the panel will be flush against the inside wall surface. 

Once the panel has been fixed in place, the 2x4's are removed and the gap between the panel and the framing lumber is filled with either foam or fiberglass insulation to prevent heat loss. 

If the vent openings in the inside wall are to be cut after installation, the panel vent openings should be stuffed with wadded newspaper before installation to prevent debris from accumulating in the absorber plenum. In such cases the lower vents should be cut first and the debris removed with a ShopVac, then the top vents cut and vacuumed, and then the wadded paper removed from first bottom vents, then top vents as the final steps. Please note that the vents should not remain blocked any longer than absolutely necessary to avoid excessive heat buildup. 

**Installation Example**

This collection of photos shows what I was able to capture of the first installation of 8' x 6' solar heating panels in an agricultural shop building in central Iowa (north central USA). In retrospect I wish I’d made more photos, but think what I’m able to provide here tells the story fairly well. 

The panels were hauled to the customer’s building site and the four-man construction crew set the panels into a pair of 8' ½" x 6' ½" openings and shimmed/screwed the panels in place after making sure that they were plumb and level. This entire operation took about 45 minutes from start to finish, but that may have been because they’d never seen a solar heating panel before. 

![][37]

Here’s a closer look at the framing of the rough opening. It’s all 2"x6" southern yellow pine lumber. If you look closely at the left (west) edge of the panel, you can see the shims between the rough opening framing and the panel body. The shims on the other three sides can’t be seen in this photo. 

![][38]

The view from the inside immediately after the panels were set in place. 

![][39]

For anyone who’s been wondering what a "shim" is, here’s a photo of a pair of shims - thin wooden wedges inserted from opposite sides of the wall until they fit tightly together. Once they’re tight, a screw is driven through the frame member, through the shims, and into the outer wall of the solar panel. The screws and the shims fix the position of the panel permanently. Once the screws have been driven, the excess length of each shim is removed and discarded. 

![][40]

The gap between the panel and the framing members is then filled with foam or fiberglass insulation to prevent heat loss. Here you can see the shims at the lower east corner of one of the newly-installed panels. 

![][41]

Here you can see the heads of the screws driven through the stud, shims, and into the east wall of the panel. 

![][42]

Another view of the shims at the lower east corner. 

![][43]

The construction crew was about to start applying steel siding to the south wall, and I decided to take one last photo of the entire wall before I headed back for lunch and a meeting at my shop. This photo adds a bit of perspective and scale to the project. 

![][44]

By noon the next day, the construction crew had applied steel siding to the outside and plywood paneling to the inside of the entire south wall. In this photo they’re working on the roof trim - and you can see that the solar panels and the window look a bit more as if they might actually belong where they are. 

![][45]

When the construction crew paneled the inside south wall, they drilled a ½" hole in the approximate center of each of the solar panel vents. I used a router with a &frac38;" flush trim bit to cut the eight intake holes near the floor and the eight narrow discharge vents at the top of the panels. 

![][46]

I took this photo just after I’d routed the vent holes. Here’s a close look at the freshly-cut cold air intake vents. 

![][47]

Although I’d tried to talk the customer into adding a third solar heating panel in the center of the south wall, he insisted that he’d rather have a window he could see through. After taking my first look through that window, I understood why. 

![][48]

Here’s a close look at the freshly-cut hot air discharge vents. The construction crew expressed amazement at the temperature and force of the panel airflow - they were surprised that the air could be moved so rapidly without blowers. 

![][49]

This is a blatant plug for the outfit that put up the building and installed the panels (probably not very helpful to anyone not in central Iowa). 

![][50]

Here you can see the 9'x9' overhead door on the east side of the building that is opened at the beginning and end of every day. 

![][51]

The final construction step was installing the soffits, fascia, and some roof trim. 

![][52]

A couple of days later I stopped by to check operation of the collector and took a few more photos. The shop building is finished and the concrete floor has been poured. 

![][53]

I backed up and made this photo of the inside of the south end of the shop. The ceiling fan is in the center of the ceiling, and the little wall-mounted propane heater was intended to provide make-up heat after the overhead door had been opened in winter. It wasn’t needed. 

![][54]

A view of the southeast corner of the shop... 

![][55]

...and another of the southwest corner, showing the breaker panel and the thermostat for the make-up heater. 

![][56]

This installation was completed in 2007 - and has been adequate to maintain the indoor temperature above 65°F/18°C since that time – even though outdoor temperatures in winter dropped below -20°F/-29°C and even though the nine-foot by nine-foot overhead door has been opened every morning and every evening. 

Before the end of 2009 the panels had saved more than their purchase price in fuel costs and the owner expects that the future savings will exceed the original cost of the entire structure. He told me he _really_ likes starting every day (checking his livestock) in a nice warm truck. 

* * *
* * *
* * *

**Appendix C**

Photographs of my shop-made fin-forming tools - made from scrap wood, a bungee strap, and pieces of pipe. 

![][57]

This is a (partial) roll of powder-coated aluminum ribbon. A full roll is 1 km long. 

![][58]

This is the lash-up I used to cut fins to length. Originally I cut the ribbon with scissors, but found that I could cut fins faster and more accurately with a small desktop paper cutter and a stop block. 

The following photos show the final version of my fin forming press. The fins were 'bent' off center and over-deformed so that they would spring back to the airfoil shape I wanted. Forming the fins was probably the task I liked least. 

![][59]

![][60]

![][61]

Cutting and forming fins was such a boring activity that one evening I designed a wood-framed CNC machine to let me set the number and length of the fins I wanted, press <Enter>, and walk away while it made precision fins at a one per second rate. 

![Fig. 17 - CNC fin machine
Click for full-size sketch][62]

* * *
* * *
* * *

**Appendix D**

Links to web pages with additional information (and more links...)  

| ----- |
| 

* [**Energy**][63]
    * [Photon][6]
    * [Light][64]
    * [Heat][7]
    * [Heat capacity][65]
    * [Heat transfer][66]
    * [Reflection][67]
    * [Absorption][68]
    * [Radiation][69]
    * [Scattering][70]
    * [Black body][71]
    * [Planck’s Law][72]
    * [Stefan–Boltzmann Law][73]  | 
* [**Air**][74]
    * [Atmospheric pressure][75]
    * [Density of air][2]
    * [Viscosity of air][4]
    * [Boundary Layer][5]
    * [Laminar flow][3]
    * [Plenum (duct) friction][76]
    * [Heat capacity][65]  | 

![Copyright © 2010 Morris R Dovey][77]

![Home][78]    ![Solar][79]    ![Feedback][80]  | 

[1]: Madison(500x375).png
[2]: http://en.wikipedia.org/wiki/Density_of_air
[3]: http://en.wikipedia.org/wiki/Laminar_flow
[4]: http://en.wikipedia.org/wiki/Viscosity#Viscosity_of_air
[5]: http://en.wikipedia.org/wiki/Boundary_layer
[6]: http://en.wikipedia.org/wiki/Photon
[7]: http://en.wikipedia.org/wiki/Heat
[8]: http://en.wikipedia.org/wiki/Temperature
[9]: http://en.wikipedia.org/wiki/Thermodynamic_equilibrium
[10]: https://en.wikipedia.org/wiki/Stefan-Boltzmann_law
[11]: Reflection.png
[12]: Radiation.png
[13]: Seasons.jpg
[14]: Types(480x360).png
[15]: Stratification.png
[16]: Glazing(320x240).jpg
[17]: BackFront(360x480).png
[18]: FloorCalc_c.png "FloorCalc.c"
[19]: SC8.png "Click for panel sketch"
[20]: SC8.dwg
[21]: Tools.png "Figure 1 - Tools you may not know"
[22]: DryFit1.png "Figure 2 - Initial dry fit test"
[23]: DryFit2.png "Figure 3 - Another view of the initial dry fit"
[24]: DryFit3.png "Figure 4 - Second dry fit test"
[25]: DryFit4.png "Figure 5 - Another view (checking back panel fit)"
[26]: Assembly3.png "Figure 6 - Gluing all the parts together"
[27]: SC_Madison_4.png "Finished case"
[28]: Slats.png "Figure 7 - Stay and brackets"
[29]: Slats1.png "Figure 7 - Attaching the stays"
[30]: Slats2.png "Figure 8 - Inserting the fins"
[31]: FlowGuide1.png "Figure 9"
[32]: Skin1.png "Figure 10 - Applying the stainless steel skin"
[33]: Skin2.png "Figure 11 - Installing the glazing"
[34]: Glazing1.png "Figure 12"
[35]: AlCorner.png "Figure 13"
[36]: Framing.jpg
[37]: Inst01.png ""
[38]: Inst02.png ""
[39]: Inst03.png ""
[40]: Inst04.png ""
[41]: Inst05.png ""
[42]: Inst06.png ""
[43]: Inst07.png ""
[44]: Inst08.png ""
[45]: Inst09.png ""
[46]: Inst10.png ""
[47]: Inst11.png ""
[48]: Inst12.png ""
[49]: Inst13.png ""
[50]: Inst14.png ""
[51]: Inst15.png ""
[52]: Inst16.png ""
[53]: Inst17.png ""
[54]: Inst18.png ""
[55]: Inst19.png ""
[56]: Inst20.png ""
[57]: Coil.png "Partial coil"
[58]: CoilCut.png "Cutting ribbon into fins"
[59]: Press1.png "Wall-mounted forming jig"
[60]: Press2.png "Another view"
[61]: Press3.png "Male and female 'dies'"
[62]: AlCutter.png "CNC fin machine
Click for full-size sketch"
[63]: http://en.wikipedia.org/wiki/Energy
[64]: http://en.wikipedia.org/wiki/Light
[65]: http://en.wikipedia.org/wiki/Heat_capacity
[66]: http://en.wikipedia.org/wiki/Heat_transfer
[67]: http://en.wikipedia.org/wiki/Reflection_%28physics%29
[68]: http://en.wikipedia.org/wiki/Absorption_%28electromagnetic_radiation%29
[69]: http://en.wikipedia.org/wiki/Electromagnetic_radiation
[70]: http://en.wikipedia.org/wiki/Scattering
[71]: http://en.wikipedia.org/wiki/Black_body
[72]: http://en.wikipedia.org/wiki/Planck%27s_law
[73]: http://www.wikipedia.org/wiki/Stefan-Boltzmann_law
[74]: http://en.wikipedia.org/wiki/Air
[75]: http://en.wikipedia.org/wiki/Atmospheric_pressure
[76]: http://en.wikipedia.org/wiki/Darcy_friction_factor
[77]: ../../Copy2010.gif "Click to read Terms of Use"
[78]: ../../Home.gif "Home"
[79]: ../../Solar.gif "Solar"
[80]: ../../Feedback.gif

