---
created_at: '2017-08-31T04:07:54.000Z'
title: Impact of breast milk on IQ, brain size and white matter development (2010)
url: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2939272/
author: lainon
points: 169
story_text: 
comment_text: 
num_comments: 156
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1504152474
_tags:
- story
- author_lainon
- story_15138100
objectID: '15138100'

---
[Source](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2939272/ "Permalink to Impact of breast milk on IQ, brain size and white matter development")

# Impact of breast milk on IQ, brain size and white matter development

**Warning:** The NCBI web site requires JavaScript to function. [more...][1]
* [NCBI![NCBI Logo][2]][3]
* [Skip to main content][4]
* [Skip to navigation][5]
* [Resources][6]
* [How To][7]
* [About NCBI Accesskeys][8]

[My NCBI][9][Sign in to NCBI][10][Sign Out][11]

# [PMC][12]

[US National Library of Medicine][13]   
[National Institutes of Health][14]

Search databasePMCAll DatabasesAssemblyBiocollectionsBioProjectBioSampleBioSystemsBooksClinVarCloneConserved DomainsdbGaPdbVarESTGeneGenomeGEO DataSetsGEO ProfilesGSSGTRHomoloGeneIdentical Protein GroupsMedGenMeSHNCBI Web SiteNLM CatalogNucleotideOMIMPMCPopSetProbeProteinProtein ClustersPubChem BioAssayPubChem CompoundPubChem SubstancePubMedPubMed HealthSNPSparcleSRAStructureTaxonomyToolKitToolKitAllToolKitBookghUniGene

Search term

Search

* [Advanced][15]
* [Journal list][16]
* [Help][17]
* [Journal List][16]
* [HHS Author Manuscripts][18]
* PMC2939272

![Logo of nihpa][19]

Pediatr Res. Author manuscript; available in PMC 2011 Apr 1.

Published in final edited form as:

[Pediatr Res. 2010 Apr; 67(4): 357–362. ][20]

doi:  [10.1203/PDR.0b013e3181d026da][21]

PMCID: PMC2939272

NIHMSID: NIHMS198797

# Impact of breast milk on IQ, brain size and white matter development

[Elizabeth B. Isaacs][22], [Bruce R. Fischl][23], [Brian T. Quinn][24], [Wui K. Chong][25], [David G. Gadian][26], and [Alan Lucas][27]

Childhood Nutrition Research Centre [E.B.I., A.L.], Radiology and Physics Unit [D.G.G.], University College London Institute of Child Health, London WC1N 1EH, United Kingdom; Athinoula A. Martinos Center for Biomedical Imaging [B.R.F., B.T.Q.], Harvard Medical School, Charlestown, MA 02129; Computer Science and Artificial Intelligence Laboratory [B.R.F.], Massachusetts Institute of Technology, Charlestown, MA 02129; New York University Center for Neural Science [B.T.Q.], New York, NY 10003; Department of Radiology [W.K.C.], Great Ormond Street Hospital for Children NHS Trust, London WC1N 3JH, United Kingdom

Corresponding Author: Elizabeth Isaacs PhD Nutrition Unit UCL Institute of Child Health 30 Guilford Street London WC1N 1EH, UK Telephone: 44 (0)20 7950 2246 Fax: 44 (0)20 7831 9903 [ku.ca.lcu.hci@scaasi.e][28]

[Author information ►][29] [Copyright and License information ►][29]

[Copyright notice][30] and [Disclaimer][31]

[Publisher's Disclaimer][32]

The publisher's final edited version of this article is available at [Pediatr Res][20]

See other articles in PMC that [cite][33] the published article.

## Abstract

Although observational findings linking breast milk to higher scores on cognitive tests may be confounded by factors associated with mothers’ choice to breastfeed, it has been suggested that one or more constituents of breast milk facilitate cognitive development, particularly in preterms. Because cognitive scores are related to head size, we hypothesised that breast milk mediates cognitive effects by affecting brain growth. We used detailed data from a randomized feeding trial to calculate percentage of breast milk (%EBM) in the infant diet of 50 adolescents. MRI scans were obtained (mean age=15y9m), allowing volumes of total brain (TBV), white and grey matter (WMV, GMV) to be calculated. In the total group %EBM correlated significantly with Verbal IQ (VIQ); in boys, with all IQ scores, TBV and WMV. VIQ was, in turn, correlated with WMV and, in boys only, additionally with TBV. No significant relationships were seen in girls or with grey matter. These data support the hypothesis that breast milk promotes brain development, particularly white matter growth. The selective effect in males accords with animal and human evidence regarding gender effects of early diet. Our data have important neurobiological and public health implications and identify areas for future mechanistic study.

Numerous studies report that breastfeeding is associated with higher scores on tests of neurodevelopment and cognition in later life ([1][34],[2][35]), suggesting that breast milk may impact early brain development, with potentially important biological, medical and social implications. These findings are often questioned because other factors associated with mothers’ choice to breast-feed (e.g. higher socioeconomic status and level of education, different child-rearing attitudes) might promote cognitive development. In a study using data from a national database, adjustment for maternal IQ eliminated the breastfeeding effect ([3][36]). All these studies, however, are potentially flawed by lack of experimental design.

More recently, a large cluster randomised trial of breastfeeding promotion using an experimental design demonstrated a large effect of breastfeeding on cognition, adding credence to the evidence for beneficial effects seen in past observational studies ([4][37]). Anderson and colleagues ([5][38]) showed in a meta-analysis that, after appropriate adjustments, breastfeeding was associated with an advantage of around 3 points on tests of cognition in children born at term and around 5 points in those born preterm, both large effects in population terms. The implication is that, over and above social factors, one or more constituents of breast milk benefit neurodevelopment, particularly so in those born preterm, at a more sensitive stage of brain development.

Our current study was prompted by two factors, the now likely causal relationship between breast feeding and cognition and the previous observation that cognitive scores in preterms are related to head circumference and brain size measured by quantitative volumetric analysis of MRI scans ([6][39]). With this background, we examined the relationships between breast milk feeding, cognition and brain volume determined from MRI scans. Our specific purpose was to provide evidence for the hypothesis that cognitive benefits of breastfeeding are mediated though an effect on brain growth, ultimately influencing mature brain volume.

To explore this hypothesis, we studied members of a cohort of adolescents who had participated in a large randomised trial examining the health and developmental effects of early infant nutrition, conducted between 1982-5 ([7][40]). The subjects were born preterm, at a sensitive period for nutritional effects on brain development and cognition ([8][41]). In exploratory analyses, those receiving breast milk, after allowing for confounding factors, had an 8.3 point IQ advantage at 7-8 years ([9][42]). A subset of this cohort has been followed to 13-19 years of age for MRI scanning and cognitive testing. Data collected on these subjects whilst in the neonatal unit provided precise information on the volumes of breast milk consumed (by nasogastric tube), giving a rare opportunity to explore the potential dose-response effect of breast milk feeding on brain volumes and cognition at adolescence. It is important to note that all neonatal data were recorded for this study at the time and were not obtained retrospectively from charts. Although some IQ data for the larger group have been reported previously ([10][43],[11][44]), neither IQ data for this particular group nor information regarding breast milk in the diet have been published.

## METHODS

### Subjects

The original randomised trial of early nutrition consisted of two studies, each with two parallel trials ([8][41]). In the trial of interest here, mothers elected to breastfeed but varied in their success in expressing milk and, therefore, in the need for supplementary feeding. According to randomisation before breastfeeding commenced, these infants were given one of three supplements: a nutrient enriched preterm formula (PTF), a standard term formula (TF; used in the 1980s for feeding preterm infants) or banked breast milk (BBM; provided by unrelated donors and unfortified). The volumes of all enteral intakes were recorded daily (parenteral nutrition was not included) and the expressed maternal breast milk component converted to a percentage (%EBM) of the infant’s total intake. The median number of days in the study was 39.5 (Quartiles: 21.5; 39.5; 61.3).

Our intention was not to conduct another follow-up since the neuroimaging component, constrained the number of adolescents who could be studied due to factors such as difficulty of travel to the hospital for MRI imaging. In order to make interpretation of the diet-brain relationships as straightforward as possible, we chose to include those who had been born at 30wk GA or less and who had been considered neurologically normal, by history and examination, when seen at 7.5-8 years, making them an atypical group. All attended mainstream schools. Cognitive and imaging data were available for 50 (26M; 24F) adolescents who had been assigned to the EBM + supplement limb of the original study, allocated to diet as follows: PTF=28, TF =13, and BBM=9. Percentage EBM in the diet ranged from 0 (2 infants) to 100 (3 infants) with a mean of 60.1. Members of this group had been assessed cognitively in previous follow-up studies but no MRI scans were collected at time of birth (in the early 1980s) or subsequently. Mean age at cognitive testing/MRI acquisition was 15y9m (Range: 13y5m -19y9m; SD=13.6m).

### Cognitive assessment

The age-appropriate Wechsler IQ test was given: 44 completed the Wechsler Intelligence Scale for Children – Third Edition (WISC-III) and 6 the Wechsler Adult Intelligence Scale – Third Edition (WAIS-III). Mazes, an optional subtest, was omitted from the WISC-III. Verbal IQ (VIQ), Performance IQ (PIQ) and Full Scale IQ (FSIQ) scores were calculated. IQ scores have a population mean of 100 and a standard deviation of 15.

### MRI Scan acquisition

MRI studies were performed using a 1.5T Siemens Vision system. Investigations included magnetization prepared rapid acquisition gradient echo (MPRAGE 3-D) ([12][45]) volume acquisition with repetition time of 10 ms; echo time, 4 ms; inversion time, 200 ms; flip angle, 12 degrees; matrix size, 256×256; field of view, 250 mm; partition thickness, 1.25 mm; 128 sagittal partitions in the third dimension, and acquisition time, 8.3 min.

### MRI volumetric analysis

We used an established technique developed by Fischl and colleagues ([13][46]) to obtain volumes for total brain (excluding cerebrospinal fluid) and for white and cortical grey matter in the left and right hemispheres separately; central grey matter and the cerebellum were not included. This method involves whole brain segmentation and the assignment of a neuroanatomical label to every point in the cortex; labelling of the structures, using T1-weighted images, is based on probabilistic information estimated from a training set manually labelled by neuroanatomists. It has been validated by correlation with histology, manual measures and with known properties of the cortex ([14][47],[15][48]). We correlated total brain volumes obtained on two separate occasions and, as expected from such an automated method, the correlation between them was 1.0.

### Procedure

Cognitive data were collected during the hospital visit for MRI acquisition. Test administration was carried out by one individual blind to %EBM. Written consent was obtained from all participants and parents/guardians, and approval was obtained from the relevant ethics committees (The Great Ormond Street NHS Trust/Institute of Child Health, Norwich District, South Sheffield Research, East Suffolk Local Research and Cambridge Local Research Ethics Committees).

### Statistics

T-tests were used to compare male and female groups. The relationships among %EBM, IQ scores and neural volumes were calculated using partial correlation coefficients. In analyses involving %EBM and IQ scores, we covaried level of maternal education and social class. We did not correct for age at test since IQ scores are already age-corrected, nor for GA since there was no significant relationship between GA and %EBM in this group (p=0.2). In all analyses involving neural measurements from MRI scans, we added age at test/scan and GA as additional covariates since brain development takes place over the age range during which our adolescents were scanned ([16][49]) and because ‘baseline’ brain structure at birth is related to GA ([17][50]). In fact, the relationships between GA and neural volumes were not significant in this group (the range in GA values was only four weeks) but we included it in case of residual confounding. We then selected three quantitative variables reflecting aspects of neonatal condition: days to achieve enteral feeds of 150ml/kg/day (only available for 41 infants), days of ventilation and number of infections based on positive blood culture. We conducted principal analyses as described above for all children first, reporting these results. We then carried out secondary analyses with the additional covariates but only report these if the pattern of significant results was altered. We also conducted regression analyses in which all covariates were added as predictors.

## Results

### Group characteristics

[Table 1][51] presents perinatal and milk intake data for the total group and genders separately; there were no significant differences between boys and girls. In addition, we looked at socioeconomic status (coded into 6 categories based on the U.K. Registrar General’s Classification of Occupations) and level of maternal education (coded into 5 categories based on academic achievement. The distribution of education level did not differ between girls and boys; significantly more girls were classified as higher social class (chi square: p=0.03). All mothers in the study had chosen to breastfeed and there was no relationship between either social class or maternal education and %EBM within the group. Nevertheless, to reduce any residual impact, both maternal education and social class were covaried in all subsequent analyses. [Table 2][52] presents information specifically about markers of illness in the neonatal period that might have had an impact on feeding and subsequent outcomes. No child in this study received corticosteroids.

![Table 1][53]

[Table 1][51]

Means (SD) for perinatal and social factors for the whole group and for males and females separately.

![Table 2][54]

[Table 2][52]

Indications of severity of illness during the neonatal course

The children had been classified as neurologically normal on the basis of history and examination, but not MRI scan, at 7-8years. Thirty-three of the 50 adolescent scans were considered normal on visual inspection. Of the remaining 17, ten had a small corpus callosum, two had reduced bilateral hippocampi, two showed a mild periventricular leukomalacia pattern, and one each had prominent ventricles, left peritrigonal focal atrophy, and a possible MR signal abnormality in deep white matter. We could not discern any relationships between these findings and outcome measures.

As mentioned above, the group was chosen in such a way that it was not representative of the whole cohort. However, we compared the study group with the total group in the cohort who met the same selection criteria (GA≤30 weeks, normal neurological status at 7-8 years and participated in Trial 2; n = 84) to see if they were comparable: GA – Total mean = 28.8wks, Study mean = 28.8wks; birth weight – Total mean = 1299g, Study mean = 1230g; Apgar at 5 minutes – Total mean = 7.7, Study mean = 7.7; days of ventilation – Total median = 3.0, Study median = 2.0. The proportions of small for gestational age infants were 13% in the total group and 16% in the study group.

### %EBM and IQ

[Table 3][55] shows that all mean IQ scores were close to the putative population mean of 100. IQ scores for boys and girls did not differ significantly. Correlation coefficients between %EBM and IQ measures are shown in [Table 4][56]; p-levels ≤ 0.05 were considered significant. The whole group showed a significant relationship between %EBM and VIQ (FSIQ at trend level), largely attributable to the boys, who showed relationships between %EBM and all three IQ scores, while the girls showed none. Repeating these analyses with additional covariates did not change this pattern of results, except that the relationship between PIQ and %EBM in the boys was at trend level only (p=.08). We then carried out regression analyses for the three IQ scores with the following predictors: maternal education, social class, %EBM, number of infections, number of days to achieve enteral feeds of 150ml/kg/day, and days of ventilation. Results are presented in [Table 5][57]. For each outcome measure, we show the overall significance level of the best model with the contributions made by its significant predictors. The ratio of number of predictor variables to number of subjects is rather high so caution in interpretation is advised.

![Table 3][58]

[Table 3][55]

Mean (SD) VIQ, PIQ and FSIQ scores for the whole group and for boys and girls separately.

![Table 4][59]

[Table 4][56]

Correlation coefficients (p-levels) between %EBM and IQ measures for the whole group and boys and girls separately with level of maternal education and social class partialled out.

![Table 5][60]

[Table 5][57]

The overall significance level of the models predicting IQ and neural volumes are given in the top row. The predictor variables are listed and significance levels for those retained in each model are presented. Since results for left and right grey and **...**

### %EBM and neural volumes

We calculated partial correlations between %EBM and a series of neural volumes: TBV, left and right WMV and left and right GMV, adding test age/age at scan and GA as covariates in addition to maternal education and social class, as above. [Table 6][61] shows that %EBM was related significantly both to TBV and to left and right WMV in the whole group. The same was true in the boys, in whom the relationship between %EBM and WMV accounted for almost 50% of the variance. In girls, the relationship with WMV existed at a trend level only and that with TBV was not significant. No significant relationships existed between any %EBM and any GMV. Repeating the analyses using the additional covariates did not change these patterns of results except to reduce the size of the correlations between %EBM and WMV in girls so that they were no longer significant even at a trend level. We repeated regression analyses as reported above, adding GA and age at test/scan as predictors. Results are shown in [Table 5][57]; the patterns for left and right GMV and WMV were the same so only the left results are reported.

![Table 6][62]

[Table 6][61]

Correlations (p-values) between %EBM and neural volumes for the whole group and boys and girls separately. Maternal education, social class, test age and gestational age were used as covariates in all analyses.

The above analyses used absolute brain volumes. We repeated the WMV and GMV analyses covarying for TBV, i.e. using relative volumes (shown in [Table 6][61]). The results reflect the fact that these analyses deal with two component volumes contributing to TBV. Thus while WMVs remained significantly related to %EBM, GMVs were now also significantly related but in the negative direction; the trend level relationships between %EBM and WMV in girls become significant. Finally, to further clarify the relative contributions of grey and white matter to TBV, we examined the correlations between %EBM and TBV. In all cases, covarying grey matter increased the size of the correlation coefficients while covarying white matter decreased them.

### Neural volumes and IQ

Finally, we examined the relationships between neural volumes and IQ scores ([Table 7][63]). For the whole group, left and right WMV correlated significantly with both VIQ and FSIQ. Boys showed these same relationships (with trend level relationships between PIQ and white matter) and, also, a significant correlation between TBV and VIQ. The non-significant relationships between IQ and neural volumes in girls and between IQ and grey matter in any group are omitted from [Table 6][61].

![Table 7][64]

[Table 7][63]

Significant correlations (p-values) between neural volume measures and the three IQ scores for the whole group and for boys. Maternal education, social class, test age and gestational age are used as covariates in all analyses. Results were the same for **...**

### Impact of donor banked breast milk (BBM)

The diet group given banked donated breast milk (BBM) as a supplement to EBM (n=9) received 100% human milk from two sources. To check that the inclusion of this group had not unduly influenced the results, we eliminated the BBM group and analysed data only from the 41 infants who had not received any donated human milk. The relationships between %EBM and VIQ and FSIQ in this smaller group were both significant at the p=0.006 level. Regression analyses in these 41 subjects who received one of the other two supplements (i.e. TF or PTF) showed that neither supplement significantly predicted IQ outcome but %EBM did so for both VIQ and FSIQ. The effects of sole diets were not examined in this study. Similar results were found for neural volumes but are not reported here.

## DISCUSSION

This study showed a dose response relationship between early breast milk intake and later IQ and, uniquely, with whole brain volume at adolescence. In all subjects, but most clearly in boys, the effects of breast milk were seen more strongly on white than grey matter in the brain. These data support the hypothesis that one or more constituents of mothers’ breast milk promote brain development at a structural level.

Our observation that IQ itself was strongly related to white matter and hence TBV is consistent with the observed links between early breast milk feeding and both later IQ and later WMV. Relationships between white matter and measures of cognition have been reported previously in children ([18][65]). These data support the hypothesis that the beneficial impact of breastfeeding on IQ may be mediated, at least partly, by promoting the development of white matter.

Generalisation of our findings to healthy full term infants is untested but may be supported by the observations that breast feeding in healthy infants is also related to higher subsequent IQ scores and that IQ is related to white matter in children and adults generally. In any case, preterm infants represent a sizeable proportion of the population (e.g. greater than the prevalence of Type I diabetes ), over-represented amongst those with neurodevelopmental problems, so favourable influences on long term brain development are important to identify even within this large subgroup.

While correlations were seen in the whole population, they were always more highly significant in males. Thus, IQ was most clearly related to white matter and hence TBV in males, and expressed breast milk was linked to IQ and to neural volumes only in males. These findings concur with a large body of animal evidence; Smart ([19][66]) for example, examining the effect of early malnutrition on later learning and behavior in 165 animal studies, reported dominant effects in males. A growing literature in humans describes gender differences in brain development and structure ([20][67],[21][68]) and in relationships between brain structure and cognition ([22][69],[23][70]). We emphasise that males and females did not differ in mean IQ values but rather in the relationships between IQ and both diet and neural volumes. Percentage EBM accounted for around 25% of the variance in IQ in boys but only 5% in girls. It is interesting to note the recent report by Kesler and colleagues ([24][71]) that measures of WMV differ between preterm males and females.

Correlations were often found for FSIQ, but more detailed analysis showed that VIQ, rather than PIQ, was related to breast feeding and neural volumes (except in one instance). There is growing evidence that early nutrition may have a selective, lasting effect on verbal subscales ([25][72],[8][41]); in later development, however, diet may selectively affect PIQ ([26][73]). The implication is that the cognitive effects of nutritional intervention may depend on the timetable of brain development.

### Possible mechanisms

The mechanism for the observed effects is uncertain. In recent years, long-chain polyunsaturated fatty acids (LCPUFAs), notably docosahexaenoic acid (DHA), have been considered a key explanation for neurodevelopmental benefits of breast milk. A recent meta-analysis of outcome in preterms after early LCPUFA supplementation of infant formula ([27][74]), however, found no conclusive evidence for long-term cognitive effects, suggesting that differences in early LCPUFA intake may not explain our observations. While LCPUFAs remain of interest, it should be remembered that human milk contains a wide variety of other factors including hormones and growth factors, some of which (e.g. thyroxin, nerve growth factor) could plausibly influence cerebral development, although this is not established. During the window of brain development we studied, glial cell production and myelination are key factors related to volume increase ([28][75]). Our study was not designed to examine detailed neuronal development, but a plausible hypothesis for further testing, is that breast feeding promotes glial cell proliferation and, hence, myelination. Interestingly, a recent study showed that dietary manipulation in neonatal rats affected the expression of myelin basic protein more in males than females ([29][76]), consistent with our findings of a greater effect of diet on white matter development in males.

Breast milk contains significant quantities of cholesterol while infant formulas contain little ([30][77]); full term breast fed infants have higher total serum cholesterol at 6 months ([31][78]). Saher and colleagues ([32][79]) reported recently that cholesterol is an indispensable component of myelin membranes in mice and that cholesterol availability in oligodendrocytes is a rate-limiting factor in brain maturation. The massive increase in synapse number post-natally may require large amounts of cholesterol, obtained by neurons from astrocytes ([33][80]). Serum cholesterol has been related to intellectual performance in adults ([34][81]). We suggest, therefore, that dietary cholesterol intake could help explain an impact of breast milk on white matter development and cognition, through enhanced glial production/myelination.

### Limitations

We recognize limitations to the conclusions that can be drawn from this study since it did not have an experimental design, making it impossible to test for causation. We hope, however, to provide an impetus to further research and suggest to cognitive scientists that nutrition as an environmental factor may affect their outcomes. Testing for causation more formally in future intervention studies may be possible but, meanwhile, the strong observed dose-response relationships and the consistency of our findings with previous animal and human research makes causation plausible.

The study sample was restricted to preterm infants who had normal neurological status at 7 years. We are unable to say anything about the relationships we have observed here in those preterms who show evidence of injury or adverse outcome. We do not know whether this group would show the same effects, smaller or larger. It is possible that %EBM might have a greater influence in this vulnerable group but this remains to be determined.

There are also some more specific limitations. Der and colleagues ([4][37]) have recently suggested that the relationship between breastfeeding and IQ is explained by the confounding influence of higher IQ in breast-feeding mothers. While all mothers in the present study had chosen to provide breast milk, we accept that residual confounding might remain, even within this subpopulation, if, for example, higher maternal IQ was associated with greater breast milk production. Lacking maternal IQ scores, we have used level of maternal education as a proxy measure and covaried this in all correlations. Although there was no significant relationship between %EBM and level of maternal education in the study population here, we accept that maternal IQ cannot be ruled out as a factor without directly measuring it. We have noted above that while the main outcome data, cognitive scores and neural volumes, were available for all subjects, data were missing for a control variable we used as a covariate, a weakness of the study.

During the age range studied here, grey matter and white matter develop along different trajectories ([16][49]). Neural volumes were obtained at one time point only which is why we have covaried age at scan in an attempt to crudely control for these differences. Repeated scans would have allowed observations about the effects of breast milk on the course of development. The results show that the %EBM ingested as a child is related to the volume of white matter seen in the brain at the age range studied here but the absolute volumes of white (and grey) matter might differ at different ages without affecting these correlation coefficients.

In summary, the present evidence supports the hypothesis that the effects of constituents of mothers’ milk underlie the repeated observations that breastfeeding is associated with a higher cognitive level, at least in males. This has both scientific and clinical implications, pointing to nutritional practices that could optimise the attainment of cognitive potential. Our study also helps provide a framework for future mechanistic studies on the impact of early nutrition on brain development.

## Acknowledgments

Financial support: The work was supported in the UK by The Medical Research Council (EI, AL) and The Wellcome Trust (DG). In the US, support for this research was provided to BF in part by the National Center for Research Resources (P41-RR14075, R01 RR16594-01A1 and the NCRR BIRN Morphometric Project BIRN002, U24 RR021382), the National Institute for Biomedical Imaging and Bioengineering (R01 EB001550), the National Institute for Neurological Disorders and Stroke (R01 NS052585-01) as well as the Mental Illness and Neuroscience Discovery (MIND) Institute, and is part of the National Alliance for Medical Image Computing (NAMIC), funded by the National Institutes of Health through the NIH Roadmap for Medical Research, Grant U54 EB005149.

## ABBREVIATIONS

| ----- |
| BBM | banked breast milk | 
| %EBM | percentage of diet that is expressed breast milk | 
| FSIQ | Full-scale intelligence quotient | 
| GA | gestational age | 
| GMV | grey matter volume | 
| LCPUFA | long-chain polyunsaturated fatty acid | 
| PIQ | Performance intelligence quotient | 
| TBV | total brain volume | 
| VIQ | Verbal intelligence quotient | 
| WMV | white matter volume | 

## Footnotes

Information on the National Centers for Biomedical Computing can be obtained from <http://nihroadmap.nih.gov/bioinformatics>.

The authors declare that they have no conflicts of interest.

**Publisher's Disclaimer: ****Pediatric Research Articles Ahead of Print** contains articles in unedited manuscript form that have been peer-reviewed and accepted for publication. As a service to our readers, we are providing this early version of the manuscript. The manuscript will undergo copyediting, typesetting and review of the resulting proof before it is published in its final definitive form. Please note that during the production process errors may be discovered, which could affect the content, and all legal disclaimers that apply to the journal pertain.

This is a PDF file of an unedited manuscript that has been accepted for publication. As a service to our customers we are providing this early version of the manuscript. The manuscript will undergo copyediting, typesetting, and review of the resulting proof before it is published in its final citable form. Please note that during the production process errors may be discovered which could affect the content, and all legal disclaimers that apply to the journal pertain.

## REFERENCES

1\. Angelsen NK, Vik T, Jacobsen G, Bakketeig LS. Breast feeding and cognitive development at age 1 and 5 years. Arch Dis Child. 2001;85:183–188. [[PMC free article][82]] [[PubMed][83]]

2\. Mortensen EL, Michaelsen KF, Sanders SA, Reinisch JM. The association between duration of breastfeeding and adult intelligence. JAMA. 2002;287:2365–2371. [[PubMed][84]]

3\. Der G, Batty GD, Deary IJ. Effect of breast feeding on intelligence in children: prospective study, sibling pairs analysis, and meta-analysis. BMJ. 2006;333:945–950. [[PMC free article][85]] [[PubMed][86]]

4\. Kramer MS, Aboud F, Mirinova E, Vanilovich I, Platt RW, Matush L, Igumnov S, Fombonne E, Bogdanovich N, Ducruet T, Collet J-P, Chalmers B, Hodnett E, Davidovsky S, Skugarevsky O, Trofimovich O, Kozlova L, Shapiro S. Breastfeeding and child cognitive development. Arch Gen Psychiatry. 2008;65:578–584. [[PubMed][87]]

5\. Anderson JW, Johnstone BM, Remley DT. Breast-feeding and cognitive development: a meta-analysis. Am J Clin Nutr. 1999;70:525–535. [[PubMed][88]]

6\. Cheong JL, Hunt RW, Anderson PJ, Howard K, Thompson DK, Wang HX, Bear MJ, Inder TE, Doyle LW. Head growth in preterm infants: correlation with magnetic resonance imaging and neurodevelopmental outcome. Pediatrics. 2008;121:e1534–e1540. [[PubMed][89]]

7\. Lucas A, Morley R, Cole TJ, Gore SM, Davis JA, Bamford MF, Dossetor JF. Early diet in preterm babies and developmental status in infancy. Arch Dis Child. 1989;64:1570–1578. [[PMC free article][90]] [[PubMed][91]]

8\. Lucas A, Morley R, Cole TJ. Randomised trial of early diet in preterm babies and later intelligence quotient. BMJ. 1998;317:1481–1487. [[PMC free article][92]] [[PubMed][93]]

9\. Lucas A, Morley R, Cole TJ, Lister G, Leeson-Payne C. Breast milk and subsequent intelligence quotient in children born preterm. Lancet. 1992;339:261–264. [[PubMed][94]]

10\. Isaacs EB, Edmonds CJ, Chong WK, Lucas A, Morley R, Gadian DG. Brain morphometry and IQ measurements in preterm children. Brain. 2004;127:2595–2607. [[PubMed][95]]

11\. Isaacs EB, Morley R, Lucas A. Early diet and general cognitive outcome at adolescence in children born at or below 30 weeks gestation. J Pediatr. 2009;155:229–234. [[PubMed][96]]

12\. Mugler JP, 3rd, Brookeman JR. Three-dimensional magnetization-prepared rapid gradient-echo imaging (3D MP RAGE) Magn Reson Med. 1990;15:152–157. [[PubMed][97]]

13\. Fischl B, van der Kouwe A, Destrieux C, Halgren E, Ségonne F, Salat DH, Busa E, Seidman LJ, Goldstein J, Kennedy D, Caviness V, Makris N, Rosen B, Dale AM. Automatically parcelling the human cerebral cortex. Cereb Cortex. 2004;14:11–22. [[PubMed][98]]

14\. Rosas HD, Liu AK, Hersch S, Glessner M, Ferrante RJ, Salat DH, van der Kouwe A, Jenkins BG, Dale AM, Fischl B. Regional and progressive thinning of the cortical ribbon in Huntingdon’s disease. Neurology. 2002;58:695–701. [[PubMed][99]]

15\. Fischl B, Dale AM. Measuring the thickness of the human cerebral cortex from magnetic resonance images. Proc Natl Acad Sci USA. 2000;97:11050–11055. [[PMC free article][100]] [[PubMed][101]]

16\. Tamnes CK, Østby Y, Fjell AM, Westlye LT, Due-Tønnessen P, Walhovd KB. Brain maturation in adolescence and young adulthood: regional age-related changes in cortical thickness and white matter volume microstructure. Cereb Cortex. 2009 (in press) [[PubMed][102]]

17\. Inder TE, Warfield SK, Wang H, Hüppi PS, Volpe JJ. Abnormal cerebral structure is present at term in premature infants. Pediatrics. 2005;115:286–294. [[PubMed][103]]

18\. Mabbott DJ, Noseworthy M, Bouffet E, Laughlin S, Rocker C. White matter growth as a mechanism of cognitive development in children. Neuroimage. 2006;33:936–946. [[PubMed][104]]

19\. Smart J. Undernutrition, learning and memory: review of experimental studies. In: Taylor TG, Jenkins NK, editors. Proceedings of XII International Congress of Nutrition; London, UK: John Libbey; 1986. pp. 74–78.

20\. Giedd JN, Castellanos FX, Rajapakse JC, Vaituzis AC, Rapoport JL. Sexual dimorphism of the developing human brain. Prog Neuropsychopharmacol Biol Psychiatry. 1997;21:1185–1201. [[PubMed][105]]

21\. Blanton RE, Levitt JG, Peterson JR, Fadale D, Sporty ML, Lee M, To D, Mormino EC, Thompson PM, McCracken JT, Toga AW. Gender differences in the left inferior frontal gyrus in normal children. Neuroimage. 2004;22:626–636. [[PubMed][106]]

22\. Gur RC, Turetsky BJ, Matsui M, Yan M, Bilker W, Hughett P, Gur RE. Sex differences in brain gray and white matter in healthy young adults: correlations with cognitive performance. J Neurosci. 1999;19:4065–4072. [[PubMed][107]]

23\. Schmithorst VJ, Holland SK. Functional MRI evidence for disparate developmental processes underlying intelligence in boys and girls. Neuroimage. 2006;31:1366–1379. [[PubMed][108]]

24\. Kesler SR, Allan LR, Vohr BR, Watson C, Schneider KC, Katz KH, Maller-Kesselman J, Silbereis J, Constable T, Makuch RW, Ment LR. Brain volume reductions within multiple cognitive systems in male preterm children at age twelve. J Pediatr. 2008;152:513–520. [[PMC free article][109]] [[PubMed][110]]

25\. Horwood LJ, Darlow BA, Mogridge N. Breast milk feeding and cognitive ability at 7-8 years. Arch Dis Child Fetal Neonatal Ed. 2001;84:F23–F27. [[PMC free article][111]] [[PubMed][112]]

26\. Benton D. Micro-nutrient supplementation and the intelligence of children. Neurosci Biobehav Rev. 2001;25:297–309. [[PubMed][113]]

27\. Simmer K, Schulzke SM Patole. Longchain polyunsaturated fatty acid supplementation in preterm infants. Cochrane Database Syst Rev. 2008 CD000375. [[PubMed][114]]

28\. de Graaf-Peters VB, Hadders-Algra M. Ontogeny of the human central nervous system: what is happening when? Early Hum Dev. 2006;82:257–266. [[PubMed][115]]

29\. Kodama Y, Kikusui T, Takeuchi Y, Mori Y. Effects of early weaning on anxiety and prefrontal cortical and hippocampal myelination in male and female Wistar rats. Dev Psychobiol. 2008;50:332–342. [[PubMed][116]]

30\. Uauy R, Mize CE, Castillo-Duran C. Fat intake during childhood: metabolic responses and effects on growth. Am J Clin Nutr. 2000;72:1354S–1360S. [[PubMed][117]]

31\. Harit D, Faridi MM, Aggawaral A, Sharma SB. Lipid profile of term infants on exclusive breastfeeding and mixed feeding: a comparative study. Eur J Clin Nutr. 2008;62:203–209. [[PubMed][118]]

32\. Saher G, Brugger B, Lappe-Siefke C, Mobius W, Tozawa R, Wehr MC, Wieland F, Ishibashi S, Klaus-Armin N. High cholesterol level is essential for myelin membrane growth. Nat Neurosci. 2005;8:468–475. [[PubMed][119]]

33\. Pfrieger FW. Role of glia in synapse development. Curr Opin Neurobiol. 2002;12:486–490. [[PubMed][120]]

34\. Muldoon MF, Ryan CM, Matthews KA, Manuck SB. Serum cholesterol and intellectual performance. Psychosom Med. 1997;59:382–387. [[PubMed][121]]

## Formats:

* Article
| 
* [PubReader][122]
| 
* [ePub (beta)][123]
| 
* [PDF (313K)][124]
| 
* [Citation][29]

## Share

* ![Share on Facebook][125][ Facebook ][126]
* ![Share on Twitter][127][ Twitter ][128]
* ![Share on Google Plus][129][ Google+ ][130]

[Support Center][131] [Support Center][132]

External link. Please review our [privacy policy][133]. 

[NLM][134]

[NIH][135]

[DHHS][136]

[USA.gov][137]

[National Center for Biotechnology Information][138],  [U.S. National Library of Medicine][139] 8600 Rockville Pike, Bethesda MD, 20894 USA

[Policies and Guidelines][140] | [Contact][141]

![statistics][142]

[1]: https://www.ncbi.nlm.nih.gov/guide/browsers/#enablejs "Learn how to enable JavaScript"
[2]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/28977 "NCBI"
[3]: https://www.ncbi.nlm.nih.gov/ "NCBI Home"
[4]: https://www.ncbi.nlm.nih.gov#maincontent "Skip to the content"
[5]: https://www.ncbi.nlm.nih.gov#navcontent "Skip to the navigation"
[6]: https://www.ncbi.nlm.nih.gov/static/header_footer_ajax/submenu/#resources
[7]: https://www.ncbi.nlm.nih.gov/static/header_footer_ajax/submenu/#howto
[8]: https://www.ncbi.nlm.nih.gov/guide/browsers/#accesskeys "About My NCBI Accesskeys"
[9]: https://www.ncbi.nlm.nih.gov/myncbi/
[10]: https://www.ncbi.nlm.nih.gov/account/
[11]: https://www.ncbi.nlm.nih.gov/account/signout/
[12]: https://www.ncbi.nlm.nih.gov/pmc/
[13]: https://www.nlm.nih.gov/ "US National Library of Medicine"
[14]: https://www.nih.gov/ "National Institutes of Health"
[15]: https://www.ncbi.nlm.nih.gov/pmc/advanced/
[16]: https://www.ncbi.nlm.nih.gov/pmc/journals/
[17]: https://www.ncbi.nlm.nih.gov/books/NBK3825/
[18]: https://www.ncbi.nlm.nih.gov/pmc/?term=hhs%20author%20manuscript[filter]
[19]: https://www.ncbi.nlm.nih.gov/corehtml/pmc/pmcgifs/logo-hhspa.png
[20]: https://www.ncbi.nlm.nih.gov/entrez/eutils/elink.fcgi?dbfrom=pubmed&retmode=ref&cmd=prlinks&id=20035247
[21]: https://www.ncbi.nlm.nih.gov//dx.doi.org/10.1203%2FPDR.0b013e3181d026da
[22]: https://www.ncbi.nlm.nih.gov/pubmed/?term=Isaacs%20EB%5BAuthor%5D&cauthor=true&cauthor_uid=20035247
[23]: https://www.ncbi.nlm.nih.gov/pubmed/?term=Fischl%20BR%5BAuthor%5D&cauthor=true&cauthor_uid=20035247
[24]: https://www.ncbi.nlm.nih.gov/pubmed/?term=Quinn%20BT%5BAuthor%5D&cauthor=true&cauthor_uid=20035247
[25]: https://www.ncbi.nlm.nih.gov/pubmed/?term=Chong%20WK%5BAuthor%5D&cauthor=true&cauthor_uid=20035247
[26]: https://www.ncbi.nlm.nih.gov/pubmed/?term=Gadian%20DG%5BAuthor%5D&cauthor=true&cauthor_uid=20035247
[27]: https://www.ncbi.nlm.nih.gov/pubmed/?term=Lucas%20A%5BAuthor%5D&cauthor=true&cauthor_uid=20035247
[28]: mailto:dev%40null
[29]: https://www.ncbi.nlm.nih.gov#
[30]: https://www.ncbi.nlm.nih.gov/pmc/about/copyright/
[31]: https://www.ncbi.nlm.nih.gov/pmc/about/disclaimer/
[32]: https://www.ncbi.nlm.nih.gov#FN3
[33]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2939272/citedby/
[34]: https://www.ncbi.nlm.nih.gov#R1
[35]: https://www.ncbi.nlm.nih.gov#R2
[36]: https://www.ncbi.nlm.nih.gov#R3
[37]: https://www.ncbi.nlm.nih.gov#R4
[38]: https://www.ncbi.nlm.nih.gov#R5
[39]: https://www.ncbi.nlm.nih.gov#R6
[40]: https://www.ncbi.nlm.nih.gov#R7
[41]: https://www.ncbi.nlm.nih.gov#R8
[42]: https://www.ncbi.nlm.nih.gov#R9
[43]: https://www.ncbi.nlm.nih.gov#R10
[44]: https://www.ncbi.nlm.nih.gov#R11
[45]: https://www.ncbi.nlm.nih.gov#R12
[46]: https://www.ncbi.nlm.nih.gov#R13
[47]: https://www.ncbi.nlm.nih.gov#R14
[48]: https://www.ncbi.nlm.nih.gov#R15
[49]: https://www.ncbi.nlm.nih.gov#R16
[50]: https://www.ncbi.nlm.nih.gov#R17
[51]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2939272/table/T1/
[52]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2939272/table/T2/
[53]: /pmc/articles/PMC2939272/table/T1/?report=thumb "Table 1"
[54]: /pmc/articles/PMC2939272/table/T2/?report=thumb "Table 2"
[55]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2939272/table/T3/
[56]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2939272/table/T4/
[57]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2939272/table/T5/
[58]: /pmc/articles/PMC2939272/table/T3/?report=thumb "Table 3"
[59]: /pmc/articles/PMC2939272/table/T4/?report=thumb "Table 4"
[60]: /pmc/articles/PMC2939272/table/T5/?report=thumb "Table 5"
[61]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2939272/table/T6/
[62]: /pmc/articles/PMC2939272/table/T6/?report=thumb "Table 6"
[63]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2939272/table/T7/
[64]: /pmc/articles/PMC2939272/table/T7/?report=thumb "Table 7"
[65]: https://www.ncbi.nlm.nih.gov#R18
[66]: https://www.ncbi.nlm.nih.gov#R19
[67]: https://www.ncbi.nlm.nih.gov#R20
[68]: https://www.ncbi.nlm.nih.gov#R21
[69]: https://www.ncbi.nlm.nih.gov#R22
[70]: https://www.ncbi.nlm.nih.gov#R23
[71]: https://www.ncbi.nlm.nih.gov#R24
[72]: https://www.ncbi.nlm.nih.gov#R25
[73]: https://www.ncbi.nlm.nih.gov#R26
[74]: https://www.ncbi.nlm.nih.gov#R27
[75]: https://www.ncbi.nlm.nih.gov#R28
[76]: https://www.ncbi.nlm.nih.gov#R29
[77]: https://www.ncbi.nlm.nih.gov#R30
[78]: https://www.ncbi.nlm.nih.gov#R31
[79]: https://www.ncbi.nlm.nih.gov#R32
[80]: https://www.ncbi.nlm.nih.gov#R33
[81]: https://www.ncbi.nlm.nih.gov#R34
[82]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1718901/
[83]: https://www.ncbi.nlm.nih.gov/pubmed/11517096
[84]: https://www.ncbi.nlm.nih.gov/pubmed/11988057
[85]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1633819/
[86]: https://www.ncbi.nlm.nih.gov/pubmed/17020911
[87]: https://www.ncbi.nlm.nih.gov/pubmed/18458209
[88]: https://www.ncbi.nlm.nih.gov/pubmed/10500022
[89]: https://www.ncbi.nlm.nih.gov/pubmed/18519457
[90]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1792630/
[91]: https://www.ncbi.nlm.nih.gov/pubmed/2690739
[92]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC28727/
[93]: https://www.ncbi.nlm.nih.gov/pubmed/9831573
[94]: https://www.ncbi.nlm.nih.gov/pubmed/1346280
[95]: https://www.ncbi.nlm.nih.gov/pubmed/15371289
[96]: https://www.ncbi.nlm.nih.gov/pubmed/19446846
[97]: https://www.ncbi.nlm.nih.gov/pubmed/2374495
[98]: https://www.ncbi.nlm.nih.gov/pubmed/14654453
[99]: https://www.ncbi.nlm.nih.gov/pubmed/11889230
[100]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC27146/
[101]: https://www.ncbi.nlm.nih.gov/pubmed/10984517
[102]: https://www.ncbi.nlm.nih.gov/pubmed/19520764
[103]: https://www.ncbi.nlm.nih.gov/pubmed/15687434
[104]: https://www.ncbi.nlm.nih.gov/pubmed/16978884
[105]: https://www.ncbi.nlm.nih.gov/pubmed/9460086
[106]: https://www.ncbi.nlm.nih.gov/pubmed/15193591
[107]: https://www.ncbi.nlm.nih.gov/pubmed/10234034
[108]: https://www.ncbi.nlm.nih.gov/pubmed/16540350
[109]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3270939/
[110]: https://www.ncbi.nlm.nih.gov/pubmed/18346506
[111]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1721196/
[112]: https://www.ncbi.nlm.nih.gov/pubmed/11124919
[113]: https://www.ncbi.nlm.nih.gov/pubmed/11445136
[114]: https://www.ncbi.nlm.nih.gov/pubmed/14973956
[115]: https://www.ncbi.nlm.nih.gov/pubmed/16360292
[116]: https://www.ncbi.nlm.nih.gov/pubmed/18393286
[117]: https://www.ncbi.nlm.nih.gov/pubmed/11063477
[118]: https://www.ncbi.nlm.nih.gov/pubmed/17327867
[119]: https://www.ncbi.nlm.nih.gov/pubmed/15793579
[120]: https://www.ncbi.nlm.nih.gov/pubmed/12367626
[121]: https://www.ncbi.nlm.nih.gov/pubmed/9251158
[122]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2939272/?report=reader
[123]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2939272/epub/
[124]: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC2939272/pdf/nihms-198797.pdf
[125]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047626
[126]: https://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2939272%2F
[127]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047627
[128]: https://twitter.com/intent/tweet?url=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2939272%2F&text=Impact%20of%20breast%20milk%20on%20IQ%2C%20brain%20size%20and%20white%20matter%20development
[129]: https://static.pubmed.gov/portal/portal3rc.fcgi/4158155/img/4047628
[130]: https://plus.google.com/share?url=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2939272%2F
[131]: 
[132]: https://support.ncbi.nlm.nih.gov/ics/support/KBList.asp?Time=2018-02-23T11:14:23-05:00&Snapshot=%2Fprojects%2FPMC%2FPMCViewer@4.45&Host=ptpmc101&ncbi_phid=8A1A5CA5A903D2910000000000DD00CA&ncbi_session=8A1A5CA5A903DDF1_0221SID&from=https%3A%2F%2Fwww.ncbi.nlm.nih.gov%2Fpmc%2Farticles%2FPMC2939272%2F&Db=pmc&folderID=132&Ncbi_App=pmc&Page=literature&style=classic&deptID=28049
[133]: https://www.nlm.nih.gov/privacy.html
[134]: https://www.nlm.nih.gov "NLM"
[135]: https://www.nih.gov "NIH"
[136]: https://www.hhs.gov "DHHS"
[137]: https://www.usa.gov "USA.gov"
[138]: https://www.ncbi.nlm.nih.gov
[139]: https://www.nlm.nih.gov/
[140]: https://www.ncbi.nlm.nih.gov/home/about/policies.shtml
[141]: https://www.ncbi.nlm.nih.gov/home/about/contact.shtml
[142]: /stat?jsdisabled=true&ncbi_db=pmc&ncbi_pdid=article&ncbi_acc=&ncbi_domain=nihpa&ncbi_report=record&ncbi_type=fulltext&ncbi_objectid=&ncbi_pcid=/articles/PMC2939272/&ncbi_app=pmc

