---
created_at: '2017-10-29T18:55:50.000Z'
title: Outlawry, Supervillians, and Modern Law (2010)
url: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/
author: Mz
points: 41
story_text: 
comment_text: 
num_comments: 26
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1509303350
_tags:
- story
- author_Mz
- story_15580710
objectID: '15580710'

---
[Source](http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/ "Permalink to Outlawry, Supervillians, and Modern Law | Law and the Multiverse")

# Outlawry, Supervillians, and Modern Law | Law and the Multiverse

[Law and the Multiverse][1]

Superheroes, supervillains, and the law

[Skip to content][2]

* [Home][3]
* [About][4]
* [FAQ][5]
* [The Book][6]

[ ![][7] ][3]

←[ Supervillain Real Estate][8]

[Superpowers and the Second Amendment →][9]

# Outlawry, Supervillians, and Modern Law

Posted on [December 9, 2010][10] by [Ryan Davidson][11] | [20 Comments][12]

Before the modern period, the ability of the courts to enforce their authority was quite limited, shockingly so by modern standards. Court was only held in most English towns a few times a year, and it could easily be six or more months before the same court returned. This meant that the risk of a defendant, particularly a criminal defendant, beyond simply not showing up for trial but being completely un-locatable, was far greater than in modern times.

More than that, the mere fact that a court issued an order was no guarantee that said order would have any real effect. As an example, the English [Court of Chancery][13] stopped moving around from town to town in the mid-fourteenth century, meaning that most cases in [equity][14] were only heard in London, which unless you either lived there or were a landed aristocrat, you had probably never been to. So an order issuing from a court tens or hundreds of miles away, without any extant system of law enforcement–the first [English professional police forces][15] only date to the mid-seventeenth century, and the Metropolitan Police were not founded until 1829–was pretty easy to ignore.

So what was the legal system to do? Well, one common tool was “[outlawry”][16], declaring a person to be beyond the protection of the law. The meaning of the sentence changed over time, and it ultimately disappeared with urbanization and doctrines like [habeas corpus][17], but a growth in supervillainy might bring it back into fashion.

I. The Nature of Outlawry

When it was originally imposed in the Middle Ages, a sentence of outlawry was essentially a death sentence that the court did not believe it could immediately enforce, largely because the person was nowhere to be found. An outlaw was a person whom it was illegal to give any food or shelter, and whom it was legal to kill on sight as one might a wild animal. The pronouncement _caput gerat lupinum_, “Let his be a wolf’s head” (gotta be a lycanthropy storyline in there somewhere) set someone outside the bounds of civilized society. The theory was that a person who failed to show up to answer a felony charge was admitting their guilt.

Still, by the modern period, the definition of outlawry had shifted somewhat. [Sir William Blackstone][18], perhaps the most famous English jurist in history, had already [observed][19] by the late-eighteenth century that while outlawry was still a potential sentence for criminals, it no longer permitted an outlaw to be killed at will. Rather, it permitted anyone to arrest them for prosecution and retained the penalties for aiding an outlaw.

Note that even this this arguably watered-down version of outlawry is significantly different from the way the word “outlaw” is used in modern parlance. “Outlaw” motorcycle gangs and “outlaw” country musicians are really nothing of the sort. Sure, there’s some at least feigned anti-social tendencies in both, and the former does even occasionally rise to the level of criminal activity, but neither represent groups of people who exist entirely outside the bounds of the law.

II. The Decline of Outlawry

For a variety of reasons, outlawry slowly fell out of favor in the legal system. For one thing, population growth and expansion made hiding from society increasingly difficult. A supervillain having trouble [finding a place to put a lair][8] should have cause to regret that they were not born a few centuries earlier, when there was still a huge amount of unoccupied and undeveloped land to be had. But even by the early modern period, circa 1700, Europe was pretty far towards occupying its remaining wilderness regions.

“Outlawry” does not seem to have crossed the Atlantic as an identifiable legal tool, as by the time of the founding of the American colonies, it was already disappearing in England. Even the famous “outlaws” of the Old West were generally not declared outlaws as such by a court of law. A lot of the bounties posted were either offered by private citizens or local law enforcement, both of which acted pretty much outside the legal system. In truth, the legal situation significantly resembled pre-modern England, where the reach of the court was pretty limited–many judges rode circuit on horseback–and local communities pretty much dealt with things on their own authority. But once civilization made it out there, the advent of the Fourteenth Amendment and the development of habeas corpus jurisprudence effectively ended the practice even in this unofficial basis.

III. Outlawry as a Weapon against Supervillains

So what happens when the Joker, or Magneto, or Doc Oc, or some other immensely powerful figure emerges and does what supervillains do? The whole premise of comic book multiverses is that there periodically appear people/things that society can only be protected from by specially-empowered individuals, that normal methods of law enforcement and even military intervention won’t necessarily work.

Fair enough. But that doesn’t mean that the courts are completely powerless, and it may be time to dredge up outlawry as a useful tool. If nothing else, declaring a supervillain to be an outlaw through due legal processes would permit superheros to go after supervillains whenever and wherever convenient. The issue here, rarely addressed in comic books, is that unless a superhero is [working directly for the state][20], their ability to apprehend and kill anyone, even supervillains, is pretty limited by the law. If the Joker is threatening to drop a bus full of school kids off a bridge, yeah, Batman can do whatever, because deadly force is justified in preventing the deaths of others. But if the Joker is between capers, private actors, like most superheros, can’t go after them without exposing themselves to civil and criminal liability for wrongful death, impersonating an officer, false imprisonment, excessive force, etc. But if the supervillain were declared to be an outlaw, hey, all bets are off. Go nuts.

Second, declaring someone to be an outlaw would make it illegal to transact basically any business with them. Some supervillains may be magnificently rich, evil geniuses, but they still need to get their raw materials from _somewhere_ unless they’re basically running their own country (which is, apparently, [an option][21], albeit a rare one). In this sense, outlawry could be considered an absolute economic embargo targeted at a person or persons rather than a state or government. This could be a potentially useful tool in curbing the power and influence of supervillains.

IV. Reimplementing Outlawry

As discussed above, outlawry is basically gone as a legal sentence, and as useful as it might be, outlawry as it was originally defined is completely incompatible with modern concepts of due process. For starters, declaring someone guilty because they failed to show up for trial violates just about every procedural standard it is possible to name, chief of which is the presumption of innocence, an important civil right enshrined in _Coffin v. United States_, [156 U.S. 432][22] (1895), which held: “The principle that there is a presumption of innocence in favor of the accused is the undoubted law, axiomatic and elementary, and its enforcement lies at the foundation of the administration of our criminal law.”

So that’s probably out. But trial _in absentia_ is probably out too, at least without some changes being made to the law. Federal Rule of Criminal Procedure [43][23] requires the presence of the criminal defendant, and _Crosby v. United States_, [506 U.S. 255][24] (1993) makes it pretty clear that a criminal who is arrested but escapes or absconds before trial cannot be proceeded against until he appears in court. It may be possible that a trial might be permitted to continue if a defendant is there at the beginning and then voluntarily leaves (see _United States v. Lawrence_, 161 F.3d 250 (4th Cir. 1998)), but simply bringing charges against someone and going to trial without them would probably not be permitted under current law.

Still, if I were the prosecutor, I’d make the argument that a supervillain that law enforcement is unable to apprehend but who damn well knows about the prosecution is a different case than your standard, underprivileged, uneducated, minority offender that the legal system is right to try to protect from being railroaded or [lynched inside the courthouse][25]. One might even limit the definition of “supervillain” to “one who possesses powers or abilities so far in excess of ordinary human beings that forcefully apprehending them would either be impossible or almost certainly cause significant loss of innocent life.”* This might constitute a violation of [equal protection][26], but there’s a good case to be made that such an approach would survive strict scrutiny, in that it is 1) directed at a compelling governmental interest, 2) narrowly tailored, and 3) the least restrictive means of accomplishing said interest. Given that a challenge of this sort would probably be first attempted against a notorious villain the cops are unable to apprehend, and that a sentence of outlawry would manifestly assist both superheros and traditional law enforcement in their efforts against said villain, the pressure to find some way of carving out an exception would be pretty significant. Then again, [hard cases make bad law][27], so whether or not this is a good thing remains to be seen.

V. Conclusion

Outlawry is an old legal doctrine, one more suited to a time where the law is relatively powerless. As such, it has faded from use and is now almost unheard of. But the presence of supervillains might justify resurrecting the doctrine, and a few minor changes to the law could theoretically make this work.

*Note that this definition would exclude so-called “criminal masterminds” who lack any kind of paranormal abilities. So, for example, the Joker and Lex Luthor, under most of their instantiations, would probably fall outside this definition. But Iron Man or someone using Stark technology might not. And there would be litigation.

This entry was posted in [criminal law][28]. Bookmark the [permalink][29]. 

←[ Supervillain Real Estate][8]

[Superpowers and the Second Amendment →][9]

###  20 responses to “Outlawry, Supervillians, and Modern Law”

1. ![][30] hawkorhandsaw | [ December 9, 2010 at 9:35 pm][31] | [Reply][32]

I’ve actually read a bit about the “caput gerat lupinum” expression, and it actually seems to have to do with making someone “legally” a wolf because wolves were also legally killed on sight

2. ![][33] Dan Hamilton | [ December 9, 2010 at 9:59 pm][34] | [Reply][35]

Might not outlawry be usefull against terrorists, Drug Lords, and Drug Cartels or gangs? 

Remember it is not only the supervillians that need to be fought but their henchman. Outlawry must be applied to the henchmen as well.

3. ![][36] [M Blaze Miskulin][37] | [ December 9, 2010 at 10:00 pm][38] | [Reply][39]

Given that most super-villains conduct their transactions either by some form of theft, through intermediaries (henchmen), or not using their super-villain identities (the problems of which you addressed [from the other side][40], how would the “economic embargo” aspect be in any way effective?

I’m fairly sure that, when building his latest death-ray, Magneto doesn’t walk into the local Radio Shack (in full costume) and pull out his checkbook to pay for some transistors, and that hard-to-find BNC-to-DeathRay adapter.

In fact… Aside from Lex Luthor (who has a corporate entity to do all of his business for him–I’m sure his personal fingerprints aren’t on any transaction) and Victor Von Doom (who is the leader of a foreign nation, and–as evidenced in the comics–afforded diplomatic immunity), I can’t think of any super-villains that are known by their “real” identities.

4. ![][41] Rich Rostrom | [ December 10, 2010 at 2:34 am][42] | [Reply][43]

One correction: "Abraham Lincoln was" _not_ "a circuit-riding judge in Illinois for a while…"

Lincoln was never a judge at all. He rode the circuit as a lawyer.

[open tag fixed – delete first instantiation]

    * ![][44] [James Daily][45] | [ December 10, 2010 at 2:37 am][46] | [Reply][47]

Thank you for the correction. The post has been edited appropriately.

5. ![][48] [Don Anton][49] | [ December 10, 2010 at 5:44 am][50] | [Reply][51]

Earlier this year I was asked to comment on the assertion by Paul Watson and his organization, Sea Shepherd, of the right to enforce “international conservation law” against Japan in relation to Southern Ocean Whaling. Part of my comment considered the potential of outlawry in this context. See Anton, Protecting Whales by Hue and Cry: Is There a Role for Non-State Actors in Enforcing International Law? <http://papers.ssrn.com/sol3/papers.cfm?abstract_id=1593305>

6. ![][52] [Jim Lai][53] | [ December 10, 2010 at 3:56 pm][54] | [Reply][55]

As we’ve seen from the dismissal of a recent lawsuit to stop the Administration’s policy of targeting American citizen Anwar al-Awlaki for death without having convicted him of a crime, I don’t know that the government would to resort to anything as complex as declaring someone an outlaw. They can just slap the “terrorist” label on them and all of a sudden they can be assassinated by government agents (with or without superpowers), kidnapped and held in secret prisons, and locked up for years without trial.

<http://news.yahoo.com/s/atlantic/20101208/cm_atlantic/judgedismisseslawsuitagainstobamastargetedkillingpolicy6089>

    * ![][56] LarryD | [ October 5, 2011 at 2:52 pm][57] | [Reply][58]

al-Awalaki was a member of an enemy command structure, openly at war with the US. And Congress had declared war back at ’em. That made him a legitimate target of war, US citizen or not. The notion that US citizenship gives an enemy belligerent some protected status is ludicrous.

Which bring up the prospect of Congress declaring war on a supervillian (and any organization he has).

        * ![][44] [James Daily][45] | [ October 5, 2011 at 2:57 pm][59] | 

Congress never “declared war back at ’em.” Congress has not declared war since 1945.

In any case, discussions of al-Awlaki are pretty solidly off-topic.

7. ![][60] Jeff R | [ December 10, 2010 at 7:12 pm][61] | [Reply][62]

Designating a villain’s gang as a terrorist organization does a lot of the heavy lifting that Outlawry used to do, but can there be a terrorist organization of one, for bad guys who don’t work with gangs of any sort?

8. ![][63] Haerandir | [ December 10, 2010 at 11:54 pm][64] | [Reply][65]

Interesting… Obviously, trials in absentia would be problematic, but what about villains who have already been convicted of a crime, and later escaped from prison (or were resurrected, in the case of the death penalty)? Consider Carnage. He was convicted of multiple counts of murder and sent to prison before he gained his powers, then escaped. Certainly, he’d be very difficult for ordinary law enforcement to apprehend and restrain. That sounds like a good candidate for outlawry. 

How about skipping bail, or resisting arrest? Obviously, that couldn’t be the only criterion for outlawry, but it might help with target selection, if the courts did feel they needed to make an exception for supervillains. It might even help the police apprehend supervillains for relatively minor crimes, since they would face a choice between going along quietly and doing a few months/years in stir, or run the risk of being outlawed and hunted freely by Batman/Spider-man… Or the Punisher.

9. ![][66] Jeffrey Cobia | [ December 11, 2010 at 12:11 am][67] | [Reply][68]

I have a strong opinion that laws that cannot be enforced should generally not be enacted, so I was thinking you could classify super powered individuals as either:  
1\. Those that the government/police/army are capable of forcing to obey the law and  
2\. Those that are either truly invincible or unable to be coerced or forced into meaningful imprisonment or punishment, ie incapable of being forced to obey the law.  
For the first, there is surely some Constitutionally approved instrument for arrest or punishment or whatever that will suffice. My idea for the second group though, is to classify them as entire nations unto themselves. Their interactions would therefore be subject to treaties they could voluntarily agree to if they wished to exist in society, and if not, they would be subject to the potential for war with other nations. They also would have a higher likelihood to outlive “normal” people and the world would probably benefit from a standard operating system for those with extreme longevity of life. There are many cases of small nations, and similar to the Indian treaties, the US government could grant the super powered individuals some land subject to some treaty. Also beneficial from this model would be the moral and legal responsibility of “good” super heroes signing mutual protection treaties. They would be legally and morally bound to fight an adversary of any nation subject to the treaty. And this dispenses with the issues expressed in the post about the repercussions facing vigilantes who kill super villains. Since the super villains would now be classified as foreign nations at war with us, killing them would be completely justifiable. 

One issue I see with this idea is forcing people to give up their American citizenship, but maybe that’s not as big of a deal as I’m imagining it to be. 

Love this blog.

    * ![][69] Ryan Davidson | [ December 11, 2010 at 12:27 am][70] | [Reply][71]

A clever solution, but there really is no precedent for recategorizing an individual as a sovereign nation. How exactly do you propose to accomplish this classification? A [bill of attainder][72], i.e. a legislative declaration of the rights of an individual person? The goal is clearly to change their legal status with a view to abridging their civil rights. In addition to being [explicitly unconstitutional][73], doesn’t that violate all kinds of due process and equal protection doctrines? 

That aside, nations are pretty much by definition [groups of people][74] united in at least _some_ way, be that language, geography, culture, ancestry, religion, etc. Even in absolute monarchies, jurisprudence simply does not recognize the conflation of the state qua state with an individual person. _“[L’État, c’est moi][75]_, is really what you’re going for, but even in the seventeenth century this was viewed as a bit of a stretch. 

So again, a clever solution, but I don’t see it being workable without the kind of really major changes to the legal system that we’re trying to avoid where possible.

10. ![][52] [Jim Lai][53] | [ December 12, 2010 at 1:02 am][76] | [Reply][77]

Jeff – The thing about the Awlaki case is that he’s just one guy.

    * ![][78] Hollis McCray | [ December 12, 2010 at 2:57 am][79] | [Reply][80]

The problem is, that if you let them do it with one man, you leave it open for them to do it to the next man.

11. ![][81] Greg Morrow | [ December 13, 2010 at 7:01 pm][82] | [Reply][83]

Trials in absentia may be forbidden in federal court, but some states still have them, yes? I’m thinking particularly of the Einhorn case, where the fugitive murderer fled to France and was tried in absentia. Since many supervillains crimes are state-level offenses, they may be eligible to be tried in absentia.

    * ![][69] Ryan Davidson | [ December 13, 2010 at 7:10 pm][84] | [Reply][85]

Two things about _Einhorn_.

First, it doesn’t really matter whether it’s a state or federal case: the constitutional protections are the same for both. Constitutional criminal procedure is largely identical in federal and state courts, the only exceptions being where the states have created _additional_ rights for their citizens. But they can’t abridge any rights imposed by federal laws.

Second, the trial _in absentia_ seems to have been [vacated][86] as a condition for extraditing him from France, so the issue of whether it would have withstood constitutional scrutiny was never tested. 

So no, I don’t think that would work.

12. ![][87] Mike Houst | [ December 21, 2010 at 12:57 pm][88] | [Reply][89]

I’m not sure. According to the definition, a sovereign is the supreme lawmaking authority within its jurisdiction. Isn’t a King consider a sovereign individual? With the elimination of the aristocracy in America, and the democratic empowerment of us as individuals to a vote, it might be argued that we are all sovereigns. (This ignores the sovereign citizen movement which bases their claims on other, more dubious or fictional legalisms.)

Consider a Gray Lensman (definitely a form of superhero) from E.E. “Doc” Smith’s Lensmen series. They act as de facto sovereigns upholding and enforcing a personally held, universal, never really defined code of Civilization. And they are declared as such after proving themselves worthy of the responsibility, and surviving those encounters in which they prove themselves. (Kind of a sink or swim testing, very hard on the testees – no pun intended.)

Of course in some respects, we are all sovereigns in that we have free choice to set or ignore rules for our own behavior, and can choose to try to enforce behaviors in others, including punishing them for actions contrary to our desires. And no sovereign of any kind is immune to the consequences of their actions. Cesear, Hitler, Hussein, et. al. all exercised sovereign powers and all paid ultimate prices for it. But so did Randy Weaver at Ruby Ridge, Id, and the Branch Dravidian’s in Waco, Tx. You could say that the act of choosing to be a villain, super or otherwise, is a self imposed act of sovereign enfranchisement. 

So if a villain can do that, why shouldn’t a superhero be able to do the same? Heaven knows, with a secret identity, they can avoid all the legal obligations of being a citizen subject.

13. ![][90] jf | [ October 30, 2017 at 4:30 am][91] | [Reply][92]

Great, all the world needs is supervillians and jokers to warrant the reintroduction of the concept– unfortunately, you say the Joker, the practice will be your neighbor and the exemption with be multi-national corporation CEOs that just move to a new jurisdiction.

Perhaps what we need is a competent legal system that functions properly within its current constraints before we go off on another global war on supervillans fantasy

14. ![][93] cykros | [ October 30, 2017 at 9:08 am][94] | [Reply][95]

While the notion of presumed guilt due to a failure to appear is one we’ve generally done away with, there are things like bench warrants, as well as bounty hunters to track down those who skip bail. Rather than requiring the presumption of guilt, outlawry could be used (only where necessary!) as a punishment for the failure to appear itself, rather than as punishment for the alleged crime.

An example would be if say, some ideological terrorist is out living in the wilderness. They post their manifesto, they carry out attacks, and perhaps most importantly, they claim responsibility for these attacks, but nonetheless will not come forward to face a trial. In this case, it seems entirely reasonable to publicly state (thinking headlines on all major papers style publicly state here) that a trial is to be had for this person, and if they fail to appear for it (with ample time to arrive given of course), the punishment for this would be outlawry. You’re not declaring them able to be killed by anyone for the attacks, you’re declaring it because they have opted out of the protections of the legal system that invited them in for a fair trial, instead choosing to take their chances on their own.

The biggest problem I see with this example is that even in cases of foreign terrorists and even in this time where we hunt them down with drones, it is frowned upon not to take them in alive where possible for a trial (or, well, tribunal in many cases). Thus, turning around and not extending protections even afforded to declared enemy combatants in a time of war to citizens of one’s own country would be undoubtedly derided by the international community. Not that this would necessarily (nor should it necessarily) stop us, but it would be something worth giving ample consideration to.

### Leave a Reply [Cancel reply][96]

Your email address will not be published. Required fields are marked *

Comment

Name *

Email *

Website

* ### The Book

![The Law of Superheroes Cover][97]

Our new book, [_The Law of Superheroes_][6], is now available! [Order your copy today][6]!

* ### Facebook
* ### Email

Send in your post ideas, questions, and comments:  
[James Daily][98]

* ### Law and the Multiverse CLE

On-demand CLE courses from Law and the Multiverse, presented by Thomson West:

[What Superheroes and Comic Books Can Teach Us About Constitutional Law][99]

[Real-Life Superheroes in the World of Criminal Law][100]

[Everyday Ethics from Superhero Attorneys][101]

[Kapow! What Superheroes and Comic Books Can Teach Us About Torts][102]

* ### Recent Posts

    * [My Other Legal Writing][103]
    * [The Mystery of Danny Rand’s Inheritance][104]
    * [Logan][105]
    * [Conflicts of Interest in the Representation by Matt Murdock of Alleged Criminals Apprehended by Daredevil][106]
    * [Mailbag Roundup][107]
    * [Wonder Woman: Illegal Immigrant][108]
    * [Is Batman a Murderer?][109]
    * [More News From My Day Job][110]
    * [Daredevil Season 2, Part 2 – The Trial][111]
    * [Daredevil Season 2, Part 1][112]
* ### Search

Search for:

* ### Teaching with Comics

    * [Ecocomics][113]
    * [Subculture for the Cultured][114]
    * [The Comics Professor][115]
    * [The Patron Saint of Superheroes][116]
* ### Archives

    * [May 2017][117] (1)
    * [April 2017][118] (1)
    * [March 2017][119] (1)
    * [January 2017][120] (1)
    * [November 2016][121] (1)
    * [July 2016][122] (4)
    * [June 2016][123] (1)
    * [May 2016][124] (1)
    * [April 2016][125] (3)
    * [March 2016][126] (1)
    * [January 2016][127] (1)
    * [November 2015][128] (6)
    * [September 2015][129] (2)
    * [August 2015][130] (4)
    * [July 2015][131] (2)
    * [June 2015][132] (4)
    * [May 2015][133] (2)
    * [April 2015][134] (1)
    * [February 2015][135] (2)
    * [October 2014][136] (1)
    * [September 2014][137] (2)
    * [August 2014][138] (2)
    * [July 2014][139] (1)
    * [June 2014][140] (8)
    * [May 2014][141] (8)
    * [April 2014][142] (3)
    * [March 2014][143] (3)
    * [February 2014][144] (3)
    * [January 2014][145] (1)
    * [December 2013][146] (3)
    * [November 2013][147] (1)
    * [October 2013][148] (2)
    * [September 2013][149] (4)
    * [August 2013][150] (5)
    * [July 2013][151] (10)
    * [June 2013][152] (12)
    * [May 2013][153] (11)
    * [April 2013][154] (15)
    * [March 2013][155] (12)
    * [February 2013][156] (12)
    * [January 2013][157] (14)
    * [December 2012][158] (14)
    * [November 2012][159] (17)
    * [October 2012][160] (20)
    * [September 2012][161] (11)
    * [August 2012][162] (14)
    * [July 2012][163] (15)
    * [June 2012][164] (14)
    * [May 2012][165] (15)
    * [April 2012][166] (10)
    * [March 2012][167] (14)
    * [February 2012][168] (12)
    * [January 2012][169] (14)
    * [December 2011][170] (15)
    * [November 2011][171] (15)
    * [October 2011][172] (15)
    * [September 2011][173] (15)
    * [August 2011][174] (15)
    * [July 2011][175] (13)
    * [June 2011][176] (13)
    * [May 2011][177] (14)
    * [April 2011][178] (15)
    * [March 2011][179] (18)
    * [February 2011][180] (14)
    * [January 2011][181] (24)
    * [December 2010][182] (29)
    * [November 2010][183] (7)
* ### Categories

Categories Select Category administrative law  (26) admiralty  (2) antitrust  (1) bankruptcy  (1) books  (6) civil procedure  (10) civil rights  (25) constitutional law  (78) contracts  (33) conventions and talks  (31) corporations  (10) criminal law  (164) criminal procedure  (73) election law  (1) estate law  (17) evidence  (27) family law  (11) guest posts  (23) immigration law  (9) insurance  (10) intellectual property  (42)    copyright  (16)    patents  (24)    trademark  (9) international law  (34) interviews and podcasts  (44) labor law  (15) legal ethics  (34) legal history  (1) mailbag  (76) military law  (3) movies  (103)    the hobbit  (7) nonfiction  (1) privacy law  (4) property law  (27) retcons  (10) securities law  (3) sftc columns  (10) superheroes  (109)    Batman  (37)    Fantastic Four  (4)    Iron Man  (13)    She-Hulk  (5)    Spider-Man  (10)    Superman  (23)    Watchmen  (1)    X-Men  (16) supervillains  (9)    Lex Luthor  (2) tax law  (14) television  (56)    Arrow  (2)    Daredevil  (4) the book  (9) torts  (78) Uncategorized  (40) video games  (2) zombies  (3)
* ### Disclaimer

On this blog we discuss fictional scenarios; nothing on this blog is legal advice. No attorney-client relationship is created by reading the blog or writing comments, even if the authors write back. The authors speak only for themselves, and nothing on this blog is to be considered the opinions or views of the authors' employers.

[Proudly powered by WordPress.][184] Theme: Coraline by [WordPress.com][185]. 

[1]: http://lawandthemultiverse.com/ "Law and the Multiverse"
[2]: http://lawandthemultiverse.com#content "Skip to content"
[3]: http://lawandthemultiverse.com/
[4]: http://lawandthemultiverse.com/about/
[5]: http://lawandthemultiverse.com/faq/
[6]: http://lawandthemultiverse.com/the-book/
[7]: http://lawandthemultiverse.com/wp-content/uploads/2010/12/lawmulti2black.jpeg
[8]: http://lawandthemultiverse.com/2010/12/08/supervillain-real-estate/
[9]: http://lawandthemultiverse.com/2010/12/10/superpowers-and-the-second-amendment/
[10]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/ "8:30 pm"
[11]: http://lawandthemultiverse.com/author/valkyryn/ "View all posts by Ryan Davidson"
[12]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comments
[13]: http://en.wikipedia.org/wiki/Court_of_Chancery
[14]: http://en.wikipedia.org/wiki/Equity_%28law%29
[15]: http://en.wikipedia.org/wiki/Police#Britain_and_Ireland
[16]: http://en.wikipedia.org/wiki/Outlaw
[17]: http://en.wikipedia.org/wiki/Habeas_corpus
[18]: http://en.wikipedia.org/wiki/William_Blackstone
[19]: http://books.google.com/books?id=1IEqAAAAYAAJ&dq=blackstone&pg=PA379#v=onepage&q=outlaw&f=false
[20]: http://lawandthemultiverse.com/2010/11/30/is-batman-a-state-actor/
[21]: http://en.wikipedia.org/wiki/Doctor_Doom
[22]: http://supreme.justia.com/us/156/432/case.html
[23]: http://www.law.cornell.edu/rules/frcrmp/Rule43.htm
[24]: http://supreme.justia.com/us/506/255/index.html
[25]: http://reason.com/archives/2006/10/01/the-case-of-cory-maye
[26]: http://en.wikipedia.org/wiki/Equal_Protection_Clause
[27]: http://en.wikipedia.org/wiki/Hard_cases_make_bad_law
[28]: http://lawandthemultiverse.com/category/criminal-law/
[29]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/ "Permalink to Outlawry, Supervillians, and Modern Law"
[30]: http://2.gravatar.com/avatar/852474703aed5db89a7c43212d171337?s=48&d=identicon&r=g
[31]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-251
[32]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=251#respond
[33]: http://0.gravatar.com/avatar/9312aebff69f79056040960f8a787a4d?s=48&d=identicon&r=g
[34]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-253
[35]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=253#respond
[36]: http://1.gravatar.com/avatar/a317cb1a0cf35ebb85fe500cb87497a3?s=48&d=identicon&r=g
[37]: http://trilobytestudios.com
[38]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-254
[39]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=254#respond
[40]: http://lawandthemultiverse.com/2010/12/01/superheros-and-alter-egos/
[41]: http://1.gravatar.com/avatar/a3f6184d5401608df8c91ddcd0ba3e2f?s=48&d=identicon&r=g
[42]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-264
[43]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=264#respond
[44]: http://1.gravatar.com/avatar/4b3db93b9c6ffe4c9824fef620abd1bb?s=48&d=identicon&r=g
[45]: http://lawandthemultiverse.com
[46]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-265
[47]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=265#respond
[48]: http://0.gravatar.com/avatar/0e34b60af63f5113c12852d29eb2de71?s=48&d=identicon&r=g
[49]: http://law.anu.edu.au/scripts/StaffDetails.asp?StaffID=148
[50]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-272
[51]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=272#respond
[52]: http://0.gravatar.com/avatar/fa397a69744b3e99fe3e51a5d29e7ed3?s=48&d=identicon&r=g
[53]: http://jimcyl.livejournal.com
[54]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-279
[55]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=279#respond
[56]: http://1.gravatar.com/avatar/7a5c0be9f77bc52daf640f87dba2cd2c?s=48&d=identicon&r=g
[57]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-4240
[58]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=4240#respond
[59]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-4241
[60]: http://1.gravatar.com/avatar/4b827dee3462a1db042f5dc0cee86ae5?s=48&d=identicon&r=g
[61]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-284
[62]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=284#respond
[63]: http://2.gravatar.com/avatar/bb142d4fb52f354435dc553067c7c4ea?s=48&d=identicon&r=g
[64]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-311
[65]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=311#respond
[66]: http://0.gravatar.com/avatar/6bd23f9aaa43bce458ca12cb8811f11d?s=48&d=identicon&r=g
[67]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-312
[68]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=312#respond
[69]: http://2.gravatar.com/avatar/267d1034e81cd86b2c924d8f2164b6b8?s=48&d=identicon&r=g
[70]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-313
[71]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=313#respond
[72]: http://en.wikipedia.org/wiki/Bill_of_attainder
[73]: http://en.wikipedia.org/wiki/Article_One_of_the_United_States_Constitution#Section_9:_Limits_on_Congress
[74]: http://en.wikipedia.org/wiki/Nation#Defining_nation
[75]: http://en.wikipedia.org/wiki/Louis_XIV_of_France
[76]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-399
[77]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=399#respond
[78]: http://1.gravatar.com/avatar/4259f81fde6bf011cdb2820194d9fa98?s=48&d=identicon&r=g
[79]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-405
[80]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=405#respond
[81]: http://0.gravatar.com/avatar/65df61759b612621a6b9783aa085392b?s=48&d=identicon&r=g
[82]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-617
[83]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=617#respond
[84]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-618
[85]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=618#respond
[86]: http://en.wikipedia.org/wiki/Ira_Einhorn#Extraditions
[87]: http://1.gravatar.com/avatar/142d5e21b70e5b8991c4a65b0d59050e?s=48&d=identicon&r=g
[88]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-855
[89]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=855#respond
[90]: http://0.gravatar.com/avatar/c00ad7d0634427d87b7a65a61d5e45be?s=48&d=identicon&r=g
[91]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-1212632
[92]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=1212632#respond
[93]: http://0.gravatar.com/avatar/f505a11ddeffae1fc3845f1062774581?s=48&d=identicon&r=g
[94]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#comment-1212634
[95]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/?replytocom=1212634#respond
[96]: http://lawandthemultiverse.com/2010/12/09/outlawry-supervillians-and-modern-law/#respond
[97]: http://lawandthemultiverse.com/wp-content/uploads/2012/05/The-Law-of-Superheroes-Cover.jpg
[98]: mailto:james%40lawandthemultiverse.com
[99]: http://westlegaledcenter.com/program_guide/course_detail.jsf?courseId=47628776
[100]: http://westlegaledcenter.com/program_guide/course_detail.jsf?courseId=47629337
[101]: http://westlegaledcenter.com/program_guide/course_detail.jsf?courseId=39633474
[102]: http://westlegaledcenter.com/program_guide/course_detail.jsf?courseId=39395293
[103]: http://lawandthemultiverse.com/2017/05/15/my-other-legal-writing/
[104]: http://lawandthemultiverse.com/2017/04/13/the-mystery-of-danny-rands-inheritance/
[105]: http://lawandthemultiverse.com/2017/03/07/logan/
[106]: http://lawandthemultiverse.com/2017/01/23/conflicts-of-interest-in-the-representation-by-matt-murdock-of-alleged-criminals-apprehended-by-daredevil/
[107]: http://lawandthemultiverse.com/2016/11/03/mailbag-roundup/
[108]: http://lawandthemultiverse.com/2016/07/31/wonder-woman-illegal-immigrant/
[109]: http://lawandthemultiverse.com/2016/07/15/is-batman-a-murderer/
[110]: http://lawandthemultiverse.com/2016/07/13/more-news-from-my-day-job/
[111]: http://lawandthemultiverse.com/2016/07/10/daredevil-season-2-part-2-the-trial/
[112]: http://lawandthemultiverse.com/2016/06/14/daredevil-season-2-part-1/
[113]: http://eco-comics.blogspot.com/ "Teaching Economics with Comics"
[114]: http://subcultureforthecultured.com/
[115]: http://www.comicsprofessor.com/
[116]: http://thepatronsaintofsuperheroes.wordpress.com/ "Comics Analyzed by a Professor of English"
[117]: http://lawandthemultiverse.com/2017/05/
[118]: http://lawandthemultiverse.com/2017/04/
[119]: http://lawandthemultiverse.com/2017/03/
[120]: http://lawandthemultiverse.com/2017/01/
[121]: http://lawandthemultiverse.com/2016/11/
[122]: http://lawandthemultiverse.com/2016/07/
[123]: http://lawandthemultiverse.com/2016/06/
[124]: http://lawandthemultiverse.com/2016/05/
[125]: http://lawandthemultiverse.com/2016/04/
[126]: http://lawandthemultiverse.com/2016/03/
[127]: http://lawandthemultiverse.com/2016/01/
[128]: http://lawandthemultiverse.com/2015/11/
[129]: http://lawandthemultiverse.com/2015/09/
[130]: http://lawandthemultiverse.com/2015/08/
[131]: http://lawandthemultiverse.com/2015/07/
[132]: http://lawandthemultiverse.com/2015/06/
[133]: http://lawandthemultiverse.com/2015/05/
[134]: http://lawandthemultiverse.com/2015/04/
[135]: http://lawandthemultiverse.com/2015/02/
[136]: http://lawandthemultiverse.com/2014/10/
[137]: http://lawandthemultiverse.com/2014/09/
[138]: http://lawandthemultiverse.com/2014/08/
[139]: http://lawandthemultiverse.com/2014/07/
[140]: http://lawandthemultiverse.com/2014/06/
[141]: http://lawandthemultiverse.com/2014/05/
[142]: http://lawandthemultiverse.com/2014/04/
[143]: http://lawandthemultiverse.com/2014/03/
[144]: http://lawandthemultiverse.com/2014/02/
[145]: http://lawandthemultiverse.com/2014/01/
[146]: http://lawandthemultiverse.com/2013/12/
[147]: http://lawandthemultiverse.com/2013/11/
[148]: http://lawandthemultiverse.com/2013/10/
[149]: http://lawandthemultiverse.com/2013/09/
[150]: http://lawandthemultiverse.com/2013/08/
[151]: http://lawandthemultiverse.com/2013/07/
[152]: http://lawandthemultiverse.com/2013/06/
[153]: http://lawandthemultiverse.com/2013/05/
[154]: http://lawandthemultiverse.com/2013/04/
[155]: http://lawandthemultiverse.com/2013/03/
[156]: http://lawandthemultiverse.com/2013/02/
[157]: http://lawandthemultiverse.com/2013/01/
[158]: http://lawandthemultiverse.com/2012/12/
[159]: http://lawandthemultiverse.com/2012/11/
[160]: http://lawandthemultiverse.com/2012/10/
[161]: http://lawandthemultiverse.com/2012/09/
[162]: http://lawandthemultiverse.com/2012/08/
[163]: http://lawandthemultiverse.com/2012/07/
[164]: http://lawandthemultiverse.com/2012/06/
[165]: http://lawandthemultiverse.com/2012/05/
[166]: http://lawandthemultiverse.com/2012/04/
[167]: http://lawandthemultiverse.com/2012/03/
[168]: http://lawandthemultiverse.com/2012/02/
[169]: http://lawandthemultiverse.com/2012/01/
[170]: http://lawandthemultiverse.com/2011/12/
[171]: http://lawandthemultiverse.com/2011/11/
[172]: http://lawandthemultiverse.com/2011/10/
[173]: http://lawandthemultiverse.com/2011/09/
[174]: http://lawandthemultiverse.com/2011/08/
[175]: http://lawandthemultiverse.com/2011/07/
[176]: http://lawandthemultiverse.com/2011/06/
[177]: http://lawandthemultiverse.com/2011/05/
[178]: http://lawandthemultiverse.com/2011/04/
[179]: http://lawandthemultiverse.com/2011/03/
[180]: http://lawandthemultiverse.com/2011/02/
[181]: http://lawandthemultiverse.com/2011/01/
[182]: http://lawandthemultiverse.com/2010/12/
[183]: http://lawandthemultiverse.com/2010/11/
[184]: http://wordpress.org/ "A Semantic Personal Publishing Platform"
[185]: https://wordpress.com/themes/

