---
created_at: '2017-12-13T17:03:34.000Z'
title: Chemistry of Cast-Iron Seasoning (2010)
url: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/
author: Tomte
points: 81
story_text: 
comment_text: 
num_comments: 77
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1513184614
_tags:
- story
- author_Tomte
- story_15915502
objectID: '15915502'

---
[Source](http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/ "Permalink to Chemistry of Cast Iron Seasoning: A Science-Based How-ToSheryl&#039;s BlogSheryl&#039;s Blog")

# Chemistry of Cast Iron Seasoning: A Science-Based How-ToSheryl&#039;s BlogSheryl&#039;s Blog

[

# Sheryl's Blog

## [Ongoing explorations…][1]

Menu [Skip to content][2]

* [SherylCanter.com][3]
* [Blog Navigation][4]

Search for:

# Chemistry of Cast Iron Seasoning: A Science-Based How-To

[January 28, 2010][5][Food - Recipes, Cooking, Nutrition][6][cast iron][7], [griswold][8][Sheryl Canter][9]

_**The post after this one on “black rust” describes why you should heat the pan before applying oil for seasoning. This helps the seasoning to adhere and makes the pan pleasantly black.**

<http://sherylcanter.com/wordpress/2010/02/black-rust-and-cast-iron-seasoning/>_

* * *

In a [previous post][10], I illustrated how I cleaned and reseasoned an antique cast iron popover pan. This was my first attempt, and my seasoning technique was somewhat haphazard because I couldn’t find consistent, science-based advice. I used a combination of organic avocado oil and strained drippings from organic bacon. This worked pretty well on the popover pan, which doesn’t have a polished surface. But the smooth inner surface of a skillet showed an unevenness of color and texture, and the seasoning wasn’t hard enough. It was too easily marred by cooking utensils or scraping against oven racks.

I wanted to understand the chemistry behind seasoning so I’d know how to fix this, but there is nothing that addresses this issue directly. A [Web page on cast iron][11] posted by someone similarly obsessed with the science gave me two crucial clues, the phrases “polymerized fat” and “drying oil”. From there I was able to find the relevant scientific literature and put the pieces together.

The pictures below are both of the same antique cast iron skillet. The “before” close-up on the left is from a [picture of the skillet in my previous blog post][12] on making German Pancakes. I stripped the pan with oven cleaner and reseasoned it based on my new understanding. The “after” close-up on the right shows the result.

![Griswold skillet closeups: old seasoning on left, new seasoning on right][13]Griswold skillet closeups: old seasoning on left, new seasoning on right

### Start With the Right Oil (It’s Not What You Think)

I’ve read dozens of Web pages on how to season cast iron, and there is no consensus in the advice. Some say vegetable oils leave a sticky surface and to only use lard. Some say animal fat gives a surface that is too soft and to only use vegetable oils. Some say corn oil is the only fat to use, or Crisco, or olive oil. Some recommend bacon drippings since lard is no longer readily available. Some say you must use a saturated fat – that is, a fat that is solid at room temperature, whether it’s animal or vegetable (palm oil, coconut oil, Crisco, lard). Some say never use butter. Some say butter is fine. Some swear by Pam (spray-on canola oil with additives). Some say the additives in Pam leave a residue at high temperatures and pure canola oil is best. Some say it doesn’t matter what oil you use.

**They are all wrong.** It _does_ matter what oil you use, and the oil that gives the best results is not in this list. So what is it? Here are some hints: What oil do artists mix with pigment for a high quality oil paint that dries hard and glassy on the canvas? What oil is commonly used by woodturners to give their sculptures a protective, soft-sheen finish? It’s the same oil. Now what is the food-grade equivalent of this oil?

The oil used by artists and woodturners is linseed oil. The food-grade equivalent is called flaxseed oil. This oil is ideal for seasoning cast iron for the same reason it’s an ideal base for oil paint and wood finishes. It’s a “drying oil”, which means it can transform into a hard, tough film. This doesn’t happen through “drying” in the sense of losing moisture through evaporation. The term is actually a misnomer. The transformation is through a chemical process called “polymerization”.

**The seasoning on cast iron is formed by fat polymerization, fat polymerization is maximized with a drying oil, and flaxseed oil is the only drying oil that’s edible. From that I deduced that flaxseed oil would be the ideal oil for seasoning cast iron.**

As a reality check of this theory, I googled “season cast iron with flaxseed oil” to see what came up. The very first hit is a page written by a guy who seasons his cast iron cookware with linseed oil from the hardware store because it gives the hardest surface of anything he’s tried. (I’m not sure how safe that is; I don’t recommend it.) Below that were several sites selling traditional cast iron cookware from China, which they advertise as being “[preseasoned with high quality flax oil”][14]. I don’t know whether they really use food-grade flaxseed oil (which is expensive) or linseed oil from a hardware store. What’s significant is the claim. Seasoning with high quality flaxseed oil is something to brag about.

With this encouragement, I stripped one of my skillets and reseasoned it with flaxseed oil. As you can see in the picture above, the result was a dramatic improvement. The finish is smooth, hard, and evenly colored.

### Seasoning Is Not Cooking: Different Principles Apply

The first time I seasoned a pan I chose avocado oil because it’s monounsaturated and doesn’t easily go rancid. It also has the highest smoke point of any edible oil, 520°F, so I could heat it in a 450°F oven without passing the smoke point. I knew that when cooking, you should never heat an oil past its smoke point because that causes the release of “free radicals”, which are carcinogenic. I was careful not to choose a polyunsaturated oil – and especially not an oil high in omega-3 fatty acids – because these are especially vulnerable to breakdown with heat and the release of free radicals.

Ironically, it’s for exactly these reasons that the best oil for seasoning cast iron is an oil high in omega-3 fatty acids – in particular, alpha-linolenic acid (ALA). Free radicals are actually what enable the polymerization. Drying oils, which produce the hardest polymers, are characterized by high levels of polyunsaturated fatty acids, especially the omega-3 fatty acid ALA.

The lard that was traditionally used for seasoning 100 years ago was much higher in ALA than fat from pigs today, because back then pigs ate their natural diet. Today they are raised on industrial feedlots and forced to eat grain, making their fat low in omega-3s.

Since lard is traditional but no longer readily available, many people substitute bacon drippings, but this is a bad idea. If it’s conventional bacon, you’re baking in carcinogenic nitrates. But even organic bacon is not good for an initial seasoning because it’s filled with salt.

The reason that Pam seems to work well in seasoning is that its main ingredient is canola oil, which is relatively high in ALA (10%), making it a “semi-drying oil”. Flaxseed oil, a drying oil, is 57% ALA. But it’s not a good idea to use a spray oil, no matter what oil it’s made with, because of its additives. You’re doing chemistry here. If you want good results, use pure ingredients.

Fat polymerization can be triggered or accelerated in a variety of ways. As best I can tell from my reading, the cast iron seasoning process is an example of “radical polymerization”. The process is initiated when something causes the release of free radicals in the oil. The free radicals then “crosslink” to form the tough, hard film you see in a well-seasoned pan.

So what is the “something” that initiates the release of free radicals in fat? Iron, for one thing. High heat, light, and oxygen, for some others. To prevent cooking oils from going rancid – i.e., breaking down and releasing free radicals – you need to store them in dark, tightly sealed containers in a cool location. To initiate or accelerate the release of free radicals, put the oil in contact with bare iron and heat it above its smoke point, which will cause even non-drying oils to release free radicals.

I haven’t defined “free radical” or “crosslink” because that gets into details of chemistry that you don’t need to understand to season a cast iron pan. All you need to know is that the molecular structure of the oil changes and becomes something else, something tough and solid. The process is initiated with the release of free radicals, which then become crosslinked, creating a hard surface.

Free radicals are carcinogenic inside your body, and also a cause of aging. So don’t ever heat oil you’re going to eat above its smoke point. If the oil starts to smoke, toss it out and start again. When you’re seasoning a pan, you’re not cooking food. By the time the seasoned pan comes out of the oven, there are no more free radicals.

### The Recipe for Perfect Cast Iron Seasoning

The basic idea is this: Smear a food-grade drying oil onto a cast iron pan, and then bake it above the oil’s smoke point. This will initiate the release of free radicals and polymerization. The more drying the oil, the harder the polymer. So start with the right oil.

Go to your local health food store or organic grocery and buy a bottle of flaxseed oil. It’s sold as an omega-3 supplement and it’s in the refrigeration section because it goes rancid so easily. Check the expiration date to make sure it’s not already rancid. Buy an organic flaxseed oil. You don’t want to burn toxic chemicals into your cookware to leach out forever more. It’s a fairly expensive oil. I paid $17 for a 17 ounce bottle of cold-pressed, unrefined, organic flaxseed oil. As it says on the bottle, shake it before you use it.

Strip your pan down to the iron using the techniques I describe in my [popover post][10]. Heat the pan in a 200°F oven to be sure it’s bone dry and to open the pores of the iron a little. Then put it on a paper towel, pour a little flaxseed oil on it (don’t forget to shake the bottle), and rub the oil all over the pan with your hands, making sure to get into every nook and cranny. Your hands and the pan will be nice and oily.

Now rub it all off. Yup – all. All. Rub it off with paper towels or a cotton cloth until it looks like there is nothing left on the surface. There actually is oil left on the surface, it’s just very thin. The pan should look dry, not glistening with oil. Put the pan upside down in a cold oven. Most instructions say to put aluminum foil under it to catch any drips, but if your oil coating is as thin as it should be, there won’t be any drips.

Turn the oven to a baking temperature of 500°F (or as high as your oven goes – mine only goes to 450°F) and let the pan preheat with the oven. When it reaches temperature, set the timer for an hour. After an hour, turn off the oven but do not open the oven door. Let it cool off with the pan inside for two hours, at which point it’s cool enough to handle.

The pan will come out of the oven a little darker, but matte in texture – not the semi-gloss you’re aiming for. It needs more coats. In fact, it needs at least six coats. So again rub on the oil, wipe it off, put it in the cold oven, let it preheat, bake for an hour, and let it cool in the oven for two hours. The picture above was taken after six coats of seasoning. At that point it starts to develop a bit of a sheen and the pan is ready for use.

If you try this, you will be tempted to use a thicker coat of oil to speed up the process. Don’t do it. It just gets you an uneven surface – or worse, baked on drips. Been there, done that. You can’t speed up the process. If you try, you’ll mess up the pan and have to start over.

The reason for the very hot oven is to be sure the temperature is above the oil’s smoke point, and to maximally accelerate the release of free radicals. Unrefined flaxseed oil actually has the lowest smoke point of any oil (see [this table][15]). But the higher the temperature the more it will smoke, and that’s good for seasoning (though bad for eating – _do not let oils smoke during cooking_).

I mentioned earlier there’s a myth floating around that vegetable oils leave a sticky residue. If the pan comes out of the oven sticky, the cause is one of three things:

* You put the oil on too thick.
* Your oven temperature was too low.
* Your baking time was too short.

It’s possible to use a suboptimal oil for seasoning, like Crisco or bacon drippings, and still end up with a usable pan. Many (most) people do this. But the seasoning will be relatively soft, not as nonstick, and will tend to wear off. If you want the hardest, slickest seasoning possible, use the right oil: flaxseed oil.

* * *

### Editorial Note:

**Many flax oils contain added ingredients to prevent rancidity, and it’s the tendency of this oil to go rancid that makes it so good for seasoning pans. Flax oil only works if it’s __100% pure flax oil__ with nothing added, so __read the ingredients!__ People have reported mixed results, and this is probably why.**

# Post navigation

←[ Universal Remote Control Fine Points][16] “[Black Rust” and Cast Iron Seasoning →][17]

##  492 thoughts on “Chemistry of Cast Iron Seasoning: A Science-Based How-To”

1. **Seth Newsome** says:

[ August 1, 2012 at 9:58 pm  ][18]

I just wanted to thank you like many others. I followed you your directions precisely to strip off the rust and then re-season four of my parents old Griswold cast iron pans. They look almost like-new and I can’t even believe how well they work – I use them for nearly everything now. Thank you!

2. **Mitch** says:

[ August 2, 2012 at 7:31 am  ][19]

Sheryl, Thank you for all the info and research. You’ve definately done your research. I’m in the process of “doing it your way” right now. sounds like a two day job so I hope it comes out as fine as I expect. One question…. Does using stainless steel utinsels harm the “non-stick” effect?

3. **kevin** says:

[ August 6, 2012 at 7:48 am  ][20]

Sheryl –  
I followed your directions to the letter using flak-seed oil and several coats done in the oven and yesterday when attempting to cook eggs, they stuck terribly. Please advise. Thanks,

Kevin

4. **Michael** says:

[ August 8, 2012 at 9:26 pm  ][21]

I just undertook the flaxoil process on a large Lodge cast iron skillet and a Mr Bar-B-Q cast iron wok. Both are not shining examples of the best of the cast iron world I know however these were what I was working with. Both pans were sprayed with EasyOff and allowed to rest for two days in a plastic bag in the sun. An metal abrasive pad was used to ensure I was down to bare metal and the pans were rinsed and dried on the stove. By now the pans rusted a bit and the cleaning was followed a 50/50 vinegar and water bath for a few hours until all rust was loosened enough to remove easily. This was followed with another cleaning with washing soda to counteract the vinegar. After a thorough rinsing, I boiled water in them while scrubbing the insides with a scouring pad to ensure all cleaning agents were rinsed out of every pore. I followed the seasoning instructions closely and applied very thin coats of Spectrum brand filtered flaxoil. The process took several days and if the pans cooled I was sure to preheat them in a 200 degree oven for approximately 45 min to an hour before applying another coat of oil. My oven can bake up to 550 degrees and the pans baked at that temperature for an hour and remained in the oven to cool. I repeated this process the required six times. 

I have to say I am pleased with the results. I did not achieve a jet black finish– mine was more very dark brown almost like a very burnt amber but dry and slick not sticky. However, the finish is tough as nails and easily held up to high heat. I finished the seasoning process by adding some oil and heating the pan until the oil began smoking. I then fried chopped green onions until they charred and discarded (Chinese style). I used a stainless steel spatula and was quite aggressive stir frying the onions and scraping the pans and the finish remained perfectly intact although it may have darkened slightly. My next act was to make a garlic chicken stir fry in the wok and again I applied high heat and some peanut oil. The initial crushed cloves of garlic stuck to the pan but the later added chicken pieces did not. The chicken browned nicely and the rest of the vegetables were added and they also were trouble free. I decided that since I had some stuck bits that I would not serve straight from the wok so put the contents into a bowl and poured boiling water from a kettle into the still hot wok. The boiling water and steam very easily loosened the stuck bits and a plastic scouring pad held with tongs cleaned the rest of the pan while the water continued to boil. A quick rinse with hot water in the sink and the wok was once again clean. I applied a thin coat of peanut oil since it was handy to the wok surface and let the pan sit to cool. 

The meal was better than any takeout and the wok performed well. Like I said the flaxoil finish is tough although I am not convinced it is as nonstick on cheap iron as it would be on better produced pans. It is too bad current manufacturers do not offer polished skillets. I am sure the longer the pans are in service the better the non-stick abilities will become. I would not attempt eggs at this point with such a rough surface as the seasoning will not give the pans super powers all of the sudden. However the seasoning does result in an even colored protective finish that should stand up to even the toughest cooks. I have tried vegetable oil seasoning following the manufacturer’s instructions in the past and was extremely disappointed. Of course the manufacturers don’t say to apply six coats and perhaps that is equally important. There may be other equally fine methods to season cast iron and I am not suggesting this way is superior. But, if you have the time and would like to have a great finish you will not be disappointed following the flaxoil process.

5. **Elaine** says:

[ August 10, 2012 at 11:18 pm  ][22]

My pan is clean but I used bacon drippings and would like to reseason with the flax. Is there an easy way to just remove the oil?

6. **Ambiac** says:

[ August 11, 2012 at 10:57 am  ][23]

Thank you so much for all your research on this. I purchased a Wagner chicken pot with a “drip drop baster” lid. The lid has a zig-zag circular pattern on the inside, which has been quite a pain to oil and get clean! The pan and lid have been in the oven on temp 4 times now (I’m getting ready to do my 5th). However, I used the lid on another pan while cooking on my stovetop and when I took it off the inside was covered in rust! I was disappointed to say the least. I have done the oven cleaner, black bag method and soaked it in water and vinegar til I thought the rust had lifted off. Do you have any suggestions on what I may have done wrong or what I need to do to fix it? Do I have to start completely over. Also, my pan is very smooth, but the finish does not look smooth! It is very splotchy. I have been using flaxseed oil. Is this normal? Thank you so much for whatever help you can give me.

7. **Andrea S.** says:

[ August 15, 2012 at 7:45 am  ][24]

Okay, I must have done something wrong somewhere along the line. I had two old cast iron pans picked up at a yard sale. Rusty and gross looking. I stripped my pans using oven cleaner down to the bare metal. I made sure they were bone dry. I applied thin coats of organic flaxseed oil — 8 coats, to be exact. I resisted the urge to apply thick layers and painstakingly made sure that the layers were thin, even and perfect. No drips or glops. Followed the baking instructions and times to a “T”. Pans looked great when they came out of the oven.

Then ….

I used one of the pans for the first time. I made sausage and eggs. After the pan had cooled, I cleaned it with just water and a plastic scouring pad. The seasoning came off. And came off. And came off. It flaked off in tiny micro-flakes. It some areas, it’s back down to bare metal. Was a plastic scouring pad too much? Wasn’t the flaxseed oil supposed to polymerize — like indestructible? I’m not sure what happened, but given this is my first experience with using cast iron, I’m tempted to stick the pans with the camping gear and go back to using my nonstick pans. Anybody have any advice on what I did wrong?

8. [**Sheryl Canter][3]** says:

[ August 15, 2012 at 3:41 pm  ][25]

A few people have reported flaking. It didn’t happen to me with any of the many pans I seasoned, and it didn’t happen to many others as reported here. My best guess is that it happens when people use flaxseed oil that has other ingredients in it to slow rancidity. This defeats the whole purpose of using flaxseed oil, and I discovered from the posts here that many oils sold as flaxseed oil actually contain other ingredients. Read the label. Is it 100% flaxseed oil, or are there other ingredients as well?? It should be 100% flaxseed oil. If it doesn’t require refrigeration, it definitely contains other ingredients.

Other possible reasons for the seasoning to come off are putting the oil on too thickly (which will cause any seasoning to come off, regardless of the oil), not inverting the pan (which causes pooling and too thick a coating, with any oil), or cooking with acidic ingredients such as lemon, tomato, vinegar (which also will cause any seasoning to come off, regardless of the oil).

The other point I’ll mention here, though you don’t mention it, is that some people expect a glassy surface in a newly seasoned pan. It doesn’t work that way. This is a “starter” seasoning. The pan gets more non-stick as you use it. This is true no matter what oil you use.

9. **Don Schwass** says:

[ August 16, 2012 at 11:19 am  ][26]

Hello, thanks for the advice. I just did this process with three new pans. I want to confirm why they came out poorly. They have a hard, shiny service with cracks in the coating. I used too much flaxseed oil, didn’t I? Start over, correct? Don

10. **Derek Desroches** says:

[ August 21, 2012 at 2:25 am  ][27]

I just wanted to thank Sheryl for these tips. And to say that even though I’ve been using my pans for years with out this info, I wish I’d seen it years ago when I got my them. That said, I’d like to link to a very relevant product that I couldn’t find mentioned here: <http://www.amazon.com/World-Cuisine-Heavy-Carbon-Frying/dp/B000RWJ5CU/ref=pd_sim_hg_5>. These are virtually identical to what I used as a line cook and what I currently use at home. Not only is this seasoning method perfect for these pans, but if you buy these you’ll be able to use a cast iron for everything because of the rounded style of the pan. 

A regular (if there is such a thing) cast iron pan is very similar to sautoir. Or straight sided saute pan. It’s great for searing and braising or using as a shallow baking vessel. But the pans I linked to are a sauteuse, a round sided pan for tossing food while using a little fat and high heat or pan searing/oven roasting. 

I hope you enjoy.

11. **Zack** says:

[ August 22, 2012 at 11:12 pm  ][28]

Isn’t polymerized fat bad for you? (One of the reason why deep frying oil at restaurant is so bad… they let it heat at high temperature for days…) I can just imagine this polymerized layer chip off the cast iron skillet in a year or two, if not sooner? Can you clarify on that?

12. [**nicole][29]** says:

[ August 25, 2012 at 8:31 pm  ][30]

I found a bottle of flax oil, but it was with lignans and had rosemary etract and tocopherols in it with (non-hexane extracted natural vitamin e) in it…can this virsion be used to season my cast iron?

13. **Don Schwass** says:

[ August 28, 2012 at 12:51 pm  ][31]

Hi Sheryl, not sure if you received my last comment. I have four cast iron skillets. ONe is Lodge Logic, the other three are an off brand. Firstly, the off brand is much rougher in service texture. I followed the advice on using the self cleaning oven,and that worked awesome. I have also used pure flaxseed oil now six times. The Lodge Logic is working really well with a couple of sticky spots. The other three look beautifully dark brown, but they are still sticking when doing scrambled eggs. Would you go over the cleaning instructions advice for AFTER the initial seasoning is completed, and you start to use the pan a few times. Thanks. Don

14. **Martin Wohlgemuth** says:

[ September 4, 2012 at 5:15 pm  ][32]

Dear Sheryl :

I am in process of cleaning/seasoning my first piece of cast iron ever; a No. 12 Wagner Skillet approx. 110 years old that looked in very fine condition when I got it but decided to use your method so that I can learn about this process.

The conditioning went fine for the first 4 coats, but then for some reason on the 5th parts of the inside bottom went considerably darker than the other parts so it looks like uneven stains covering about 1/2 the surface.

I tried to even out by putting the oil only on the much lighter parts but it still came out the same way after.

Wiped dry each time; started pan in cold oven preheated to 500 then left in for 1 hour. 

The surface still feels very very smooth because I did leave only a microfilm each time, there will be no flaking but would just like to know if you can identify the reason for the uneven coating. Is this maybe the composition of the iron ? Why were the first 4 coats relatively even.

Thanks Sheryl !

15. **Patrick M** says:

[ September 4, 2012 at 6:18 pm  ][33]

Excellent, useful information based on fact and science rather than just opinion.  
Thank you.

16. **Julie** says:

[ September 6, 2012 at 12:27 am  ][34]

I just wanted to thank you SO MUCH for taking the time to research this. I love my skillet very much but have had problems with flaking and sticking in the past. Using the instructions listed above has yielded a pan that performs just as well as a teflon pan – amazing! I have never been happier and am so pleased all it took was a little flaxseed oil and patience.

17. **Dexter** says:

[ September 6, 2012 at 3:33 pm  ][35]

Good Morning Sheryl,

I have a few questions regarding Lodge preseason skillets:

1\. should I strip the factory seasoning off it and start over using your 6 layer guidelines? ( I want to keep these pans in the family, and start a new hand down tradition to my kids)

2\. Is olive oil a good oil to wipe the pans down with after cleaning them?

3\. What temperature should I set me oven to for the procedure? ( my oven goes up to 500 F but I have read mix reviews on form)

4.What is the max amount of layers you should Apply?

Thanks in advance,

Dex

18. **Joe** says:

[ September 9, 2012 at 6:36 am  ][36]

Thank you Sheryl for a fascinating discussion. I saw one commenter ask about using metal utensils on seasoned cast iron, but I don’t believe you addressed his point. Based on your understanding of the polymerized fat, are metal utensils going to damage the surface or not? I’m reseasoning a griddle and would much prefer to use my metal spatula on it.

Thanks,

Joe

19. **Angela shelley** says:

[ September 12, 2012 at 1:10 pm  ][37]

Hi. Is there a need to “strip the pan” first, if the pan is brand new?  
thank you!

20. **Andrea S.** says:

[ September 15, 2012 at 6:55 pm  ][38]

Hi, Sheryl

I posted the comment on 8/15/12, trying to troubleshoot what I did wrong. I made sure the oil was very, very thinly and evenly applied and I did invert the pans to avoid pooling or puddling. I didn’t cook anything acidic. That just leaves the possibility of the flax oil itself being the culprit. I checked the ingredients and this is what I used: cold pressed, organic, high lignan flax oil. It does require refrigeration. The ingredient list reads “Unrefined and unfiltered 100% organic flaxseed oil and organic flaxseed particulate.”

Could it be the particulate in the oil that caused the problem? Should I have used filtered oil?

Thank you,

Andrea

21. **Jim C.** says:

[ September 17, 2012 at 2:26 pm  ][39]

Thank you for the wonderful article.

I’ve tried cast iron cooking in the past and was always so disappointed with the results. Everything stuck! I came across a Griswold #6 heavily rusted, but no cracks and no warping. For cleaning to bare metal, I used electrolysis. In 2 hours, I had a perfect bare metal pan to begin seasoning. I was unable to find flax seed oil locally, so I did some research on “drying oils”. I settled on the highest Iodine Value oil I could find locally… Walnut Oil. It has an Iodine Value of approx. 150. The results were spectacular. As a test, I lightly oiled skillet, heated to medium heat, and fried some potatoes and onions. Then transferred to a plate. Using same skillet, adding no extra oil other than what was left after potatoes, I scrambled 3 eggs. Nothing stuck to the pan!!! Wiped skillet with paper towel and it was clean.

This method of seasoning is a perfect “starter seasoning”. Skillet keeps getting better after each use. Cornbread slipped right out of skillet last night!!!

22. **Robert** says:

[ September 23, 2012 at 12:19 pm  ][40]

Thank You!!! I knew there Had to a reason WHY but all I was finding was the How until I came across this article. Now it makes sense and I can understand why even my new ceramic coated OrGreenic pans say to season them.

23. **Chris** says:

[ September 24, 2012 at 3:47 am  ][41]

Question. Do I need to strip a brand new skillet to the iron (Self Cleaning Oven) before I start seasoning?

24. **Frank** says:

[ September 24, 2012 at 11:24 am  ][42]

I have read quite a bit of the posts and for those of you asking if you need to re-season a new pan, Sheryl has stated, the answer is NO.

Only season season a pan when nessassary.

I personally use Crisco with great success and heat my pan in my BBQ, no smoke in the house and have very good control of the heat when seasoning.

25. **thom** says:

[ September 24, 2012 at 8:32 pm  ][43]

As an FYI- I have found that the best way to strip a pan of an old finish for reseasoning is to put it in a self cleaning oven and set it to clean for ~3 hours. The pans come out stripped of anything besides the raw metal.

26. **Joe** says:

[ September 29, 2012 at 10:37 am  ][44]

I have a Debuyer Carbon B pan I am in the process of trying this with. I started with a dirty pan that has been in use a couple of years. I used muiriatic acid to clean it on the inside. It came very shiney clean. Now on the 5th coat of Flax Oil.Not black but a very dark bronze color. Not real smooth and shiney a bit rough. The next couple coats I will wipe on with a micro fiber cloth in the hope of eliminating paper towel lint. I am using temps of 450 degrees and baking more than an hour befor shuting off the heat.

I have another bebuyer pan that I seasoned just with usuage. I only cook eggs in it and with butter or any other oil and the use of a silicone spatula, I can get the eggs to slide around the pan like it was teflon. I can flip them over with a flip of the wrist. Iron pans can get pretty no stick. Not quite like teflon but slick never the less.

27. **Jennifer** says:

[ September 29, 2012 at 4:17 pm  ][45]

Hi, just out of curiosity, I wonder if we could see what that very impressively stripped then seasoned pan looks like now after a year or so of use… ? 

I wonder if it looks at -all- like it did in its pre-reconditioned state, or if it still looks like the “after” photo?

That would be very exciting to see, thanks!! 🙂

28. **Joe** says:

[ September 29, 2012 at 4:41 pm  ][46]

just looked at my bottle of NOW oil. It is not 100% Flax oil It has ascobic acid and rosemary extract and a fe other non flax oil items. I will order up some different oil and contine the process when it arrives.

29. **Betty Buck** says:

[ September 30, 2012 at 2:43 pm  ][47]

I have a (what looks to be) heavy cast aluminum griddle that I use on my outdoor grill. Can the same seasoning technique be used on it that you describe for cast iron?

30. **Jaime** says:

[ September 30, 2012 at 10:25 pm  ][48]

Would grapeseed oil be effective with this method as well or only food grade flaxseed?

31. **Patty** says:

[ October 1, 2012 at 7:59 am  ][49]

I have always fired my cast iron skillets the way my ancestors did. You can use lard (Crisco in the can), but I prefer canola oil. Grandma always built a fire outside and threw the skillets right into the fire and let them sit in the fire for hours at a time. The skillets always came out black inside and out and had a nice smooth surface. Whenever we build a fire to burn limbs and debree from trees, I set the skillets in the fire and allow them to season for a while. Works well for me.

32. **Bridget** says:

[ October 1, 2012 at 8:41 am  ][50]

Sheryl, I have a small cast iron grill skillet. You say to put it into the oven at 450 to 500 degrees, but the pan has a wood handle, and the handle is coated, but I still have concern for it being in an oven at that heat. I think it wasn’t meant to go into the oven, but to be used on stove top only. Is there a way to season by stove top? Thanks, great advice here, am bookmarking your site! =)

33. **Dan** says:

[ October 1, 2012 at 2:04 pm  ][51]

I see a lot of you are having problems stripping your cast iron. I know many will not be able to have access to this method but sand blasting is the method I use. It won’t rust. Give it a good wiping with some lint free rags and wipe on a thin coat of what ever you are using to season it with. Preheating to 200 degrees first would be great if you can do it. But you must get oil applied immediately after sand blasting.

After all this is what the foundry uses after they pull the casting from the mold. Hope this helps. If you look you can probably find a small fab shop or that type of business that can sand blast it for you.

34. **Joe** says:

[ October 3, 2012 at 7:59 am  ][52]

I used Muiriatic Acid to strip the inside of my pans. Easily found at hot tub and pool supply houses. Gets down to bare metal fast. Use in a well ventilated place.

35. **Mike M** says:

[ October 3, 2012 at 2:39 pm  ][53]

Sheryl,

Do I wish I found this site years ago. I’ve had a Lodge dutch over for four now. On one trip someone used it for a tomato based soup and I have been fighting with seasoning it ever since. I have striped it down to bare metal a total of 4 times now. I have used vegitable, canola, crisco, bacon grease, lard and olive oil, nothing worked. Heat to 300 for three hours, no 350 for four hours, let the oil dry naturally for two days then bake it. None of it work.

It wasn’t until reading this and getting the flax seed oil did I start seeing positive results. What a beautiful finish my dutch oven has. 

One tip to Lodge owners, after stipping to bare metal, get a sanding disc for your drill and polish the inside of the oven. I almost had a mirror finish on mine. Super smooth on the inside now.

Get the Flax Seed oil and follow the directions, it works!

Thank you

36. **Carol** says:

[ October 8, 2012 at 3:17 pm  ][54]

Hi Sheryl

I followed your instructions for my 3 cast iron, them made a grilled cheese sandwich, putting a weight on top. The cast iron pan stuck fast to the bread! I got the sandwich out OK but there was residue on the pan. Repeated soaking and boiling didn’t get it all off, I finally had to scrub, hard, and the coating came off. It was as if the coating bonded to the sandwich. So what did I do wrong? The only thing I can think of is the skillet was just, and I mean just, warm still after the 6th coat when I used it, instead of completely cooled in the oven. I need to season all over and I want to do it right this time. Thank you.

37. [**Sheryl Canter][3]** says:

[ October 8, 2012 at 6:01 pm  ][55]

It sounds like you used no grease at all when making your sandwich. You still have to grease the pan. It’s a preliminary seasoning that improves over time. It’s not a teflon coating.

38. **Joe** says:

[ October 9, 2012 at 8:45 am  ][56]

Stripped my pan, threw out my NOW oil and used Barleans for 9 coats on a DeBuyer iron pan. After acid stripping I sanded with 400 grit wet dry paper. The pan is super smooth and looks great. I will try frying with it tonight. I had done this a few times with NOW oil and the coating always flacked off. It was also never smooth and hard, it always seems a bit sticky. The right oil makes a difference. I fry eggs most mornings in a Debuyer that just got seasoned on it own with no real system. I only fry eggs or onions in it and with a bit a butter the eggs will slide around and can easily be flipedd with the wrist flip.I am hoping for even better with this pan. Omelets with no sticking are my hope. Regardless of how good the seasoning ends up oil or butter is still needed. It is not an oil based teflon we are putting on.

39. **Blane** says:

[ October 10, 2012 at 10:26 pm  ][57]

I’d like to share a tip I read about a long time ago, remembered it and haven’t heard of it since.  
A method to de-gunk a piece of cast iron cookware. I know it works because I’ve used it. My pan, a nice curved lip fry pan, no name, junk shop find for 20.00 and with heavy gunk. Find a heavy plastic trash bag to form a “tent”, some pieces of wood or twigs to set the piece on. (no sharps on the twigs to puncture the tent), a bottle of Ammonia. Fluff the bag up, place the piece inside, pour in the ammonia and cinch the bag shut. Leave it (on the patio for me) for at least 7 days, I want to say 14, I don’t remember that part. The grease peeled off like you put paint remover on it and all else was gray iron. Nice. I live in Houston and did this in the summer. Not sure if temperature would affect the process or what it would do on rust. I’ll be trying the flaxseed process here directly.

40. **TMK** says:

[ October 11, 2012 at 7:44 am  ][58]

Finally! I feel as if I have been looking for this information for years.

41. **Joe** says:

[ October 13, 2012 at 5:52 pm  ][59]

fried hasbrowns in my newly seasoned Debuyer. Had a bit of sticking which I expected and hoped for as I like them really crispy browned. Used a steel spatula to scrape the pan, the potatos released easily and the pan cleaned up with some hot water and a brush. No flaking of the 9 coats of Barleans. Still smooth and dark. Still feels slick. I think the right oil is so super critical. don’t bother without the perfect oil Barleans seems to be that for me.

42. [**Sheryl Canter][3]** says:

[ October 13, 2012 at 6:03 pm  ][60]

Good job on the Barleans, Joe. Thanks for posting. Barleans is 100% flax oil with nothing else in it. That’s why it works so well. The reason some people have been having problems is they are using oils that have other ingredients to prevent oxidation. That is exactly what you DON’T want.

Here’s a link to buy it:

[Barlean’s Flax Oil (from Amazon)][61]  
When you first click on this it goes to the large 32oz size, but it also comes in a 16oz size.

* * *

_Edit: I am closing this post for further comments. Everything has been asked and answered many times now. If you have a question (or comment), please read the original article and the comments already posted. It’s most likely been asked and answered already. You also can refer to my other article, “[Black Rust” and Cast Iron Seasoning][17].

One other note… I suspect that many of the people who’ve been posting about sticking problems expect that an initial seasoning will result in a non-stick surface like teflon where oil during cooking is not needed. That’s not how it works. This article and the other one describe how to do an INITIAL SEASONING; it improves over time. That’s the nature of cast iron seasoning. You still need grease when cooking.

Happy seasoning.

**P.S. Please do not email me with seasoning questions.**  
_

# Comment navigation

←[ Older Comments][62]

Comments are closed.

### Subscribe

![][63] [Subscribe to Sheryl’s Blog][64]

![Facebook icon][65][  Follow me on Facebook][66]

![Twitter icon][67][  Follow me on Twitter][68]

### Categories

* [Food – Recipes, Cooking, Nutrition][6]
* [Life – Miscellaneous Observations][69]
* [Technology – Tips & Fixes][70]

### Tags

* [Android][71]
* [audio and video][72]
* [bad business][73]
* [battery][74]
* [battery draining][75]
* [Bluetooth][76]
* [breast cancer][77]
* [cast iron][7]
* [cooking][78]
* [crohn's disease][79]
* [curly hair][80]
* [Facebook][81]
* [fibrocystic breasts][82]
* [griswold][8]
* [haircut][83]
* [IBD][84]
* [inflammatory bowel disease][85]
* [iodine deficiency][86]
* [Kindle][87]
* [medium length bob][88]
* [Mouse][89]
* [Movies][90]
* [nutrition][91]
* [Outlook 2010 Junk E-mail][92]
* [overheating][93]
* [Politics][94]
* [Reviews][95]
* [thyroid disease][96]
* [thyroid nodules][97]
* [ulcerative colitis][98]
* [Windows][99]

### Meta

* [Log in][100]
* [Entries RSS][101]
* [Comments RSS][102]
* [WordPress.org][103]

### Blogroll

* [Charles Petzold's Blog][104]
* [Health Tech Insider][105]
* [Wearable Tech Insider][106]

### Subscribe

![][63] [Subscribe to Sheryl’s Blog][64]

![Facebook icon][65]  [Follow me on Facebook][66]  
  
![Twitter icon][67]  [Follow me on Twitter][68]

### Categories

* [Food – Recipes, Cooking, Nutrition][6]
* [Life – Miscellaneous Observations][69]
* [Technology – Tips & Fixes][70]

### Tags

* [Android][71]
* [audio and video][72]
* [bad business][73]
* [battery][74]
* [battery draining][75]
* [Bluetooth][76]
* [breast cancer][77]
* [cast iron][7]
* [cooking][78]
* [crohn's disease][79]
* [curly hair][80]
* [Facebook][81]
* [fibrocystic breasts][82]
* [griswold][8]
* [haircut][83]
* [IBD][84]
* [inflammatory bowel disease][85]
* [iodine deficiency][86]
* [Kindle][87]
* [medium length bob][88]
* [Mouse][89]
* [Movies][90]
* [nutrition][91]
* [Outlook 2010 Junk E-mail][92]
* [overheating][93]
* [Politics][94]
* [Reviews][95]
* [thyroid disease][96]
* [thyroid nodules][97]
* [ulcerative colitis][98]
* [Windows][99]

### Archives

* [July 2017][107]
* [May 2013][108]
* [December 2012][109]
* [October 2012][110]
* [June 2012][111]
* [May 2011][112]
* [August 2010][113]
* [July 2010][114]
* [February 2010][115]
* [January 2010][116]
* [December 2009][117]
* [September 2009][118]
* [June 2009][119]
* [May 2009][120]
* [April 2009][121]
* [February 2009][122]
* [January 2009][123]
* [December 2008][124]
* [November 2008][125]
* [September 2004][126]
* [April 2004][127]
* [March 2004][128]

### Meta

* [Log in][100]
* [Entries RSS][101]
* [Comments RSS][102]
* [WordPress.org][103]

### Blogroll

* [Charles Petzold's Blog][104]
* [Health Tech Insider][105]
* [Wearable Tech Insider][106]
Search for:

[Proudly powered by WordPress][129]

[1]: http://sherylcanter.com/wordpress/ "Sheryl's Blog"
[2]: http://sherylcanter.com#content "Skip to content"
[3]: http://sherylcanter.com
[4]: http://sherylcanter.com/wordpress/blog-home/
[5]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/ "Permalink to Chemistry of Cast Iron Seasoning: A Science-Based How-To"
[6]: http://sherylcanter.com/wordpress/category/food/
[7]: http://sherylcanter.com/wordpress/tag/cast-iron/
[8]: http://sherylcanter.com/wordpress/tag/griswold/
[9]: http://sherylcanter.com/wordpress/author/sheryl/ "View all posts by Sheryl Canter"
[10]: http://sherylcanter.com/wordpress/2010/01/perfect-popovers-and-how-to-clean-reseason-cast-iron/
[11]: http://www.richsoil.com/cast-iron.jsp
[12]: http://sherylcanter.com/wordpress/2010/01/recipe-for-cast-iron-german-pancake-with-apples/
[13]: http://sherylcanter.com/wordpress/wp-content/uploads/2010/01/GriswoldSkillet7_closeups.jpg "Griswold skillet closeups: old seasoning on left, new seasoning on right"
[14]: http://www.asianexports.cn/cast-iron-cooking-cauldrons/cat_6.html
[15]: http://www.cookingforengineers.com/article/50/Smoke-Points-of-Various-Fats
[16]: http://sherylcanter.com/wordpress/2010/01/universal-remote-control-fine-points/
[17]: http://sherylcanter.com/wordpress/2010/02/black-rust-and-cast-iron-seasoning/
[18]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1476
[19]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1479
[20]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1531
[21]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1536
[22]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1543
[23]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1546
[24]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1554
[25]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1556
[26]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1559
[27]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1563
[28]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1568
[29]: http://nikinaz07@gmail.com
[30]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1572
[31]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1576
[32]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1579
[33]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1580
[34]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1582
[35]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1583
[36]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1585
[37]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1587
[38]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1593
[39]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1595
[40]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1606
[41]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1608
[42]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1609
[43]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1613
[44]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1624
[45]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1627
[46]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1628
[47]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1633
[48]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1636
[49]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1638
[50]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1639
[51]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1640
[52]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1644
[53]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1647
[54]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1661
[55]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1662
[56]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1665
[57]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1671
[58]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1675
[59]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1692
[60]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-10/#comment-1694
[61]: http://www.amazon.com/exec/obidos/redirect?link_code=as2&path=ASIN/B002VLZ81W&tag=normaleating-20&camp=1789&creative=9325
[62]: http://sherylcanter.com/wordpress/2010/01/a-science-based-technique-for-seasoning-cast-iron/comment-page-9/#comments
[63]: http://feedburner.google.com/fb/images/pub/feed-icon16x16.png
[64]: http://feeds.feedburner.com/SherylCanterBlog
[65]: http://sherylcanter.com/images/facebook_f_button-24.jpg
[66]: http://www.facebook.com/SherylCanter
[67]: http://sherylcanter.com/images/twitter_t_button-24.png
[68]: http://twitter.com/sheryl_canter
[69]: http://sherylcanter.com/wordpress/category/life/
[70]: http://sherylcanter.com/wordpress/category/technology/
[71]: http://sherylcanter.com/wordpress/tag/android/
[72]: http://sherylcanter.com/wordpress/tag/audio-and-video/
[73]: http://sherylcanter.com/wordpress/tag/bad-business/
[74]: http://sherylcanter.com/wordpress/tag/battery/
[75]: http://sherylcanter.com/wordpress/tag/battery-draining/
[76]: http://sherylcanter.com/wordpress/tag/bluetooth/
[77]: http://sherylcanter.com/wordpress/tag/breast-cancer/
[78]: http://sherylcanter.com/wordpress/tag/cooking/
[79]: http://sherylcanter.com/wordpress/tag/crohns-disease/
[80]: http://sherylcanter.com/wordpress/tag/curly-hair/
[81]: http://sherylcanter.com/wordpress/tag/facebook/
[82]: http://sherylcanter.com/wordpress/tag/fibrocystic-breasts/
[83]: http://sherylcanter.com/wordpress/tag/haircut/
[84]: http://sherylcanter.com/wordpress/tag/ibd/
[85]: http://sherylcanter.com/wordpress/tag/inflammatory-bowel-disease/
[86]: http://sherylcanter.com/wordpress/tag/iodine-deficiency/
[87]: http://sherylcanter.com/wordpress/tag/kindle/
[88]: http://sherylcanter.com/wordpress/tag/medium-length-bob/
[89]: http://sherylcanter.com/wordpress/tag/mouse/
[90]: http://sherylcanter.com/wordpress/tag/movies/
[91]: http://sherylcanter.com/wordpress/tag/nutrition/
[92]: http://sherylcanter.com/wordpress/tag/outlook-2010-junk-e-mail/
[93]: http://sherylcanter.com/wordpress/tag/overheating/
[94]: http://sherylcanter.com/wordpress/tag/politics/
[95]: http://sherylcanter.com/wordpress/tag/reviews/
[96]: http://sherylcanter.com/wordpress/tag/thyroid-disease/
[97]: http://sherylcanter.com/wordpress/tag/thyroid-nodules/
[98]: http://sherylcanter.com/wordpress/tag/ulcerative-colitis/
[99]: http://sherylcanter.com/wordpress/tag/windows/
[100]: http://sherylcanter.com/wordpress/wp-login.php
[101]: http://sherylcanter.com/wordpress/feed/
[102]: http://sherylcanter.com/wordpress/comments/feed/
[103]: https://wordpress.org/ "Powered by WordPress, state-of-the-art semantic personal publishing platform."
[104]: http://charlespetzold.com/blog/blog.xml "“Charles Petzold on writing books, reading books, and exercising the internal UTM” (mostly Windows development, some politics)"
[105]: http://healthtechinsider.com/ "Stories in the world of wearable tech, optimized for quick reading."
[106]: http://wearablesinsider.com/ "New products, corporate news, and technology developments in the wearable technology world."
[107]: http://sherylcanter.com/wordpress/2017/07/
[108]: http://sherylcanter.com/wordpress/2013/05/
[109]: http://sherylcanter.com/wordpress/2012/12/
[110]: http://sherylcanter.com/wordpress/2012/10/
[111]: http://sherylcanter.com/wordpress/2012/06/
[112]: http://sherylcanter.com/wordpress/2011/05/
[113]: http://sherylcanter.com/wordpress/2010/08/
[114]: http://sherylcanter.com/wordpress/2010/07/
[115]: http://sherylcanter.com/wordpress/2010/02/
[116]: http://sherylcanter.com/wordpress/2010/01/
[117]: http://sherylcanter.com/wordpress/2009/12/
[118]: http://sherylcanter.com/wordpress/2009/09/
[119]: http://sherylcanter.com/wordpress/2009/06/
[120]: http://sherylcanter.com/wordpress/2009/05/
[121]: http://sherylcanter.com/wordpress/2009/04/
[122]: http://sherylcanter.com/wordpress/2009/02/
[123]: http://sherylcanter.com/wordpress/2009/01/
[124]: http://sherylcanter.com/wordpress/2008/12/
[125]: http://sherylcanter.com/wordpress/2008/11/
[126]: http://sherylcanter.com/wordpress/2004/09/
[127]: http://sherylcanter.com/wordpress/2004/04/
[128]: http://sherylcanter.com/wordpress/2004/03/
[129]: https://wordpress.org/

  [*RSS]: Really Simple Syndication

