---
created_at: '2017-12-14T19:27:29.000Z'
title: The Collapse of Complex Business Models (2010)
url: http://www.shirky.com/weblog/2010/04/the-collapse-of-complex-business-models/
author: aftabh
points: 122
story_text: 
comment_text: 
num_comments: 21
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1513279649
_tags:
- story
- author_aftabh
- story_15925940
objectID: '15925940'

---
[Source](http://www.shirky.com/weblog/2010/04/the-collapse-of-complex-business-models/ "Permalink to  &raquo; The Collapse of Complex Business Models   Clay Shirky")

#  &raquo; The Collapse of Complex Business Models   Clay Shirky

# [Clay Shirky][1]

* * *

« [Secretary Clinton’s Internet Freedom Speech, Abridged][2]

[The Times’ Paywall and Newsletter Economics][3] »

## The Collapse of Complex Business Models

I gave a talk last year to a group of TV executives gathered for an annual conference. From the Q&A after, it was clear that for them, the question wasn’t whether the internet was going to alter their business, but about the mode and tempo of that alteration. Against that background, though, they were worried about a much more practical matter: When, they asked, would online video generate enough money to cover their current costs?

That kind of question comes up a lot. It’s a tough one to answer, not just because the answer is unlikely to make anybody happy, but because the premise is more important than the question itself. 

There are two essential bits of background here. The first is that most TV is made by for-profit companies, and there are two ways to generate a profit: raise revenues above expenses, or cut expenses below revenues. The other is that, for many media business, that second option is unreachable. 

Here’s why.

* * *

In 1988, Joseph Tainter wrote a chilling book called _The Collapse of Complex Societies_. Tainter looked at several societies that gradually arrived at a level of remarkable sophistication then suddenly collapsed: the Romans, the Lowlands Maya, the inhabitants of Chaco canyon. Every one of those groups had rich traditions, complex social structures, advanced technology, but despite their sophistication, they collapsed, impoverishing and scattering their citizens and leaving little but future archeological sites as evidence of previous greatness. Tainter asked himself whether there was some explanation common to these sudden dissolutions.

The answer he arrived at was that they hadn’t collapsed despite their cultural sophistication, they’d collapsed because of it. Subject to violent compression, Tainter’s story goes like this: a group of people, through a combination of social organization and environmental luck, finds itself with a surplus of resources. Managing this surplus makes society more complex—agriculture rewards mathematical skill, granaries require new forms of construction, and so on. 

Early on, the marginal value of this complexity is positive—each additional bit of complexity more than pays for itself in improved output—but over time, the law of diminishing returns reduces the marginal value, until it disappears completely. At this point, any additional complexity is pure cost.

Tainter’s thesis is that when society’s elite members add one layer of bureaucracy or demand one tribute too many, they end up extracting all the value from their environment it is possible to extract and then some. 

The ‘and them some’ is what causes the trouble. Complex societies collapse because, when some stress comes, those societies have become too inflexible to respond. In retrospect, this can seem mystifying. Why didn’t these societies just re-tool in less complex ways? The answer Tainter gives is the simplest one: When societies fail to respond to reduced circumstances through orderly downsizing, it isn’t because they don’t want to, it’s because they can’t. 

In such systems, there is no way to make things a little bit simpler – the whole edifice becomes a huge, interlocking system not readily amenable to change. Tainter doesn’t regard the sudden decoherence of these societies as either a tragedy or a mistake—”[U]nder a situation of declining marginal returns collapse may be the most appropriate response”, to use his pitiless phrase. Furthermore, even when moderate adjustments could be made, they tend to be resisted, because any simplification discomfits elites. 

When the value of complexity turns negative, a society plagued by an inability to react remains as complex as ever, right up to the moment where it becomes suddenly and dramatically simpler, which is to say right up to the moment of collapse. Collapse is simply the last remaining method of simplification.

* * *

In the mid-90s, I got a call from some friends at ATT, asking me to help them research the nascent web-hosting business. They thought ATT’s famous “five 9’s” reliability (services that work 99.999% of the time) would be valuable, but they couldn’t figure out how $20 a month, then the going rate, could cover the costs for good web hosting, much less leave a profit.

I started describing the web hosting I’d used, including the process of developing web sites locally, uploading them to the server, and then checking to see if anything had broken.

“But if you don’t have a staging server, you’d be changing things on the live site!” They explained this to me in the tone you’d use to explain to a small child why you don’t want to drink bleach. “Oh yeah, it was horrible”, I said. “Sometimes the servers would crash, and we’d just have to re-boot and start from scratch.” There was a long silence on the other end, the silence peculiar to conference calls when an entire group stops to think. 

The ATT guys had correctly understood that the income from $20-a-month customers wouldn’t pay for good web hosting. What they hadn’t understood, were in fact professionally incapable of understanding, was that the industry solution, circa 1996, was to offer hosting that wasn’t very good. 

This, for the ATT guys, wasn’t depressing so much as confusing. We finished up the call, and it was polite enough, but it was perfectly clear that there wasn’t going to be a consulting gig out of it, because it wasn’t a market they could get into, not because they didn’t want to, but because they couldn’t.

It would be easy to regard this as short-sighted on their part, but that ignores the realities of culture. For a century, ATT’s culture had prized—insisted on—quality of service; they _ran their own power grid_ to keep the dial-tone humming during blackouts. ATT, like most organizations, could not be good at the thing it was good at and good at the opposite thing at the same time. The web hosting business, because it followed the “Simplicity first, quality later” model, didn’t just present a new market, it required new cultural imperatives.

* * *

Dr. Amy Smith is a professor in the Department of Mechanical Engineering at MIT, where she runs the Development Lab, or D-Lab, a lab organized around simple and cheap engineering solutions for the developing world. 

Among the rules of thumb she offers for building in that environment is this: “If you want something to be 10 times cheaper, take out 90% of the materials.” Making media is like that now except, for “materials”, substitute “labor.”

* * *

About 15 years ago, the supply part of media’s supply-and-demand curve went parabolic, with a predictably inverse effect on price. Since then, a battalion of media elites have lined up to declare that exactly the opposite thing will start happening any day now. 

To pick a couple of examples more or less at random, last year Barry Diller of IAC said, of content available on the web, "It is not free, and is not going to be," Steve Brill of Journalism Online said that users “just need to get back into the habit of doing so [paying for content] online”, and Rupert Murdoch of News Corp said “Web users will have to pay for what they watch and use.”

Diller, Brill, and Murdoch seem be stating a simple fact—we will have to pay them—but this fact is not in fact a fact. Instead, it is a choice, one its proponents often decline to spell out in full, because, spelled out in full, it would read something like this:

“Web users will have to pay for what they watch and use, or else we will have to stop making content in the costly and complex way we have grown accustomed to making it. And we don’t know how to do that.”

* * *

One of the interesting questions about Tainter’s thesis is whether markets and democracy, the core mechanisms of the modern world, will let us avoid complexity-driven collapse, by keeping any one group of elites from seizing unbroken control. This is, as Tainter notes in his book, an open question. There is, however, one element of complex society into which neither markets nor democracy reach—bureaucracy.

Bureaucracies temporarily suspend the Second Law of Thermodynamics. In a bureaucracy, it’s easier to make a process more complex than to make it simpler, and easier to create a new burden than kill an old one. 

In spring of 2007, the web video comedy _In the Motherhood_ made the move to TV. _In the Motherhood_ started online as a series of short videos, with viewers contributing funny stories from their own lives and voting on their favorites. This tactic generated good ideas at low cost as well as endearing the show to its viewers; the show’s tag line was “By Moms, For Moms, About Moms.”

The move to TV was an affirmation of this technique; when ABC launched the public forum for the new TV version, they told users their input “might just become inspiration for a story by the writers.”

Or it might not. Once the show moved to television, the Writers Guild of America got involved. They were OK with For and About Moms, but By Moms violated Guild rules. The producers tried to negotiate, to no avail, so the idea of audience engagement was canned (as was _In the Motherhood_ itself some months later, after failing to engage viewers as the web version had).

The critical fact about this negotiation wasn’t about the mothers, or their stories, or how those stories might be used. The critical fact was that the negotiation took place in the grid of the television industry, between entities incorporated around a 20th century business logic, and entirely within invented constraints. At no point did the negotiation about audience involvement hinge on the question “Would this be an interesting thing to try?”

* * *

Here is the answer to that question from the TV executives. 

In the future, at least some methods of producing video for the web will become as complex, with as many details to attend to, as television has today, and people will doubtless make pots of money on those forms of production. It’s tempting, at least for the people benefitting from the old complexity, to imagine that if things used to be complex, and they’re going to be complex, then everything can just stay complex in the meantime. That’s not how it works, however. 

The most watched minute of video made in the last five years shows baby Charlie biting his brother’s finger. (Twice!) That minute has been watched by more people than the viewership of American Idol, Dancing With The Stars, and the Superbowl _combined_. (174 million views and counting.)

Some video still has to be complex to be valuable, but the logic of the old media ecoystem, where video had to be complex simply to be video, is broken. Expensive bits of video made in complex ways now compete with cheap bits made in simple ways. “Charlie Bit My Finger” was made by amateurs, in one take, with a lousy camera. No professionals were involved in selecting or editing or distributing it. Not one dime changed hands anywhere between creator, host, and viewers. A world where that is the kind of thing that just happens from time to time is a world where complexity is neither an absolute requirement nor an automatic advantage. 

When ecosystems change and inflexible institutions collapse, their members disperse, abandoning old beliefs, trying new things, making their living in different ways than they used to. It’s easy to see the ways in which collapse to simplicity wrecks the glories of old. But there is one compensating advantage for the people who escape the old system: when the ecosystem stops rewarding complexity, it is the people who figure out how to work simply in the present, rather than the people who mastered the complexities of the past, who get to say what happens in the future.

This entry was posted on April 1, 2010 at 12:50 pm and is filed under [Uncategorized][4]. You can follow any responses to this entry through the [RSS 2.0][5] feed. Both comments and pings are currently closed. 

### 136 Responses to “The Collapse of Complex Business Models”

1. [Where Does Online Video Go From Here? « @ the intersection][6] Says:   
[April 29, 2010 at 9:47 am][7]

[…] newspaper industry. Clay Shirky, an internet and media consultant and professor at NYU, recently suggested that the television industry faced the same disruption in its business models as newspapers are […]

2. [News Armageddon? « Tami Le][8] Says:   
[April 29, 2010 at 1:50 am][9]

[…] Clay Shirky wrote in his recent blog post this month: “When the value of complexity turns negative, a society plagued by an inability to react remains as complex as ever, right up to the moment where it becomes suddenly and dramatically simpler, which is to say right up to the moment of collapse. Collapse is simply the last remaining method of simplification.” […]

3. [Important Business Article (to me at least)][10] Says:   
[April 27, 2010 at 11:47 am][11]

[…] Important Business Article (to me at least) I’ve come back to this article many times since it’s been written. Sometimes I find it inspiring, other times I find it terrifying. But it seems to be very true. The Collapse of Complex Business Models Clay Shirky […]

4. [The Last Remaining Method Of Simplification « Bulldozer00's Blog][12] Says:   
[April 27, 2010 at 12:03 am][13]

[…] } In this blog post, The Collapse of Complex Business Models, uber-thinker Clay Shirky predicts the impending instantaneous implosion of many (all?) […]

5. [The Four Rules of Big Ideas (Tom Slee on Clay Shirkey) « Te Ipu Pakore][14] Says:   
[April 26, 2010 at 3:31 pm][15]

[…] model is Clay Shirky's essay, "The Collapse of Complex Business Models," which reiterates the Shirky Principle: “Institutions will try to preserve the problem to […]

6. [Subverting Social Roles « in over your head][16] Says:   
[April 26, 2010 at 10:19 am][17]

[…] that learn to do it go up the ladder fast, because they are doing a form of simplifying complex business models that is based on doing what’s needed to find results, instead of going through the usual […]

7. [Bookmarks for April 26th from 15:30 to 15:30 | LVDV][18] Says:   
[April 26, 2010 at 9:13 am][19]

[…] The Collapse of Complex Business Models « Clay Shirky – interesting piece by Clay Shirky […]

8. [Planner Reads » Blog Archive » Take Down][20] Says:   
[April 26, 2010 at 12:00 am][21]

[…] around the echo chamber. Over at his blog Whimsley, Tom Slee was kind enough to do just that to Clay Shirky’s “Collapse of Complex Business Models” essay. The money quote comes towards the end, “Complexity is not going away. It’s just moving […]

9. [Qui a peur de la complexité? « La partie immergée de l'iceberg][22] Says:   
[April 25, 2010 at 10:02 am][23]

[…] et de leur inévitable effondrement en raison même de cette complexité. Clay Shirky en fait une démonstration dans un billet où il explique comment l’industrie de la production audiovisuelle américaine, […]

10. [Planner Reads » Blog Archive » The Collapse of Complex Business Models – Clay Shirky][24] Says:   
[April 22, 2010 at 12:31 am][25]

[…] The most watched minute of video made in the last five years shows baby Charlie biting his brother's finger. (Twice!) That minute has been watched by more people than the viewership of American Idol, Dancing With The Stars, and the Superbowl combined. (174 million views and counting.) via shirky.com […]

11. [Links for 4.20.10: 60 Tips for Better Abs and Worse Breath « the listenerd][26] Says:   
[April 20, 2010 at 9:19 pm][27]

[…] Shirky and Evgeny Morozov talk about what the Internet is, could, and should be. Also, here’s Shirky on the collapse of business […]

12. [What is emerging? Simplicity. » JakeBouma.com][28] Says:   
[April 19, 2010 at 12:50 pm][29]

[…] the question “What is emerging?” I’d like to unabashedly tweak a few words from a recent blog post by Clay Shirky, author of Here Comes Everybody: The Power of Organizing Without […]

13. [What is emerging? Simplicity. » JakeBouma.com][28] Says:   
[April 19, 2010 at 12:50 pm][30]

[…] the question “What is emerging?” I’d like to unabashedly tweak a few words from a recent blog post by Clay Shirky, author of Here Comes Everybody: The Power of Organizing Without […]

14. [Eyjafallajökull und die Finanzbranche « Finance 2.0][31] Says:   
[April 17, 2010 at 4:19 am][32]

[…] Clay Shirky habe ich vor einigen Tagen einen hierzu passenden Artikel gefunden. In “The Collapse of Complex Business Models” bezieht er sich auf ein Buch von Joseph Tainter mit dem Titel “The Collapse of Complex […]

15. [What’s the Role of Policy in Times of Collapse? « Groundswell][33] Says:   
[April 16, 2010 at 7:05 pm][34]

[…] a comment » Clay Shirky has a thoughtful piece on his blog on "The Collapse of Complex Business Models" where he applies the lessons of Joseph Tainter's 1988 book, The Collapse of Complex Societies […]

16. [Linknotes April 16, 2010 « archizoo][35] Says:   
[April 16, 2010 at 5:03 pm][36]

[…] resonating this week was Clay Shirky’s considerations on the collapse of complex systems. While speaking more to the domain of media, Shirky’s reference to Tainter’s The […]

17. [The Collapse of Complex Business Models « Clay Shirky « Transmedia Camp 101][37] Says:   
[April 16, 2010 at 5:23 am][38]

[…] 12:50 pm and is filed under Uncategorized. You can follow any responses to this entry through the RSS 2.0 feed. Responses are currently closed, but you can trackback from your own site. via […]

18. [Sociala medier förändrar världen « marten@work][39] Says:   
[April 16, 2010 at 4:45 am][40]

[…] Shirky skriver i sin blog om The Collapse of Complex Business Models. Mycket intressant artikel som knyter an till detta med förändringar i världen och […]

19. [The future of news belongs to those who…kiss « Adam Westbrook][41] Says:   
[April 16, 2010 at 4:42 am][42]

[…] The insight comes from Clay Shirky, whose blog posts are rare, but always near revolutionary. He talks about the collapse of the great empires of the past: the Mayans, the Romans. They collapsed because they got too big, too complex and couldn’t […]

20. [The Sniffer » Blog Archive » Trends in New Business Models and Tablet Computers][43] Says:   
[April 15, 2010 at 9:00 am][44]

[…] this trendwatching podcast, Nora Young talks about Clay Shirky’s smart and provocative new blog post on mainstream media and (the problem of) new business models.  Check it out and let us know what […]

21. [Love on my mind II « Il grande cielo][45] Says:   
[April 14, 2010 at 11:58 pm][46]

[…] leggendo un post interessante sulle similitudini tra i collassi delle società del passato e dei business model […]

22. [On the Editor’s Desk » The challenges of complexity - could security collapse?][47] Says:   
[April 14, 2010 at 10:33 am][48]

[…] Here’s the post. It deals with the collapse of complex societies and it’s focused for media companies and broadcasters, but I think you’ll find a lot of things that are relevant to the security industry. I’ll outline where I see overlap below. […]

23. [P2P Foundation » Blog Archive » The collapse of complex societies, and what it means for media in a p2p age][49] Says:   
[April 13, 2010 at 5:00 pm][50]

[…] Boggs really likes this insightful essay by Clay Shirky, and I […]

24. [Della caduta dell’impero romano e dei media moderni… » London Eye - Blog - L'espresso][51] Says:   
[April 13, 2010 at 4:13 pm][52]

[…] Articolo lungo. Complesso. Senza foto. Imperdibile. Astenersi perditempo. […]

25. [A Case for Avoiding Complexity « Cutting Edge Computing][53] Says:   
[April 13, 2010 at 2:41 pm][54]

[…] 13, 2010 Posted by Peter Varhol in Strategy. trackback Recently Clay Shirky made an interesting observation concerning the impact of Internet media on traditional media business models.  While I am […]

26. [De eindredacteur is overbodig in het digitale tijdperk « De nieuwe reporter][55] Says:   
[April 12, 2010 at 6:44 pm][56]

[…] tijd zo lastig hebben. Wie daar nog niet van overtuigd is, moet maar eens Clay Shirky’s betoog over het ineenstorten van complexe businessmodellen lezen. Shirky noemt een voorbeeld uit het […]

27. [#pdlt : L'effondrement des modèles économiques complexes | traffic-internet.net][57] Says:   
[April 12, 2010 at 5:42 am][58]

[…] Clay Shirky est américain. Il est à la fois journaliste, écrivain et enseignant, il s’intéresse particulièrement aux interactions entre réseaux et culture. Il fait partie des gens qui sont très écoutés aux Etats-Unis et au-delà. Son dernier texte s’intitule “L’effondrement des modèles économiques complexes”. […]

28. [A bunch of links: casualised higher education labour, Hollywood movie betting, collapsing business models in TV, whingeing arts administrators, Siva Vaidhyanathan lecture, and more « A Cultural Policy Blog][59] Says:   
[April 12, 2010 at 1:17 am][60]

[…] Clay Shirky calls on the guru of complex systems theory, Joseph Tainter, to explain the current predicament of […]

29. [A lire ailleurs du 05/04/2010 au 12/04/2010 | traffic-internet.net][61] Says:   
[April 11, 2010 at 11:11 pm][62]

[…] L'effondrement des modèles économiques complexes – Clay Shirky […]

30. [The Social Media Challenge for IQPC « Nomad Marketer @ IQPC][63] Says:   
[April 11, 2010 at 6:05 am][64]

[…] models.  Just look at this great post on the notion of complex business models and change by Clay Shirky, it’s a long post, but well worth the […]

31. [Will AOL and Demand Media's Content Farm Strategy Prevail? « Insanity Reviews Friends][65] Says:   
[April 11, 2010 at 5:24 am][66]

[…] the fact remains, everywhere you look, it's about content consumption and monetization. In The Collapse of Complex Business Models, Clay Shirky argues that the inertia facing TV executives stems from their desire to see "online […]

32. [Times are changing: foraging, simplicity, Shirky-smart, etc. | Weblogsky: Jon Lebkowsky's Weblog][67] Says:   
[April 10, 2010 at 8:49 am][68]

[…] in a discussion of models for connectivity (”freedom to connect”). In a post called “The Collapse of Complex Business Models,” Clay discusses Joseph Tainter’s Collapse of Complex Societies, applying Tainter’s […]

33. [You Get The . Info » Institutions Will Seek To Preserve The Problem For Which They Are The Solution – 3695th Edition][69] Says:   
[April 9, 2010 at 8:45 pm][70]

[…] a comment We already wrote a detailed analysis of Clay Shirky’s recent writeup on complex business models. However, a few of you have sent over Kevin Kelly’s recent post about Shirky’s piece […]

34. [Changes In My Media Consumption « Social Media Is Great!][71] Says:   
[April 9, 2010 at 7:29 pm][72]

[…] from the contentproduction to product consumption. Like Clay Shirky mentioned in his article The Collapse of Complex Business Models, online video platforms like Youtube have revolutionized a simple and cost-effective way to produce […]

35. [Good enough « Dave Williams’ Blog][73] Says:   
[April 9, 2010 at 5:46 pm][74]

[…] everybody’s been linking to Clay Shirky’s piece on complexity, and why traditional media empires are likely to be hard-pressed or downright unable to adjust to […]

36. [Content on the Net in 5 to 10 years? « The Greatest Website Of All][75] Says:   
[April 9, 2010 at 3:26 pm][76]

[…] read this very interesting article by a fellow named Clay […]

«[ Older Comments][77]

Comments are closed.

* * *

Theme: Kubrick. [Get a free blog at WordPress.com][78]   
[Entries (RSS)][79] and [Comments (RSS)][80]. 

[1]: http://www.shirky.com/weblog/
[2]: http://www.shirky.com/weblog/2010/01/secretary-clintons-internet-freedom-speech-abridged/
[3]: http://www.shirky.com/weblog/2010/11/the-times-paywall-and-newsletter-economics/
[4]: http://www.shirky.com/weblog/category/uncategorized/
[5]: http://www.shirky.com/weblog/2010/04/the-collapse-of-complex-business-models/feed/
[6]: http://alexcalic.com/2010/04/29/where-does-online-video-go-from-here/
[7]: http://www.shirky.com#comment-3080 ""
[8]: http://tamile.wordpress.com/2010/04/29/news-armageddon/
[9]: http://www.shirky.com#comment-3079 ""
[10]: http://www.stevepavlina.com/forums/business-financial/46042-important-business-article-me-least.html#post572054
[11]: http://www.shirky.com#comment-3078 ""
[12]: http://bulldozer00.wordpress.com/2010/04/27/the-last-remaining-method-of-simplification/
[13]: http://www.shirky.com#comment-3077 ""
[14]: http://seansturm.wordpress.com/2010/04/27/the-four-rules-of-big-ideas-tom-slee-on-clay-shirkey/
[15]: http://www.shirky.com#comment-3076 ""
[16]: http://inoveryourhead.net/subverting-social-roles/
[17]: http://www.shirky.com#comment-3075 ""
[18]: http://www.lauravdv.nl/?p=105
[19]: http://www.shirky.com#comment-3073 ""
[20]: http://plannerreads.com/take-down/
[21]: http://www.shirky.com#comment-3072 ""
[22]: http://ddesjardins.wordpress.com/2010/04/25/qui-a-peur-de-la-complexite/
[23]: http://www.shirky.com#comment-3071 ""
[24]: http://plannerreads.com/the-collapse-of-complex-business-models-%e2%80%93-clay-shirky/
[25]: http://www.shirky.com#comment-3066 ""
[26]: http://thelistenerd.com/2010/04/20/links-for-4-20-10-60-tips-for-better-abs-and-worse-breath/
[27]: http://www.shirky.com#comment-3065 ""
[28]: http://www.jakebouma.com/2010/04/19/what-is-emerging-simplicity/
[29]: http://www.shirky.com#comment-3063 ""
[30]: http://www.shirky.com#comment-3062 ""
[31]: http://electrouncle.wordpress.com/2010/04/17/eyjafallajokull-und-die-finanzbranche/
[32]: http://www.shirky.com#comment-3061 ""
[33]: http://stearns.wordpress.com/2010/04/02/whats-the-role-of-policy-in-times-of-collapse/
[34]: http://www.shirky.com#comment-3060 ""
[35]: http://archizoo.com/2010/04/16/linknotes-meredith-creation-innovation-complex-systems-coworking/
[36]: http://www.shirky.com#comment-3059 ""
[37]: http://transmediacamp101.wordpress.com/2010/04/16/the-collapse-of-complex-business-models-%c2%ab-clay-shirky/
[38]: http://www.shirky.com#comment-3058 ""
[39]: http://martenatwork.wordpress.com/2010/04/16/sociala-medier-forandrar-varlden/
[40]: http://www.shirky.com#comment-3057 ""
[41]: http://adamwestbrook.wordpress.com/2010/04/16/the-future-of-news-belongs-to-those-who-kiss/
[42]: http://www.shirky.com#comment-3056 ""
[43]: http://thesniffer.net/?p=443
[44]: http://www.shirky.com#comment-3055 ""
[45]: http://ilgrandecielo.wordpress.com/2010/04/14/love-on-my-mind-ii/
[46]: http://www.shirky.com#comment-3054 ""
[47]: http://www.securitysystemsnews.com/blogs/?p=3018
[48]: http://www.shirky.com#comment-3052 ""
[49]: http://blog.p2pfoundation.net/the-collapse-of-complex-societies-and-what-it-means-for-media-in-a-p2p-age/2010/04/13
[50]: http://www.shirky.com#comment-3050 ""
[51]: http://piras.blogautore.espresso.repubblica.it/2010/04/13/della-caduta-dellimpero-romano-e-dei-media-moderni/
[52]: http://www.shirky.com#comment-3049 ""
[53]: http://pvarhol.wordpress.com/2010/04/13/a-case-for-avoiding-complexity/
[54]: http://www.shirky.com#comment-3048 ""
[55]: http://www.denieuwereporter.nl/2010/04/de-eindredacteur-is-overbodig-in-het-digitale-tijdperk/
[56]: http://www.shirky.com#comment-3047 ""
[57]: http://www.traffic-internet.net/?p=10955
[58]: http://www.shirky.com#comment-3034 ""
[59]: http://culturalpolicyreform.wordpress.com/2010/04/12/a-bunch-of-links-casualised-higher-education-labour-hollywood-movie-betting-collapsing-business-models-in-tv-whingeing-arts-administrators-siva-vai
[60]: http://www.shirky.com#comment-3033 ""
[61]: http://www.traffic-internet.net/?p=10946
[62]: http://www.shirky.com#comment-3032 ""
[63]: http://nomadmarketer.wordpress.com/2010/04/11/the-social-media-challenge-for-iqpc/
[64]: http://www.shirky.com#comment-3026 ""
[65]: http://friends.insanity-reviews.com/2010/04/will-aol-and-demand-media%e2%80%99s-content-farm-strategy-prevail/
[66]: http://www.shirky.com#comment-3025 ""
[67]: http://weblogsky.com/2010/04/10/times-are-changing-foraging-simplicity-shirky-smart-etc/
[68]: http://www.shirky.com#comment-3010 ""
[69]: http://www.yougetthe.info/institutions-will-seek-to-preserve-the-problem-for-which-they-are-the-solution-3695th-edition/
[70]: http://www.shirky.com#comment-3008 ""
[71]: http://rubyczhang.com/2010/04/05/changes-in-my-media-consumption/
[72]: http://www.shirky.com#comment-3006 ""
[73]: http://brachinus.wordpress.com/2010/04/09/good-enough/
[74]: http://www.shirky.com#comment-3005 ""
[75]: http://www.thegreatestwebsiteofall.com/content-on-the-net-in-5-to-10-years/
[76]: http://www.shirky.com#comment-3003 ""
[77]: http://www.shirky.com/weblog/2010/04/the-collapse-of-complex-business-models/comment-page-2/#comments
[78]: http://wordpress.com/
[79]: http://www.shirky.com/weblog/feed/
[80]: http://www.shirky.com/weblog/comments/feed/

