---
created_at: '2013-07-24T22:45:46.000Z'
title: How I Cured my RSI Pain (2010)
url: http://aaroniba.net/articles/tmp/how-i-cured-my-rsi-pain.html
author: vsbuffalo
points: 100
story_text: ''
comment_text: 
num_comments: 78
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1374705946
_tags:
- story
- author_vsbuffalo
- story_6099623
objectID: '6099623'

---
[Source](http://aaroniba.net/how-i-cured-my-rsi-pain "Permalink to How I Cured my RSI Pain")

# How I Cured my RSI Pain

 ← [aaroniba.net][1]

# How I Cured my RSI Pain

March 9, 2010

![][2]

For two years I suffered from severe hand, wrist, and forearm pain while typing. After spending a lot of money on world-class medical professionals and ergonomic products but seeing poor results, I was ultimately able to cure all my pain by reading [The Mindbody Prescription][3] (TMP). Now I can type for as long as I want, on any keyboard, in any position, without stretching or taking breaks, all without any pain. All thanks to changes I made to my mind.

Because my academic background is in mathematics, and because I am a professional computer programmer, I have a sensitive bullshit detector. If you are like I am, then my story might trigger your bullshit detector because:

1. The term "mindbody" sounds like unscientific new age nonsense.
2. It contradicts conventional wisdom about RSI and carpal tunnel syndrome.
3. It sounds too good to be true.

When a friend first suggested the book to me, I dismissed it as bullshit. To my surprise, the TMP book was rigorously scientific, providing a compelling case based on laboratory and clinical evidence. Of course, that the self-cure procedure worked for me was the most convincing part.

The purpose of this article is to encourage other computer users with pain to try reading the book that had a profound positive impact on my life. This is the article I wish I had read two years ago.

What follows is a detailed account of my struggle with typing pain, and how I ultimately eliminated it from my life.

## About Me

I am a software engineer and entrepreneur. I co-founded AppJet Inc., a software company that made a popular collaborative word processor called EtherPad, which was acquired by Google. During the 2.5 years of working on AppJet, I spent the overwhelming majority of my waking life typing at a keyboard.

I have enjoyed a life-long love affair with computer programming. Before founding AppJet, I worked at Google, and before that I studied mathematics and computer science at MIT. I mention these credentials to persuade you that (1) I am a serious typist, and (2) I possess the intellectual tools necessary to provide a rational analysis of my RSI ordeal and cure.

## Pain Begins

I have always typed a lot, but in the first six months of starting AppJet Inc., I did nothing but type and occasionally sleep.

The final weeks before we launched our first product, I was more caffeinated, sleep-deprived, and stressed than ever. Two days before launch, I started to experience severe, nearly crippling wrist pain in my right hand while typing. I powered through it and continued to work. A few weeks after launching, I felt a similar pain in my left hand and wrist. Then the pain spread to both wrists and forearms.

The pain appeared to be located in the muscles of the top (dorsal) side of my wrists and forearms, between and including the elbows and the wrist joints. The pain was triggered either by pressing a key on a keyboard or clicking using the mouse. The muscles felt stiff and sometimes swollen, and extremely painful when pressed or massaged.

Worried about becoming permanently disabled, I took a quick vacation to rest my hands and wrists. During this vacation, I went snowboarding and had a nasty fall on an outstretched (dorsiflexed) hand, which resulted in a painful wrist sprain. This fall was the source of much confusion over the next year, because I later hypothesized that it was connected to my ongoing pain while typing. I now believe this fall was completely incidental and unrelated to the pain I experienced while typing, but I mention it for the sake of completeness.

After the vacation did nothing to help my pain, I spent much of the next two years struggling to manage the pain, and in search of a cure. This took a toll on my time and my wallet. I was fortunate to have the financial means to explore a wide range of treatment options, though ultimately my cure cost only $10 and a weekend of reading. In total, I estimate I incurred about $20,000 in unnecessary costs for doctors, treatments and products that did little or nothing to help with the pain.

In the following section, I chronicle the various things I tried before hitting on the TMP book that cured me.

## Expensive and Useless Treatments

### Vacations

I took more vacations than I would have otherwise liked to, on the theory that I needed to rest my wrists from typing. Although my wrists did not hurt during the vacations (because I was not typing), my pain resumed as soon as I got back to work. I do not believe these vacations had any beneficial effect on my pain. As soon as I got back to work, the pain resumed as intensely as it had been before I left.

### Chiropractor

The first medical specialist I consulted was a chiropractor specializing in RSI, tendonitis, and carpal tunnel syndrome.

Over 9 weeks, I regularly went in for traction, adjustments, and massage, with no noticeable improvement in typing pain. When it was clear that I was not getting decent results, the chiropractor recommended I consult a hand surgeon, so I discontinued chiropractic treatment.

### Hand Surgeons

I talked to four different world-renowned hand surgeons. This matter is complicated because I was still chasing the idea that my pain could have been caused in part by my snowboarding wrist sprain, so we were not sure whether to look for RSI, carpal tunnel, or ligament damage. My goal with the wrist surgeons was to use medical imaging to identify any structural abnormalities in my hand and wrist.

I had wrist X-rays, an MRI, and a Radiographic Bone Scan, and had the results analyzed by all four hand and orthopedic surgeons. One surgeon saw no abnormalities on either imaging results. One surgeon identified a "dorsal capsule fleck" that he theorized was impinging on part of my wrist joint. Another surgeon thought I had a torn scapholunate ligament. And the final surgeon thought I had a ganglion cyst.

The four conflicting interpretations of the imaging results did not inspire any confidence in these guys, so I declined intrusive surgery.

I did try a cortisone injection, which helped temporarily, but soon afterwards the pain while typing resumed.

I also tried immobilizing my right wrist in a hard cast for four weeks, in case there was ligament damage from the snowboarding fall that needed healing. From the beginning of my pain, my right hand consistently hurt more than my left one, and I was not sure whether this was due to my snowboarding fall or that I use the computer mouse mainly with my right hand. Immobilizing my right wrist in a hard cast for four weeks did nothing but atrophy the muscles. There was no affect on the pain; if anything, it got worse.

None of the surgeons was able to provide a specific and satisfactory anatomical explanation for why I experienced excruciating pain while typing. I was starting to get desperate.

### Acupuncture

I was skeptical about acupuncture because it seemed to be practiced by hippies rather than doctors. But I met a violinist with similar wrist and forearm problems who recommended it. She noted that it is important to find a good acupuncturist, because they vary in their skill for choosing where to place the needles. So I evaluated five different acupuncturists and found one who was smart and medically trained.

My first acupuncture appointment provided a great pain relief, but as with the cortisone, it was only temporary.

Still, temporary pain relief was better than nothing, so I continued to see my acupuncturist regularly for over a year.

### Massage

I visited several different massage therapists, each with unique areas of expertise: Swedish massage, deep tissue, and ART among others. To be sure, it felt very good to have my wrists and forearms massaged, but the relief was only temporary. My wrists felt great immediately after the massage session, but after 1 day of rigorous typing, I would be back in pain. I continued to see a deep-tissue massage therapist in conjunction with my acupuncturist.

### Ergonomics and Ergonomic Products

I bought every ergonomic product that I could find, including four different keyboards, six different mice, monitor stands, keyboard trays, chairs, wrist braces to wear while typing, wrist braces to wear while sleeping, home forearm massager, infrared forearm massager, ice packs, hot/cold packs, ultrasonic wrist massager, stress balls, grip strengtheners and exercisers, and countless others. Nothing worked.

There is a certain "common knowledge" among computer workers that RSI is the result of poor ergonomics. This fails to explain why some people can work for long periods of time under conditions of atrocious ergonomics, but not experience the same pain that I did. My co-founder David Greenspan, for example, is able to huddle up into a ball on top of a broken $40 IKEA stool, and stay up all night programming without the slightest discomfort. I suspect you are jealously aware of people like this in your own work environment.

s radical as this sounds, I do not think ergonomics has much to do with typing pain. I recently had a massively productive 10-hour coding session using my laptop keyboard in a cramped economy seat on a flight from Tokyo to San Francisco. I would not have dreamed of this two years ago.

### Micro-breaks

[AntiRSI][4] and [xwrits][5] are software tools that periodically interrupt you while you are typing to force you to take a break so that you don't overuse your hand muscles. I tried these programs with varying break intervals and break lengths, and for me the effect was negligible. I also found it extremely annoying to be constantly interrupted while I was in the middle of typing something.

### Text Editors

Because I am a programmer, I spend much of my typing time inside a text editor. Programmers tend to be particular about their choice in editor, and my choice was Emacs.

I used to tell people that they could pry Emacs from my cold, dead hands, but actually painful wrists were enough to get me to explore other editors.

There is a theory that the "Vi" editor is easier on the wrists because it involves less chording (holding down multiple keys simultaneously). I invested two weeks learning Vi. If you are a computer programmer, then you know how frustrating it can be to replace a beloved and comfortable developer tool with an unfamiliar one, but I put a serious effort into switching. Vi is a great editor and I am glad I learned it, but it did not have any effect on my typing pain.

### Giving Up

At this point, I reached a steady-state where I continued to have ongoing pain while typing, but developed enough ways of managing the pain that I could continue to work, although not as much as I would have liked. I continued to see an acupuncturist and massage therapist for over a year, during which time I still experienced significant typing pain, but with regular appointments and various other coping mechanisms, I didn't have to abandon typing altogether.

I was close to giving up when I ran into my old friend Savraj Singh, the one who had recommended The Mindbody Prescription to me nearly a year ago. When he first recommended it, I was dismissive, but now I was desperate enough to give it a try.

## The Cure: The Mindbody Prescription

Two weeks after reading TMP I was typing completely pain-free. As of March 9th, 2010, it has been over 13 months since I last experienced pain while typing. I can type as much as I want, in whatever unergonomic position I want, on any keyboard, without any pain. The amazing thing about this recovery is that the changes I implemented were entirely psychological.

The author of TMP is Dr. John Sarno, a professor at NYU School of Medicine, a practicing physician, and a clinical researcher. His book is scientific and rigorous, unlike other "mindbody" books you might encounter.

Sarno explains how your unconscious mind can provoke physical pain by manipulating your autonomic nervous system to deprive muscle tissue of oxygen. The book posits that the unconscious does this because of unresolved, unconscious stress that exists deep in your mind. By inducing physical pain, the unconscious creates a distraction that prevents this stress from becoming conscious. You can eliminate the pain by addressing the unconscious stress and becoming consciously aware that the pain is merely a distraction, thus rendering the unconscious's technique unnecessary and ineffective. The book provides specific methods for accomplishing this. I applied these methods and my pain disappeared.

As I mentioned above, I realize this sounds ridiculous to most people. Indeed, I was highly skeptical until I gave it a chance and sure enough, it cured all my pain.

If you find the idea of an intelligent, manipulative unconscious to be too far out there, then there is simpler (though more hand-wavy) theory that you might find more appealing: If you believe that unconscious stress can cause your muscles to tense up, then perhaps if you are unconsciously worried about something (including worried about your wrists hurting while you type), then this can cause your wrists to hurt while you type. By convincing yourself to not worry about pain while typing, you can eliminate this stress and thus eliminate the pain while typing. That's just another idea to explain why these psychological techniques worked.

After reading some other sources on psychology and the unconscious, I believe the truth is closer to Sarno's explanation of a manipulative unconscious. Even though I have used this idea to completely cure my typing pain, I am still amazed, and a bit disturbed, that my unconscious is capable of having such a dramatic physical impact on my body.

TMP also explains some other things that had been puzzling me:

* It explains why I had a sudden onset of pain during a stressful time, whereas I was able to type pain-free for 20 years prior.
* It explains why some of my colleagues can type for hours with atrocious posture yet without any discomfort.
* It explains why acupuncture and massage were temporarily helpful: they are known to increase blood (and oxygen) flow to muscle tissue.

There is not enough space here for a full description of TMP and how I applied it. Even if there were, I would not be able to articulate it better than Dr. Sarno himself. My purpose is only to persuade you to read the book and potentially achieve a great result like I was able to, hopefully before investing lots of time and money in ineffective cures as I did.

## Disclaimer

I am a computer programmer, not a doctor. Maybe your condition is different from mine, and you need treatment besides just reading TMP.

That said, it seems to me that if you suffer from chronic pain, then it makes sense to try reading TMP before you spend lots of time and money (as I did) on other things. Also, the author of TMP, [Dr. John Sarno][6], _is_ a doctor, and a professor of medicine at NYU, and has a successful practice in New York.

## Conclusion

I read the TMP book with an open mind and experienced amazing results that solved the #1 problem in my life. If you have chronic pain while typing, then I encourage you to read the book, and I hope that you experience similar success.

## Other links & success stories

* [Harvard RSI Action: The Mindbody Approach][7]
* [rsi-backpain.co.uk][8]
* [Romain Thibaux's Success Story][9]
* [Amazon reviews for TMP][10]
* [tmswiki.org][11] ([hand pain success stories][12])

## Reader Comments

Enable JavaScript to view the [comments powered by Disqus.][13]

[1]: http://aaroniba.net/
[2]: //aaroniba.imgix.net/rsi-mind-small.png?border=1,000&auto=format&ch=Width,DPR&w=184
[3]: http://www.amazon.com/Mindbody-Prescription-Healing-Body-Pain/dp/0446675156
[4]: http://tech.inhelsinki.nl/antirsi/
[5]: http://www.lcdf.org/xwrits/
[6]: http://en.wikipedia.org/wiki/John_E._Sarno
[7]: http://www.rsi.deas.harvard.edu/mb_what_is.html
[8]: http://www.rsi-backpain.co.uk/
[9]: http://www.repetitive-strain-injury.de/success-story-carpal-tunnel-syndrome-plantar-fasciitis.php
[10]: http://www.amazon.com/Mindbody-Prescription-Healing-Body-Pain/product-reviews/0446675156/ref=pr_all_summary_cm_cr_acr_txt?ie=UTF8&showViewpoints=1
[11]: http://www.tmswiki.org/
[12]: http://www.tmswiki.org/ppd/Hand_Pain
[13]: https://disqus.com/?ref_noscript

