---
created_at: '2014-01-12T12:24:23.000Z'
title: Bootstrap or Die - Lessons Learned From a Web Startup's Murder/Suicide (2010)
url: http://bootstrappy.blogspot.se/2010/02/bootstrap-or-die-lessons-learned-from.html
author: guynamedloren
points: 44
story_text: ''
comment_text: 
num_comments: 23
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1389529463
_tags:
- story
- author_guynamedloren
- story_7045832
objectID: '7045832'

---
[Source](http://bootstrappy.blogspot.se/2010/02/bootstrap-or-die-lessons-learned-from.html "Permalink to Bootstrappy: Bootstrap or Die - Lessons Learned From a Web Startup's Murder/Suicide")

# Bootstrappy: Bootstrap or Die - Lessons Learned From a Web Startup's Murder/Suicide

#  [ Bootstrappy ][1]

## Saturday, February 6, 2010

###  Bootstrap or Die - Lessons Learned From a Web Startup's Murder/Suicide 

![][2]

  
_The following post is [@chrisco][3]'s response to this TechCrunch article: [EventVue’s Next Event: Deadpool. Co-Founder Shares Mistakes][4], which, along with [EventVue's own post-mortem][5], is recommended reading for startup founders and prospective founders, especially those weighing bootstrapping vs. raising outside financing, especially without a rational, founder-equity-value-creating reason (not saying Rob and Josh did that, just saying it's something to avoid)._  
  

![][6]

**Warning**: This post contains explicit content (I guess I was in one of those moods when I wrote it)!  
  
Here at [Bootstrappy][7] we advocate maximizing** founder equity value**, which is different than maximizing total equity value and much different than maximizing VC equity value, which is (_big surprise_) the VC's goal.  (Note: When I say "VC" in this blog, I mean VCs plus most other types of startup investors.)  In a perfect world, all of those interests would be 100% aligned, but because of the way VCs try, and often do, structure the payoffs, as you can see in the chart above, that alignment is <strike>skewed</strike> fucked.  
  
Founder equity value is often maximized by an "early exit," but that's the topic of a future post.  In the meantime, read about early exits on our friend Basil Peter's blog, [angelblog.net][8].  Basil is in beautiful Vancouver, probably getting ready to go to some Olympic events ([NYT interactive map][9]). Too bad [DC got today's big snow storm][10] and [not them][11].  
  
Ok, with that preamble out of the way, if you haven't done so already, check out the [TechCrunch article][4] and [EventVue's blog][5].  
  
Ok, now on to today's blog/response, which was prompted by **EH's comment** on the TechCrunch thread (click image for full size):  
  

![][12]

  
  
**Here's the premise:**  
Taking VC money is often _**a**_ root cause of _**some**_ of the "Deadly Mistakes" listed on EventVue's blog.  
  
Whatever you think about that premise, hopefully you'll agree that it's usually a good idea to stop, think, and discuss before you make an irreversible, and potentially fatal, decision.  If you need advice or a sounding board, get it **before** you go on your fund-raising road show and get it from someone who is on _**your**_ team (more on that below).  
  
**Take this EventVue "deadly mistake," for example:**  
"tried to build a sales effort too early":  
  
Pumping money into a sales effort is what VCs do (yes, another _surprise_).  No bootstrapping startup would or could do that so early.  Why?  Because (1) they can't, and (2) it's not rational, at least not if you consider yourself "data-driven." ** **Yes, if you're "investing" money in a sales effort at the angel/seed stage and/or before the expected **customer lifetime value** is greater than expected **customer acquisition cost** (more on that below), then you need to put down the [crack pipe][13] and loaded gun, 'cause that story's gonna end bad, at least if you don't make some changes.  
  
In a future post, if you guys want ([submit and/or vote on topics here][14]), I'll do some modeling and analysis around those things (so far what I've seen going around the Web is lacking).  After all, I didn't spend [four years][15] modeling and analyzing and investing millions of dollars in subscription-based business models for nothing.  Four years might not sound like much, but there was a **lot** of action from '99 to '03, and we were in the thick of it: A stock market bubble going parabolic ('99), then crashing ('00), [Google launching AdWords][16] ('00),  [9/11][17] ('01), our [IPO][18] ('01), the birth and growth of the [mother of all credit and asset bubbles][19] ('02+), and more.  
  

> **Update**: Josh of EventVue sounded off that they raised angel money, not VC money, which is true, but beside the point.  The point is that, whether the money comes from an angel or a VC or a bank or China or your dad, you need to stop, think, and discuss before you choose to pursue and/or take outside financing, under what terms, from whom, when, and why ([five times][20]).  My gut tells me that _**maybe**_ other root deadly problems at EventVue _**might**_ relate to (1) missing main points, nuances and details, and (2) forming beliefs and then clinging to them instead of viewing them as hypotheses to test.  Those are critical factors, maybe the most critical, but they're topics for a future post as well.  Note, the above is not a criticism, and there is no shame, we can all do better in those areas (I know I can).  Post-mortems require getting into areas most people prefer not see or acknowledge.  The irony is that those "difficult" areas are <strike>often</strike> usually the most important ones -- they're also <strike>often</strike> usually the most interesting, "fun," and potentially rewarding ones.  If we're going to chose not to go there, that's fine, but it's a choice and it leads to blue-pill world ([YouTube][21]), which is fine for most people, but not for you, at least not if you want to learn and grow and see truths, especially the ones that most people find difficult or ugly, which, again, are <strike>often</strike> usually the most important, and beautiful, ones. It's not the spoon that bends, after all ([YouTube][22]). 

  
Now back to our regularly scheduled blog post:  
  
Dollars are data.  Customer acquisition costs are data.  Customer lifetime values are data.  ROI is the intersection of those two streams of data, adjusted for your fixed costs plus your marginal costs.  
  
So what the fuck are you (not Rob and Josh, I mean any of us founders) doing if you're either ignoring the data or throwing money down a rat hole of upside down financial metrics?  That's a reason why hackers and web startups need a competent "business/marketing/finance/ops guy" on their team (I don't need to explain why business guys need competent hackers on their team, that's obvious).  
  
Thinking that a VC is competent is a leap of faith -- some are, most not so much (bell curve).  Thinking that a VC is on **your** team is plain wrong.  The VC is on **his** team.  He's maximizing his outcome.  That's his job.  There's nothing inherently wrong with that, it's just that you need to recognize that fact and you need someone on your team or else you [insert favorite analogy here] "are like a lamb in lion's den" or "just brought a knife to a gun fight."  
  
Sure, [Mortimer Duke][23] ([YouTube][24]) wants you to make money, but he's on your team about as much as a gangster is on one of his fighting pit bull's team.  Sure, [Cheese][25] wants his Dog to win ([YouTube][26]), but he's got plenty of other dogs in his kennel.  So does the Mortimer.  Ok, now I'm exaggerating and throwing around dated references and weird analogies, but it's more fun that way :)  
  
**A Few Important Terms/Variables**:  
  
Through the magic of [liquidation preferences and cumulative dividends][27], Mortimer will take 100% of the money if the exit price is less than the price at which your shares come into the money, which is pretty high.  In fact, your shares payoff like a [call option][28] with a high strike price.  The payoffs on exit looks something like what you see on the chart at the top of this page ([here][29] is a full-size image).  
  
Even after the exit price passes your break-even point, it's likely that Mortimer will take additional pieces pie, through the magic of **participation** (see [here][30] and [here][31]), just as you agreed to let him do in the contract you signed without someone who is really on your team negotiating on your behalf or helping you negotiate on your own behalf.  
  
**How to know if someone is on your team? Follow the money:**  

1. Design your deal with them to align interests and payoffs.
2. Look for and eliminate or mitigate conflicts of interest (obvious, hidden, whatever).
Even "your" lawyer has a conflict of interest to the extent his or her revenue depends on VCs sending future business to, or away from, him or her. Sure, ethics and oaths require them to put that conflict aside, just as ad-supported media is supposed to put aside its conflicts of interest and journalists are supposed to put aside theirs. But the fact remains that if a lawyer pisses off a VC, the VC will vote with his wallet, just as the advertiser will if the media outlet pisses them off.  In the journalist example, she will get frozen out by key sources if she pisses them off.  Quid pro quo, Clarice.  
  
The bottom line is that you probably want someone on your team who knows how to negotiate and model scenarios in Excel **before** you contact and negotiate with a commercial investor.  If you don't do that, you've probably chosen to learn a lesson the hard way (through your own mistake) instead of the <strike>easy</strike> easier way (through someone else's mistake).  
  

> To answer the question some of you may be wondering about now: Yes, I can and do sometimes consult for founders and web startups. But, no, this isn't a pitch.  In fact, as many of you know, my plate if pretty full with my own projects and investments right now, which means I have to be more selective about the projects I get involved with and the commitments I make to them.  That said, feel free to checkout my [LinkedIn profile][15] and drop me a line if you want.

  
Once you take VC money, they will <strike>advise</strike> force you, in all kinds of ways, most of them involving cranking up your burn rate and going for broke.  Why?  Because VCs need you to either hit a home run or strike out and they need you to do it fast.  There will be no singles or doubles (early exits for $10-$30 million).  "Hit 'us' a home run our go the fuck home, thanks for playing," is what Mortimer has planned for you.  That's one reason why bootstrapping is best for many/most web startups.  There are many other reasons (topics for another post).  
  
**What's a startup founder to do?**  
  
Do your customer development, figure out your product and customers, your value proposition, get some customers, get your customer acquisition cost and lifetime value metrics down, or at least do enough real-money hypothesis testing and funnel optimization to have a high degree of confidence that if you invest **$I** in customer acquisition you will net **Q** paying customers, who each have an average lifetime value, [discounted back to present][32], of **$r**.  
  
If $r is greater than **$i** (little "i" is your weighted average customer acquisition cost, which will vary by channel and other factors, of course), then you have (1) a rational reason to raise and invest capital in sales and/or marketing, and (2) negotiating leverage, or "hand," as Seinfeld calls it ([YouTube][33]).  
  
If you raise money to build a sales team before you know what $r and $i are and before you have some rational, quantifiable reason to believe that $r is greater than $i, then, yes, you have made a deadly mistake, you have committed startup suicide.  Ok, if a VC is involved, and by definition they have to be involved if you raised money to build a sales team, then maybe it's better called murder/suicide (but it's really suicide because all the VC did was give you the loaded gun, you pulled the trigger yourself).  Ok, there's a small chance that it'll work and you've got the next Twitter, but when you run the numbers and probabilities, the expected value is negative, you've got the next Shitter.  
  
**Negotiating With Venture Capitalists**  
  
Don't "negotiate" with a VC unless you have hand plus a viable [BATNA][34].  If you don't have those things, you'll probably be ass fucked six ways from Sunday.  **Update**: Yikes, the phrase "*ss f*cked," or at least the asterisks I originally used, angered a troll and caused him to call for a lynch mob (exaggeration intentional and for effect) [here][35] on HackerNews (I know you shouldn't feed the trolls, but I had a few minutes and [replied][36]). Kind of funny that at the same time the troll struck, Allen Stern over at [CenterNetworks][37] put this blog post on his [Weekend Entrepreneurial Reading][38] list of "great Entrepreneurial posts."  After that, we had the "retard" controversy ([WashPo][39], [HuffPo/Colbert Video][40], and [TechCrunch][41]).   
  
Lastly, why does this kind of blowout so often happen to people in their 20s?  On reason is discussed in Chris OBrien's "[The Innovation Age Bias At Sequoia Capital][42]" and its comments.  That link goes to my first comment on there, which is followed by [Vivek Wadhwa][43]'s perspective (Vivek is a guest author on TechCrunch, a Visiting Scholar at UC-Berkeley, and has ties to Duke and Harvard).  
  
Cheers,  
[@chrisco][3]  
  
PS: I'm sure we'll be hearing from Rob and Josh again soon! As others have said, this is not a failure, it's milestone on their journey and learning experience. Good luck, guys! 

Posted by  chrisco at  [3:39 AM][44] [ ![][45] ][46] [ ![][47] ][48]

[Email This][49][BlogThis!][50][Share to Twitter][51][Share to Facebook][52][Share to Pinterest][53]

#### 10 comments:

1. ![][54]

[JC][55][February 6, 2010 at 8:03 PM][56]

Great post. So, why do you think so many go for that VC cash...?  
  
I think it has to do more with neediness than actual need. I'm curious to hear your take.   
  
Drop me a line if you want to do an interview or set up a guest-post exchange.

[Reply][57][Delete][58]

2. ![][59]

[Bootstrappy][60][February 9, 2010 at 6:32 AM][61]

Thanks, JC.  
  
For some reason, at least among some people, mostly younger ones, there might be too much weight put on validation, attention, and status. Nothing necessarily wrong with those things, but giving them too much weight can lead to suboptimal decisions. At one point or another, we've all done it, there's no shame, it's just part of growing.  
  
Also, a lot of VCs are all too happy to play their role in the show. They require the attention and are as pleased as little girls at beauty pageants to have fawning audiences, especially ones that have never seen a term sheet before, and don't know how to negotiate one or if they should even be seeking one, etc.  
  
All that is one reason people such as Sequoia Capital partner Douglas Leone only target 20-somethings. Yes, he comes right out and says it -- as he fluffs and positions his quarry (that position, BTW, is on all fours, face down, ass up). See that SiliconBeat.com article I mentioned and it's comments.  
  
The reason these guys target 20-somethings is the same reason con artists target the elderly. They are vulnerable.  
  
In the case of 20-somethings, they’re vulnerable because they're still green (everybody starts green, there's no shame in that, either). All they see is some fancy guy a slick pitch who knows how to throw around a few buzzwords and slogans and sound smart to their virgin ears.  
  
They don’t yet realize that 99% of VCs are reading form the same used-car salesmen’s script, jumping on the same latest-and-greatest bandwagon, and generally trying to position them for an *ss f-ing. You can do that more easily to a 20-something. Not so easily to a 30 or 40 year old.  
  
Again, I throw a little spice in my writing because I think it's fun (and it sometimes helps make a point -- maybe).  
  
Cheers,  
Chris  
  
PS: Yes, we should see about that interview and/or guest post exchange. As is the case with many of us these days, yourself included probably, I've got a lot of balls in the air right now, but at least we are on each other's lists. Cheers again!

[Reply][57][Delete][62]

3. ![][54]

[JC Hewitt][55][February 10, 2010 at 10:03 AM][63]

I like your take.  
  
If you have a great idea and a semi-functional organization, why would you give up an equity stake, if you look at it from a rational perspective?  
  
I'd also like to see more numbers-heavy, charteriffic posts. That's the good stuff.  
  
Also, yeah, I have a bunch of stuff going on too. I'll hit you up soon.

[Reply][57][Delete][64]

4. ![][59]

[Bootstrappy][60][February 11, 2010 at 12:50 PM][65]

Sounds good all around. Cheers!

[Reply][57][Delete][66]

5. ![][54]

[Ed][67][February 15, 2010 at 5:10 PM][68]

One of the most intelligent and helpful posts I have read for bootstrappers and entrepreneurs who think they want VC money. The colorful metaphors enhance the educational value and to me reflect of the experience of someone who has "been to war" \- not a clueless f*ck writing about how heroic, romantic and exciting it is.

[Reply][57][Delete][69]

6. ![][54]

[Peter][70][March 28, 2010 at 10:38 AM][71]

Excellent post. I had to get on a VPN here in China to read as most intelligent life in the universe is blocked here, but it was worth the wait.

[Reply][57][Delete][72]

7. ![][73]

[chrisco][60][September 13, 2011 at 12:07 AM][74]

Sequoia’s Doug Leone is talking his BS again. This time using the Arrington/AOL hype as a platform: http://www.pehub.com/118285/sequoias-doug-leone-to-mike-arrington-why-you-want-to-be-a-vc-is-beyond-me/.  
  
If you're naive enough to believe Doug, you'd be naive enough to believe:  
  
1) If you're a founder: His term sheet language and terms are "standard" in the industry.  
  
2) If you're an investor or prospective investor: Don't bother. Becaus

[Reply][57][Delete][75]

8. ![][73]

[chrisco][60][January 19, 2012 at 1:17 PM][76]

Interesting post from Paul Graham of YCombinator: "A Word to the Resourceful": http://paulgraham.com/word.html  
  
Excerpt:  
  
"My feeling with the bad groups is that coming into office hours, they've already decided what they're going to do and everything I say is being put through an internal process in their heads, which either desperately tries to munge what I've said into something that conforms with their decision or just outright dismisses it and creates a rationalization for doing so. They may not even be conscious of this process but that's what I think is happening when you say something to bad groups and they have that glazed over look. I don't think it's confusion or lack of understanding per se, it's this internal process at work."

[Reply][57][Delete][77]

9. ![][73]

[chrisco][60][January 12, 2014 at 12:32 PM][78]

Discussion of this blog post was rekindled on HackerNews today: https://news.ycombinator.com/item?id=7045832

[Reply][57][Delete][79]

10. ![][73]

[chrisco][60][January 17, 2014 at 12:19 PM][80]

Excellent and topically related article by Andrew Chen "When a great product hits the funding crunch": http://andrewchen.co/2013/11/05/when-a-great-product-hits-the-funding-crunch/ . Everpix also published a lot of postmortem data here in Github: https://github.com/everpix/Everpix-Intelligence . One of the things that shocked me and showed that they were busy rearranging deck chairs on the Titanic instead of doing anything to save the company was on slide 6 of this presentation: https://github.com/everpix/Everpix-Intelligence/blob/master/Online%20Paid%20Customer%20Acquisition%20Test%20Results.pdf : $1151 customer acquisition cost. Unless the customer LTV (including referral/viral stuff) is more than that, they are destroying value. Nowhere did I find an model or analysis of their customer LTV. Simply shocking to me (or maybe it's there and I missed it). Anyway, this sounds like another case of murder suicide.

[Reply][57][Delete][81]

[Add comment][57]

[Load more...][57]

#### [][82][

[Newer Post][83] [Older Post][84] [Home][1]

Subscribe to: [Post Comments (Atom)][85]

## Search

| ----- |
|   |   | 

[ ![][86] ][87]

## Calling All Bootstrapped Startups

Bootstrappy is bootstrapped startups helping bootstrapped startups -- and generally trying to grow the pie and pay it forward. Join the circle, even if you're angel or venture funded :)  
  
Follow on Twitter: [@Bootstrappy][88]  
[Share on Twitter][89]  
Submit or Vote on Ideas: [UserVoice][90]  
Email: boot[...][91]@gmail.com  
  
Get in touch to:  
  
1) Submit links for our list of bootstrapped startups to boot[...][91]@gmail.com.  
  
2) Submit @names of bootstrapped startups on Twitter for our [Twitter list][92] to [@Bootstrappy][88] (just follow and @).  
  
3) Submit and vote on story and other ideas at [UserVoice][90].  
  
4) Write a guest post. Just email boot[...][91]@gmail.com to discuss.  

[ ![][86] ][93]

## Subscribe

![][94] ![][95] Posts 

[ ![][96] ][97] [ ![][98] ][99] [ ![][95] Atom ][100]

![][94] ![][95] Posts 

![][94] ![][95] Comments 

[ ![][96] ][101] [ ![][98] ][102] [ ![][95] Atom ][85]

![][94] ![][95] Comments 

[ ![][86] ][103]

## Followers

[ ![][86] ][104]

## Recent @Bootstrappy Tweets

## Twitter Updates

[ ![][86] ][105]

## Links - Bootstrapped Startups
* [12seconds.tv][106]
* [@Bootstrappy/bootstrapped-startups][107]
* [Atebits][108]
* [BackType][109]
* [Balsamiq][110]
* [BuySellAds.com][111]
* [BuzzLove.com][112]
* [BuzzPal][113]
* [Cataphora.com][114]
* [Chrometa][115]
* [CloudFire][116]
* [crowdSPRING][117]
* [EasyCal][118]
* [Genoom][119]
* [GitHub][120]
* [HighStranger.com][121]
* [Jumblr][122]
* [Mockingbird][123]
* [Picnik.com][124]
* [Shoes of Prey][125]
* [Socialcast][126]
* [StatSheet][127]
* [Techmeme][128]
* [TinyChat][129]
* [Trackur.com][130]
* [WhenBusy][131]
* [Wildfire Interactive][132]
* [Wizehive][133]
* [Wufoo][134]

[ ![][86] ][135]

## Links - Blogs
* [ A Smart Bear][136]

[ WP Engine passes $100M in revenue and secures $250M investment from Silver Lake ][137] \-  WP Engine just announced passing $100M in annual recurring revenue and a $250M investment from Silver Lake. We've never been in a stronger position! 

1 month ago 

* [ Agile Software Development Made Easy][138]

\- 
* [ Ash Maurya][139]

[ How to Achieve Breakthrough by Embracing Constraints ][140] \-  The Audi race team had the goal of winning the prestigious Le Mans race. Both their closest competitors, BMW and Mercedes, had won the race before which ma... 

1 year ago 

* [ Chris Sacca][141]

[ Links for 2017-03-31 [del.icio.us] ][142] \-  \- Sponsored: 64% off Code Black Drone with HD Camera Our #1 Best-Selling Drone--Meet the Dark Night of the Sky! 

10 months ago 

* [ David Shen][143]

[ I Wrote a Book About Yahoo!: Takeover! The Inside Story of the Yahoo! Ad Revolution ][144] \-  As some of you might know, I was at Yahoo! from 1995 to 2004, running their User Experience and Design team for nearly 8 years and then did a short stint i... 

6 months ago 

* [ Foundora][145]

[ How Nathan Barry grew ConvertKit from zero to $125,000 MRR ][146] \- 

2 years ago 

* [ High Scalability][147]

[ How fast can a bird search a tree? ][148] \-  I was wondering if you could help me figure something out: what is the algorithmic complexity of a bird searching a tree for food? Over the years I've... 

1 day ago 

* [ Jason Baptiste's Blog][149]

[ The Importance of “Day Zero Values” In a Startup’s Early Days ][150] \-  I co-founded a new company over the past month that’s starting to turn into a small team. At Onswipe, we got a lot of the culture right, but there were man... 

2 years ago 

* [ Lessons Learned][151]

[ What Top Performers at Startups and Large Organizations Have in Common…More Than You Would Think ][152] \-  *While doing research for his extraordinary new book, Great at Work, Morten Hansen studied more than 5,000 managers and employees in corporate America to... 

3 weeks ago 

* [ Master of 500 Hats][153]

[ Dave is now blogging at 500hats.com ][154] \-  hi folks. I'm now blogging over at 500hats.com, using the medium.com platform. see you around, DMC 

5 years ago 

* [ MicroISV on a Shoestring][155]

[ Identity Theft, Credit Reports, and You ][156] \-  This is outside my usual brief, but one of my hobbies is that I used to ghostwrite letters to credit reporting agencies and banks. It is suddenly relevan... 

5 months ago 

* [ Steve Blank][157]

[ CoinOut Gets Coin In ][158] \-  It’s always fun to see what happens to my students after they leave class. Jeff Witten started CoinOut four years ago in my Columbia University 5-day Lean ... 

2 days ago 

* [ TechCrunch][159]

[ Original Content podcast: Netflix’s ‘Mute’ is a big disappointment ][160] \-  [image: Mute] Mute is the latest film from Duncan Jones, the director of Moon and Source Code. He’s called it his Don Quixote, a passion project that he’s ... 

18 minutes ago 

* [ The Balsamiq Blog][161]

[ [Release] A small bug fix release ][162] \-  Hi friends of Balsamiq! Have we mentioned how much we love our community lately? You all are awesome, we appreciate your feedback and bug reports so much. ... 

1 year ago 

[ ![][86] ][163]

## Links - Individual Items
* [500hats.typepad.com: Startups & VCs: Learn How to Design, Market, & Eat Your Own Consumer Internet Dogfood][164]
* [500hats.typepad.com: Thoughts on Angel List, "Social Proof", "Spray & Pray", & The Network Effects of Large Scale Investing][165]
* [agile-software-development.com: Searach Results Page: "User Stories" tag][166]
* [andrewchenblog.com: 5 crucial stages in designing your viral loop][167]
* [andrewchenblog.com: Andrew Chen's List of Featured Essays][168]
* [andrewchenblog.com: Free to Freemium: 5 lessons learned from YouSendIt.com][169]
* [angelblog.net: Exchangeable Shares for Angel Investors][170]
* [asmartbear.com: 5 Lessons from 150 startup pitches][171]
* [asmartbear.com: Hiring Employee #1][172]
* [asmartbear.com: Tweet this! Employed with a side of startup][173]
* [asmartbear.com: Twitter this post A Tradeshow Checklist, born of experience][174]
* [autodidactic.com: Autodidactic Hall of Fame][175]
* [bothsidesofthetable.com: Start-up Advice [good list]][176]
* [boxesandarrows.com: Card sorting: a definitive guide][177]
* [businessweek.com: The Value of Design to Startups][178]
* [buzzpal.wordpress.com: Yokum Taku’s Take On Vesting][179]
* [chubbybrain.com: 25 Best Startup Failure Post-Mortems of All Time][180]
* [creately.com: Growing Traffic for your Web Startup][181]
* [creativethink.com: Paradoxes of Creativity][182]
* [cubeofm.com: The subtleties in outsourcing using RentACoder][183]
* [docleyblog.com: The Tim Ferris way of Testing ideas and how I did it][184]
* [inc.com: Joel Spolsky: Let's Take This Offline][185]
* [inter-sections.net: How to recognise a good programmer][186]
* [jasonlbaptiste.com: Build What Had Previously Not Been Possible][187]
* [jasonlbaptiste.com: What to Look for in a Business Cofounder][188]
* [joelonsoftware.com: Raising money for StackOverflow][189]
* [joemaller.com: A web-focused Git workflow][190]
* [kalzumeus.com: Strategic SEO for Startups][191]
* [maxnoy.com: Programming Interview Questions][192]
* [nvie.com: A successful Git branching model][193]
* [nytimes.com: Forget What You Know About Good Study Habits][194]
* [oreilly.com: 97 Things Every Programmer Should Know][195]
* [oreilly.com: Continuous deployment in 5 easy steps][196]
* [paulgraham.com: The Future of Startup Funding][197]
* [payne.org: Startup Equity For Employees][198]
* [scribd.com: How to Be a Web 2.0 Metrics Jedi][199]
* [sivers.org: Leadership Lessons from Dancing Guy][200]
* [slideshare.net: Startup Metrics for Pirates][201]
* [slideshare.net: The 10 Golden Principles for Successful Web Apps][202]
* [smashingmagazine.com: 10 Useful Usability Findings and Guidelines][203]
* [smashingmagazine.com: Minimizing Complexity In User Interfaces][204]
* [startupcompanylawyer.com: How do the sample Series Seed financing documents differ from typical Series A financing documents?][205]
* [startupcompanylawyer.com: What is a pay to play provision?][206]
* [startuplawyer.com: The Convertible Note Discount Price Cap][207]
* [startuplessonslearned.com: How to develop your customers like you develop your product][208]
* [startuplessonslearned.com: What is customer development?][208]
* [steveblank.com: Customer Development Manifesto: Market Type (part 4)][209]
* [tappen.posterous.com: 256 Must-Read Content For All Tech Entrepreneurs][210]
* [techcrunch.com: Chris Sacca Video Interview][211]
* [techcrunch.com: Notes on Leadership: Be Like Steve Jobs, Bill Campbell, Andy Grove][212]
* [techcrunch.com: NSFW: It’s Easier To Run, And Other Lessons That Entrepreneurs Can Learn From ELEW][213]
* [techcrunch.com: TechCrunch Europe 2010 Events][214]
* [techcrunch.com: The 9 Most Important Things to Remember If You Want to Sell Your Startup][215]
* [theamericanscholar.org: The Disadvantages of an Elite Education][216]
* [thestartuplawyer.com: If I Launched a Startup][217]
* [tumblr.com: friedisms.tumblr.com (Jason Fried quotes)][218]
* [venturehacks.com: Customer Development][219]
* [venturehacks.com: Launch: AngelList, a curated list of angel investors][220]
* [venturehacks.com: My experiments in lean pricing][221]
* [venturehacks.com: When to fire your co-founders][222]
* [wikipedia.org: Customer Development][223]
* [wikipedia.org: Minimum viable product][224]
* [wikipedia.org: Rabbi trust][225]
* [youtube.com: O'Reilly Webcast: How to Build a Lean Startup, Step by Step][226]

[ ![][86] ][227]

## Links - Resources
* [AngelBlog][228]
* [AngelList][229]
* [Books (Some of Our Favorites)][230]
* [DevCheatsheet][231]
* [Domain Names][232]
* [Hacker News][233]
* [Index of edw519's Hacker News Post's and Comments][234]
* [Sedo (buy/sell domain names)][235]
* [StartupCompanyLawyer.com: How do the sample Series Seed financing documents differ from typical Series A financing documents?][236]
* [Techmeme][128]
* [WSGR Term Sheet Generator][237]
* [Y Combinator Model Docs][238]
* [Y Combinator Startups (List of)][239]

[ ![][86] ][240]

## About

![My photo][241]

[ chrisco ][60]
[View my complete profile][60]

[ ![][86] ][242]

| -----|  
|  

  |  

  |  

Watermark theme. Powered by [Blogger][243]. 

[ ![][86] ][244]

[1]: http://bootstrappy.blogspot.se/
[2]: http://1.bp.blogspot.com/_j20xJhxZBoo/S21ToRpUAPI/AAAAAAAAAQs/Q_opLgEiE1w/s400/vc-you-payoff.png
[3]: http://twitter.com/chrisco
[4]: http://www.techcrunch.com/2010/02/05/eventvue-deadpool/
[5]: http://blog.eventvue.com/post/372936164/post-mortem
[6]: http://1.bp.blogspot.com/_j20xJhxZBoo/S3KxRUUf4bI/AAAAAAAAARE/Z5c0qpQFX4E/s200/r-rated-movie-definition-notice.gif
[7]: http://bootstrappy.com/
[8]: http://angelblog.net/
[9]: http://www.nytimes.com/interactive/2010/02/09/sports/olympics/2010-olympics-venue-map.html
[10]: http://www.washingtonpost.com/wp-dyn/content/article/2010/02/05/AR2010020501308.html
[11]: http://www.huffingtonpost.com/2010/01/22/snow-problem-vancouver-olympics_n_432644.html
[12]: http://3.bp.blogspot.com/_j20xJhxZBoo/S3E3dq9F31I/AAAAAAAAAQ8/LBAXXY22yms/s400/techcrunch-eventvue-deadpool-comment-2010-2.png
[13]: http://www.urbandictionary.com/define.php?term=smoking%20crack
[14]: http://bootstrappy.uservoice.com/forums/38875-general
[15]: http://www.linkedin.com/in/comella
[16]: http://www.google.com/corporate/timeline/#2000-google-adwords
[17]: http://twitpic.com/12904u
[18]: https://docs.google.com/fileview?id=0B4jDSItu62isNWYwYWEzNDktODEzMC00OGVhLTkxOWUtMDZiNGVlNjE0ZDU0&hl=en
[19]: http://www.alansbubble.com/
[20]: http://en.wikipedia.org/wiki/5_Whys
[21]: http://www.youtube.com/watch?v=0_8Zq_iWuFg
[22]: http://www.youtube.com/watch?v=dzm8kTIj_0M
[23]: http://en.wikipedia.org/wiki/Trading_Places
[24]: http://www.youtube.com/watch?v=g4Uv4ftekaI
[25]: http://en.wikipedia.org/wiki/All_Due_Respect_%28The_Wire_episode%29#Summary
[26]: http://www.youtube.com/watch?v=wABDobugvVE
[27]: http://www.fenwick.com/vctrends/VC_Terms.htm
[28]: http://en.wikipedia.org/wiki/Call_option
[29]: http://1.bp.blogspot.com/_j20xJhxZBoo/S21ToRpUAPI/AAAAAAAAAQs/Q_opLgEiE1w/s1600-h/vc-you-payoff.png
[30]: http://www.marsdd.com/entrepreneurs-toolkit/articles/Securing-investment-Understanding-liquidation-preference-and-dividends
[31]: http://www.askventure.com/calculate-liquidation-preference-preferred-stock-venture-capital.html
[32]: http://en.wikipedia.org/wiki/Present_value
[33]: http://www.youtube.com/watch?v=8g3tQaqizh0
[34]: http://en.wikipedia.org/wiki/Best_alternative_to_a_negotiated_agreement
[35]: http://news.ycombinator.com/item?id=1106517
[36]: http://news.ycombinator.com/item?id=1113105
[37]: http://www.centernetworks.com/
[38]: http://www.centernetworks.com/weekend-entrepreneurial-reading-feb7
[39]: http://www.washingtonpost.com/wp-dyn/content/article/2010/02/11/AR2010021103896.html
[40]: http://www.huffingtonpost.com/2010/02/09/colbert-sarah-palin-is-a_n_454744.html
[41]: http://techcrunch.com/2010/02/14/ted-organizer-trashes-speaker-fails-social-iq-test/
[42]: http://www.siliconbeat.com/2010/01/05/the-innovation-age-bias-at-sequoia-capital/#comment-8867
[43]: http://twitter.com/vwadhwa
[44]: http://bootstrappy.blogspot.se/2010/02/bootstrap-or-die-lessons-learned-from.html "permanent link"
[45]: https://resources.blogblog.com/img/icon18_email.gif
[46]: https://www.blogger.com/email-post.g?blogID=9180873879866850294&postID=5311021145286450059 "Email Post"
[47]: https://resources.blogblog.com/img/icon18_edit_allbkg.gif
[48]: https://www.blogger.com/post-edit.g?blogID=9180873879866850294&postID=5311021145286450059&from=pencil "Edit Post"
[49]: https://www.blogger.com/share-post.g?blogID=9180873879866850294&postID=5311021145286450059&target=email "Email This"
[50]: https://www.blogger.com/share-post.g?blogID=9180873879866850294&postID=5311021145286450059&target=blog "BlogThis!"
[51]: https://www.blogger.com/share-post.g?blogID=9180873879866850294&postID=5311021145286450059&target=twitter "Share to Twitter"
[52]: https://www.blogger.com/share-post.g?blogID=9180873879866850294&postID=5311021145286450059&target=facebook "Share to Facebook"
[53]: https://www.blogger.com/share-post.g?blogID=9180873879866850294&postID=5311021145286450059&target=pinterest "Share to Pinterest"
[54]: http://lh3.googleusercontent.com/zFdxGE77vvD2w5xHy6jkVuElKv-U9_9qLkRYK8OnbDeJPtjSZ82UPq5w6hJ-SA%3Ds35
[55]: https://www.blogger.com/profile/01346853822167129602
[56]: http://bootstrappy.blogspot.com/2010/02/bootstrap-or-die-lessons-learned-from.html?showComment=1265515416629#c7479112207748176027
[57]: javascript:%3B
[58]: https://www.blogger.com/delete-comment.g?blogID=9180873879866850294&postID=7479112207748176027
[59]: http://2.bp.blogspot.com/_j20xJhxZBoo/S0_ACYrrxmI/AAAAAAAAAQY/BA-DZX36m7Q/S45-s35/doc-marten-flip-50w.jpg
[60]: https://www.blogger.com/profile/12452424766132750993
[61]: http://bootstrappy.blogspot.com/2010/02/bootstrap-or-die-lessons-learned-from.html?showComment=1265725923050#c4186849848312677005
[62]: https://www.blogger.com/delete-comment.g?blogID=9180873879866850294&postID=4186849848312677005
[63]: http://bootstrappy.blogspot.com/2010/02/bootstrap-or-die-lessons-learned-from.html?showComment=1265825039603#c199148750599444199
[64]: https://www.blogger.com/delete-comment.g?blogID=9180873879866850294&postID=199148750599444199
[65]: http://bootstrappy.blogspot.com/2010/02/bootstrap-or-die-lessons-learned-from.html?showComment=1265921433058#c6662953218366445060
[66]: https://www.blogger.com/delete-comment.g?blogID=9180873879866850294&postID=6662953218366445060
[67]: https://www.blogger.com/profile/10509007236862265612
[68]: http://bootstrappy.blogspot.com/2010/02/bootstrap-or-die-lessons-learned-from.html?showComment=1266282659707#c5292374217709684453
[69]: https://www.blogger.com/delete-comment.g?blogID=9180873879866850294&postID=5292374217709684453
[70]: https://www.blogger.com/profile/06853247266995796350
[71]: http://bootstrappy.blogspot.com/2010/02/bootstrap-or-die-lessons-learned-from.html?showComment=1269797903078#c7000572311183040940
[72]: https://www.blogger.com/delete-comment.g?blogID=9180873879866850294&postID=7000572311183040940
[73]: http://3.bp.blogspot.com/_j20xJhxZBoo/TDwIhJSofOI/AAAAAAAAASo/RVEojnl-xUo/S45-s35/1234485265-100x-100.jpg
[74]: http://bootstrappy.blogspot.com/2010/02/bootstrap-or-die-lessons-learned-from.html?showComment=1315897676730#c5804620907480602449
[75]: https://www.blogger.com/delete-comment.g?blogID=9180873879866850294&postID=5804620907480602449
[76]: http://bootstrappy.blogspot.com/2010/02/bootstrap-or-die-lessons-learned-from.html?showComment=1327007858923#c3912587554898435773
[77]: https://www.blogger.com/delete-comment.g?blogID=9180873879866850294&postID=3912587554898435773
[78]: http://bootstrappy.blogspot.com/2010/02/bootstrap-or-die-lessons-learned-from.html?showComment=1389558729013#c5412862067941754549
[79]: https://www.blogger.com/delete-comment.g?blogID=9180873879866850294&postID=5412862067941754549
[80]: http://bootstrappy.blogspot.com/2010/02/bootstrap-or-die-lessons-learned-from.html?showComment=1389989947347#c2011016411500950682
[81]: https://www.blogger.com/delete-comment.g?blogID=9180873879866850294&postID=2011016411500950682
[82]: 
[83]: http://bootstrappy.blogspot.se/2010/02/700000-blog-post.html "Newer Post"
[84]: http://bootstrappy.blogspot.se/2010/01/new-shiny.html "Older Post"
[85]: http://bootstrappy.blogspot.com/feeds/5311021145286450059/comments/default
[86]: https://resources.blogblog.com/img/icon18_wrench_allbkg.png
[87]: //www.blogger.com/rearrange?blogID=9180873879866850294&widgetType=BlogSearch&widgetId=BlogSearch1&action=editWidget&sectionId=sidebar-right-1 "Edit"
[88]: http://twitter.com/bootstrappy "Follow Bootstrappy on Twitter"
[89]: http://twitter.com/home?status=Checking%20out%20@Bootstrappy%20and%20http://bootstrappy.com%20-%20Tweets%20and%20blogs%20about%20bootstrapped%20startups.%20Bootstrap%20or%20Die:%20http://bit.ly/9hXY1e "Send a Tweet"
[90]: http://bootstrappy.uservoice.com/ "Submit or Vote on Ideas"
[91]: http://mailhide.recaptcha.net/d?k=01AFsyBu2OtUZqk9olfD8JRA==&c=7aE3jMoG5kmv80M60RyTij5xgbIPjct3uTdCgsDcaCc= "Reveal this e-mail address"
[92]: https://twitter.com/Bootstrappy/bootstrapped-startups "List of bootstrapped startups on Twitter"
[93]: //www.blogger.com/rearrange?blogID=9180873879866850294&widgetType=Text&widgetId=Text1&action=editWidget&sectionId=sidebar-right-1 "Edit"
[94]: https://img2.blogblog.com/img/widgets/arrow_dropdown.gif
[95]: https://img1.blogblog.com/img/icon_feed12.png
[96]: https://img1.blogblog.com/img/widgets/subscribe-netvibes.png
[97]: https://www.netvibes.com/subscribe.php?url=http%3A%2F%2Fbootstrappy.blogspot.com%2Ffeeds%2Fposts%2Fdefault
[98]: https://img1.blogblog.com/img/widgets/subscribe-yahoo.png
[99]: https://add.my.yahoo.com/content?url=http%3A%2F%2Fbootstrappy.blogspot.com%2Ffeeds%2Fposts%2Fdefault
[100]: http://bootstrappy.blogspot.com/feeds/posts/default
[101]: https://www.netvibes.com/subscribe.php?url=http%3A%2F%2Fbootstrappy.blogspot.com%2Ffeeds%2F5311021145286450059%2Fcomments%2Fdefault
[102]: https://add.my.yahoo.com/content?url=http%3A%2F%2Fbootstrappy.blogspot.com%2Ffeeds%2F5311021145286450059%2Fcomments%2Fdefault
[103]: //www.blogger.com/rearrange?blogID=9180873879866850294&widgetType=Subscribe&widgetId=Subscribe1&action=editWidget&sectionId=sidebar-right-1 "Edit"
[104]: //www.blogger.com/rearrange?blogID=9180873879866850294&widgetType=Followers&widgetId=Followers1&action=editWidget&sectionId=sidebar-right-1 "Edit"
[105]: //www.blogger.com/rearrange?blogID=9180873879866850294&widgetType=HTML&widgetId=HTML2&action=editWidget&sectionId=sidebar-right-1 "Edit"
[106]: http://12seconds.tv/
[107]: http://twitter.com/Bootstrappy/bootstrapped-startups
[108]: http://www.atebits.com/
[109]: http://www.backtype.com/
[110]: http://www.balsamiq.com/
[111]: http://buysellads.com/
[112]: http://buzzlove.com/
[113]: http://buzzpal.com/
[114]: http://www.cataphora.com/
[115]: http://www.chrometa.com/
[116]: http://www.getcloudfire.com/
[117]: http://crowdspring.com/
[118]: http://easycalapp.com/
[119]: http://www.genoom.com/
[120]: http://www.github.com/
[121]: http://highstranger.com/
[122]: http://jumblr.org/
[123]: http://www.gomockingbird.com/
[124]: http://www.picnik.com/
[125]: http://www.shoesofprey.com/
[126]: http://www.socialcast.com/
[127]: http://statsheet.com/
[128]: http://www.techmeme.com/
[129]: http://tinychat.com/
[130]: http://www.trackur.com/
[131]: http://whenbusy.com/
[132]: http://www.wildfireapp.com/
[133]: http://www.wizehive.com/
[134]: http://wufoo.com/
[135]: //www.blogger.com/rearrange?blogID=9180873879866850294&widgetType=LinkList&widgetId=LinkList3&action=editWidget&sectionId=sidebar-right-1 "Edit"
[136]: http://blog.asmartbear.com
[137]: http://feedproxy.google.com/~r/blogspot/smartbear/~3/KPCovTu8CQI/100m.html
[138]: http://www.agile-software-development.com/feeds/posts/default
[139]: http://ashmaurya.com
[140]: http://feedproxy.google.com/~r/AshMaurya/~3/-IAZ5wifAJ8/
[141]: http://www.whatisleft.org/lookie_here/
[142]: http://feedproxy.google.com/~r/ChrisSaccasWhatIsLeft/~3/JtplMASiEtA/salinger1313
[143]: http://www.dshen.com/blogs/business/
[144]: http://www.dshen.com/blogs/business/archives/i_wrote_a_book_about_yahoo_takeover_the_inside_story_of_the_yahoo_ad_revolution.shtml
[145]: http://foundora.com
[146]: http://foundora.com/bar/rss/157043
[147]: http://highscalability.com/blog/
[148]: http://feedproxy.google.com/~r/HighScalability/~3/WUDes3kK1e0/how-fast-can-a-bird-search-a-tree.html
[149]: http://jasonlbaptiste.com
[150]: http://jasonlbaptiste.com/jason-l-baptiste-random-thoughts/the-importance-of-day-zero-values-in-a-startups-early-days/
[151]: http://www.startuplessonslearned.com/
[152]: http://feedproxy.google.com/~r/startup/lessons/learned/~3/wRLc26EjVKM/what-top-performers-at-startups-and.html
[153]: http://500hats.typepad.com/500blogs/
[154]: http://500hats.typepad.com/500blogs/2012/07/dave-is-now-blogging-at-500hatscom.html
[155]: http://www.kalzumeus.com
[156]: http://www.kalzumeus.com/2017/09/09/identity-theft-credit-reports/
[157]: https://steveblank.com
[158]: https://steveblank.com/2018/02/21/coinout/
[159]: https://techcrunch.com
[160]: http://feedproxy.google.com/~r/Techcrunch/~3/uJJ-R7N39Wc/
[161]: https://blogs.balsamiq.com/product
[162]: http://feedproxy.google.com/~r/balsamiq/~3/otRV7lQcZ1k/
[163]: //www.blogger.com/rearrange?blogID=9180873879866850294&widgetType=BlogList&widgetId=BlogList1&action=editWidget&sectionId=sidebar-right-1 "Edit"
[164]: http://500hats.typepad.com/500blogs/2010/01/startups-vcs-eat-your-own-damn-dogfood.html
[165]: http://500hats.typepad.com/500blogs/2011/02/brief-thoughts-on-angel-list.html
[166]: http://www.agile-software-development.com/search/label/Agile%20Requirements%20-%20User%20Stories
[167]: http://andrewchenblog.com/2009/09/23/5-crucial-stages-in-designing-your-viral-loop/
[168]: http://andrewchenblog.com/list-of-essays/
[169]: http://andrewchenblog.com/2009/03/09/free-to-freemium-5-lessons-learned-from-yousenditcom/
[170]: http://www.angelblog.net/Exchangeable_Shares.html
[171]: http://blog.asmartbear.com/startup-lesson.html
[172]: http://blog.asmartbear.com/startup-hiring-advice.html
[173]: http://blog.asmartbear.com/working-startup.html
[174]: http://blog.asmartbear.com/tradeshow-tips-checklist.html
[175]: http://www.autodidactic.com/profiles/profiles.htm
[176]: http://www.bothsidesofthetable.com/on-entrepeneurship/
[177]: http://www.boxesandarrows.com/view/card_sorting_a_definitive_guide
[178]: http://www.businessweek.com/innovate/content/jan2010/id20100120_303529.htm
[179]: http://buzzpal.wordpress.com/2009/08/30/yokum-takus-take-vesting/
[180]: http://www.chubbybrain.com/blog/2010/10/startup-failure-post-mortem/
[181]: http://creately.com/blog/marketing/growing-traffic-for-your-web-startup/
[182]: http://blog.creativethink.com/2010/04/paradoxes-of-creativity.html
[183]: http://blog.cubeofm.com/the-subtleties-in-outsourcing-using-rentacode?c=1
[184]: http://www.docleyblog.com/2009/10/the-tim-ferris-way-of-testing-ideas-and-how-i-did-it/
[185]: http://docs.google.com/Doc?docid=0AYjDSItu62isZGZncnh6ZHJfNTRnejk4ZnNkeg&hl=en
[186]: http://www.inter-sections.net/2007/11/13/how-to-recognise-a-good-programmer
[187]: http://jasonlbaptiste.com/featured-articles/build-what-had-previously-not-been-possible/
[188]: http://jasonlbaptiste.com/startups/what-to-look-for-in-a-business-co-founder/
[189]: http://www.joelonsoftware.com/items/2010/02/14.html
[190]: http://joemaller.com/2008/11/25/a-web-focused-git-workflow/
[191]: http://www.kalzumeus.com/2010/01/24/startup-seo/
[192]: http://maxnoy.com/interviews.html
[193]: http://nvie.com/archives/323
[194]: http://www.nytimes.com/2010/09/07/health/views/07mind.html?pagewanted=all
[195]: http://programmer.97things.oreilly.com/wiki/index.php/97_Things_Every_Programmer_Should_Know
[196]: http://radar.oreilly.com/2009/03/continuous-deployment-5-eas.html
[197]: http://paulgraham.com/future.html
[198]: http://www.payne.org/index.php/Startup_Equity_For_Employees
[199]: http://www.scribd.com/doc/24686576/How-to-Be-a-Web-2-0-Metrics-Jedi-Web-2-0-Expo-Apr-09
[200]: http://sivers.org/ff
[201]: http://www.slideshare.net/dmc500hats/startup-metrics-for-pirates-seedcamp-sept-2009
[202]: http://www.slideshare.net/fredwilson/the-10-golden-principles-for-successful-web-apps-3238116
[203]: http://www.smashingmagazine.com/2009/09/24/10-useful-usability-findings-and-guidelines/
[204]: http://www.smashingmagazine.com/2009/10/07/minimizing-complexity-in-user-interfaces/
[205]: http://www.startupcompanylawyer.com/2010/03/14/how-do-the-sample-series-seed-financing-documents-differ-from-typical-series-a-financing-documents/?dsq=40004944#comment-40004944
[206]: http://www.startupcompanylawyer.com/2007/08/04/what-is-a-pay-to-play-provision/
[207]: http://startuplawyer.com/convertible-notes/the-convertible-note-discount-price-cap
[208]: http://www.startuplessonslearned.com/2008/11/what-is-customer-development.html
[209]: http://steveblank.com/2009/09/10/customer-development-manifesto-part-4/
[210]: http://tappen.posterous.com/nice-summary-stanleytang-256-must-read-conten
[211]: http://techcrunch.com/2010/07/19/keen-on-chris-sacca/
[212]: http://techcrunch.com/2010/03/14/notes-on-leadership-jobs-grove-campbel/
[213]: http://techcrunch.com/2010/04/04/he-even-makes-coldplay-sound-fun/
[214]: http://eu.techcrunch.com/2010/01/19/techcrunch-europe-events-in-2010-and-ones-were-supporting/
[215]: http://techcrunch.com/2011/06/12/9-important-things-sell-startup/
[216]: http://www.theamericanscholar.org/the-disadvantages-of-an-elite-education/
[217]: http://thestartuplawyer.com/startup-issues/if-i-launched-a-startup
[218]: http://friedisms.tumblr.com/
[219]: http://venturehacks.com/articles/customer-development
[220]: http://venturehacks.com/articles/angellist
[221]: http://venturehacks.com/articles/pricing-experiments
[222]: http://venturehacks.com/articles/fire-co-founders
[223]: http://en.wikipedia.org/wiki/Steven_Gary_Blank#Customer_Development
[224]: http://en.wikipedia.org/wiki/Minimum_viable_product
[225]: http://en.wikipedia.org/wiki/Rabbi_trust
[226]: http://www.youtube.com/watch?v=EnaLQiQL9ec&feature=player_embedded
[227]: //www.blogger.com/rearrange?blogID=9180873879866850294&widgetType=LinkList&widgetId=LinkList2&action=editWidget&sectionId=sidebar-right-1 "Edit"
[228]: http://www.angelblog.net/
[229]: http://venturehacks.com/angellist
[230]: http://astore.amazon.com/usability20-20
[231]: http://devcheatsheet.com/
[232]: http://buzzpal.com/domains
[233]: http://news.ycombinator.com/
[234]: http://edweissman.com/53640595
[235]: http://www.sedo.co.uk/?partnerid=50945
[236]: http://www.startupcompanylawyer.com/2010/03/14/how-do-the-sample-series-seed-financing-documents-differ-from-typical-series-a-financing-documents/
[237]: http://www.wsgr.com/wsgr/Display.aspx?SectionName=practice/termsheet.htm
[238]: http://www.scribd.com/ycdocs
[239]: http://yclist.com/
[240]: //www.blogger.com/rearrange?blogID=9180873879866850294&widgetType=LinkList&widgetId=LinkList1&action=editWidget&sectionId=sidebar-right-1 "Edit"
[241]: //images-blogger-opensocial.googleusercontent.com/gadgets/proxy?url=http://3.bp.blogspot.com/-oPEkRP3FXl8/VdwPZ6qVP_I/AAAAAAAAJLk/iUqZzrZBlVM/s113/Christopher-Comella-600x600.jpg&container=blogger&gadget=a&rewriteMime=image/*
[242]: //www.blogger.com/rearrange?blogID=9180873879866850294&widgetType=Profile&widgetId=Profile1&action=editWidget&sectionId=sidebar-right-1 "Edit"
[243]: https://www.blogger.com
[244]: //www.blogger.com/rearrange?blogID=9180873879866850294&widgetType=Attribution&widgetId=Attribution1&action=editWidget&sectionId=footer-3 "Edit"

  [*[3:39 AM]: 2010-02-06T03:39:00-08:00

