---
created_at: '2014-05-11T03:57:12.000Z'
title: Take It to the Limit (2010)
url: http://opinionator.blogs.nytimes.com/2010/04/04/take-it-to-the-limit
author: drjohnson
points: 89
story_text: ''
comment_text: 
num_comments: 14
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1399780632
_tags:
- story
- author_drjohnson
- story_7727710
objectID: '7727710'

---
[Source](https://opinionator.blogs.nytimes.com/2010/04/04/take-it-to-the-limit "Permalink to Take It to the Limit - The New York Times")

# Take It to the Limit - The New York Times

__Sections __ Home __Search [Skip to content][1]

##  [ The New York Times ][2]

######  [ Opinionator ][3] | Take It to the Limit 

__Search

Subscribe Now Log In __0 __Settings

__Close search

## Site Search Navigation

Search NYTimes.com

__Clear this text input

Go

1. Loading...

See next articles

See previous articles

## Site Navigation

## Site Mobile Navigation

Supported by

[ ![][4] ][5]

![Opinionator][6]

[Opinionator

A Gathering of Opinion From Around the Web

][7]

Search

[Steven Strogatz][8]

# Take It to the Limit

By Steven Strogatz  April 4, 2010 5:00 pm April 4, 2010 5:00 pm

![Steven Strogatz][9]

[Steven Strogatz][10] on math, from basic to baffling. 

In middle school my friends and I enjoyed chewing on the classic conundrums.   What happens when an irresistible force meets an immovable object?  Easy — they both explode.  Philosophy's trivial when you're 13.

But one puzzle bothered us: if you keep moving halfway to the wall, will you ever get there?  Something about this one was deeply frustrating, the thought of getting closer and closer and yet never quite making it.  (There's probably a metaphor for teenage angst in there somewhere.)  Another concern was the thinly veiled presence of infinity.  To reach the wall you'd need to take an infinite number of steps, and by the end they'd become infinitesimally small.  Whoa.

Questions like this have always caused headaches.  Around 500 B.C., Zeno of Elea posed a set of paradoxes about infinity that puzzled generations of philosophers, and that may have been partly to blame for its banishment from mathematics for centuries to come.  In Euclidean geometry, for example, the only constructions allowed were those that involved a finite number of steps.  The infinite was considered too ineffable, too unfathomable, and too hard to make logically rigorous.

But Archimedes, the greatest mathematician of antiquity, realized the power of the infinite.  He harnessed it to solve problems that were otherwise intractable, and in the process came close to inventing calculus — nearly 2,000 years before Newton and Leibniz.

In the coming weeks we'll delve into the great ideas at the heart of calculus.  But for now I'd like to begin with the first beautiful hints of them, visible in ancient calculations about circles and pi.  
  
Let's recall what we mean by pi.  It's a ratio of two distances.  One of them is the diameter, the distance _across_ the circle through its center.  The other is the circumference, the distance _around_ the circle.   Pi is defined as their ratio, the circumference divided by the diameter.

![circle with diameter and circumference indicated][11]

If you're a careful thinker, you might be worried about something already.  How do we know that pi is the same number for all circles?  Could it be different for big circles and little circles?  The answer is no, but the proof isn't trivial.  Here's an intuitive argument.

Imagine using a photocopier to reduce an image of a circle by, say, 50 percent.  Then _all_ distances in the picture — including the circumference and the diameter — would shrink in proportion by 50 percent.  So when you divide the new circumference by the new diameter, that 50 percent change would cancel out, leaving the ratio between them unaltered.  That ratio is pi.

Of course, this doesn't tell us how big pi is.  Simple experiments with strings and dishes are good enough to yield a value near 3, or if you're more meticulous, 3 and 1/7th.  But suppose we want to find pi exactly or at least approximate it to any desired accuracy.  What then?  This was the problem that confounded the ancients.

Before turning to Archimedes's brilliant solution, we should mention one other place where pi appears in connection with circles.  The area of a circle (the amount of space inside it) is given by the formula

![formula for area of a circle][12]

Here _A_ is the area, _π_ is the Greek letter pi, and _r_ is the radius of the circle, defined as half the diameter.

![Circle, with area filled in, and radius marked with letter r ][13]

All of us memorized this formula in high school, but where does it come from?  It's not usually proven in geometry class.  If you went on to take calculus, you probably saw a proof of it there, but is it really necessary to use calculus to obtain something so basic?

Yes, it is.

What makes the problem difficult is that circles are round.  If they were made of straight lines, there'd be no issue.  Finding the areas of triangles, squares and pentagons is easy.  But curved shapes like circles are hard.

The key to thinking mathematically about curved shapes is to pretend they're made up of lots of little straight pieces. That's not really true, but it works … as long as you take it to the limit and imagine _infinitely_ many pieces, each infinitesimally small.  That's the crucial idea behind all of calculus.

Here's one way to use it to find the area of a circle.  Begin by chopping the area into four equal quarters, and rearrange them like so.

![Four quarters of a circle on left, then rearranged on right][14]

The strange scalloped shape on the bottom has the same area as the circle, though that might seem pretty uninformative since we don't know its area either.  But at least we know two important facts about it.  First, the two arcs along its bottom have a combined length of _πr_, exactly half the circumference of the original circle (because the other half of the circumference is accounted for by the two arcs on top).  Second, the straight sides of the slices have a length of _r_, since each of them was originally a radius of the circle.

Next, repeat the process, but this time with eight slices, stacked alternately as before.

![Circle showing eight slices ][15]

The scalloped shape looks a bit less bizarre now.  The arcs on the top and the bottom are still there, but they're not as pronounced.  Another improvement is the left and right sides of the scalloped shape don't tilt as much as they used to.  Despite these changes, the two facts above continue to hold: the arcs on the bottom still have a net length of _πr_, and each side still has a length of _r_.  And of course the scalloped shape still has the same area as before — the area of the circle we're seeking — since it's just a rearrangement of the circle's eight slices.

As we take more and more slices, something marvelous happens: the scalloped shape approaches a rectangle.  The arcs become flatter and the sides become almost vertical.

![Circle with many slices][16]

In the limit of _infinitely_ many slices, the shape _is_ a rectangle.  Just as before, the two facts still hold, which means this rectangle has a bottom of width _πr_ and a side of height _r_.

![rectangle][17]

But now the problem is easy.  The area of a rectangle equals its width times its height, so multiplying _πr_ times _r_ yields an area of _πr_2 for the rectangle.  And since the rearranged shape always has the same area as the circle, that's the answer for the circle too!

What's so charming about this calculation is the way infinity comes to the rescue.  At every finite stage, the scalloped shape looks weird and unpromising.  But when you take it to the limit — when you finally "get to the wall" — it becomes simple and beautiful, and everything becomes clear.  That's how calculus works at its best.

Archimedes used a similar strategy to approximate pi.  He replaced a circle by a polygon with many straight sides, and then kept doubling the number of sides to get closer to perfect roundness.  But rather than settling for an approximation of uncertain accuracy, he methodically bounded pi by sandwiching the circle between "inscribed" and "circumscribed" polygons, as shown below for 6-, 12- and 24-sided figures.

![Circles inscribed in polygons][18]

Then he used the Pythagorean theorem to work out the perimeters of these inner and outer polygons, starting with the hexagon and bootstrapping his way up to 12, 24, 48 and ultimately 96 sides.  The results for the 96-gons enabled him to prove that

![formula for 96-gons][19]

In decimal notation (which Archimedes didn't have), this means pi is between 3.1408 and 3.1429.

This approach is known as the "method of exhaustion" because of the way it traps the unknown number pi between two known numbers that squeeze it from either side.  The bounds tighten with each doubling, thus exhausting the wiggle room for pi.

In the limit of infinitely many sides, both the upper and lower bounds would converge to pi.  Unfortunately, this limit isn't as simple as the earlier one, where the scalloped shape morphed into a rectangle.  So pi remains as elusive as ever.  We can discover more and more of its digits — the current record is over 2.7 trillion decimal places — but we'll never know it completely.

###### More in This Series

* [From Fish to Infinity][20] (Jan. 31, 2010)
* [Rock Groups][21] (Feb. 7, 2010)
* [The Enemy of My Enemy][22] (Feb. 14, 2010)
* [Division and Its Discontents][23] (Feb. 21, 2010)
* [The Joy of X][24] (Feb. 28, 2010)
* [Finding Your Roots][25] (March 7, 2010)
* [Square Dancing][26] (March 14, 2010)
* [Think Globally][27] (March 21, 2010)
* [Power Tools][28] (March 28, 2010)
* [See the Entire Series »][29]

Aside from laying the groundwork for calculus, Archimedes taught us the power of approximation and iteration.  He bootstrapped a good estimate into a better one, using more and more straight pieces to approximate a curved object with increasing accuracy.

More than two millennia later, this strategy matured into the modern field of "numerical analysis."  When engineers use computers to design cars to be optimally streamlined, or when biophysicists simulate how a new chemotherapy drug latches onto a cancer cell, they are using numerical analysis.  The mathematicians and computer scientists who pioneered this field have created highly efficient, repetitive algorithms, running billions of times per second, that enable computers to solve problems in every aspect of modern life, from biotech to Wall Street to the Internet.  In each case, the strategy is to find a series of approximations that converge to the correct answer as a limit.

And there's no limit to where that'll take us.

* * *

_NOTES: _

1. _The history and intellectual legacy of Zeno's paradoxes are discussed in: J. Mazur, **Zeno's Paradox** (Plume, 2008)._
2. _For a delightfully opinionated and witty history of pi, see: P. Beckmann, **A History of Pi** (St. Martin's Press, 1976)._
3. _Bill Willis at Worsley School OnLine has given a very clear [explanation of how to find the area of the circle][30], using the same argument as above but fleshed out in more detail. The school website contains many other excellent [math and science resources][31] for students, teachers and parents._
4. _The PBS television series "Nova" ran a wonderful episode about Archimedes, infinity and limits called "[Infinite Secrets][32]." It originally aired on Sept. 30, 2003. The program website includes many online resources, including the program [transcript][33] and [interactive demonstrations][34]._
5. _For readers wishing to see the [mathematical details of Archimedes's method of exhaustion][35], Neal Carothers has used trigonometry (equivalent to the Pythagorean gymnastics that Archimedes relied on) to derive the perimeters of the inscribed and circumscribed polygons between which the circle is trapped. Peter Alfeld's website features an [interactive Java applet that lets you change the number of sides in the polygons][36]._
6. _The individual steps in [Archimedes's original argument][37] are of historical interest but you might find them disappointingly obscure._
7. _Anyone curious about the heroic computations of pi to enormous numbers of digits should enjoy Richard Preston's profile of the Chudnovsky brothers. Entitled "[The Mountains of Pi][38]," this affectionate and surprisingly comical piece appeared in the Mar. 2, 1992, issue of The New Yorker, and more recently as a chapter in: R. Preston, **Panic in Level Four** (Random House, 2008)._
8. _For a textbook introduction to the basics of numerical analysis, see: W.H. Press, S.A. Teukolsky, W.T. Vetterling, and B.P. Flannery, **Numerical Recipes**, 3rd ed. (Cambridge University Press, 2007)._

_Thanks to Tim Novikoff and Carole Schiffman for their comments and suggestions, and to Margaret Nelson for preparing the illustrations._

_Editor’s Note: A correction was made to an earlier version of this column, to fix a misspelling of the name of the publisher of Zeno's Paradox._

Need to print this post? Here is [a print-friendly PDF version of this piece][39], with images.

## What's Next

Loading...

* Previous Post

[ More Than Enough Hours in Every Day ][40]
* Next Post

[ Does Money Talk in the Marketplace of Ideas? ][41]

_Steven Strogatz is the Schurman Professor of applied mathematics at Cornell University. Among his honors are MIT's highest teaching prize, membership in the American Academy of Arts and Sciences, and a lifetime achievement award for communication of math to the general public, awarded by the four major American mathematical societies. A frequent guest on National Public Radio's "Radiolab," he is the author, most recently, of "The Joy of x," which grew out of his previous Opinionator series "The Elements of Math." He lives with his wife and two daughters in Ithaca, N.Y. Follow him on Twitter @stevenstrogatz_

#### Inside Opinionator

* ![Fixes][42][Fixes][43]
* ![Private Lives][44][Private Lives][43]
* ![Couch][45][Couch][43]
* ![The Stone][46][The Stone][43]
* ![Moviegoers][47][Moviegoers][43]
* [More Contributors][43]

    * ![Anxiety][48][Anxiety][49]
    * ![Bedside][50][Bedside][51]
    * ![Disunion][52][Disunion][53]
    * ![Draft][54][Draft][55]
    * ![Errol Morris][56][Errol Morris][57]
    * ![Menagerie][58][Menagerie][59]
    * ![The Conversation][60][The Conversation][61]
    * ![The End][62][The End][63]
    * ![The Great Divide][64][The Great Divide][65]
    * [All Contributors & Series »][66]

April 26, 2016

##### [Guiding a First Generation to College][67]

Students who are new to America or lack college-educated parents often don't know their options.[Read more…][68]

April 19, 2016

##### [How Dwindling Fish Stocks Got a Reprieve][69]

Giving fishermen a business incentive to fish sustainably can "unleash their creative capacity" to help solve the problem, says one expert. [Read more…][70]

[More From Fixes »][71]

April 21, 2016

##### [Fractured: A First Date][72]

It wasn’t my heart that he broke.[Read more…][73]

March 17, 2016

##### [Steph Curry, the Prophet of Basketball][74]

What desperate, humiliating steps would I take in order to watch him play?[Read more…][75]

[More From Private Lives »][76]

April 19, 2016

##### [Should Therapists Write About Patients?][77]

Even when we disguise their identities, we risk betraying them.[Read more…][78]

April 12, 2016

##### [Grieving My Patient’s Friend][79]

It isn't unusual for therapists to get emotionally attached to people we’ve never met. [Read more…][80]

[More From Couch »][81]

April 18, 2016

##### [The Perils of Being a Black Philosopher][82]

After reading so many hateful messages I began to feel sick, literally.[Read more…][83]

April 16, 2016

##### [Is That Even a Thing?][84]

What this language trend says about us.[Read more…][85]

[More From The Stone »][86]

February 26, 2016

##### [Bruni and Douthat Agree: #OscarsSoPolitical][87]

The Moviegoers pick who should and who will win at the Academy Awards — and pick apart Hollywood’s diversity problem.[Read more…][88]

December 28, 2015

##### [Escaping to a Galaxy Far, Far, Far Away][89]

The "Force" holds great appeal compared with our anxieties here on earth, as seen in other films this season. [Read more…][90]

[More From Moviegoers »][91]

February 6, 2016

##### [Not Just a Death, a System Failure][92]

My mother's death was so wrenching that I applied to medical school to help change the way people die in America. [Read more…][93]

January 27, 2016

##### [When the Hospital Is Not a Haven][94]

Had I prolonged my Indian grandmother's suffering with my stubborn belief in the power of medicine to fix things? [Read more…][95]

[More From The End »][63]

August 15, 2015

##### [Puzzling Through My Fiction][96]

What I learned about writing from doing crossword puzzles.[Read more…][97]

July 11, 2015

##### [Writing Books Very Few Will Read][98]

When a family commissions a work, they're more interested in stories, lessons and values, rather than in sensation.[Read more…][99]

[More From Draft »][55]

July 27, 2015

##### [10 Things I’d Tell My Former (Medicated) Self][100]

I’ve been drug-free for nearly a month. Here is what I learned about my own seven-month weaning process. [Read more…][101]

June 26, 2015

##### [Singleminded][102]

As I decrease my medications, the urgency I feel around men and relationships subsides. [Read more…][103]

[More From Anxiety »][49]

June 22, 2015

##### [Every Creeping Thing That Creepeth][104]

Why can’t we all just get along?[Read more…][105]

June 13, 2015

##### [Birds of New York: A Soundscape][106]

Composing with orchestral instruments was fine. But I found a richer palette of melody, counterpoint and rhythm already in the air.[Read more…][107]

[More From Menagerie »][59]

June 10, 2015

##### [Disunion: The Final Q & A][108]

Four years ago, Disunion convened a panel of experts to discuss the outbreak of the Civil War. Now, those experts are back to discuss the war’s end, and its legacy.[Read more…][109]

June 4, 2015

##### [What Do You Know? A Civil War Pop Quiz.][110]

If you read the series (or if you’re just a huge Civil War nerd), what have you learned? [Read more…][111]

[More From Disunion »][53]

January 3, 2015

##### [When Prisoners Are Patients][112]

Should convicted felons receive free health care?[Read more…][113]

September 6, 2014

##### [When It’s the Doctor Who Can’t Let Go][114]

Too many physicians think palliative care means giving up.[Read more…][115]

[More From Bedside »][51]

November 5, 2014

##### [The Republican Party In Triumph][116]

Brooks and Collins on the full extent of the Election Day devastation of Democrats, including some who weren’t on the ballot.[Read more…][117]

October 28, 2014

##### [Political Infections][118]

Brooks and Collins on conflicting responses to Ebola, the meaning of the midterms and the pleasure of voting for effective crooks.[Read more…][119]

[More From The Conversation »][61]

June 27, 2014

##### [Inequality Is Not Inevitable][120]

Inexorable laws of economics aren't tearing us apart. Our policies are.[Read more…][121]

June 21, 2014

##### [Gaming the Poor][122]

Modern slot machine parlors have sophisticated methods of milking less affluent gamblers.[Read more…][123]

[More From The Great Divide »][65]

March 28, 2014

##### [The Certainty of Donald Rumsfeld (Part 4)][124]

The absence of evidence, the evidence of absence, and the Iraq War.[Read more…][125]

March 27, 2014

##### [The Certainty of Donald Rumsfeld (Part 3)][126]

Could Pearl Harbor be called a “failure of imagination,” and in that sense was it similar to the attacks of 9/11?[Read more…][127]

[More From Errol Morris »][57]

#### Archive

Select Month April 2016  March 2016  February 2016  January 2016  December 2015  November 2015  October 2015  September 2015  August 2015  July 2015  June 2015  May 2015  April 2015  March 2015  February 2015 

#### Recent Posts

![][128]

######  [Fixes][71]

##### [Guiding a First Generation to College][129] __

Students who are new to America or lack college-educated parents often don’t know their options.[Read more…][68]

![][130]

######  [Private Lives][76]

##### [Fractured: A First Date][131] __

It wasn’t my heart that he broke.[Read more…][73]

![][132]

######  [Fixes][71]

##### [How Dwindling Fish Stocks Got a Reprieve][133] __

Giving fishermen a business incentive to fish sustainably can “unleash their creative capacity” to help solve the problem, says one expert. [Read more…][70]

![][134]

######  [Couch][81]

##### [Should Therapists Write About Patients?][135] __

Even when we disguise their identities, we risk betraying them.[Read more…][78]

![][136]

######  [The Stone][86]

##### [The Perils of Being a Black Philosopher][137] __

After reading so many hateful messages I began to feel sick, literally.[Read more…][83]

####  Follow us on [@nytopinionator][138] on twitter

* [Twitter][139]

[Follow][138]

Advertisement

* [ © 2017 The New York Times Company ][140]
* [Contact Us][141]
* [Work With Us][142]
* [Advertise][143]
* [Your Ad Choices][144]
* [Privacy][145]
* [Terms of Service][146]
* [Terms of Sale][147]
* [Site Map][148]
* [Help][149]
* [Site Feedback][150]
* [Subscriptions][151]

[1]: https://opinionator.blogs.nytimes.com#main
[2]: https://www.nytimes.com/
[3]: https://opinionator.blogs.nytimes.com
[4]: https://static01.nyt.com/images/blogs_v5/_misc/kicker-opinionpages.png
[5]: https://www.nytimes.com/pages/opinion/
[6]: https://static01.nyt.com/images/blogs_v3/opinionator/opinionator75.gif
[7]: https://opinionator.blogs.nytimes.com/?module=BlogMain&action=Click&region=Header&pgtype=Blogs&version=Blog Post&contentCollection=Opinion
[8]: https://opinionator.blogs.nytimes.com/category/steven-strogatz/?module=BlogCategory&version=Blog Post&action=Click&contentCollection=Opinion&pgtype=Blogs&region=Header
[9]: https://static01.nyt.com/images/blogs/opinionator/contributors/strogatz45.jpg
[10]: https://opinionator.blogs.nytimes.com/category/steven-strogatz
[11]: https://static01.nyt.com/images/2010/04/04/opinion/04strogatz1/04strogatz1-custom3.jpg
[12]: https://static01.nyt.com/images/2010/04/04/opinion/04strogatzfig1/04strogatzfig1-custom3.jpg
[13]: https://static01.nyt.com/images/2010/04/04/opinion/04strogatz2/04strogatz2-custom2.jpg
[14]: https://static01.nyt.com/images/2010/04/04/opinion/04strogatz3/04strogatz3-custom2.jpg
[15]: https://static01.nyt.com/images/2010/04/04/opinion/04strogatz4/04strogatz4-custom2.jpg
[16]: https://static01.nyt.com/images/2010/04/04/opinion/04strogatz5/04strogatz5-custom1.jpg
[17]: https://static01.nyt.com/images/2010/04/04/opinion/04strogatz6/04strogatz6-custom1.jpg
[18]: https://static01.nyt.com/images/2010/04/04/opinion/04strogatz7/04strogatz7-custom1.jpg
[19]: https://static01.nyt.com/images/2010/04/04/opinion/04strogatzFig2/04strogatzFig2-custom3.jpg
[20]: https://opinionator.blogs.nytimes.com/2010/01/31/from-fish-to-infinity/
[21]: https://opinionator.blogs.nytimes.com/2010/02/07/rock-groups/
[22]: https://opinionator.blogs.nytimes.com/2010/02/14/the-enemy-of-my-enemy/
[23]: https://opinionator.blogs.nytimes.com/2010/02/21/division-and-its-discontents/
[24]: https://opinionator.blogs.nytimes.com/2010/02/28/the-joy-of-x/
[25]: https://opinionator.blogs.nytimes.com/2010/03/07/finding-your-roots/
[26]: https://opinionator.blogs.nytimes.com/2010/03/14/square-dancing/
[27]: https://opinionator.blogs.nytimes.com/2010/03/21/think-globally/
[28]: https://opinionator.blogs.nytimes.com/2010/03/28/power-tools/
[29]: https://opinionator.blogs.nytimes.com/category/steven-strogatz/
[30]: https://www.worsleyschool.net/science/files/circle/area.html
[31]: https://www.worsleyschool.net/science/sciencepg.html
[32]: https://www.pbs.org/wgbh/nova/archimedes/
[33]: https://www.pbs.org/wgbh/nova/transcripts/3010_archimed.html
[34]: https://www.pbs.org/wgbh/nova/archimedes/pi.html
[35]: https://personal.bgsu.edu/~carother/pi/Pi3a.html
[36]: https://www.math.utah.edu/~alfeld/Archimedes/Archimedes.html
[37]: https://itech.fgcu.edu/faculty/clindsey/mhf4404/archimedes/archimedes.html
[38]: https://www.newyorker.com/archive/1992/03/02/1992_03_02_036_TNY_CARDS_000362534
[39]: https://static01.nyt.com/packages/pdf/opinion/opinionator/TakeItToTheLimit.pdf
[40]: https://opinionator.blogs.nytimes.com/2010/04/03/theres-more-than-enough-hours-in-every-day/ "More Than Enough Hours in Every Day"
[41]: https://opinionator.blogs.nytimes.com/2010/04/05/does-money-talk-in-the-marketplace-of-ideas/ "Does Money Talk in the Marketplace of Ideas?"
[42]: https://static01.nyt.com/images/blogs_v3/opinionator/pogs/fixes25.gif
[43]: javascript:void(0);
[44]: https://static01.nyt.com/images/blogs_v3/firstperson/firstperson25.png
[45]: https://static01.nyt.com/images/blogs_v3/opinionator/pogs/couch25.png
[46]: https://static01.nyt.com/images/blogs_v3/opinionator/pogs/thestone25.gif
[47]: https://static01.nyt.com/images/blogs/opinionator/moviegoers/moviegoers25.png
[48]: https://static01.nyt.com/images/blogs_v3/opinionator/anxiety/anxiety25.gif
[49]: https://opinionator.blogs.nytimes.com/category/anxiety/
[50]: https://static01.nyt.com/images/blogs_v3/opinionator/bedside/bedside25.gif
[51]: https://opinionator.blogs.nytimes.com/category/bedside/
[52]: https://static01.nyt.com/images/blogs_v3/opinionator/disunion/disunion25.gif
[53]: https://opinionator.blogs.nytimes.com/category/disunion/
[54]: https://static01.nyt.com/images/blogs_v3/opinionator/draft/draft25.png
[55]: https://opinionator.blogs.nytimes.com/category/draft/
[56]: https://static01.nyt.com/images/2011/06/14/opinion/Morris_Photo/Morris_Photo-custom2.jpg
[57]: https://opinionator.blogs.nytimes.com/category/errol-morris/
[58]: https://static01.nyt.com/images/blogs_v3/opinionator/pogs/menagerie25.png
[59]: https://opinionator.blogs.nytimes.com/category/menagerie/
[60]: https://static01.nyt.com/images/blogs_v3/opinionator/pogs/theconversation25.gif
[61]: https://opinionator.blogs.nytimes.com/category/the-conversation/
[62]: https://static01.nyt.com/images/blogs_v3/opinionator/pogs/theend25.png
[63]: https://opinionator.blogs.nytimes.com/category/the-end/
[64]: https://static01.nyt.com/images/blogs_v3/opinionator/pogs/greatdivide25.png
[65]: https://opinionator.blogs.nytimes.com/category/the-great-divide/
[66]: https://opinionator.blogs.nytimes.com/contributors/
[67]: https://opinionator.blogs.nytimes.com/2016/04/26/guiding-a-first-generation-to-college/ "Guiding a First Generation to College"
[68]: https://opinionator.blogs.nytimes.com/2016/04/26/guiding-a-first-generation-to-college/
[69]: https://opinionator.blogs.nytimes.com/2016/04/19/how-dwindling-fish-stocks-got-a-reprieve/ "How Dwindling Fish Stocks Got a Reprieve"
[70]: https://opinionator.blogs.nytimes.com/2016/04/19/how-dwindling-fish-stocks-got-a-reprieve/
[71]: https://opinionator.blogs.nytimes.com/category/fixes/
[72]: https://opinionator.blogs.nytimes.com/2016/04/21/fractured-a-first-date/ "Fractured: A First Date"
[73]: https://opinionator.blogs.nytimes.com/2016/04/21/fractured-a-first-date/
[74]: https://opinionator.blogs.nytimes.com/2016/03/17/steph-curry-the-prophet-of-basketball/ "Steph Curry, the Prophet of Basketball"
[75]: https://opinionator.blogs.nytimes.com/2016/03/17/steph-curry-the-prophet-of-basketball/
[76]: https://opinionator.blogs.nytimes.com/category/private-lives/
[77]: https://opinionator.blogs.nytimes.com/2016/04/19/should-therapists-write-about-patients/ "Should Therapists Write About Patients?"
[78]: https://opinionator.blogs.nytimes.com/2016/04/19/should-therapists-write-about-patients/
[79]: https://opinionator.blogs.nytimes.com/2016/04/12/grieving-my-patients-friend/ "Grieving My Patient’s Friend"
[80]: https://opinionator.blogs.nytimes.com/2016/04/12/grieving-my-patients-friend/
[81]: https://opinionator.blogs.nytimes.com/category/couch/
[82]: https://opinionator.blogs.nytimes.com/2016/04/18/the-perils-of-being-a-black-philosopher/ "The Perils of Being a Black Philosopher"
[83]: https://opinionator.blogs.nytimes.com/2016/04/18/the-perils-of-being-a-black-philosopher/
[84]: https://opinionator.blogs.nytimes.com/2016/04/16/is-that-even-a-thing/ "Is That Even a Thing?"
[85]: https://opinionator.blogs.nytimes.com/2016/04/16/is-that-even-a-thing/
[86]: https://opinionator.blogs.nytimes.com/category/the-stone/
[87]: https://opinionator.blogs.nytimes.com/2016/02/26/bruni-and-douthat-agree-oscarssopolitical/ "Bruni and Douthat Agree: #OscarsSoPolitical"
[88]: https://opinionator.blogs.nytimes.com/2016/02/26/bruni-and-douthat-agree-oscarssopolitical/
[89]: https://opinionator.blogs.nytimes.com/2015/12/28/escaping-to-a-galaxy-far-far-away/ "Escaping to a Galaxy Far, Far, Far Away"
[90]: https://opinionator.blogs.nytimes.com/2015/12/28/escaping-to-a-galaxy-far-far-away/
[91]: https://opinionator.blogs.nytimes.com/category/moviegoers/
[92]: https://opinionator.blogs.nytimes.com/2016/02/06/system-failure/ "Not Just a Death, a System Failure"
[93]: https://opinionator.blogs.nytimes.com/2016/02/06/system-failure/
[94]: https://opinionator.blogs.nytimes.com/2016/01/27/when-the-hospital-cant-help/ "When the Hospital Is Not a Haven"
[95]: https://opinionator.blogs.nytimes.com/2016/01/27/when-the-hospital-cant-help/
[96]: https://opinionator.blogs.nytimes.com/2015/08/15/puzzling-through-my-fiction/ "Puzzling Through My Fiction"
[97]: https://opinionator.blogs.nytimes.com/2015/08/15/puzzling-through-my-fiction/
[98]: https://opinionator.blogs.nytimes.com/2015/07/11/writing-books-very-few-will-read/ "Writing Books Very Few Will Read"
[99]: https://opinionator.blogs.nytimes.com/2015/07/11/writing-books-very-few-will-read/
[100]: https://opinionator.blogs.nytimes.com/2015/07/27/10-things-id-tell-my-former-medicated-self/ "10 Things I’d Tell My Former (Medicated) Self"
[101]: https://opinionator.blogs.nytimes.com/2015/07/27/10-things-id-tell-my-former-medicated-self/
[102]: https://opinionator.blogs.nytimes.com/2015/06/26/singleminded/ "Singleminded"
[103]: https://opinionator.blogs.nytimes.com/2015/06/26/singleminded/
[104]: https://opinionator.blogs.nytimes.com/2015/06/22/every-creeping-thing-that-creepeth/ "Every Creeping Thing That Creepeth"
[105]: https://opinionator.blogs.nytimes.com/2015/06/22/every-creeping-thing-that-creepeth/
[106]: https://opinionator.blogs.nytimes.com/2015/06/13/birds-of-new-york-a-soundscape/ "Birds of New York: A Soundscape"
[107]: https://opinionator.blogs.nytimes.com/2015/06/13/birds-of-new-york-a-soundscape/
[108]: https://opinionator.blogs.nytimes.com/2015/06/10/disunion-the-final-q-a/ "Disunion: The Final Q & A"
[109]: https://opinionator.blogs.nytimes.com/2015/06/10/disunion-the-final-q-a/
[110]: https://opinionator.blogs.nytimes.com/2015/06/04/what-do-you-know-a-civil-war-pop-quiz/ "What Do You Know? A Civil War Pop Quiz."
[111]: https://opinionator.blogs.nytimes.com/2015/06/04/what-do-you-know-a-civil-war-pop-quiz/
[112]: https://opinionator.blogs.nytimes.com/2015/01/03/when-prisoners-are-patients/ "When Prisoners Are Patients"
[113]: https://opinionator.blogs.nytimes.com/2015/01/03/when-prisoners-are-patients/
[114]: https://opinionator.blogs.nytimes.com/2014/09/06/when-its-the-doctor-who-cant-let-go/ "When It’s the Doctor Who Can’t Let Go"
[115]: https://opinionator.blogs.nytimes.com/2014/09/06/when-its-the-doctor-who-cant-let-go/
[116]: https://opinionator.blogs.nytimes.com/2014/11/05/the-republican-party-in-triumph/ "The Republican Party In Triumph"
[117]: https://opinionator.blogs.nytimes.com/2014/11/05/the-republican-party-in-triumph/
[118]: https://opinionator.blogs.nytimes.com/2014/10/28/political-infections/ "Political Infections"
[119]: https://opinionator.blogs.nytimes.com/2014/10/28/political-infections/
[120]: https://opinionator.blogs.nytimes.com/2014/06/27/inequality-is-not-inevitable/ "Inequality Is Not Inevitable"
[121]: https://opinionator.blogs.nytimes.com/2014/06/27/inequality-is-not-inevitable/
[122]: https://opinionator.blogs.nytimes.com/2014/06/21/gaming-the-poor/ "Gaming the Poor"
[123]: https://opinionator.blogs.nytimes.com/2014/06/21/gaming-the-poor/
[124]: https://opinionator.blogs.nytimes.com/2014/03/28/the-certainty-of-donald-rumsfeld-part-4/ "The Certainty of Donald Rumsfeld (Part 4)"
[125]: https://opinionator.blogs.nytimes.com/2014/03/28/the-certainty-of-donald-rumsfeld-part-4/
[126]: https://opinionator.blogs.nytimes.com/2014/03/27/the-certainty-of-donald-rumsfeld-part-3/ "The Certainty of Donald Rumsfeld (Part 3)"
[127]: https://opinionator.blogs.nytimes.com/2014/03/27/the-certainty-of-donald-rumsfeld-part-3/
[128]: https://static01.nyt.com/images/2016/04/26/opinion/26fixesWeb/26fixesWeb-thumbStandard.jpg
[129]: https://opinionator.blogs.nytimes.com/2016/04/26/guiding-a-first-generation-to-college/ "Read: Guiding a First Generation to College"
[130]: https://static01.nyt.com/images/2016/04/20/opinion/20PRIVATE/20PRIVATE-thumbStandard.jpg
[131]: https://opinionator.blogs.nytimes.com/2016/04/21/fractured-a-first-date/ "Read: Fractured: A First Date"
[132]: https://static01.nyt.com/images/2016/04/19/opinion/19fixesWeb/19fixesWeb-thumbStandard.jpg
[133]: https://opinionator.blogs.nytimes.com/2016/04/19/how-dwindling-fish-stocks-got-a-reprieve/ "Read: How Dwindling Fish Stocks Got a Reprieve"
[134]: https://static01.nyt.com/images/2016/04/19/opinion/19couchWeb/19couchWeb-thumbStandard.jpg
[135]: https://opinionator.blogs.nytimes.com/2016/04/19/should-therapists-write-about-patients/ "Read: Should Therapists Write About Patients?"
[136]: https://static01.nyt.com/images/2016/04/18/opinion/18stoneWeb/18stoneWeb-thumbStandard.jpg
[137]: https://opinionator.blogs.nytimes.com/2016/04/18/the-perils-of-being-a-black-philosopher/ "Read: The Perils of Being a Black Philosopher"
[138]: https://twitter.com/nytopinionator "Follow @nytopinionator on twitter"
[139]: https://twitter.com/nytopinionator "Follow nytopinionator on Twitter"
[140]: https://www.nytco.com
[141]: https://www.nytimes.com/ref/membercenter/help/infoservdirectory.html
[142]: https://www.nytco.com/careers/
[143]: https://nytmediakit.com/
[144]: https://www.nytimes.com/content/help/rights/privacy/policy/privacy-policy.html#pp
[145]: https://www.nytimes.com/privacy
[146]: https://www.nytimes.com/ref/membercenter/help/agree.html
[147]: https://www.nytimes.com/content/help/rights/sale/terms-of-sale.html
[148]: https://spiderbites.nytimes.com
[149]: https://www.nytimes.com/membercenter/sitehelp.html
[150]: https://myaccount.nytimes.com/membercenter/feedback.html
[151]: https://www.nytimes.com/subscriptions/Multiproduct/lp5558.html?campaignId=37WXW

