---
created_at: '2014-05-20T01:34:30.000Z'
title: Unions and Airlines (2010)
url: http://philip.greenspun.com/flying/unions-and-airlines.html
author: luu
points: 84
story_text: ''
comment_text: 
num_comments: 74
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1400549670
_tags:
- story
- author_luu
- story_7770820
objectID: '7770820'

---
[Source](http://philip.greenspun.com/flying/unions-and-airlines.html "Permalink to Unions and Airlines")

# Unions and Airlines


| ----- |
|  ![Stockholm airport, hopskotch][1]

## Unions and Airlines

by Philip Greenspun in November 2010 

[Site Home][2] : [Flying][3] : One Article  

* * *

This article explores the effects that pilot unionization has on the U.S. airline industry. During 2008, the author flew 50-seat regional jets for a subsidiary of a major airline. 

### Why airlines tend to be unionized

In a country where the Bureau of Labor Statistics says that only 7 percent of private industry workers are unionized ([source][4]), how is it possible that nearly every U.S. airline operates with unionized pilots? 

The explanation lies in the interaction of labor laws and aviation regulations. Let's consider labor laws first. The law compels a company to negotiate with a labor union. If it cannot reach an agreement, however, and the union goes out on strike, the company is able to hire replacement workers and continue its operations. 

Federal aviation regulations, on the other hand, require an airline to operate with pilots who have specific training for and experience at that airline. Suppose an airline operates Boeing 737s, for example, and its pilots go out on strike. You might think that the airline could operate legally and safely by hiring trained Boeing 737 pilots from some airline. However, the FAA will not allow this because those replacement pilots, though competent with the airplane, do not have experience with the specific operating rules of the airline whose pilots are out on strike. 

An airline whose pilots go out on strike is therefore shut down. This makes the rewards to pilot unionization at an airline much greater than the rewards to unionizing a group of manufacturing workers, for example. 

### Airline/pilot negotiations: effect on corporate sustainability and investors

A competent pilot union negotiator will present the airline with a plan to transfer essentially all expected future profits into the paychecks of pilots. It does not make sense to accept less because the pilots always have the power to strike and shut the airline down. The only real point of discussion would concern the best estimate of what the airline's profits are likely to be during the term of the contract. 

During periods of economic growth, the negotiators peering in the future will tend to see a picture of increasing profits and therefore the airline will agree to substantial pay and benefits increases for the pilots. Should the economy turn down during the contract period, the pilots, having expected to collect 95 percent of the airline's profits, will in fact be entitled to 115 percent of the airline's profits. As the airlines tend to operate with fairly small reserves, paying out 115 percent of profits results in the airline seeking Chapter 11 bankruptcy protection and a federal judge adjusts the pilot union contract so that the pilots are back to collecting 95 percent of the new estimated profit figure. 

This cycle of union contract negotiation and Chapter 11 bankruptcy is one reason that the airlines lease rather than own airplanes. By having the main assets in the hands of third parties, it turns out to be a reasonably efficient way of allocating airline profits. The stakeholders who suffer the most are public equity shareholders (the "widows and orphans"), who get wiped out with every bankruptcy filing. The leasing companies get paid, the airline executives get paid, the unionized workers get paid as much as possible, lawyers and Wall Street banks get fees from every bankruptcy, and the public shareholders get 5 cents back for each dollar that they invested. 

### Why some pilots earn $16,000 per year

All jet pilots are held to the same stick-and-rudder standards of the FAA Airline Transport Pilot practical test (see [faa.gov][5]). A 70-seat jet presents the same flying challenge as a 150-seat jet. The captain and first officer trade "pilot flying" and "pilot monitoring" roles on each leg of a trip. When the actual jobs are so similar, how is it possible that some airline pilots earn $16,000 per year and others earn close to $300,000? The captains, of course, do have more experience and that experience has value to the employer, which is why non-unionized air carriers may establish a 2:1 or 3:1 difference in pay between their most senior and most junior pilots. But how can we explain a 19:1 pay differential for workers with similar training and tasks? 

The answer is to look at who controls the pilot's union: very senior pilots. The airline management is mostly interested in what percentage of its revenues are paid out to pilots; the distribution of the money among the pilots does not affect profitability. The very senior pilots on the other side of the table say "We need the most senior pilots to get $300,000 in pay and benefits." The airline's response is "The only way that could work is if we pay the new pilots $16,000 per year." The group of senior pilots responds "We can live with that." 

Note that being classified as "junior" or "senior" has nothing to do with flying skills or experience. If Captain Sully were to start work today at a regional airline, he would earn between $16,000 and $20,000 per year, depending on the carrier, and fly as first officer. He was "senior" at US Airways, but is "junior" at the new carrier. 

[Note: the author was on track to earn approximately $19,000 per year, but was furloughed during the Collapse of 2008.] 

### Why some flight crews are fatigued

After the pay discussion is concluded, the union negotiation will turn to schedule. Keep in mind that pilots are paid by the hour and only for those hours when the airplane is "off the gate". I.e., if there is a three-hour wait in the airport between legs, the pilot is not paid for that time. The senior pilots may say "We need senior pilots to work no more than 10 days per month, about 8 hours per day, with all of the flying neatly compressed so that there is almost no waiting time." The airline representatives say "The only way that can work is if the junior pilots work 22 days per month and nearly 16 hours per day." The senior pilots negotiating for the union respond "We can live with that." 

Scheduling at a typical unionized airline is done in order of seniority, with the senior captains and first officers picking the best routes first. The most junior pilots and newly upgraded captains are "on reserve" and have no idea where or when they'll be flying. 

How does this affect safety? As a passenger, you might get on a plane with a senior crew. Your pilots have slept a full 8 hours every night for the last week and are fresh from spending a four-day weekend with their families. The captain has been with the airline for 20 years. The first officer has been flying this type of airplane for 10 years and could do the entire flight by him or herself if necessary. 

Alternatively, you might get onto a plane with a junior crew. Your pilots are exhausted from being on the last day of a four-day trip. Each night they've gotten a 9-11-hour "rest period", but that includes waiting for a shuttle to the hotel, riding the shuttle to and from the hotel, showering, eating, and possibly trying to sleep at an unusual hour. Perhaps they've slept 5 hours each night. The first officer joined the airline a few months ago. He or she has some simulator training, but is struggling to stay ahead, mentally, of the airplane. The captain knows how to fly the airplane, but he or she was just upgraded to captain and has no idea how to manage a first officer, particularly one who might make a lot of mistakes. Until a few months ago, the captain of this flight was a very senior first officer and all of his or her flying was with very senior captains. 

From the point of view of safety, common sense would argue against pairing up a company's least experienced pilots with the company's least experienced captains and then driving them both to exhaustion. But that's how nearly all unionized U.S. airlines do it. 

[Note: there are exceptions to this rule. Warren Buffett's NetJets private jet service, for example, gives all pilots the same schedule of one week on, one week off.] 

### Union agreements lead to long pilot commutes

![][6] Captain Sully lived in the exurbs of San Francisco and commuted to his home base of Charlotte, North Carolina where he started the trip that ended with a landing on the Hudson River. I.e., before Captain Sully welcomed passengers and took the controls of the Airbus A320 he had endured a coast-to-coast flight in the back of an airliner. Consider your own state of alertness and fatigue at the end of a coast-to-coast flight. Do you feel ready to start a full work day? 

Why couldn't Captain Sully have switched to United Airlines, which has a base in San Francisco, and let a United pilot living in North Carolina takes his US Airways job? By swapping jobs like that, both would have started on the bottom seniority rung at their respective new airlines. Despite the fact that their skills and experience hadn't changed, they'd suffer at least a 50 percent hourly pay rate cut and, because they'd be on reserve for several years, their effective rate of pay per hour at work would be only about 25 percent of their former pay. 

If airlines paid workers according to personal experience and skill rather than seniority within their particular airline, pilots would be more likely to live near where they worked. This would have a positive effect on safety since flight crews would tend to be better rested. 

### Seniority-based pay leads to industry instability

Earlier in this article I addressed the near-guaranteed cycle of union-negotiated pay raises and Chapter 11 bankruptcy. This was a result of the pilot union seeking to extract 100 percent of an airline's profits. There is another aspect of seniority-based pay that leads to industry instability that is independent of the percentage of revenue paid to pilots. 

Consider two regional airlines where new pilots earn $20,000 per year and pilots who've been with the airline for 20 years earn $80,000 per year. Airline A and Airline B fly the same types of planes, have exactly the same cost structure, and have the same percentage of junior versus senior pilots. Suppose now that a fluctuation in demand causes Airline A to have slightly fewer customers and Airline B to have slightly more customers. Airline A will have to furlough a few pilots and Airline B will hire a few. 

Airline A would naturally like to furlough its most senior pilots, the ones costing $80,000 per year, or perhaps cut all pilots' monthly hours slightly. Union agreements, however, force it to furlough the most junior pilots. Airline A is thus left with a pilot group that, on average, has more years with the airline than before and therefore has a higher average cost. Airline B, by contrast, just hired a bunch of new pilots and is paying them just $20,000 per year. This means that Airline B's average cost for a pilot is lower than before. Airline B can now move into Airline A's region and offer lower fares. Customers start choosing Airline B over Airline A and the furloughing and hiring intensify. 

Union agreements add [positive feedback][7] to an already unstable industry. An airline that is successful and growing will enjoy lower costs because of the new pilots being hired for almost nothing. An airline that is shrinking will see its labor costs spike as nearly all flights are operated by highly paid senior crews. 

### The start-up airline advantage

Union agreements and seniority-based pay give a huge advantage to a startup airline, such as JetBlue. Suppose that a new airline offers the exact same payscale as established airlines, including lavish pay for those who've been with the company for 20 years. As none of its employees will have 20 years of seniority, this promise is of no consequence initially. All pilots in the first year of operation are, by definition, on the Year 1 payscale. If the airline grows rapidly, even after 10 years, the average pilot may be on 3rd year pay. A legacy carrier with the same payscale will face enormously higher costs because its average employee is on 20th year pay. 

Eventually the growth flattens out, the startup airline ages, and the average years of employment with the company is similar to that of pilots at other airlines. See above for how the airline will then be unable to compete and it will be time for a trip through Chapter 11, thus wiping out the shareholders. As this cycle is inevitable, the airframe manufacturers prepare for it by offering assistance and favorable terms to new carriers, e.g., see [this page from Boeing][8]. 

How does Southwest survive and prosper? Since they are constantly growing they don't have as high a percentage of senior pilots as their competitors. Also, their union may be taking a longer/smarter/more realistic view about maximizing its compensation. A union does have an incentive to avoid bankrupting an airline: if the airline goes Chapter 7 (liquidation) rather than Chapter 11 (reorganization), the senior pilots may have to start over at another airline at 1/10th of their former hourly compensation. Note that Southwest would be in a lot of trouble if the air travel market were open to international competition. Ireland's Ryanair has costs that are 25 percent lower, but, fortunately for Southwest and unfortunately for American consumers, is prevented by government regulations from doing business within the U.S. 

### Conclusion

The interaction between labor laws and FAA regulations results in pilot unions having a strong claim on 100 percent of an airline's profits. An investor in a unionized U.S. airline should not expect to see a return on that investment and, indeed, should expect an eventual Chapter 11 bankruptcy filing to wipe out his or her investment altogether. 

The fact that an airline must pay its more senior workers so much more than its junior workers leads to further risk for investors. An airline whose business is slightly down will face increased labor costs precisely at the time that it needs to cut its costs in order to survive. 

Union agreements and seniority-based schedule assignments lead to reduced safety for passengers, as the least experienced workers are pushed the hardest and get the least amount of rest. Despite the sometimes exhausted crews, the airline industry remains safe due to the disciplined use of checklists and the fact that two pilots are employed to do a job that, in the absence of a serious equipment failure (very rare), could be done by one person. 

In the absence of protectionist regulations, which prohibit foreign carriers from carrying domestic passengers, we would expect the entire U.S. air travel market to be captured by airlines owned by countries where labor laws do not facilitate the unionization of pilots. Without barriers to competition we would expect to see something like the cruise ship industry, where foreign-flagged vessels dominate. An airline might be based in the Philippines, for example, or El Salvador (like the excellent [TACA, which has [its own history with ALPA][9]), and serve the U.S. with foreign-based crews. 

Regardless of whether the U.S. is able to maintain its trade barriers, a sustainable long-term structure would be a pilot-owned airline. If the pilots are the owners there need be no conflict concerning distributing profits. 

### About the Author

The author is a member of the Air Line Pilot's Association ([ALPA][10]) and holds FAA Airline Transport Pilot and Flight Instructor certificates for both airplanes and helicopters. The author is type-rated in the Canadair Regional Jet and Cessna Citation Mustang and has more than 3500 hours of flying experience ([more][11]). 

* * *

Text and photos (if any) [Copyright 2010 Philip Greenspun][12]. 

* * *

[philg@mit.edu][2]

### Reader's Comments

> One thing that is not quite so clear. It seems it is not in the interests of a senior pilot to not make it easy for him to switch to a better offer at a different airline. Sullenberger, for example, should want the freedom to change to United and, after being trained on their procedures, be a senior pilot there. Neither he nor US Air are interested in him doing that huge commute. So why don't the senior pilots seek "free agent" status for themselves?   
  
\-- [Brad Templeton][13], November 2, 2010

> Very neat article as always, Phil. Thank you again. 
> 
> Tell me how well I'm doing here: 
> 
> This appears to explain very well how Southwest and Alaska airlines have grown so well: If you can just keep growing, and never once falter, then it's a positive-feedback cycle. As long as you never contract, you can keep growing cheaper than the competition by hiring new people, thus "liquidating" their seniority at their previous employers. 
> 
> This is wild! If I were to go into the cement-mixing business, for example, and crowd out the incumbent competitor, that would be wasteful. They already have the experienced people, the trucks and equipment that are mostly paid off, etc. So it would be more profitable to just invest in that company but otherwise leave it alone. 
> 
> But not with the airlines. When Airline A out-prices and takes a piece of business from Airline B, they wind up with LOWER costs than Airline B had. It's all about finding ways to churn the people from one airline to another, because each time that happens, money comes out of them! 
> 
> This helps explain, to me, why people ever feel like investing in airlines at all. If one can just out-borrow, out-invest and out-grow the OTHER guy, he wins because the effective COST, over time, of acquiring that new business is negative... so long as you never run out of liquidity and no one else (Southwest?) does it better or faster. Wild. 
> 
> \----- 
> 
> I also see a killer meta-opportunity here. There must be SOME kind of "deal of the century" in this situation that effectively "metabolizes" the inefficiencies that you so clearly explained here. 
> 
> I'm not sure what that deal-of-the-century might be, but here are a few guesses: 
> 
> o An airline successfully opting out of the union system altogether, maybe with a "suicide clause" in its charter that programs its self-destruction if it ever signs a union contract. Thus, all starting pilots make 2X what they would at a union airline, but ultimately 0.5X when they reach seniority? 
> 
> o Setting up nice airports along the borders of Mexico and Canada, and matching Mexican/Canadian airlines to fly between US cites, but making these required-by-labor-law short hops over the border? 
> 
> o Some kind of just-in-time airline with no employees at all, but instead hourly independent contractors that sign big computer-generated contracts for each and every flight? 
> 
> o (etc.)   
  
\-- [Craig Meyer][14], November 3, 2010

> It also breaks my heart to think of how the senior and junior pilots, helping to fly the same plane, have to do so in spite of their having, essentially, and adversarial relationship. 
> 
> The senior pilot is a parasite on the junior, they both know it, they swallow that and do their jobs, and that sucks. I also trust their partnership with my life when I fly. 
> 
> What this also suggests, to me, is that flying a jetliner actually isn't that hard. Driving a taxi in Manhattan sounds more challenging. I mean, it apparently costs basically NOTHING ($19,000/year) to pay someone to just FLY A JETLINER. That's free. They make the REAL money by running a (legally-protected) protection racket, gate-keeping between the airlines and their ability to do business. They could do THAT from home; flying the airplane is just a formality.   
  
\-- [Craig Meyer][14], November 3, 2010

> @Brad, 
> 
> My guess? Because making it easier for them to leave for a competitor is tantamount to making it easier to bring in other pilots to your own airline. 
> 
> Besides, no other airline is going to bring in a senior pilot when they can hire a junior pilot to do the same work. The whole concept of senior pilots exists only as a means for *current* employees to extract rents from the airline.   
  
\-- [Michael Stack][15], November 3, 2010

> Brad, 
> 
> Although jointly, senior pilots would benefit from the ability to trade airlines, a United senior pilot does not benefit from the ability of Delta pilots to join at a higher seniority level and vice versa. To negotiate these kind of reciprocal powers, they would need to form a cross-airline union, but that organization is much less effective at protecting the interests of its (senior) pilots for reasons explained above.   
  
\-- [Nikita Borisov][16], November 3, 2010

> Brad, 
> 
> In addition to what other have posted about switching company-to-company, it would put a burden on the Air Carrier itself to create a happy/beneficial work environment for the majority of its employees so that people didnt leave. People leaving means the company will have increased training costs, and lower return on their investment in the individual pilot. With this burden resting on the company's shoulders it largely removes the necessity for a union to negotiate a collective bargaining agreement. The company will be forced to treat each employee as an individual with variable amounts of value instead of being a commodity that rises and falls with the market value. "Good" employees would need to be rewarded so that they didnt leave the company, while "bad" employees would be shown the door. 
> 
> A collective bargaining agreement is not always a limit to how little a a pilot can be paid, it is also a limit on how much they can be paid. The negotiated payrate cannot be exceeded, because that would be a violation of the contract. 
> 
> The solution sounds simple, just start a non-union airline and treat the employees right! But without a wide network of companies to move between(ie: switching from Company A to B while retaining pay/benefits) this wont work. 
> 
> Great article Phil, thanks for writing.   
  
\-- [Evan Williams][17], March 2, 2011

> "Craig Meyer": 
> 
> You really think that driving a cab is more difficult than flying a jetliner? 
> 
> Why don't you take a couple of flying lessons and report back to us. 
> 
> You obviously have some issues, buddy.   
  
\-- [Capt Kaos][18], November 12, 2012

> There are numerous points in your article I would disagree with. The most important is that you vastly overestimate the power the Unions really have. It is not unusual for the Airline to drag negotiations on for many years past the amendable date of a Contract, during which time the Pilots must keep working, they cannot strike until released by the NLRB. Getting the the NLRB to release a union to strike takes years, which benefits the Airline by keeping the Pilots working under the old Contract for as many as 5 or 6 additional years. 
> 
> Also, when you say that " . . some airlines pay Pilots $300K while paying junior Pilots $19K" you are really mixing the top and bottom scales from two totally different types of Airlines. The senior Pilots at Regionals aren't making $300K, more like $100K, which makes the pay differential much lower. At a Major airline, the difference is more like $45K first year pay to $250K after 12 years. 
> 
> Your article mistakenly claims that Senior Pilots are part of the reason that Junior Pilots' pay is lower. The reality is this- Senior Pilots, by definition, make up a small portion of the Pilot Group, the junior Pilots make up the majority of the vote. Additionally, the Pilots who are negotiating contracts are not necessarily the Senior Pilots. At my airline, and at several other Majors, the Negotiators are often Junior Captains and First Officers. They are negotiating for Junior First Officers, "Senior" First Officers, Junior Captains, and Senior Captains. All Contracts have to be approved by a majority of the Pilots; Senior Pilots make up the the smallest percentage of any Pilot Group, so they are not in control of what passes. Often, Contracts are passed with improvements for junior pilots that outstrip the improvements for senior pilots. I have seen this happen, and if you are in this Industry a little longer, you will, too. 
> 
> The real reason that Pilots at the Regionals are paid less than Major airline Pilots is that: 
> 
> A) They carry less passengers (hence produce less revenue) and, 
> 
> B) They are willing to work for less money in the hopes of getting experience to move on to a better-paying airline. 
> 
> C) The Regionals are also able to pay less because they can cast a wider net for applicants, due to lower requirements. Many major airlines,including the one I work for, require previous experience as a Captain at a Regional (or military PIC experience), whereas during the last hiring boom at the Regionals, pilots were hired with the bare FAA minimums.   
  
\-- [Capt Kaos][18], November 12, 2012

> When the UAW strikes, the auto manufacturer(s) shut down, but still have all the capital and other fixed costs to support. When baseball players strike, the league shuts down, but somebody is still paying for the stadium upkeep, front office salaries, etc. When Boeing goes on strike there are no 'replacement workers' who come in and man the factories, and management still gets paid and the buildings must still be maintained and paid for. Your assumption that the pilots shutting down an airline gives them unsurpassed power (enough to extract 115% of profits) does not hold true in any other industry, so I challenge the premise. 
> 
> Do pilots have a lot of power? You bet. What happens when the aviation maintenance facility workers go out on strike? The SAME THING; the industry stalls. Likewise the machinists at Deere, or the Writers Guild for TV production companies. And yet the writers don't control the industry, nor the machinists at Deere. Perhaps your entire argument rests on a faulty supposition. 
> 
> (No connection to the airline industry; not a pilot, maintenance or other worker.)   
  
\-- [Rick Starr][19], July 21, 2015

> The maintenance workers don't have the same power that pilots have. It is legal for a U.S. airline to contract with another airline and/or an independent maintenance shop for maintenance.   
  
\-- [Philip Greenspun][20], October 18, 2015

[Add a comment][21] | [Add a link][22]

[1]: http://philip.greenspun.com/images/pcd0510/stockholm-airport-hopskotch-102.1.jpg
[2]: http://philip.greenspun.com/
[3]: http://philip.greenspun.com/flying/
[4]: http://www.bls.gov/news.release/union2.nr0.htm
[5]: http://www.faa.gov/training_testing/testing/airmen/test_standards/pilot/
[6]: http://philip.greenspun.com/images/pcd0133/airport-line-51.1.jpg
[7]: http://en.wikipedia.org/wiki/Positive_feedback
[8]: http://www.boeing.com/commercial/startup/index.html
[9]: http://www.nlpc.org/pdfs/Law_of_Union_Corruption_WilsonFINAL.pdf
[10]: http://www.alpa.org/
[11]: http://philip.greenspun.com/flying/resume
[12]: http://philip.greenspun.com/copyright/
[13]: http://philip.greenspun.com/shared/community-member?user_id=283074
[14]: http://philip.greenspun.com/shared/community-member?user_id=332375
[15]: http://philip.greenspun.com/shared/community-member?user_id=332395
[16]: http://philip.greenspun.com/shared/community-member?user_id=332415
[17]: http://philip.greenspun.com/shared/community-member?user_id=336176
[18]: http://philip.greenspun.com/shared/community-member?user_id=344835
[19]: http://philip.greenspun.com/shared/community-member?user_id=351255
[20]: http://philip.greenspun.com/shared/community-member?user_id=23069
[21]: http://philip.greenspun.com/comments/add?page_id=8160
[22]: http://philip.greenspun.com/links/add?page_id=8160

