---
created_at: '2014-06-28T01:06:34.000Z'
title: How the Gut's "Second Brain" Influences Mood and Well-Being (2010)
url: http://www.scientificamerican.com/article/gut-second-brain/
author: csdrane
points: 97
story_text: ''
comment_text: 
num_comments: 37
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1403917594
_tags:
- story
- author_csdrane
- story_7957057
objectID: '7957057'

---
[Source](https://www.scientificamerican.com/article/gut-second-brain/ "Permalink to Think Twice: How the Gut&#39;s &quot;Second Brain&quot; Influences Mood and Well-Being - Scientific American")

# Think Twice: How the Gut&#39;s &quot;Second Brain&quot; Influences Mood and Well-Being - Scientific American

We use cookies to provide you with a better onsite experience. By continuing to browse the site you are agreeing to our use of cookies in accordance with our [Cookie Policy][1].

[Skip to main content][2]

[Subscribe][3]Menu

[Scientific American][4]

* English 
* [Cart 0][5]
* Sign In| [Register][6] Email:Password:[Forgot password?][7]Login![Loading][8][Not yet registered?][6]
Search[Subscribe][9]

* [English][4]
* [Español][10]
* [العربية][11]
* [Other Editions][12]

Close

SearchCloseSearch

(examples: physics, climate change, etc.)

* [The Sciences][13]
* [Mind][14]
* [Health][15]
* [ Tech][16]
* [Sustainability][17]
* [Education][18]
* [Video][19]
* [Podcasts][20]
* [Blogs][21]
* [Store][22]
* [Subscribe][3]
* [Current Issue][23]
* [Cart][5]
* [Sign In][24]
* [Register][6]
* Share
* Latest
* * * * * Share
* Latest
* * * * [Health][25]

# Think Twice: How the Gut's "Second Brain" Influences Mood and Well-Being

The emerging and surprising view of how the enteric nervous system in our bellies goes far beyond just processing the food we eat

* By [Adam Hadhazy][26] on February 12, 2010
* * * * * * Share on Facebook

Share on Twitter

Share on Reddit

Email

Print

Share via

* [Google+][27]
* [Stumble Upon][27]

![Think Twice: How the Gut's "Second Brain" Influences Mood and Well-Being][28]

_Credit: ISTOCKPHOTO/ERAXION_

Advertisement

As Olympians go for the gold in Vancouver, even [the steeliest][29] are likely to experience that familiar feeling of "butterflies" in the stomach. Underlying this [sensation][30] is an often-overlooked network of neurons lining our guts that is so extensive some scientists have nicknamed it our "second brain".  
  
A deeper understanding of this mass of neural tissue, filled with important neurotransmitters, is revealing that it does much more than merely handle digestion or inflict the occasional nervous pang. The little brain in our innards, in connection with the big one in our skulls, partly determines our mental state and plays key roles in certain diseases throughout the body.  
  
Although its influence is far-reaching, the second brain is not the seat of any conscious thoughts or decision-making.  
  
"The second brain doesn't help with the great thought processes…religion, philosophy and poetry is left to the brain in the head," says [Michael Gershon][31], chairman of the Department of Anatomy and Cell Biology at New York–Presbyterian Hospital/Columbia University Medical Center, an expert in the nascent field of neurogastroenterology and author of the 1998 book [_The Second Brain_][32] (HarperCollins).  
  
Technically known as the enteric nervous system, the second brain consists of sheaths of neurons embedded in the walls of the long tube of our gut, or alimentary canal, which measures about nine meters end to end from the esophagus to the anus. The second brain contains some 100 million neurons, more than in either the spinal cord or the peripheral nervous system, Gershon says.  
  
This multitude of neurons in the enteric nervous system enables us to "feel" the inner world of our gut and its contents. Much of this neural firepower comes to bear in the [elaborate daily grind][33] of digestion. Breaking down food, absorbing nutrients, and expelling of waste requires chemical processing, mechanical mixing and rhythmic muscle contractions that move everything on down the line.  
  
Thus equipped with its own reflexes and senses, the second brain can control gut behavior independently of the brain, Gershon says. We likely evolved this intricate web of nerves to perform digestion and excretion "on site," rather than remotely from our brains through the middleman of the spinal cord. "The brain in the head doesn't need to get its hands dirty with the messy business of digestion, which is delegated to the brain in the gut," Gershon says. He and other researchers explain, however, that the second brain's complexity likely cannot be interpreted through this process alone.  
  
"The system is way too complicated to have evolved only to make sure things move out of your colon," says [Emeran Mayer][34], professor of physiology, psychiatry and biobehavioral sciences at the David Geffen School of Medicine at the University of California, Los Angeles (U.C.L.A.). For example, scientists were shocked to learn that about 90 percent of the fibers in the primary visceral nerve, the vagus, carry information from the gut to the brain and not the other way around. "Some of that info is decidedly unpleasant," Gershon says.  
  
The second brain informs our state of mind in other more obscure ways, as well. "A big part of our emotions are probably influenced by the nerves in our gut," Mayer says. Butterflies in the stomach—signaling in the gut as part of our physiological stress response, Gershon says—is but one example. Although gastrointestinal (GI) turmoil can sour one's moods, everyday emotional well-being may rely on messages from the brain below to the brain above. For example, electrical stimulation of the vagus nerve—a useful treatment for depression—may mimic these signals, Gershon says.  
  
Given the two brains' commonalities, other depression treatments that target the mind can unintentionally impact the gut. The enteric nervous system uses more than 30 neurotransmitters, just like the brain, and in fact 95 percent of the body's serotonin is found in the bowels. Because antidepressant medications called selective serotonin reuptake inhibitors (SSRIs) increase serotonin levels, it's little wonder that meds meant to cause chemical changes in the mind often provoke GI issues as a side effect. Irritable bowel syndrome—which afflicts more than two million Americans—also arises in part from too much serotonin in our entrails, and could perhaps be regarded as a "mental illness" of the second brain.  
  
Scientists are learning that the serotonin made by the enteric nervous system might also play a role in more surprising diseases: In a new _Nature Medicine_ [study][35] published online February 7, a drug that inhibited the release of serotonin from the gut counteracted the bone-deteriorating disease osteoporosis in postmenopausal rodents. (_Scientific American_ is part of Nature Publishing Group.) "It was totally unexpected that the gut would regulate bone mass to the extent that one could use this regulation to cure—at least in rodents—osteoporosis," says [Gerard Karsenty][36], lead author of the study and chair of the Department of Genetics and Development at Columbia University Medical Center.  
  
Serotonin seeping from the second brain might even play some part in autism, the developmental disorder often first noticed in early childhood. Gershon has discovered that the same genes involved in synapse formation between neurons in the brain are involved in the alimentary synapse formation. "If these genes are affected in autism," he says, "it could explain why so many kids with autism have GI motor abnormalities" in addition to elevated levels of gut-produced serotonin in their blood.  
  
Down the road, the blossoming field of neurogastroenterology will likely offer some new insight into the workings of the second brain—and its impact on the body and mind. "We have never systematically looked at [the enteric nervous system] in relating lesions in it to diseases like they have for the" central nervous system, Gershon says. One day, perhaps there will be well-known connections between diseases and lesions in the gut's nervous system as some in the brain and spinal cord today indicate [multiple sclerosis][37].  
  
Cutting-edge research is currently investigating how the second brain mediates the body's immune response; after all, at least 70 percent of our immune system is aimed at the gut to expel and kill foreign invaders.  
  
U.C.L.A.'s Mayer is doing work on how the trillions of bacteria in the gut "communicate" with enteric nervous system cells (which they [greatly outnumber][38]). His work with the gut's nervous system has led him to think that in coming years psychiatry will need to expand to treat the second brain in addition to the one atop the shoulders.  
  
So for those physically skilled and mentally strong enough to compete in the Olympic Games—as well as those watching at home—it may well behoove us all to pay more heed to our so-called "[gut feelings][39]" in the future.

[ ![][40] Rights & Permissions ][27]

### ABOUT THE AUTHOR(S)

Adam Hadhazy

#### Recent Articles

* [What Makes Michael Phelps So Good?][41]
* [Misdirected Vengeance Can Still Feel Just][42]
* [A New Way to Reach Mars Safely, Anytime and on the Cheap][43]

Advertisement

## [Science at the Winter Olympics][44]

1. 1[Ice, Ice, Baby: The Physics of Curling][45]
2. 2[The Physics of Figure Skating][46]
3. 3[Going for the Gaunt: How Low Can an Athlete's Body Fat Go?][47]
4. 4[U.S. Olympic Skeleton Team Studies Sled Forces in High-Tech Simulator][48]

## Newsletter

## Get smart. Sign up for our email newsletter.

[Sign Up][49]

## Every Issue. Every Year. 1845 - Present

Neuroscience. Evolution. Health. Chemistry. Physics. Technology.

[Subscribe Now!][50]![Every Issue. Every Year. 1845 - Present][51]Think Twice: How the Gut's "Second Brain" Influences Mood and Well-BeingThe emerging and surprising view of how the enteric nervous system in our bellies goes far beyond just processing the food we eat

Follow us

* [instagram][52]
* [soundcloud][53]
* [youtube][54]
* [twitter][55]
* [facebook][56]
* [rss][57]
* [Store][22]
* [About][58]
* [Press Room][59]
* [More ][27]
* [FAQs][60]
* [Contact Us][61]
* [Site Map][62]
* [Advertise][63]
* [Special Ad Sections][64]
* [SA Custom Media][65]
* [Terms of Use][66]
* [Privacy Policy][67]
* [Use of Cookies][68]

Scientific American is part of Springer Nature, which owns or has commercial relations with thousands of scientific publications (many of them can be found at [www.springernature.com/us][69]). Scientific American maintains a strict policy of editorial independence in reporting developments in science to our readers.

© 2018 Scientific American, a Division of Nature America, Inc.

All Rights Reserved.

![dcsimg][70]

### Confronting Common Wisdom

![][71]

[Learn More][72]

![][73]

[1]: http://www.scientificamerican.com/page/use-of-cookies/
[2]: https://www.scientificamerican.com#sa_body
[3]: https://www.scientificamerican.com/store/subscribe/scientific-american-magazine/?WT.ac=SA_ecom_SA_Nav_Subscribe_white
[4]: https://www.scientificamerican.com/
[5]: https://www.scientificamerican.com/store/shopping-cart/
[6]: https://www.scientificamerican.com/my-account/register/
[7]: https://www.scientificamerican.com/my-account/forgot-password/
[8]: https://www.scientificamerican.com/public/resources/loader-eba9d808f62929c2c4c744e562eca7d9.gif
[9]: https://www.scientificamerican.com/store/subscribe/scientific-american-magazine/?WT.ac=SA_ecom_SA_Nav-Subscribe-mobile
[10]: https://www.scientificamerican.com/espanol/
[11]: https://www.scientificamerican.com/arabic/
[12]: https://www.scientificamerican.com/page/international/
[13]: https://www.scientificamerican.com/the-sciences/
[14]: https://www.scientificamerican.com/mind/
[15]: https://www.scientificamerican.com/health/
[16]: https://www.scientificamerican.com/tech/
[17]: https://www.scientificamerican.com/sustainability/
[18]: https://www.scientificamerican.com/education/
[19]: https://www.scientificamerican.com/video/
[20]: https://www.scientificamerican.com/podcasts/
[21]: https://blogs.scientificamerican.com/
[22]: https://www.scientificamerican.com/store/
[23]: https://www.scientificamerican.com/magazine/sa/2018/03-01/
[24]: https://www.scientificamerican.com/my-account/login/
[25]: https://www.scientificamerican.com/health-and-medicine/
[26]: https://www.scientificamerican.com/author/adam-hadhazy/
[27]: https://www.scientificamerican.com#
[28]: https://static.scientificamerican.com/sciam/cache/file/19256DD1-B797-4A8D-A7F2B1A191AAA8C7.jpg?w=590&h=393&3AC85829-6A84-4E63-B69A3319F7EABBA5
[29]: /podcast/episode.cfm?id=A4696831-FAE7-65BE-B49567A5F4E21D5F
[30]: /podcast/episode.cfm?id=EC04BBF9-EC69-C83D-F002C6456C0E4C4F
[31]: http://www.cumc.columbia.edu/dept/gsas/anatomy/Faculty/Gershon/
[32]: http://www.amazon.com/Second-Brain-Scientific-Groundbreaking-Understanding/dp/0060182520
[33]: /article.cfm?id=why-does-your-stomach-gro
[34]: http://www.cns.med.ucla.edu/Bios/MayerE.htm
[35]: https://www.nature.com/nm/journal/vaop/ncurrent/full/nm.2098.html
[36]: http://asp.cumc.columbia.edu/facdb/profile_list.asp?DepAffil=Genetics&uni=gk2172
[37]: /blog/post.cfm?id=pot-shows-promise-for-reducing-mult-2009-12-02
[38]: /article.cfm?id=strange-but-true-humans-carry-more-bacterial-cells-than-human-ones
[39]: /article.cfm?id=powers-and-perils-of-intuition
[40]: https://www.scientificamerican.com/themes/responsive/images/global/rightsPermsIcon.png
[41]: https://www.scientificamerican.com/article/what-makes-michael-phelps-so-good1/
[42]: https://www.scientificamerican.com/article/misdirected-vengeance-can-still-feel-just/
[43]: https://www.scientificamerican.com/article/a-new-way-to-reach-mars-safely-anytime-and-on-the-cheap/
[44]: https://www.scientificamerican.com/report/2010-winter-olympics/
[45]: https://www.scientificamerican.com/podcast/episode/ice-ice-baby-the-physics-of-curling-10-02-18/
[46]: https://blogs.scientificamerican.com/observations/the-physics-of-figure-skating/
[47]: https://www.scientificamerican.com/article/athlete-body-fat/
[48]: https://www.scientificamerican.com/article/olympics-skeleton-vancouver/
[49]: https://www.scientificamerican.com/page/newsletter-sign-up/?origincode=2016_sciam_ArticleFooter_NewsletterSignUp&category=subjects/health-and-medicine&idr=true&WT.ac=SA_Article_Footer_NewsletterSubscribe&wtaction=SA_SubmitForm_NewsletterSubscribe
[50]: http://www.scientificamerican.com/store/subscribe/scientific-american-magazine/?WT.ac=SA_ecom_SA_FooterPromo
[51]: https://static.scientificamerican.com/sciam/cache/file/BD1A6893-C362-486B-B0FBB38C1A104C46_source.png?w=385&h=375
[52]: https://www.instagram.com/scientific_american/?hl=en "instagram"
[53]:  "soundcloud"
[54]: https://www.youtube.com/user/SciAmerican "youtube"
[55]: https://twitter.com/sciam "twitter"
[56]: https://www.facebook.com/ScientificAmerican "facebook"
[57]: http://rss.sciam.com/ScientificAmerican-Global "rss"
[58]: https://www.scientificamerican.com/page/about-scientific-american/
[59]: https://www.scientificamerican.com/pressroom/
[60]: https://www.scientificamerican.com/page/frequently-asked-questions/
[61]: https://www.scientificamerican.com/page/contact-us/
[62]: https://www.scientificamerican.com/page/sitemap
[63]: https://www.scientificamerican.com/mediakit/
[64]: https://www.scientificamerican.com/ad-sections/
[65]: https://www.scientificamerican.com/page/custom-media-and-partnerships/
[66]: https://www.scientificamerican.com/page/terms-of-use/
[67]: https://www.scientificamerican.com/page/privacy-policy/
[68]: https://www.scientificamerican.com/page/use-of-cookies/
[69]: http://www.springernature.com/us
[70]: //statse.webtrendslive.com/dcszbiart00000oiar2s6w5ud_4y9j/njs.gif?dcsuri=/nojavascript&WT.js=No&WT.tv=10.4.12&dcssip=www.sciam.com
[71]: https://static.scientificamerican.com/sciam/cache/file/E565E90A-ABD8-4417-8B932A09C2A17179_source.png
[72]: https://www.scientificamerican.com/store/books/the-science-of-diet-exercise/?utm_source=site&utm_medium=display&utm_campaign=ebook-dietexercise&utm_content=banner&utm_term=SA-EB_DietExercise-1_CVP_v1_display_toaster
[73]: //secure-us.imrworldwide.com/cgi-bin/m?ci=us-403331h&cg=0&cc=1&ts=noscript

