---
created_at: '2014-09-22T14:30:43.000Z'
title: 'Artificial Intelligence: Foundations of Computational Agents (2010)'
url: http://www.cs.ubc.ca/~poole/aibook/html/ArtInt.html
author: PaulHoule
points: 41
story_text: ''
comment_text: 
num_comments: 3
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1411396243
_tags:
- story
- author_PaulHoule
- story_8350681
objectID: '8350681'

---
[Source](http://www.cs.ubc.ca/~poole/aibook/html/ArtInt.html "Permalink to Artificial Intelligence - foundations of computational agents")

# Artificial Intelligence - foundations of computational agents

# [Artificial   
Intelligence][1]

foundations of computational agents

* [Home][2]
* [1st edition][3]
* [Complete Book][4]
* [Resources][5]
* [Slides][6]

### Authors

## [David Poole][7]  
[ Alan Mackworth][8]

* * *

## [Second Edition now Available][9].

[Full text of the second edition][9] of [Artificial Intelligence: foundations of computational agents, Cambridge University Press, 2017][10] is now available.

* * *

This book is published by Cambridge University Press, 2010. The complete text and figures of the book are here, copyright David Poole and Alan Mackworth, 2010. The html is made available under a [Creative Commons Attribution-Noncommercial-No Derivative Works 2.5 Canada License][11]. We hope that you enjoy reading the book and that you get excited about the development of artificial intelligence. 

* [Preface][12]
* [1 Artificial Intelligence and Agents][13]
    * [1.1 What Is Artificial Intelligence? ][14]
    * [1.2 A Brief History of AI][15]
    * [1.3 Agents Situated in Environments][16]
    * [1.4 Knowledge Representation][17]
    * [1.5 Dimensions of Complexity][18]
    * [1.6 Prototypical Applications][19]
    * [1.7 Overview of the Book][20]
    * [1.8 Review][21]
    * [1.9 References and Further Reading ][22]
    * [1.10 Exercises][23]
* [2 Agent Architectures and Hierarchical Control][24]
    * [2.1 Agents][25]
    * [2.2 Agent Systems][26]
    * [2.3 Hierarchical Control][27]
    * [2.4 Embedded and Simulated Agents][28]
    * [2.5 Acting with Reasoning][29]
    * [2.6 Review][30]
    * [2.7 References and Further Reading][31]
    * [2.8 Exercises][32]
* [3 States and Searching][33]
    * [3.1 Problem Solving as Search][34]
    * [3.2 State Spaces][35]
    * [3.3 Graph Searching][36]
    * [3.4 A Generic Searching Algorithm][37]
    * [3.5 Uninformed Search Strategies][38]
    * [3.6 Heuristic Search][39]
    * [3.7 More Sophisticated Search][40]
    * [3.8 Review][41]
    * [3.9 References and Further Reading][42]
    * [3.10 Exercises][43]
* [4 Features and Constraints][44]
    * [4.1 Features and States][45]
    * [4.2 Possible Worlds, Variables, and Constraints][46]
    * [4.3 Generate-and-Test Algorithms][47]
    * [4.4 Solving CSPs Using Search][48]
    * [4.5 Consistency Algorithms][49]
    * [4.6 Domain Splitting][50]
    * [4.7 Variable Elimination][51]
    * [4.8 Local Search][52]
    * [4.9 Population-Based Methods][53]
    * [4.10 Optimization][54]
    * [4.11 Review][55]
    * [4.12 References and Further Reading][56]
    * [4.13 Exercises][57]
* [5 Propositions and Inference][58]
    * [5.1 Propositions][59]
    * [5.2 Propositional Definite Clauses][60]
    * [5.3 Knowledge Representation Issues][61]
    * [5.4 Proving by Contradictions][62]
    * [5.5 Complete Knowledge Assumption][63]
    * [5.6 Abduction][64]
    * [5.7 Causal Models][65]
    * [5.8 Review][66]
    * [5.9 References and Further Reading][67]
    * [5.10 Exercises][68]
* [6 Reasoning Under Uncertainty][69]
    * [6.1 Probability][70]
    * [6.2 Independence][71]
    * [6.3 Belief Networks][72]
    * [6.4 Probabilistic Inference][73]
    * [6.5 Probability and Time][74]
    * [6.6 Review][75]
    * [6.7 References and Further Reading][76]
    * [6.8 Exercises][77]
* [7 Learning: Overview and Supervised Learning][78]
    * [7.1 Learning Issues][79]
    * [7.2 Supervised Learning][80]
    * [7.3 Basic Models for Supervised Learning][81]
    * [7.4 Composite Models][82]
    * [7.5 Avoiding Overfitting][83]
    * [7.6 Case-Based Reasoning][84]
    * [7.7 Learning as Refining the Hypothesis Space][85]
    * [7.8 Bayesian Learning][86]
    * [7.9 Review][87]
    * [7.10 References and Further Reading][88]
    * [7.11 Exercises][89]
* [8 Planning with Certainty][90]
    * [8.1 Representing States, Actions, and Goals][91]
    * [8.2 Forward Planning][92]
    * [8.3 Regression Planning][93]
    * [8.4 Planning as a CSP][94]
    * [8.5 Partial-Order Planning][95]
    * [8.6 Review][96]
    * [8.7 References and Further Reading][97]
    * [8.8 Exercises ][98]
* [9 Planning Under Uncertainty][99]
    * [9.1 Preferences and Utility][100]
    * [9.2 One-Off Decisions][101]
    * [9.3 Sequential Decisions][102]
    * [9.4 The Value of Information and Control][103]
    * [9.5 Decision Processes][104]
    * [9.6 Review][105]
    * [9.7 References and Further Reading][106]
    * [9.8 Exercises][107]
* [10 Multiagent Systems][108]
    * [10.1 Multiagent Framework][109]
    * [10.2 Representations of Games][110]
    * [10.3 Computing Strategies with Perfect Information][111]
    * [10.4 Partially Observable Multiagent Reasoning][112]
    * [10.5 Group Decision Making][113]
    * [10.6 Mechanism Design][114]
    * [10.7 Review][115]
    * [10.8 References and Further Reading][116]
    * [10.9 Exercises][117]
* [11 Beyond Supervised Learning][118]
    * [11.1 Clustering][119]
    * [11.2 Learning Belief Networks][120]
    * [11.3 Reinforcement Learning][121]
    * [11.4 Review][122]
    * [11.5 References and Further Reading][123]
    * [11.6 Exercises][124]
* [12 Individuals and Relations][125]
    * [12.1 Exploiting Structure Beyond Features][126]
    * [12.2 Symbols and Semantics][127]
    * [12.3 Datalog: A Relational Rule Language][128]
    * [12.4 Proofs and Substitutions][129]
    * [12.5 Function Symbols][130]
    * [12.6 Applications in Natural Language Processing][131]
    * [12.7 Equality][132]
    * [12.8 Complete Knowledge Assumption][133]
    * [12.9 Review][134]
    * [12.10 References and Further Reading][135]
    * [12.11 Exercises][136]
* [13 Ontologies and Knowledge-Based Systems][137]
    * [13.1 Knowledge Sharing][138]
    * [13.2 Flexible Representations][139]
    * [13.3 Ontologies and Knowledge Sharing][140]
    * [13.4 Querying Users and Other Knowledge Sources][141]
    * [13.5 Implementing Knowledge-Based Systems][142]
    * [13.6 Review][143]
    * [13.7 References and Further Reading][144]
    * [13.8 Exercises ][145]
* [14 Relational Planning, Learning, and Probabilistic Reasoning][146]
    * [14.1 Planning with Individuals and Relations][147]
    * [14.2 Learning with Individuals and Relations][148]
    * [14.3 Probabilistic Relational Models][149]
    * [14.4 Review][150]
    * [14.5 References and Further Reading][151]
    * [14.6 Exercises][152]
* [15 Retrospect and Prospect][153]
    * [15.1 Dimensions of Complexity Revisited][154]
    * [15.2 Social and Ethical Consequences][155]
    * [15.3 References and Further Reading][156]
* [16 Mathematical Preliminaries and Notation][157]
    * [16.1 Discrete Mathematics][158]
    * [16.2 Functions, Factors and Arrays][159]
    * [16.3 Relations and the Relational Algebra][160]
* [References][161]
* [Index][162]

[Artificial Intelligence, Poole & Mackworth (LCI, UBC, Vancouver, Canada)][10]  
Copyright © 2010, [David Poole][7] and [Alan Mackworth][163]. ![Creative Commons License][164]  
This work is licensed under a [Creative Commons Attribution-Noncommercial-No Derivative Works 2.5 Canada License][11]. 

[1]: http://www.cs.ubc.ca/index.html ""
[2]: http://www.cs.ubc.ca/index.html
[3]: http://www.cs.ubc.ca/aifca1e.html
[4]: http://www.cs.ubc.ca/ArtInt.html
[5]: http://www.cs.ubc.ca/online.html
[6]: http://www.cs.ubc.ca/slides/slides.html
[7]: http://cs.ubc.ca/~poole/
[8]: http://cs.ubc.ca/~mack
[9]: http://artint.info/2e/html/ArtInt2e.html
[10]: http://artint.info
[11]: http://creativecommons.org/licenses/by-nc-nd/2.5/ca/
[12]: http://www.cs.ubc.ca/ArtInt_1.html
[13]: http://www.cs.ubc.ca/ArtInt_2.html
[14]: http://www.cs.ubc.ca/ArtInt_3.html
[15]: http://www.cs.ubc.ca/ArtInt_5.html
[16]: http://www.cs.ubc.ca/ArtInt_7.html
[17]: http://www.cs.ubc.ca/ArtInt_8.html
[18]: http://www.cs.ubc.ca/ArtInt_12.html
[19]: http://www.cs.ubc.ca/ArtInt_24.html
[20]: http://www.cs.ubc.ca/ArtInt_29.html
[21]: http://www.cs.ubc.ca/ArtInt_30.html
[22]: http://www.cs.ubc.ca/ArtInt_31.html
[23]: http://www.cs.ubc.ca/ArtInt_32.html
[24]: http://www.cs.ubc.ca/ArtInt_33.html
[25]: http://www.cs.ubc.ca/ArtInt_34.html
[26]: http://www.cs.ubc.ca/ArtInt_35.html
[27]: http://www.cs.ubc.ca/ArtInt_37.html
[28]: http://www.cs.ubc.ca/ArtInt_39.html
[29]: http://www.cs.ubc.ca/ArtInt_40.html
[30]: http://www.cs.ubc.ca/ArtInt_43.html
[31]: http://www.cs.ubc.ca/ArtInt_44.html
[32]: http://www.cs.ubc.ca/ArtInt_45.html
[33]: http://www.cs.ubc.ca/ArtInt_46.html
[34]: http://www.cs.ubc.ca/ArtInt_47.html
[35]: http://www.cs.ubc.ca/ArtInt_48.html
[36]: http://www.cs.ubc.ca/ArtInt_49.html
[37]: http://www.cs.ubc.ca/ArtInt_51.html
[38]: http://www.cs.ubc.ca/ArtInt_52.html
[39]: http://www.cs.ubc.ca/ArtInt_56.html
[40]: http://www.cs.ubc.ca/ArtInt_59.html
[41]: http://www.cs.ubc.ca/ArtInt_69.html
[42]: http://www.cs.ubc.ca/ArtInt_70.html
[43]: http://www.cs.ubc.ca/ArtInt_71.html
[44]: http://www.cs.ubc.ca/ArtInt_72.html
[45]: http://www.cs.ubc.ca/ArtInt_73.html
[46]: http://www.cs.ubc.ca/ArtInt_74.html
[47]: http://www.cs.ubc.ca/ArtInt_77.html
[48]: http://www.cs.ubc.ca/ArtInt_78.html
[49]: http://www.cs.ubc.ca/ArtInt_79.html
[50]: http://www.cs.ubc.ca/ArtInt_80.html
[51]: http://www.cs.ubc.ca/ArtInt_82.html
[52]: http://www.cs.ubc.ca/ArtInt_83.html
[53]: http://www.cs.ubc.ca/ArtInt_92.html
[54]: http://www.cs.ubc.ca/ArtInt_93.html
[55]: http://www.cs.ubc.ca/ArtInt_97.html
[56]: http://www.cs.ubc.ca/ArtInt_98.html
[57]: http://www.cs.ubc.ca/ArtInt_99.html
[58]: http://www.cs.ubc.ca/ArtInt_100.html
[59]: http://www.cs.ubc.ca/ArtInt_101.html
[60]: http://www.cs.ubc.ca/ArtInt_106.html
[61]: http://www.cs.ubc.ca/ArtInt_111.html
[62]: http://www.cs.ubc.ca/ArtInt_121.html
[63]: http://www.cs.ubc.ca/ArtInt_128.html
[64]: http://www.cs.ubc.ca/ArtInt_133.html
[65]: http://www.cs.ubc.ca/ArtInt_134.html
[66]: http://www.cs.ubc.ca/ArtInt_135.html
[67]: http://www.cs.ubc.ca/ArtInt_136.html
[68]: http://www.cs.ubc.ca/ArtInt_137.html
[69]: http://www.cs.ubc.ca/ArtInt_138.html
[70]: http://www.cs.ubc.ca/ArtInt_139.html
[71]: http://www.cs.ubc.ca/ArtInt_147.html
[72]: http://www.cs.ubc.ca/ArtInt_148.html
[73]: http://www.cs.ubc.ca/ArtInt_150.html
[74]: http://www.cs.ubc.ca/ArtInt_159.html
[75]: http://www.cs.ubc.ca/ArtInt_166.html
[76]: http://www.cs.ubc.ca/ArtInt_167.html
[77]: http://www.cs.ubc.ca/ArtInt_168.html
[78]: http://www.cs.ubc.ca/ArtInt_169.html
[79]: http://www.cs.ubc.ca/ArtInt_170.html
[80]: http://www.cs.ubc.ca/ArtInt_171.html
[81]: http://www.cs.ubc.ca/ArtInt_176.html
[82]: http://www.cs.ubc.ca/ArtInt_182.html
[83]: http://www.cs.ubc.ca/ArtInt_185.html
[84]: http://www.cs.ubc.ca/ArtInt_190.html
[85]: http://www.cs.ubc.ca/ArtInt_191.html
[86]: http://www.cs.ubc.ca/ArtInt_196.html
[87]: http://www.cs.ubc.ca/ArtInt_197.html
[88]: http://www.cs.ubc.ca/ArtInt_198.html
[89]: http://www.cs.ubc.ca/ArtInt_199.html
[90]: http://www.cs.ubc.ca/ArtInt_200.html
[91]: http://www.cs.ubc.ca/ArtInt_201.html
[92]: http://www.cs.ubc.ca/ArtInt_206.html
[93]: http://www.cs.ubc.ca/ArtInt_207.html
[94]: http://www.cs.ubc.ca/ArtInt_208.html
[95]: http://www.cs.ubc.ca/ArtInt_209.html
[96]: http://www.cs.ubc.ca/ArtInt_210.html
[97]: http://www.cs.ubc.ca/ArtInt_211.html
[98]: http://www.cs.ubc.ca/ArtInt_212.html
[99]: http://www.cs.ubc.ca/ArtInt_213.html
[100]: http://www.cs.ubc.ca/ArtInt_214.html
[101]: http://www.cs.ubc.ca/ArtInt_216.html
[102]: http://www.cs.ubc.ca/ArtInt_218.html
[103]: http://www.cs.ubc.ca/ArtInt_223.html
[104]: http://www.cs.ubc.ca/ArtInt_224.html
[105]: http://www.cs.ubc.ca/ArtInt_231.html
[106]: http://www.cs.ubc.ca/ArtInt_232.html
[107]: http://www.cs.ubc.ca/ArtInt_233.html
[108]: http://www.cs.ubc.ca/ArtInt_234.html
[109]: http://www.cs.ubc.ca/ArtInt_235.html
[110]: http://www.cs.ubc.ca/ArtInt_236.html
[111]: http://www.cs.ubc.ca/ArtInt_240.html
[112]: http://www.cs.ubc.ca/ArtInt_241.html
[113]: http://www.cs.ubc.ca/ArtInt_246.html
[114]: http://www.cs.ubc.ca/ArtInt_247.html
[115]: http://www.cs.ubc.ca/ArtInt_248.html
[116]: http://www.cs.ubc.ca/ArtInt_249.html
[117]: http://www.cs.ubc.ca/ArtInt_250.html
[118]: http://www.cs.ubc.ca/ArtInt_251.html
[119]: http://www.cs.ubc.ca/ArtInt_252.html
[120]: http://www.cs.ubc.ca/ArtInt_256.html
[121]: http://www.cs.ubc.ca/ArtInt_262.html
[122]: http://www.cs.ubc.ca/ArtInt_273.html
[123]: http://www.cs.ubc.ca/ArtInt_274.html
[124]: http://www.cs.ubc.ca/ArtInt_275.html
[125]: http://www.cs.ubc.ca/ArtInt_276.html
[126]: http://www.cs.ubc.ca/ArtInt_277.html
[127]: http://www.cs.ubc.ca/ArtInt_278.html
[128]: http://www.cs.ubc.ca/ArtInt_279.html
[129]: http://www.cs.ubc.ca/ArtInt_284.html
[130]: http://www.cs.ubc.ca/ArtInt_288.html
[131]: http://www.cs.ubc.ca/ArtInt_290.html
[132]: http://www.cs.ubc.ca/ArtInt_298.html
[133]: http://www.cs.ubc.ca/ArtInt_304.html
[134]: http://www.cs.ubc.ca/ArtInt_306.html
[135]: http://www.cs.ubc.ca/ArtInt_307.html
[136]: http://www.cs.ubc.ca/ArtInt_308.html
[137]: http://www.cs.ubc.ca/ArtInt_309.html
[138]: http://www.cs.ubc.ca/ArtInt_310.html
[139]: http://www.cs.ubc.ca/ArtInt_311.html
[140]: http://www.cs.ubc.ca/ArtInt_316.html
[141]: http://www.cs.ubc.ca/ArtInt_319.html
[142]: http://www.cs.ubc.ca/ArtInt_322.html
[143]: http://www.cs.ubc.ca/ArtInt_330.html
[144]: http://www.cs.ubc.ca/ArtInt_331.html
[145]: http://www.cs.ubc.ca/ArtInt_332.html
[146]: http://www.cs.ubc.ca/ArtInt_333.html
[147]: http://www.cs.ubc.ca/ArtInt_334.html
[148]: http://www.cs.ubc.ca/ArtInt_337.html
[149]: http://www.cs.ubc.ca/ArtInt_338.html
[150]: http://www.cs.ubc.ca/ArtInt_339.html
[151]: http://www.cs.ubc.ca/ArtInt_340.html
[152]: http://www.cs.ubc.ca/ArtInt_341.html
[153]: http://www.cs.ubc.ca/ArtInt_342.html
[154]: http://www.cs.ubc.ca/ArtInt_343.html
[155]: http://www.cs.ubc.ca/ArtInt_344.html
[156]: http://www.cs.ubc.ca/ArtInt_345.html
[157]: http://www.cs.ubc.ca/ArtInt_346.html
[158]: http://www.cs.ubc.ca/ArtInt_347.html
[159]: http://www.cs.ubc.ca/ArtInt_348.html
[160]: http://www.cs.ubc.ca/ArtInt_349.html
[161]: http://www.cs.ubc.ca/ArtInt_350.html
[162]: http://www.cs.ubc.ca/ArtInt_351.html
[163]: http://cs.ubc.ca/~mack/
[164]: http://i.creativecommons.org/l/by-nc-nd/2.5/ca/80x15.png

