---
created_at: '2014-11-02T23:21:48.000Z'
title: 'Knot Strength: Structures That Make a Natural-Fiber Knot Strong or Weak (2010)'
url: http://allaboutknots.blogspot.com/2010/11/knot-strength-structures-that-make.html
author: rfreytag
points: 56
story_text: ''
comment_text: 
num_comments: 7
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1414970508
_tags:
- story
- author_rfreytag
- story_8548569
objectID: '8548569'

---
[Source](http://allaboutknots.blogspot.com/2010/11/knot-strength-structures-that-make.html "Permalink to All About Knots: Knot Strength: Structures that Make a Natural-Fiber Knot Strong or Weak")

# All About Knots: Knot Strength: Structures that Make a Natural-Fiber Knot Strong or Weak

#  [ All About Knots ][1]

The blog about knots, knot tying, knot safety, knot research, and knot theory.

## Sunday, November 21, 2010

###  Knot Strength: Structures that Make a Natural-Fiber Knot Strong or Weak 

**Quotations about Knot Strength **  
We can never achieve the strength we require.  
– Stanley Barnes, _Anglers' Knots_, 25  
  
Any knot in rope will weaken it. Knots with the greatest load applied to very sharp bends are weakest. The strongest knots spread the load gradually over some distance before there is a grip.  
–  Charles Warner, A Fresh _Approach to Knotting_, 23  
  
A rope practically never breaks within a knot. . . .  It appears to be true that a rope is weakest just outside the entrance to a knot. . . . On testing [the Bowline Bend] I could find no tendency to break at the point of crossing. The material broke each time at a point just outside one of the Bowline Knots.  
– Clifford Ashley, 17, 30  
  
It is evident that some factor other than a harsh curve is present when string is broken in the manner described. It seems probable that this is the shearing effect exerted by the taut cord where it is hacked across the section that is held rigid.  
– Clifford Ashley, 30  
  
Every knot diminishes the strength of rope to some degree. The reason for this is that in any sharp bend of a rope (less than four times the diameter of the rope), the rope fibers on the outside of the bend carry the majority of the load on the rope. The fibers on the inside of the bend will carry very little of the load or none at all.  
– Vines and Hudson, _High Angle Rescue Techniques_, 54  
  
The higher the curvature, the lower the tensile load required for the crack formation.  
– Pieranski et. al., _Localization of Breaking Points_, 6  
  
All knots reduce the strength of the rope in which they are tied, generally by 20% to 40% of the unknotted strength. . . . A rough estimate of a knot's strength can be made by examining the severity of its bends. . . .  Bending a rope around a carabiner is likely to cause a greater strength loss than any common knot.  
– Neil Montgomery, _Single Rope Techniques_, 1   
  
The more severe the curved parts of the knot, the tighter the nip, the greater the chance the rope will break.   
– Geoffrey Budworth, _Knots and Crime_, 28  
  
A law is useful if it predicts behaviour which would not, otherwise, be obvious.  
– Geoffrey Budworth, _Knots and Crime_, 34  
  
**Key Words**. knot strength, entry point, first curve, severe curve, gentle curve, collar, anchor, anchor point, Bowline, Overhand Bend, Flemish Bend, Double Fisherman's Knot, Blood Knot, core-and-wrap structure  
  
**Summary**  
Knot strength refers to the ability of a loaded knot to resist breaking. It is one of the basic elements of knot performance and of knot safety. Assuming uniform materials and conditions of use, the procedures of structural analysis show how the structures of a knot interact with mechanical forces to make a knot strong and how to estimate the comparative strength of different knots. A straight segment of rope is the strongest because it distributes the load evenly on each of the fibers and stresses them uniformly. A curved segment weakens the rope because it distributes the load unevenly, which strains some fibers and compresses others. The relative strength of a knot is determined by the severity of the first curve in the most heavily-loaded segment. The more the first curve deviates from the axis of tension of the knot, the weaker the knot. Core-and-wrap knots such as a Double Fisherman's Knot are stronger than most knots of the Bowline type because the stem curves deep inside the knot; in that location, the wrap squeezes against the stem, reducing the load on the first curve. The location of the first curve affects both its breaking point and strength, but the severity of the first curve affects only its strength. Curves and loads in other parts of a knot do not affect its strength. This discussion pertains to the strength of knots tied in ropes made of natural fibers such as manila. Some of the concepts and conclusions of this analysis may apply to knots tied in ropes made of artificial fibers such as nylon.  
This study of knot strength can be read alone, but it is easier to understand if you've read the introduction and the previous studies on terminology, knot security, knot stability and the breaking point of knots.   
If your analysis is different from mine, or if you have found a better way of stating things, let me hear from you via email. [Click here][2] to send an email message.  
  
**Introduction: The Comparative Strength of Knots**  
People who use knotted ropes under a heavy load need to know that while all knots reduce the strength of ropes, some knots are stronger than others.  
During the past century, numerous specialists have tested knots to determine how the strength of one knot compares to the strength of another. Their results do not agree exactly, but allowing for the conditions of the tests, such as unavoidable variation in the qualities of the rope and the way the knot was snugged and tightened, there is general agreement.  
A review of previous studies of the strength of knots followed by close examination and analysis of several knots shows why some knots are stronger than others and increases our understanding of knot behavior.  
  
**Knot Strength Varies Widely**  
Most of the study of knot strength has focused on tests of a few knots. A striking fact that tests have turned up is that strength varies so much from one knot to another. As shown by both experience and numerous tests, some knots weaken a rope by more than 50%, while others weaken it by less than 10%.  
The following table, which I have extracted from various reports, compares the relative strength of a few familiar knots. A straight or un-knotted rope is assumed to have 100% strength. While the exact figures should not be trusted, the general range of strength is corroborated by other tests and by experience.  
  
**Strong Knots**  
Blood Knot                85–90% (Barnes); 80% (Day)  
Flemish Bend             81% (Frank and Smith)  
Figure Eight Loop      80% (Frank and Smith)  
Double Fisherman's  79% (Frank and Smith)  
  
**Moderately Strong Knots**  
Butterfly                     75% (Frank and Smith)  
Bowline                     60% (Day)  
Overhand Knot          60-65% (Luebben )  
  
**A Weak Knot**  
Overhand Bend          (My guess is less than 50%)  
  
**Widespread Interest in Knot Strength, but Little Progress **  
The results of tests of knot strength are frequently reported in knotting literature, and many people ask about knot strength. But while it is generally agreed that most knots reduce the strength of a rope, little study has been devoted to the reasons for variation in knot strength. As Cyrus Day commented several decades ago, few people "have any precise notions regarding the . . .  breaking strength of knots" (15). Dan Lehman commented in Knotting Matters, the quarterly publication of the International Guild of Knot Tyers (KM 55.10), that assertions about knot strength are often false. Cy Canute (KM 63.21), agreeing, commented further that "so-called experiments are often little more than haphazard observation and amateurish guesswork." The consensus is that the tests of knot strength may be useful as general indicators but are not accurate.  
Only a few publications have tried to explain the factors that make a knot strong or weak. Among these are books of more than half a century ago by Clifford Ashley and Cyrus Day, and especially a study of fishing knots by Stanley Barnes. A recent detailed study by Pieranski and others, noted by Alan King (KM 74.42–43), found that "the main reason of the weakening of a knotted string is the curvature of the string" (10.2). A recent study by Adam Long, Malcolm Lyon, and Graham Lyon concluded that a knot's strength is determined by the severity of curve at the point the standing part enters the knot (16). Except for these studies, the structures that make a knot strong or weak remain largely unexplored.  
  
**The Aims and Method of this Study**  
The aim of this study is to follow up these previous studies to determine the characteristics of knots that make some knots strong and others weak. It inquires why there is such great variation between the strength of knots. Assuming knots tied in rope made of uniform fibers and used under uniform conditions, why do some knots break under less load than others? What structures in a knot reduce its strength?  
The concepts and procedures of structural analysis which were used in previous studies provide a way to assess the strength of knots and to understand the factors that determine their strength. The procedures are intended to increase the general knot sense of knot users by helping them become more aware of the anatomy and physiology of knots.  
This study of knot strength has been hampered by problems of inadequate terminology, a lack of widely-accepted concepts, and faulty traditional concepts. As Charles Warner (A Fresh Approach to Knotting and Ropework 34) noted recently, "There seems to be no theory that will reliably predict the strength or security of a knot from a knowledge of the structure of the knot and the conditions of the test."  
This study does not purport to reach definitive conclusions, but to develop general principles and new methods for understanding the performance of knots. I have verified the results of this study through a review of the literature, a series of interviews with knot users, and correspondence with knotting authorities. Many of the conclusions, however, have not been confirmed by tests and remain unproved.  
  
**Assumptions of this Study**  
In this study, I make the same assumptions and impose the same limitations as in the previous studies of knot performance. These are detailed in "The Breaking Point of Knots."  
While the discussion analyzes the system of forces that determine the strength of knots of all types, many of the variables that affect the strength of knots are beyond the scope of this study. Holding constant the effect of various materials and conditions of use, it is assumed that the strength of a knot is determined by the way critical structures are affected by their form and arrangement, by their contact with other structures, and by the load that falls on them.  
Following the findings of Ashley, Day, Barnes, and others, I assume that most knots usually break just outside the knot, at the point where the standing part enters the nub. Following Barnes, I assume that a Blood Knot breaks in the center of the knot.  
Hitches around objects introduce an entirely different set of variables, particularly concerned with the effect of environment and conditions of use. This group of knots, which includes Two Half Hitches and the Constrictor Knot, are not discussed here.  
  
**Limitations of this Study **  
The most significant limitation of this study is the assumption that the knots analyzed here are tied in rope made of natural fibers such as manila. Although the discussion attempts to move toward principles that would apply to knots tied in any cordage, the conclusions do not pertain to many of the properties of knots tied in nylon or other synthetic materials  
It is instructive to note, however, the difference between the causes of knot failure in natural fibers and in nylon fibers, as explained by a correspondent. While the fibers of knotted rope made of natural materials rupture because they are overstressed, the fibers of knotted rope made of nylon break because of nylon's high coefficient of friction and slow rate of thermal conductivity. A load causes the outer strands to stretch and move in relation to the adjacent strands, creating friction that heats the fibers, weakens them, and causes them to fail. Nylon fibers do not rupture because of overstressing, the way natural fibers do, because they are so highly elastic. Under load, the fibers stretch and move, creating enough friction to melt them.  
These properties of stretch, dynamic friction, and response to heat in nylon and other synthetic materials are beyond the scope of this analysis. Yet although these variables present more complex problems than structural analysis can account for, I suggest that in addition to melting caused by internal friction, the strength of knots tied in nylon rope may also be affected by the unequal distribution of load on the first curve, as in natural-fiber ropes.  
  
**Terms Used for Studying Knot Strength**  
Many quasi-technical terms are essential for discussing the strength of knots. Some of these terms are well established in current usage, some are newly coined, and some are re-defined. All of them are discussed in the separate part on terminology and some have been used in the previous study of the breaking point of knots. I have tried to clarify the discussion of knot strength by using terms that are least likely to be ambiguous.  
**Anchor**  
The anchor is the structure of indefinite length in the nub of a knot. The top of the anchor merges with the lower end of the stem. The anchor has two functions: 1) it gives the standing part a firm mooring to pull against; 2) it holds the lower end of the stem in a particular position that determines how far it is forced to deviate out of a straight line. If the anchor is positioned so that the stem makes a severe curve, the knot will be severely weakened. The form and function of the anchor are also described in the previous study, "Knot Security."  
  
**Anchor Point**  
The anchor point is the place at the lower end of the first curve where the stem merges with the top of the anchor. The location of this juncture vitally affects the severity of the first curve and thus the strength of the knot.  
The anchor and the anchor point are of central importance in the study of knot strength, but so far as I am aware, they have not previously been identified.  
  
**Axis or Axis of Tension**  
The axis or axis of tension is the main line of longitudinal force in a knot. In a bend tied in free-standing ropes, for example, the axis is the line from one standing part to the other. In a tug-of-war, the opposing teams pull the rope taut along the line of axis.  
  
**Collar**  
The collar is the first structure that the stem crosses over as it enters the nub of the knot. It is an obstacle that the stem has to curve around. The configuration of the collar is one of the factors that determine the severity of curve in the stem. The other two are the angle of the standing part and the location of the anchor point.  
  
**Curve**  
A curve is a segment of a knot that deviates from a straight line; most of the segments of knots are curved. I use the word curve instead of the typical knotting term bight, because bight is so often associated with specific knots such as Bowline on a Bight or with a doubling of the standing part of a rope, not with a curve inside a knot. I use the word curve rather than bend, fold, or coil, which mean the same thing but which are often used with other meanings. I use bend to mean a knot that joins two pieces of rope, fold only as a verb, and coil for connected loops of rope, not for a part of a knot.  
  
**Deviation**  
I use the expression "deviation from the axis of tension" in place of radius, which is used by Day and by Long et al. Although the terms are not exactly equivalent, I think they both refer to the same kind of configuration in the stem. I've discussed this question in Blog 12.  
  
**First Curve**  
The term "first curve" as used here refers to the first curve in the most heavily-loaded segment in a knot, and it refers to only the initial part of the first curve, not to portions that go deeper into the knot or wrap around other structures. The first curve of all knots is in the stem. It is fairly easy to determine by inspection where the first curve begins, but the location of the place it ends and merges with the anchor is hard to pinpoint. I assume that it ends soon after it has crossed over the collar, and it clearly does not reach further than a centimeter or two into the knot.  
  
**Gentle**  
I use the term _gentle curve_ to refer to a segment of rope that deviates more or less slightly from a straight line. A gentle curve deviates by an angle of only a few degrees from the axis of the knot, but like a curve ball hurled by a major league pitcher, its slight arc can have a major effect on the strength of a knot.  
  
**Severe, Severity**  
I have found that the words severe and severity of a curve, used by Geoffrey Budworth and Neil Montgomery, appropriately suggest a relatively high amount of deviation from a straight line. The severity of the curvature of a segment of rope can often be observed directly and estimated in degrees of angle.  
Some studies of knots use the terms "sharpness," "magnitude of curve," or "maximal" curvature or refer to "tight," "gradual," "high," "highest," or "greatest" curves. I do not use these terms because it is often difficult to tell exactly what they mean. I use the words severe and gentle. For example, I use the term severe curve instead of sharp curve to refer to a segment of rope that deviates in a wider angle from a straight line.  
I use the words sharp, sharply, and sharpness only in direct quotations from other writers. In other cases, I use the words severe, severely, and severity because I have found that the other terms are used imprecisely and ambiguously.  
  
**Stem**  
The stem is the structure in a knot that merges at its upper end with the standing part at the place where the rope first enters the knot. It merges at its lower end with the anchor at the anchor point. In knots of the Bowline type, the stem begins to curve at the entry point, where it first begins to cross over the collar. In knots of the core-and-wrap type, such as a Double Fisherman's Knot, the stem extends deeper into the knot before it begins to curve.  
  
**Strength**  
By a knot's strength, we mean the knot's ability to resist breaking when the rope is loaded. Strong and weak are relative terms: saying that a knot is strong means only that it resists breaking under load more than other knots.  
  
**Stress, Strain, and Stretch**  
In this study, the words stress, strain, and stretch are as they are in physics.  
_Stress_ refers to an applied force that tends to strain a segment of rope. The stresses that cause a knot to break are set up by loading a curved segment. The most important kinds of stresses in a knot are tensile, that is, stresses created by pulling.  
_Strain_ refers to a deformation produced by a stress. Stress causes strain.   
_Stretch_ refers to the lengthening of fibers when they are stressed by a load. In studying knot strength, stretch is the most important kind of strain. (These definitions are derived from The American Heritage Dictionary. See also Giancoli, Physics, 240–242.)  
  
**Wide**  
The term _wide_ pertains to the angle that a curve deviates from the axis of the knot. A wide angle deviates by more than a few degrees.  
  
**Wrap**  
In general, the word _wrap_ refers to a segment of rope that passes around another segment. I use it specifically to refer to the helix of a core-and-wrap knot that circles around the stem. Wraps can be very powerful devices. In knots such as a Double Fisherman's Knot, a pigtail or corkscrew encircles a central segment of rope like the tendrils of a grapevine. Warner also uses the word wrap in this sense (A Fresh Approach 30). Ashley uses the word turn (17).  
  
**Factors that Determine the Strength of Knots**  
The chart of knot strength above shows that knots vary in strength from about 50% to about 80% or more of the strength of unknotted rope. Why do knots vary so widely from very weak to very strong?  
To discover factors that determine knot strength, we review the principles established in previous studies, then we analyze the structures of several examples, particularly the characteristics of the first curve in the stem, which determines how strong a knot is. Throughout, we will search for both the principles that affect specific knots and a general principle that explains the strength of all knots.  
Principles of Knot Performance Established in Earlier Studies  
Earlier studies in this series have established several principles concerning knot structure and mechanics.  These observations pertain directly to knots tied in rope made of natural fibers, but many of them apply to knots tied in any material.  
  

* The performance of a knot is determined by the type of materials the knot is tied in, the conditions of use, the laws of mechanics, and the knot's structure.
* We can analyze the form of a knot to determine how its structure affects its performance. In straight segments of a knot, such as in the standing part, the load is distributed evenly on the fibers, while in curved segments it is distributed unevenly. When a load falls on a curved segment of rope, the uneven distribution of load over-stretches some of the fibers and the segment is weakened. 
* A knot breaks when an excessive load falls on a structure that is weakened by curvature. When overloaded, the weakened fibers in the first curve are stretched and stressed until they cannot withstand the strain, then break.
* In any knot, the standing part bears the full load, while the load on segments of rope inside the knot is always less than 100%.
* A break occurs because of a weakness created by the curve in the stem. Knots usually break at the first curve in the most heavily-loaded segment.
* In a Bowline and most other knots, the first curve is at the place where the standing part enters the nub of the knot and the stem crosses over the collar. In a few knots of core-and-wrap construction, such as a Blood Knot and a Double Fisherman's Knot, the first curve is well within the nub. Knots of the Bowline type break just outside the nub, while knots of the core-and-wrap type break well within the nub.
  
**Determining the Strength of Bowline-Type Knots**  
The analyses of a Bowline, an Overhand Bend, and a Flemish Bend on the next sections summarize the principles of knot strength for all knots of the Bowline type. These knots are selected for illustration because they represent the extreme range of strength in knots of this type. In addition, these pages illustrate many of the structural principles that determine the strength all knots.  
  

![][3]

  
_Figure 1. The Moderate Strength of a Bowline_  
Reference is made throughout these studies to a Bowline because it is a familiar knot with moderate performance characteristics and an interesting structure. The shape of the curve in the stem, which governs the strength of all knots, is determined by the configuration of the standing part, the collar, and the anchor. The conclusions stated here are explained in more detail in the discussion that follows.  
SP The Standing Part, the straight segment of rope leading to the nub, bears 100% of the load. In this part of the knot, the load is distributed evenly on all the fibers. The standing part enters the nub at an angle determined by the collar and the anchor.  
X The _Entry Point_, where the standing part merges with the stem and the rope curves as it enters the knot, is the place where a Bowline usually breaks under excessive load. Virtually 100% of the load falls on this point. The severity of this first curve determines the strength of the knot.  
Parts of the Nub The nub is the knotted part of the knot. In a Bowline, it is composed of the stem, the bight, and the hitch.  
S The _Stem_, the segment between the dotted lines, merges with the standing part at the entry point; it is moored to the hitch below. As the stem crosses over the collar, it forms the first curve. This fully-loaded curve distributes the load unevenly on the fibers of the stem, causing an overloaded knotted rope to fail at the entry point.  
B The _Bight_ is the curved segment that forms a collar around the stem just below the entry point. The stem forms the first curve as it passes over the collar.  
C The _Crossing_ of the Hitch forms an anchor that moors the stem and determines the slight amount that it curves around the collar.  
H The _Arc of the Hitch_, the curved segment opposite the crossing, wraps around the legs of the bight and squeezes them together.  
T The _Tail_ bears no load except its own weight.  
L The _Loop_. While the loop bears the entire load, each leg bears only about 50% of the load.  
  
**Structures that Determine the Strength of a Bowline**  
As shown in the figure, a Bowline is a fixed-loop knot tied in a single length of rope. It is made up of the standing part, the loop, the tail, and the nub. The nub, or the knotted part, is composed of the stem, a hitch, and a bight. The bight forms a collar around the stem and forces the stem to make the first curve. All of the load on a Bowline falls on the standing part, and nowhere else within the knot.  
The strength of a Bowline is determined by the configuration of the standing part, the stem, the collar, and the anchor, which is in the lower arm of the hitch. These structures determine the severity of the first curve and the strength of the knot.  
The text explains that a Bowline is stronger than some knots and weaker than others because of the characteristics of its first curve. The principles detailed here apply to other knots of the Bowline type, which includes most knots.  
  
**Figure 2. The Extreme Weakness of an Overhand Bend**  
The analysis of the Overhand Bend below illustrates other aspects of knots of the Bowline type. We do not have test results for the Overhand Bend, but experience and analysis both show that it is very weak. Despite its weakness, it is used by climbers because  "it's the fastest and simplest knot to tie rappel ropes together, admirable qualities when a storm is bearing down" (Raleigh 14). I use it here because it admirably shows extreme curves in the stems, which cause it to be so weak.  
  
**The Overhand Bend.**  
The Overhand Bend is probably the most common knot for tying two pieces of cordage together. Its cousin the Thumb Knot, used as a terminal knot, must also be familiar to everyone. Here the segments are rearranged as a bend. I think of the Overhand Bend as the kite-string knot, because as a boy I used to tie random pieces of string together to fly my home-made kites.  
While numerous knot books report on tests of the strength of several knots in common use, few of them  explain why one knot is stronger than another, and none that I know of mention the Overhand Bend. Analysis of this knot makes the principles of knot strength evident.  
  
**Description of the Overhand Bend**  
To follow this description, tie an Overhand Bend in a length of rope and orient it as shown in the figure, with the nub standing upright at a right angle to the axis and the tails emerging at the right. The white standing part in the illustration, which joins the stem and enters the nub from the left, curves at a extremely severe angle, something like 90°. The blue standing part, extending under the tails to the right, curves somewhat less severely, but still at a wide angle. Parallel strands pass across from the top of the nub and down to the right. These strands then pass under the stems, come around from the left, and pass under and emerge to the right as the twin tails.  
The curves in the stems of this knot are as severe as any I know of. Keeping the weakening effect of a severe curve in mind, inspection of the first curves in an Overhand Bend indicates clearly why the Overhand Bend is found to be such a weak knot.  
The Overhand Bend shows especially well the structures that create a weak knot. The standing parts enter the knot at an extreme angle to the nub, the opening in the collar is oriented at a right angle to the axis of the knot, the first curve is extremely severe, and the anchor point draws the stem at this wide angle.  
The Overhand Bend is a prime example of a secure and stable knot that is extremely weak.  
  
**Figure 3. The Strength of the Flemish Bend**  
  
**The Flemish Bend**  
Of Bowline-type knots, the Flemish Bend, or Figure Eight Bend is probably the strongest bend. The stem curves very little as it enters the knot and crosses over the collar.  
  
**Developing Concepts of Strength in Bowline-Type Knots**  
This section applies the principles of structural analysis to develop concepts of the strength of knots of the Bowline type such as the three knots illustrated above. The strength of knots of the core-and-wrap type is discussed in a later section, where many of the same principles apply.  
  
**The Stem and Adjacent Parts**  
The first task in studying the strength of knots is to become familiar with the stem and the parts adjacent to it.  
  
**The Stem is Attached at Both Ends**  
Identifying the stem is essential to the study of knot strength because that is where most breaks occur. The lower end of the standing part merges with the upper end of the stem, which then crosses over the collar, creating the first curve. Further into the nub of the knot, the lower end of the stem merges with the anchor.  
  
**The Position of Three Points Determines the Severity of the First Curve**  
To determine the relative strength of a knot, the question to ask is how far the first curve deviates from a straight line.  
In knots of the Bowline type, the severity of the first curve depends on the angle formed by three points: 1) the entry point, where the standing part begins to merge with the stem, 2) the place where the first curve crosses over the collar, and 3) the anchor point. The relative location of these parts causes the stem to curve more or less from the axis of the knot. If these parts are way out of line, the stem is forced into a wide angle and a severe curve. If they are in virtually a straight line, the stem curves very little.  
The effect of various positions of these three points can be seen most clearly in the extremely severe first curves in both stems of a Overhand Bend, where the three points form an angle of something like 90°. In a Bowline, these points are much less out of line, so that the first curve is more gentle. In a Flemish Bend, which is a very strong knot, the standing part is virtually in line with the nub of the knot. Its stem curves very gently as it passes on to the anchor point.  
A load on this curve in the stem creates the stresses that weaken the knot by  distributing the load unequally on the fibers. It compresses some of them and stretches and strains others.  
  
**A Load on the Stem Forces it into a Curve**  
The stem is pulled from both directions, with a load coming from the standing part at its upper end and from the anchor at its lower end. As the stem passes over the collar, these loads force it to curve out of a straight line so that it deviates from the main line of longitudinal force of the knot.  
  
**An Excessive Load on the First Curve Causes a Knot to Break**  
As shown in the preceding study of the breaking point of knots, a knot doesn't necessarily break at the most severe curve. It breaks at the first curve of the most heavily-loaded segment of rope, however severe or gentle that curve may be. In knots of the Bowline type, the first curve is at the entry point, where the standing part merges with the stem and begins to cross over the collar.  
Keep in mind that throughout these studies, the term first curve refers to the first curve in the most heavily-loaded segment of rope.  
  
**Curves Redistribute the Load and Weaken the Knot**  
Any curve in a loaded segment of rope distributes the load unequally on the fibers. The load falls more heavily on the outside fibers of the curve than on the inside fibers. By stretching some fibers and compressing others, a curve loads the fibers unevenly. The uneven distribution of load creates strains that weaken the knot at that point. The outside fibers, carrying more of the load than the inside fibers, are placed under greater stress. Under an excessive load, these outer fibers are stretched until they break, just as they are in a green stick if you bend it to the breaking point. The inner fibers, unable to support the increasing load, break soon after. In this way, the curve of the stem creates a weak point that causes a knot in an overloaded rope to fail.  
  
**Severity of the Curve of the Stem Determines the Strength of a Knot**  
The relative strength of a knot is determined by the severity of the first curve. The strength of any knot is determined by the severity of the angle that the first curve veers from the axis. If the stem deviates very little from the main line of longitudinal force in the knot and the first curve is gentle, the knot will be stronger.  
In knots of the Bowline type, the standing part merges with the stem at the entry point so that the stem is forced into a curve as soon as it begins to enter the knot. The full load on the standing part falls directly on the upper part of the stem, but on no other structure in the knot. This is because as soon as the rope enters the nub, contact with other structures reduces the load on every segment of rope inside the knot.  
A gentle curve gives little resistance to the pull from the standing part. This means that a good bit of the load is transferred to the anchor below and the fibers are not strained a great deal by unequal loading. A stem that crosses over the collar in a gentle curve, such as in a Flemish Bend, is stressed very little, so this knot is quite strong.  
A severe first curve does not transfer so much of the load further into the knot. Knots with a severe first curve are weaker than knots with a gentle first curve. An Overhand Bend is very weak because the stems at both ends of the knot are extremely curved. A Bowline is considerably stronger than an Overhand Bend because the first curve is so gentle.  
  
**Determining the Strength of Core-and-Wrap Knots**  
This section applies the principles of structural analysis to develop concepts of the strength of all knots of the core-and-wrap type. Two knots with a core-and-wrap construction illustrate the principles of this small group of knots.  
Figure 4. The Great Strength of the Double Fisherman's Knot  
  
**Double Fisherman's Knot**  
The Double Fisherman's Knot is the best known of knots of core-and-wrap construction and is among the strongest of knots. The stem does not curve until it has passed three-quarters of the way through the knot, and a series of four wraps squeeze tightly against it. The upper view shows it before the slide-and-block parts have been drawn together.  
**Figure 5. The "Fisherman's Favorite," the Blood Knot**  
  
**The Blood Knot, loosely tied**  
Little known except among anglers, this Blood Knot is among the strongest of bends. Like other core-and-wrap knots, the stem does not curve until it is a good way into the knot, and the wraps squeeze it.  
The core-and-wrap construction, in which a series of turns or wraps encases the core, is described in detail in the study titled "The Breaking Point of Knots." This knot structure is not to be confused with the sheath-and-core construction of some rope, which has a "heart enclosed in a braided outer cover" (Budworth Crime 200).  
These knots are quite different in both structure and performance from Bowline-type knots. In addition to the general principles of knot strength which pertain to all knots, an additional principle determines their performance. The strength of core-and-wrap knots is affected not only by the severity of the first curve but also by the length of the core and how tightly the wrap is bound around it, as well, apparently, as the severity of the first curve.  
Knots of this type are stronger because the stem curves only after passing part-way through the knot. Why would this be so? As the stem enters the nub of a core-and-wrap knot, it remains straight for some distance before making the first curve further inside the knot. The wraps squeeze the core, which is actually the straight part of the stem. Pressure from the wraps reduces the load that reaches the first curve; this diminished load reduces stress on the first curve, which and increases the knot's strength. The greater the length of the straight portion of the stem and the tighter the wraps, the greater the strength of a core-and-wrap knot.  
Although Ashley did not describe the inner workings of knots with the core-and-wrap structure, he suggests the secret of their outstanding performance in his comment that "there is unsuspected virtue in a few turns of line" (77). The strength of a Double Fisherman's Knot shows forth that virtue.  
The Core-and-Wrap Construction Makes a Blood Knot Strong  
Stanley Barnes examined another core-and-wrap knot, the Blood Knot that he identified as the "Chaytor type." This is what Day called a Barrel Knot (110) and it is similar to the one that Ashley called a Barrel Knot (#295). Barnes labeled it "the most important knot used in angling." He particularly valued it for "its great strength" and rated it at 85–90% (95), while Day rated it at 80% (110). Either of these ratings is considerably stronger than most knots of the Bowline type.  
The core-and-wrap construction makes a Blood Knot especially strong in two ways. First, it creates a straight-line knot. Unlike the standing part of knots of the Bowline type, the standing part of a Blood Knot does not curve as it merges with the stem at the entry point. Instead, the stem enters directly into the nub without forming an angle with the main line of pull of the knot. As Barnes noted, cordage is "at its strongest" when it is in a straight line (23). The core, which is the extension of the standing part, lies in a direct line with the axis or the main longitudinal force of the knot and does not curve until it has reached the center of the nub.  
Second, the core-and-wrap structure makes a Blood Knot strong because as the stem passes to the center of the knot, three tightly-drawn wraps grip it and progressively diminish the load that falls on it. By the time the stem makes its first curve at the center of the knot, pressure has reduced its load to considerably. This diminished load at the first curve contrasts with the virtually full load that falls on the stem in knots of the Bowline type. But although it is diminished, this load is nevertheless the heaviest load that falls on any curve.  
  
**Strength of Other Knots of the Blood Knot Type**  
It appears to be true that other knots which are built with the core-and-wrap structure not only break within the nub of the knot but are stronger than most other knots. Tests that Day reported show that hitches are stronger than bends and fixed loops (Table 4, 15); this strength is apparently because of their straight-line construction and wraps. Robert Chisnall makes a similar observation. As summarized by Charles Warner, Chisnall (Manual) notes that "in general hitches were stronger than loops because in a hitch the standing part passes straight through the knot, with no bight in the load-bearing side of the knot" ("Behaviour" 192–193). ("Standing part" here refers to the segment of rope that enters the knot, then becomes the core-cum-stem.)  
The way the core-and-wrap construction works can be seen even better in a Double Fisherman's Knot. Climbers have extended the core-and-wrap principle in the Triple Fisherman's Knot, which creates a good hold in slick and stiff cordage such as Spectra and Kevlar (Raleigh 20). This knot is constructed so that a load draws the six wraps tightly around the core, a structural device that creates a knot that approaches the strength of those super-strength ropes.  
  
**Corroboration of this Analysis of Knot Strength**  
Several discussions of knot strength in the knotting literature jibe with this analysis.  
  
**Ashley: Knot Strength and the Location of the Nip**  
Ashley asserts that a knot is stronger—that is, it is better able to resist breaking—if the nip is "well within the structure" (17). He offers no example or explanation of this assertion, but I suggest that he may have had in mind knots of the core-and-wrap type, where the first curve is "well within the structure." These knots are indeed stronger. According to the analysis here, this comment would not pertain to the strength of knots of the Bowline type.  
  
**Day: Knot Strength and the "Radius of the Sharpest Curve"**  
Day supports the view that severe curves (his term is "sharp") inside a knot play no part in weakening it to the breaking point. (I assume that he refers to knots of the Bowline type.)  
It is sometimes asserted that the breaking strength of a knot depends on the radius of the sharpest curve within the knot. When rope is bent under tension, the outside fibers are supposed to be the first to give way. From this it is inferred that the outside fibers of the sharpest curve within the knot—the curve with the smallest radius—will be the first to break. As a matter of fact, however, a knot seldom breaks internally; the break usually occurs in the standing part of the rope, at the point where it enters the knot. The curve at this point is seldom very sharp, especially as compared with some of the curves within the knot itself, yet it is there that failure occurs (15–16).  
Day's statement supports the conclusion that severe or "sharp" curves inside a knot play no part in knot strength. His comment that "the outside fibers are supposed to be the first to give way" applies to fibers in the first curve, as others have shown, but not to fibers of "curves within the knot itself."  
  
**Barnes: "How Sharply the Weakest Coil is Bent"**  
Barnes concludes that the loss of strength in a knot "will be in large degree dependent on how sharply the weakest coil is bent" (19) and that a knot will break where the core forms "its first sharp coil" (51). I assume here that "coil" means curve and "bent" means curved. The analysis above shows that in all knots, the "weakest coil" is the first curve in the most heavily-loaded segment of rope, regardless of how it is curved. The "weakest coil" would be either the curve of the stem, as in the Bowline, or the curve at the center of the knot, as in the Blood Knot.  
It is useful to keep in mind that for all knots, while the severity of the first curve affects its strength, it does not affect its breaking point, and the severity of curves elsewhere in the knot affects neither its strength nor its breaking point.  
  
**Warner: the Severity or Gentleness of the Curve**  
Warner states that "the strongest knots spread the load gradually over some distance before there is a grip" (Fresh, 23). I surmise that the "grip" is the structural device that I have identified as the anchor, which holds the first curve in position. The concept that "spreading the load gradually over some distance" creates a strong knot would apply to core-and-wrap knots. A Double Fisherman's Knot, for example, is one of the strongest because the stem passes through four wraps before it makes a curve. The concept also applies to the strong Flemish Bend where the first curve makes a broad sweeping arc as it passes under the two hitches and into the nub. In addition, it applies to weak knots such as an Overhand Bend which curves   at the entry point and the load is not spread gradually over some distance further inside the knot.  
  
**Long, Lyon, and Lyon**  
Long, Lyon, and Lyon arrive at the same conclusions about variation in knot strength: The curve at the entry point varies from knot to knot, the curvature at that point does not have to be severe to cause the knot to break, and variation of curvature at the entry point causes variation in knot strength.  
  
**Rejected Explanations of the Strength of Knots**  
Several other reasons have been proposed to explain how knots break and what makes them strong or weak. Some of these concepts continue to be asserted, and they may seem intuitively true. But for reasons outlined here, these traditional explanations have to be abandoned. A survey of some of the rejectamenta indicates that progress has been made in understanding knot strength but that a great deal remains to be done.  
  
**Rejected: Knots Break Because One Segment of Rope Cuts Another Segment**  
Discussion of the effect of curves on knot strength has a history that reaches back at least to the 1860s and probably long before that. The idea that a knot breaks when one segment of rope cuts through another appeared in the 1864 report of a Special Committee of the Alpine Club, published in Volume I of _The Alpine Journal_. E. S. Kennedy and members of the committee cautioned that  

> It is very unsafe to join two pieces of rope by looping one end through the other, so that, when the jerk comes, they will be strained across each other as two links of a chain are strained across each other. Unless a pad of some kind divides the loops, one will cut the other through (326).

The idea that a severe curve causes one segment of rope to cut through another apparently seemed reasonable to those alpinists, but it is now generally discarded in favor of other concepts. Stanley Barnes, for example, concludes that while some knot users have "deduced that in a nylon knot one filament breaks the companion coil by a cutting process," the failure in a thumb knot is due to "a break at the convexity rather than a cut in the concavity" (26–27). Vines and Hudson (60) concur with this view, and it jibes with the analysis of in the study, "the Breaking Point of Natural-Fiber Knots." Whatever may be the case with nylon filament, the break in ordinary rope under normal conditions appears not to occur by a cutting process.  
  
**Rejected: A Shearing Effect Causes String to Break**  
After describing and illustrating a convenient way to break twine (30), Ashley comments that  

> It is evident that some factor other than a harsh curve is present when string is broken in the manner described. It seems probable that this is the shearing effect exerted by the taut cord where it is hacked across the section that is held rigid.

From my analysis of knot strength and breaking point, it appears that Ashley's "other factor" that causes the break is not the shearing effect of the taut cord but the full load falling on the curve.  
  
**Rejected: Knots Break Where Loops Interlock**  
In the passage from the Alpine Club report, there also appears the idea that a break occurs at interlocking loops: "to join two pieces of rope by looping one end through the other, so that, when the jerk comes, they will be strained across each other as two links of a chain are strained across each other." Although the explanation offered in the report is brilliantly clear and graphic, a test conducted by Ashley showed that it is not so. He demonstrated that the Bowline Bend (#143, #1455), in which two Bowlines are linked to join two pieces of rope, showed "no tendency to break at the point of crossing." Instead, the linked loops "broke each time at a point just outside one of the Bowline Knots." These breaks occurred at the stem of one of the knots despite the fact that the "right-angle crossing provides the uneasiest curve that is possible within a knot" (30). The knot does not break at the interlocking loops despite the 180° reversal of directions of the legs of the loop and the stresses placed on the fibers at the point where they link to each other.  
In a nearby passage, the Alpine Club committee expressed a preference for "knots in which the folds are least sharply bent round each other; that is, in which the curves are large" (325). This judgment agrees entirely with more recent concepts and with the present analysis. Dissecting these brief statements shows how intermingled various problems are and how complex and inconsistent our concepts can be. What was missing in the earlier concept of knot failure was the idea of the full load falling on the first curve.  
  
**Rejected: Knots Break Because of Pressure Inside the Knot**  
Intuition suggests to many people that a knotted rope will break because of excessive pressure at curves inside the knot. Many assume that a Bowline would break at the arc of the bight, at the arc of the hitch, or at the crossing of the hitch. These assumptions seem plausible for several reasons: 1) there are many curves in these places; 2) some of these curves are severe and heavily loaded, as in the hitch of a Bowline; 3) snugging and tightening obviously place stress on the segments there; 4) segments in the nub are apparently stressed both by the load and the curves. But both tests and analysis show that they are not so.  
  
**Rejected: Knots Break Because of Friction Inside the Knot**  
Following a similar intuition, others have thought that friction created at bearing surfaces between segments causes a knot to break. The analysis in "The Breaking Point of Knots" shows, however, that a break in a knot tied in natural-fiber rope occurs in the first curve and is caused by an excessive load falling on fewer than all the fibers of that segment. Drawing on that analysis, we can conclude that a break occurs at a weakness created by the curvature of the stem, not by pressure and friction between structures.  
This concept appears to apply, however, to knots tied in artificial cordage.  
  
**Rejected: Knots Break Because of Severe Curves Inside the Knot**  
Day commented that "It is sometimes asserted that the breaking strength of a knot depends on the radius of the sharpest curve within the knot." (15) It may also be inferred that the Alpine Club report would support the idea that a knot breaks at a severe curve inside the knot. And Ashley observed that "One of the 'laws' quoted in dictionary and encyclopedia knot discussions ¼ is that 'the strength of a knot depends on the ease of its curves' " (30). Ashley's experiment with the Bowline Bend dramatically refutes the idea that severe curves inside a knot weaken it. Except in knots of the core-and-wrap construction, curves well inside a knot do not directly affect either the strength of the knot or the place where they break. For example, a Bowline does not break at the severe curve where the arms of the hitch cross. This is because the load that falls on the gentle curve at the entry point is virtually 100%, while the load at the hitch is considerably less than that.  
  
**Rejected: Knots Break Because of Poor Dressing of a Knot**  
Some knot users have suggested that poor dressing of a knot will cause it to break. That is, a weakness is created in a knot that is not drawn up properly. "Dressing" a knot refers to arranging the segments of a finished knot so that they lie where they are supposed to and do not cross each other where they are not supposed to. Although knot books frequently admonish readers to dress a knot, there seems to be no evidence that dressing a knot affects its strength. Dressing would seem to improve knot strength only if it affected the first curve. I surmise that this idea arose out of a desire to make the knot as neat-looking as possible rather than from tests, analysis, or experience of knot failure.  
  
**Rejected: Tight or Compact Knots Are Stronger**  
Knots that can be tightened compactly are sometimes thought to be stronger. These knots may be more secure or more stable, but not necessarily stronger. There is apparently no evidence that this factor contributes to knot strength.  
  
**Rejected: Knots of Great Bulk or Volume Are Stronger**  
Contrary to the "tight knot" school, there are those who think that knots of great bulk or volume are stronger. A lot of children and inexperienced knot tyers, following the adage "if you can't tie a knot tie a lot," tie knot on knot until they create a great wob. If those add-ons are merely half hitches, they add little strength.  
  
**Summary: Factors that Determine the Strength of a Knot**  
The strength of a knot is determined by two characteristics of the first curve.  
1.  The relative proportion of full load that falls on the first curve.  
In knots of the Bowline type, in which the stem curves at the entry point, the first curve bears virtually 100% of the load. In knots of the core-and-wrap type, the proportion of the full load that falls on the first curve is determined by its location inside the knot and the number and tightness of the wraps.  
2.  The severity of the first curve, that is, how far it deviates from a straight line.  
A load falls more or less unevenly on the fibers in the stem, depending on the severity of the first curve. Some of the fibers have to bear more of the stretch and strain than others. Under an excessive load, this uneven stress weakens the knot and causes it to break.  
**Severity of the First Curve Determines the Strength of a Knot**  
The strength of knots depends on the severity of the first curve. The amount of deviation from the axis of the knot determines the amount that the outer fibers in the first curve are stretched. The more severe the first curve, the weaker the knot, and the gentler the first curve, the stronger the knot. The reason is that the more severe the first curve, the more unevenly the load is distributed in this vulnerable location and the more the outer fibers are stretched. Adam Long et al., using somewhat different terminology, arrive at a similar conclusion. "A knot's strength depends largely on the radius of the first bend as the loaded end of the rope enters the knot," they comment. "A very tight bend will result in a weaker knot than one with a more gradual bend" (16). As Warner put it, "knots with the greatest load applied to very sharp bends are weakest" (Fresh, 23). The greatest load is always on the first curve. I take it that these writers refer to the same configuration that I do and arrive at the same conclusion.  
Tests of the strength of several knots confirm the assertion that their relative strength varies according to the severity of the first curve. The Flemish Bend, with gentle first curve, is rated at more than 80% of the strength of an unknotted rope, while experience shows that the Overhand Bend, with a severe first curve, is extremely weak. Although this conclusion is unsubstantiated by tests and remains unproved, analysis shows it to be the case.  
  
**Afterword: The Difficulty of Studying Knot Strength**  
The analysis of knot strength has been the most challenging task in this study of knot performance, and it remains the least certain part. Little has been written about the subject. Few tests of knots with contrasting strength have been reported, and several observers have questioned the reliability of published tests. The severity of a curve and the effect of a curve on individual fibers are difficult to measure without laboratory instruments. The factors that affect the strength of a knot are difficult to observe and analyze, and the differences in structure that account for greater or lesser strength are subtle. As Cyrus Day noted long ago, the study of knot strength has been neglected. Part of the reason is probably that the study is so difficult.  
Some of these conclusions about the strength of knots are not as firm as those about security, stability, and breaking point. In writing this part, more than others, I have felt "This explanation sounds reasonable, but I cannot explain why," and have had to leave it at that. Perhaps a more technical analysis, using equipment such as a strain gauge and instruments that accurately measure angles, curvature, and lengths would yield firmer results.  
I feel nevertheless that the questions, the method of analysis, and the principles developed here  are firm and suggest some of the right tracks for further research. I hope that my comments will be useful for other studies of how knots work and why they work that way. And I hope that my conclusions are sound and trust that readers will point out their shortcomings to me.

_posted by -AAK at [3:15 PM][4]_ ![][5]

#### 1 Comments:

![Blogger][6] [xarax][7] said... 
: 

Dear Sir,  
  
A dialogue was published at the IGKT forum, where parts of your article about knot strength was cited and criticized. It would be very helpful for the participants of this dialogue, and I personally would be very glad, if you are kind to offer us some of your knowledge and expertise about this subtle matter. Few people care about knots, but this is not a proof that knots are not something valuable. My own opinion is that they are something like mathematical theorems in a #D world with friction, and so they somehow exist, either we do care about them, or not. Indeed, they "exist" either we know them, or not, either we exist, or not, exactly as mathematical theorems do. (Purposely platonic comment : ))   
  
Best Regads,  
  
Constant Xarax  
Athens,Greece  
xarax@otenet.gr

: [9:44 AM][8]  

[Post a Comment][9]

<<[ Home][1]

## Contributors

* [-AAK][10]
* [-AAK][11]

## Previous Posts

* [Bibliography of Knot Performance][12]
* [The English Diamond Knot][13]
* [Selecting a Strong Hitch for Spectra/Dyneema Rope][14]
* [Sublime and Beautiful Knots][15]

![Powered by Blogger][16]

* * *

 

[1]: http://allaboutknots.blogspot.com/
[2]: mailto:dick%40allaboutknots.com
[3]: http://3.bp.blogspot.com/_8cJl7TNl14s/TQTlCOiN7nI/AAAAAAAAAAM/KyAws-5jlQ8/s1600/030130_bowline_small_color.jpg
[4]: http://allaboutknots.blogspot.com/2010/11/knot-strength-structures-that-make.html "permanent link"
[5]: https://img2.blogblog.com/img/icon18_edit_allbkg.gif
[6]: https://img2.blogblog.com/img/b16-rounded.gif
[7]: https://www.blogger.com/profile/13172657280661065948
[8]: http://allaboutknots.blogspot.com#5267558666567495205 "comment permalink"
[9]: https://www.blogger.com/comment.g?blogID=19421705&postID=1563037703425785338
[10]: https://www.blogger.com/profile/08902210432440172469
[11]: https://www.blogger.com/profile/09131524573935125403
[12]: http://allaboutknots.blogspot.com/2010/11/bibliography-of-knot-performance.html
[13]: http://allaboutknots.blogspot.com/2006/01/english-diamond-knot.html
[14]: http://allaboutknots.blogspot.com/2006/01/selecting-strong-hitch-for.html
[15]: http://allaboutknots.blogspot.com/2005/12/sublime-and-beautiful-knots.html
[16]: http://buttons.blogger.com/bloggerbutton1.gif

