---
created_at: '2015-04-05T16:15:26.000Z'
title: World Lithium Supply (2010)
url: http://large.stanford.edu/courses/2010/ph240/eason2/
author: julianozen
points: 46
story_text: 
comment_text: 
num_comments: 19
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1428250526
_tags:
- story
- author_julianozen
- story_9324433
objectID: '9324433'

---
[Source](http://large.stanford.edu/courses/2010/ph240/eason2/ "Permalink to World Lithium Supply")

# World Lithium Supply

World Lithium Supply

# World Lithium Supply

## Eric Eason  
November 30, 2010

### Submitted as coursework for [Physics 240][1], Stanford University, Fall 2010

| ----- |
|  [ ![][2]][3] |  
|  **Fig. 1:** Spodumene (lithium aluminum silicate) is a mineral that is used as a commercial source of lithium. (Photograph courtesy of the [U.S. Geological Survey][4].)  | 

Lithium, the third element in the periodic table, is a soft, silvery-white alkali metal. It is the lightest of all metals. As a whole, the Earth's crust contains approximately 20 parts per million of lithium, and the oceans contain 0.17 parts per million; the atmosphere contains only trace amounts. [1]

Lithium has many industrial uses. It goes into glasses, ceramics, pharmaceuticals, and aluminum and magnesium alloys. But the highest potential for growth is in the battery market, where lithium is used as electrode and electrolyte material in lithium disposable batteries and in lithium-ion rechargeable batteries. According to a USGS case study, over the years 1996-2005 the amount of lithium used per year in the United States in four specific battery markets (camcorders, cameras, cell phones, and portable computers) grew threefold, whereas the total U.S. "apparent" consumption of lithium (this does not include imported or exported products) decreased by 7% due to declining U.S. aluminum production. In 2005 these four markets made up 11% of total apparent U.S. consumption. [2] Furthermore, by 2009 the battery market had grown to 31% of global lithium consumption. [3] Clearly, if the automotive industry begins to manufacture large numbers of hybrid electric vehicles and electric vehicles that use lithium batteries, then lithium demand will continue to grow – which raises the question: Is there enough lithium?

## Where Lithium Comes From

Lithium is never found in its elemental, metallic form because it is highly reactive: lithium is highly flammable, and will even react spontaneously with water. (This high reactivity is why some lithium-ion batteries ignite or explode when exposed to high temperatures.) Instead, lithium is usually extracted from lithium minerals that can be found in igneous rocks (chiefly spodumene) and from lithium chloride salts that can be found in brine pools. [4] The largest producer of lithium in the world is Chile, which extracts it from brine at the Atacama Salt Flat. Argentina also produces lithium from brine at the Hombre Muerto Salt Flat. There is also an enormous lithium deposit in Bolivia at the Uyuni Salt Flat (the world's largest salt flat), but this resource remains untapped for now due to political and economic reasons. The largest producer of lithium from spodumene is Australia, which has a large deposit near Perth. Other major lithium producers include China, which produces it at salt lakes in Tibet and Qinghai, and the United States, which produces it from brine in Nevada. [5] Extracting lithium from brine is currently cheaper than mining it from spodumene, so there are many deposits of spodumene that are not currently being mined. Lithium is also present in seawater, but the concentration is too low to be economic.

As of January 2010, the USGS estimated world total lithium reserves at 9.9×109 kg (economically extractable now) and identified lithium resources at 2.55 × 1010 kg (potentially economic). Most of the identified resources are in Bolivia and Chile (9 × 109 kg and 7.5 × 109 kg, respectively). World lithium production is currently on the order of 2 × 107 kg per year. [3]

| ----- |
|  [ ![][5]][6] |  
|  **Fig. 2:** The majority of the world's known lithium resources are found in brine pools on the Pacific coast of South America. (Photograph courtesy of the [U.S. Geological Survey][4].) | 

## Lithium Content in Batteries

The amount of lithium that a battery must contain can be calculated with some very simple chemistry. Lithium, like the other alkali metals, only has one oxidation state and only forms ions with a single positive charge. [6] This means that the fundamental electrochemical reaction for any kind of lithium battery, regardless of its chemistry, must be:

Li → Li+ \+ e-

In the case of a lithium-ion rechargeable battery, the reaction proceeds like this: As the battery discharges, one lithium atom at the negative electrode splits into a lithium ion and an electron; the lithium ion migrates through the internal structure of the battery, while the electron exits the battery and flows through whatever circuit the battery is attached to; the lithium ion and electron then recombine at the positive electrode. The same reaction runs in reverse during recharging.

Therefore, to drive one mole of electrons through a circuit, a lithium battery must contain one mole of lithium. One mole of electrons is 26.80 ampere-hours (A·h), and one mole of lithium weighs 6.941 × 10-3 kg. [6] By dividing these numbers, I calculate that for any lithium battery, the charge capacity per kg of lithium is

3861 A·h/kg (theoretical limit). 

I am now going to focus on the specific case of lithium-ion rechargeable batteries (as opposed to non-rechargeable lithium batteries). To calculate the energy capacity, I need the average battery voltage during discharge. This depends on the battery chemistry, but not very much. Three of popular types of lithium-ion batteries use cobalt oxide, iron phosphate, and manganese oxide for their cathode materials (the anode material is carbon for each); these produce an average battery voltage of 3.6 V, 3.4 V, and 4.0 V respectively [7-9]. I will use the value for cobalt oxide (3.6 V), since it is the most commonly used. In addition, I will insert an efficiency factor of 73%, representing the loss of capacity due to imperfections in the electrodes (this efficiency value was recently achieved using a silicon nanowire anode [10]; using it here may be excessively optimistic). The maximum realistic energy capacity for lithium-ion batteries is therefore

3861 A·h/kg × 3.6 V × 0.73 = 10.1 kW·h/kg 

or about 10 kilowatt-hours per kilogram of lithium.

## How Much Lithium We Need

Lithium-ion electric vehicles can be designed with a large variation of battery capacities, so I will (somewhat arbitrarily) base my analysis on the Nissan Leaf electric car, which has a 24 kW·h battery. [11] There are electric cars with smaller batteries than the Leaf (e.g., Chevrolet Volt) and larger batteries (e.g., Tesla Model S), so the Leaf's battery strikes a rough median. Every 10 kW·h requires 1 kg of lithium, so it takes at least 2.4 kg of lithium to make this battery.

If all other lithium industries suddenly evaporated, we could imagine using the entire world lithium production to make nothing but Nissan Leafs. At 2 × 107 kg of lithium per year, we can make 8.3 million of them. Using all 9.9 × 109 kg of the world's lithium reserves, we can make 4.1 billion Leafs; using all the identified lithium resources (2.55 × 1010 kg), we can make 10.6 billion Leafs.

If we would like to have a North American standard of living for everyone in the world – say, 1 car for every 2 people – then we would need about 3.4 billion Nissan Leafs. This would use 32% of the identified resources (all known lithium in the world), or 82% of the reserves (all lithium that is currently economic to produce). Even with widespread recycling, that seems like an unsustainable prospect.

Remember that the limits on battery capacity are fundamental. The only ways this percentage can go down are:

1. Battery capacity exceeds 73% of the theoretical maximum (unlikely)
2. New deposits of lithium are discovered and made economic (unknowable)
3. Smaller lithium-ion batteries are used (shorter range)
4. Fewer cars are built with lithium-ion batteries.

This suggests to me that if all the world's cars are going to be made electric, it is likely that a mixture of battery technologies will be used. It is certainly possible to build millions of electric vehicles with lithium-ion batteries, but it may not be possible to make billions of them.

© Eric Eason. The author grants permission to copy, distribute and display this work in unaltered form, with attribution to the author, for noncommercial purposes only. All other rights, including commercial rights, are reserved to the author.

## References

[1] J. Emsley, _Nature's Building Blocks: An A-Z Guide to the Elements_ (Oxford University Press, 2002).

[2] D. R. Wilburn, "Material Use in the United States — Selected Case Studies for Cadmium, Cobalt, Lithium, and Nickel in Rechargeable Batteries," U.S. Geological Survey, Scientific Investigations Report [2008-5141][7] (2008).

[3] "[Mineral Commodity Summaries 2010][8], "U.S. Geological Survey, 26 Jan 10.

[4] D. R. Lide, ed., _CRC Handbook of Chemistry and Physics_, 90th ed. (CRC Press, 2009).

[5] "[2008 Minerals Yearbook: Lithium][9]," U.S. Geological Survey, 27 Jan 10.

[6] D. W. Oxtoby, H. P. Gillis, and N. H. Nachtrieb, _Principles of Modern Chemistry_, 5th ed. (Thomson Brooks/Cole, 2002).

[7] K. Ozawa, "Lithium-Ion Rechargeable Batteries with LiCoO2 and Carbon Electrodes: the LiCoO2/C System," Solid State Ionics **69**, 212 (1994).

[8] A. Yamada, S. C. Chung, and K. Hinokuma, "Optimized LiFePO4 for Lithium Battery Cathodes," J. Electrochem. Soc. **148**, A224 (2001).

[9] R. J. Gummow, A. de Kock, and M. M. Thackeray, Improved Capacity Retention in Rechargeable 4 V Lithium/Lithium-Manganese Oxide (Spinel) Cells," Solid State Ionics **69**, 59 (1994).

[10] C. K. Chan _et al_., "High-Performance Lithium Battery Anodes Using Silicon Nanowires," Nature Nanotechnol. **3**, 31 (2007).

[11] M. Ramsey, "[Nissan Discloses Leaf's Range, MPG Equivalent][10]," The Wall Street Journal, 23 Nov 10.

[1]: http://large.stanford.edu/
[2]: http://large.stanford.edu/images/f1.jpg
[3]: http://large.stanford.edu/ages/f1big.jpg
[4]: http://www.usgs.gov/visual-id/credit_usgs.html
[5]: http://large.stanford.edu/images/f2.jpg
[6]: http://large.stanford.edu/ages/f2big.jpg
[7]: http://large.stanford.edu/tp://pubs.usgs.gov/sir/2008/5141/
[8]: http://large.stanford.edu/tp://minerals.usgs.gov/minerals/pubs/mcs/
[9]: http://large.stanford.edu/tp://minerals.usgs.gov/minerals/pubs/commodity/myb/
[10]: http://large.stanford.edu/tp://online.wsj.com/article/SB10001424052748704243904575630942034106782.html

