---
created_at: '2015-05-02T09:25:09.000Z'
title: Energy Is Not Conserved (2010)
url: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/
author: monort
points: 58
story_text: 
comment_text: 
num_comments: 15
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1430558709
_tags:
- story
- author_monort
- story_9476443
objectID: '9476443'

---
[Source](http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/ "Permalink to Energy Is Not Conserved | Sean Carroll")

# Energy Is Not Conserved | Sean Carroll

[Sean Carroll][1]

in truth, only atoms and the void

![][2]

[Skip to content][3]

* [Home][4]
* [About Sean][5]
* [About This Blog][6]
* [Greatest Hits][7]
* [Yop Poll Archive][8]

←[ Many Roads to Science][9]

[From Eternity to Book Club: Chapter Seven →][10]

# Energy Is Not Conserved

Posted on [February 22, 2010][11] by [Sean Carroll][12]

I’ve been meaning to link to [this post at the arXiv blog][13], which is a great source of quirky and interesting new papers. In this case they are pointing to [a speculative but interesting paper][14] by Martin Perl and Holger Mueller, which suggests an experimental search for gradients in dark energy by way of atom interferometry.

But I’m unable to get past this part of the blog post:

> The notion of dark energy is peculiar, even by cosmological standards.
> 
> Cosmologists have foisted the idea upon us to explain the apparent accelerating expansion of the Universe. They say that this acceleration is caused by energy that fills space at a density of 10-10 joules per cubic metre.
> 
> What’s strange about this idea is that as space expands, so too does the amount of energy. If you’ve spotted the flaw in this argument, you’re not alone. Forgetting the law of conservation of energy is no small oversight. 

I like to think that, if I were not a professional cosmologist, I would still find it hard to believe that hundreds of cosmologists around the world have latched on to an idea that violates a bedrock principle of physics, simply because they “forgot” it. If the idea of dark energy were in conflict with some other much more fundamental principle, I suspect the theory would be a lot less popular.

But many people have just this reaction. It’s clear that cosmologists have not done a very good job of spreading the word about something that’s been well-understood since at least the 1920’s: energy is not conserved in general relativity. (With caveats to be explained below.)

The point is pretty simple: back when you thought energy was conserved, there was a _reason_ why you thought that, namely time-translation invariance. A fancy way of saying “the background on which particles and forces evolve, as well as the dynamical rules governing their motions, are fixed, not changing with time.” But in general relativity that’s simply no longer true. Einstein tells us that space and time are dynamical, and in particular that they can evolve with time. **When the space through which particles move is changing, the total energy of those particles is not conserved.**

It’s not that all hell has broken loose; it’s just that we’re considering a more general context than was necessary under Newtonian rules. There is still a single important equation, which is indeed often called “energy-momentum conservation.” It looks like this:

![\nabla_\mu T^{\mu\nu} = 0,.][15]

The details aren’t important, but the meaning of this equation is straightforward enough: energy and momentum evolve in a precisely specified way in response to the behavior of spacetime around them. If that spacetime is standing completely still, the total energy is constant; if it’s evolving, the energy changes in a completely unambiguous way.

In the case of dark energy, that evolution is pretty simple: the _density_ of vacuum energy in empty space is absolute constant, even as the volume of a region of space (comoving along with galaxies and other particles) grows as the universe expands. So the total energy, density times volume, goes up.

This bothers some people, but it’s nothing newfangled that has been pushed in our face by the idea of dark energy. It’s just as true for “radiation” — particles like photons that move at or near the speed of light. The thing about photons is that they redshift, losing energy as space expands. If we keep track of a certain fixed number of photons, the number stays constant while the energy per photon decreases, so the total energy _decreases_. A decrease in energy is just as much a “violation of energy conservation” as an increase in energy, but it doesn’t seem to bother people as much. At the end of the day it doesn’t matter how bothersome it is, of course — it’s a crystal-clear prediction of general relativity.

And one that has been experimentally verified! The success of [Big Bang Nucleosynthesis][16] depends on the fact that we understand how fast the universe was expanding in the first three minutes, which in turn depends on how fast the energy density is changing. And that energy density is almost all radiation, so the fact that energy is not conserved in an expanding universe is absolutely central to getting the predictions of primordial nucleosynthesis correct. (Some of us have even explored the [very tight constraints on other possibilities][17].)

Having said all that, it would be irresponsible of me not to mention that plenty of experts in cosmology or GR would not put it in these terms. We all agree on the science; there are just divergent views on what words to attach to the science. In particular, a lot of folks would want to say “energy _is_ conserved in general relativity, it’s just that you have to include the energy of the gravitational field along with the energy of matter and radiation and so on.” Which seems pretty sensible at face value.

There’s nothing incorrect about that way of thinking about it; it’s a choice that one can make or not, as long as you’re clear on what your definitions are. I personally think it’s better to forget about the so-called “energy of the gravitational field” and just admit that energy is not conserved, for two reasons.

First, unlike with ordinary matter fields, there is no such thing as the _density_ of gravitational energy. The thing you would like to define as the energy associated with the curvature of spacetime is not uniquely defined at every point in space. So the best you can rigorously do is define the energy of the whole universe all at once, rather than talking about the energy of each separate piece. (You can sometimes talk approximately about the energy of different pieces, by imagining that they are isolated from the rest of the universe.) Even if you can define such a quantity, it’s much less useful than the notion of energy we have for matter fields.

The second reason is that the entire point of this exercise is to explain what’s going on in GR to people who aren’t familiar with the mathematical details of the theory. All of the experts agree on what’s happening; this is an issue of translation, not of physics. And in my experience, saying “there’s energy in the gravitational field, but it’s negative, so it exactly cancels the energy you think is being gained in the matter fields” does not actually increase anyone’s understanding — it just quiets them down. Whereas if you say “in general relativity spacetime can give energy to matter, or absorb it from matter, so that the total energy simply isn’t conserved,” they might be surprised but I think most people do actually gain some understanding thereby.

Energy isn’t conserved; it changes because spacetime does. See, that wasn’t so hard, was it?

### Share this:

* [Click to share on Facebook (Opens in new window)][18]
* [Click to share on Twitter (Opens in new window)][19]
* [Click to share on Google+ (Opens in new window)][20]
* [Click to share on Reddit (Opens in new window)][21]
* [Click to share on Tumblr (Opens in new window)][22]
* [Click to email this to a friend (Opens in new window)][23]
* [Click to print (Opens in new window)][24]
* ### _Related_

This entry was posted in [Science][25]. Bookmark the [permalink][26]. 

←[ Many Roads to Science][9]

[From Eternity to Book Club: Chapter Seven →][10]

### 56 Responses to _Energy Is Not Conserved_

[Newer Comments →][27]

1. ![][28] Jolyon Bloomfield says:

[ February 22, 2010 at 9:21 am][29]

Hmm, interesting point. Is it the mark of a physicist that I’ve never actually worried about the energy conservation implications of a cosmological constant? 😉

2. ![][30] Robert says:

[ February 22, 2010 at 9:40 am][31]

A beautiful, clear explanation. One might add that every GPS receiver assumes this particular form of energy non-conservation by including relativistic corrections to the photon energy (=frequency) it receives when it tells us how far we are from the nearest Starbucks.

3. ![][32] Douglas says:

[ February 22, 2010 at 9:49 am][33]

I applaud your description of a thorny problem. In my opinion, it is those physicists who attempt not to dilute their content with evasive language but instead illuminate its difficulties with wisely chosen analogies that are the best communicators. It is for this reason that I believe Hawking’s “A Brief History of Time” has endured to inspire new physicists to this day: he openly admits the weirdness of physics, and does his best to give a glimpse into its nature. Apart from selecting which details he pursues, he pulls no punches.

However, I do feel like you stumble over your words quite a bit here. For instance, as a non-GR physicist, I have no idea what the distinction is between “there's energy in the gravitational field, but it's negative, so it exactly cancels the energy you think is being gained in the matter fields" and “spacetime can give energy to matter, or absorb it from matter, so that the total energy simply isn't conserved”. What is the difference between a gravitational field and an “evolving” spacetime? Where does the energy go that it absorbs or releases?

These phrases are confusing because it sounds like we’re sweeping energy under a rug. Would it be better to say “There is a clear relationship that transmutes energy into momentum, just as space transmutes into time, under the laws of general relativity”? This is what I assume you were getting at with your “energy-momentum conservation equation”. But as someone who has never studied GR, I’m grasping at straws here.

4. ![][34] Bjoern says:

[ February 22, 2010 at 10:08 am][35]

Nice explanation, Sean. 🙂

For those interested in the math behind that, you can find a good article by John Baez here:  
<http://math.ucr.edu/home/baez/physics/Relativity/GR/energy_gr.html>

5. ![][36] TimG says:

[ February 22, 2010 at 10:24 am][37]

Hi, Sean. Would it be accurate to say that energy is conserved locally, but not globally? That is, in a fixed volume the energy is conserved (in the sense that any energy gained or lost by the volume is equal to what we see passing through its walls), but because the total volume of the universe is increasing, the total energy is not conserved. Or does GR violate even this idea of local energy conservation?

6. ![][38] [Ken][39] says:

[ February 22, 2010 at 10:43 am][40]

Is it just me or is the picture posted above broken?  
The picture follows this paragraph:

“It's not that all hell has broken loose; it's just that we're considering a more general context than was necessary under Newtonian rules. There is still a single important equation, which is indeed often called "energy-momentum conservation." It looks like this:”

-ken

7. ![][41] [Sean][42] says:

[ February 22, 2010 at 10:45 am][43]

Ken– Not sure what’s going on, the image looks fine to me.

TimG– No, even that kind of energy conservation is not true. The energy lost or gained is not equal to the flux through the walls.

8. ![][44] [Arun][45] says:

[ February 22, 2010 at 10:50 am][46]

_The thing you would like to define as the energy associated with the curvature of spacetime is not uniquely defined at every point in space. So the best you can rigorously do is define the energy of the whole universe all at once, rather than talking about the energy of each separate piece. (You can sometimes talk approximately about the energy of different pieces, by imagining that they are isolated from the rest of the universe.) Even if you can define such a quantity, it's much less useful than the notion of energy we have for matter fields._

How does one talk about gravitational waves interacting with a gravitational wave detector and how the former imparts energy to the latter if one cannot talk rigorously about the “energy of the gravitational field”?

9. ![][47] Jason R says:

[ February 22, 2010 at 11:01 am][48]

Hmm. this might have some interesting implications for the religious Kalam Cosmological argument. They like to throw around the word ‘conservation’ and that matter can’t be created or destroyed.

Nice article!!

10. ![][49] [Meredith][50] says:

[ February 22, 2010 at 11:08 am][51]

Lovely explanation. Photons losing energy as they redshift bothered me during a recent graduate cosmology course, and the professor was kind enough to dig up a sentence stating simply that energy is not conserved on a cosmological scale. It still bothered me, but I have since taken a GR course, so your mention of “energy-momentum conservation” makes me much happier. Thanks!

11. ![][41] [Sean][42] says:

[ February 22, 2010 at 11:30 am][52]

Arun– You can talk about the energy lost by a binary system by treating it as isolated from the rest of the universe, but it’s necessarily an approximation. For detecting gravitational waves there is no problem, since you should be talking about observable things (like the displacement in light waves as measured by an interferometer) anyway.

12. ![][53] [miller][54] says:

[ February 22, 2010 at 11:33 am][55]

I agree that this is an issue of translation, not of physics, but the conclusion you draw after that seems off.

_"in general relativity spacetime can give energy to matter, or absorb it from matter, so that the total energy simply isn't conserved,"_

For instance, this strikes me as a non sequitur. If spacetime is giving and absorbing energy from matter, it sounds like energy is just moving from one place to another. And then you tell me that this means energy is not conserved. Sure, this will provoke surprised reactions, but that’s because what you said makes little logical sense.

If I were a lay person, my reaction would be, “Physics is hard and makes my brain hurt!” As a physics student, I just think the professor is BSing me because in his/her professional opinion, I do not have the required background to understand what’s really going on. I suspect that perpetual motion machines remain impossible.

13. ![][56] Cody says:

[ February 22, 2010 at 11:49 am][57]

I have not yet taken a course on GR, but I am under the impression that coordinate transformations from one place to another in GR are path-dependent?

Assuming that is true, is that why, “…the energy associated with the curvature of spacetime is not uniquely defined at every point in space.”?

14. ![][58] KiwiDamien says:

[ February 22, 2010 at 12:19 pm][59]

@Miller:

It isn’t quite a non-sequitur. It is true that spacetime interacts with matter, and that the energy-momentum tensor changes non-trivially in a gravitational field. So you can certainly think of the spacetime as giving energy to or taking it from matter. The point is that it is not so easy to define the energy of the spacetime, and without doing so there is missing or excess energy in the matter sector.

It is logically consistent to think this way: energy conservation is not a property of any set of (mathematically consistent) dynamics. It arises often in physics because it is associated with a symmetry: that the background in which we are working is time-independent. I can give you a time varying potential in quantum mechanics and you will also see energy non-conservation. Of course, in that case, we resort to “physical reasoning” (i.e. our faith in the conservation of energy) to insist that we have ignored degrees of freedom associated with the lab / experiment / etc needed to set up the potential in the first place, and assure ourselves if we did include everything energy would still be conserved. But the fact that we can keep this assurance in the back of our minds without explicitly entering it into our calculations is sufficient to show that there is nothing *logically* inconsistent about defining an energy which is not conserved.

(A simpler example may be interactions with a heat bath in thermo, but there we often define our ensemble in terms of energy conservation so it is not as good as it first appears.)

In general relativity, in the absence of a timelike Killing field we simply have an evolving background. We can use our local time coordinate to define an energy, but just like the time evolving potential in a “series-of-evolving spatial slices” (or more generally a non-stationary spacetime) but we don’t have an assurance that the quantity we define will be conserved.

15. ![][60] Cusp says:

[ February 22, 2010 at 12:20 pm][61]

I concur. Energy is not conserved. Harrison had a nice paper on mining energy from expanding space-time

16. ![][62] Reginald Selkirk says:

[ February 22, 2010 at 1:07 pm][63]

Just two days ago, a preacher was telling me that scientists had proven something cannot come from nothing, and therefore God exists.

17. ![][64] Kmeson says:

[ February 22, 2010 at 2:26 pm][65]

What are the relative magnitudes of the energy gained due to a cosmological constant + expansion and the energy lost due to the red shift of non decaying particles propagating through space?

18. ![][66] Aaron Sheldon says:

[ February 22, 2010 at 2:27 pm][67]

That sentence does raise one interesting question: The Bianchi identities are true for any smooth manifold physically realizable or not it, so how does one determine what are the criteria that constrain the stress-energy?

No physicist would ever propose that we live on a 4-sphere, yet it has positive constant stress-energy, that is inversely proportional to the radius. So what gives?

19. ![][68] Gavin Polhemus says:

[ February 22, 2010 at 3:14 pm][69]

This may be just another translation, but I like it. The conservation of energy equation is the first law of thermodynamics:

dE = dW + dQ

dE is the change in energy, dW is the work done on the system, and dQ is the heat absorbed by the system. (This equation is good locally or globally.)

The Universe isn’t gaining or losing heat, but there is work being done by the expansion of space. Using for formula for work, dW = -P dV, where P is the pressure and dV is the change in volume, we can find the change in energy.

dE = -P dV

In our expanding universe dV is positive. Photons have positive pressure. A universe which is mostly photons (as ours was at early times) loses energy as it expands. Dark energy has a negative pressure, like a stretched spring. A universe which is mostly dark energy (as ours is today) actually gains energy as it expands. The energy doesn’t come from somewhere else, it is just an increase in energy.

It is believed that inflation was driven by a huge negative pressure which produced heaps of energy, and therefore matter, from this very process.

Jason R: Yes. Have fun trying to explain it to someone who believes the Kalam Cosmological Argument.

20. ![][70] [miller][54] says:

[ February 22, 2010 at 3:31 pm][71]

@Kiwidamien  
Well, of course it’s not actually a non sequitur. But look how long it took you to explain it! If we are trying to choose the explanation which is most effective at reaching popular audiences, I’m not convinced that this is the best one.

21. ![][72] marc says:

[ February 22, 2010 at 3:58 pm][73]

@Gavin–I like that explanation. When I try to explain negative pressure, I tell students to imagine dark energy in a piston (with nothing on the outside). For a regular gas, the pressure inside is positive, outside is zero, so the piston will expand. For dark energy, the energy DENSITY is constant, so if the piston expanded, the volume would go up and so the total energy would increase. Thus, work has to be done to pull the piston out–this is suction, or negative pressure. Of course dE = -p dV makes it clear that if the energy density, i.e. dE/dV, is a constant, the pressure is negative…

22. ![][74] Iolaum says:

[ February 22, 2010 at 4:27 pm][75]

@Gavin Polhemus – good thinking, really liked reading that post.

Regarding the topic of the post a question discussed on my university forums comes to mind.

[i]What is energy?[/i]

We didn’t reach any conclusion discussing it (internet forums have a way of getting derailed …) though some interesting arguments were made. Without wanting to astray this discussion I ll say that as I understand it, conservation is a defining characteristic of energy. (For example) You write down a Lagrangian that describes all the interactions+particles of a system and when you examine what remains conserved from time translation you find what you can call energy in the said system.

From the little I know, this cannot be easily done in GR (if it can be done at all?).

It was enlightening to read the blog-post but I wasn’t really shocked to read that energy is not conserved. I think that it’s only that we haven’t been able to identify correctly what to call energy yet. For example consider the example of a particle moving through empty spacetime. The time component of it’s conjugate momentum we identify as its energy (a well known result from special relativity). If we assign a charge to this particle and a electromagnetic field present then (from it’s corresponding Lagrangian) the conjugate momentum changes and therefore what one now calls energy of the particle is different.

I think this is the case, regarding the expanding/accelerating universe as well, we have not identified yet what it is that we should call energy.

P.S. If I said something really dump in there, be kind with me. As we say in Greece:  
Sciolism is worse than ignorance.

23. ![][76] [Timon of Athens][77] says:

[ February 22, 2010 at 5:44 pm][78]

Excellent post! ” When the space through which particles move is changing, the total energy of those particles is not conserved.”

Exactly.

What a pity then that you had to equivocate:

“We all agree on the science; there are just divergent views on what words to attach to the science. In particular, a lot of folks would want to say "energy is conserved in general relativity, it's just that you have to include the energy of the gravitational field along with the energy of matter and radiation and so on."”

Sorry, but it’s very obvious from your post that these folks are just wrong. We may agree on the numbers but numbers are not understanding; and these folks are getting correct numbers by means of wrong physics. Better to say so than to throw them such sops, which will only encourage them to continue in their error.

Arun asks: “How does one talk about gravitational waves interacting with a gravitational wave detector and how the former imparts energy to the latter if one cannot talk rigorously about the "energy of the gravitational field"?”

Good question. To answer it, you have to remember that the word “energy” has two different meanings: [1] a name for a convenient mathematical abstraction, eg “kinetic energy” and [2] the stuff out of which the universe is made. In GR one can continue to use “energy” in sense 1 to do the calculations leading to predictions as to what gravitational wave detectors should see, while at the same time completely abandoning the idea that spacetime has “energy” in sense 2. One has also to renounce all attempts to give a detailed local account of how energy2 gets transferred from the binary pulsar to the detector. This kind of renunciation is familiar to you from quantum mechanics.

By the way, when talking about this question in connection with cosmology it is useful to bear in mind that most cosmological models are perfectly homogeneous and isotropic, ie everything is exactly the same everywhere and in all directions at a given time. Hence there can be no question of any “work” being done by the “gravitational field”: it is “pulling” equally hard in all directions.

24. ![][66] Aaron Sheldon says:

[ February 22, 2010 at 6:13 pm][79]

Actually you can define work in an isotropic space because you can define the differential volume element through the Jacobian of the metric, the difficulty is in correctly defining the energy differential in terms of the stress-energy.

25. ![][58] KiwiDamien says:

[ February 22, 2010 at 8:01 pm][80]

@Gavin (19):  
I like this explanation for calculational purposes (i.e. I use it as a mnemonic to myself to write down the evolution of a type of matter given the equation of state). The problem with it as a conceptual device is that in  
dE = dQ + dW = 0 – P dV  
the “P” in this equation is really the pressure of the environment. Normally in stat mech we don’t distinguish because we are doing quasi-static processes in which the pressures are almost the same inside and out to ensure that the expansion is slow. In the opposite extreme we have a free expansion of a gas into vacuum — which involves no transfer of energy at all (how could it?). We can have a gas at a high pressure P and energy E in a small volume V, and have it expand into a vacuum by opening a door into a larger volume V’ at a smaller pressure P’ but at the same energy. This is because in the vacuum P = 0 and we don’t (can’t!) do any work on the vacuum.

So for the dE = -P dV thing to make sense you would have to imagine the universe doing work embedded in an external environment at pressure P = P_inside universe!

[Newer Comments →][27]

* Search for:
* ![][81]
* ### Blog Updates via Twitter

[Follow @preposterousuni][82]

* ### Blog Updates via Email

Enter your email address to receive notifications of new posts by email.

Join 6,190 other subscribers

Email Address 

* ### Recent Posts

    * [Why Is There Something, Rather Than Nothing?][83]
    * [Guest Post: Nicole Yunger Halpern on What Makes Extraordinary Science Extraordinary][84]
    * [Beyond Falsifiability][85]
    * [Thanksgiving][86]
    * [Standard Sirens][87]
    * [Mind-Blowing Quantum Mechanics][88]
    * [Joe Polchinski’s Memories, and a Mark Wise Movie][89]
    * [A Response to "On the time lags of the LIGO signals" (Guest Post)][90]
* ### Archives

Archives Select Month February 2018  (1) January 2018  (2) November 2017  (1) October 2017  (2) September 2017  (1) June 2017  (1) May 2017  (4) April 2017  (1) January 2017  (1) December 2016  (2) November 2016  (6) September 2016  (2) August 2016  (2) July 2016  (1) June 2016  (1) May 2016  (10) April 2016  (2) March 2016  (2) February 2016  (3) January 2016  (3) December 2015  (3) November 2015  (2) October 2015  (1) September 2015  (2) August 2015  (2) July 2015  (6) June 2015  (2) May 2015  (2) April 2015  (5) March 2015  (6) February 2015  (5) January 2015  (4) December 2014  (4) November 2014  (5) October 2014  (5) September 2014  (5) August 2014  (4) July 2014  (4) June 2014  (5) May 2014  (6) April 2014  (8) March 2014  (10) February 2014  (10) January 2014  (6) December 2013  (6) November 2013  (7) October 2013  (6) September 2013  (5) August 2013  (10) July 2013  (8) June 2013  (6) May 2013  (14) April 2013  (8) March 2013  (7) February 2013  (13) January 2013  (10) December 2012  (15) November 2012  (14) October 2012  (11) September 2012  (11) August 2012  (14) July 2012  (10) June 2012  (17) May 2012  (8) April 2012  (15) March 2012  (10) February 2012  (11) January 2012  (8) December 2011  (12) November 2011  (12) October 2011  (13) September 2011  (13) August 2011  (14) July 2011  (12) June 2011  (12) May 2011  (18) April 2011  (18) March 2011  (15) February 2011  (17) January 2011  (20) December 2010  (14) November 2010  (16) October 2010  (19) September 2010  (9) August 2010  (4) July 2010  (3) June 2010  (12) May 2010  (11) April 2010  (17) March 2010  (16) February 2010  (16) January 2010  (19) December 2009  (15) November 2009  (10) October 2009  (14) September 2009  (17) August 2009  (16) July 2009  (16) June 2009  (14) May 2009  (13) April 2009  (15) March 2009  (13) February 2009  (18) January 2009  (16) December 2008  (18) November 2008  (20) October 2008  (19) September 2008  (22) August 2008  (18) July 2008  (21) June 2008  (20) May 2008  (6) April 2008  (17) March 2008  (18) February 2008  (19) January 2008  (20) December 2007  (13) November 2007  (18) October 2007  (10) September 2007  (15) August 2007  (15) July 2007  (20) June 2007  (16) May 2007  (17) April 2007  (16) March 2007  (17) February 2007  (16) January 2007  (21) December 2006  (17) November 2006  (17) October 2006  (13) September 2006  (11) August 2006  (11) July 2006  (16) June 2006  (21) May 2006  (16) April 2006  (17) March 2006  (19) February 2006  (18) January 2006  (23) December 2005  (30) November 2005  (17) October 2005  (24) September 2005  (21) August 2005  (32) July 2005  (30) June 2005  (24) May 2005  (30) April 2005  (36) March 2005  (45) February 2005  (30) January 2005  (36) December 2004  (31) November 2004  (27) October 2004  (33) September 2004  (42) August 2004  (23) July 2004  (26) June 2004  (25) May 2004  (27) April 2004  (24) March 2004  (38) February 2004  (2)
* ### Categories

Categories Select Category Academia  (103) Advice  (20) Arts  (20) arxiv  (76) Big Picture  (18) Blog  (63) Entertainment  (77) Environment  (14) Food and Drink  (16) Guest Post  (48) Health  (7) Higgs  (46) Human Rights  (33) Humanity  (42) Humor  (93) Internet  (108) Math  (20) Media  (14) Miscellany  (591) Music  (40) News  (8) Personal  (117) Philosophy  (121) Politics  (97) Religion  (120) Science  (604) Science and Politics  (58) Science and Society  (120) Science and the Media  (101) Space  (9) Sports  (17) Technology  (33) Time  (98) Travel  (36) Women in Science  (27) Words  (168) World  (34)
* ### Buy stuff!

![][91] [_The Big Picture: On the Origins of Life, Meaning, and the Universe Itself][92]_ ![][93] [_The Particle at the End of the Universe: How the Hunt for the Higgs Boson Leads Us to the Edge of a New World][94]_ ![][95] [_From Eternity to Here: The Quest for the Ultimate Theory of Time][96]_ ![][97] [_Spacetime and Geometry: An Introduction to General Relativity][98]_ ![][99] [_The Higgs Boson and Beyond (The Great Courses)][100]_ ![][101] [_Mysteries of Modern Physics -- Time (The Great Courses)][102]_ ![][103] [_Dark Matter and Dark Energy (The Great Courses)][104]_
* ### Meta

    * [Log in][105]
    * [Entries RSS][106]
    * [Comments RSS][107]
    * [WordPress.org][108]
* All text copyright © Sean M. Carroll.

[ Sean Carroll ][1]

[Proudly powered by WordPress.][109]

Send to Email Address Your Name Your Email Address ![loading][110] [Cancel][111]

Post was not sent - check your email addresses! 

Email check failed, please try again 

Sorry, your blog cannot share posts by email. 

[1]: http://www.preposterousuniverse.com/blog/ "Sean Carroll"
[2]: http://www.preposterousuniverse.com/blog/wp-content/uploads/2012/12/cropped-Boltzmann.jpg
[3]: http://www.preposterousuniverse.com#content "Skip to content"
[4]: http://www.preposterousuniverse.com/blog/
[5]: http://www.preposterousuniverse.com/blog/about-sean/
[6]: http://www.preposterousuniverse.com/blog/about-this-blog/
[7]: http://www.preposterousuniverse.com/blog/greatest-hits/
[8]: http://www.preposterousuniverse.com/blog/yop-poll-archive/
[9]: http://www.preposterousuniverse.com/blog/2010/02/17/many-roads-to-science/
[10]: http://www.preposterousuniverse.com/blog/2010/02/23/from-eternity-to-book-club-chapter-seven/
[11]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/ "8:57 am"
[12]: http://www.preposterousuniverse.com/blog/author/smc/ "View all posts by Sean Carroll"
[13]: http://www.technologyreview.com/blog/arxiv/24716/?ref=rss
[14]: http://arxiv.org/abs/1001.4061
[15]: //s0.wp.com/latex.php?latex=%5Cnabla_%5Cmu+T%5E%7B%5Cmu%5Cnu%7D+%3D+0%2C.&bg=ffffff&fg=000&s=0 "
abla_\mu T^{\mu
u} = 0,."
[16]: http://en.wikipedia.org/wiki/Big_Bang_nucleosynthesis
[17]: http://arxiv.org/abs/astro-ph/0108002
[18]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/?share=facebook "Click to share on Facebook"
[19]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/?share=twitter "Click to share on Twitter"
[20]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/?share=google-plus-1 "Click to share on Google+"
[21]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/?share=reddit "Click to share on Reddit"
[22]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/?share=tumblr "Click to share on Tumblr"
[23]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/?share=email "Click to email this to a friend"
[24]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#print "Click to print"
[25]: http://www.preposterousuniverse.com/blog/category/science/
[26]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/ "Permalink to Energy Is Not Conserved"
[27]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/comment-page-2/#comments
[28]: http://0.gravatar.com/avatar/94bf70040d7202b446cfd041894d82fc?s=40&d=wavatar&r=pg
[29]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60074
[30]: http://0.gravatar.com/avatar/f88ae56e1a8c01a276e056f47fbdbd26?s=40&d=wavatar&r=pg
[31]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60075
[32]: http://0.gravatar.com/avatar/0f4c66dc120c31712cd80ab8ef416da8?s=40&d=wavatar&r=pg
[33]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60076
[34]: http://0.gravatar.com/avatar/98a642b5530bdc1c9e8ddb656f20bf82?s=40&d=wavatar&r=pg
[35]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60077
[36]: http://1.gravatar.com/avatar/736790ae298fcc2f367fc0b5503cbf23?s=40&d=wavatar&r=pg
[37]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60078
[38]: http://0.gravatar.com/avatar/69714f497f5971312dfc8d1ee4d678af?s=40&d=wavatar&r=pg
[39]: http://www.eso.org/public/outreach/press-rel/pr-2009/pr-38-09.html
[40]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60079
[41]: http://1.gravatar.com/avatar/ad8ead72575b0c2f3fcf96ed3c1743c5?s=40&d=wavatar&r=pg
[42]: http://blogs.discovermagazine.com/cosmicvariance/sean/
[43]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60080
[44]: http://0.gravatar.com/avatar/9cb662def1e1a552dc2c79bfb52deb6b?s=40&d=wavatar&r=pg
[45]: http://arunsmusings.blogspot.com
[46]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60081
[47]: http://2.gravatar.com/avatar/249a82ea2d9a09d22301bd33b1aa3f02?s=40&d=wavatar&r=pg
[48]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60082
[49]: http://1.gravatar.com/avatar/42783c561cf559c841f41496557fcb92?s=40&d=wavatar&r=pg
[50]: http://liveeverything.wordpress.com
[51]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60083
[52]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60084
[53]: http://1.gravatar.com/avatar/d7e7174749aeeae93eb74236f75a48cc?s=40&d=wavatar&r=pg
[54]: http://skepticsplay.blogspot.com
[55]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60085
[56]: http://2.gravatar.com/avatar/272c0eea4916b574d9f224cbf3cd338f?s=40&d=wavatar&r=pg
[57]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60086
[58]: http://0.gravatar.com/avatar/f9e077822b8935979622f6ef36c8d18e?s=40&d=wavatar&r=pg
[59]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60087
[60]: http://0.gravatar.com/avatar/604cd968c49be7c90ac735e09a05e0b7?s=40&d=wavatar&r=pg
[61]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60088
[62]: http://0.gravatar.com/avatar/c6becc4ee8c26c499a1af550419fdeab?s=40&d=wavatar&r=pg
[63]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60089
[64]: http://1.gravatar.com/avatar/a0e1a70d2ebe7273507d4e708f5e6332?s=40&d=wavatar&r=pg
[65]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60090
[66]: http://2.gravatar.com/avatar/b546a198f05498ac161abf61b2b889e5?s=40&d=wavatar&r=pg
[67]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60091
[68]: http://2.gravatar.com/avatar/b0886ce6acd8fbd59953222285cac78b?s=40&d=wavatar&r=pg
[69]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60092
[70]: http://0.gravatar.com/avatar/9d50c7f74a9ecc8fdec67c9c48e90cc4?s=40&d=wavatar&r=pg
[71]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60093
[72]: http://0.gravatar.com/avatar/931f4b0bb1f69ad5410059193784dccd?s=40&d=wavatar&r=pg
[73]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60094
[74]: http://1.gravatar.com/avatar/1a5d12666efde09279dfa5718e375ae3?s=40&d=wavatar&r=pg
[75]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60095
[76]: http://0.gravatar.com/avatar/9fcab9659530afbc2d91341b3fc4afb8?s=40&d=wavatar&r=pg
[77]: http://www.shaky.com
[78]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60096
[79]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60097
[80]: http://www.preposterousuniverse.com/blog/2010/02/22/energy-is-not-conserved/#comment-60098
[81]: http://preposterousuniverse.com/images/FETH-poster-sm.jpg
[82]: https://twitter.com/preposterousuni
[83]: http://www.preposterousuniverse.com/blog/2018/02/08/why-is-there-something-rather-than-nothing-2/
[84]: http://www.preposterousuniverse.com/blog/2018/01/29/guest-post-nicole-yunger-halpern-on-what-makes-extraordinary-science-extraordinary/
[85]: http://www.preposterousuniverse.com/blog/2018/01/17/beyond-falsifiability/
[86]: http://www.preposterousuniverse.com/blog/2017/11/23/thanksgiving-12/
[87]: http://www.preposterousuniverse.com/blog/2017/10/16/standard-sirens/
[88]: http://www.preposterousuniverse.com/blog/2017/10/13/mind-blowing-quantum-mechanics/
[89]: http://www.preposterousuniverse.com/blog/2017/09/08/joe-polchinskis-memories-and-a-mark-wise-movie/
[90]: http://www.preposterousuniverse.com/blog/2017/06/18/a-response-to-on-the-time-lags-of-the-ligo-signals-guest-post/
[91]: http://www.preposterousuniverse.com/thumbs/bigpicture-thumb.jpg
[92]: http://www.preposterousuniverse.com/bigpicture/
[93]: http://www.preposterousuniverse.com/thumbs/particle100.gif
[94]: http://www.preposterousuniverse.com/particle/
[95]: http://www.preposterousuniverse.com/thumbs/eternitytohere.jpg
[96]: http://www.preposterousuniverse.com/eternitytohere/
[97]: http://www.preposterousuniverse.com/thumbs/spacetimeandgeometry.jpg
[98]: http://www.preposterousuniverse.com/spacetimeandgeometry/
[99]: http://www.preposterousuniverse.com/thumbs/higgscourse.jpg
[100]: http://www.thegreatcourses.com/courses/the-higgs-boson-and-beyond.html
[101]: http://www.preposterousuniverse.com/thumbs/timecourse-icon.jpg
[102]: http://www.preposterousuniverse.com/timecourse/
[103]: http://www.preposterousuniverse.com/thumbs/darkmatterdarkenergy.jpg
[104]: http://www.preposterousuniverse.com/darkmatterdarkenergy/
[105]: http://www.preposterousuniverse.com/blog/wp-login.php
[106]: http://www.preposterousuniverse.com/blog/feed/
[107]: http://www.preposterousuniverse.com/blog/comments/feed/
[108]: https://wordpress.org/ "Powered by WordPress, state-of-the-art semantic personal publishing platform."
[109]: http://wordpress.org/ "Semantic Personal Publishing Platform"
[110]: http://www.preposterousuniverse.com/blog/wp-content/plugins/jetpack/modules/sharedaddy/images/loading.gif
[111]: http://www.preposterousuniverse.com#cancel

  [*RSS]: Really Simple Syndication

