---
created_at: '2015-05-23T21:39:51.000Z'
title: 'Patent infringement claim re: “Creating Shazam in Java” blogpost (2010)'
url: http://www.royvanrijn.com/blog/2010/07/patent-infringement/
author: danso
points: 51
story_text: ''
comment_text: 
num_comments: 18
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1432417191
_tags:
- story
- author_danso
- story_9594480
objectID: '9594480'

---
[Source](http://royvanrijn.com/blog/2010/07/patent-infringement/ "Permalink to Patent infringement")

# Patent infringement

[ ![royvanrijn][1] ][2]

«[ Music Matching (part deux)][3]

[Patent, publicity » ][4]

![][5]

Written by Roy van Rijn (royvanrijn.com) on  Jul 7, 2010 22:15:34  : [0 comments][6]

# Patent infringement

Some time ago I received the following email about [this][7] project.

> -–  
Mr. van Rijn,
> 
> I am Darren Briggs, the Chief Technical Officer of Landmark Digital Services, LLC. Landmark Digital Services owns the patents that cover the algorithm used as the basis for your recently posted "[Creating Shazam In Java][7]". While it is not Landmark's intention to alienate those in the Open Source and Music Information Retrieval community, Landmark must request that you do not ship, deploy or post the code presented in your post. Landmark also requests that in the future you do not ship, deploy or post any portions or versions of this code in its current state or in any modified state.
> 
> We hope you understand our position and that we would be legally remiss not to make this request. We appreciate your immediate attention and response.
> 
> Best regards,
> 
> Darren P. Briggs  
Vice President &  
Chief Technical Officer  
Landmark Digital Services, LLC  
-–

This scared me a bit, why are they emailing me? I've written some code (100% my own) and implemented my own methods for matching music. There are some key differences with the algorithm Shazam uses.

The code isn't published yet, but I was planning on releasing it under Apache License to the open source community soon.

It was never my intention to release this commercially, I'm just a programmer who likes to work on technical, mathematical algorithms in his spare time. And if enough people ask for the source code, I'd be happy to give it to them. Who would have thought that creating something at home in a weekend could result in a possible patent infringement!?

Just to be sure I asked them confirmation that the email was indeed sent from their company. And second, I'd like to know which patents are in play. Because I just couldn't think that something this easy (music-fingerprint is a hash, and we do a lookup) can be patented.. Maybe in the States, but in Europe?

I got the following reply from Landmark Digital Services LLC:

> -–  
Mr. van Rijn,
> 
> I can confirm that the email you received came from me on behalf of Landmark Digital Services, LLC. If you require a more formal notification, the Landmark legal department can provide you with a legal notification. Please let me know if that would be preferable.
> 
> The Landmark patents have been granted around the world, including the US, the EU, individual EU-member countries.
> 
> Examples of some of the Landmark patents include:  
\- System and Methods for Recognizing Sound and Music Signals in High Noise and Distortion  
\- Robust and Invariant Audio Pattern Matching
> 
> We appreciate your compliance with our request.
> 
> Best regards,
> 
> Darren P. Briggs  
Vice President &  
Chief Technical Officer  
Landmark Digital Services, LLC  
-–

They are really serious about this. But there is a problem, I still don't have patent numbers of European patents, so there is no way for me to check the validity of their claims. Once again I asked them for specific patent numbers. And got the following reply:

> -–  
Mr. van Rijn,
> 
> The US patent numbers for the two examples I provided you are 6,990,453 and 7,627,477. Note that there are additional issued patents and pending patent applications in the US and Eu that cover these concepts as well.
> 
> Best regards,
> 
> Darren  
P. Briggs  
Vice President &  
Chief Technical Officer  
Landmark Digital Services, LLC  
-–

Sigh, again two U.S. patent numbers. But well, lets take a step back. Why does Landmark Digital Services think they hold a patent for the concepts used in my code? Even if my code works pretty different from the Shazam code (from which the patents came).

What they describe in the patent is a system which:

1. Make a series of fingerprints of a media file and/or media sample  
     (such as audio, but could also be text, video, multimedia, etc)
2. Have a database/hashtable of fingerprints as lookup
3. Compare the set of hashtable hits using their moment in time it happened

This is very vague, basically the only innovative idea is matching the found fingerprints linearly in time. Because the first two steps describe how a hashtable works and creating a hash works. These concepts are not new nor innovative.

But, with a bit of imagination one could (possibly) argue that my code (again, written completely by myself in a weekend with some spare time) does the same thing as the patent describes.

Just to be sure I asked around for advice, including help from the [FSF][8] (Free Software Foundation) and the [EFF][9] (Electronic Frontier Foundation). They forwarded my questions to[ Bits of Freedom][10] a Dutch organisation for digital rights.

After a good conversation with Ot van Daalen (from Bits Of Freedom) he suggested I contact [Arnoud Engelfriet][11], a Dutch ICT lawyer and patent attorney with a lot of knowledge about software patents.

In the last couple of days I've had quite a few conversations with Arnoud, and he helped me with a lot of my questions.

Here are some of the conclusions:

* Software companies can make your life very miserable if you don't comply;
* Using the Java-Music Match code commercially will likely result in a lawsuit for patent infringement;
* Releasing the code under an Open Source license on a non-profit website (no ads) is a grey area;
* Writing/using this code privately can't be patent infringement in the Netherlands;

And even the Arnoud even mailed me:

> -–  
Als je de software laat staan, loop je de kans dat Landmark Digital Services je een proces aandoet. En zoals gezegd kan dat een fiks bedrag worden.
> 
> Translation:  
If you leave the software on your website, you run the risk that Landmark Digital Services files a patent infringement lawsuit. And like I told you, this could result in a substantial amount of money.  
-–

Since I don't want to end up like [Dmitry Sklyarov][12], with the possibility of a lawsuit, I'm not going to publish the code anymore… Grey area's with lawsuits roaming around are better to be avoided. Especially if you think about the average cost of a patent lawsuit being 1 to 3 million dollars.

In the latest email I received from Landmark Digital Services they are even asking for more:

> -–  
Mr. Van Rijn,
> 
> The two example patent numbers that I sent you are U.S. patents, but each of these patents has also been filed as patent applications in the Netherlands. Also, as I'm sure you are aware, your blogpost may be viewed internationally. As a result, you may contribute to someone infringing our patents in any part of the world.
> 
> While we trust your good intentions, yes, we would like you to refrain from releasing the code at all and to remove the blogpost explaining the algorithm.
> 
> Thank you for your understanding.
> 
> Best regards,
> 
> Darren  
P. Briggs  
Vice President &  
Chief Technical Officer  
Landmark Digital Services, LLC  
-–

They are still unable to direct me to the correct Dutch patent numbers. But more shocking, they are now telling me that my blogpost may contribute internationally to patent infringement. But… doesn't the patent itself describe their algorithm in much more detail? The idea of patents are that the world knows about technology and how it can be used, but they can't legally commercially exploit it? Now next to asking me not to release the code, they are also asking me to remove the previous blogpost!

This seems like a very unjust threat to me, and for now I'm going to ignore that request. If they decide to file a formal legal complaint I might reconsider taking down the blogpost. The only action I'll take right now is not releasing the source code.

# Other implementations

I've also had contact with other people who have implemented this kind of algorithms. Most notible is Dan Ellis. His implementation can be found here: <http://labrosa.ee.columbia.edu/~dpwe/resources/matlab/fingerprint/>

He hasn't been contacted (yet?), but he isn't planning on taking his MatLab implementation down anyway and has agreed for me to place the link here. This raises another interesting question, why are they targetting me, somebody who hasn't even published the code yet, and not the already published implementation of Dan?!

And if they think its illegal to explain the algorithm, why aren't they going after this guy? <http://laplacian.wordpress.com/2009/01/10/how-shazam-works/>

This is where I got the idea to implement the algorithm and it is mentioned in my own first post about the Java Shazam.

# Any advice?

So, has anybody else had these kind of experiences? What would you do in this situation?

Maybe I'm going to need it, maybe I'll just buy a beer, every penny is welcome:  
![btn_donateCC_LG.gif][13]

# Next:

The patent infrigement story [continues here…][14]

ps. I'm sorry John Metcalf: You can stop printing "Free Roy van Rijn" t-shirts…

[ Connect on LinkedIn ][15] [ Follow me on StackOverflow ][16] [ Follow me on GitHub ][17] [ Follow me on Twitter ][18] [ Check out the RSS feed ][19]

[1]: http://royvanrijn.com/images/header_royvanrijn.jpg
[2]: http://royvanrijn.com/
[3]: http://royvanrijn.com/blog/2010/06/music-matching-part-deux/ "Previous Post: Music Matching (part deux)"
[4]: http://royvanrijn.com/blog/2010/07/patent-publicity/ "next Post: Patent, publicity"
[5]: http://royvanrijn.com/thumbnails/default.jpg
[6]: http://royvanrijn.com/blog/2010/07/patent-infringement/#disqus_thread
[7]: http://royvanrijn.com/blog/2010/06/creating-shazam-in-java/
[8]: http://fsf.org/
[9]: http://www.eff.org/
[10]: http://www.bof.nl/
[11]: http://www.arnoud.engelfriet.net/
[12]: http://en.wikipedia.org/wiki/Dmitry_Sklyarov
[13]: http://royvanrijn.com/images/btn_donateCC_LG.gif
[14]: http://royvanrijn.com/blog/2010/11/patent-infrigement-part-2/
[15]: https://www.linkedin.com/profile/view?id=10356027
[16]: http://stackoverflow.com/users/442274/roy-van-rijn
[17]: https://github.com/royvanrijn
[18]: https://twitter.com/royvanrijn
[19]: http://royvanrijn.com/feed/index.xml

