---
created_at: '2017-03-25T09:51:03.000Z'
title: The Unreasonable Effectiveness of Mathematics in the Natural Sciences (1960)
url: https://www.dartmouth.edu/~matc/MathDrama/reading/Wigner.html
author: mutor
points: 112
story_text: 
comment_text: 
num_comments: 29
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1490435463
_tags:
- story
- author_mutor
- story_13954804
objectID: '13954804'

---
[Source](https://www.dartmouth.edu/~matc/MathDrama/reading/Wigner.html "Permalink to The Unreasonable Effectiveness of Mathematics in the Natural Sciences")

# The Unreasonable Effectiveness of Mathematics in the Natural Sciences

[ ![][1]][2] **Reading Materials**

## The Unreasonable Effectiveness of Mathematics in the Natural Sciences

by Eugene Wigner 

"The Unreasonable Effectiveness of Mathematics in the Natural Sciences," in Communications in Pure and Applied Mathematics, vol. 13, No. I (February 1960). New York: John Wiley & Sons, Inc. Copyright © 1960 by John Wiley & Sons, Inc. 

> Mathematics, rightly viewed, possesses not only truth, but supreme beautya beauty cold and austere, like that of sculpture, without appeal to any part of our weaker nature, without the gorgeous trappings of painting or music, yet sublimely pure, and capable of a stern perfection such as only the greatest art can show. The true spirit of delight, the exaltation, the sense of being more than Man, which is the touchstone of the highest excellence, is to be found in mathematics as surely as in poetry. 
> 
> \--BERTRAND RUSSELL, Study of Mathematics 

THERE IS A story about two friends, who were classmates in high school, talking about their jobs. One of them became a statistician and was working on population trends. He showed a reprint to his former classmate. The reprint started, as usual, with the Gaussian distribution and the statistician explained to his former classmate the meaning of the symbols for the actual population, for the average population, and so on. His classmate was a bit incredulous and was not quite sure whether the statistician was pulling his leg. "How can you know that?" was his query. "And what is this symbol here?" "Oh," said the statistician, "this is pi." "What is that?" "The ratio of the circumference of the circle to its diameter." "Well, now you are pushing your joke too far," said the classmate, "surely the population has nothing to do with the circumference of the circle." 

Naturally, we are inclined to smile about the simplicity of the classmate's approach. Nevertheless, when I heard this story, I had to admit to an eerie feeling because, surely, the reaction of the classmate betrayed only plain common sense. I was even more confused when, not many days later, someone came to me and expressed his bewilderment [1 The remark to be quoted was made by F. Werner when he was a student in Princeton.] with the fact that we make a rather narrow selection when choosing the data on which we test our theories. "How do we know that, if we made a theory which focuses its attention on phenomena we disregard and disregards some of the phenomena now commanding our attention, that we could not build another theory which has little in common with the present one but which, nevertheless, explains just as many phenomena as the present theory?" It has to be admitted that we have no definite evidence that there is no such theory. 

The preceding two stories illustrate the two main points which are the subjects of the present discourse. The first point is that mathematical concepts turn up in entirely unexpected connections. Moreover, they often permit an unexpectedly close and accurate description of the phenomena in these connections. Secondly, just because of this circumstance, and because we do not understand the reasons of their usefulness, we cannot know whether a theory formulated in terms of mathematical concepts is uniquely appropriate. We are in a position similar to that of a man who was provided with a bunch of keys and who, having to open several doors in succession, always hit on the right key on the first or second trial. He became skeptical concerning the uniqueness of the coordination between keys and doors. 

Most of what will be said on these questions will not be new; it has probably occurred to most scientists in one form or another. My principal aim is to illuminate it from several sides. The first point is that the enormous usefulness of mathematics in the natural sciences is something bordering on the mysterious and that there is no rational explanation for it. Second, it is just this uncanny usefulness of mathematical concepts that raises the question of the uniqueness of our physical theories. In order to establish the first point, that mathematics plays an unreasonably important role in physics, it will be useful to say a few words on the question, "What is mathematics?", then, "What is physics?", then, how mathematics enters physical theories, and last, why the success of mathematics in its role in physics appears so baffling. Much less will be said on the second point: the uniqueness of the theories of physics. A proper answer to this question would require elaborate experimental and theoretical work which has not been undertaken to date. 

WHAT IS MATHEMATICS? 

Somebody once said that philosophy is the misuse of a terminology which was invented just for this purpose. [2 This statement is quoted here from W. Dubislav's Die Philosophie der Mathematik in der Gegenwart (Berlin: Junker and Dunnhaupt Verlag, 1932), p. 1.] In the same vein, I would say that mathematics is the science of skillful operations with concepts and rules invented just for this purpose. The principal emphasis is on the invention of concepts. Mathematics would soon run out of interesting theorems if these had to be formulated in terms of the concepts which already appear in the axioms. Furthermore, whereas it is unquestionably true that the concepts of elementary mathematics and particularly elementary geometry were formulated to describe entities which are directly suggested by the actual world, the same does not seem to be true of the more advanced concepts, in particular the concepts which play such an important role in physics. Thus, the rules for operations with pairs of numbers are obviously designed to give the same results as the operations with fractions which we first learned without reference to "pairs of numbers." The rules for the operations with sequences, that is, with irrational numbers, still belong to the category of rules which were determined so as to reproduce rules for the operations with quantities which were already known to us. Most more advanced mathematical concepts, such as complex numbers, algebras, linear operators, Borel setsand this list could be continued almost indefinitelywere so devised that they are apt subjects on which the mathematician can demonstrate his ingenuity and sense of formal beauty. In fact, the definition of these concepts, with a realization that interesting and ingenious considerations could be applied to them, is the first demonstration of the ingeniousness of the mathematician who defines them. The depth of thought which goes into the formulation of the mathematical concepts is later justified by the skill with which these concepts are used. The great mathematician fully, almost ruthlessly, exploits the domain of permissible reasoning and skirts the impermissible. That his recklessness does not lead him into a morass of contradictions is a miracle in itself: certainly it is hard to believe that our reasoning power was brought, by Darwin's process of natural selection, to the perfection which it seems to possess. However, this is not our present subject. The principal point which will have to be recalled later is that the mathematician could formulate only a handful of interesting theorems without defining concepts beyond those contained in the axioms and that the concepts outside those contained in the axioms are defined with a view of permitting ingenious logical operations which appeal to our aesthetic sense both as operations and also in their results of great generality and simplicity. [3 M. Polanyi, in his Personal Knowledge (Chicago: University of Chicago Press, 1958), says: "All these difficulties are but consequences of our refusal to see that mathematics cannot be defined without acknowledging its most obvious feature: namely, that it is interesting" (p 188).] 

The complex numbers provide a particularly striking example for the foregoing. Certainly, nothing in our experience suggests the introduction of these quantities. Indeed, if a mathematician is asked to justify his interest in complex numbers, he will point, with some indignation, to the many beautiful theorems in the theory of equations, of power series, and of analytic functions in general, which owe their origin to the introduction of complex numbers. The mathematician is not willing to give up his interest in these most beautiful accomplishments of his genius.  [4 The reader may be interested, in this connection, in Hilbert's rather testy remarks about intuitionism which "seeks to break up and to disfigure mathematics," Abh. Math. Sem., Univ. Hamburg, 157 (1922), or Gesammelte Werke (Berlin: Springer, 1935), p. 188.] 

WHAT IS PHYSICS? 

The physicist is interested in discovering the laws of inanimate nature. In order to understand this statement, it is necessary to analyze the concept, "law of nature." 

The world around us is of baffling complexity and the most obvious fact about it is that we cannot predict the future. Although the joke attributes only to the optimist the view that the future is uncertain, the optimist is right in this case: the future is unpredictable. It is, as Schrodinger has remarked, a miracle that in spite of the baffling complexity of the world, certain regularities in the events could be discovered. One such regularity, discovered by Galileo, is that two rocks, dropped at the same time from the same height, reach the ground at the same time. The laws of nature are concerned with such regularities. Galileo's regularity is a prototype of a large class of regularities. It is a surprising regularity for three reasons. 

The first reason that it is surprising is that it is true not only in Pisa, and in Galileo's time, it is true everywhere on the Earth, was always true, and will always be true. This property of the regularity is a recognized invariance property and, as I had occasion to point out some time ago, without invariance principles similar to those implied in the preceding generalization of Galileo's observation, physics would not be possible. The second surprising feature is that the regularity which we are discussing is independent of so many conditions which could have an effect on it. It is valid no matter whether it rains or not, whether the experiment is carried out in a room or from the Leaning Tower, no matter whether the person who drops the rocks is a man or a woman. It is valid even if the two rocks are dropped, simultaneously and from the same height, by two different people. There are, obviously, innumerable other conditions which are all immaterial from the point of view of the validity of Galileo's regularity. The irrelevancy of so many circumstances which could play a role in the phenomenon observed has also been called an invariance. However, this invariance is of a different character from the preceding one since it cannot be formulated as a general principle. The exploration of the conditions which do, and which do not, influence a phenomenon is part of the early experimental exploration of a field. It is the skill and ingenuity of the experimenter which show him phenomena which depend on a relatively narrow set of relatively easily realizable and reproducible conditions. [5 See, in this connection, the graphic essay of M. Deutsch, Daedalus 87, 86 (1958). A. Shimony has called my attention to a similar passage in C. S. Peirce's Essays in the Philosophy of Science (New York: The Liberal Arts Press, 1957), p. 237.] In the present case, Galileo's restriction of his observations to relatively heavy bodies was the most important step in this regard. Again, it is true that if there were no phenomena which are independent of all but a manageably small set of conditions, physics would be impossible. 

The preceding two points, though highly significant from the point of view of the philosopher, are not the ones which surprised Galileo most, nor do they contain a specific law of nature. The law of nature is contained in the statement that the length of time which it takes for a heavy object to fall from a given height is independent of the size, material, and shape of the body which drops. In the framework of Newton's second "law," this amounts to the statement that the gravitational force which acts on the falling body is proportional to its mass but independent of the size, material, and shape of the body which falls. 

The preceding discussion is intended to remind us, first, that it is not at all natural that "laws of nature" exist, much less that man is able to discover them. [6 E. Schrodinger, in his What Is Life? (Cambridge: Cambridge University Press, 1945), p. 31, says that this second miracle may well be beyond human understanding.] The present writer had occasion, some time ago, to call attention to the succession of layers of "laws of nature," each layer containing more general and more encompassing laws than the previous one and its discovery constituting a deeper penetration into the structure of the universe than the layers recognized before. However, the point which is most significant in the present context is that all these laws of nature contain, in even their remotest consequences, only a small part of our knowledge of the inanimate world. All the laws of nature are conditional statements which permit a prediction of some future events on the basis of the knowledge of the present, except that some aspects of the present state of the world, in practice the overwhelming majority of the determinants of the present state of the world, are irrelevant from the point of view of the prediction. The irrelevancy is meant in the sense of the second point in the discussion of Galileo's theorem. [7 The writer feels sure that it is unnecessary to mention that Galileo's theorem, as given in the text, does not exhaust the content of Galileo's observations in connection with the laws of freely falling bodies.] 

As regards the present state of the world, such as the existence of the earth on which we live and on which Galileo's experiments were performed, the existence of the sun and of all our surroundings, the laws of nature are entirely silent. It is in consonance with this, first, that the laws of nature can be used to predict future events only under exceptional circumstanceswhen all the relevant determinants of the present state of the world are known. It is also in consonance with this that the construction of machines, the functioning of which he can foresee, constitutes the most spectacular accomplishment of the physicist. In these machines, the physicist creates a situation in which all the relevant coordinates are known so that the behavior of the machine can be predicted. Radars and nuclear reactors are examples of such machines. 

The principal purpose of the preceding discussion is to point out that the laws of nature are all conditional statements and they relate only to a very small part of our knowledge of the world. Thus, classical mechanics, which is the best known prototype of a physical theory, gives the second derivatives of the positional coordinates of all bodies, on the basis of the knowledge of the positions, etc., of these bodies. It gives no information on the existence, the present positions, or velocities of these bodies. It should be mentioned, for the sake of accuracy, that we discovered about thirty years ago that even the conditional statements cannot be entirely precise: that the conditional statements are probability laws which enable us only to place intelligent bets on future properties of the inanimate world, based on the knowledge of the present state. They do not allow us to make categorical statements, not even categorical statements conditional on the present state of the world. The probabilistic nature of the "laws of nature" manifests itself in the case of machines also, and can be verified, at least in the case of nuclear reactors, if one runs them at very low power. However, the additional limitation of the scope of the laws of nature which follows from their probabilistic nature will play no role in the rest of the discussion. 

THE ROLE OF MATHEMATICS IN PHYSICAL THEORIES 

Having refreshed our minds as to the essence of mathematics and physics, we should be in a better position to review the role of mathematics in physical theories. 

Naturally, we do use mathematics in everyday physics to evaluate the results of the laws of nature, to apply the conditional statements to the particular conditions which happen to prevail or happen to interest us. In order that this be possible, the laws of nature must already be formulated in mathematical language. However, the role of evaluating the consequences of already established theories is not the most important role of mathematics in physics. Mathematics, or, rather, applied mathematics, is not so much the master of the situation in this function: it is merely serving as a tool. 

Mathematics does play, however, also a more sovereign role in physics. This was already implied in the statement, made when discussing the role of applied mathematics, that the laws of nature must have been formulated in the language of mathematics to be an object for the use of applied mathematics. The statement that the laws of nature are written in the language of mathematics was properly made three hundred years ago;[8 It is attributed to Galileo]  it is now more true than ever before. In order to show the importance which mathematical concepts possess in the formulation of the laws of physics, let us recall, as an example, the axioms of quantum mechanics as formulated, explicitly, by the great physicist, Dirac. There are two basic concepts in quantum mechanics: states and observables. The states are vectors in Hilbert space, the observables self-adjoint operators on these vectors. The possible values of the observations are the characteristic values of the operatorsbut we had better stop here lest we engage in a listing of the mathematical concepts developed in the theory of linear operators. 

It is true, of course, that physics chooses certain mathematical concepts for the formulation of the laws of nature, and surely only a fraction of all mathematical concepts is used in physics. It is true also that the concepts which were chosen were not selected arbitrarily from a listing of mathematical terms but were developed, in many if not most cases, independently by the physicist and recognized then as having been conceived before by the mathematician. It is not true, however, as is so often stated, that this had to happen because mathematics uses the simplest possible concepts and these were bound to occur in any formalism. As we saw before, the concepts of mathematics are not chosen for their conceptual simplicityeven sequences of pairs of numbers are far from being the simplest conceptsbut for their amenability to clever manipulations and to striking, brilliant arguments. Let us not forget that the Hilbert space of quantum mechanics is the complex Hilbert space, with a Hermitean scalar product. Surely to the unpreoccupied mind, complex numbers are far from natural or simple and they cannot be suggested by physical observations. Furthermore, the use of complex numbers is in this case not a calculational trick of applied mathematics but comes close to being a necessity in the formulation of the laws of quantum mechanics. Finally, it now begins to appear that not only complex numbers but so-called analytic functions are destined to play a decisive role in the formulation of quantum theory. I am referring to the rapidly developing theory of dispersion relations. 

It is difficult to avoid the impression that a miracle confronts us here, quite comparable in its striking nature to the miracle that the human mind can string a thousand arguments together without getting itself into contradictions, or to the two miracles of the existence of laws of nature and of the human mind's capacity to divine them. The observation which comes closest to an explanation for the mathematical concepts' cropping up in physics which I know is Einstein's statement that the only physical theories which we are willing to accept are the beautiful ones. It stands to argue that the concepts of mathematics, which invite the exercise of so much wit, have the quality of beauty. However, Einstein's observation can at best explain properties of theories which we are willing to believe and has no reference to the intrinsic accuracy of the theory. We shall, therefore, turn to this latter question. 

IS THE SUCCESS OF PHYSICAL THEORIES TRULY SURPRISING? 

A possible explanation of the physicist's use of mathematics to formulate his laws of nature is that he is a somewhat irresponsible person. As a result, when he finds a connection between two quantities which resembles a connection well-known from mathematics, he will jump at the conclusion that the connection is that discussed in mathematics simply because he does not know of any other similar connection. It is not the intention of the present discussion to refute the charge that the physicist is a somewhat irresponsible person. Perhaps he is. However, it is important to point out that the mathematical formulation of the physicist's often crude experience leads in an uncanny number of cases to an amazingly accurate description of a large class of phenomena. This shows that the mathematical language has more to commend it than being the only language which we can speak; it shows that it is, in a very real sense, the correct language. Let us consider a few examples. 

The first example is the oft-quoted one of planetary motion. The laws of falling bodies became rather well established as a result of experiments carried out principally in Italy. These experiments could not be very accurate in the sense in which we understand accuracy today partly because of the effect of air resistance and partly because of the impossibility, at that time, to measure short time intervals. Nevertheless, it is not surprising that, as a result of their studies, the Italian natural scientists acquired a familiarity with the ways in which objects travel through the atmosphere. It was Newton who then brought the law of freely falling objects into relation with the motion of the moon, noted that the parabola of the thrown rock's path on the earth and the circle of the moon's path in the sky are particular cases of the same mathematical object of an ellipse, and postulated the universal law of gravitation on the basis of a single, and at that time very approximate, numerical coincidence. Philosophically, the law of gravitation as formulated by Newton was repugnant to his time and to himself. Empirically, it was based on very scanty observations. The mathematical language in which it was formulated contained the concept of a second derivative and those of us who have tried to draw an osculating circle to a curve know that the second derivative is not a very immediate concept. The law of gravity which Newton reluctantly established and which he could verify with an accuracy of about 4% has proved to be accurate to less than a ten thousandth of a per cent and became so closely associated with the idea of absolute accuracy that only recently did physicists become again bold enough to inquire into the limitations of its accuracy. [9 See, for instance, R. H. Dicke, Am. Sci., 25 (1959).] Certainly, the example of Newton's law, quoted over and over again, must be mentioned first as a monumental example of a law, formulated in terms which appear simple to the mathematician, which has proved accurate beyond all reasonable expectations. Let us just recapitulate our thesis on this example: first, the law, particularly since a second derivative appears in it, is simple only to the mathematician, not to common sense or to non-mathematically-minded freshmen; second, it is a conditional law of very limited scope. It explains nothing about the earth which attracts Galileo's rocks, or about the circular form of the moon's orbit, or about the planets of the sun. The explanation of these initial conditions is left to the geologist and the astronomer, and they have a hard time with them. 

The second example is that of ordinary, elementary quantum mechanics. This originated when Max Born noticed that some rules of computation, given by Heisenberg, were formally identical with the rules of computation with matrices, established a long time before by mathematicians. Born, Jordan, and Heisenberg then proposed to replace by matrices the position and momentum variables of the equations of classical mechanics. They applied the rules of matrix mechanics to a few highly idealized problems and the results were quite satisfactory. However, there was, at that time, no rational evidence that their matrix mechanics would prove correct under more realistic conditions. Indeed, they say "if the mechanics as here proposed should already be correct in its essential traits." As a matter of fact, the first application of their mechanics to a realistic problem, that of the hydrogen atom, was given several months later, by Pauli. This application gave results in agreement with experience. This was satisfactory but still understandable because Heisenberg's rules of calculation were abstracted from problems which included the old theory of the hydrogen atom. The miracle occurred only when matrix mechanics, or a mathematically equivalent theory, was applied to problems for which Heisenberg's calculating rules were meaningless. Heisenberg's rules presupposed that the classical equations of motion had solutions with certain periodicity properties; and the equations of motion of the two electrons of the helium atom, or of the even greater number of electrons of heavier atoms, simply do not have these properties, so that Heisenberg's rules cannot be applied to these cases. Nevertheless, the calculation of the lowest energy level of helium, as carried out a few months ago by Kinoshita at Cornell and by Bazley at the Bureau of Standards, agrees with the experimental data within the accuracy of the observations, which is one part in ten million. Surely in this case we "got something out" of the equations that we did not put in. 

The same is true of the qualitative characteristics of the "complex spectra," that is, the spectra of heavier atoms. I wish to recall a conversation with Jordan, who told me, when the qualitative features of the spectra were derived, that a disagreement of the rules derived from quantum mechanical theory and the rules established by empirical research would have provided the last opportunity to make a change in the framework of matrix mechanics. In other words, Jordan felt that we would have been, at least temporarily, helpless had an unexpected disagreement occurred in the theory of the helium atom. This was, at that time, developed by Kellner and by Hilleraas. The mathematical formalism was too dear and unchangeable so that, had the miracle of helium which was mentioned before not occurred, a true crisis would have arisen. Surely, physics would have overcome that crisis in one way or another. It is true, on the other hand, that physics as we know it today would not be possible without a constant recurrence of miracles similar to the one of the helium atom, which is perhaps the most striking miracle that has occurred in the course of the development of elementary quantum mechanics, but by far not the only one. In fact, the number of analogous miracles is limited, in our view, only by our willingness to go after more similar ones. Quantum mechanics had, nevertheless, many almost equally striking successes which gave us the firm conviction that it is, what we call, correct. 

The last example is that of quantum electrodynamics, or the theory of the Lamb shift. Whereas Newton's theory of gravitation still had obvious connections with experience, experience entered the formulation of matrix mechanics only in the refined or sublimated form of Heisenberg's prescriptions. The quantum theory of the Lamb shift, as conceived by Bethe and established by Schwinger, is a purely mathematical theory and the only direct contribution of experiment was to show the existence of a measurable effect. The agreement with calculation is better than one part in a thousand. 

The preceding three examples, which could be multiplied almost indefinitely, should illustrate the appropriateness and accuracy of the mathematical formulation of the laws of nature in terms of concepts chosen for their manipulability, the "laws of nature" being of almost fantastic accuracy but of strictly limited scope. I propose to refer to the observation which these examples illustrate as the empirical law of epistemology. Together with the laws of invariance of physical theories, it is an indispensable foundation of these theories. Without the laws of invariance the physical theories could have been given no foundation of fact; if the empirical law of epistemology were not correct, we would lack the encouragement and reassurance which are emotional necessities, without which the "laws of nature" could not have been successfully explored. Dr. R. G. Sachs, with whom I discussed the empirical law of epistemology, called it an article of faith of the theoretical physicist, and it is surely that. However, what he called our article of faith can be well supported by actual examplesmany examples in addition to the three which have been mentioned. 

THE UNIQUENESS OF THE THEORIES OF PHYSICS 

The empirical nature of the preceding observation seems to me to be self-evident. It surely is not a "necessity of thought" and it should not be necessary, in order to prove this, to point to the fact that it applies only to a very small part of our knowledge of the inanimate world. It is absurd to believe that the existence of mathematically simple expressions for the second derivative of the position is self-evident, when no similar expressions for the position itself or for the velocity exist. It is therefore surprising how readily the wonderful gift contained in the empirical law of epistemology was taken for granted. The ability of the human mind to form a string of 1000 conclusions and still remain "right," which was mentioned before, is a similar gift. 

Every empirical law has the disquieting quality that one does not know its limitations. We have seen that there are regularities in the events in the world around us which can be formulated in terms of mathematical concepts with an uncanny accuracy. There are, on the other hand, aspects of the world concerning which we do not believe in the existence of any accurate regularities. We call these initial conditions. The question which presents itself is whether the different regularities, that is, the various laws of nature which will be discovered, will fuse into a single consistent unit, or at least asymptotically approach such a fusion. Alternatively, it is possible that there always will be some laws of nature which have nothing in common with each other. At present, this is true, for instance, of the laws of heredity and of physics. It is even possible that some of the laws of nature will be in conflict with each other in their implications, but each convincing enough in its own domain so that we may not be willing to abandon any of them. We may resign ourselves to such a state of affairs or our interest in clearing up the conflict between the various theories may fade out. We may lose interest in the "ultimate truth," that is, in a picture which is a consistent fusion into a single unit of the little pictures, formed on the various aspects of nature. 

It may be useful to illustrate the alternatives by an example. We now have, in physics, two theories of great power and interest: the theory of quantum phenomena and the theory of relativity. These two theories have their roots in mutually exclusive groups of phenomena. Relativity theory applies to macroscopic bodies, such as stars. The event of coincidence, that is, in ultimate analysis of collision, is the primitive event in the theory of relativity and defines a point in space-time, or at least would define a point if the colliding panicles were infinitely small. Quantum theory has its roots in the microscopic world and, from its point of view, the event of coincidence, or of collision, even if it takes place between particles of no spatial extent, is not primitive and not at all sharply isolated in space-time. The two theories operate with different mathematical conceptsthe four dimensional Riemann space and the infinite dimensional Hilbert space, respectively. So far, the two theories could not be united, that is, no mathematical formulation exists to which both of these theories are approximations. All physicists believe that a union of the two theories is inherently possible and that we shall find it. Nevertheless, it is possible also to imagine that no union of the two theories can be found. This example illustrates the two possibilities, of union and of conflict, mentioned before, both of which are conceivable. 

In order to obtain an indication as to which alternative to expect ultimately, we can pretend to be a little more ignorant than we are and place ourselves at a lower level of knowledge than we actually possess. If we can find a fusion of our theories on this lower level of intelligence, we can confidently expect that we will find a fusion of our theories also at our real level of intelligence. On the other hand, if we would arrive at mutually contradictory theories at a somewhat lower level of knowledge, the possibility of the permanence of conflicting theories cannot be excluded for ourselves either. The level of knowledge and ingenuity is a continuous variable and it is unlikely that a relatively small variation of this continuous variable changes the attainable picture of the world from inconsistent to consistent. [10 This passage was written after a great deal of hesitation. The writer is convinced that it is useful, in epistemological discussions, to abandon the idealization that the level of human intelligence has a singular position on an absolute scale. In some cases it may even be useful to consider the attainment which is possible at the level of the intelligence of some other species. However, the writer also realizes that his thinking along the lines indicated in the text was too brief and not subject to sufficient critical appraisal to be reliable.]  Considered from this point of view, the fact that some of the theories which we know to be false give such amazingly accurate results is an adverse factor. Had we somewhat less knowledge, the group of phenomena which these "false" theories explain would appear to us to be large enough to "prove" these theories. However, these theories are considered to be "false" by us just for the reason that they are, in ultimate analysis, incompatible with more encompassing pictures and, if sufficiently many such false theories are discovered, they are bound to prove also to be in conflict with each other. Similarly, it is possible that the theories, which we consider to be "proved" by a number of numerical agreements which appears to be large enough for us, are false because they are in conflict with a possible more encompassing theory which is beyond our means of discovery. If this were true, we would have to expect conflicts between our theories as soon as their number grows beyond a certain point and as soon as they cover a sufficiently large number of groups of phenomena. In contrast to the article of faith of the theoretical physicist mentioned before, this is the nightmare of the theorist. 

Let us consider a few examples of "false" theories which give, in view of their falseness, alarmingly accurate descriptions of groups of phenomena. With some goodwill, one can dismiss some of the evidence which these examples provide. The success of Bohr's early and pioneering ideas on the atom was always a rather narrow one and the same applies to Ptolemy's epicycles. Our present vantage point gives an accurate description of all phenomena which these more primitive theories can describe. The same is not true any longer of the so-called free-electron theory, which gives a marvelously accurate picture of many, if not most, properties of metals, semiconductors, and insulators. In particular, it explains the fact, never properly understood on the basis of the "real theory," that insulators show a specific resistance to electricity which may be 1026 times greater than that of metals. In fact, there is no experimental evidence to show that the resistance is not infinite under the conditions under which the free-electron theory would lead us to expect an infinite resistance. Nevertheless, we are convinced that the free-electron theory is a crude approximation which should be replaced, in the description of all phenomena concerning solids, by a more accurate picture. 

If viewed from our real vantage point, the situation presented by the free-electron theory is irritating but is not likely to forebode any inconsistencies which are unsurmountable for us. The free-electron theory raises doubts as to how much we should trust numerical agreement between theory and experiment as evidence for the correctness of the theory. We are used to such doubts. 

A much more difficult and confusing situation would arise if we could, some day, establish a theory of the phenomena of consciousness, or of biology, which would be as coherent and convincing as our present theories of the inanimate world. Mendel's laws of inheritance and the subsequent work on genes may well form the beginning of such a theory as far as biology is concerned. Furthermore,, it is quite possible that an abstract argument can be found which shows that there is a conflict between such a theory and the accepted principles of physics. The argument could be of such abstract nature that it might not be possible to resolve the conflict, in favor of one or of the other theory, by an experiment. Such a situation would put a heavy strain on our faith in our theories and on our belief in the reality of the concepts which we form. It would give us a deep sense of frustration in our search for what I called "the ultimate truth." The reason that such a situation is conceivable is that, fundamentally, we do not know why our theories work so well. Hence, their accuracy may not prove their truth and consistency. Indeed, it is this writer's belief that something rather akin to the situation which was described above exists if the present laws of heredity and of physics are confronted. 

Let me end on a more cheerful note. The miracle of the appropriateness of the language of mathematics for the formulation of the laws of physics is a wonderful gift which we neither understand nor deserve. We should be grateful for it and hope that it will remain valid in future research and that it will extend, for better or for worse, to our pleasure, even though perhaps also to our bafflement, to wide branches of learning. 

Merci W. Cooper 

Histoire et philosophie des mathmatiques Le quasi-empirisme en philosophie des mathmatiques. Une presentation Liens mathmatiques en relation indirecte avec le quasi-empirisme Retour la page d'accueil 

[1]: https://www.dartmouth.edu/coco9.gif
[2]: https://www.dartmouth.edu/index.html

