---
created_at: '2016-09-17T18:45:58.000Z'
title: Norway – An Inside Perspective (1986)
url: http://www.robertpriddy.com/Nos/Nor1.html
author: pmoriarty
points: 48
story_text: 
comment_text: 
num_comments: 35
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1474137958
_tags:
- story
- author_pmoriarty
- story_12521800
objectID: '12521800'

---
[Source](http://www.robertpriddy.com/Nos/Nor1.html "Permalink to Norway in Perspective")

# Norway in Perspective

**NORWAY - AN INSIDE PERSPECTIVE**

by Robert Priddy, British resident in Norway for 47 years  
(Note: this article was first penned around 1986 and describes conditions and issues before that time. Since then there have been many changes, a good deal for the better, but some got worse!). Some notes and additions written in 2015 help up-date the material somewhat here and there.)

* * *

The following themes are discussed, just click on any underlined phrase: [Norway, the Isolated Beauty Spot][1] \-- [My First Encounter - 1959][2] \-- [What did Norway offer that England did not?][3] \-- [The Norwegian Language Problem][4] \-- [The Foreign Yoke ][5] \-- [The Democratic Spirit][6] \-- [ Equality before the law?][7] \-- [ Casting off ignorance][8] \-- [An Expensive Kroner Economy?][9] \-- [Merit vs. Conformity ][10] \--[ Mediocracy as the price of equality][11] \-- [Nationalism and the National Day (17th May)][12] \-- [Chauvinism, National Identity and Inferiority][13] \-- [Integration?][14] \-- [The Pattern of Imitation][15] \-- [ Religion in Norway][16] \-- [Some Incongruities][17] \-- [ The Norwegian Media][18]

Se also [Forest scenes][19] in Nordmarka, near Oslo and [Forest fare][20]  

* * *

The following account was written gradually as I reflected over my life here, not as any attempt to present an objective social study. It is largely based on my own experiences and unsystematic observations, mainly from my earlier years when I was politically engaged and more interested in Norwegian culture and life than at present. It has been influenced by my researches in the early 1970s into the Norwegian social sciences. One thought while writing was of informing those who have no means of getting an unornamented account of Norwegian life from an insider viewpoint. Relatively little is really known, and still less understood, of Norway - apart from the kind of facts required by tourists, foreign political commentators or people with special business or academic interests.There is almost nothing written in plain English that sets out to show Norwegian life as it is. So those who do not know Norwegian can hardly form a correct impression. In such a homogenous and relatively small national culture as Norway's, there is much that is taken for granted and overlooked, not thought about by the majority. As in many countries, there is a kind of 'double-accounting', so that few Norwegians publicise for outsiders the least palatable facts about their culture, even if they are not subconsciously biassed due to the blanket nationalism and inbred assumptions that prevail in many quarters. I make no claim that the following is either a complete or a strictly objective overview of Norway and the Norwegians, of course. Moreover there are all kinds of exceptions - honourable and not - as in every society 

  
**Norway - The Isolated Beauty Spot**

Most visitors to Norway, when asked about their impressions or experiences there, will still refer to the beauty of the country's impressive and relatively not so badly exploited nature, rather than to the nature of the people or Norwegian society, rather impenetrable if one does not speak the language. So until fairly recent times Norway's profile was one of mountains, fjords and winter sports. Most visitors who meet Norwegians say of them that they are friendly and hospitable, that they keep their cities clean (i.e. litter-free) and their public transport on time (except for the occasional crippling strikes that persist to this day and tend to hit summer tourists hard in one way and another each year). Yet though many Norwegians speak passable English, some German and so on, Norwegian life, culture and mores are different enough from those of other countries to make it something of an enigma to outsiders. There is a dearth of books or other media in English which give any well-informed inside picture of the people and their society. Immigrants and foreign residents - like myself - are able to see beyond the blind-spots and veil of national consciousness that afflicts those born and bred within a given culture.  
  
The smallness of its population ...about 4.4 million persons, altogether not more than a couple of medium-sized cities in many another country, has meant that relatively little of Norwegian life and time are known outside Scandinavia. While some of Norway's beauty is due to its smallness or relative social homogeneity which helps make possible its rather unique kind of 'near democracy', much that is wrong with it also derives from it being small and not very cosmopolitan... and its location at a little traversed periphery of the continent. In its fairly isolated sphere, many of its educated class, including its intensely in-bred academicians and professionals, still reveal - often unwittingly - how they assume themselves to be the most progressive of peoples! All too often, Norwegians fit Henry Miller's sardonic description of the ideals of 1950s Americans: "we're going to create a new cosmos and each American is going to create his own cosmos without anybody else." 
* * *

**My First Encounter - 1959**

A little about my own introduction to Norway: the first time it awoke my positive interest was during my fifteen months at sea from the age of 17. In the British Merchant Navy it was widely known that Norwegian ships had the most liberal crew policy and company rules of any nation. Pay rates were superior and accommodation top class. Not only were the wives of all ships' officers allowed to accompany them on some voyages, but women were employed on most ships as radio officers, pursers and stewardesses, unlike practically all other nations. Norway seemed modern and progressive. On the other hand, Norwegian seamen were known as mad drunken bingers without any kind of self control when in port.  
  
In my early twenties, I came to know a number of Norwegians who were training at a progressive psychiatric institution in Sutton, Surrey. I became friends with a travelled and intellectual young Norwegian fellow slightly older than myself, and with whom I could have stimulating and informative conversation. I also got to know Scandinavian girls who, like him, were training as social therapists there under world's first experiment in social therapy (initiated by Dr. Maxwell Jones). This eventually led to me visiting a girlfriend in Oslo in the autumn of 1959, and some months later in leaving England - at the age of 23 - to settle here permanently, as it turned out. 

I first arrived on the small _MS Blenheim_ at a quay called Vippetangen - just below the Akershus Castle. Those ready to disembark were divided into Norwegians on one side of the second class lounge and and others on the other. I was one of the very few others and I evidently stood out like a sore thumb again, this time because I was sporting a pair of light pink skin-tight jeans... all very proper in the jazz clubs of the London West End like Gerrard Street, but extremely rare if not totally inconceivable in Norway. Perhaps there was also a twinge of revolt against the convention I sensed ahead. Add to that my main luggage, a guitar and amplifier, and I was a dead ringer for the eagle eyes of half a dozen immigration and customs men. Firstly, a little cameo of that time:

The customs men circled in on my amplifier, repeatedly asking if it was not a radio and insisting that I should open it up. They seemed unable to grasp that it was an amplifier that makes the guitar louder, electronic sounding. They really wanted to prove it could be used for receiving radio broadcast so as to levy import duty, tax and a radio licence on me. Eventually they had to give up, for I quietly blinded them with electronic science, whereupon the immigration officer asked me exactly what I intended to do here, was I thinking of playing for money because all that was forbidden, how much money did I have... and so on. Finally I got away, after the official obtained a guarantee on my behalf from a friend of mine whose phone number they demanded. Looking back, they were polite enough... but that keen suspicion of foreign interests and protectionism is still evident, having been the ingrained policy since WW2. Since the 1980s a major influx of immigrants Asia, Africa and elsewhere have necessarily changed the former chauvinistic outlook.

At the bottom of the gangway, I was met by my girlfriend, who was a bit late. By that time everyone who had disembarked had disappeared, the customs had departed and there was practically no one to be seen anywhere. This is still how I most often recall Oslo of those days, lone and silent. We found that everyone had departed and it was impossible even to call up a gold-plated taxi (as taxi charges indicated that they surely must be).We had to lug my heavy luggage an interminable distance to the nearest station, Vestbanen. Porters were forbidden here then too, most personal forms of service being regarded by some bent class logic that lives on today as some kind of demeaning servitude, rather than as legitimate paid help to fellowmen. This - and being unduly self-contained ('seg selv nok') - is one of the several shadows cast by the otherwise sensible Nordic ideal of personal self-sufficiency.

I recall Oslo of 1959 clearly as a ever-chilly place of many looming, dark granite buildings, cobbled streets everywhere and - except in a few main streets - shops mostly without normal show windows or lighting. Apparently nothing happened in the capital city after 4 pm, hardly anyone about, except the ubiquitous drunks of those days... and all shops were closed from about 3 p.m. on Friday until 10 a.m. on Monday morning. There were kiosks for tobacco and hot dogs which stayed open sometimes until about 8 p.m. and were briefly open on the weekends too. Cars were very few and far between due to draconian import restrictions and rationing of vehicles to those supposedly needing them for their professions... doctors, firemen, travelling salesmen. Years later it was shown that car-owner licenses with cars were obtainable through influential and corrupt officials and were also bought and sold on the black market. The thought that this could be so was almost unthinkable then, however. 

I soon realised I was seen to be foreign immediately by everyone, despite my an almost Nordic colouring and facial appearance. It was my apparel, a snazzy short suede leather jacket, Italian striped shirt, corduroy trousers, suede shoes (only homosexuals would wear suede, I later heard). I felt both a bit awkward and amused at once as people stared. Perhaps I shouldn't have carried my guitar in case, an uncommon sight in those days, especially in Norway. When it became known to people that I was English, they were very interested and pleased, it seems, that I had bothered to visit them out here in the provincial sticks. I soon began to wonder why I had, especially when I was served a pot of barely lukewarm water with one separate Lipton tea bag and a slice of lemon on a saucer at a hotel café in Asker, the only place within twenty miles my girlfriend found where they offered a cuppa. I was affronted and rose to the occasion as the British lion should. With an icily sarcastic, aristocratic smile I complained, "What is the meaning of this disgusting service? Is it a deliberate provocation?" But the waitress only smiled back, she didn't understand. I was even more shocked when the bill was presented... some things have not changed one bit in forty years. Norwegian tea is still a sham, a delusion and a snare. 

When I came to Norway it was just finding its feet. The struggle for recovery of the nation from the many effects of the 2nd World War with the aid of the Marshall Plan, called for a dour, hard-working, circumspect, lights-out-at-ten kind of country, as I found it to be in 1959. The economy was based mainly on fishing, timber, shipping and shipbuilding, iron-ore and aluminum... and the good sense of hardy, canny people. Hard and canny drinkers, too! Even all the moonlight liquor that made up the larger part of the country's supply for the national weekend alcohol binges was itself home produce, and so might be said to have saved the country from a crushing negative balance of payments to foreign exporters of booze. Early on I met otherwise sober and rational people who, running out of drinks during a party, would take exorbitant night taxi rides to distant friends to beg for the loan of a bottle. Such foibles are as little prevalent today as are the locally-concocted Vinmonopol brands of 'cheap' gin (Silver Tail) and pseudo 'whisky' (Golden Cock). Until the 1970s or so, the State monopoly on all alcohol (except heavily-taxed beer) had few outlets across the country (called Vinmonopols), causing vast queues of anywhere up to 200 yards whenever a national holiday was coming up. 

So as to be able to stay in the country, I worked without pay and mostly on a 24-hour availability basis in an institution for emotionally disturbed children, 22 boys from age 12 to 18, regarded as the worst juvenile offenders in the land. Quite a handful, they were, as I often had sole responsibility for them and had just begun learning the language! 

When I ran out of all cash, I could only get various soul-destroying, extremely low-paid jobs in Oslo - a packer in a printing company, an English-speaking clerk, a bearer at fur auctions - to save up for my next journey back to UK. This took me nearly one year. 
* * *

**What did Norway offer that England did not?**

I found that Norway was mainly a country of hard-working people, despite a handful of rich people - who were generally neither idle nor ostentatious - and no predominant bureaucratic class. The relative absence of an extensive and imposing range of class values was evident in many things, which was most appealing. It was much more egalitarian than England in many ways, and much more of a genuine participatory democracy, as it still is today. However, I did meet with some subtle discrimination - and also envy - because I was a foreigner, while Churchill and his brave men had nevertheless paved a way for us into the hearts of the Norwegian majority. Other foreigners had a much worse time of it! However, I knew a black American in Oslo in 1960 who told me that many people stopped him in the street and wanted to shake hands with him, having never seen a black person in the flesh before. 

Above all, for me, higher education in Norway was completely fee-free up to the continental doctorate level. All one needed was normal university entrance qualifications and residence in the country. This was a great attraction to me, for pre-Wilson England had less university students per capita than Turkey and was the lowest in Europe! No grants were available in UK after the age of 22, and I could not afford to pay for university in UK, which required full-time attendance... the same as for schoolchildren. In Norway, students are mostly respected as adults and they largely behave accordingly, using their independence to attend lectures on a voluntary basis and studying as they see fit at their own rate. By working a little at English teaching and the odd windfall, and later on getting some student loans on which to subsist, it was possible to complete higher education in Norway.

Norwegian life was a refreshing change from that of England, partly because it was simply different, partly due to its being better in some respects. It's shortcomings did not loom very large at first, and only became overbearing after being permanently settled. Having to walk almost everywhere was a tiring novelty, but proved healthy. There was much more outdoor activity, skiing in winter and hiking in summer... trespassing on other's land being virtually an unheard-of concept! Gardens were private, but any other kind of land of over an acre or so could be traversed by anyone, and even camped upon if it were not too near a habitation. One would not camp in cultivated fields, for there was so much woodland and other kinds of wilderness at hand, even close to the capital.  
  
This was all very positive after England, where 'No Trespassing' boards were seen all over the place, big aristocratic or rich landowners and farmers used the threat of dogs, bulls and even guns to intimidate campers, and picnickers were mostly serious litterbugs from industrial cityscapes who represented a hazard to the countryside due to carelessness and general citified ignorance.  
  
In the 1960s there was virtually no serious violence in the towns - more likely to hear of it in the provinces after excessive drinking, which was more than common. Nor was theft widespread... when first I came to Oslo, many people did not even lock their doors when out of the house or bother to lock bicycles in most places. All that seems like a long-lost golden age in which people can hardly believe any longer, so dim can collective memory be.

Sport in Norway was still a public amenity - mostly of the winter varieties - with massive amateur participation and was certainly not over-professionalised as it is today, in company with most other countries. Norway is nowadays known for its considerable international soccer achievements for some years. Through the 1960s however, watching Norwegians soccer was somehow akin to seeing excruciatingly slow knockabout comedy. A truly classic film could be made of cuts from the TV matches of those days, but the editing down would have to be truly severe if the viewer were to be kept from falling fast asleep.
* * *

**The Norwegian Language Problem**

Having a minor European language, or rather - two national languages, as well as several quite distinct dialects - is another barrier. The _lapskaus_ of historical and national factors that have played a role in Norway's having resisted joining the European Union early on originally kept the country a bit peripheral to developments abroad. One can still sometimes have the sense of being in some cultural time-warp, though modern IT technology is causing an increasing transformation.  
  
Like other peoples whose population and culture is small, Norwegians' foreign language abilities are considerable. Most can speak at least some English, many do and some speak it very well. Holding everyday conversations is possible with most people, while few of those who have not resided in english-speaking countries can be said to speak English perfectly. There are some sounds in English which are difficult for Norwegians, most obviously the 'th' sound, but especially 'w'. (There are many more sounds in Norwegian that are most tricky for English-speakers such as skj, kj, the 'thick l'). English books are not sold in Norway to the extent one might expect, and all but a few Norwegians bought almost only in their own language, though this has changed in recent decades. However, not very many persons here are very widely read in English. Most Norwegians do not even care to read books in Swedish or Danish, where many more translations from major languages are available than in Norwegian. Mostly only books translated to the (very similar) Norwegian language can expect reasonable sales

Among intellectuals and academicians the actual extent of reading of foreign language literature is widespread where it was formerly more limited to what was more strictly necessary. Due to this and the homogenity This had was noticeable in the dominant outlook in many matters, where differences of opinion are far less severe than in other larger or more central European countries. There is a natural tendency to retreat into their own language, provincial ideas and the national individualism of the common man. This applies to journalists too, who are remarkably slow in picking up on various issues and advances in technology and science that are prominent in the UK press, for example. The amount of translations available and the limited extent of literature from abroad long made a full and up-to-date knowledge of less general information very difficult to obtain without English books. The Internet has since largely supplied this lack. So Norway is no longer lingering so much intellectually and takes its place the global village.  
  
Culture and language are inextricably related, of course, and so the status of the national language is a key to understanding much else. The predominant version of Norwegian, known as the 'national language' (riksmål), is very close indeed to Danish. This is apparent in written language, but not the spoken. While Norwegian is clear and consonantal with a sing-song intonation, Danish is vowelly, glottal and in a lower key, as it were. Many Norwegians have trouble with spoken Danish, and though they can read it, booksellers' statistics show that even the minor differences from the predominant written Norwegian language (Riksmål) puts a great majority off from buying Danish books. This reluctance stretches even to Danish translations from other languages which are not available in Norwegian. The limited capacity of a small nation's resources also strongly condition the scope and quality of the culture. Spoken Swedish, however, sound more like Norwegian, but the vocabulary differs much more than does Danish. That several Swedish TV channels have been available and much watched in Norway for decades, while Danish channels had to wait for satellite TV does not merely have technical reasons, Swedish is just more familiar to the Norwegian ear. 

* * *

**The Foreign Yoke**

Despite their geographical and cultural proximity, the three nations can be said to live remarkably separate lives and the three peoples have national characteristics that distinguish them in all kinds of ways. The roots to this are to be found in history, of course, not least in 400 years of Danish rule over Norway until 1814, followed by Swedish dominance until Norwegian national liberation in 1905. This goes far to account for the very strong individualism of Norwegians, its high degree of what one calls 'near democracy' and any commoners' healthy suspicion of authority and especially power arrogance, recently seen in the rejection of EU membership for the second time (note that was in 1994). On the other hand, nationalism and protectionism also played their part in bringing about this result. The predominance of Germany in the EU was certainly a factor, and the fear of intrustions, such as EU citizens buying up land and the beloved cabins which are owned in the mountains or along the coast by most families (now no longer logs cabins, but often complete second homes with all amenities).   
  
Of course, the Nazis occupied both Denmark and Norway. The Norwegian King Håkon - a Dane who had nevertheless won the hearts of Norwegians - and his (Norwegian) government both resisted Hitler from the start. The Danish king and government dithered in mutual appeasement with the Nazis to protect their occupied country, and so were soon lost under the unrelenting yoke of the Gestapo. But powerful resistance movements were built up in both countries at great sacrifice. Meanwhile Sweden remained neutral and profitted much from the German war economy (e.g. iron and timber) and prevaricated back and forth over risking clandestine aid to their Scandinavian brothers, giving rise to scorn, envy and divisive feelings that have influenced the post-war period. Recent revelations about the Swedish appeasement and even direct involvement with Hitler's regime have confirmed suspicions long held by many Norwegians. Those feelings were buried, but the aftermath seems to be visible here and there in certain relations tinged with suspicion and a surprising lack of warm relations and contact between the two close neighbours with so much else in common. One example of this was the mistrust and mutual recriminations up to the highest level over the failed merger of the two biggest 'phone companies in Norway and Sweden in 1999. Since then there have been an increasingly positive relations with Sweden, many of them having found employment here during the Swedish slump.  
  
National differences in Scandinavia lie largely in traditional opinions, attitudes and tastes. Besides, each land has long had its own kind of commerce and production system and hence have preferred diets, fashions and personal style. It seems that their relative smallness also helps make each of them cling to their distinguishing traits rather than unite and influence their bigger and more powerful neighbours. This is not to say that contact has not increased considerably with modern communications and greater economic integration. Yet even in the 1990s with the computer and satellite TV information revolution upon us, the press still projects a highly localised perspective of the outside world. The ease of foreign travel means that many Norwegians are less navel-gazing than formerly. The number of owners of second homes abroad began to mushroom up in the 1970s, beginning with the Costa Brava and increasing with the health service enabling persons with certain weather-affected illnesses to receive their sick pensions in warmer climes.  
  
Norway owes the more positive aspects of its international image largely to the fact that it is still more or less a sovereign state and is not a member of the EU. The Nobel Peace Prize is awarded exclusively by the independent Norwegain Nobel Committee, which always makes a splash, even when it is a belly-flop. All this still makes it possible for Norway to act as a somewhat more independent agent in world politics than it otherwise would as a EU member, such as in the Middle East. Yet it is a stalwart NATO country and partook actively in the bombing of Serbia and Kosovo.  
  
Since the spectre of an 'united Europe' began slowly to force itself upon the mind of the nation, from the 1960s onwards, a broader opening towards neighbouring countries took place. This was abetted from within largely by the business community, aided by the decreasingly non-capitalistic ideology of mainstream political parties, especially the social democratic backbone of Norwegian public life. Though Norway has many economic, legal and other agreements with the EU which it cannot avoid despite frequently well-founded misgivings, it remains fiercely protectionistic of its pampered farming community (allegedly to preserve traditional ways of life and outlying communities) and - in subtle ways - of many businesses and firms within Norway through crippling indirect taxes and regulations. The tax burden is very considerable and, when all forms of taxation are included, it is reckoned at 60% overall, compared to 40% as average in the EU. This reckoning is not Norwegian in origin, but official EU data, for Norwegian governments always have their own statistics and interpretations to show that Norway is about the same as any other EU country! They conveniently ignore much of the indirect taxation and double taxation. However, since the latest right-wing coalition came into power, the double-taxation of inheritance tax has been radically reformed such that the offspiring who inherit propertie do not have to pay any death duties on it provided they do not sell it for two years or so. (In Norway the offspring always receive at least 2/3 of the total legacy by law, which obviates many problems and conflicts).  
  
Over-pricing is an established way of life in Norway and consumers are largely very docile. Though incomes are high, the end result is actually not such a high standard of living nor purchasing power as politicians would have everyone believe, for much of one's earnings goes on the necessities of life in the demanding cold climate and far-flung land. Airlines were long heavily protected against foreign competition, mainly SAS, and the fares were huge compared to most countries, heavy taxes being levied on passenger seats and through diverse airport dues etc. All this has changed considerably due to the revolution in the airline industry with cheaper flights and companies.

The movement of people towards more a cosmopolitan outlook has obviously been driven considerably by increased travel abroad and subtle effects of on-the-spot immigration. Yet many of the basal assumptions about life and the world that have been current since the 1950s are still clung to by the older population, though modified in tone or detail. As in virtually every country I know, the media filter news of the outside world through a typically national mind-set. Similarily Norway's press is not of the progressive, outward-looking kind, which is even the case in large countries. The world beyond often still appears figuratively as seen through the lens of the red-white-and-blue national flag. Nonetheless, though Norway keeps the EU at arms' length mentally - countries in Europe are nowadays better appreciated for their own characteristics.
* * *

**The Democratic Spirit**

Democracy is deep-rooted in Norway and, being a home-bred tradition, owes little to the example of Parliamentarism of England. The Islandic and Nordic societies had their own kinds of parliament in medieval times, known as the Ting. The occupation of Norway by Denmark, then Sweden, then Germany reinforced the desire for self-rule and fairness... the mass of Norwegians were levelled out in various ways under foreign rule, few of them (apart from some classes of 'civil servants' and professionals) held high positions or conspired with the rulers. Under the Nazis, Quislings were not popular and had no say in the post-War reconstruction of Norwegian institutions. The common people have had a relatively strong say in national events since independence was won in 1814 (apart from the Nazi interregnum). Independence of spirit and of political opinion is still strong throughout the land.

Norway benefits much from the great fact that E. Schumacher made so famous: 'Small is beautiful'. The nation is small, whereas the country is large enough. A comparison most Norwegians know is that it is further from the northernmost point, North Cape, to Oslo than it is from Oslo to Rome! Benefits concern the relative homogeneity or integration of the population, even since the influx of immigrants from the 1970s onwards. For example, in any profession it is seldom that one does not have some line of contact to any other person in it. Either one knows other, or is aware of who they are, or can soon find someone who does... 'it's a small world'. This applies to social circles of all kinds... making for less anonymity and impersonal disinterest than is common in larger Western countries. Even Sweden and Denmark are a good deal less intimate societies in this respect.  
  
The sense of peripherialisation and political defeatism that marks those large democracies in which one vote seems to disappear among a hundred thousand hardly exists in Norway. Unlike the rest of Europe, public political debate is not closely confined to a 'closed shop' for politicians, TV personalities, newspaper owners or the rich and powerful. Anyone who is moderately well-informed can expect to get into print in the papers - even the national dailies - if they have anything new or interesting to say. TV debates draw in all kinds of people with any relevance to or deep involvement in the subject in question. There are numerous outlets for 'ordinary people' to get a real hearing for their grievances, even though the powers-that-be may remain uninfluenced. Usually, however, persistence will at least force a public reply and often bring in support from the public or unexpected quarters. This atmosphere is quite different to that in, say, U.K. where nearly all such matters are run and ruled over by an elite who can easily make themselves unapproachable. The sheer size and diversity of a constituency in the U.K. or the U.S.A. provides a kind of 'safety-in-numbers cover' for politicians on all but the most burning issues.

As elsewhere, the rise of hi-technology and the decline of heavy industries (like Norwegian shipbuilding) has decimated the old trade unionist working-class... or rather modernised it and largely erased what outward signs of class there were. Though the countries of Europe are intermingling more and adjusting to various common standards, I find Norway is still quite distinctive from England in important respects. Fairly recent affluence has created a monied mediocracy, and one with nouveau riche overtones too, but the climate of opinion is still strongly egalitarian and anti-elitist. The gap between rich and poor is widening all the time here too and economism is ruining or has replaced many of the better traditional values.  
  
As a Norwegian expression has it, though, 'every coin has a reverse face'. The other side of smallness is pettiness, that of closeness is social claustrophobia, and that of homogeny and integration is oppressive provinciality, which is a great leveller of spirits and a flattener of the gifted and genuinely original person. A major limitation on democracy in Norway - apart from big business and international corporations, of course - is actually the police and certain aspects of the law concerning detention without trial. 
* * *

**Equality before the law?**

The myth that Norway is a country of egalitarian justice is becoming more and more ragged, but has as yet not exploded fully. The entire system of justice is far from being beyond reproach, as those who have personal sources of information and contacts know only too well. A university teacher's son was slowly strangled to death before a group of neighbours by a half-drunken off-duty policeman who would not hear any reasoning or entreaties for half an hour... and the policeman went entirely free! No power in the entire land could do anything whatever about it. Likewise, police shot down and killed a minor for joy-riding a matter of 500 yards and be fully exonerated in court, despite the soundest of counter-evidence. These are not by any means the only instances of such contempt for life and human rights. It combines a mixture of judicial bungles and judges with narrow Norwegian provincial outlook and often the mental sclerosis of conservative brands, with the widespread misuse of official powers and police corruption, all backed up by political blind-eyes. The police are at least as much a state with the state as any other police state in Western industrialised countries. It has been demonstrated beyond any reasonable doubt that - in Norway as elsewhere - the police only give evidence against colleagues at the risk of most serious of consequence... a ruined life in fact. False testimony is commonplace in the police where complaints and court cases are involved... there can be nothing but a showpiece trial in such cases, not entirely unreminiscent of the 30s in Russia.   
  
The Norwegian police are certainly not sufficiently apolitical, as numerous incidents in recent times show very clearly. These include the forceful suppression of human rights protestors' right to demonstrate (eg. against the Chinese President's visit) and of most peaceful environmental activists, which are treated as criminals both in violent physical arrests and legal harassment. Meanwhile such major and costly disruptions of society as the wholly illegal blockaging of the entire road system for days by lorry drivers trying to enforce excessive pay claims were allowed to pass with complete impunity.

Not until the late 1990s was a major case first won against screaming injustices that has been backed up to the hilt by official Norway. Even the press was very largely manipulated or unwittingly involved in the injustice, the gutter press being as one might expect particularly on the side of the police who favour them with leaks (rather than on the side of truth and justice). One most scandalous of these was the Leland case, which serves as a model for injustice and cover-up. It involved imprisonment of complete innocents on the slimmest of suppositions and indirect evidence for up to 20 years. A major national scandal, in the view of the intelligentsia,was the conviction as a spy for Russia of the politician Arne Treholt. There can be absolutely minimal doubt that the prosecution stuffed a suitcase with dollar bills so as to convict him.   
  
Corrupt police circles became entirely dominant in Norway's second city, Bergen, in the 1980s. Bergen was a true Wild West in Norway's law and order landscape. A series of cases now known collectively as 'The Boomerang Case' in which systematic police brutality was regarded as 'quite normal' by the Bergen authorities, and cynical cover-ups and other illegal methods matched those of the Southern U.S. justice system at its darkest in the 1960s. The Bergen police challenged the most prominent researchers and jurists in the country, harassed and even planted hashish on a criminological researcher and finally showed their control of the Riksadvokat. Professor Anders Bratholm was one of the very most respected professors of law in the Norwegian university world who claimed that police violence must have taken place regularly, was himself prosecuted by Bergen Police. He finally won the case after years of trouble and expense. After many years of involvement in research into police violence - which work cost him and his family very dearly - he came to the conclusion that the falsification of evidence was a routine matter in the police wherever their own activities were brought under any public scrutiny. This could not be righted by any instance in the judicial hierarchy, right up to the 'Riksadvokat', Norway's equivalent of the Lord Chief Justice. The several Riksadvokat who have presided in recent decades have all shown themselves to be loyal to their own origins as prosecution and/or police servants. As the Brer Rabbit saying goes, "born and bred in the briar bush". The police were finally officially exposed after more than a decade of battle between them and social researchers, criminologists and some of Norway's most respected legal figures. An independent professor of law who had supported social researchers '. The Boomerang case decision, in which Bergen Police had prosecuted victims of their brutality for allegedly witnessing falsely as to police brutality, was finally overturned after years of public outcry and subsequent re-trial. The defeat and utter disgrace of the members of the virtual police state in Bergen was very considerable, though all have themselves escaped prosecution!

In the late 1990s, a so-called 'independent body' was set up to review cases of complaints against the police. In August, 2000, official figures were released showing that, of over 600 instances of public charges made against various police actions in the most recent period, only 45 were recommended to be pursued by the prosecution and the result was that _only one single case _ taken up by the courts against the police was successful! So much for independent reviews (made by ex-policemen, wouldn't you know!). In short, there is very far to go before there is equality before the law in this country.   
  
In 1998, an average of 600 persons were in prison in isolation cells without formal charges being brought against them. Such imprisonments without trial and the brutal and Gestapo-like practice of keeping many prisoners long-term in total isolation cells.Some of these had been there for up to 2 years! Only very recently have the authorities decided to look into this huge human rights abuse, though defence lawyers have long complained and done all they can to protect their clients .Norway still continues to flaunt the demands of European courts and human rights bodies of all kinds in refusing to alter this draconian and inhuman practice. 

When major injustices occur, the prestige and power of the prosecutors and their protectors keeps most of them under wraps unless major decades-long campaigns are waged. Even that was insufficient in the Treholt case. Ministers of Justice were apparently cowed to powerlessness by this law-defying core of corrupt police. It appears that major injustices have recently (in 2015) become few and far between.  
  
The power to imprison without any kind of trial other than a preliminary hearing in a special court, which invariably grants the police all their wishes almost unquestioningly, even without a shred of physical evidence - is one of the darker blots on Norwegian justice. Visitors to this country be warned. Conclusive physical evidence is not a requirement under the Norwegian system of law, not even in all murder trials, not to mention in lesser crimes. Conviction can be based on indicators of likelihood that a person is guilty! 

The partiality of judges towards the prosecution is evident to a degree that would be held impossible in Britain or the U.S.A. Many Norwegian judges hold quite traditional Norwegian values and beliefs, without noteworthy experience of living in other countries. The majority of them were and remain firmly against genuine _habeus corpus_ \- i.e. the foundation of common law in Britain since the times of the Magna Carta. They are too used to Norway's continental and proto-Napoleonic influence. The Chief State Advocates that Norway has had through the latter 20th century would probably mostly be judged to be pseudo intelligentsia and politically-biassed wallies in other modern Western democracies (unless I am too blue-eyed about the 'outer world').The European Court of Justice and of Human Rights have both judged against Norway's primitive detention practices, but change is slow in coming. On the brighter side, recently a foreigner did win a case for unlawful detention for years, another for unlawful trial and imprisonment for many years and two others were freed after two years inside for unlawful entrapment by the police for alleged heroin dealing. Only a couple of decades ago (before 2015), such victories for the defence in cases dealing with foreigners and, above all, drugs in any form or quantity, were unthinkable.
* * *

**Casting off ignorance  
  
**In the late 1950s, the radio and the press were very provincial and claustrophobically chauvinistic. At that time, for example, forced sterilisation of the heavily mentally handicapped, the tartar people and other minority categories was practiced as official policy. Each decade saw some modifications of the general narrowness, but modern influence is invariably subject to a considerable time-lag. Book translations from English and other leading languages take much time, and it is expensive, the buying public is limited and the publishing capacity is not that great, so seminal ideas were only absorbed slowly. Since the IT revolution, the infusion of new knowledge and progressive ideas has helped counteract this.  
  
At the turn of the millennium, the tenor of some of the frequent debates on TV and in the newspapers and various unquestioned assumptions that underlie the establishment and often the whole society would have shocked those who believed that Norway was in the forefront of nature conservation. Norwegian sealing, whaling, bear and wolf hunting, and the fur industry were supported by a large majority. Popular campaigning by authorities drew the wool over the eyes of the outside world as to the real intentions concerning sealing and whaling and of the failure to follow up serious allegations of death threats and violence by thugs against campaigners who filmed and publicised these practices. Hunting and fishing of every kind of creature are still zealously-guarded national pastimes practised by a relatively huge proportion of the population, though licences are required. The culling of the population of moose and roe deer is necessary and is regulated. Vegetarianism was considered eccentric until it became so prevalent in Europe that the health and food authorities held it to be inadvisable. The former absence or weakness of such public movements as those for protection of wildlife, vegetarianism and organic produce is improving, having gained much support among young persons.   
  
Subjective and ill-informed bias has from the start been overwhelming on the subject of drugs, virtually treated as the root of all evil - the almost harmless varieties even more than the dangerous ones. Few are the voices that point out that this latter is a markedly self-righteous, ill-informed and hysterical witch hunt, based on massive misinformation and implanted anxiety. In common with most societies, Norwegians consider traffic death and injury a fairly normal and even fair price to pay, alcohol- and tobacco-related death or dependency on habit-forming medicaments, while the soft drugs and even hallucinogens - from which an infinitesimal number of people have ever died - are regarded as the stand-in for the (now secularised) 'Devil Incarnate'.The media and police driven campaign against all but alcoholic, nicotine, or caffein-rich stimulants ran on lines reminding of the Stasi. The pogrom-like movement had a life of its own and which caused the lifelong downfall of many gifted young people in the country. Meanwhile, the national love of the major killer and social disrupting agent - alcohol - smothered any attempts to face the real issue. A few of Norway's best brains of international standing, however - a few professors in jurisprudence and criminology who favoured decriminalisation of cannabis - were ridiculed and treated shamefully by journalists and the spineless ministers who feared for their positions. The arguments for the criminalisation of such mind-altering substances had arguments like outmoded stuck gramophone records, repeating the same dogma when confronted with facts and arguments. Ignorance about the nature of soft drugs effects and reasons for preferring them to destructive substances like alcohol and tobacco was both abysmal and hypocritical. So 'prohibition' of soft drugs continued - and still continues - at huge cost, both in funds and human lives, while all kinds of other destructive or fatal drug taking continues - especially alcohol, heroin and prescribed medicaments. Around 2000, a genuine debate was raised and prospered somewhat as younger persons with degrees stood forth in line with more permissive developments abroad, but in 2015, concrete positive results are very thin on the ground.  
  
Countless sums of money poured into control of illegal 'drugs' created a segment of the population whose livelihood depended more or less on the crusade, not to mention rocketing careers of some of the more backward-looking and ill-informed police chiefs. Meanwhile, the criminal gangs grew and developed their black economy. The result: increasing use of soft drugs throughout the land, extending to younger and younger age groups... over 25% of the population having used such illegal substances. This is only official research, and most youngsters will not answer about their use of drugs, which means their use was much more widespread than could be admitted. Quite a paradox! During all this, the Netherlands' policy proved time and again to unheeding and ignorantly spiteful authorities elsewhere that the legalised control of soft drug use has great social benefits in terms of a lower drug-related crime rate and protection of users from harder substances, poisoned drugs and criminal dealers. Since 2000 the attitudes have been changing but the tolerance of soft drugs is only taking place informally by less rigorous policing of small quantities of mild drugs for personal use. The rigorous penal system is still formally well in place.

* * *

[Continuation][21]

[1]: http://www.robertpriddy.com#a
[2]: http://www.robertpriddy.com#aa
[3]: http://www.robertpriddy.com#b
[4]: http://www.robertpriddy.com#c
[5]: http://www.robertpriddy.com#d
[6]: http://www.robertpriddy.com#f
[7]: http://www.robertpriddy.com#g
[8]: http://www.robertpriddy.com#e
[9]: http://www.robertpriddy.com/Nor2.html#x
[10]: http://www.robertpriddy.com/Nor2.html#h
[11]: http://www.robertpriddy.com/Nor2.html#hh
[12]: http://www.robertpriddy.com/Nor2.html#i
[13]: http://www.robertpriddy.com/Nor2.html#j
[14]: http://www.robertpriddy.com/Nor2.html#k
[15]: http://www.robertpriddy.com/Nor2.html#l
[16]: http://www.robertpriddy.com/Nor2.html#m
[17]: http://www.robertpriddy.com/Nor2.html#n
[18]: http://www.robertpriddy.com/Nor2.html#o
[19]: http://www.robertpriddy.com/forest_finds.html
[20]: http://www.robertpriddy.com/forest-fare.html
[21]: http://www.robertpriddy.com/Nor2.html

