---
created_at: '2014-08-22T14:52:35.000Z'
title: The legend of John von Neumann (1973)
url: http://stepanov.lk.net/mnemo/legende.html?hn
author: tjaerv
points: 96
story_text: ''
comment_text: 
num_comments: 66
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1408719155
_tags:
- story
- author_tjaerv
- story_8212335
objectID: '8212335'

---
[Source](http://stepanov.lk.net/mnemo/legende.html?hn "Permalink to THE LEGEND OF JOHN VON NEUMANN")

# THE LEGEND OF JOHN VON NEUMANN

![ ][1] [Mnemonic][2] \- [Articles][3] _April 1973 _

THE LEGEND OF JOHN VON NEUMANN   
P. R. HALMOS, Indiana University

: John von Neumann was a brilliant mathematician who made important contributions to quantum physics, to logic, to meteorology, to war, to the theory and applications of high-speed computing machines, and, via the mathematical theory of games of strategy, to economics. 

: **Youth.** He was born December 28, 1903, in Budapest, Hungary. He was the eldest of three sons in a well-to-do Jewish family. His father was a banker who received a minor title of nobility from the Emperor Franz Josef; since the title was hereditary, von Neumann's full Hungarian name was Margittai Neumann Janos. (Hungarians put the family name first. Literally, but in reverse order, the name means John Neumann of Margitta. The "of", indicated by the final "i", is where the "von" comes from; the place name was dropped in the German translation. In ordinary social intercourse such titles were never used, and by the end of the first world war their use had gone out of fashion altogether. In Hungary von Neumann is and always was known as Neumann Janos and his works are alphabetized under N. Incidentally, his two brothers, when they settled in the U.S., solved the name problem differently. One of them reserves the title of nobility for ceremonial occasions only, but, in daily life, calls himself Neumann; the other makes it less conspicuous by amalgamating it with the family name and signs himself Vonneuman.) : Even in the city and in the time that produced Szilard (1898), Wigner (1902), and Teller (1908), von Neumann's brilliance stood out, and the legends about him started accumulating in his childhood. Many of the legends tell about his memory. His love of history began early, and, since he remembered what he learned, he ultimately became an expert on Byzantine history, the details of the trial of Joan of Arc, and minute features of the battles of the American Civil War. : He could, it is said, memorize the names, addresses, and telephone numbers in a column of the telephone book on sight. Some of the later legends tell about his wit and his fondness for humor, including puns and off-color limericks. Speaking of the Manhattan telephone book he said once that he knew all the numbers in it - the only other thing he needed, to be able to dispense with the book altogether, was to know the names that the numbers belonged to. : Most of the legends, from childhood on, tell about his phenomenal speed in absorbing ideas and solving problems. At the age of 6 he could divide two eight-digit numbers in his head; by 8 he had mastered the calculus; by 12 he had read and understood Borel's Theorie des Fonctions. : These are some of the von Neumann stories in circulation. I'll report others, but I feel sure that I haven't heard them all. Many are undocumented and unverifiable, but I'll not insert a separate caveat for each one: let this do for them all. Even the purely fictional ones say something about him; the stories that men make up about a folk hero are, at the very least, a strong hint to what he was like.) In his early teens he had the guidance of an intelligent and dedicated high-school teacher, L. Ratz, and, not much later, he became a pupil of the young M. Fekete and the greatt L. Fejer,"the spiritual father of many Hungarian mathematicians". ("Fekete" means "Black", and "Fejer" is an archaic spelling, analogous to "Whyte".) : According to von Karman, von Neumann's father asked him, when John von Neumann was 17, to dissuade the boy from becoming a mathematician, for financial reasons. As a compromise between father and son, the solution von Karman propo-sed was chemistry. The compromise was adopted, and von Neumann studied chemistry in Berlin (1921-1923) and in Zurich (1923-1925). In 1926 he got both a Zurich diploma in chemical engineering and a Budapest Ph.D. in mathematics. 

: **Early work.** His definition of ordinal numbers (published when he was 20) is the one that is now universally adopted. His Ph.D. dissertation was about set theory too; his axiomatization has left a permanent mark on the subject. He kept up his interest in set theory and logic most of his life, even though he was shaken by K. Godel's proof of the impossibility of proving that mathematics is consistent. : He admired Godel and praised him in strong terms: "Kurt Godel's achievement in modern logic is singular and monumental - indeed it is more than a monument, it is a landmark which will remain visible far in space and time. ... The subject of logic has certainly completely changed its nature and possibilities with Godel's achievement." In a talk entitled "The Mathematician", speaking, among other things, of Godel's work, he said: "This happened in our lifetime, and I know myself how humiliatingly easily my own values regarding the absolute mathematical truth changed during this episode, and how they changed three times in succession!" : He was Privatdozent at Berlin (1926-1929) and at Hamburg (1929-1930). During this time he worked mainly on two subjects, far from set theory but near to one another: quantum physics and operator theory. It is almost not fair to call them two 

: **Speed.** The speed with which von Neumann could think was awe-inspiring. G. Polya admitted that "Johnny was the only student I was ever afraid of. If in the course of a lecture I stated an unsolved problem, the chances were he'd come to me as soon as the lecture was over, with the complete solution in a few scribbles on a slip of paper." Abstract proofs or numerical calculations - he was equally quick with both, but he was especially pleased with and proud of his facility with numbers When his electronic computer was ready for its first preliminary test, someone suggested a relatively simple problem involving powers of 2. (It was something of this kind: what is the smallest power of 2 with the property that its decimal digit fourth from the right is 7? This is a completely trivial problem for a present-day computer: it takes only a fraction of a second of machine time.) The machine and Johnny started at the same time, and Johnny finished first. : One famous story concerns a complicated expression that a young scientist at the Aberdeen Proving Ground needed to evaluate. He spent ten minutes on the first special case; the second computation took an hour of paper and pencil work; for the third he had to resort to a desk calculator, and even so took half a day When Johnny came to town, the young man showed him, the formula and asked him what to do. Johnny was glad to tackle it. "Let's see what happens for the first few cases. If we put n = 1, we get..." - and he looked into space and mumbled for a minute. Knowing the answer, the young questioner put in "2.31 ?" Johnny gave him a funny look and said "Now if n = 2,...", and once again voiced some of his thoughts as he worked. The young man, prepared, could of course follow what Johnny was doing, and, a few seconds before Johnny finished, he interrupted again, in a hesitant tone of voice: "7.49?" This time Johnny frowned, and hurried on: "If n = 3, then..." The same thing happened as before - Johnny muttered for several minutes, the young man eavesdropped, and, just before Johnny finished, the young man exclaimed: "11.06!" That was too much for Johnny. It couldn't be! No unknown beginner could outdo him! He was upset and he sulked till the practical joker confessed. : Then there is the famous fly puzzle. Two bicyclists start twenty miles apart and head toward each other, each going at a steady rate of 10 m.p.h. At the same time a fly that travels at a steady 15 m.p.h. starts from the front wheel of the southbound bicycle and flies to the front wheel of the northbound one, then turns around and flies to the front wheel of the southbound one again, and continues in this manner till he is crushed between the two front wheels. Question: what total distance did the fly cover ? The slow way to find the answer is to calculate what distance the fly covers on the first, northbound, leg of the trip, then on the second, southbound, leg, then on the third, etc., etc., and, finally, to sum the infinite series so obtained. The quick way is to observe that the bicycles meet exactly one hour after their start, so that the fly had just an hour for his travels; the answer must therefore be 15 miles. When the question was put to von Neumann, he solved it in an instant, and thereby disappointed the questioner: "Oh, you must have heard the trick before!" "What trick?" asked von Neumann; "all I did was sum the infinite series." : I remember one lecture in which von Neumann was talking about rings of operators. At an appropriate point he mentioned that they can be classified two ways: finite versus infinite, and discrete versus continuous. He went on to say: "This leads to a total of four possibilities, and, indeed, all four of them can occur. Or - let's see -can they?" Many of us in the audience had been learning this subject from him for some time, and it was no trouble to stop and mentally check off all four possibilities. No trouble - it took something like two seconds for each, and, allowing for some fumbling and shifting of gears, it took us perhaps 10 seconds in all. But after two seconds von Neumann had already said "Yes, they can," and he was two sentences into the next paragraph before, dazed, we could scramble aboard again. 

: **Speech.** Since Hungarian is not exactly a lingua franca, all educated Hungarians must acquire one or more languages with a popular appeal greater than that of their mother tongue. At home the von Neumanns spoke Hungarian, but he was perfectly at ease in German, and in French, and, of course, in English. His English was fast and grammatically defensible, but in both pronunciation and sentence construction it was reminiscent of German. His "Sprachgefiihl" was not perfect, and his sentences ten ded to become involved. His choice of words was usually exactly right; the occasional oddities (like "a self-obvious theorem") disappeared in later years. His spelling was sometimes more consistent than commonplace: if "commit", then "ommit". S. Ulam tells about von Neumann's trip to Mexico, where "he tried to make himself understood by using 'neo-Castilian', a creation of his own - English words with an 'el' prefix and appropriate Spanish endings". : He prepared for lectures, but rarely used notes. Once, five minutes before a non-mathematical lecture to a general audience, I saw him as he was preparing. He sat in the lounge of the Institute and scribbled on a small card a few phrases such as these: "Motivation, 5 min.; historical background, 15 min.; connection with economics, 10 min.;..." : As a mathematical lecturer he was dazzling. He spoke rapidly but clearly; he spoke precisely, and he covered the ground completely. If, for instance, a subject has four possible axiomatic approaches, most teachers content themselves with developing one, or at most two, and merely mentioning the others. Von Neumann was fond of presenting the "complete graph" of the situation. He would, that is, describe the shortest path that leads from the first to the second, from the first to the third, and so on through all twelve possibilities. 

: **Work habits.** Von Neumann was not satisfied with seeing things quickly and clearly; he also worked very hard. His wife said "he had always done his writing at home during the night or at dawn. His capacity for work was practically unlimited." In addition to his work at home, he worked hard at his office. He arrived early, he stayed late, and he never wasted any time. He was systematic in both large things and small: he was, for instance, a meticulous proofreader. He would correct a manuscript, record on the first page the page numbers where he found errors, and, by appropriate tallies, record the number of errors that he had marked on each of those pages. Another example: when requested to prepare an abstract of not more than 200 words, he would not be satisfied with a statistical check - there are roughly 20 lines with about 10 words each - but he would count every word. : When I was his assistant we wrote one paper jointly. After the thinking and the talking were finished, it became my job to do the writing. I did it, and I submitted to him a typescript of about 12 pages. He read it, criticized it mercilessly, crossed out half, and rewrote the rest; the result was about 18 pages. I removed some of the Germanisms, changed a few spellings, and compressed it into 16 pages. He was far from satisfied, and made basic changes again; the result was 20 pages. The almost divergent process continued (four innings on each side as I now recall it); the final outcome was about 30 typescript pages (which came to 19 in print). : Another notable and enviable trait of von Neumann's was his mathematical courage. If, in the middle of a search for a counterexample, an infinite series came up, with a lot of exponentials that had quadratic exponents, many mathematicians would start with a clean sheet of paper and look for another counterexample. Not Johnny! When that happened to him, he cheerfully said: "Oh, yes, a thetafunction...", and plowed ahead with the mountainous computations. He wasn't afraid of anything. : He knew a lot of mathematics, but there were also gaps in his knowledge, most notably number theory and algebraic toplogy. Once when he saw some of us at a blackboard staring at a rectangle that had arrows marked on each of its sides, he wanted to know that what was. "Oh just the torus, you know - the usual identification convention." No, he didn't know. The subject is elementary, but some of it just never crossed his path, and even though most graduate students knew about it, he didn't. : Brains, speed, and hard work produced results. In von Neumann's Collected Works there is a list of over 150 papers. About 60 of them are on pure mathematics (set theory, logic, topological groups, measure theory, ergodic theory, operator theory, and continuous geometry), about 20 on physics, about 60 on applied mathematics (including statistics, game theory, and computer theory), and a small handful on some special mathematical subjects and general non-mathematical ones. A special number of the Bulletin of the American Mathematical Societv was devoted to a discussion of his life and work (in May 1958). 
* * *

: Paul Halmos claims that he took up mathematics because he flunked his master's orals in philosophy. : He received his Univ. of Illinois Ph.D. under J.L. Doob. Then he was von Neumann's assistant, followed by positions at Illinois, Syracuse, M. I. T. 's Radiation Lab, Chicago, Michigan, Hawaii, and now is Distinguished Professor at Indiana Univ. He spent leaves at the Univ. of Uruguay, Montevideo, Univ. of Miami, Univ. of California, Berkeley, Tulane, and Univ. of Washington He held a Guggenheim Fellowship and was awarded the MA A Chauvenet Prize. : Professor Halmos' research is mainly measure theory, probability, ergodic theory, topological groups, Boolean algebra, algebraic logic, and operator theory in Hilbert space. He has served on the Council of the AMS for many years and was Editor of the Proceedings of the AMS and Mathematical Reviews. His eight books, all widely used, include Finite-Dimensional Vector Spaces (Van Nostrand, 1958), Measure Theory (Van Nostrand, 1950), Naive Set Theory (Van Nostrand, I960), and Hilbert Space Problem Book (Van Nostrand, 1967). : The present paper is the original uncut version of a brief article commissioned by the Encyclopaedia Britannica. Editor. 

  

[Mnemonic][2] \- [Articles][3]

[1]: http://stepanov.lk.net/ru.gif
[2]: http://stepanov.lk.net/mnemoe.html
[3]: http://stepanov.lk.net/mnemoare.html

