---
created_at: '2016-06-01T00:46:09.000Z'
title: Combinatorial Music Theory (1991)
url: http://andrewduncan.net/cmt/
author: adamnemecek
points: 151
story_text: 
comment_text: 
num_comments: 12
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1464741969
_tags:
- story
- author_adamnemecek
- story_11811387
objectID: '11811387'

---
[Source](http://andrewduncan.net/cmt/ "Permalink to Combinatorial Music Theory")

# Combinatorial Music Theory

# COMBINATORIAL MUSIC THEORY

_Journal of the Audio Engineering Society_, vol. 39, pp. 427-448. (1991 June).  
© 1991, Audio Engineering Society and Andrew Duncan. All rights reserved.   
  
![☹][1]  
  
_ Andrew Duncan  
andrewzboard at gmail dot com  
_

  

![new][2] I have posted a [video lecture][3] covering roughly the first half of this paper. There is also a [Web page][4] with an interactive graphic illustrating the graph _H_12 discussed below. In addition, I have been working on a [MIDI controller][5] that exploits some of the patterns described in this paper.

  

## SYNOPSIS

Musical patterns may be investigated with the mathematical tools more commonly applied in science and engineering. For example, the cyclic autocorrelation of a musical scale describes its interval content. Fingering patterns on string instruments are embedded in a space with an unusual topology. Ideas from crystallography may be applied to the description of structure-preserving transformations of melodies. These phenomena are explored for the particularly common case of the twelve-note equally-tempered scale.

> "Nothing can be farther from the working musician's mind than counting, nothing farther from the working mathematician's mind than singing, and yet there is something common to both." [1]

  

## 0   INTRODUCTION

The purpose of this paper is to examine some unique properties of commonly used musical patterns. It assumes some familiarity with musical ideas: octaves and intervals, the major scale and the concept of key. It also assumes some knowledge of abstract algebra: elementary number theory, groups, and graphs. In order to address a readership of wide-ranging backgrounds, I present these ideas with the mathematical and musical aspects evolving in parallel.

We will see that there is a natural way to describe the internal structure of a musical scale that is closely related to the process of _autocorrelation_ used in digital signal theory. Attempting to pull musical patterns into a second dimension will reveal that these patterns may be thought of as embedded in a 12-point space with peculiar connectivity. The _automorphisms_, or structure-preserving self-mappings of this space, will correspond to precisely those musical transformations that preserve melodic and harmonic relations between notes, or interchange those relations. These mappings are analogous to the symmetry groups of tilings or crystals. 

Where a term is used in a more restrictive sense than is common, or already has a well-defined or circumscribed meaning, it appears (where defined) in **bold**. In a case where I would stress or accent (or shout) a word when describing these ideas verbally, the word is in _italics_. I hope this does not make for a bouncy ride.

  

## 1   SOUNDS

Sounds are vibrations in the air: variations in air pressure about a mean. The average ambient air pressure is roughly 100 Newtons of force per square meter of area, and the variations caused by ordinary conversation are about seven orders of magnitude (powers of ten) smaller. We will consider a sound to be represented by a real function of time describing this variation. In most cases of interest, this function can be broken up into a sum of pure sine waves of different frequencies. These sine waves are the **components** of the sound. The term **frequency** refers to the number of times per second that the oscillation goes through a full cycle. Frequency is measured in cycles per second, or **Hertz** (Hz). It is conventional to describe the range of the human ear as 20 Hz - 20,000 Hz (20 kHz), although most people's hearing falls rapidly after 15 kHz or so. For comparison, the notes on a piano range from 27 Hz (low A) to 4.2 kHz (highest C).

In certain cases of particular interest, such as sounds produced by vibrating strings, columns of air, or reeds, the frequencies of the sound's components are related in a particularly simple way: they are all integer multiplies of a base frequency. The sinusoidal component with this lowest frequency is called the **fundamental** of the sound. When we refer to the frequency of a sound, we mean the frequency of the fundamental. For example, although the fundamental frequency of the piano's middle C is 261 Hz, there are also components at higher frequencies that give "body" to the note.

We use the measurement of frequency to give an _ordering_ to the set of all sinusoids, and to a large number of sounds, via their fundamental component. This ordering corresponds closely to our intuitive notion of **pitch**: "low-pitched" sounds have low frequencies, and so with high. Perception is somewhat more complicated, but the ordering that frequency brings is of fundamental importance to music theory.

  

## 2   THE TWELVE NOTES

The "universe" in which we work can be defined in a multi-step process. First, we define the most fundamental musical relationship: the **octave**. Two frequencies are said to be separated by an octave when their ratio is 2:1. We say that 2 Hz is an octave above 1 Hz. To the ear, notes separated by any number of octaves sound somehow "the same". (There are well-known physical reasons for this, which we will take as given.) Fig. 1 shows the frequency axis. (Note that this figure is a fractal: it looks "the same" at all levels of magnification.)

  
  

![☹][6]

### Fig. 1

  

Any point on this line corresponds to some frequency, some pitch. In this way, frequency is used as a _coordinate_ to locate pitches in an absolute way. On the axis are marked all the notes related by octaves to the frequency of 1 Hz. These frequencies are all powers of two: those frequencies greater than 1 Hz have positive exponents; those less than one have negative exponents. These pitches are our first landmarks on the frequency axis. Note that they are certainly not the _only_ available frequencies. For the moment _all_ frequencies are equally accessible.

  
  

![☹][7]

### Fig. 2

  

We next proceed to deform the frequency axis and its labels in various convenient ways. In Fig. 2a, we have taken to using the exponents (of two) to represent the frequencies, rather than the frequencies themselves. This has the effect of converting multiplication into addition: the movement of an octave is now the addition or subtraction of 1. This is really a very fundamental change. We do this to conform to the ear's feeling that movement of one octave constitutes a particular size "step" or jump, which is always the same "size" wherever it occurs. Algebraically, we perceive (or learn to perceive) pitch logarithmically. Acknowledging this, we stretch and squeeze the axis until these octaves are the same distance apart, in Fig. 2b.

  
  

![☹][8]

### Fig. 3

  

We will have repeated occasion to divide the octave into equal parts. For various reasons, it is very fruitful to divide the octave into twelve equal steps. To avoid fractions, we multiply everything by 12, as shown in Fig. 3. Our frequency axis is now essentially completed. It relates directly to conventional musical ideas: for example, the frequencies of the keys of a piano are _integer_ points on this axis. However, we still are considering the axis to be continuous. Observe that two notes that are an octave apart now have numbers that differ by 12.

  
  

![☹][9]

### Fig. 4

  

The next step quite overshadows the previous two: we twist the axis into a circle (Fig. 4). We define two notes to be equivalent if we get the same remainder when dividing either by 12. Thus 12 becomes 0, 13 becomes 1, and so forth. Doing this splits up the set of all frequencies into classes, each containing precisely those frequencies related by octaves. For example, one such class is {... -11, 1, 13, ...}. For simplicity of notation, we would designate this class by (1). We still have an (uncountably) infinite number of these classes, one for every point on the circle. In music theory, such a class is often referred to as a **pitch-class** (abbreviated PC). In the following, we will use the term note to refer specifically to a set of equivalent pitches. For instance, we refer to the **note** C, we do not have in mind a _particular_ C (middle C, or any other), but the "idea of 'C-ness'". (More below on the letter names for notes.) The circumference of this circle is one octave: we let this octave stand for _all_ octaves.

  
  

![☹][10]

### Fig. 5

  

Finally, we decide to restrict ourselves to the _integer_ notes on the circle. Thus we have divided the octave into twelve notes, separated by twelve equal steps. This is the **12-tone equally tempered scale**. Fig. 5 shows the notes arranged in a circle. (We now consider there to be nothing between them.) In the further interest of notational simplicity, we remove the brackets denoting an equivalence class, and refer to the notes with bare numbers. These numbers still represent a _coordinate system_ for the 12 notes. Later we will find uses for a _coordinate-free_ representation.

It is certainly easy to envision dividing the octave up into a different number of notes. The number twelve is a justly popular choice. We refer to the count of notes in an octave as the **order** of a musical system (The word "size" will be used differently later on.)

  

## 3   CONVENTIONAL NOTE NAMES

Historically, there have been letter names also associated with each note. One such convention, called the **scientific tuning**, gives the name C to the note 0. (Recall that this note represents the frequencies {... 1/2, 1, 2, 4, ...}.) Using this convention, middle C would have a frequency of 256 Hz. As noted above, middle C is customarily put at (approximately) 261 Hz. This is another convention called **A 440** tuning. Still another convention, **concert tuning**, puts middle C somewhere else.

For convenience, we introduce the convention of naming the top (zero) note "C". Ascending through the melodic circle, the names for the notes are as follows: C, C#/D♭, D, D#/E♭, E, F, F#/G♭, G, G#/A♭, A, A#/B♭, B, (and back to C again). (It is a matter of musical context whether, for example, one refers to the second note as C# or D♭.) Fig. 5 shows the cyclic twelve-note scale with the letter names for each note. Observe that we have assigned the note name C to represent the note number 0. This is a common choice, but is not a requirement.

Why do we use these names instead of, for instance, naming them A through L? The notes whose names contain no **accidentals** \- sharps or flats - form a particularly interesting subset of the twelve notes: the **diatonic scale**. More about this scale in the following.

  

## 4   ADJACENCY AND GRAPHS

We may define two notes to be **adjacent** if their difference is 1. This _relation_ between notes can be represented by a **graph**, conventionally known as _C_12, as shown here in Fig. 6.

  
  

![☹][11]

### Fig. 6

  

We often blur the distinction between notes and the vertex that represents them. For example, we start to think of the top vertex as _being_ the "note" 0. What is the difference between this graph, and for example Fig. 5? A graph is a picture of a relationship: the round dots, or **vertices**, represent objects of some sort (for us, notes) and the lines, or **edges**, connect any two objects that have the given relationship (in our case musical adjacency). Thus we have abstracted away all but the essential elements.

Note that since we have numbered the vertices, the graph is at least implicity _directed_: we distinguish between clockwise and counterclockwise motion around the graph. One edge in Fig. 6 has an arrow along it defining our "forward" direction. This distinction affects our later considerations of symmetry. In particular, the mirror image of a directed graph can not properly be superimposed on the original, as the direction of traversal along the edges will be reversed. Where the distinction is important, we will denote directed graphs by bold italic symbols (e.g. **_C_**12), in the same way vectors are sometimes denoted.

  

## 5   _k_-SCALES AND _k_-CHORDS

We now examine the question "How many 'essentially different' subscales of the 12-note scale are there?" This question is really the same as "How many different 12-bead necklaces are there with some beads colored black and the rest white?"

  
  

![☹][12]

### Fig. 7

  

To clarify these remarks, we illustrate in Fig. 7a a scale of particular interest: the **diatonic** or **major/minor scale**. Here, notes that are in the scale correspond to vertices that are colored black, and notes not in the scale to white vertices. (Observe that this is the _reverse_ of their coloring on the keys of a piano.) The connection between the two illustrations is that Fig. 7b is obtained by _rotating_ Fig. 7a. If the top vertex represents the note C, then Fig. 7a represents the C major scale, whereas Fig. 7b represents the D major scale. We feel that both of these scales are the same _sort_ of scale, and so this leads us to a more explicit definition of what we mean by "essentially different", and to a more restrictive definition of the word "scale".

We define a **_k_-species** to be a set of _k_ notes out of our 12-note scale. We represent each species by a vertex 2-coloring of **_C_**12, with black vertices representing notes in the species and white vertices representing the notes left out. We may also represent each species by a binary number, with 1s representing notes in the species, and 0s for the notes left out. For ease of interpretation, the high-order digit in the binary number represents the top (zero) vertex. For example, the binary numbers representing the species of Fig. 7a and 7b are 101011010101 ( = 2773, in base 10) and 011010110101 ( = 1717) respectively. (Observe that this introduces a reversal: the note 0 is represented by the bit having place value 211 and the note 11 by the bit with value 20. The following analysis could proceed, without this reversal, essentially unaltered.)

In order to formalize this idea we use again the idea of an equivalence relation. We define two species to be _equivalent_ if their graphs are related by the operation of rotation (which is musical _transposition_; note that this word appears with a different meaning in some mathematical contexts). This means we can build up a class of equivalent species from a single "seed" by rotating it, and collecting the results. Each class of equivalent species is referred to as a **scale** or **chord**. Musically, the difference between a scale and a chord is that a scale refers to a set of notes played sequentially; in a chord they are played simultaneously. The distinction is irrelevant here, and the terms will be used interchangeably. Using this terminology, the graphs of Fig. 7 represent two different species or representatives of the same scale.

This process of moving to equivalence classes takes us _away_ from our coordinate-based conception of the 12-note system into a more coordinate-free perspective. Now the absolute location of a pattern is not so important as the relative disposition of its constituent notes.

  

## 6   COUNTING SCALES & CHORDS

It is evident that there are 212 = 4096 different species in the twelve-note musical system. The definition of equivalence given above sorts these species into classes of equivalent scales. This sorting can be written down explicitly as shown in Table 1. (The entire listing, printed in 9-point type, runs more than 90 pages!)

  

    
    
    4095  111111111111  # 1 of  1 in class  1 of  1 for size 12
    4094  111111111110  # 1 of 12 in class  1 of  1 for size 11
    4093  111111111101  # 2 of 12 in class  1 of  1 for size 11
    4092  111111111100  # 1 of 12 in class  1 of  6 for size 10
    4091  111111111011  # 3 of 12 in class  1 of  1 for size 11
    4090  111111111010  # 1 of 12 in class  2 of  6 for size 10
    ...
    ...
    1162  010010001010  # 7 of 12 in class 39 of 43 for size  4
    1161  010010001001  # 7 of 12 in class 40 of 43 for size  4
    1160  010010001000  # 4 of 12 in class 17 of 19 for size  3
    1159  010010000111  # 7 of 12 in class 10 of 66 for size  5
    1158  010010000110  # 6 of 12 in class 18 of 43 for size  4
    ...
    ...
       7  000000000111  #12 of 12 in class  1 of 19 for size  3
       6  000000000110  #11 of 12 in class  1 of  6 for size  2
       5  000000000101  #12 of 12 in class  2 of  6 for size  2
       4  000000000100  #10 of 12 in class  1 of  1 for size  1
       3  000000000011  #12 of 12 in class  1 of  6 for size  2
       2  000000000010  #11 of 12 in class  1 of  1 for size  1
       1  000000000001  #12 of 12 in class  1 of  1 for size  1
       0  000000000000  # 1 of  1 in class  1 of  1 for size  0
            

### Table 1

  

> ![new][2] A (very large) diagram of all the 4096 scales, colored by equivalence class, is available [here][13]. More explanation in [this video][3].

What this table means may be illustrated by a particular example. Entry 1160 in Table 1 tells us about the species 010010001000, consisting of the notes {1, 4, 8} or {C#, E, G#}. For the purpose of explanation, we will read the line from the right. The number on the far right informs us that the **size** of this species is 3 (the number of notes contained in it). The next number to the left tells us that using the equivalence relation of rotation the collection of all 3-note species breaks up into 19 equivalence classes. In other words, there are basically only 19 different three-note chords or scales. As we scan down the list, this class is the 17th one we come to. This class consists of all rotations (musical transpositions) of the given notes. For example, {2, 5, 9} = {D, F, A} and {4, 7, 11} = {E, G, B} are also in this class. In music theory, this particular equivalence class is referred to as the **minor triad**, and it is one of the 19 possible three-note chords. Finally, this class has 12 members (all rotations of the pattern are distinct), and this species is the 4th member of the class to appear in the list.

We may interpret the above counting as saying that there are 19 _essentially different_ ways to play a group of three notes. In this sense, all major triads are considered to be the same sort of triad, as are all minor triads. This kind of sorting is the first step to describing the terrain of the 12-note musical system.

As we noted above, there are 4096 different species in the twelve-note musical system. For any _k_, the number of _k_-species is the same as the number of ways of choosing _k_ distinct elements from a set of 12 elements, a well-known quantity:

# of _k_-species = 2! / (k! * (12-k)!).

  

Oviously if we add up these numbers for all _k_ we must get 4096. The total number of _scales_ (or chords) is 352; finding this number is not nearly so easy. The theoretical approach [2] requires using Burnside's Theorem (which is elegant), and the direct approach (listing them all) is tedious. For now will observe some of the results of the direct approach.

  
  

![☹][14]

### Fig. 8

  

For example, there are 12 different 1-species: 12 different 1-note subsets of the full 12-note set. Fig. 8 shows graphs of these species, along with the binary numbers associated with the species. All these species are members of the _same_ scale or chord: they are all equivalent. Thus there is exactly one 1-scale or 1-chord.

  

## 7   INTERVALS

The previous example was somewhat degenerate, and we first encounter some non- trivial features when we examine the case _k_ = 2. For example, the equivalent species 110000000000 = 011000000000 = . . . all represent the same 2-scale: a scale built up of two adjacent notes. However, no amount of rotating will ever turn this scale into 100000100000. This number represents a different 2-scale. Fig. 9 shows the 6 species of the latter scale.  
  
  
  

![☹][15]

### Fig. 9

  

This is the only 2-scale which does not have twelve species in its equivalence class. The reason is that once we have rotated it six steps, we have the original species again. For this reason it occurs as a special case later on. In Fig. 10 we see graphs for each of the _different_ 2-scales.  
  
  
  

![☹][16]

### Fig. 10

  

Which of the equivalent species was chosen to represent a particular scale? The first to appear in Table 1, the one with the largest binary number associated with it. We will refer to this species as the **canonical species** of the scale.

The 2-scales (or equivalently 2-chords) have a special name: the **intervals**. We see that there are six of them. Matching them up with their conventional music-theoretical names, we have the results of Table 2.

  

    
    
    110000000000	m2/M7
    101000000000	M2/m7
    100100000000	m3/M6
    100010000000	M3/m6
    100001000000	P4/P5
    100000100000	+4/-5
            

### Table 2

  

We note that there is no way to distinguish a major third, for example, from a minor sixth: C to E is a major third, after all, but then E up to C is a minor sixth. Or, equivalently, from C _down to_ E is a minor sixth. Thus, although in general we distinguish between moving up and down, with intervals we cannot. A mathematical way of saying this is that all intervals exhibit **dihedral** symmetry.

  

## 8   SPECIAL SCALES

The diatonic scale mentioned above is a particular 7-scale, one with many interesting properties. We will investigate further 5-scales and 7-scales, as they are of particular theoretic interest. Note that every 5-scale defines a unique 7-scale (its complement). For this reason, a discussion of certain properties of 5-scales may sum up the properties of 7-scales as well. In a way, the _most_ interesting 5-scale is the **pentatonic scale**: {0, 2, 4, 7, 9}, or 101010010100, or {C, D, E, G, A}. (See Fig. 11. Strictly speaking, we have just given one species of this scale.)

  
  

![☹][17]

### Fig. 11

  

This scale forms the backbone for nearly all musical traditions: Western, Eastern, and all other quarters of the compass. It is the source of countless melodies in both classical and folk music. It is also the starting point of musical improvisation. The pattern of the pentatonic scale on the fingerboard is _the_ most fundamental of patterns, the most important habit for the fingers to develop. In addition, it is the _complement_ of the diatonic scale. That the two most fundamental patterns in the 12-note system should be related like this is quite remarkable.

Where does the pentatonic scale stand among its peers, the 5-scales? Table 3 lists all the 66 different 5-scales, listed in decreasing binary order, with each scale represented by the largest (canonical) binary number in its equivalence class.

  

    
    
     1: 111110000000    21: 111000100100    41: 110100100100    61: 110001010010
     2: 111101000000    22: 111000100010    42: 110100100010    62: 110001001010
     3: 111100100000    23: 111000011000    43: 110100011000    63: 110000101010
     4: 111100010000    24: 111000010100    44: 110100010100    64: 101010101000
     5: 111100001000    25: 111000010010    45: 110100010010    65: 101010100100
     6: 111100000100    26: 111000001100    46: 110100001100    66: 101010010100
     7: 111100000010    27: 111000001010    47: 110100001010
     8: 111011000000    28: 111000000110    48: 110011001000
     9: 111010100000    29: 110110100000    49: 110011000100
    10: 111010010000    30: 110110010000    50: 110011000010
    11: 111010001000    31: 110110001000    51: 110010110000
    12: 111010000100    32: 110110000100    52: 110010101000
    13: 111010000010    33: 110110000010    53: 110010100100
    14: 111001100000    34: 110101100000    54: 110010100010
    15: 111001010000    35: 110101010000    55: 110010011000
    16: 111001001000    36: 110101001000    56: 110010010100
    17: 111001000100    37: 110101000100    57: 110010010010
    18: 111001000010    38: 110101000010    58: 110010001010
    19: 111000110000    39: 110100110000    59: 110001100010
    20: 111000101000    40: 110100101000    60: 110001010100
            

### Table 3

  
  

The "percolation" to the right of the 1s in Table 3 follows an interesting pattern. We may think of the 1s as little people, for example explorers. These people are moving around on a circular world with only 12 positions at which to stand. The fellow on the right moves out, perhaps scouting for snarks or woozles. When he reaches the eleventh position (scale #7) he sees that one more step will bring him adjacent to somebody he sees "up ahead". (He doesn't realize that he is looking at the back of the first explorer! See Fig. 12.)

  
  

![☹][18]

### Fig. 12

  

Alarmed, he runs back to the group and gets a friend. Together, they advance one step (scale #8), and then the same procedure repeats. As we proceed, the scales become progressively less "dense". Intuitively, it also seems that the scales become more "useful". For example, the first scale, 111110000000, has little internal variety. We might think of this scale as having minimum entropy. One feels it is not very fruitful ground for melodic ideas. When we get to the _last_ scale in this ordering, we discover that it is the pentatonic scale! This is grounds for considering the pentatonic scale to be a particularly special 5-scale. A similar phenomenon occurs with 7-scales: the diatonic scale is the last entry.

How does this correspond to our idea of entropy in the physical sciences? In the context of a gas, for example, minimum entropy would occur when all the molecules were crowded up into a corner of the room, and maximum entropy when they were uniformly diffused throughout. This is approximately what happens in our scales. In the case of 6-scales, the canonical listing starts with 111111000000 and ends with 101010101010, a diffusion so uniform as to be again structured. Thus paradoxically the scale that has maximum "entropy" comes out highly patterned. With k = 5 or 7, we can't quite approach this uniformity of diffusion, as neither 5 nor 7 have any common factors with 12. But there is a sense in which these scales are the _most_ rich in content.

(As noted above, one might prefer to assign bit 0 to note 0 in the binary representation of a species. In addition, one might sort the species from low to high, both inside the equivalence classes to determine the canonical representative, and in the ordering of those representatives. Thus there are many ways to generate the tables of scales & chords here excerpted. However, the phenomena do not vary in essence.)

  

## 9   THE INTERVAL SPECTRUM

> "No single number and no single tone is what it is without the others." [1]

One way of characterizing the "richness" of a particular scale is by its **interval spectrum**. By this we mean the number of jumps of size 1, of size 2, 3, ... contained in the scale. For example, the five note scale 101010101000 contains four jumps of size 2, four jumps of size 4, and two jumps of size 6. Note that any two equivalent species will have the same interval content: the same inventory of jumps. That is, the interval spectrum is a well-defined function on chords/scales. We might describe the interval spectrum of the scale just mentioned by the string of numbers 504040204040: it contains five jumps of size 0, none of size 1, four of size 2, . . ., two of size 6, . . ., four of size eight (which is really the same as size four), etc. Note that the symmetry of the spectrum is a consequence of the above mentioned dihedral symmetry of intervals. This is why we may properly refer to the spectrum as describing the interval content of a scale. A list of the interval content of all the 5-scales is excerpted in Table 4.

  

    
    
    111110000000: 543210001234
    111101000000: 533211011233
    111100100000: 532211111223
    111100010000: 532112121123
    111100001000: 532112121123
    111100000100: 532211111223
                .
                .
    110001010010: 512213131221
    110001001010: 512223032221
    110000101010: 513122122131
    101010101000: 504040204040
    101010100100: 503222122230
    101010010100: 503214041230
            

### Table 4

  

In _this_ list, the last entry, the pentatonic scale, is seen to contain _more_ jumps of size 5 or 7 (perfect 4ths/5ths) than any other scale. It contains four such intervals, between 0 & 7, 2 & 7, 2 & 9, and 4 & 9, or with note names, C & G, D & G, D & A, and E & A. Similarly, the interval spectrum list for the 7-scales ends as shown in Table 5.

  

    
    
    111111100000: 765432123456
    111111010000: 755433133455
    111111001000: 754443134445
    111111000100: 754443134445
    111111000010: 755433133455
    111110110000: 754433233445
    
    .
    .
    
    110110110100: 733633333633
    110110110010: 733633333633
    110110101100: 733544244533
    110110101010: 725444244452
    110110011010: 733544244533
    110101101010: 725436163452
            

### Table 5

  

In this list, the last entry, the diatonic scale, is also seen to contain more 4ths/5ths than any other seven-note scale: six. In addition, it is the only scale that has a unique content for each interval: for example, it contains three major 3rd/minor 6th intervals; every other interval is contained either more or less times. The interval spectra of the pentatonic and diatonic scales are further evidence of the unique value of these patterns in the 12-note musical system.

  

## 10   CYCLIC AUTOCORRELATION

The interval spectrum of a scale or chord may be found by a process which resembles an operation carried out in other fields of math and engineering. For example, to find out how many jumps of size 2 (major seconds) are contained in the pentatonic scale, we line up two copies of the scale, one shifted (cyclically) from the other by just such a jump:
    
    
    101010010100
    001010100101
            

We count how many times the 1s line up together: three times in all. A little thought will show that this is also the number of major seconds contained in the scale. Fig. 13 shows how this looks using our cyclic graphs. The pentatonic scale is shown lined up with another copy, shifted zero places. All notes in the scale line up with each other.

  
  

![☹][19]

### Fig. 13

  

In Fig. 14, the scale in front has been shifted two places, and now there are three locations where a black vertex in one graph lines up with a black vertex in the other.

  
  

![☹][20]

### Fig. 14

  

This approach adds another perspective to our observations about the interval content of the pentatonic and diatonic scales. Suppose we seek a five-note scale which has the following property: when shifted by 5 or 7 steps (a perfect 4th/5th) it still has four members in common with the original scale. Our discovery is that the pentatonic is the only such scale! Similarly, the only 7- scale that has six members in common with its neighbors a perfect 4th or 5th away is the diatonic.

In the context of digital signal processing, we correlate two sequences of numbers by lining them up, _multiplying_ adjacent numbers, and then adding the products. Different relative shifts of the sequences yield different sums, and the collection of sums from all different shifts is called the **cross-correlation** of the sequences. If one correlates a sequence to itself, the result is called the **autocorrelation**. Our process of finding the interval spectrum is remarkably similar to this operation: the multiplication yields a 1 only when both entries are 1, and the sum then tells us how many times this happens. In fact, it appears that our method is _exactly_ the same as cyclic autocorrelation, but there is one subtle difference. For example, we would agree that the scale 100000100000 contains precisely one jump of size 6 - in fact that is all it contains. But following the shift, multiply, and add procedure gives an answer of two. This is because in the special case when the shift is six (or in general, half the order of the scale), we count each matching twice: when note x matches up with note y, then y also matches up with x on the other side of the cycle. So we must divide this count by two. Thus our interval spectrum differs slightly from the conventional cyclic autocorrelation. More generally, when decomposing scales into subscales, we may divide the count by the **index** of the scale, defined by

index = order of scale / size of scale's equivalence class.

As we noted above, considering scales as equivalence classes moves us towards a coordinate-free perspective of patterns -- there is no absolute location for notes. Just as finding the correlation of two signals removes all information about absolute time or phase, examining the interval content of a scale removes all information about absolute pitch or key.

  

## 11   THE FINGERBOARD

Mendeleyev's periodic table of the elements was successful because of the added dimension it introduced. Rather than a simple list of known elements, they were arranged with a second axis, so that elements adjacent vertically shared common properties. For the same reasons it is very useful to arrange musical notes as patterns on the plane: the added dimension allows us to corral some correlations.

  
  

![☹][21]

### Fig. 15

  

Fig. 15 shows the fingerboard of a fretted string instrument. We may think of the notes played on this instrument as particular points on the surface of the fingerboard, which is a section of a plane. (Here we are using the term note in its weak sense: 0 is different from 12, etc.) The relation of adjacency we have defined corresponds to physical adjacency moving _along_ the neck of the instrument. For example, placing a finger on the string at the position marked _b_ in Fig. 15, and plucking the lower string, will produce a note that is the successor to the note produced by placing the finger at _a_, one fret behind.

To place the discussion in a more general setting, we now introduce the concept of the **normalized infinite fingerboard**. By normalized, we mean that the frets are all equally spaced. This is to say, they do not correspond to a physical instrument, but to a stylized one. Further, we identify the location of a particular note at the junction of the fret and the string, rather than between frets. Finally, we let the fingerboard extend indefinitely in all directions. Fig. 16 shows a section of the normalized infinite fingerboard.

  
  

![☹][22]

### Fig. 16

  

In this fingerboard the relations of adjacency and succession have two _directions_: as illustrated in Fig. 17, a note will have four adjacents, a pair both vertically and horizontally, and two successors. The fingerboard thus appears as a sort of discrete space: one in which there are only four points adjacent to any other. The global topology of this space is of particular interest.

  
  

![☹][23]

### Fig. 17

  

We decide on the convention that the "forward" directions are to the right and upward, as indicated in the figure. We would also like the horizontal direction to embody the relation of adjacency we previously discussed. This is to say, horizontally, note 0 is adjacent to note -1on the left and note 1 on the right. To which notes is it adjacent above and below? On many string instruments, such as the violin, viola, cello, bass, guitar, and Chapman Stick, motion across the neck corresponds to jumping by 5 or 7 steps. Our fingerboard convention will be that movement up one string constitutes a jump of five steps (the interval of a musical fourth). Fig. 18 shows a section of the fingerboard, with vertices numbered according to this convention.

  
  

![☹][24]

### Fig. 18

  

Now we move to the strict definition of note: we identify notes separated by octaves. Mathematically, we reduce the fingerboard mod 12, replacing 12, 24, 36, etc. by 0; 13, 25, etc. by 1; and so forth, as illustrated in Fig. 19.  
  
  
  

![☹][25]

### Fig. 19

  

What does this mean for the fingerboard? Well, the fingerboard is periodic in at least one direction. Moving horizontally, every twelve steps brings us back to the same note. In fact, we have periodicity in the vertical direction, too. One may easily verify that twelve (and no fewer than twelve) repeated jumps by five notes will return to the same note. (This works because 12 and 5 have no common factors.) Thus a finite section of the fingerboard will serve to represent the whole. A 12 x 12 square of fingerboard is shown in Fig. 20.

  
  

![☹][26]

### Fig. 20

  

The top and bottom of the square are considered to be identical, as are the left and right sides. We put the note 0 in all four corners, and color it dark wherever it appears. Since the top and bottom sides are really the same, we draw one of them with a solid line, and one with a dashed line. Fig. 21 shows a section of the fingerboard with letter names for the notes. 

  
  

![☹][27]

### Fig. 21

  

Musicians will note there is something fundamental about the relation of notes that are adjacent vertically. It is this added dimension that makes fingerboard patterns so revealing in structure.

  
  

![☹][28]

### Fig. 22

  

For example, Fig. 22 shows a 12 x 12 section of the fingerboard with the notes of the pentatonic scale marked with dots. We can immediately see that this scale is composed of five notes all separated by jumps of size five: a perfect fourth. The autocorrelation properties may now be found by sliding the whole pattern to the right or left the required number of steps and seeing how many notes match up. We also see that the pentatonic scale may be played exclusively by moves of one step vertically or two steps horizontally, as the dots can be broken up into "bands" that proceed upward and to the left at a 45° angle.

A curious thing happens if we translate this pattern back into the binary numbers we used to represent the different species of the pentatonic scale. Table 6 shows the result: the black dots of Fig. 22 have been turned into 1s and the excluded notes into 0s.

  

    
    
                                101010010100    =    2708 base 10
                                101001010100    =    2644
                                101001010010          .
                                100101010010          .
                                100101001010          .
                                010101001010          .
                                010100101010          .
                                010100101001          .
                                010010101001          .
                                010010100101          .
                                001010100101
                                001010010101    =    661
            

### Table 6

  

When we convert these numbers into their decimal form, we discover that they are completely sorted from highest to lowest. So we have this unexpected connection between the physical layout of the pentatonic scale on the fingerboard and the pattern that forms on the printed page when the equivalent species of that scale are listed in numerical order. This occurs because pentatonic species that are consecutive in magnitude are related by cyclic shifts of five places. This is the _only_ 5-scale that has this property. Similarly, when the diatonic species are sorted by magnitude, consecutive entries are related by cyclic shifts to the right of seven places. The diatonic is also the _only_ such 7- scale.

  

## 12   THE GRAPH _H_12

We notice some interesting patterns in Fig. 22 or Table 6. For example, if we consider the top "edge" to be connected to the bottom, the vertical columns consist of strings of five consecutive ones and seven consecutive zeroes. If we also consider the "sides" to be connected, then each column is derived from the column to its immediate left by the operation of shifting downwards by five places. In addition, each row is shifted five places to the right from the row immediately above it. These are all consequences of considering notes separated by an octave to be identical. Patterns that have a linear periodicity in a one-dimensional space (such as the piano keyboard) acquire something of the character of tilings. In fact, a little consideration will reveal that any scale or chord on the fingerboard will map perfectly onto itself with a translation of a units to the right and b units up precisely when a + 5b = 0 (mod 12). Now we wish to examine a single "tile" of the fingerboard.

  
  

![☹][29]

### Fig. 23

  

As we observed in Fig. 4 with the frequency axis, identifying notes separated by octaves has a "curling" or "looping" effect. In two dimensions, the periodicity along the neck has the effect of turning the infinite fingerboard into a cylinder, as shown in Fig. 23. The periodicity across the neck curls the cylinder upon itself, forming a torus, as in Fig. 24.

  
  

![☹][30]

### Fig. 24

  

We are still not through paring down the fingerboard. As Fig. 20 suggests, there are several copies of the note 0 contained in it. In fact, we may consider the 12 x 12 torus to be tiled with smaller tori -- to wit, twelve of them, each containing one copy of each distinct note.

  
  

![☹][31]

### Fig. 25

  

Fig. 25 shows one of these smaller tori embedded in the larger 12 x 12 version. This scrap of fingerboard is topologically a torus in the same sense that the larger one is -- its top-right and bottom-left sides, for example, are considered to be the same. In Fig. 25, the sides are drawn with dashed lines, with the "duplicate" notes dotted lines. (We do not want to use solid lines, because in this case, the _sides_ of the torus are not _edges_ of the graph.) Thus what appear to be two copies of vertices 0, 8, and 4 are seen to be single copies.

  
  

![☹][32]

### Fig. 26

  

If we want to get a more concrete idea of what this small torus looks like, we may carry out the following construction. First its top-right side is to be bent around and "glued" to its bottom-left. When we do that, we get an object like that depicted in Fig. 26. Next, we join the ends, to produce the structure shown in Fig. 27 (compare with [3, Fig. 5]).

  
  

![☹][33]

### Fig. 27

  

This graph has 12 notes (vertices), and each note is connected by an edge to its four adjacents. The different color (gray vs solid) edges represent the perpendicular directions on the fingerboard. This graph, which I refer to as _**H**_12, represents the discrete topology, or _connectivity_ of the fingerboard. As the vertices are numbered, the ascending direction is distinct from the descending, hence the graph is at least implicitly directed. This graph has many interesting properties. For example, we first note that it consists of two loops, each of which goes through each note exactly once. (Such a loop is referred to in graph theory as a **Hamilton cycle**.) Each loop is the edge of a Mûbius band with 1 1/2 twists, the bands for the two loops being of opposite handedness. Each loop also constitutes a **trefoil knot**: a fundamental way of knotting a loop in three dimensions. One may think of the graph as having its notes divided into six pairs, a pair consisting of any vertex and that vertex which is six steps away (by either cycle). For example, the notes 0 and 6 are close to each other in the figure, but traveling along the edges of the graph it takes six steps to go from one to the other. As the graph _H_12 is cyclic along both loops, this is the farthest distance separating any two vertices. As drawn in Fig. 27, the notes farthest apart topologically are closest physically. The graph can, however, be drawn so that both types of distance are maxima.

  
  

![☹][34]

### Fig. 28

  

We illustrate this observation by the following process. Going back to our graph of _C_12, we add new edges connecting vertices whose numbers differ (mod 12) by 5. Doing this corresponds exactly to adding the vertical dimension of the fingerboard. Doing this creates a starlike pattern inside the circle (Fig. 28). Again, as 5 and 12 are relatively prime, the star visits every note once before returning to its origin. This graph is _also_ _H_12. Embedding it in the plane forces us to draw edges as crossing when they do not really meet. The reader may verify that any two notes that are farthest apart within the graph are now similarly disposed on the page.

  

## 13   THE CIRCLES OF FOURTHS AND FIFTHS

If we travel around the outside (horizontal) loop of _H_12, we are ascending sequentially through the 12-note scale. In musical terminology, we are ascending in a **melodic** or **chromatic** circle. If one travels instead in the vertical direction (the inside loop), the sequence of notes is 0, 5, 10, 3, 8, 1, 6, 11, 4, 9, 2, 7, 0, or C, F, B♭, E♭, A♭ (or G#), C#, F#, B, E, A, D, G, C. In musical terminology, we are moving around a **harmonic** cycle, the **circle of fourths**. If we move in the harmonic cycle in the opposite direction, it is called the **circle of fifths**. (The words "fourth" and "fifth" refer to the number of notes it takes in the diatonic scale to span these intervals.) The combination of melodic and harmonic motions is the life and breath of music. The arraying of patterns on the fingerboard so that both their chromatic and harmonic content is readily apparent is what makes this perspective so useful.

  

## 14   "NEARBY" FINGERBOARDS

The graph _H_12 may be thought of as a member of a family of graphs {_H__n_}, where n refers to the number of vertices. (The letter _H_ stands for the words "Hamiltonian" and "harmony".) The way we form these graphs is simple: we draw all those "stars" which go through every vertex exactly once. In this context, the outside, circular loop also counts as a star. For example, in _H_8, jumping every third vertex takes us to all vertices. Jumping every other vertex will not. All _H__n_ will be graphs composed only of Hamilton cycles, and the number of such cycles will be _phi_(_n_)/2, where _phi_ is Euler's function. The values of _n_ for which we get two cycles are 5, 8, 10, and 12. Each of these graphs represents the connectivity of a fingerboard of some (possibly non-existent) string instrument. For example, _H_8 represents an instrument that plays in a musical system of 8 notes to the octave (order = 8), with the jump between strings being 3 notes These fingerboards are all "nearby" the 12-tone one we will be examining most closely. Note that 12 appears here as the largest number of notes in a musical system for which there is a unique "circle of fourths/fifths." In the upward direction, for n > 12, all _H__n_ have more than two cycles, and hence cannot represent a two-dimensional fingerboard. However, if we just pick two of these cycles, the pair will represent some fingerboard. For example, in _H_14, choose the outside cycle, and the cycle jumping every fifth vertex. This graph represents an instrument that plays a scale of 14 notes, with strings being separated by 5 notes. This fingerboard is also near to _H_12.

  

## 15   SYMMETRIES

We are particularly interested in operations that preserve the adjacency and/or the successor relation between notes. Letting the symbol ~ stand for either relation, what we require is that

_x_  ~ _y_  if and only if _T_(_x_) ~ _T_(_y_).

An operation that satisfies this rule is called a **symmetry** or **automorphism** of the associated graph. An example of an operation where this fails is shown in Fig. 29. 

  
  

![☹][35]

### Fig. 29

  

The graph shown on the left has four vertices, and the operation _T_1 is the addition (mod 4) of 1 to the vertex number. Performing this operation yields the graph in the middle. The operation is not a symmetry of the graph because, for example, 1 is adjacent to 2 in (a), but not in (b).

To make the comparison easier, we may wish to rotate the graph so that the position of vertex 1 on the printed page is as it was before. This is considered no change to the graph, since a graph's disposition on the page is not important to its identity: only the adjacency of vertices matters. In situations such as this, we may consider the action of _T_ to be the process that goes from Fig. 29a to 29c: the _rotation_ of the graph by one "step", _without_ changing the position of the numbers. Thus we are now associating these operations with physical manipulation of the graph on the printed page.

  
  

![☹][36]

### Fig. 30

  

By contrast, the operation _T_1 is a symmetry of the graph _**C**_12: the rotation of the graph by 1/12 of a revolution does preserve the adjacency relationship. (See Fig. 30.) In fact, all twelve rotation operations _T_0 through _T_11 are symmetries of _**C**_12. This set of twelve symmetry operations has a conventional name: we shall be calling it Z12.

Using this terminology, we can describe the process we used to find the distinct scales and chords in a more general way: the scales correspond to colorings of a graph, which are to be considered equivalent if one may be mapped into the other by a symmetry of the graph.

  

## 16   SYMMETRY GROUPS

There is a natural way of combining a pair of operations to yield a third, called composition. What this allows us to do is to say the following sort of thing:

_Ta_ (_Tb_ (_x_)) = (_Ta_ _Tb_ ) (_x_). 

The left-hand side of the equation describes a well-defined value: the number we get when we apply _Tb_ to _x_, and then apply _Ta_ to the result. On the right, the expression _Ta_ _Tb_ means the composition of the two operators: a third operator _Tc_ whose action on all _x_ is the same as the action produced by successive application of _Tb_ and _Ta_. (Note the reversed order: _Ta Tb_ means do _Tb_ first and then _Ta_.) The fact that we can always find such a _Tc_ is described by saying that Z12 is closed: in combining two members of the set, the result never strays outside the set. The closure of the symmetry operations is of primary importance if we are to make of them some sort of algebra. In fact, to do any useful work, we must really have several more properties. In particular, we need the existence of an identity element (here played by _T_0) and of inverses (here the inverse of _Tk_ is evidently _T_12-_k_ ). Additionally, symmetries combine in a way that satisfies the associative property: order of grouping makes no difference, so that (_Ta Tb_ )_Tc_ = _Ta_ (_Tb Tc_).

Any set with a rule for combining its elements that satisfies the above-named conditions of closure, identity element, inverses, and associativity, is called a group. The set of symmetries of any graph (or, indeed, almost any object, physical or conceptual) will form a group. As we have seen, the symmetry group of the directed graph _C_12 is a twelve-element group. For the non- directed graph _C_12, there is more to say.

Any symmetry of the directed graph _**C**_12 will also work for the non-directed graph _C_12, so the symmetry group of the undirected graph will contain Z12. But a non-directed graph will have more symmetries: reflections across an axis through the center of the graph. These reflections will reverse the directions of arrows in a directed graph, hence altering the successor relation, although preserving adjacency. In fact, the symmetries of _C_12 are the elements of the dihedral group of order 24, D12. These elements are the 12 cyclic rotations of Z12, and the twelve mirror-reflections across a line through the center of the graph, and passing through two vertices, or precisely in between two vertices (Fig. 31).

  
  

![☹][37]

### Fig. 31

  

Any element in this group may be expressed as the composition of a cyclic rotation _Tn_, and the zero inversion, or mirror-reflection across the axis passing through vertices 0 and 6. (Note that the term "inversion" is also used, differently, in a musical context.) We denote the operation of reflection across this axis by the symbol I. For example, Fig. 32 shows how the reflection across the axis through vertices 1 and 7 can be expressed as an inversion followed by a rotation of two steps.

  
  

![☹][38]

### Fig. 32

  

It is now apparent why we wished to consider the scales and chords to be 2-colorings of the directed graph _**C**_12: this excludes the inversion symmetries from the process of finding equivalence classes. For example, Fig. 33 shows how the inversion I takes a major chord to a minor chord.

  
  

![☹][39]

### Fig. 33

  

Using the inversions leads to a smaller number of distinct chords, with each class of equivalent chords growing to accept new species we might think functionally different. However, outside the context of defining chords and scales, these additional symmetries are of considerable interest.

  

## 17   SYMMETRIES OF THE GRAPH _H_12

As we saw earlier, the symmetries of the graph _**C**_12 were the twelve rotations Z12 = {_T_0 ... _T_11}. When we add a second (directed) cycle to get _**H**_12, we will have more symmetries. Namely, there is a symmetry operation that interchanges the harmonic and melodic cycles. The twelve rotations could be expressed as operations that added (mod 12) a number to the vertex numbers; this new interchange operation (which we will call _M_) can be thought of as the process that multiplies the vertex numbers by 5. For example, this operation takes 1 to 5 and 4 to 8 (which is the same as 20, mod 12).

  
  

![☹][40]

### Fig. 34

  

Fig. 34 shows the action of _M_ on the graph _**H**_12. Recall that to be a symmetry, an operation has to preserve adjacency: if vertices (notes) _x_ and _y_ are adjacent before the operation, they must remain adjacent after. When we restricted our attention to _**C**_12, this meant the operation did not turn a stepwise melody into one containing leaps. The only symmetries we had seen were the cyclic rotations, or musical transpositions. The new symmetries convert melodic steps into harmonic ones. For example, to find the class of species that make up the pentatonic scale, we took a particular species of that scale, and looked at its images under the operations of rotation, which are symmetries of _H_12. The reader may verify that taking the species {0, 1, 2, 3, 4} = {C, C#, D, Ef, E} = 111110000000, and applying _M_ yields {0, 5, 10, 3, 8} = {C, F, Bf, Ef, Af} = 100101001010, which is a species of the pentatonic scale.

  
  

![☹][41]

### Fig. 35

  

The observation that M interchanges the two cycles leads us to conclude that on the fingerboard, its action is to exchange the vertical and horizontal directions. More precisely, applying M reflects the fingerboard across an axis going throught the notes 3 and 9, as shown in Fig. 35. Interestingly, reflecting across the axis through the notes 0 and 6 has the same effect, so that either of these operations may be thought of as the physical interpretation of the operation M.

Including the operation _M_ expands the group Z12 into something larger. Now, in addition to the operations {_T_0 .. _T_11} we have _M_, and all its products with the elements of Z12: {_M_ (=_T_0_M_), _T_1_M_, _T_2_M_, .. _T_11_M_}. This group of twenty-four elements is the symmetry group of the directed, uncolored graph _H_12. If we now allow reflections, we get a group of forty-eight members, including each of the twenty-four symmetries of the _H_12, and the product of each of those symmetries with the reflection _I_. We will call this group H12, as it is the symmetry group of the non-directed graph _H_12. We will examine the action of these symmetries on patterns in the fingerboard. To facilitate this investigation, we present in Table 7 a complete list (from [4]) of these symmetries, their action on the numbers 0-11, and their inverses. The action of each symmetry is given in terms of its cycle structure. For example, the action of _T_1_M_ is given by 0-1-6-7, 2-11- 8-5, 3-4-9-10. This means that _T_1_M_(0) = 1, _T_1_M_(1) = 6, _T_1_M_(6) = 7, _T_1_M_(7) = 0, and so forth. In addition, an alternate notation is given for each element, consisting of two numbers surrounded by <angled brackets>.

  

    
    
            operation                cycles                        inverse
    
            _T_0    <1,0>    0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11     self
            _T_1    <1,1>    0-1-2-3-4-5-6-7-8-9-10-11                _T_11
            _T_2    <1,2>    0-2-4-6-8-10, 1-3-5-7-9-11               _T_10
            _T_3    <1,3>    0-3-6-9, 1-4-7-10, 2-5-8-11              _T_9
            _T_4    <1,4>    0-4-8, 1-5-9, 2-6-10, 3-7-11             _T_8
            _T_5    <1,5>    0-5-10-3-8-1-6-11-4-9-2-7                _T_7
            _T_6    <1,6>    0-6, 1-7, 2-8, 3-9, 4-10, 5-11           self
            _T_7    <1,7>    0-7-2-9-4-11-6-1-8-3-10-5                _T_5
            _T_8    <1,8>    0-8-4, 1-9-5, 2-10-6, 3-11-7             _T_4
            _T_9    <1,9>    0-9-6-3, 1-10-7-4, 2-11-8-5              _T_3
            _T_10   <1,10>   0-10-8-6-4-2, 1-11-9-7-5-3               _T_2
            _T_11   <1,11>   0-11-10-9-8-7-6-5-4-3-2-1                _T_1
    
            _M_     <5,0>    0, 1-5, 2-10, 3, 4-8, 6, 7-11, 9         self
            _T_1_M_   <5,1>    0-1-6-7, 2-11-8-5, 3-4-9-10              _T_7_M_
            _T_2_M_   <5,2>    0-2, 1-7, 3-5, 4-10, 6-8, 9-11           self
            _T_3_M_   <5,3>    0-3-6-9, 1-8-7-2, 4-11-10-5              _T_9_M_
            _T_4_M_   <5,4>    0-4, 1-9, 2, 3-7, 5, 6-10, 8, 11         self
            _T_5_M_   <5,5>    0-5-6-11, 1-10-7-4, 2-3-8-9              _T_11_M_
            _T_6_M_   <5,6>    0-6, 1-11, 2-4, 3-9, 5-7, 8-10           self
            _T_7_M_   <5,7>    0-7-6-1, 2-5-8-11, 3-10-9-4              _T_1_M_
            _T_8_M_   <5,8>    0-8, 1, 2-6, 3-11, 4, 5-9, 10, 7         self
            _T_9_M_   <5,9>    0-9-6-3, 1-2-7-8, 4-5-10-11              _T_3_M_	
            _T_10_M_  <5,10>   0-10, 1-3, 2-8, 4-6, 5-11, 7-9           self	
            _T_11_M_  <5,11>   0-11-6-5, 1-4-7-10, 2-9-8-3              _T_5_M_
    
            _MI_    <7,0>    0, 1-7, 2, 3-9, 4, 5-11, 6, 8, 10        self
            _T_1_MI_  <7,1>    0-1-8-9-4-5, 2-3-10-11-6-7               _T_5_MI_
            _T_2_MI_  <7,2>    0-2-4-6-8-10, 1-9-5, 3-11-7              _T_10_MI_
            _T_3_MI_  <7,3>    0-3, 1-10, 2-5, 4-7, 6-9, 8-11           self
            _T_4_MI_  <7,4>    0-4-8, 1-11-9-7-5-3, 2-6-10              _T_8_MI_
            _T_5_MI_  <7,5>    0-5-4-9-8-1, 2-7-6-11-10-3               _T_1_MI_
            _T_6_MI_  <7,6>    0-6, 1, 2-8, 3, 4-10, 5, 7, 9, 11        self
            _T_7_MI_  <7,7>    0-7-8-3-4-11, 1-2-9-10-5-6               _T_11_MI_
            _T_8_MI_  <7,8>    0-8-4, 1-3-5-7-9-11, 2-10-6              _T_4_MI_
            _T_9_MI_  <7,9>    0-9, 1-4, 2-11, 3-6, 5-8, 7-10           self
            _T_10_MI_ <7,10>   0-10-8-6-4-2, 1-5-9, 3-7-11              _T_2_MI_
            _T_11_MI_ <7,11>   0-11-4-3-8-7, 1-6-5-10-9-2               _T_7_MI_	
    
            _I_     <11,0>   0, 1-11, 2-10, 3-9, 4-8, 5-7, 6          self
            _T_1_I_   <11,1>   0-1, 2-11, 3-10, 4-9, 5-8, 6-7           self
            _T_2_I_   <11,2>   0-2, 1, 3-11, 4-10, 5-9, 6-8, 7          self
            _T_3_I_   <11,3>   0-3, 1-2, 4-11, 5-10, 6-9, 7-8           self
            _T_4_I_   <11,4>   0-4, 1-3, 2, 5-11, 6-10, 7-9, 8          self
            _T_5_I_   <11,5>   0-5, 1-4, 2-3, 6-11, 7-10, 8-9           self
            _T_6_I_   <11,6>   0-6, 1-5, 2-4, 3, 7-11, 8-10, 9          self
            _T_7_I_   <11,7>   0-7, 1-6, 2-5, 3-4, 8-11, 9-10           self
            _T_8_I_   <11,8>   0-8, 1-7, 2-6, 3-5, 4, 9-11, 10          self
            _T_9_I_   <11,9>   0-9, 1-8, 2-7, 3-6, 4-5, 10-11           self
            _T_10_I_  <11,10>  0-10, 1-9, 2-8, 3-7, 4-6, 5, 11          self
            _T_11_I_  <11,11>  0-11, 1-10, 2-9, 3-8, 4-7, 5-6           self
            

### Table 7

  

The angle bracket notation may be explained as follows: if the operator _T_ has associated with it the symbol <a,b>, it means that _T_(_x_) = a_x_ \+ _b_ (mod 12). Why this works is easy to see by looking at the second block of operations. For example, we have already remarked that the symmetry _M_ corresponds to multiplying the vertex numbers by five, so its bracket symbol is <5,0>. Similarly, the symmetry _T_1_M_ corresponds to performing _M_ (multiplication by five), followed by the operation _T_1 (addition of one), so its symbol will be <5,1>. A similar argument holds for all the symmetries in H12. In extending this argument, we note that multiplication by any of the integers having no common factors with twelve corresponds to some symmetry: _T_0 is multiplication by one, _M_ is multiplication by five, _MI_ is multiplication by seven, and _I_ is multiplication by eleven.

  

## 18   SYMMETRIES OF THE FINGERBOARD

The above listing gives a complete account of the members of H12 and their actions, but it is not graphically illuminating. For example, Figures 34 and 35 illustrate the action of the operator _M_ at least as well as the listing of the cycle structure. In Fig. 34, the arrows indicate that the operation exchanges 1 & 5, 2 & 10, etc., and leaves 0, 3, 6, and 9 fixed. Fig. 35 indicates that on the fingerboard, reflection across the given axis has the same effect.

Fig. 36 shows the action of all of the forty-eight members of H12 on the graph _H_12 drawn as a circular array of vertices and as a section of the fingerboard. Some comments on the general patterns involved follow.

  
  

![☹][42]

### Fig. 36a

  
  
  

![☹][43]

### Fig. 36b

  
  
  

![☹][44]

### Fig. 36c

  
  
  

![☹][45]

### Fig. 36d

  

Where _H_12 is drawn as a circle, the edges are omitted for clarity. The note zero is understood to be at the top. The lines drawn between vertices indicate the images of those vertices under the operation. For example, the illustration for _T_3 shows that 0 -> 3 -> 6 -> 9 -> 0. There are two other cycles for this operation. In the diagram, each appears as a square connecting four vertices. The direction of each cycle is indicated by an arrow on one of its edges. In the case when two vertices are exchanged by the operation, as in the case of _M_ exchanging 1 and 5, no arrow is drawn.

Where the graph is drawn as a 12-note section of the fingerboard (calling notes identical that are situated opposite each other) each note or vertex in the graph is shown as a solid black dot. The note zero is understood to be at the corners. As with the circular graph, the edges are omitted. An axis of reflection is indicated by a center line: alternate long and short segments. The operation of **glide reflection** is indicated by a center line with half-arrows on opposite sides of the line. For example, the operation _T_1_M_ is a glide reflection, and may be described as follows. Reflect the fingerboard across (either) axis. Now the half-arrows have exchanged sides. Next slide the fingerboard in the direction of the arrows, until the trailing arrow is superimposed with the leading arrow's former position. If the direction of glide is immaterial, the arrows are shown as bidirectional.

The operation of rotation through 180° is indicated by an open circle about the point of rotation. Finally, the operation of translation is shown by an arrow. The arrow is "anchored" to a particular note, and points to that note's image, although every note is understood to move in a parallel motion.

The group breaks naturally into four subsets (the technical term is **cosets**.) In the first, we have just the twelve rotations {_T_0 . . _T_11}. As the subscript increases, the operation is seen on the circular graph to break down into a larger number of progressively smaller cycles, until _T_6 is composed of six cycles of length two. Then cycles reverse the process and their direction. On the fingerboard, the operations are just translations. One might draw them as just translations of length zero to eleven, but we choose to draw them as completely embedded within the patch of fingerboard shown. Several equivalent translations are drawn.

The next coset consists of the operation _M_ and its products with the rotations. In the circular format, these are seen as operations that have a particularly "square" character. The lines connecting notes and their images always intersect at right angles, and often form little rectangles. On the fingerboard, there are three reflections and nine glide reflections. For each of these there are two possible axes, and both these axes are parallel to the short side of the fingerboard. For the glide reflections, different translation distances occur. In addition, for three of these (for example, for _T_2_M_) the glide may be taken the same distance in either direction, and so is indicated by double-headed half-arrows. For the other glide reflections, one might also move opposite the arrows after reflection, but the distance would be farther. We also note that the axes of reflection and glide reflection move progressively down and to the right as the subscript increases.

Next we examine the coset formed by the operation _MI_ and its products with the rotations. In the circular format, these operations have a hexagonal character. On the fingerboard, we have again reflections and glide reflections, this time across axes parallel to the long side of the fingerboard. As before, these axes move across the fingerboard, this time upwards and to the right.

Finally, the coset consisting of _I_ and its products with the rotations. In the circular format these appear as pure reflections across an axis that precesses clockwise. On the fingerboard, they are rotations about any one of four points. These four points form a small rectangle, whose height and width are half of the corresponding dimensions of the full patch of fingerboard. This rectangle is seen to move slowly to the right, (with its corners disappearing off one end of the fingerboard and reappearing on the other), until after twelve steps it will return to its starting place.

  

## 19   CONCLUSION

The combinatorial analysis of scales, chords, and species yields valuable insight into the particularly distinguished nature of the standard pentatonic and diatonic scales within the 12-note system. It also provides a language in which to press further inquiries. I believe the treasures of the diatonic pattern are not yet mined out. 

The recognition of _H_12 as a description of the connectivity of the fingerboard of a string instrument helps us apply these combinatorial tools to the study of fingering patterns. The equivalent representations of _H_12 as a circular graph, a planar periodic graph, or a graph embedded in a torus give an attractive geometric interpretation to the elements of the previously described group H12. These automorphisms of the fingerboard are an exhaustive catalog of the operations that may be performed on musical patterns without disturbing their interval content -- that is, without doing topological violence to the embedding space. Future research will include investigating cellular automata (for example, Conway's ubiquitous game of "Life") on such graphs as _H_12. These could be considered as evolving chords or scales, with the resulting motions determined by the local laws of evolution.

  

## 20   ACKNOWLEDGEMENTS

I would like to thank Professor Daniel Hitt for steering me toward the _Journal of Music Theory_ in the stacks at the UC Santa Cruz library, and Jonathan V. Post for bringing Reiner's paper to my attention. I am indebted to Professor Dragan Marusic for his stimulating discussion about the symmetries of _H_12, and to Professor Gerhard Ringel for his advice and support. Finally, I owe a great deal to Linda Wahler, whose careful and thorough critique of this paper in its early stages shaped it considerably.

  

## REFERENCES

[1] Victor Zuckerkandl, _Man the Musician, Sound and Symbol_, vol. 2, (Princeton University Press, Princeton NJ, 1973).

[2] David L. Reiner, "Enumeration in Music Theory", _Am Math. Monthly_, Jan 1985.

[3] Roger N. Shepard, "Demonstrations of Circular Components of Pitch", _J. Audio Eng. Soc._, vol. 31, pp. 641-649 (1983 Sep.).

[4] Daniel Starr, "Sets, Invariance and Partitions", _J. Music Theory_, vol. 22, (Spring 1978). (Note that the entries in Starr's table for _T_2_MI_ and _T_10_MI_ are in error.)

  

## THE AUTHOR

Andrew Duncan was born in London, U.K., in 1960. He received a B.S. degree in Engineering and Applied Science from the California Institute of Technology in 1983\. He taught high school physics for 2 years in Pasadena CA, while at Caltech, and for another year after graduation. He then worked for several years with Dr. Marshall Buck at Cerwin-Vega! Inc. In 1986 Mr. Duncan moved to Santa Cruz CA, where he worked as a consultant at E-mu Systems Inc., writing software for electronic synthesizers, and studying mathematics at the University of California.

In 1988 he published the paper "[The Analytic Impulse][46]", _J. Audio Eng. Soc._, vol. 6, no. 5, pp 315-327 (1988 May) on the mathematics of energy-time curves, for which he subsequently received an AES Publication Award. In 1989 he received am M.A. in Pure Mathematics. Mr. Duncan is now [1991] working as a consultant at the MAMA Foundation, a small nonprofit recording studio founded by Gene Czerwinski, owner of Cerwin-Vega! He spends much of his time wiring XLR connectors in ways not intended by any standards organization.

A member of the AES and AMS, Mr. Duncan's interests center on music, mathematics, and their union and intersection. He plays the piano, guitar, electric bass, and Chapman Stick, studying the music of Scott Joplin, John Fahey, Phil Lesh and J.S. Bach. He is working with Harvey Starr of Starrswitch Inc. on a custom MIDI controller that will enable a musician to extend a two-handed tapping technique to a fully electronic fingerboard. His current academic interests include object-oriented programming techniques and tiling theory. For relaxation, he is a competitive swimmer.

[1]: Fig_00.gif
[2]: http://andrewduncan.net/new.gif
[3]: http://www.youtube.com/watch?v=OMDtp89Xqlw
[4]: http://andrewduncan.net/3d/h12/index.html
[5]: http://andrewduncan.net/zboard/index.html
[6]: Fig_01.gif
[7]: Fig_02.gif
[8]: Fig_03.gif
[9]: Fig_04.gif
[10]: Fig_05.gif
[11]: Fig_06.gif
[12]: Fig_07.gif
[13]: http://andrewduncan.net/scales12.png
[14]: Fig_08.gif
[15]: Fig_09.gif
[16]: Fig_10.gif
[17]: Fig_11.gif
[18]: Fig_12.gif
[19]: Fig_13.gif
[20]: Fig_14.gif
[21]: Fig_15.gif
[22]: Fig_16.gif
[23]: Fig_17.gif
[24]: Fig_18.gif
[25]: Fig_19.gif
[26]: Fig_20.gif
[27]: Fig_21.gif
[28]: Fig_22.gif
[29]: Fig_23.gif
[30]: Fig_24.gif
[31]: Fig_25.gif
[32]: Fig_26.gif
[33]: Fig_27.gif
[34]: Fig_28.gif
[35]: Fig_29.gif
[36]: Fig_30.gif
[37]: Fig_31.gif
[38]: Fig_32.gif
[39]: Fig_33.gif
[40]: Fig_34.gif
[41]: Fig_35.gif
[42]: Fig_36a.gif
[43]: Fig_36b.gif
[44]: Fig_36c.gif
[45]: Fig_36d.gif
[46]: http://andrewduncan.net/air/index.html

