---
created_at: '2014-03-31T00:01:45.000Z'
title: Against Intellectual Property (1995)
url: http://www.uow.edu.au/~bmartin/pubs/95psa.html
author: matthewsinclair
points: 80
story_text: ''
comment_text: 
num_comments: 56
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1396224105
_tags:
- story
- author_matthewsinclair
- story_7498573
objectID: '7498573'

---
[Source](https://www.uow.edu.au/~bmartin/pubs/95psa.html "Permalink to Against intellectual property, by Brian Martin")

# Against intellectual property, by Brian Martin

#  Against intellectual property

 

## Brian Martin

Science, Technology and Society  
University of Wollongong, NSW 2522, Australia

> * * *
> 
> **email:** [bmartin@uow.edu.au][1][ ][2]

**Go to **

[**Brian Martin's publications**][3]

[**Brian Martin's website**][4]

* * *

 

Published in _Philosophy and Social Action_, Vol. 21, No. 3, July-September 1995, pp. 7-22.  
_Philosophy and Social Action_ is sponsored by the Committee of Concerned Philosophers for Social Action and published by Dhirendra Sharma at M-120, Greater Kailash-1, New Delhi - 110 048, India

The publisher has given permission for electronic publication of this paper.

 

This article has been reprinted in:

* _Journal of Intellectual Property Rights,_ Vol. 1, No. 5, September 1996, pp. 257-270 
* Peter Drahos (ed.), _Intellectual Property_ (International Library of Essays in Law and Legal Theory) (Aldershot, UK: Dartmouth, 1999), pp. 517-532;
* Richard Stallman et al., _The Collection of Free Software Foundation Documents _(Yunnan University Press, 2003), pp. 284-301 (in Chinese).
* Indymedia Romania, <http://romania.indymedia.org/ro/2004/07/275.shtml> (portions; in Romanian) 
An updated version of this article is available as chapter 3 of [_Information Liberation_][5] (London: Freedom Press, 1998) and is also available at <http://danny.oz.au/free-software/advocacy/against_IP.html>.

 

* * *

#### **There is a strong case for opposing intellectual property. There are a number of negative consequences of the ownership of information, such as retarding of innovation and exploitation of poor countries. Most of the usual arguments for intellectual property do not hold up under scrutiny. In particular, the metaphor of the marketplace of ideas provides no justification for ownership of ideas. The alternative to intellectual property is that intellectual products not be owned, as in the case of everyday language. Strategies against intellectual property include civil disobedience, promotion of non-owned information, and fostering of a more cooperative society.**

In 1980, a book entitled _Documents on Australian Defence and Foreign Policy 1968-1975_ was published by George Munster and Richard Walsh. It reproduced many secret government memos, briefings and other documents concerning Australian involvement in the Vietnam war, events leading up to the Indonesian invasion of East Timor, and other issues. Exposure of this material deeply embarrassed the Australian government. In an unprecedented move, the government issued an interim injunction, citing both the Crimes Act and the Copyright Act. The books, just put on sale, were impounded. Print runs of two major newspapers with extracts from the book were also seized. The Australian High Court ruled that the Crimes Act did not apply, but that the material was protected by copyright held by the government. Later, Munster and Walsh produced a book using summaries and short quotes in order to present the information (Munster 1982).

This example is one of many that shows how copyright is used to protect the interests of the powerful in the face of challengers, at the expense of free speech. Yet copyright is standardly justified on the grounds that it promotes creation and dissemination of ideas.

Copyright is one of four main types of intellectual property or, in other words, ownership of information. The others are patents, trademarks and trade secrets. Copyright covers the expression of ideas such as in writing, music and pictures. Patents cover inventions, such as designs for objects or industrial processes. Trademarks are symbols associated with a good, service or company. Trade secrets cover confidential business information.

The type of property that is familiar to most people is physical objects. People own clothes, cars, houses and land. When people own ideas, this is called intellectual property. But there has always been a big problem with owning ideas - exclusive use or control of ideas doesn't make nearly as much sense as it does applied to physical objects.

Many physical objects can only be used by one person at a time. If one person wears a pair of shoes, no one else can wear them at the same time. (The person who wears them often also owns them, but not always.) This is not true of intellectual property. Ideas can be copied over and over, but the person who had the original copy still has full use of it. Suppose you write a poem. Even if a million other people have copies and read the poem, you can still read the poem yourself. In other words, more than one person can use an idea - a poem, a mathematical formula, a tune - without reducing other people's use of the idea. Shoes and poems are fundamentally different in this respect.

Technological developments have made it cheaper and easier to make copies of information. Printing was a great advance: it eliminated the need for hand copying of documents. Photocopying and computers have made it even easier to make copies of written documents. Photography and sound recordings have done the same for visual and sound material. The ability to protect intellectual property is being undermined by technology. Yet there is a strong push to expand the scope of ownership of information.

This article outlines the case against intellectual property. I begin by mentioning some of the problems arising from ownership of information. Then I turn to weaknesses in the standard justifications for intellectual property. Next is an overview of problems with the so-called "marketplace of ideas," which has important links with intellectual property. Finally, I outline some alternatives to intellectual property and some possible strategies for moving towards these alternatives.

 

## Some problems with intellectual property

Governments generate large quantities of information. They produce statistics on population, figures on economic production and health, texts of laws and regulations, and vast numbers of reports. The generation of this information is paid for through taxation and, therefore, it might seem that it should be available to any member of the public. But in some countries, some of this information is turned over to corporations that then sell it to whoever can pay. Publicly funded information is "privatised" and thus is not freely available (Nelkin 1984).

When government-produced information is retained by the governments, things may not be much better. As in the case of _Documents on Australian Defence and Foreign Policy_ illustrates, copyright is one technique used to keep information away from the public.

The idea behind patents is that the fundamentals of an invention are made public while the inventor for a limited time has the exclusive right to make, use or sell the invention. But there are quite a few cases in which patents have been used to suppress innovation (Dunford 1987). Companies may take out a patent, or buy someone else's patent, in order to inhibit others from applying the ideas. For example, from its beginning in 1875, the US company AT&T collected patents in order to ensure its monopoly on telephones. It slowed down the introduction of radio for some 20 years. In a similar fashion, General Electric used control of patents to retard the introduction of fluorescent lights, which were a threat to its market of incandescent lights. Trade secrets are another way to suppress technological development. Trade secrets are protected by law but, unlike patents, do not have to be published openly.

One of the newest areas to be classified as intellectual property is biological information. US courts have ruled that genetic sequences can be patented, even when the sequences are found "in nature," so long as some artificial means are involved in isolating them. This has led companies to race to take out patents on numerous genetic codes. In some cases, patents have been granted covering all transgenic forms of an entire species, such as soybeans or cotton (Mestel 1994). One consequence is a severe inhibition on research by non-patent holders. Another consequence is that transnational corporations are patenting genetic materials found in Third World plants and animals, so that some Third World peoples actually have to pay to use seeds and other genetic materials that have been freely available to them for centuries (Shiva and Holla-Bhar 1993).

More generally, intellectual property is one more way for rich countries to extract wealth from poor countries. Given the enormous exploitation of poor peoples built into the world trade system, it would only seem fair for ideas produced in rich countries to be provided at no cost to poor countries. Yet in the GATT negotiations, representatives of rich countries, especially the US, have insisted on strengthening intellectual property rights. Surely there is no better indication that intellectual property is primarily of value to those who are already powerful and wealthy (Drahos 1995; Patel 1989).

The potential financial returns from intellectual property are said to provide an incentive for individuals to create. In practice, though, most creators do not actually gain much benefit from intellectual property. Independent inventors are frequently ignored or exploited (Lancaster 1992). When employees of corporations and governments have an idea worth protecting, it is usually copyrighted or patented by the organisation, not the employee. Since intellectual property can be sold, it is usually the rich and powerful who benefit. The rich and powerful, it should be noted, seldom contribute much intellectual labour to the creation of new ideas.

These problems - privatisation of government information, suppression of patents, ownership of genetic information and information not owned by the true creator - are symptoms of a deeper problem with the whole idea of intellectual property. Unlike goods, there are no physical obstacles to providing an abundance of ideas. (Indeed, the bigger problem may be an oversupply of ideas.) Intellectual property is an attempt to create an artificial scarcity in order to give rewards to a few at the expense of the many. Intellectual property aggravates inequality. It fosters competitiveness over information and ideas, whereas cooperation makes much more sense.

 

## Critique of standard justifications

Edwin C. Hettinger (1989) has provided an insightful critique of the main arguments used to justify intellectual property, so it is worthwhile summarising his analysis. (See also Ricketson 1992). Hettinger begins by noting the obvious argument against intellectual property, namely that sharing intellectual objects still allows the original possessor to use them. Therefore, the burden of proof should lie on those who argue for intellectual property.

The first argument for intellectual property is that people are entitled to the results of their labour. Hettinger's response is that not all the value of intellectual products is due to labour. Nor is the value of intellectual products due to the work of a single labourer, or any small group. Intellectual products are social products.

Suppose you have written an essay or made an invention. Your intellectual work does not exist in a social vacuum. It would not have been possible without lots of earlier work - both intellectual and nonintellectual - by many other people. This includes your teachers and parents. It includes the earlier authors and inventors who have provided the foundation for your contribution. It also includes the many people who have discussed and used ideas and techniques, at both theoretical and practical levels, and provided a cultural foundation for your contribution. It includes the people who have built printing presses, laid telephone cables, built roads and buildings and in many other ways have contributed to the "construction" of society. Many other people could be mentioned. The point is that any piece of intellectual work is always built on and inconceivable without the prior work of numerous people.

Hettinger points out that the earlier contributors to the development of ideas are not present. Today's contributor therefore cannot validly claim full credit.

Is the market value of a piece of an intellectual product a reasonable indicator of a person's contribution? Certainly not. As noted by Hettinger and as will be discussed in the next section, markets only work once property rights have been established, so it is circular to argue that the market can be used to measure intellectual contributions. Hettinger summarises this point in this fashion: "The notion that a laborer is naturally entitled as a matter of right to receive the market value of her product is a myth. To what extent individual laborers should be allowed to receive the market value of their products is a question of social policy." (p. 39).

A related argument is that people have a right to possess and personally use what they develop. Hettinger's response is that this doesn't show that they deserve market values, nor that they should have a right to prevent others from using the invention.

A second major argument for intellectual property is that people _deserve_ property rights because of their labour. This brings up the general issue of what people deserve, a topic that has been analysed by philosophers. Their usual conclusions go against what many people think is "common sense." Hettinger says that a fitting reward for labour should be proportionate to the person's effort, the risk taken and moral considerations. This sounds all right - but it is not proportionate to the value of the results of the labour, whether assessed through markets or by other criteria. This is because the value of intellectual work is affected by things not controlled by the worker, including luck and natural talent. Hettinger says "A person who is born with extraordinary natural talents, or who is extremely lucky, _deserves_ nothing on the basis of these characteristics" (p. 42).

A musical genius like Mozart may make enormous contributions to society. But being born with enormous musical talents does not provide a justification for owning rights to musical compositions or performances. Likewise, the labour of developing a toy like Teenage Mutant Ninja Turtles that becomes incredibly popular does not provide a justification for owning rights to all possible uses of turtle symbols.

What about a situation where one person works hard at a task and a second person with equal talent works less hard? Doesn't the first worker deserve more reward? Perhaps so, but it is not obvious that property rights provide a suitable mechanism for allocating rewards, especially since the market disproportionately rewards the person who successfully claims property rights for a discovery.

A third argument for intellectual property is that private property is a means for promoting privacy and a means for personal autonomy. Hettinger responds that privacy is protected by not revealing information, not by owning it. Trade secrets cannot be defended on the grounds of privacy, because corporations are not individuals. As for personal autonomy, copyrights and patents aren't required for this.

A fourth argument is that rights in intellectual property are needed to promote the creation of more ideas. Hettinger thinks that this is the only argument for intellectual property that has a possibility of standing up to critique. He is still somewhat sceptical, though. He notes that the whole argument is built on a contradiction, namely that in order to promote the development of ideas, it is necessary to reduce the freedom with which people can use them.

This argument for intellectual property cannot be resolved without further investigation. Hettinger says that there needs to be an investigation of how long patents and copyrights should be granted, to determine an optimum period for promoting intellectual work. It should be noted that although the scale and pace of intellectual work has increased over the past few centuries, the length of protection of intellectual property has not been reduced, as might be expected, but greatly increased. The United States got along fine without copyright for much of the 1800s. Where once copyrights were only for a period of a few years, they now may be for the life of the author plus 50 years. In many countries, chemicals and pharmaceuticals were not patentable until recently (Patel 1989). This suggests that even if intellectual property can be justified on the basis of fostering new ideas, this is not the driving force behind the present system of copyrights and patents.

 

## The marketplace of ideas

The idea of intellectual property has a number of connections with the concept of the marketplace of ideas, a metaphor that is widely used in discussions of free speech. To delve a bit more deeply into the claim that intellectual property promotes development of new ideas, it is therefore helpful to scrutinise the concept of the marketplace of ideas.

The image conveyed by the marketplace of ideas is that ideas compete for acceptance in a market. As long as the competition is fair - which means that all ideas and contributors are permitted access to the marketplace - then good ideas will win out over bad ones. Why? Because people will recognise the truth and value of good ideas. On the other hand, if the market is constrained, for example by some groups being excluded, then certain ideas cannot be tested and examined and successful ideas may not be the best ideas.

Logically, there is no reason why a marketplace of ideas has to be a marketplace of _owned_ ideas: intellectual property cannot be strictly justified by the marketplace of ideas. But because the marketplace metaphor is an economic one, there is a strong tendency to link intellectual property with the marketplace of ideas. As will be discussed later, there is indeed a link between these two concepts, but not in the way their defenders usually imagine.

There are plenty of practical examples of the failure of the marketplace of ideas. Groups that are stigmatised or that lack power seldom have their viewpoints presented. This includes ethnic minorities, prisoners, the unemployed, manual workers and radical critics of the status quo, among many others (McGaffey 1972). Even when such groups organise themselves to promote their ideas, their views are often ignored while the media focus on their protests, as in the case of peace movement rallies and marches (Gwyn 1966).

Demonstrably, good ideas do not always win out in the marketplace of ideas. To take one example, it can hardly be argued that the point of view of workers is inherently less worthy than that of employers. Yet there is an enormous imbalance in the presentation of their respective viewpoints in the media. One result is that quite a few ideas that happen to serve the interests of employers at the expense of workers - such as that the reason people don't have jobs is because they aren't trying hard enough to find them - are widely accepted although they are rejected by virtually all informed analysts.

There is a simple and fundamental reason for the failure of the marketplace of ideas: inequality, especially economic inequality (Baker 1989; Hanson 1981). Perhaps in a group of people sitting in a room discussing an issue, there is some prospect of a measured assessment of different ideas. But if these same people are isolated in front of their television sets, and one of them owns the television station, it is obvious that there is little basis for testing of ideas. The reality is that powerful and rich groups can promote their ideas with little chance of rebuttal from those with different perspectives. Large corporations pay for advertisements and other forms of marketing. Governments shape media agendas as well as directly regulating the media. The mass media themselves are powerful enterprises - whether owned by government or industry - that promote their own interests as well as those of their advertisers (Bagdikian 1993).

In circumstances where participants are approximate equals, such as intellectual discourse among peers in an academic discipline, then the metaphor of competition of ideas has some value. But ownership of media or ideas is hardly a prerequisite for such discourses. It is the equality of power that is essential. When, to take one of many possible examples, employees in corporations lack the freedom to speak openly without penalty (Ewing 1977), they cannot be equal participants in discourse.

Some ideas are good - in the sense of being valuable to society - but are unwelcome. Some are unwelcome to powerful groups, such as that governments and corporations commit massive crimes (Ross 1995) or that there is a massive trade in technologies of torture and repression that needs to be stopped (Wright 1991). Others are challenging to much of the population, such as that imprisonment does not reduce the crime rate or that financial rewards for good work on the job or grades for good schoolwork are counterproductive (Kohn 1993). (Needless to say, individuals might disagree with the examples used here. The case does not rest on the examples themselves, but on the existence of some important cases where unwelcome but socially valuable ideas are marginalised.) The marketplace of ideas simply does not work to treat such unwelcome ideas with the seriousness they deserve. The mass media try to gain audiences by pleasing them, not by confronting them with challenging ideas (Entman 1989).

The marketplace of ideas is often used to justify free speech. The argument is that free speech is necessary in order for the marketplace of ideas to operate: if some types of speech are curtailed, certain ideas will not be available on the marketplace and thus the best ideas will not succeed. This sounds plausible. But it is possible to reject the marketplace of ideas while still defending free speech on the grounds that it is essential to human liberty (Baker 1989). Conversely, defending free speech does not mean supporting the mass media (Lichtenberg 1987).

If the marketplace of ideas doesn't work, what is the solution? The usual view is that governments should intervene to ensure that all groups have fair access to the media (McGaffey 1972). But this approach, based on promoting equality of opportunity, ignores the fundamental problem of economic inequality. Even if minority groups have some limited chance to present their views in the mass media, this can hardly compensate for the massive power of governments and corporations to promote their views. In addition, it retains the role of the mass media as the central mechanism for disseminating ideas. So-called reform proposals either retain the status quo or introduce government censorship (Ingber 1984).

Underlying the market model is the idea of self-regulation: the "free market" is supposed to operate without outside intervention and, indeed, to operate best when outside intervention is minimised. In practice, even markets in goods do not operate autonomously: the state is intimately involved in even the freest of markets (Moran and Wright 1991). In the case of the marketplace of ideas, the state is involved both in shaping the market and in making it possible, for example by promoting and regulating the mass media. The world's most powerful state, the US, has been the driving force behind the establishment of a highly protectionist system of intellectual property, using power politics at GATT, the General Agreement on Tariffs and Trade (Drahos 1995).

Courts may use the rhetoric of the marketplace of ideas but actually interpret the law to support the status quo (Ingber 1984). For example, speech is treated as free until it might actually have some consequences. Then it is curtailed when it allegedly presents a "clear and present danger," such as when peace activists expose information supposedly threatening to "national security" (Gleditsch 1987). But speech without action is pointless. True liberty requires freedom to promote one's views in practice (Baker 1989). Powerful groups have the ability to do this. Courts only intervene when others try to do the same.

As in the case of trade generally, a property-based "free market" serves the interests of powerful producers. In the case of ideas, this includes not only governments and corporations but also intellectuals and professionals linked with universities, entertainment, journalism and the arts. Against such an array of intellectual opinion, it is very difficult for other groups, such as manual workers, to compete (Ginsberg 1986). The marketplace of ideas is a biased and artificial market that mostly serves to fine-tune relations between elites and provide them with legitimacy (Ingber 1984).

The implication of this analysis is that intellectual property cannot be justified on the basis of the marketplace of ideas. The utilitarian argument for intellectual property is that ownership is necessary to stimulate production of new ideas, because of the financial incentive. This financial incentive is supposed to come from the market, whose justification is the marketplace of ideas. If, as critics argue, the marketplace of ideas is flawed by the presence of economic inequality and, more fundamentally, is an artificial creation that serves powerful producers of ideas and legitimates the role of elites, then the case for intellectual property is unfounded. Intellectual property can only serve to aggravate the inequality on which it is built.

 

## The alternative

The alternative to intellectual property is straightforward: intellectual products should not be owned. That means not owned by individuals, corporations, governments, or the community as common property. It means that ideas are available to be used by anyone who wants to.

One example of how this might operate is language, including the words, sounds and meaning systems with which we communicate every day. Spoken language is free for everyone to use. To allow any group to own language raises the spectre of George Orwell's _1984_. (Actually, corporations do control bits of language through trademarks.)

Another example is scientific knowledge. Scientists do research and then publish their results. A large fraction of scientific knowledge is public knowledge (Ziman 1968). There are some areas of science that are not public, such as classified military research. It is generally argued that the most dynamic parts of science are those with the least secrecy. Open ideas can be examined, challenged, modified and improved. To turn scientific knowledge into a commodity on the market, as is happening with genetic engineering (Mackenzie et al. 1990; Weiner 1986), arguably inhibits science.

Few scientists complain that they do not own the knowledge they produce. Indeed, they are much more likely to complain when corporations or governments try to control dissemination of the ideas. Most scientists receive a salary from a government, corporation or university. Their livelihoods do not depend on royalties from published work.

University scientists have the greatest freedom. The main reasons they do research are for the intrinsic satisfaction of investigation and discovery - a key motivation for many of the world's great scientists - and for recognition by their peers. To turn scientific knowledge into intellectual property would dampen the enthusiasm of many scientists for their work.

Neither language nor scientific knowledge are ideal; indeed, they are often used for harmful purposes. It is difficult to imagine, though, how turning them into property could make them better.

The case of science shows that vigorous intellectual activity is quite possible without intellectual property, and in fact that it may be vigorous precisely because information is not owned. But there are lots of areas that, unlike science, have long operated with intellectual property as a fact of life. What would happen without ownership of information? Many objections spring to mind. Here I'll deal with a few of them.

Plagiarism is a great fear in the minds of many intellectual workers. It is often thought that intellectual property provides a protection against plagiarism. After all, without copyright, why couldn't someone put their name on your essay and publish it? Actually, copyright provides very little protection against plagiarism and is not a good way to deal with it (Stearns 1992).

Plagiarism means using the ideas of others without adequate acknowledgement. There are several types of plagiarism. One is plagiarism of ideas: someone takes your original idea and, using different expression, presents it as their own. Copyright provides no protection at all against this form of plagiarism. Another type of plagiarism is word-for-word plagiarism, where someone takes the words you've written - a book, an essay, a few paragraphs or even just a sentence - and, with or without minor modifications, presents them as their own. This sort of plagiarism _is_ covered by copyright - assuming that you hold the copyright. In many cases, copyright is held by the publisher, not the author. In practice, plagiarism goes on all the time, in various ways and degrees (Broad and Wade 1982; Mallon 1989; Posner 1988), and copyright law is hardly ever used against it. The most effective challenge to plagiarism is not legal action but publicity. At least among authors, plagiarism is widely condemned. To be exposed as a plagiarist is more than sufficient motivation for most writers to take care to avoid it.

There is an even more fundamental reason why copyright provides no protection against plagiarism: the most common sort of plagiarism is built into social hierarchies. Government and corporate reports are released under the names of top bureaucrats who did not write them; politicians and university presidents give speeches written by underlings. These are examples of a pervasive misrepresentation of authorship in which powerful figures gain credit for the work of subordinates (Martin 1994). Copyright, if it has any effect at all, reinforces rather than challenges this sort of institutionalised plagiarism.

What about all the writers, inventors and others who depend for their livelihood on royalties? First, it should be mentioned that only a very few individuals make enough money from royalties to live on. Most of the rewards from intellectual property go to a few big companies. But the question is still a serious one for those intellectual workers who depend on royalties and other payments related to intellectual property.

The alternative in this case is some reorganisation of the economic system. Intellectual workers could receive a salary, just like most scientists do.

Getting rid of intellectual property would reduce the incomes of a few highly successful creative individuals, such as author Agatha Christie, composer Andrew Lloyd Webber and filmmaker Steven Spielberg. Publishers could reprint Christie's novels without permission, theatre companies could put on Webber's operas whenever they wished and Spielberg's films could be copied and screened anywhere. Jurassic Park T-shirts, toys and trinkets could be produced at will. This would reduce the income of and, to some extent, the opportunities for artistic expression by these individuals. But there would be economic resources released: there would be more money available for other creators. Christie, Webber and Spielberg might be just as popular without intellectual property to channel money to them and their family enterprises.

But what about the incentive to create? Without the possibility of wealth and fame, what would stimulate creative individuals to produce works of genius? Actually, most creators and innovators are motivated by their own intrinsic interest, not by rewards. There is a large body of evidence showing, contrary to popular opinion, that rewards actually reduce the quality of work (Kohn 1993). If the goal is better and more creative work, paying creators on a piecework basis, such as through royalties, is counterproductive.

In a society without intellectual property, creativity is likely to thrive. Most of the problems that are imagined to occur if there is no intellectual property - such as the exploitation of a small publisher that renounces copyright - are due to economic arrangements that maintain inequality. The soundest foundation for a society without intellectual property is greater economic and political equality. This means not just equality of opportunity, but equality of outcomes. This does not mean uniformity and does not mean levelling imposed from the top: it means freedom and diversity and a situation where people can get what they need. There is not space to deal fully with this issue here, but suffice it to say that there are strong social and psychological arguments in favour of equality (Baker 1987; Deutsch 1985; Ryan 1981).

 

## Strategies for change

Challenging intellectual property is a daunting task. It is supported by many powerful groups: the most powerful governments and the largest corporations. The mass media seem fully behind intellectual property, partly because media monopolies would be undercut if information were more freely copied and partly because the most influential journalists depend on syndication rights for their stories. Perhaps just as important is the support for intellectual property from many small intellectual producers, including academics and freelance writers. Although the monetary returns to these intellectuals are seldom significant, they have been persuaded that they both need and deserve their small royalties. This is similar to the way that small owners of goods and land, such as homeowners, strongly defend the system of private property, whose main beneficiaries are the very wealthy who own vast enterprises based on many other people's labour.

Another problem in developing strategies is that it makes little sense to challenge intellectual property in isolation. If we simply imagine intellectual property being abolished but the rest of the economic system unchanged, then many objections can be made. Challenging intellectual property must involve the development of methods to support today's small intellectual producers.

An obvious way to challenge intellectual property is simply to defy it by reproducing protected works. From the point of view of intellectual property, this is called "piracy." (This is a revealing term, considering that no such language is used when, for example, a boss takes credit for a subordinate's work or when a Third World intellectual is recruited to a First World position (Verzola 1993).) This happens every day when people photocopy copyrighted articles, tape copyrighted music, or duplicate copyrighted software. It is precisely because illegal copying is so easy and so common that big governments and corporations have mounted offensives to promote intellectual property rights.

Unfortunately, illegal copying is not a very good strategy against intellectual property, any more than stealing goods is a way to challenge ownership of physical property. Theft of any sort implicitly accepts the existing system of ownership. By trying to hide the copying and avoiding penalties, the copiers appear to accept the legitimacy of the system.

Far more powerful than illicit copying is open refusal to cooperate with intellectual property. The methods of nonviolent action can be used here, including noncooperation, boycotts and setting up alternative institutions (Sharp 1973). By being open about the challenge, there is a much greater chance of focussing attention on the issues at stake and creating a dialogue. By being principled in opposition, and being willing to accept penalties that might be applied to civil disobedience to laws on intellectual property, there is a much greater chance of winning over third parties (Herngren 1993). If harsh penalties are applied to those who challenge intellectual property, this is likely to produce a backlash of sympathy. If mass civil disobedience to intellectual property laws were to occur, it would be impossible to stop.

Something like that is already occurring. Because photocopying of copyrighted works is so common, there is seldom any attempt to enforce the law against small violators - to do so would alienate too many people. Copyright authorities therefore seek other means of collecting revenues from intellectual property, such as payments by institutions based on library copies. There would be a much greater impact from a principled challenge to intellectual property, especially if some prominent people took part.

Another important strategy is the promotion of non-owned information. A good example is public domain software, which is computer software that is made available free to anyone who wants it. The developers of "freeware" gain satisfaction out of their intellectual work and out of providing a service to other people.

A suitable alternative to copyright is shareright. A piece of freeware might be accompanied by the notice, "You may reproduce this material if your recipients may also reproduce it." This encourages copiers but refuses any of them copyright.

Intellectual property gives the appearance of stopping unfair appropriation of ideas although, as argued here, the reality is quite different. If intellectual property is to be challenged, people need to be reassured that misappropriation of ideas will not become a big problem. Therefore it is important to develop principles to deal with credit for intellectual work - even if credit is not rewarded financially. This would include guidelines for not misrepresenting another person's work. So-called moral rights to be recognised as the author of a work are relevant here.

More fundamentally, it needs to be recognised that intellectual work is inevitably a collective process. No one has totally original ideas: ideas are always built on the earlier contributions of others. Furthermore, contributions to culture - which makes ideas possible - are not just intellectual but also practical and material, including the rearing of families and construction of buildings. Intellectual property is theft, sometimes in part from an individual creator but always from society as a whole.

In a more cooperative society, credit for ideas would not be such a contentious matter. Today, there are vicious disputes between scientists over who should gain credit for a discovery. This is because scientists' careers and, more importantly, their reputations, depend on credit for ideas. In a society with less hierarchy and greater equality, intrinsic motivation and satisfaction would be the main returns from contributing to intellectual developments. This is quite compatible with everything that is known about human nature (Kohn 1990). The system of ownership encourages groups to put special interests above general interests. Sharing information is undoubtedly the most efficient way to allocate productive resources (Hahnel 1993). The less there is to gain from credit for ideas, the more likely people are to share ideas rather than worry about who deserves credit for them.

Finally, it should not be imagined that getting rid of intellectual property is a solution to the link between information and inequality. Even without intellectual property, information can be controlled by powerful groups. National security elites use secrecy and spying to protect their operations. Professions use specialised training, jargon and esoteric theories, as well as licensing by the state, to make their work inaccessible to outsiders. Corporations protect many of their ideas through secrecy rather than patents. The law of defamation is used to punish free speech, especially criticisms of powerful individuals. Intellectual property is only one technique of many by which powerful groups control information in order to protect and expand their positions and wealth. Challenging intellectual property is only one part, though an important part, of challenging inequality.

 

**Acknowledgements**: I thank Steve Fuller, Brian Rappert, Wendy Varney, Ian Watson and a hostile referee for _The Information Society_ for providing helpful comments on a draft of this paper and Mary Cawte for tracking down some information. Numerous other people, through their writings, conversations and other activities, directly or indirectly helped make this work possible.

 

## References

Bagdikian, Ben. 1993. _The Media Monopoly_. Boston: Beacon Press, 4th edition.

Baker, C. Edwin. 1989. _Human Liberty and Freedom of Speech_. New York: Oxford University Press.

Baker, John. 1987. _Arguing for Equality_. London: Verso.

Broad, William, and Nicholas Wade. 1982\. _Betrayers of the Truth: Fraud and Deceit in the Halls of Science_. New York: Simon and Schuster.

Deutsch, Morton. 1985. _Distributive Justice: A Social-psychological Perspective_. New Haven: Yale University Press.

Drahos, Peter. June 1995. Global property rights in information: the story of TRIPS at the GATT. _Prometheus_ 13(1):6-19.

Dunford, Richard. 1987. The suppression of technology as a strategy for controlling resource dependence. _Administrative Science Quarterly_ 32:512-525.

Entman, Robert M. 1989. _Democracy without Citizens: Media and the Decay of American Politics_. New York: Oxford University Press.

Ewing, David W. 1977. _Freedom inside the Organization: Bringing Civil Liberties to the Workplace_. New York: Dutton.

Ginsberg, Benjamin. 1986. _The Captive Public: How Mass Media Promotes State Power_. New York: Basic Books.

Gleditsch, Nils Petter. April 1987\. National security and freedom of expression: the Scandinavian legal battles. _Media Law & Practice_ 8:2-5.

Gwyn, Robert J. 1966. Political dissent and the free market of ideas: an eight-nation study. _Gazette: International Journal of Mass Communication Studies_ 12:187-200.

Hahnel, Robin. April 1993. Cooperación internacional, sí! NAFTA, no! _Z Magazine_ 6(4):47-52.

Hanson, Jim. 1981. The political economy of free speech: a Marxist critique_. Humanity and Society_ 5(4):370-382.

Herngren, Per. 1993. _Path of Resistance: The Practice of Civil Disobedience_. Philadelphia: New Society Publishers.

Hettinger, Edwin C. Winter 1989. Justifying intellectual property. _Philosophy and Public Affairs_ 18(1):31-52.

Ingber, Stanley. February 1984. The marketplace of ideas: a legitimizing myth. _Duke Law Journal_ 1984(1):1-91.

Kohn, Alfie. 1990. _The Brighter Side of Human Nature: Altruism and Empathy in Everyday Life_. New York: Basic Books.

Kohn, Alfie. 1993. _Punished by Rewards: The Trouble with Gold Stars, Incentive Plans, A's, Praise, and other Bribes_. Boston: Houghton Mifflin.

Lancaster, Don. Winter 1992. The case against patents. _Whole Earth Review_ 77:86-87.

Lichtenberg, Judith. Fall 1987. Foundations and limits of freedom of the press. _Philosophy and Public Affairs_ 16(4):329-355.

Mackenzie, Michael, Peter Keating, and Albert Cambrosio. Winter 1990. Patents and free scientific information in biotechnology: making monoclonal antibodies proprietary. _Science, Technology, & Human Values_ 15(1):65-83.

Mallon, Thomas. 1989. _Stolen Words: Forays into the Origins and Ravages of Plagiarism_. New York: Ticknor and Fields.

Martin, Brian. Fall 1994. [Plagiarism: a misplaced emphasis. ][6]_Journal of Information Ethics_ 3(2):36-47.

McGaffey, Ruth. March 1972. A critical look at the "marketplace of ideas." _Speech Teacher_ 21(2):115-122.

Mestel, Rosie. 19 February 1994. Rich pickings for cotton's pioneers. _New Scientist_ 141:13-14.

Moran, Michael, and Maurice Wright (eds.). 1991. _The Market and the State: Studies in Interdependence_. London: Macmillan.

Munster, George. 1982. _Secrets of State: A Detailed Assessment of the Book They Banned_. Australia: Walsh & Munster.

Nelkin, Dorothy. 1984. _Science as Intellectual Property: Who Controls Research?_ New York: Macmillan.

Patel, Surendra J. 6 May 1989. Intellectual property rights in the Uruguay Round: a disaster for the South? _Economic and Political Weekly_ 24(18):978-993.

Posner, Ari. 18 April 1988. The culture of plagiarism. _The New Republic_:19-24.

Ricketson, Sam. June 1992. New wine into old bottles: technological change and intellectual property rights. _Prometheus_ 10(1):53-82.

Ross, Jeffrey Ian (ed.). 1995. _Controlling State Crime: An Introduction_. New York: Garland.

Ryan, William. 1981. _Equality_. New York: Pantheon.

Sharp, Gene. 1973. _The Politics of Nonviolent Action_. Boston: Porter Sargent.

Shiva, Vandana, and Radha Holla-Bhar. 1993. Intellectual piracy and the neem tree. _Ecologist_ 23(6):223-227.

Stearns, Laurie. March 1992. Copy wrong: plagiarism, process, property, and the law. _California Law Review_ 80(2):513-553.

Verzola, Roberto. January-February 1993\. The `piracy' of intellectuals and intellectual property. _Third World Resurgence_ 29/30:57-58.

Weiner, Charles. February-March 1986\. Universities, professors, and patents: a continuing controversy. _Technology Review_:33-43.

Wright, Steve. July-December 1991. The new technologies of political repression: a case for arms control? _Philosophy and Social Action_ 17(3-4):31-62.

Ziman, John. 1968. _Public Knowledge: An Essay concerning the Social Dimensions of Science_. Cambridge: Cambridge University Press.

[1]: mailto:bmartin%40uow.edu.au
[2]: mailto:brian_martin%40uow.edu.au
[3]: http://www.bmartin.cc/pubs/
[4]: http://www.bmartin.cc/
[5]: https://www.uow.edu.au/98il
[6]: https://www.uow.edu.au/94jie.html

