---
created_at: '2015-08-23T15:54:25.000Z'
title: 'It Isn’t Your Father’s Realtime Anymore: The Misuse of a Noble Term (2006)'
url: https://queue.acm.org/detail.cfm?id=1117409
author: matt_d
points: 49
story_text: 
comment_text: 
num_comments: 47
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1440345265
_tags:
- story
- author_matt_d
- story_10105793
objectID: '10105793'

---
[Source](https://queue.acm.org/detail.cfm?id=1117409 "Permalink to It Isn't Your Father's Realtime Anymore - ACM Queue")

# It Isn't Your Father's Realtime Anymore - ACM Queue

  
[Current Issue][1]   [Past Issues][2]   [Topics][3] ![][4]

![January/February 2018 issue of acmqueue][5]   
  
  
[**The January/February issue of acmqueue is out now][6]**   
* * *

  

  [ ![Download PDF version of this article][7] PDF ][8]

February 23, 2006  
[**Volume 4, issue 1 ][9]**

### It Isn’t Your Father’s Realtime Anymore 

#### The misuse and abuse of a noble term

#### Phillip Laplante, Penn State University

Isn’t it a shame the way the term realtime has become so misused? I’ve noticed a slow devolution since 1982, when realtime systems became the main focus of my research, teaching, and consulting. Over these past 20-plus years, I have watched my beloved realtime become one of the most overloaded, overused, and overrated terms in the lexicon of computing. Worse, it has been purloined by users outside of the computing community and has been shamelessly exploited by marketing opportunists. Adding to the humiliation, there is not even consistency of spelling: it variously appears as realtime (ACM Queue’s style preference), real-time (the author’s style preference), or real time.

#### WHAT IS REALTIME?

To understand my frustration, consider the history of this noble term. Realtime appears to have first been used in conjunction with Project Whirlwind, a Navy flight simulator begun in 1947. During the 1950s and ’60s realtime systems were primarily those that were distinguished from batch-processing systems or online (nonbatch) systems for use in controlling embedded systems. Indeed, in one of the first textbooks on the subject, Design of Real-Time Computer Systems (Prentice Hall, 1967), James Martin described realtime as “[a system] which controls an environment by receiving data, processing them, and taking action or returning results sufficiently quickly to affect the functioning of the environment at that time.” For the next 30 years or so, the term realtime was applied only to industrial control, weapons systems, and other exotic applications, all of which were essentially characterized as those where inability to meet deadlines led to failure—usually a spectacularly catastrophic one.

Today, the IEEE Standard Dictionary, sixth edition (John Wiley, 1996), has seven definitions for the term, including: “pertaining to a system or mode of operation in which computation is performed during the actual time that an external process occurs, in order that the computation results can be used to control, monitor, or respond in a timely manner to the external process”; “an event or data transfer in which, unless accomplished within an allotted amount of time, the accomplishment of the action has either no value or diminishing value”; and “the actual time in the real world during which an event takes place.” All of these definitions connote deadline satisfaction and, in fact, this is the commonly accepted standard for a system to be considered realtime in today’s computational world.

#### THE SALAD DAYS OF REALTIME

During the past 30 years, realtime systems have been the subject of countless millions of dollars in research: numerous doctoral dissertations, papers, books, symposia, and various other efforts. This research, much of it funded by the U.S. Department of Defense, has imparted an exotic, even religious quality to anything realtime in the realm of computer science. 

Although much of this research led to important discoveries and usable technologies, it also yielded a seemingly endless series of papers providing one infinitesimal improvement after another on the rate-monotonic theory—which says that the best way to schedule a set of periodic, preemptive priority tasks (in terms of deadline satisfaction) is to assign priorities so that the higher the task execution frequency, the higher the priority. I was surprised, then, when at a NATO Advanced Study Institute in 1992, C. L. Liu, one of the giants of the realtime research community, stood up and announced, “There are no useful results in optimal realtime scheduling.” This announcement caused pandemonium in the research community. What he meant, of course, was that there were so many constraints needed to generate pretty theoretical formulations, that these theories were almost useless in practical systems. 

Soon after Liu’s pronouncement, I noticed a change in the direction of realtime systems research toward a more applied nature—then, an expansion in use of the term.

#### A FASHIONABLE TERM

It wasn’t that long ago that the term entered colloquial use. An old Funk & Wagnall’s dictionary of mine, dated 1968, didn’t contain the term. But Webster’s Ninth New Collegiate Dictionary (1985) did: “the actual time during which something takes place (the computer may partly analyze the data in realtime [as it comes in]).“ This is a cagey definition in that it allows for anything to happen in realtime (even partially completed computations). Any kind of loose definition of the term enables use of the term realtime to glamorize the unglamorous. It is this sort of perversion, which I find particularly objectionable, that has become standard practice. 

To see how bad this abuse had become, I conducted a Google search using the search term real-time, and it yielded 232 million hits. The first five hits (in order) were as follows:

**REALTIME** (<http://www.realtimearts.net/>) Film and digital media screen culture. Bimonthly magazine with full text online. Includes extensive reviews from 2000 Adelaide Festival.

**StartPage-FreeRealTime.com** (<http://www.freerealtime.com/>) Provides free access to real time quotes, stock news, charting, daily stock picks, analysis, and personal portfolio.

**HBO: Real Time with Bill Maher** (<http://www.hbo.com/billmaher/>) series, providing information on scheduling and guests, as well as show transcripts.

**RAP Real-Time Weather** (<http://www.rap.ucar.edu/weather/>) View cloud images as seen from space by geostationary satellites. 

**Live Score service (powered by LiveScore.com)** (<http://www.livescore.com/>) Live score service, real-time score updates for leagues, cups, and competitions around the world. 

This is quite an eclectic mix of computing, noncomputing, and entertainment uses for the term. While some of these uses are legitimate (you figure out which ones), others are most offensive (take notice, Bill Maher).

I also checked the URLs for realtime.com, real-time.com, and real-time.org. They were owned, respectively, by Realtime Communications (an ISP), Real Time Enterprises Inc. (real-time Linux), and real-time.org (realtime pundit Doug Jensen’s site with the appropriate quote, “It’s not your father’s realtime”). For those looking for a glamorous domain name, realtime.org is still available.

A book search on Amazon.com for real-time yielded 33,373 hits. I suspect that this number does not indicate how many books actually have real-time in the title, but rather how many have an index term of real-time. Still, it is absurd to think that so many books actually have some connection to realtime.

####  REALTIME CATS?

Near realtime, soft, firm, and hard realtime, and not realtime are all widely used terms that refer to the relative importance attached to the satisfaction of deadlines. But if you use the notion of attaching a deadline to anything as meaning realtime, then what isn’t realtime? Can you think of any kind of task that doesn’t have some kind of deadline? Here is a deadline for everything: sometime before our sun burns out and all of humankind is extinct.

CIOs now talk about building the “realtime enterprise” and creating “realtime business intelligence” using data analytics. The former is really a business process strategy that incorporates software and business process tuning to increase the agility of the organization. The latter involves applying AI techniques on the fly, for example, to detect fraud in credit card transactions. These uses of the term can be forgiven, I suppose. But search the Food Network recipe database and you’ll get hits on “real-time cooking”; the Nascar site yields 36 hits on everything from “telematics” to an article about “what drives fans away.” I tried to think of an application domain where realtime seemed improbable, but even the International Society of Arboriculture Web site yielded a hit in the following context: “Since no one can wind back the clock, we have to live our realtime, it is unlikely that we will ‘cultivate’ a tree until it’s ‘old’…”

To see how ridiculous the misuse can be, just search on “real-time XYZ” where XYZ is your favorite subject. For example, “real-time lunch” yielded LunchOnline.ca, “a real-time solution to locating lunch specials at your favorite restaurant.” “Real-time cats” produced a story about an erstwhile inventor who was lynched at a cat show by enraged fans when his “real-time cat translator” painted an unflattering portrait of one of its feline subjects.

I still wonder why there is such an obsession with the term realtime. What is it about the term that imbues special properties on anything with which it is associated? I suppose having been a specialist in realtime systems for so many years, I should be flattered that everyone wants to jump on the realtime bandwagon. But as Doug Jensen says, “It isn’t your father’s realtime anymore.”

PHILLIP LAPLANTE is associate professor of software engineering at the Penn State Great Valley School of Graduate Studies. His vital statistics can be found at [www.personal.psu.edu/pal11][10].

![acmqueue][11]  
  
_Originally published in Queue vol. 4, no. 1_—   
see this item in the [ACM Digital Library][12]

  
[Tweet][13]   
  

  

* * *
* * *

### Comments

(newest first)

P | Mon, 31 Aug 2015 10:07:46 UTC 

Just transition the term over to "deadlined" or something of that nature, it's a lot less ambiguous and no one in marketing wants to advertise as "deadlined lunch", I presume. 

* * *

Jeff Pitman | Tue, 25 Aug 2015 19:02:53 UTC 

In response to your open question, "I still wonder why there is such an obsession with the term realtime." it would seem that if "realtime" as an attribute can be linked in some way to the satisfaction of the ubiquitous human desire for instant gratification then that linkage, once instantiated, could drive a marketing obsession that moves into culture. Your requirement that the term of art speak to the fulfillment of a deadline is met by the degree to which gratification is observed to be "instant". Bill Maher remains unexcused. 

* * *

Brent | Sun, 23 Aug 2015 19:39:37 UTC 

My sentiments exactly. I'm building a "realtime" app and qualify this in my FAQs. The issue in the finance space is many people are familiar with delayed stock quotes - sometimes as long as 15 minutes. I'll probably add a backlink to your page on www.mometic.com. Let me know if you have any issues. 
* * *

Leave this field empty 

Post a Comment:

  
  
Comment: (Required - 4,000 character limit - HTML syntax is **not** allowed and **will be removed**)   
  

* * *

![][14]   
© 2018 ACM, Inc. All Rights Reserved. 

[1]: issuedetail.cfm?issue=3178368
[2]: https://queue.acm.org/pastissues.cfm
[3]: https://queue.acm.org/topics.cfm
[4]: https://queue.acm.org/img/acmqueue_logo.gif
[5]: https://queue.acm.org/app/2018_01-02_lrg.png
[6]: https://queue.acm.org/app/
[7]: https://queue.acm.org/img/icon_pdf.png
[8]: https://dl.acm.org/ft_gateway.cfm?id=1117409&ftid=829703&dwn=1
[9]: issuedetail.cfm?issue=1117389
[10]: http://www.personal.psu.edu/pal11
[11]: 
[12]: https://portal.acm.org/citation.cfm?id=1117409
[13]: https://twitter.com/share
[14]: https://queue.acm.org/img/logo_acm.gif

