---
created_at: '2016-11-11T04:55:54.000Z'
title: Address to the American Psychological Association on Men (2007)
url: http://www.denisdutton.com/baumeister.htm
author: JumpCrisscross
points: 181
story_text: 
comment_text: 
num_comments: 81
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1478840154
_tags:
- story
- author_JumpCrisscross
- story_12928001
objectID: '12928001'

---
[Source](http://www.denisdutton.com/baumeister.htm "Permalink to Denis Dutton")

# Denis Dutton

>   

> 
> #### ![][1]   
  
  

> 
>   
  
  
  
  
  
  
  
  
  

>
>> ## Is There Anything Good About Men? 
>> 
>> ### Roy F. Baumeister
>> 
>> ##### [www.denisdutton.com][2]
>> 
>> * * *
>>
>>> > > This invited address was given at a meeting the American Psychological Association in San Francisco on August 24, 2007. The thinking it represents is part of a long-range project to understand human action and the relation of culture to behavior. Further information about Prof. Baumeister and his research can be found at the foot of this page. — D.D.
>>>> 
>>>>   

>>>> 
>>>> **Y**ou’re probably thinking that a talk called “Is there anything good about men” will be a short talk! Recent writings have not had much good to say about men. Titles like _Men Are Not Cost Effective_ speak for themselves. Maureen Dowd’s book was called _Are Men Necessary?_ and although she never gave an explicit answer, anyone reading the book knows her answer was no. Louann Brizendine’s book, _The Female Brain_, introduces itself by saying, “Men, get ready to experience brain envy.” Imagine a book advertising itself by saying that women will soon be envying the superior male brain! 
>>>> 
>>>> Nor are these isolated examples. Alice Eagly’s research has compiled mountains of data on the stereotypes people have about men and women, which the researchers summarized as “The WAW effect.” WAW stands for “Women Are Wonderful.” Both men and women hold much more favorable views of women than of men. Almost everybody likes women better than men. I certainly do. 
>>>> 
>>>> My purpose in this talk is not to try to balance this out by praising men, though along the way I will have various positive things to say about both genders. The question of whether there’s anything good about men is only my point of departure. The tentative title of the book I’m writing is “How culture exploits men,” but even that for me is the lead-in to grand questions about how culture shapes action. In that context, what’s good about men means what men are good for, from the perspective of the system. 
>>>> 
>>>> Hence this is not about the “battle of the sexes,” and in fact I think one unfortunate legacy of feminism has been the idea that men and women are basically enemies. I shall suggest, instead, that most often men and women have been partners, supporting each other rather than exploiting or manipulating each other. 
>>>> 
>>>> Nor is this about trying to argue that men should be regarded as victims. I detest the whole idea of competing to be victims. And I’m certainly not denying that culture has exploited women. But rather than seeing culture as patriarchy, which is to say a conspiracy by men to exploit women, I think it’s more accurate to understand culture (e.g., a country, a religion) as an abstract system that competes against rival systems — and that uses both men and women, often in different ways, to advance its cause. 
>>>> 
>>>> Also I think it’s best to avoid value judgments as much as possible. They have made discussion of gender politics very difficult and sensitive, thereby warping the play of ideas. I have no conclusions to present about what’s good or bad or how the world should change. In fact my own theory is built around tradeoffs, so that whenever there is something good it is tied to something else that is bad, and they balance out. 
>>>> 
>>>> I don’t want to be on anybody’s side. Gender warriors please go home.
>>>> 
>>>>   

>>>> 
>>>> ### Men on Top
>>>> 
>>>> When I say I am researching how culture exploits men, the first reaction is usually **“How can you say culture exploits men, when men are in charge of everything?”** This is a fair objection and needs to be taken seriously. It invokes the feminist critique of society. This critique started when some women systematically looked up at the top of society and saw men everywhere: most world rulers, presidents, prime ministers, most members of Congress and parliaments, most CEOs of major corporations, and so forth — these are mostly men. 
>>>> 
>>>> Seeing all this, the feminists thought, wow, men dominate everything, so society is set up to favor men. It must be great to be a man. 
>>>> 
>>>> The mistake in that way of thinking is to look only at the top. **If one were to look downward to the bottom of society instead, one finds mostly men there too.** Who’s in prison, all over the world, as criminals or political prisoners? The population on Death Row has never approached 51% female. Who’s homeless? Again, mostly men. Whom does society use for bad or dangerous jobs? US Department of Labor statistics report that 93% of the people killed on the job are men. Likewise, who gets killed in battle? Even in today’s American army, which has made much of integrating the sexes and putting women into combat, the risks aren’t equal. This year we passed the milestone of 3,000 deaths in Iraq, and of those, 2,938 were men, 62 were women. 
>>>> 
>>>> One can imagine an ancient battle in which the enemy was driven off and the city saved, and the returning soldiers are showered with gold coins. An early feminist might protest that hey, all those men are getting gold coins, half of those coins should go to women. In principle, I agree. But remember, while the men you see are getting gold coins, there are other men you don’t see, who are still bleeding to death on the battlefield from spear wounds. 
>>>> 
>>>> That’s an important first clue to how culture uses men. Culture has plenty of tradeoffs, in which it needs people to do dangerous or risky things, and so it offers big rewards to motivate people to take those risks. **Most cultures have tended to use men for these high-risk, high-payoff slots** much more than women. I shall propose there are important pragmatic reasons for this. The result is that some men reap big rewards while others have their lives ruined or even cut short. Most cultures shield their women from the risk and therefore also don’t give them the big rewards. I’m not saying this is what cultures ought to do, morally, but cultures aren’t moral beings. They do what they do for pragmatic reasons driven by competition against other systems and other groups. 
>>>> 
>>>>   

>>>> 
>>>> **Stereotypes at Harvard__**
>>>> 
>>>> I said that today most people hold more favorable stereotypes of women than men. It was not always thus. Up until about the 1960s, psychology (like society) tended to see men as the norm and women as the slightly inferior version. During the 1970s, there was a brief period of saying there were no real differences, just stereotypes. Only since about 1980 has the dominant view been that women are better and men are the inferior version. 
>>>> 
>>>> The surprising thing to me is that it took little more than a decade to go from one view to its opposite, that is, from thinking men are better than women to thinking women are better than men. How is this possible?
>>>> 
>>>> I’m sure you’re expecting me to talk about Larry Summers at some point, so let’s get it over with! You recall, he was the president of Harvard. As summarized in _The Economist_, “Mr Summers infuriated the feminist establishment by wondering out loud whether the prejudice alone could explain the shortage of women at the top of science.” After initially saying, it’s possible that maybe there aren’t as many women physics professors at Harvard because there aren’t as many women as men with that high innate ability, just one possible explanation among others, he had to apologize, retract, promise huge sums of money, and not long afterward he resigned. 
>>>> 
>>>> What was his crime? Nobody accused him of actually discriminating against women. His misdeed was to think thoughts that are not allowed to be thought, namely that there might be more men with high ability. The only permissible explanation for the lack of top women scientists is patriarchy — that men are conspiring to keep women down. It can’t be ability. Actually, there is some evidence that men on average are a little better at math, but let’s assume Summers was talking about general intelligence. People can point to plenty of data that the average IQ of adult men is about the same as the average for women. So to suggest that men are smarter than women is wrong. No wonder some women were offended.
>>>> 
>>>> But that’s not what he said. He said there were more men at the top levels of ability. That could still be true despite the average being the same — if there are also more men at the bottom of the distribution, more really stupid men than women. During the controversy about his remarks, I didn’t see anybody raise this question, but the data are there, indeed abundant, and they are indisputable. There are more males than females with really low IQs. Indeed, **the pattern with mental retardation is the same as with genius**, namely that as you go from mild to medium to extreme, the preponderance of males gets bigger. 
>>>> 
>>>> All those retarded boys are not the handiwork of patriarchy. Men are not conspiring together to make each other’s sons mentally retarded. 
>>>> 
>>>> Almost certainly, it is something biological and genetic. And my guess is that the greater proportion of men at both extremes of the IQ distribution is part of the same pattern. Nature rolls the dice with men more than women. **Men go to extremes more than women.** It’s true not just with IQ but also with other things, even height: The male distribution of height is flatter, with more really tall and really short men. 
>>>> 
>>>> Again, there is a reason for this, to which I shall return.
>>>> 
>>>> For now, the point is that it explains how we can have opposite stereotypes. Men go to extremes more than women. Stereotypes are sustained by confirmation bias. Want to think men are better than women? Then look at the top, the heroes, the inventors, the philanthropists, and so on. Want to think women are better than men? Then look at the bottom, the criminals, the junkies, the losers. 
>>>> 
>>>> In an important sense, **men really are better AND worse than women.**
>>>> 
>>>> A pattern of more men at both extremes can create all sorts of misleading conclusions and other statistical mischief. To illustrate, let’s assume that men and women are on average exactly equal in every relevant respect, but more men at both extremes. If you then measure things that are bounded at one end, it screws up the data to make men and women seem significantly different. 
>>>> 
>>>> Consider grade point average in college. Thanks to grade inflation, most students now get A’s and B’s, but a few range all the way down to F. With that kind of low ceiling, the high-achieving males cannot pull up the male average, but the loser males will pull it down. The result will be that women will get higher average grades than men — again despite no difference in average quality of work. 
>>>> 
>>>> The opposite result comes with salaries. There is a minimum wage but no maximum. Hence the high-achieving men can pull the male average up while the low-achieving ones can’t pull it down. The result? Men will get higher average salaries than women, even if there is no average difference on any relevant input. 
>>>> 
>>>> Today, sure enough, women get higher college grades but lower salaries than men. There is much discussion about what all this means and what should be done about it. But as you see, both facts could be just a statistical quirk stemming from male extremity. 
>>>> 
>>>>   
**Trading Off**
>>>> 
>>>> When you think about it, the idea that one gender is all-around better than the other is not very plausible. Why would nature make one gender better than the other? Evolution selects for good, favorable traits, and if there’s one good way to be, after a few generations everyone will be that way. 
>>>> 
>>>> But evolution will preserve differences when there is a tradeoff: when one trait is good for one thing, while the opposite is good for something else. 
>>>> 
>>>> Let’s return to the three main theories we’ve had about gender: Men are better, no difference, and women are better. What’s missing from that list? Different but equal. Let me propose that as a rival theory that deserves to be considered. I think it’s actually the most plausible one. Natural selection will preserve innate differences between men and women as long as the different traits are beneficial in different circumstances or for different tasks. 
>>>> 
>>>> Tradeoff example: African-Americans suffer from sickle cell anemia more than white people. This appears to be due to a genetic vulnerability. That gene, however, promotes resistance to malaria. Black people evolved in regions where malaria was a major killer, so it was worth having this gene despite the increased risk of sickle cell anemia. White people evolved in colder regions, where there was less malaria, and so the tradeoff was resolved differently, more avoiding the gene that prevented malaria while risking sickle cell anemia.
>>>> 
>>>> The tradeoff approach yields **a radical theory of gender equality**. Men and women may be different, but each advantage may be linked to a disadvantage.
>>>> 
>>>> Hence whenever you hear a report that one gender is better at something, stop and consider why this is likely true — and what the opposite trait might be good for. 
>>>> 
>>>>   
**Can’t Vs. Won’t**
>>>> 
>>>> Before we go too far down that path, though, let me raise another radical idea. Maybe **the differences between the genders are more about motivation than ability.** This is the difference between can’t and won’t. 
>>>> 
>>>> Return for a moment to the Larry Summers issue about why there aren’t more female physics professors at Harvard. Maybe women can do math and science perfectly well but they just don’t like to. After all, most men don’t like math either! Of the small minority of people who do like math, there are probably more men than women. Research by Jacquelynne Eccles has repeatedly concluded that the shortage of females in math and science reflects motivation more than ability. And by the same logic, I suspect most men could learn to change diapers and vacuum under the sofa perfectly well too, and if men don’t do those things, it’s because they don’t want to or don’t like to, not because they are constitutionally unable (much as they may occasionally pretend otherwise!). 
>>>> 
>>>> Several recent works have questioned the whole idea of gender differences in abilities: Even when average differences are found, they tend to be extremely small. In contrast, when you look at what men and women want, what they like, there are genuine differences. Look at research on the sex drive: Men and women may have about equal “ability” in sex, whatever that means, but there are big differences as to motivation: which gender thinks about sex all the time, wants it more often, wants more different partners, risks more for sex, masturbates more, leaps at every opportunity, and so on. Our survey of published research found that pretty much every measure and every study showed **higher sex drive in men**. It’s official: men are hornier than women. This is a difference in motivation.
>>>> 
>>>> Likewise, I mentioned the salary difference, but it may have less to do with ability than motivation. High salaries come from working super-long hours. **Workaholics are mostly men**. (There are some women, just not as many as men.) One study counted that over 80% of the people who work 50-hour weeks are men. 
>>>> 
>>>> That means that if we want to achieve our ideal of equal salaries for men and women, we may need to legislate the principle of equal pay for less work. Personally, I support that principle. But I recognize it’s a hard sell.__
>>>> 
>>>> Creativity may be another example of gender difference in motivation rather than ability. The evidence presents a seeming paradox, because the tests of creativity generally show men and women scoring about the same, yet through history some men have been much more creative than women. An explanation that fits this pattern is that men and women have the same creative ability but different motivations.
>>>> 
>>>> I am a musician, and I’ve long wondered about this difference. We know from the classical music scene that women can play instruments beautifully, superbly, proficiently — essentially just as well as men. They can and many do. Yet in jazz, where the performer has to be creative while playing, there is a stunning imbalance: **hardly any women improvise. Why?** The ability is there but perhaps the motivation is less. They don’t feel driven to do it.
>>>> 
>>>> I suppose the stock explanation for any such difference is that women were not encouraged, or were not appreciated, or were discouraged from being creative. But I don’t think this stock explanation fits the facts very well. In the 19th century in America, middle-class girls and women played piano far more than men. Yet all that piano playing failed to result in any creative output. There were no great women composers, no new directions in style of music or how to play, or anything like that. All those female pianists entertained their families and their dinner guests but did not seem motivated to create anything new. 
>>>> 
>>>> Meanwhile, at about the same time, black men in America created blues and then jazz, both of which changed the way the world experiences music. By any measure, those black men, mostly just emerging from slavery, were far more disadvantaged than the middle-class white women. Even getting their hands on a musical instrument must have been considerably harder. And remember, I’m saying that the creative abilities are probably about equal. But somehow the men were driven to create something new, more than the women.
>>>> 
>>>> One test of what’s meaningfully real is the marketplace. It’s hard to find anybody making money out of gender differences in abilities. But in motivation, there are plenty. Look at the magazine industry: men’s magazines cover different stuff from women’s magazines, because men and women like and enjoy and are interested in different things. Look at the difference in films between the men’s and women’s cable channels. Look at the difference in commercials for men or for women.
>>>> 
>>>> This brings us to an important part of the argument. I’m suggesting the important differences between men and women are to be found in motivation rather than ability. What, then, are these differences? I want to emphasize two.
>>>> 
>>>>   
**The Most Underappreciated Fact**
>>>> 
>>>> The first big, basic difference has to do with what I consider to be the most underappreciated fact about gender. Consider this question: What percent of our ancestors were women?
>>>> 
>>>> It’s not a trick question, and it’s not 50%. True, about half the people who ever lived were women, but that’s not the question. We’re asking about all the people who ever lived who have a descendant living today. Or, put another way, yes, every baby has both a mother and a father, but some of those parents had multiple children.
>>>> 
>>>> Recent research using DNA analysis answered this question about two years ago. **Today’s human population is descended from twice as many women as men.**
>>>> 
>>>> I think this difference is the single most underappreciated fact about gender. To get that kind of difference, you had to have something like, throughout the entire history of the human race, maybe 80% of women but only 40% of men reproduced. 
>>>> 
>>>> Right now our field is having a lively debate about how much behavior can be explained by evolutionary theory. But if evolution explains anything at all, it explains things related to reproduction, because reproduction is at the heart of natural selection. Basically, the traits that were most effective for reproduction would be at the center of evolutionary psychology. It would be shocking if these vastly different reproductive odds for men and women failed to produce some personality differences. 
>>>> 
>>>> For women throughout history (and prehistory), the odds of reproducing have been pretty good. Later in this talk we will ponder things like, why was it so rare for a hundred women to get together and build a ship and sail off to explore unknown regions, whereas men have fairly regularly done such things? But taking chances like that would be stupid, from the perspective of a biological organism seeking to reproduce. They might drown or be killed by savages or catch a disease. For women, the optimal thing to do is go along with the crowd, be nice, play it safe. The odds are good that men will come along and offer sex and you’ll be able to have babies. All that matters is choosing the best offer. We’re descended from women who played it safe.
>>>> 
>>>> For men, the outlook was radically different. If you go along with the crowd and play it safe, the odds are you won’t have children. **Most men who ever lived did not have descendants who are alive today. Their lines were dead ends**_._ Hence it was necessary to take chances, try new things, be creative, explore other possibilities. Sailing off into the unknown may be risky, and you might drown or be killed or whatever, but then again if you stay home you won’t reproduce anyway. We’re most descended from the type of men who made the risky voyage and managed to come back **rich**. In that case he would finally get a good chance to pass on his genes. We’re descended from men who took chances (and were lucky).
>>>> 
>>>> The huge difference in reproductive success very likely contributed to some personality differences, because different traits pointed the way to success. Women did best by minimizing risks, whereas the successful men were the ones who took chances. Ambition and competitive striving probably mattered more to male success (measured in offspring) than female. Creativity was probably more necessary, to help the individual man stand out in some way. Even the sex drive difference was relevant: For many men, there would be few chances to reproduce and so they had to be ready for every sexual opportunity. If a man said “not today, I have a headache,” he might miss his only chance. 
>>>> 
>>>> Another crucial point. The danger of having no children is only one side of the male coin. Every child has a biological mother and father, and so if there were only half as many fathers as mothers among our ancestors, then some of those fathers had lots of children. 
>>>> 
>>>> Look at it this way. Most women have only a few children, and hardly any have more than a dozen — but many fathers have had more than a few, and some men have actually had several dozen, even hundreds of kids.
>>>> 
>>>> In terms of the biological competition to produce offspring, then, **men outnumbered women both among the losers and among the biggest winners.**
>>>> 
>>>> To put this in more subjective terms: When I walk around and try to look at men and women as if seeing them for the first time, it’s hard to escape the impression (sorry, guys!) that women are simply more likeable and lovable than men. (This I think explains the “WAW effect” mentioned earlier.) Men might wish to be lovable, and men can and do manage to get women to love them (so the ability is there), but men have other priorities, other motivations. For women, being lovable was the key to attracting the best mate. For men, however, it was more a matter of beating out lots of other men even to have a chance for a mate. 
>>>> 
>>>> **Tradeoffs again: perhaps nature designed women to seek to be lovable, whereas men were designed to strive, mostly unsuccessfully, for greatness. **
>>>> 
>>>> And it was worth it, even despite the “mostly unsuccessfully” part. Experts estimate Genghis Khan had several hundred and perhaps more than a thousand children. He took big risks and eventually conquered most of the known world. For him, the big risks led to huge payoffs in offspring. My point is that no woman, even if she conquered twice as much territory as Genghis Khan, could have had a thousand children. Striving for greatness in that sense offered the human female no such biological payoff. For the man, the possibility was there, and so the blood of Genghis Khan runs through a large segment of today’s human population. By definition, only a few men can achieve greatness, but for the few men who do, the gains have been real. And we are descended from those great men much more than from other men. Remember, most of the mediocre men left no descendants at all.
>>>> 
>>>>   
**Are Women More Social?**
>>>> 
>>>> Let me turn now to the second big motivational difference. This has its roots in an exchange in the _Psychological Bulletin_ about ten years ago, but the issue is still fresh and relevant today. It concerns the question of whether women are more social than men. 
>>>> 
>>>> The idea that women are more social was raised by S.E. Cross and L. Madsen in a manuscript submitted to that journal. I was sent it to review, and although I disagreed with their conclusion, I felt they had made their case well, so I advocated publishing their paper. They provided plenty of evidence. They said things like, look, men are more aggressive than women. Aggression could damage a relationship because if you hurt someone then that person might not want to be with you. Women refrain from aggression because they want relationships, but men don’t care about relationships and so are willing to be aggressive. Thus, the difference in aggression shows that women are more social than men.
>>>> 
>>>> But I had just published my early work on “the need to belong,” which concluded that both men and women had that need, and so I was worried to hear that men don’t care about social connection. I wrote a reply that said there was another way to look at all the evidence Cross and Madsen covered. 
>>>> 
>>>> The gist of our view was that **there are two different ways of being social.** In social psychology we tend to emphasize close, intimate relationships, and yes, perhaps women specialize in those and are better at them than men. But one can also look at being social in terms of having larger networks of shallower relationships, and on these, perhaps, men are more social than women. 
>>>> 
>>>> It’s like the common question, what’s more important to you, having a few close friendships or having lots of people who know you? Most people say the former is more important. But the large network of shallow relationships might be important too. We shouldn’t automatically see men as second-class human beings simply because they specialize in the less important, less satisfying kind of relationship. **Men are social too — just in a different way.**
>>>> 
>>>> So we reexamined the evidence Cross and Madsen had provided. Consider aggression. True, women are less aggressive than men, no argument there. But is it really because women don’t want to jeopardize a close relationship? It turns out that in close relationships, women are plenty aggressive. Women are if anything _more_ likely than men to perpetrate domestic violence against romantic partners, everything from a slap in the face to assault with a deadly weapon. Women also do more child abuse than men, though that’s hard to untangle from the higher amount of time they spend with children. Still, you can’t say that women avoid violence toward intimate partners.
>>>> 
>>>> Instead, the difference is found in the broader social sphere. Women don’t hit strangers. The chances that a woman will, say, go to the mall and end up in a knife fight with another woman are vanishingly small, but there is more such risk for men. The gender difference in aggression is mainly found there, in the broader network of relationships. Because men care more about that network.
>>>> 
>>>> Now consider helping. Most research finds that men help more than women. Cross and Madsen struggled with that and eventually just fell back on the tired cliché that maybe women don’t help because they aren’t brought up to help or aren’t socialized to help. But I think the pattern is the same as with aggression. Most research looks at helping between strangers, in the larger social sphere, and so it finds men helping more. Inside the family, though, women are plenty helpful, if anything more than men.
>>>> 
>>>> Aggression and helping are in some ways opposites, so the converging pattern is quite meaningful. Women both help and aggress in the intimate sphere of close relationships, because that’s what they care about. In contrast, men care (also) about the broader network of shallower relationships, and so they are plenty helpful and aggressive there.
>>>> 
>>>> The same two-spheres conclusion is supported in plenty of other places. Playground observation studies find that girls pair off and play one-on-one with the same playmate for the full hour. Boys will either play one-on-one with a series of different playmates or with a larger group. Girls want the one-to-one relationship, whereas boys are drawn to bigger groups or networks.
>>>> 
>>>> When two girls are playing together and the researchers bring in a third one, the two girls resist letting her join. But two boys will let a third boy join their game. My point is that girls want the one-on-one connection, so adding a third person spoils the time for them, but it doesn’t spoil it for the boys.
>>>> 
>>>> The conclusion is that men and women are both social but in different ways. **Women specialize in the narrow sphere of intimate relationships. Men specialize in the larger group.** If you make a list of activities that are done in large groups, you are likely to have a list of things that men do and enjoy more than women: team sports, politics, large corporations, economic networks, and so forth.
>>>> 
>>>>   
**Traded-Off Traits**
>>>> 
>>>> Again, important personality differences probably follow from the basic motivational difference in the kind of social relationship that interests men and women. 
>>>> 
>>>> Consider the common finding that women are more emotionally expressive than men. For an intimate relationship, good communication is helpful. It enables the two people to understand each other, appreciate each other’s feelings, and so forth. The more the two intimate partners know about each other, the better they can care for and support each other. But in a large group, where you have rivals and maybe enemies, it’s risky to let all your feelings show. The same goes for economic transactions. When you are negotiating the price of something, it’s best to keep your feelings a bit to yourself. And so men hold back more. 
>>>> 
>>>> Fairness is another example. Research by Brenda Major and others back in the 1970s used procedures like this. A group of subjects would perform a task, and the experimenter would then say that the group had earned a certain amount of money, and it was up to one member to divide it up however he or she wanted. The person could keep all the money, but that wasn’t usually what happened. Women would divide the money equally, with an equal share for everybody. Men, in contrast, would divide it unequally, giving the biggest share of reward to whoever had done the most work. 
>>>> 
>>>> Which is better? Neither. Both equality and equity are valid versions of fairness. But they show the different social sphere orientation. Equality is better for close relationships, when people take care of each other and reciprocate things and divide resources and opportunities equally. In contrast, equity — giving bigger rewards for bigger contributions — is more effective in large groups. I haven’t actually checked, but I’m willing to bet that if you surveyed the _Fortune 500_ large and successful corporations in America, you wouldn’t find a single one out of 500 that pays every employee the same salary. The more valuable workers who contribute more generally get paid more. It simply is a more effective system in large groups. **The male pattern is suited for the large groups, the female pattern is best suited to intimate pairs.**
>>>> 
>>>> Ditto for the communal-exchange difference Women have more communal orientation, men more exchange. In psychology we tend to think of communal as a more advanced form of relationship than exchange. For example, we’d be suspicious of a couple who after ten years of marriage are still saying, “I paid the electric bill last month, now it’s your turn.” But the supposed superiority of communal relationships applies mainly to intimate relationships. At the level of large social systems, it’s the other way around. Communal (including communist) countries remain primitive and poor, whereas the rich, advanced nations have gotten where they are by means of economic exchange. 
>>>> 
>>>> There’s also the point about men being more competitive, women more cooperative. Again, though, cooperation is much more useful than competition for close relationships. What use is there in competing against your spouse? But in large groups, getting to the top can be crucial. The male preference for dominance hierarchies, and the ambitious striving to get to the top, likewise reflect an orientation toward the large group, not a dislike of intimacy. And remember, most men didn’t reproduce, and we’re mainly descended from the men who did fight their way to the top. Not so for women.
>>>> 
>>>> One more thing. Cross and Madsen covered plenty of research showing that men think of themselves based on their unusual traits that set them apart from others, while women’s self-concepts feature things that connect them to others. Cross and Madsen thought that this was because men wanted to be apart from others. But in fact being different is vital strategy for belonging to a large group. If you’re the only group member who can kill an antelope or find water or talk to the gods or kick a field goal, the group can’t afford to get rid of you. 
>>>> 
>>>> It’s different in a one-to-one relationship. A woman’s husband, and her baby, will love her even if she doesn’t play the trombone. So cultivating a unique skill isn’t essential for her. But playing the trombone is a way to get into some groups, especially brass bands. This is another reason that men go to extremes more than women. Large groups foster the need to establish something different and special about yourself. 
>>>> 
>>>>   
**Benefits of Cultural Systems**
>>>> 
>>>> Let’s turn now to culture. Culture is relatively new in evolution. It continues the line of evolution that made animals social. I understand culture as a kind of system that enables the human group to work together effectively, using information. Culture is a new, improved way of being social. 
>>>> 
>>>> Feminism has taught us to see culture as men against women. Instead, I think the evidence indicates that culture emerged mainly with men and women working together, but working against other groups of men and women. Often the most intense and productive competitions were groups of men against other groups of men, though both groups depended on support from women.
>>>> 
>>>> Culture enables the group to be more than the sum of its parts (its members). **Culture can be seen as a biological strategy.** Twenty people who work together, in a cultural system, sharing information and dividing up tasks and so forth, will all live better — survive and reproduce better — than if those same twenty people lived in the same forest but did everything individually. 
>>>> 
>>>> Culture thus provides some benefit from having a system. Let’s call this “system gain,” which means how much better the group does because of the system. Think of two soccer teams. Both sets of players know the rules and have the same individual skills. One group has only that, and they go out to play as individuals trying to do their best. The other works as a team, complementing each other, playing with a system. The system will likely enable them to do better than the group playing as separate individuals. That’s system gain.
>>>> 
>>>> And one vital fact is that the scope of system gain increases with the size of the system. This is essentially what’s happening in the world right now, globalization in the world economy. Bigger systems provide more benefits, so as we expand and merge more units into bigger systems, overall there is more gain.
>>>> 
>>>> There is one crucial implication from all this. Culture depends on system gain, and bigger systems provide more of this. Therefore, you’ll get more of the benefit of culture from large groups than from small ones. A one-on-one close relationship can do a little in terms of division of labor and sharing information, but a 20-person group can do much more. 
>>>> 
>>>> **As a result, culture mainly arose in the types of social relationships favored by men.** Women favor close, intimate relationships. These are if anything more important for the survival of the species. That’s why human women evolved first. We need those close relationships to survive. The large networks of shallower relationships aren’t as vital for survival — but they are good for something else, namely the development of larger social systems and ultimately for culture. 
>>>> 
>>>>   
**Men and Culture**
>>>> 
>>>> This provides a new basis for understanding gender politics and inequality.
>>>> 
>>>> The generally accepted view is that back in early human society, men and women were close to equal. Men and women had separate spheres and did different things, but both were respected. Often, women were gatherers and men were hunters. The total contribution to the group’s food was about the same, even though there were some complementary differences. For example, the gatherers’ food was reliably there most days, while the hunters brought home great food once in a while but nothing on other days. 
>>>> 
>>>> Gender inequality seems to have increased with early civilization, including agriculture. Why? The feminist explanation has been that the men banded together to create patriarchy. This is essentially a conspiracy theory, and there is little or no evidence that it is true. Some argue that the men erased it from the history books in order to safeguard their newly won power. Still, the lack of evidence should be worrisome, especially since this same kind of conspiracy would have had to happen over and over, in group after group, all over the world. 
>>>> 
>>>> Let me offer a different explanation. It’s not that the men pushed the women down. Rather, it’s just that the women’s sphere remained about where it was, while the men’s sphere, with its big and shallow social networks, slowly benefited from the progress of culture. By accumulating knowledge and improving the gains from division of labor, the men’s sphere gradually made progress.
>>>> 
>>>> Hence religion, literature, art, science, technology, military action, trade and economic marketplaces, political organization, medicine — these all mainly emerged from the men’s sphere. The women’s sphere did not produce such things, though it did other valuable things, like take care of the next generation so the species would continue to exist.
>>>> 
>>>> Why? It has nothing to do with men having better abilities or talents or anything like that. It comes mainly from the different kinds of social relationships. The women’s sphere consisted of women and therefore was organized on the basis of the kind of close, intimate, supportive one-on-one relationships that women favor. These are vital, satisfying relationships that contribute vitally to health and survival. Meanwhile **the men favored the larger networks of shallower relationships. These are less satisfying and nurturing and so forth, but they do form a more fertile basis for the emergence of culture.**
>>>> 
>>>> Note that all those things I listed — literature, art, science, etc — are optional. Women were doing what was vital for the survival of the species. Without intimate care and nurturance, children won’t survive, and the group will die out. Women contributed the necessities of life. Men’s contributions were more optional, luxuries perhaps. But culture is a powerful engine of making life better. Across many generations, culture can create large amounts of wealth, knowledge, and power. Culture did this — but mainly in the men’s sphere.
>>>> 
>>>> Thus, the reason for **the emergence of gender inequality** may have little to do with men pushing women down in some dubious patriarchal conspiracy. Rather, it **came from the fact that wealth, knowledge, and power were created in the men’s sphere. **This is what pushed the men’s sphere ahead. Not oppression.
>>>> 
>>>> Giving birth is a revealing example. What could be more feminine than giving birth? Throughout most of history and prehistory, giving birth was at the center of the women’s sphere, and men were totally excluded. Men were rarely or never present at childbirth, nor was the knowledge about birthing even shared with them. But not very long ago, men were finally allowed to get involved, and the men were able to figure out ways to make childbirth safer for both mother and baby. Think of it: the most quintessentially female activity, and yet the men were able to improve on it in ways the women had not discovered for thousands and thousands of years. 
>>>> 
>>>> Let’s not overstate. The women had after all managed childbirth pretty well for all those centuries. The species had survived, which is the bottom line. The women had managed to get the essential job done. What the men added was, from the perspective of the group or species at least, optional, a bonus: some mothers and babies survived who would otherwise have died. Still, the improvements show some value coming from the male way of being social. Large networks can collect and accumulate information better than small ones, and so in a relatively short time the men were able to discover improvements that the women hadn’t been able to find. Again, it’s not that the men were smarter or more capable. It’s just that the women shared their knowledge individually, from mother to daughter, or from one midwife to another, and in the long run this could not accumulate and progress as effectively as in the larger groups of shallower relationships favored by men.
>>>> 
>>>>   
**What Men Are Good For**
>>>> 
>>>> With that, we can now return to the question of what men are good for, from the perspective of a cultural system. The context is these systems competing against other systems, group against group. The group systems that used their men and women most effectively would enable their groups to outperform their rivals and enemies. 
>>>> 
>>>> I want to emphasize three main answers for how culture uses men. 
>>>> 
>>>> First, **culture relies on men to create the large social structures** that comprise it. Our society is made up of institutions such as universities, governments, corporations. Most of these were founded and built up by men. Again, this probably had less to do with women being oppressed or whatever and more to do with men being motivated to form large networks of shallow relationships. Men are much more interested than women in forming large groups and working in them and rising to the top in them. 
>>>> 
>>>> This still seems to be true today. Several recent news articles have called attention to the fact that women now start more small businesses then men. This is usually covered in the media as a positive sign about women, which it is. But women predominate only if you count all businesses. If you restrict the criteria to businesses that employ more than one person, or ones that make enough money to live off of, then men create more. I suspect that the bigger the group you look at, the more they are male-created. 
>>>> 
>>>> Certainly today anybody of any gender can start a business, and if anything there are some set-asides and advantages to help women do so. There are no hidden obstacles or blocks, and that’s shown by the fact that women start more businesses than men. But the women are content to stay small, such as operating a part-time business out of the spare bedroom, making a little extra money for the family. They don’t seem driven to build these up into giant corporations. There are some exceptions, of course, but there is a big difference on average. 
>>>> 
>>>> Hence both men and women rely on men to create the giant social structures that offer opportunities to both. And it is clear men and women can both perform quite well in these organizations. But culture still relies mainly on men to make them in the first place. 
>>>> 
>>>>   
**The Disposable Male**
>>>> 
>>>> A second thing that makes men useful to culture is what I call male expendability. This goes back to what I said at the outset, that cultures tend to use men for the high-risk, high-payoff undertakings, where a significant portion of those will suffer bad outcomes ranging from having their time wasted, all the way to being killed. 
>>>> 
>>>> Any man who reads the newspapers will encounter the phrase “even women and children” a couple times a month, usually about being killed. The literal meaning of this phrase is that men’s lives have less value than other people’s lives. The idea is usually “It’s bad if people are killed, but it’s especially bad if women and children are killed.” And I think most men know that in an emergency, if there are women and children present, he will be expected to lay down his life without argument or complaint so that the others can survive. **On the _Titanic_, the richest men had a lower survival rate (34%) than the poorest women (46%)** (though that’s not how it looked in the movie). That in itself is remarkable. The rich, powerful, and successful men, the movers and shakers, supposedly the ones that the culture is all set up to favor — in a pinch, their lives were valued less than those of women with hardly any money or power or status. The too-few seats in the lifeboats went to the women who weren’t even ladies, instead of to those patriarchs.
>>>> 
>>>> Most cultures have had the same attitude. Why? There are pragmatic reasons. When a cultural group competes against other groups, in general, the larger group tends to win out in the long run. Hence most cultures have promoted population growth. And that depends on women. **To maximize reproduction, a culture needs all the wombs it can get, but a few penises can do the job.** There is usually a penile surplus. If a group loses half its men, the next generation can still be full-sized. But if it loses half its women, the size of the next generation will be severely curtailed. Hence most cultures keep their women out of harm’s way while using men for risky jobs.
>>>> 
>>>> These risky jobs extend beyond the battlefield. Many lines of endeavor require some lives to be wasted. Exploration, for example: a culture may send out dozens of parties, and some will get lost or be killed, while others bring back riches and opportunities. Research is somewhat the same way: There may be a dozen possible theories about some problem, only one of which is correct, so the people testing the eleven wrong theories will end up wasting their time and ruining their careers, in contrast to the lucky one who gets the Nobel prize. And of course the dangerous jobs. When the scandals broke about the dangers of the mining industry in Britain, Parliament passed the mining laws that prohibited children under the age of 10 and women of all ages from being sent into the mines. Women and children were too precious to be exposed to death in the mines: so only men. As I said earlier, the gender gap in dangerous work persists today, with men accounting for the vast majority of deaths on the job.
>>>> 
>>>> Another basis of male expendability is built into the different ways of being social. Expendability comes with the large groups that male sociality creates. In an intimate, one-to-one relationship, neither person can really be replaced. You can remarry if your spouse dies, but it isn’t really the same marriage or relationship. And of course nobody can ever really replace a child’s mother or father. 
>>>> 
>>>> In contrast, large groups can and do replace just about everybody. Take any large organization — the Ford Motor Company, the U.S. Army, the Green Bay Packers — and you’ll find that the organization goes on despite having replaced every single person in it. Moreover, every member off those groups knows he or she can be replaced and probably will be replaced some day. 
>>>> 
>>>> Thus, **men create the kind of social networks where individuals are replaceable and expendable.** Women favor the kind of relationships in which each person is precious and cannot truly be replaced. 
>>>> 
>>>>   
**Earning Manhood**
>>>> 
>>>> The phrase **“Be a man”** is not as common as it once was, but there is still some sense that manhood must be earned. Every adult female is a woman and is entitled to respect as such, but many cultures withhold respect from the males until and unless the lads prove themselves. This is of course tremendously useful for the culture, because it can set the terms by which males earn respect as men, and in that way it can motivate the men to do things that the culture finds productive. 
>>>> 
>>>> Some sociological writings about the male role have emphasized that **to be a man, you have to produce more than you consume**. That is, men are expected, first, to provide for themselves: If somebody else provides for you, you’re less than a man. Second, the man should create some additional wealth or surplus value so that it can provide for others in addition to himself. These can be his wife and children, or others who depend on him, or his subordinates, or even perhaps just paying taxes that the government can use. Regardless, you’re not a man unless you produce at that level. 
>>>> 
>>>> Again, I’m not saying men have it worse than women. There are plenty of problems and disadvantages that cultures put on women. My point is just that cultures find men useful in these very specific ways. Requiring the man to earn respect by producing wealth and value that can support himself and others is one of these. Women do not face this particular challenge or requirement. 
>>>> 
>>>> These demands also contribute to various male behavior patterns. The ambition, competition, and striving for greatness may well be linked to this requirement to fight for respect. All-male groups tend to be marked by putdowns and other practices that remind everybody that there is _not_ enough respect to go around, because this awareness motivates each man to try harder to earn respect. This, incidentally, has probably been a major source of friction as women have moved into the workplace, and organizations have had to shift toward policies that everyone is entitled to respect. The men hadn’t originally built them to respect everybody.
>>>> 
>>>> One of the basic, most widely accepted gender differences is agency versus communion. Male agency may be partly an adaptation to this kind of social life based on larger groups, where people aren’t necessarily valued and one has to strive for respect. To succeed in the male social sphere of large groups, you need an active, agentic self to fight for your place, because it isn’t given to you and only a few will be successful. Even the male ego, with its concern with proving oneself and competing against others, seems likely to be **designed to cope with systems where there is a shortage of respect **and you have to work hard to get some — or else you’ll be exposed to humiliation.
>>>> 
>>>>   
**Is That All?**
>>>> 
>>>> I have not exhausted all the ways that culture exploits men. Certainly there are others. The male sex drive can be harnessed to motivate all sorts of behaviors and put to work in a kind of economic marketplace in which men give women other resources (love, money, commitment) in exchange for sex. 
>>>> 
>>>> Cultures also use individual men for symbolic purposes more than women. This can be in a positive way, such as the fact that cultures give elaborate funerals and other memorials to men who seem to embody its favorite values. It can also be negative, such as when cultures ruin a man’s career, shame him publicly, or even execute him for a single act that violates one of its values. From Martin Luther King to Don Imus, our culture uses men as symbols for expressing its values. (Note neither of those two came out the better for it.)
>>>> 
>>>>   
**Conclusion**
>>>> 
>>>> To summarize my main points: A few lucky men are at the top of society and enjoy the culture’s best rewards. Others, less fortunate, have their lives chewed up by it. Culture uses both men and women, but most cultures use them in somewhat different ways. Most cultures see individual men as more expendable than individual women, and this difference is probably based on nature, in whose reproductive competition some men are the big losers and other men are the biggest winners. Hence it uses men for the many risky jobs it has. 
>>>> 
>>>> Men go to extremes more than women, and this fits in well with culture using them to try out lots of different things, rewarding the winners and crushing the losers.
>>>> 
>>>> Culture is not about men against women. By and large, cultural progress emerged from groups of men working with and against other men. While women concentrated on the close relationships that enabled the species to survive, men created the bigger networks of shallow relationships, less necessary for survival but eventually enabling culture to flourish. The gradual creation of wealth, knowledge, and power in the men’s sphere was the source of gender inequality. Men created the big social structures that comprise society, and men still are mainly responsible for this, even though we now see that women can perform perfectly well in these large systems.
>>>> 
>>>> What seems to have worked best for cultures is to play off the men against each other, competing for respect and other rewards that end up distributed very unequally. Men have to prove themselves by producing things the society values. They have to prevail over rivals and enemies in cultural competitions, which is probably why they aren’t as lovable as women.
>>>> 
>>>> The essence of how culture uses men depends on a basic social insecurity. This insecurity is in fact social, existential, and biological. Built into the male role is the danger of not being good enough to be accepted and respected and even the danger of not being able to do well enough to create offspring.
>>>> 
>>>> The basic social insecurity of manhood is stressful for the men, and it is hardly surprising that so many men crack up or do evil or heroic things or die younger than women. But that insecurity is useful and productive for the culture, the system.
>>>> 
>>>> Again, I’m not saying it’s right, or fair, or proper. But it has worked. The cultures that have succeeded have used this formula, and that is one reason that they have succeeded instead of their rivals.
>>>> 
>>>>  
>>>> 
>>>> * * *
>>>> 
>>>>   
  
  

>>>>
>>>>> 
| ----- |
|  ![][3] |  
| 
>>>>> 
>>>>> Roy F. Baumeister
>>>>> 
>>>>>  | 
>>>>> 
>>>>> Roy F. Baumeister is Francis Eppes Professor of Social Psychology at Florida State University, in Tallahassee. His email address is **baumeister [at] psy.fsu.edu.** Further information on his research interests can be found [**here][4]**. The speech that got Larry Summers out of a job as President of Harvard can be read [**here][5]**. Steven Pinker has written a critique of the Summers kerfuffle. It can be read [**here**][6].
>>>>> 
>>>>>   
  
  
  

>>>>> 
>>>>> **Copyright © 2007 Roy F. Baumeister. All rights reserved.**
>>>>> 
>>>>>   
  

  
  
[ ![][7]][8] ![][9]  
  
  

[1]: http://www.denisdutton.com/baumeister.jpg
[2]: http://www.denisdutton.com
[3]: http://www.denisdutton.com/baumeister_roy.jpg
[4]: http://www.psy.fsu.edu/faculty/baumeist.dp.html
[5]: http://www.president.harvard.edu/speeches/2005/nber.html
[6]: http://pinker.wjh.harvard.edu/articles/media/2005_02_14_newrepublic.html
[7]: http://t1.extreme-dm.com/i.gif
[8]: http://t.extreme-dm.com/?login=dldsite
[9]: http://t0.extreme-dm.com/c.g?tag=dldsite&j=n

