---
created_at: '2017-08-28T16:24:14.000Z'
title: "'Snowdrift' game tops 'Prisoner's Dilemma' in explaining cooperation (2007)"
url: https://phys.org/news/2007-10-snowdrift-game-tops-prisoner-dilemma.html
author: MichaelAO
points: 163
story_text: 
comment_text: 
num_comments: 115
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1503937454
_tags:
- story
- author_MichaelAO
- story_15117743
objectID: '15117743'

---
[Source](https://phys.org/news/2007-10-snowdrift-game-tops-prisoner-dilemma.html "Permalink to 'Snowdrift' game tops 'Prisoner's Dilemma' in explaining cooperation")

# 'Snowdrift' game tops 'Prisoner's Dilemma' in explaining cooperation

* [Home][1]
* [ Other Sciences ][2]
* [ Other ][3]
* [October 9, 2007][4]

# 'Snowdrift' game tops 'Prisoner's Dilemma' in explaining cooperation

#####  October 9, 2007 By Lisa Zyga, Phys.org [feature][5]

!['Snowdrift' game tops 'Prisoner's Dilemma' in explaining cooperation][6]

Photo caption: In the Snowdrift Game, individuals gain direct benefits from cooperative acts, which may indicate why cooperation is favored by natural selection. (Photo of 1977 blizzard in Buffalo, New York) 

When it comes to explaining the evolution of human cooperation, researchers have traditionally looked to the iterated Prisoner's Dilemma (IPD) game as the paradigm. However, the observed degree of cooperation among humans is generally higher than predicted by mathematical models using the IPD, leaving unanswered the question of why humans cooperate to the extent they do. 

A group of researchers from the University of Lausanne in Switzerland and the University of Edinburgh in the UK suggests that a different game, called the "iterated Snowdrift game" (ISD), may more realistically reflect social situations that humans face, compared with the IPD. In experimental tests, the proportion of cooperative acts in the ISD game (48%) was significantly higher than those in the IPD (29%).

The cause for this difference is due to the higher risks of being exploited in the IPD compared with the ISD, where the risk of being exploited by someone who doesn't cooperate when you do is lower. 

"In principle, natural selection predicts individuals to behave selfishly," Rolf Kümmerli, co-author of the study, told _PhysOrg.com_. "However, we observe cooperation in humans and other organisms, where cooperation is costly for the actor but benefits another individual. The question is why does natural selection favor such cooperation? One solution to this problem is given by the 'Snowdrift' game (but not by the PD), where individuals gain direct benefits from their cooperative acts."

The situation of the Snowdrift game involves two drivers who are trapped on opposite sides of a snowdrift. Each has the option of staying in the car or shoveling snow to clear a path. Letting the opponent do all the work is the best option (with a pay-off of 300 used in this study), but being exploited by shoveling while the opponent sits in the car still results in a pay-off of 100. (The other two possibilities, both shoveling and both sitting, have pay-offs of 200 and 0, respectively.)

Compare this with the Prisoner's Dilemma. For a quick synopsis, two prisoners being questioned each have the choice to either defend the other's innocence or betray the other's guilt. As in the Snowdrift game, the best option is to betray your opponent while he defends you (pay-off of 400), and next for both of you to defend each other (pay-off of 300). Also, as in the Snowdrift game, both of you betraying results in a pay-off of 0. 

However, the significant difference is in the greater risk in the Prisoner's Dilemma when you cooperate while your opponent defects: while shoveling snow always helps you out, even when the opponent sits (100 pay-off), defending an opponent who betrays you results in the worst outcome for you—a pay-off of -100. In the study, participants cooperated more in the ISD because they could always obtain individual benefits by cooperating, while the costs of cooperating were shared between cooperators.

The researchers noticed other interesting trends in the study, which involved 96 participants (38 female and 58 male) divided into 16 groups and arranged in 48 pairs, not knowing their partner's identity or gender. Each pair repeated ("iterated") both games 12 times, though were initially told the number of repetitions was randomly determined. The researchers created global competition by revealing that the players with the four highest pay-offs would receive monetary awards.

Players who employed "Tit-for-Tat" and "Pavlovian" strategies—known to increase pay-offs in the IPD—had better pay-offs in both games than players who did not use these strategies. Further, the researchers found that female participants were twice as likely to use one of these strategies as male participants in the ISD (but not the IPD), resulting in both greater cooperation in female-female pairs compared with male-male pairs, as well as greater pay-offs for individual females. Interestingly, these results contrast with the theory of social sciences, suggesting that there is no simple rule on how males and females behave in different social dilemmas.

"The most significant result is that humans adapt the degree of cooperation according to the social context (ISD or IPD) and the behavior and gender of their partner," Kümmerli said.

Besides offering a potential explanation for the high levels of cooperation among humans, the ISD may also have more real-life associations than the IPD. For example, as the researchers point out, two scientists collaborating on a report would benefit if the other worked harder. But when your collaborator doesn't do any work, it's probably better for you to do all the work yourself. You'll still end up with a completed project, rather than life in prison.

"Many natural situations of cooperation are much more similar to the SD than to the PD," Kümmerli said. "For that reason, I think that the SD can provide more indications why cooperation is favored by natural selection than the PD. However, the PD is still a useful tool for mathematical models and to demonstrate differences in cooperation between two groups and in treatment of the gender differences in our study."

_Citation:_ Kümmerli, Rolf, Colliard, Caroline, Fiechter, Nicolas, Petitpierre, Blaise, Russier, Flavien, and Keller, Laurent. "Human cooperation in social dilemmas: comparing the Snowdrift game with the Prisoner's Dilemma." _Proc. R. Soc. B_, doi:10.1098/rspb.2007.0793.

_Copyright 2007 PhysOrg.com.   
All rights reserved. This material may not be published, broadcast, rewritten or redistributed in whole or part without the express written permission of PhysOrg.com._

2 shares 

[ ![feedback][7] feedback to editors ][8]

[Tweet][9]

[ ![add to favorites][7] Favorites ][10]

[ ![email to friend][7] Email ][11]

[ ![print][7] Print ][12]

[ ![save as pdf][7] PDF ][13]

* [Featured][5]
* [Last comments][14]
* [Popular][15]

![][16]

##### [Some black holes erase your past][17]

![][7]Feb 21, 2018 ![][7] 41 

![][16]

##### [Add-on clip turns smartphone into fully operational microscope][18]

![][7]Feb 20, 2018 ![][7] 0 

![][16]

##### [Using a laser to wirelessly charge a smartphone safely across a room][19]

![][7]Feb 20, 2018 ![][7] 9 

![][16]

##### [Improved Hubble yardstick gives fresh evidence for new physics in the universe][20]

![][7]17 hours ago ![][7] 12 

![][16]

##### [Amateur astronomer captures rare first light from massive exploding star][21]

![][7]Feb 21, 2018 ![][7] 2 

[**more »**][5]

##### [Phys.org on Facebook][22]

##### [Email newsletter ][23]

Subscribe

##### Relevant PhysicsForums posts

##### [Ancient Mass Grave in South Africa][24]

![created][16] Sep 14, 2015

##### [Why is America in debt and how can we fix it?][25]

![created][16] Sep 07, 2015

##### [Durrington Walls and Stonehenge][26]

![created][16] Sep 07, 2015

##### [A Plea for Culinary Modernism][27]

![created][16] Aug 28, 2015

##### [Help with explaining the difference between real science and][28]

![created][16] Aug 18, 2015

##### [1000-year old Viking treasure hoard found in Scotland][29]

![created][16] Aug 16, 2015

More from [History, Humanities and Social Sci][30]

## Related Stories

## Recommended for you

[ ![][16]][31]![][32]

#### [Clay print from seal may be first ever extra-biblical reference to the prophet Isaiah][31]

![][7] February 23, 2018 

Author and archaeologist Eilat Mazar has published an article in Biblical Archaeology Review suggesting that a small piece of clay with a seal imprint on it (called a bulla) might be the first-ever extra-biblical reference ...

[ ![][16]][33]![][34]

#### [Neanderthals were artistic like modern humans, study indicates][33]

![][7] February 22, 2018 

Scientists have found the first major evidence that Neanderthals, rather than modern humans, created the world's oldest known cave paintings - suggesting they may have had an artistic sense similar to our own.

[ ![][16]][35]![][36]

#### [A statistical look at the probability of future major wars][35]

![][7] February 22, 2018 

Aaron Clauset, an assistant professor and computer scientist at the University of Colorado, has taken a calculating look at the likelihood of a major war breaking out in the near future. In an article published on the open ...

[ ![][16]][37]![][38]

#### [New paper links ancient drawings and the origins of language][37]

![][7] February 21, 2018 

When and where did humans develop language? To find out, look deep inside caves, suggests an MIT professor.

[ ![][16]][39]![][40]

#### [Ancient DNA tells tales of humans' migrant history][39]

![][7] February 21, 2018 

Scientists once could reconstruct humanity's distant past only from the mute testimony of ancient settlements, bones, and artifacts.

[ ![][16]][41]![][42]

#### [Locomotion of bipedal dinosaurs might be predicted from that of ground-running birds][41]

![][7] February 21, 2018 

A new model based on ground-running birds could predict locomotion of bipedal dinosaurs based on their speed and body size, according to a study published February 21, 2018 in the open-access journal PLOS ONE by Peter Bishop ...

##  3 comments 

2.5

Adjust slider to filter visible comments by rank

Display comments: [newest first][43]

##### [visual][44]

* not rated yet Oct 10, 2007

this is exactly the same "game" really, they just change the "payoff"... well, a different wording and presentation of the same basic thing.

##### [HarryStottle][45]

* not rated yet Oct 21, 2007

No, it's not the same game at all. The crucial difference is that if you shovel all the snow yourself, you still benefit. There is no equivalent option/reward in the Prisoner's Dilemma - which is one of the reasons it is not (and never has been) a useful analog for human co-operation strategies (which is why ALL the secretaries at Rand, where they first tried it out, all failed to perform as the IPD predicted and, instead "irrationally" co-operated)

##### [Ethelred][46]

* not rated yet Aug 31, 2009

Prisoner's Delemma is a silly tool for testing cooperation. It a game of OPPONENTS not cooperation so it is bound to achieve results that do not match behavior within a culture.  
  
Ethelred  
  
Sorry for the new signature. But It Needed Killun.  
  
From QubitTamer's fake profile  
  

> Quantum Physicist, torturer of AGW religious zealots like Ethelred because i laugh at his hysterics. 

  
  
Qubitwit gets the rest of August in my signature for aiming his idiocy at me. Again. 

Please [sign in][47] to add a comment. Registration is free, and takes less than a minute. [Read more][48]

[Click here][49] to reset your password.   
Sign in to get notified via email when new comments are made. 

[phys.org][1]

* [ Nanotechnology ][50]

    * [All Nanotechnology][50]
    * [Bio & Medicine][51]
    * [Nanomaterials][52]
    * [Nanophysics][53]
* [ Physics ][54]

    * [All Physics][54]
    * [Condensed Matter][55]
    * [General Physics][56]
    * [Optics & Photonics][57]
    * [Plasma Physics][58]
    * [Quantum Physics][59]
    * [Soft Matter][60]
    * [Superconductivity][61]
* [ Earth ][62]

    * [All Earth][62]
    * [Earth Sciences][63]
    * [Environment][64]
* [ Astronomy & Space ][65]

    * [All Astronomy & Space][65]
    * [Astronomy][66]
    * [Space Exploration][67]
* [ Technology ][68]

    * [All Technology][68]
    * [Business][69]
    * [Computer Sciences][70]
    * [Consumer & Gadgets][71]
    * [Energy & Green Tech][72]
    * [Engineering][73]
    * [Hardware][74]
    * [Hi Tech & Innovation][75]
    * [Internet][76]
    * [Other][77]
    * [Robotics][78]
    * [Security][79]
    * [Semiconductors][80]
    * [Software][81]
    * [Telecom][82]
* [ Chemistry ][83]

    * [All Chemistry][83]
    * [Analytical Chemistry][84]
    * [Biochemistry][85]
    * [Materials Science][86]
    * [Other][87]
    * [Polymers][88]
* [ Biology ][89]

    * [All Biology][89]
    * [Biotechnology][90]
    * [Cell & Microbiology][91]
    * [Ecology][92]
    * [Evolution][93]
    * [Other][94]
    * [Plants & Animals][95]
* [ Other Sciences ][2]

    * [All Other Sciences][2]
    * [Archaeology & Fossils][96]
    * [Economics & Business][97]
    * [Mathematics][98]
    * [Other][3]
    * [Social Sciences][99]
* ![Science X Network][7]

    * ![Science X Network][7]
    * ![Phys.org][7]
    * ![Medical Xpress][7]
    * ![Tech Xplore][7]
* * * * * [ ![Science X Network][7] ][100]

Enter your Science X account credentials

Remember me

[Forget password?][49]

Sign In

Sign in with your Facebook or Google+ account 

[ ![fb][7] ][47] [ ![fb][7] ][47]

Not a member? [Register][101]

* ![Science X Network][7][Profile][100]
* ![Science X Network][7][Newsletter][102]
* ![Science X Network][7][Favorites][103]
* ![Science X Network][7][Activity][104]
* ![Science X Network][7][PM][105]
* ![Science X Network][7][My news][106]
* ![Science X Network][7][Sign out][107]
*     * [Top][108]
    * [Home][1]
    * [Search][109]
    * [Mobile version][110]
*     * [Help][111]
    * [FAQ][112]
    * [About][113]
    * [Contact][114]
*     * [Science X Account][100]
    * [Sponsored Account][115]
    * [Newsletter][23]
    * [RSS feeds][116]
*     * [Feature Stories][5]
    * [Latest news][117]
    * [Week's top][118]
    * [Archive][119]
*     * [Android app][120]
    * [iOS app][121]
    * [Amazon Kindle][122]
    * Connect
* * * * * * * [Privacy Policy][123]
* [Terms of Use][124]

© Phys.org 2003 - 2018, [Science X network][125]

![Quantcast][126]

[1]: https://phys.org/
[2]: https://phys.org/science-news/
[3]: https://phys.org/science-news/sci-other/
[4]: https://phys.org/archive/09-10-2007/
[5]: https://phys.org/editorials/
[6]: https://3c1703fe8d.site.internapcdn.net/newman/csz/news/800/2007/snowdrift.png
[7]: https://cf3e497594.site.internapcdn.net/tmpl/v5/img/1x1.gif
[8]: mailto:feedback%40physorg.com
[9]: https://twitter.com/share
[10]: https://sciencex.com/profile/?code=fav&nid=111145481 "Add bookmark to Science X account"
[11]: mailto: "Email to a friend"
[12]: https://phys.org/print111145481.html "Print"
[13]: https://phys.org/pdf111145481.pdf "Save as pdf file"
[14]: https://phys.org/commented/
[15]: https://phys.org/sort/popular/1m/
[16]: https://cf3e497594.site.internapcdn.net/tmpl/v5/img/img-dot.gif
[17]: https://phys.org/news/2018-02-black-holes-erase.html
[18]: https://phys.org/news/2018-02-add-on-smartphone-fully-microscope.html
[19]: https://phys.org/news/2018-02-laser-wirelessly-smartphone-safely-room.html
[20]: https://phys.org/news/2018-02-hubble-yardstick-fresh-evidence-physics.html
[21]: https://phys.org/news/2018-02-amateur-astronomer-captures-rare-massive.html
[22]: https://www.facebook.com/physorg
[23]: https://sciencex.com/help/newsletter/
[24]: https://www.physicsforums.com/threads/ancient-mass-grave-in-south-africa.831881/
[25]: https://www.physicsforums.com/threads/why-is-america-in-debt-and-how-can-we-fix-it.812472/
[26]: https://www.physicsforums.com/threads/durrington-walls-and-stonehenge.771166/
[27]: https://www.physicsforums.com/threads/a-plea-for-culinary-modernism.829598/
[28]: https://www.physicsforums.com/threads/help-with-explaining-the-difference-between-real-science-and.828221/
[29]: https://www.physicsforums.com/threads/1000-year-old-viking-treasure-hoard-found-in-scotland.775982/
[30]: https://www.physicsforums.com/forums/history-humanities-and-social-sci.148/
[31]: https://phys.org/news/2018-02-clay-extra-biblical-prophet-isaiah.html#nRlv
[32]: https://3c1703fe8d.site.internapcdn.net/newman/csz/news/tmb/2018/clayprintfro.jpg
[33]: https://phys.org/news/2018-02-neanderthals-artistic-modern-humans.html#nRlv
[34]: https://3c1703fe8d.site.internapcdn.net/newman/csz/news/tmb/2018/neanderthals.jpg
[35]: https://phys.org/news/2018-02-statistical-probability-future-major-wars.html#nRlv
[36]: https://3c1703fe8d.site.internapcdn.net/newman/csz/news/tmb/2018/astatistical.jpg
[37]: https://phys.org/news/2018-02-paper-links-ancient-language.html#nRlv
[38]: https://3c1703fe8d.site.internapcdn.net/newman/csz/news/tmb/2018/newpaperlink.jpg
[39]: https://phys.org/news/2018-02-ancient-dna-tales-humans-migrant.html#nRlv
[40]: https://3c1703fe8d.site.internapcdn.net/newman/csz/news/tmb/2018/ancientdnate.jpg
[41]: https://phys.org/news/2018-02-locomotion-bipedal-dinosaurs-ground-running-birds.html#nRlv
[42]: https://3c1703fe8d.site.internapcdn.net/newman/csz/news/tmb/2018/locomotionof.jpg
[43]: https://phys.org#
[44]: https://sciencex.com/profile/user/visual/
[45]: https://sciencex.com/profile/user/HarryStottle/
[46]: https://sciencex.com/profile/user/Ethelred/
[47]: https://sciencex.com/profile/login/
[48]: https://sciencex.com/help/account/
[49]: https://sciencex.com/profile/login/?code=pwdreset
[50]: https://phys.org/nanotech-news/
[51]: https://phys.org/nanotech-news/bio-medicine/
[52]: https://phys.org/nanotech-news/nano-materials/
[53]: https://phys.org/nanotech-news/nano-physics/
[54]: https://phys.org/physics-news/
[55]: https://phys.org/physics-news/materials/
[56]: https://phys.org/physics-news/physics/
[57]: https://phys.org/physics-news/optics-photonics/
[58]: https://phys.org/physics-news/plasma/
[59]: https://phys.org/physics-news/quantum-physics/
[60]: https://phys.org/physics-news/soft-matter/
[61]: https://phys.org/physics-news/superconductivity/
[62]: https://phys.org/earth-news/
[63]: https://phys.org/earth-news/earth-sciences/
[64]: https://phys.org/earth-news/environment/
[65]: https://phys.org/space-news/
[66]: https://phys.org/space-news/astronomy/
[67]: https://phys.org/space-news/space-exploration/
[68]: https://phys.org/technology-news/
[69]: https://phys.org/technology-news/business-tech/
[70]: https://phys.org/technology-news/computer-sciences/
[71]: https://phys.org/technology-news/consumer-gadgets/
[72]: https://phys.org/technology-news/energy-green-tech/
[73]: https://phys.org/technology-news/engineering/
[74]: https://phys.org/technology-news/hardware/
[75]: https://phys.org/technology-news/hi-tech/
[76]: https://phys.org/technology-news/internet/
[77]: https://phys.org/technology-news/other/
[78]: https://phys.org/technology-news/robotics/
[79]: https://phys.org/technology-news/security/
[80]: https://phys.org/technology-news/semiconductors/
[81]: https://phys.org/technology-news/software/
[82]: https://phys.org/technology-news/telecom/
[83]: https://phys.org/chemistry-news/
[84]: https://phys.org/chemistry-news/analytical-chemistry/
[85]: https://phys.org/chemistry-news/biochemistry/
[86]: https://phys.org/chemistry-news/materials-science/
[87]: https://phys.org/chemistry-news/chemistry-other/
[88]: https://phys.org/chemistry-news/polymers/
[89]: https://phys.org/biology-news/
[90]: https://phys.org/biology-news/biotechnology/
[91]: https://phys.org/biology-news/microbiology/
[92]: https://phys.org/biology-news/ecology/
[93]: https://phys.org/biology-news/evolution/
[94]: https://phys.org/biology-news/biology-other/
[95]: https://phys.org/biology-news/plants-animals/
[96]: https://phys.org/science-news/archaeology-fossils/
[97]: https://phys.org/science-news/economics-business/
[98]: https://phys.org/science-news/mathematics/
[99]: https://phys.org/science-news/social-sciences/
[100]: https://sciencex.com/profile/
[101]: https://sciencex.com/profile/login/#register
[102]: https://sciencex.com/profile/nwletter/
[103]: https://sciencex.com/profile/favorites/
[104]: https://sciencex.com/profile/comments/
[105]: https://sciencex.com/profile/pm/
[106]: https://sciencex.com/profile/my/
[107]: https://sciencex.com/profile/login/?code=signout
[108]: https://phys.org#top
[109]: https://phys.org/search/
[110]: https://phys.org//m.phys.org/
[111]: https://sciencex.com/help/
[112]: https://sciencex.com/help/contactus/
[113]: https://sciencex.com/help/about-us/
[114]: https://sciencex.com/help/feedback/
[115]: https://sciencex.com/help/donate/
[116]: https://phys.org/feeds/
[117]: https://phys.org/latest-news/
[118]: https://phys.org/weekly-news/
[119]: https://phys.org/archive/
[120]: https://play.google.com/store/apps/details?id=com.PhysOrg.RssLite
[121]: https://itunes.apple.com/us/app/phys-org/id356443503?mt=8
[122]: https://www.amazon.com/gp/product/B002G9TKCC
[123]: https://phys.org/help/privacy/
[124]: https://phys.org/help/terms/
[125]: https://sciencex.com/
[126]: https://pixel.quantserve.com/pixel/p-5dNhPAnM9r0yY.gif

