---
created_at: '2014-11-27T18:11:21.000Z'
title: Why browse the Web in Emacs? (2008)
url: http://sachachua.com/blog/2008/08/why-browse-the-web-in-emacs/
author: pmoriarty
points: 152
story_text: ''
comment_text: 
num_comments: 91
story_id: 
story_title: 
story_url: 
parent_id: 
created_at_i: 1417111881
_tags:
- story
- author_pmoriarty
- story_8668300
objectID: '8668300'

---
[Source](http://sachachua.com/blog/2008/08/why-browse-the-web-in-emacs/ "Permalink to Why browse the Web in Emacs? &#8211; ")

# Why browse the Web in Emacs? &#8211; 

* [Home][1]
* [About][2]
* [Resources][3]
* [Index][4]
* [Archives][5]
* [Random][6]
* [Contact][7]
* Search:

#  ![Living an Awesome Life - Sacha Chua][8]

« Older: [Happy birthday to me!][9]  
Newer: [Sweet! Facebook in Emacs!][10] »

## [Why browse the Web in Emacs?][11]

Posted on August 12th, 2008 by Sacha Chua  
More posts about: [emacs][12], [wickedcoolemacs][13] Tags: [browsing][14], [emacs][15], [w3][16], [w3m][17], [wickedcoolemacs][18] // [**8 Comments »][19]**

2014-11-27: Hi, [Hacker News!][20] Remember, this post is from 2008 and predates Emacs 24.4. I hear [EWW][21] (Emacs Web Wowser?) is pretty cool and have been meaning to try it out. Anyway, on with the show!

“Are you browsing Slashdot in Emacs?”, W- asked me after he glanced at my screen.

With Emacs’ reputation for including everything _and_ the kitchen sink, you probably won’t be surprised to hear that there’s more than one way to surf the Internet using your text editor. With today’s Javascript- and image-heavy websites, it can be hard to believe that anyone would use a text-based browser with limited support for many of the things we take for granted. Still, a Web browser in your text editor can be surprisingly useful. Here are some of the reasons why you might like it:
* **Browsing is faster and less distracting.** Forget flashing ads, garish colors, and large images. When you surf the Web in Emacs, you can focus on reading, and you can use all the typical Emacs shortcuts for navigating around. You can view images when you want to. If you need to see something that Emacs doesn’t support, you can easily open the current page in an external Web browser.
* **You can integrate it into your work.** With a little bit of Emacs Lisp, you can quickly look up information on the Web based on what you’re currently working on. For example, PHP mode comes with a shortcut that lets you look up the current function’s documentation in the PHP manual. You can look up bug report details, dictionary definitions, and Wikipedia pages with minimal typing, too. If you use Emacspeak, you can set up the web browser to speech-synthesize more than what’s displayed on screen. The more you use Emacs, the more benefits you get from the integration.
* **You can customize everything.** You can customize your Emacs experience quickly and easily, and if you spend a lot of time on the Net, you’ll appreciate having your own shortcuts and functions. For example, I’ve completely remapped my keyboard shortcuts to support tabbed browsing on a Dvorak keyboard, and I’ve defined a few functions to make frequently-used commands much easier. You can even use functions to process Web pages and either summarize the information you’re interested in or make pages more navigable. It’s all just Emacs Lisp.
* **You’re safe from browser exploits.** No Javascript pop-ups, no image bugs, no browser-based malware that can take over your comuter or steal data. Just content.
* **You need less memory.** Why open up a memory-intensive graphical Web-based browser when you’ve got Emacs open anyway?

There’s more than one way to browse the Web in Emacs, of course. Browse-url is a package that makes it easy to open URLs in your preferred browser or browsers. For example, you can use it to browse the Web in Mozilla Firefox, and (of course) you can use it to browse the Web within Emacs itself. For browsing within Emacs, you can use w3m.el, an interface to the external W3M browser, or w3, a Web browser written entirely in Emacs Lisp. Of the two, I prefer w3m.el, which is much faster and more featureful than w3. Both can display graphics, tables, and frames, and w3 supports stylesheets.

More about Emacs and browsing the Web soon! Planned projects for this chapter of [Wicked Cool Emacs][22]:
    
    
    *** Project XXX: Browse the Web
    *** Project XXX: Open the current webpage in an external browser
    *** Project XXX: Different browsers for different pages
    *** Project XXX: Toggle between Web and work
    *** Project XXX: Quick search
    *** Project XXX: Customize your keymap
    *** Project XXX: Download files
    *** Project XXX: Add access keys
    *** Project XXX: Use social bookmarking
    *** Project XXX: Typeahead
    *** Project XXX: Preview HTML
    *** Project XXX: Read Web pages as news
    

2014-11-27: You can find more comments on [Hacker News][20].

More posts about: [emacs][12], [wickedcoolemacs][13] Tags: [browsing][14], [emacs][15], [w3][16], [w3m][17], [wickedcoolemacs][18] | [See in index][23] // [**8 Comments »][19]**

* Micah R Ledbetter

This isn’t browsing IN emacs, but if you haven’t seen them already, you should definitely check out conkeror (<http://conkeror.org>) and stumpwm (<http://www.nongnu.org/stumpwm/>). Both are by the same developer(s?), are “inspired by emacs”, and aim to be both keyboard driven and hackable – conkeror, a web browser, in javascript; and stumpwm, an X11 window manager, in common lisp and on the fly. 

Both of these have made web browsing a LOT less jarring when I’m in full-on Emacs edit mode, even if it’s not an actual Emacs browser.

* Pedro

Nice post! So, you also use the Dvorak keyboard layout. Could you care to say a little bit about your Dvorak setup with emacs? Did you remap any functions?

* [Luddite Geek][24]

And, you can waste time browsing the web and make it look like you’re working! :)

* [Fiona][25]

I use Dvorak too, and although I liked emacs, I found that the keybindings were very unDvorak-friendly. (Although vi is even worse)  
So I’d second the request that Pedro has posted.

* [Sam][26]

I am also a Dvorak user and I threw the defaults out since I don’t consider ctrl-p, ctrl-n, …, worth saving. As I am only slightly happier with my own design I’d like to see what you are using.

* [Sacha Chua][27]
    
        (defun sacha/w3m-setup-keymap ()
      "Use my heavily customized map."
      (interactive)
      ;; Undefine this key and use the advice instead so that my ido doesn't get
      ;; overridden
      (define-key w3m-mode-map (kbd "C-x b") nil)
      (define-key w3m-mode-map "C" 'w3m-print-this-url)
      (define-key w3m-mode-map "a" 'sacha/delicious-url)
      (define-key w3m-mode-map "A" 'w3m-bookmark-add-current-url)
      (define-key w3m-mode-map "w" 'w3m-download-with-wget)
      (define-key w3m-mode-map "d" 'w3m-download-with-wget)
      (define-key w3m-mode-map "D" 'w3m-download-this-url)
      ;; Do not override my ever so handy ERC binding
      (define-key w3m-mode-map (kbd "C-c C-SPC") nil)
      (define-key w3m-mode-map "m" 'sacha/w3m-mirror-current-page)
      (define-key w3m-mode-map "M" 'sacha/w3m-mirror-link)
      ;; I use search much more often than the context history list, although
      ;; context is still cool. 
      (define-key w3m-mode-map "!" 'sacha/w3m-mirror-current-page)
      (define-key w3m-mode-map "s" 'w3m-search)
      (define-key w3m-mode-map "h" 'w3m-history)
      (define-key w3m-mode-map "t" 'w3m-scroll-down-or-previous-url)
      (define-key w3m-mode-map "n" 'w3m-scroll-up-or-next-url)
      ;; I don't often w3m to edit pages, so I'm borrowing o and e (right
      ;; below , / . for tab navigation) for page navigation instead.
      (define-key w3m-mode-map "o" 'w3m-view-previous-page)
      (define-key w3m-mode-map "e" 'w3m-view-next-page)
      ;; i is a more useful mnemonic for toggling images
      (define-key w3m-mode-map "i" 'w3m-toggle-inline-image)
      (define-key w3m-mode-map "I" 'w3m-toggle-inline-images)
      ;; and X for closing the buffer
      (define-key w3m-mode-map "X" 'w3m-delete-buffer)
      (define-key w3m-mode-map "x" 'w3m-delete-buffer)
      (define-key w3m-mode-map "z" 'w3m-delete-buffer)
      ;; and b for bookmarks
      (define-key w3m-mode-map "b" 'w3m-bookmark-view)
      ;; I don't use the Qwerty keymap, so hjkl is useless for me
      ;; I'll use HTNS, though
      (define-key w3m-mode-map "H" 'backward-char)
      (define-key w3m-mode-map "T" 'previous-line)
      (define-key w3m-mode-map "N" 'next-line)
      (define-key w3m-mode-map "S" 'forward-char)
      ;; Browse in new sessions by default
      (define-key w3m-mode-map (kbd "RET") 'w3m-view-this-url)
      (define-key w3m-mode-map [(shift return)] 'w3m-view-this-url-new-session)
      (define-key w3m-mode-map "g" 'w3m-goto-url)
      (define-key w3m-mode-map "G" 'w3m-goto-url-new-session)
      ;; f for forward? I want to be able to follow links without removing
      ;; most of my fingers from home row. My fingers are too short to hit
      ;; Enter.
      (define-key w3m-mode-map "f" 'w3m-view-this-url-new-session)
      (define-key w3m-mode-map "F" 'w3m-view-this-url)
      ;; Use cursor keys to scroll
      (define-key w3m-mode-map [(left)] 'backward-char)
      (define-key w3m-mode-map [(right)] 'forward-char)
      (define-key w3m-mode-map [(shift left)] 'w3m-shift-right)
      (define-key w3m-mode-map [(shift right)] 'w3m-shift-left)
      ;; Which means I can now use , and . to switch pages
      (define-key w3m-mode-map "." 'w3m-next-buffer)
      (define-key w3m-mode-map "," 'w3m-previous-buffer)
      ;; IBM stuff
      (define-key w3m-mode-map "i" nil)
      (define-key w3m-mode-map "ib" 'sacha/ibm-blog)
      (define-key w3m-mode-map "id" 'sacha/dogear-url)
      (define-key w3m-mode-map "f" 'sacha/w3m-open-in-firefox)
      )
    

Here’s my currently-unedited-and-with-a-number-of-custom-functions keymap. I really only tend to use . and , to switch buffers a lot, a to del.icio.us stuff, x, C, I, and the cursor keys…

Someday there’s going to be a Pareto-type visualization for Emacs. I’d be interested in knowing which 20% (or more like 0.002%) of the functionality I actually use…

* menzoic

screenshots plz

* z0ltan

You look like a chipmunk, albeit a cute one.

« Older: [Happy birthday to me!][9]  
Newer: [Sweet! Facebook in Emacs!][10] »

* # You might like these…

    * [Sketched Books][28]
    * [Emacs][29]
* # About me

![\[me\]][30] I'm [**Sacha Chua**][31], and I'm on a [5-year experiment in semi-retirement][32]. I love coding, writing, drawing, and sharing what I'm learning along the way. [**Twitter][33]** \- [Flickr][34] \- [Slideshare][35] \- [LinkedIn][36] \- [Facebook][37] \- [**Github][38]**

For more info, check out the [About][31] page.

* # Free/pay-what-you-want resources

    * ![cover][39]

[Sketchnotes 2014][40]

Latest collection of sketchnotes and thoughts

    * ![][41]

[Emacs Chats - EPUB, MOBI][42]

A collection of transcripts from the Emacs Chat series

    * ![][43]

[Sketchnotes 2013][44]

300+ sketches about learning, sharing, tech, semi-retirement, business, delegation, and other topics. You'll get a ZIP file (290+ MB) with hi-res images that you can easily flip through or print.

    * ![][45]

[A No-Excuses Guide to Blogging][46]

What's getting in your way when it comes to blogging consistently? Check out this 42-page guide to ten common blogging excuses and how to break past them.

    * [ ![How to Learn Emacs: a Hand-drawn One-pager for Beginners][47]][48]

[ ][48]

[How to Learn Emacs][48]

a hand-drawn one-pager for beginners

[Find more resources][3]

* # Categories

    * [-Uncategorized][49] (1,977) 
    * [book][50] (65) 
    * [braindump][51] (19) 
    * [business][52] (333) 
        * [delegation][53] (46) 
        * [entrepreneurship][54] (53) 
        * [gen-y][55] (16) 
        * [leadership][56] (21) 
        * [management][57] (13) 
        * [marketing][58] (20) 
        * [productivity][59] (100) 
    * [communication][60] (443) 
        * [connecting][61] (194) 
        * [presentation][62] (109) 
        * [speaking][63] (117) 
        * [talk][64] (10) 
        * [teaching][65] (85) 
        * [toastmasters][66] (17) 
    * [event][67] (146) 
        * [barcamp][68] (18) 
        * [cascon][69] (10) 
        * [conference][70] (52) 
        * [democamp][71] (19) 
        * [digitalpinay][72] (19) 
        * [meetup][73] (15) 
    * [finance][74] (53) 
    * [geek][75] (1,599) 
        * [analysis][76] (24) 
        * [android][77] (21) 
        * [design][78] (7) 
        * [development][79] (54) 
        * [drupal][80] (87) 
        * [emacs][81] (884) 
            * [bbdb][82] (22) 
            * [emacs-news][83] (113) 
            * [org][84] (75) 
            * [pimpmyemacs][85] (33) 
            * [planner][86] (31) 
            * [wickedcoolemacs][13] (44) 
        * [laptop][87] (11) 
        * [linux][88] (46) 
        * [lotus][89] (16) 
        * [opensource][90] (26) 
        * [quantified][91] (86) 
        * [ruby][92] (28) 
            * [rails][93] (17) 
        * [wordpress][94] (43) 
    * [idea][95] (12) 
    * [issues][96] (26) 
    * [learning][97] (434) 
        * [education][98] (28) 
        * [japanese][99] (15) 
        * [kaizen][100] (173) 
        * [mentoring][101] (15) 
        * [notetaking][102] (22) 
        * [reading][103] (66) 
    * [life][104] (1,668) 
        * [canada][105] (55) 
        * [cat][106] (52) 
        * [clothing][107] (16) 
        * [cooking][108] (146) 
            * [cookordie][109] (65) 
        * [experiment][110] (73) 
        * [family][111] (113) 
            * [adphoto][112] (17) 
        * [filipino][113] (16) 
        * [friends][114] (112) 
            * [barkada][115] (22) 
        * [gardening][116] (46) 
        * [goodkarma][117] (13) 
        * [happy][118] (41) 
        * [health][119] (21) 
        * [japan][120] (15) 
        * [library][121] (16) 
        * [love][122] (39) 
        * [party][123] (22) 
        * [passion][124] (48) 
        * [philippines][125] (96) 
        * [photography][126] (21) 
        * [purpose][127] (36) 
        * [reflection][128] (150) 
        * [sad][129] (12) 
        * [school][130] (79) 
        * [sewing][131] (41) 
        * [story][132] (13) 
        * [toronto][133] (17) 
        * [travel][134] (68) 
    * [organization][135] (19) 
    * [organizer][136] (15) 
    * [parenting][137] (24) 
        * [play][138] (3) 
    * [philosophy][139] (16) 
    * [planning][140] (65) 
    * [plans][141] (31) 
    * [podcast][142] (44) 
        * [Emacs Chat][143] (21) 
        * [emacs-basics][144] (3) 
        * [Frugal FIRE][145] (3) 
        * [Helpers Help Out][146] (10) 
    * [podcasting][147] (3) 
    * [process][148] (23) 
    * [research][149] (52) 
    * [review][150] (726) 
        * [decision][151] (54) 
        * [monthly][152] (95) 
        * [weekly][153] (538) 
        * [yearly][154] (27) 
    * [sharing][155] (379) 
        * [drawing][156] (90) 
        * [publishing][157] (2) 
        * [writing][158] (290) 
            * [blogging][159] (190) 
    * [social][160] (39) 
    * [Tidbits][161] (10) 
    * [time][162] (33) 
    * [tips][163] (79) 
    * [visual][164] (371) 
        * [sketches][165] (358) 
            * [sketchnotes][166] (93) 
            * [visual-book-notes][167] (36) 
    * [women][168] (44) 
    * [work][169] (337) 
        * [career][170] (100) 
        * [enterprise2.0][171] (23) 
        * [ibm][172] (99) 
        * [web2.0][173] (90) 
* # Subscribe!

[Sign up for e-mail updates here][174] or [see other subscription options][175]

## Subscribe to our mailing list

* indicates required

Your e-mail *

What name would you like me to address it to? 

Type "Human" in the field below *

**How often would you like to hear from me? **
    * With each post: a daily stream of ideas
    * Weekly, monthly, and yearly updates: recommended
    * Monthly and yearly updates: neatly categorized
    * Once in a blue moon: yearly summaries, announcements

**What else are you interested in? **
    * Things I could use help figuring out: questions, ideas, etc. (~1 a week)

**Email Format **
    * html
    * text
* # Recent comments

    * Ivan Vigasin Works great, thanks! But what about auto-completion? In ledger-mode I do things you mentioned (C-x C-f to find the file (actually C-x r l to... –  [Emacs: Recording ledger entries with org-capture-templates][176]
    * lyr3 I always wonder: "just how Sacha can find all those great articles and videos" Luke's response video was a joy to watch! haha Thanks, as... –  [2018-02-19 Emacs news][177]
    * sachac Thanks for the encouraging words! :) –  [Quick thoughts on leadership, impact, and finding my own path][178]
    * Ben Hi Sacha, I think the way you share your thoughts is the right way, as it gives room for ones own thoughts and ideas. One... –  [Quick thoughts on leadership, impact, and finding my own path][179]
    * Ben Good you have good memory's of your dad Sacha. Read a lot of technical writings and I am sure you inherited a lot of his... –  [My story about my dad][180]
    * [Older »][181]
* #  On this day...

    * 2015: [Life as a 31-year-old][182]
    * 2014: [Turning 31][183]
    * 2013: [Year in review: Life as a 29-year-old][184]
    * 2012: [Twenty-nine; life as a 28-year-old][185]
    * 2011: [Living an awesome life as a 27-year-old: a year in blog posts][186]
    * 2010: [Networking events][187]
    * 2009: [Reflecting on relationships][188]
    * 2008: [Sweet! Facebook in Emacs!][10]
    * 2008: [Happy birthday to me!][9]
    * 2007: [Fitness landscapes][189]
    * 2007: [Cream meringue tart cockaigne][190]
    * 2005: [Exhausted][191]
    * 2005: [Flowers! =)][192]
    * 2005: [Quiet lab][193]
    * 2005: [Geeks and birthday parties][194]
    * 2003: [New blog!][195]
    * 2003: [Java dev day?][196]
* # Meta

    * [Log in][197]
    * [Entries RSS][198]
    * [Comments RSS][199]
    * [WordPress.org][200]

Like this? [ Subscribe!][201] [Follow me on Twitter][33] for quick updates, and add me on [Google+][202]. [Contact me][7]: I'd love to hear your thoughts, questions, and suggestions!

  

* [Home][203]
* [About][2]
* [Index][4]
* [Archives][5]
* [Random][204]
* [Privacy][205]
* [Contact][7]

Copyright © 2001-2018 Sacha Chua ([[email protected]][206]). Please feel free to reuse or share content under a [Creative Commons Attribution][207] license unless otherwise noted. You can generally click on images for larger versions. Thanks for reading! 

[1]: http://sachachua.com/
[2]: http://sachachua.com/blog/about/
[3]: http://sachachua.com/blog/resources
[4]: http://sachachua.com/blog/index
[5]: http://sachachua.com/blog/archive/
[6]: http://sachachua.com/blog/random
[7]: http://sachachua.com/blog/contact
[8]: http://sachachua.com/blog/wp-content/themes/sacha-v3/images/small-logo.png
[9]: http://sachachua.com/blog/2008/08/happy-birthday-to-me-2/
[10]: http://sachachua.com/blog/2008/08/sweet-facebook-in-emacs/
[11]: http://sachachua.com/blog/2008/08/why-browse-the-web-in-emacs/ "Why browse the Web in Emacs?"
[12]: http://sachachua.com/blog/category/geek/emacs/
[13]: http://sachachua.com/blog/category/geek/emacs/wickedcoolemacs/
[14]: http://sachachua.com/blog/tag/browsing/
[15]: http://sachachua.com/blog/tag/emacs/
[16]: http://sachachua.com/blog/tag/w3/
[17]: http://sachachua.com/blog/tag/w3m/
[18]: http://sachachua.com/blog/tag/wickedcoolemacs/
[19]: http://sachachua.com/blog/2008/08/why-browse-the-web-in-emacs/#comments
[20]: http://sachachua.com/blog/2008/08/why-browse-the-web-in-emacs/
[21]: http://lars.ingebrigtsen.no/2013/06/16/eww/
[22]: http://sachachua.com/category/wp/wickedcoolemacs
[23]: http://pages.sachachua.com/sharing/blog.html?url=http://sachachua.com/blog/2008/08/why-browse-the-web-in-emacs/
[24]: http://ludditegeek.blogspot.com/
[25]: http://www.myrmidonprocess.com
[26]: http://samdanielson.com
[27]: http://sachachua.com
[28]: http://sachachua.com/blog/sketched-books
[29]: http://sachachua.com/blog/category/emacs
[30]: http://sachachua.com/blog/wp-content/themes/sacha-v3/images/face.png
[31]: http://sachachua.com/blog/about
[32]: http://sachachua.com/blog/experiment
[33]: http://twitter.com/sachac
[34]: http://www.flickr.com/photos/sachac/
[35]: http://slideshare.net/sachac
[36]: http://linkedin.com/in/sachac
[37]: http://facebook.com/sachac
[38]: http://github.com/sachac/
[39]: http://sachachua.com/blog/wp-content/uploads/2013/06/cover-267x200.png
[40]: http://sachachua.com/sketchnotes2014
[41]: http://sachachua.com/blog/wp-content/uploads/2014/12/Emacs-Chat-Book.png
[42]: http://sachachua.com/emacs-chats-ebook
[43]: http://sachachua.com/blog/wp-content/uploads/2013/06/Sketchnotes-2013-266x200.png
[44]: http://sachachua.com/sketchnotes2013
[45]: http://sachachua.com/blog/wp-content/uploads/2014/02/no_excuses_blogging_book_cover.png
[46]: http://sachachua.com/blog/no-excuses-blogging
[47]: http://sachachua.com/blog/wp-content/uploads/2013/05/How-to-Learn-Emacs8-640x480.png
[48]: http://sachachua.com/blog/2013/05/how-to-learn-emacs-a-hand-drawn-one-pager-for-beginners/
[49]: http://sachachua.com/blog/category/uncategorized/
[50]: http://sachachua.com/blog/category/book/
[51]: http://sachachua.com/blog/category/braindump/
[52]: http://sachachua.com/blog/category/business/
[53]: http://sachachua.com/blog/category/business/delegation/ "Like this? You might be interested in my Trello board and my list of processes."
[54]: http://sachachua.com/blog/category/business/entrepreneurship/
[55]: http://sachachua.com/blog/category/business/gen-y/
[56]: http://sachachua.com/blog/category/business/leadership/
[57]: http://sachachua.com/blog/category/business/management/
[58]: http://sachachua.com/blog/category/business/marketing/
[59]: http://sachachua.com/blog/category/business/productivity/
[60]: http://sachachua.com/blog/category/communication/
[61]: http://sachachua.com/blog/category/communication/connecting/
[62]: http://sachachua.com/blog/category/communication/presentation/
[63]: http://sachachua.com/blog/category/communication/speaking/
[64]: http://sachachua.com/blog/category/communication/talk/
[65]: http://sachachua.com/blog/category/communication/teaching/
[66]: http://sachachua.com/blog/category/communication/toastmasters/
[67]: http://sachachua.com/blog/category/event/
[68]: http://sachachua.com/blog/category/event/barcamp/
[69]: http://sachachua.com/blog/category/event/cascon/
[70]: http://sachachua.com/blog/category/event/conference/
[71]: http://sachachua.com/blog/category/event/democamp/
[72]: http://sachachua.com/blog/category/event/digitalpinay/
[73]: http://sachachua.com/blog/category/event/meetup/
[74]: http://sachachua.com/blog/category/finance/
[75]: http://sachachua.com/blog/category/geek/
[76]: http://sachachua.com/blog/category/geek/analysis/
[77]: http://sachachua.com/blog/category/geek/android/
[78]: http://sachachua.com/blog/category/geek/design/
[79]: http://sachachua.com/blog/category/geek/development/
[80]: http://sachachua.com/blog/category/geek/drupal/
[81]: http://sachachua.com/blog/category/geek/emacs/ "Reading these posts, you can probably tell that I really, really like the Emacs text editor.

View my Emacs configuration.

Check out Planet Emacsen to read other Emacs geeks' blogs. For all things Emacs, check out r/emacs or the EmacsWiki. If you come across an interesting thing you'd like me to include in Emacs News, post it in r/emacs and I'll probably pick it up the following week.

New to Emacs? Start here:
 One-page guide to learning Emacs
One-page guide to learning Emacs keyboard shortcuts"
[82]: http://sachachua.com/blog/category/geek/emacs/bbdb/
[83]: http://sachachua.com/blog/category/geek/emacs/emacs-news/ "You can subscribe to this category by adding http://sachachua.com/blog/category/emacs-news/feed to your feed reader. Alternatively, you can get this delivered to your e-mail inbox by signing up at http://eepurl.com/bFGma1. I also crosspost it to emacs-tangents.  Want to find something, but don't remember when? You can get more posts on a page like this: sachachua.com/blog/category/emacs-news?posts=100 or check out github.com/sachac/emacs-news."
[84]: http://sachachua.com/blog/category/geek/emacs/org/
[85]: http://sachachua.com/blog/category/geek/emacs/pimpmyemacs/
[86]: http://sachachua.com/blog/category/geek/emacs/planner/
[87]: http://sachachua.com/blog/category/geek/laptop/
[88]: http://sachachua.com/blog/category/geek/linux/
[89]: http://sachachua.com/blog/category/geek/lotus/
[90]: http://sachachua.com/blog/category/geek/opensource/
[91]: http://sachachua.com/blog/category/geek/quantified/
[92]: http://sachachua.com/blog/category/geek/ruby/
[93]: http://sachachua.com/blog/category/geek/ruby/rails/
[94]: http://sachachua.com/blog/category/geek/wordpress/
[95]: http://sachachua.com/blog/category/idea/
[96]: http://sachachua.com/blog/category/issues/
[97]: http://sachachua.com/blog/category/learning/
[98]: http://sachachua.com/blog/category/learning/education/
[99]: http://sachachua.com/blog/category/learning/japanese/
[100]: http://sachachua.com/blog/category/learning/kaizen/
[101]: http://sachachua.com/blog/category/learning/mentoring/
[102]: http://sachachua.com/blog/category/learning/notetaking/
[103]: http://sachachua.com/blog/category/learning/reading/
[104]: http://sachachua.com/blog/category/life/
[105]: http://sachachua.com/blog/category/life/canada/
[106]: http://sachachua.com/blog/category/life/cat/
[107]: http://sachachua.com/blog/category/life/clothing/
[108]: http://sachachua.com/blog/category/life/cooking/
[109]: http://sachachua.com/blog/category/life/cooking/cookordie/
[110]: http://sachachua.com/blog/category/life/experiment/
[111]: http://sachachua.com/blog/category/life/family/
[112]: http://sachachua.com/blog/category/life/family/adphoto/
[113]: http://sachachua.com/blog/category/life/filipino/
[114]: http://sachachua.com/blog/category/life/friends/
[115]: http://sachachua.com/blog/category/life/friends/barkada/
[116]: http://sachachua.com/blog/category/life/gardening/
[117]: http://sachachua.com/blog/category/life/goodkarma/
[118]: http://sachachua.com/blog/category/life/happy/
[119]: http://sachachua.com/blog/category/life/health/
[120]: http://sachachua.com/blog/category/life/japan/
[121]: http://sachachua.com/blog/category/life/library/
[122]: http://sachachua.com/blog/category/life/love/
[123]: http://sachachua.com/blog/category/life/party/
[124]: http://sachachua.com/blog/category/life/passion/
[125]: http://sachachua.com/blog/category/life/philippines/
[126]: http://sachachua.com/blog/category/life/photography/
[127]: http://sachachua.com/blog/category/life/purpose/
[128]: http://sachachua.com/blog/category/life/reflection/
[129]: http://sachachua.com/blog/category/life/sad/
[130]: http://sachachua.com/blog/category/life/school/
[131]: http://sachachua.com/blog/category/life/sewing/
[132]: http://sachachua.com/blog/category/life/story/
[133]: http://sachachua.com/blog/category/life/toronto/
[134]: http://sachachua.com/blog/category/life/travel/
[135]: http://sachachua.com/blog/category/organization/
[136]: http://sachachua.com/blog/category/organizer/
[137]: http://sachachua.com/blog/category/parenting/
[138]: http://sachachua.com/blog/category/parenting/play/
[139]: http://sachachua.com/blog/category/philosophy/
[140]: http://sachachua.com/blog/category/planning/
[141]: http://sachachua.com/blog/category/plans/
[142]: http://sachachua.com/blog/category/podcast/
[143]: http://sachachua.com/blog/category/podcast/emacs-chat-podcast/
[144]: http://sachachua.com/blog/category/podcast/emacs-basics/
[145]: http://sachachua.com/blog/category/podcast/frugal-fire/
[146]: http://sachachua.com/blog/category/podcast/helpershelpout/
[147]: http://sachachua.com/blog/category/podcasting/
[148]: http://sachachua.com/blog/category/process/
[149]: http://sachachua.com/blog/category/research/
[150]: http://sachachua.com/blog/category/review/
[151]: http://sachachua.com/blog/category/review/decision/
[152]: http://sachachua.com/blog/category/review/monthly/ "Want to subscribe to just monthly updates instead of the whole blog? You can get it by e-mail or add feeds.sachachua.com/sachac-monthly to your feed reader. (I use Feedly.) Each post will include categorized links to the previous month's blog posts, so you won't miss anything!"
[153]: http://sachachua.com/blog/category/review/weekly/ "Want to subscribe to just weekly updates? You can get it by e-mail or add feeds.sachachua.com/sachac-weekly to your feed reader. (I use Feedly.) Each post will include links to the previous week's blog posts, so you won't miss anything!"
[154]: http://sachachua.com/blog/category/review/yearly/
[155]: http://sachachua.com/blog/category/sharing/
[156]: http://sachachua.com/blog/category/sharing/drawing/
[157]: http://sachachua.com/blog/category/sharing/publishing/
[158]: http://sachachua.com/blog/category/sharing/writing/
[159]: http://sachachua.com/blog/category/sharing/writing/blogging/
[160]: http://sachachua.com/blog/category/social/
[161]: http://sachachua.com/blog/category/tidbit/ "Quick snippets"
[162]: http://sachachua.com/blog/category/time/
[163]: http://sachachua.com/blog/category/tips/
[164]: http://sachachua.com/blog/category/visual/
[165]: http://sachachua.com/blog/category/visual/sketches/ "Sketches from my DS Lite"
[166]: http://sachachua.com/blog/category/visual/sketches/sketchnotes/ "Want me to sketchnote your event? Let's talk!"
[167]: http://sachachua.com/blog/category/visual/sketches/visual-book-notes/
[168]: http://sachachua.com/blog/category/women/
[169]: http://sachachua.com/blog/category/work/
[170]: http://sachachua.com/blog/category/work/career/
[171]: http://sachachua.com/blog/category/work/enterprise20/
[172]: http://sachachua.com/blog/category/work/ibm/
[173]: http://sachachua.com/blog/category/work/web20/
[174]: http://eepurl.com/zzcGj
[175]: http://sachachua.com/blog/subscribe
[176]: http://sachachua.com/blog/2010/11/emacs-recording-ledger-entries-with-org-capture-templates/#comment-657376 "Comment on Emacs: Recording ledger entries with org-capture-templates"
[177]: http://sachachua.com/blog/2018/02/2018-02-19-emacs-news/#comment-657372 "Comment on 2018-02-19 Emacs news"
[178]: http://sachachua.com/blog/2018/02/quick-thoughts-on-leadership-impact-and-finding-my-own-path/#comment-657347 "Comment on Quick thoughts on leadership, impact, and finding my own path"
[179]: http://sachachua.com/blog/2018/02/quick-thoughts-on-leadership-impact-and-finding-my-own-path/#comment-657345 "Comment on Quick thoughts on leadership, impact, and finding my own path"
[180]: http://sachachua.com/blog/2018/02/my-story-about-my-dad/#comment-657325 "Comment on My story about my dad"
[181]: http://sachachua.com# "View older comments"
[182]: http://sachachua.com/blog/2015/08/life-as-a-31-year-old/
[183]: http://sachachua.com/blog/2014/08/turning-31/
[184]: http://sachachua.com/blog/2013/08/year-in-review-life-as-a-29-year-old/
[185]: http://sachachua.com/blog/2012/08/twenty-nine-life-as-a-28-year-old/
[186]: http://sachachua.com/blog/2011/08/living-an-awesome-life-as-a-27-year-old-a-year-in-blog-posts/
[187]: http://sachachua.com/blog/2010/08/networking-events/
[188]: http://sachachua.com/blog/2009/08/reflecting-on-relationships/
[189]: http://sachachua.com/blog/2007/08/fitness-landscapes/
[190]: http://sachachua.com/blog/2007/08/cream-meringue-tart-cockaigne/
[191]: http://sachachua.com/blog/2005/08/exhausted/
[192]: http://sachachua.com/blog/2005/08/flowers/
[193]: http://sachachua.com/blog/2005/08/quiet-lab/
[194]: http://sachachua.com/blog/2005/08/geeks-and-birthday-parties/
[195]: http://sachachua.com/blog/2003/08/new-blog/
[196]: http://sachachua.com/blog/2003/08/java-dev-day/
[197]: http://sachachua.com/blog/wp-login.php
[198]: http://sachachua.com/blog/feed/
[199]: http://sachachua.com/blog/comments/feed/
[200]: https://wordpress.org/ "Powered by WordPress, state-of-the-art semantic personal publishing platform."
[201]: http://sachachua.com/blog/subscribe/
[202]: https://plus.google.com/113865527017476906160/posts?rel=author
[203]: http://sachachua.com/blog
[204]: http://sachachua.com/blog/?random
[205]: http://sachachua.com/blog/privacy
[206]: http://sachachua.com/cdn-cgi/l/email-protection#b7c4d6d4dfd6f7c4d6d4dfd6d4dfc2d699d4d8da
[207]: http://creativecommons.org/licenses/by-nc-sa/3.0/

  [*RSS]: Really Simple Syndication

